#include <gracelib.h>
#include <stdlib.h>
static char compilerRevision[] = "c01c85ef098bb275d73965aa95d8fdbe0bf2cf18";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "ast";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma DefaultVisibility=public",
  "#pragma noTypeChecks",
  "import \"util\" as util",
  "import \"mgcollections\" as collections",
  "",
  "// This module contains pseudo-classes for all the AST nodes used",
  "// in the parser. The module predates the existence of classes in the",
  "// implementation, so they are written as object literals inside methods.",
  "// Each node has a different signature according to its function, but the",
  "// common interface is:",
  "// dtype ASTNode {",
  "//   kind -> String // Used for pseudo-instanceof tests.",
  "//   register -> String // Used later on to hold the LLVM register of",
  "//                      // the resulting object.",
  "//   line -> Number // The source line the node came from.",
  "//   pretty(n:Number) -> String // Pretty-print of node at depth n,",
  "// }",
  "// Most also contain \"value\", with varied dtypes, holding the main value",
  "// in the node. Some contain other fields for their specific use: while has",
  "// both a value (the condition) and a \"body\", for example. None of the nodes",
  "// are particularly notable in any way.",
  "",
  "method listMap(l, b)before(blkBefore)after(blkAfter) {",
  "    def r = collections.list.new",
  "    for (l) do {v->",
  "        def replacement = v.map(b)before(blkBefore)after(blkAfter)",
  "        r.push(replacement)",
  "    }",
  "    r",
  "}",
  "method maybeMap(n, b, before, after) {",
  "    if (n != false) then {",
  "        return n.map(b)before(before)after(after)",
  "    }",
  "    n",
  "}",
  "",
  "class baseNode.new {",
  "    var register := \"\"",
  "    var line := util.linenum",
  "    var linePos := util.linepos",
  "    var lineLength := 0",
  "    ",
  "    method asString { \"astNode {self.kind}\" }",
  "    method isWritable { true }",
  "    method isReadable { true }",
  "    method isPublic { true }",
  "    method isConfidential { isPublic.not }",
  "}",
  "",
  "class forNode.new(over, body') {",
  "    inherits baseNode.new",
  "    def kind = \"for\"",
  "    def value = over",
  "    def body = body'",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitFor(self)) then {",
  "            self.value.accept(visitor)",
  "            self.body.accept(visitor)",
  "        }",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"For\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Do:\"",
  "        s := s ++ \"\\n\" ++ spc ++ \"  \" ++ self.body.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"for ({self.value.toGrace(0)}) do \"",
  "        s := s ++ self.body.toGrace(depth)",
  "        s",
  "    }",
  "}",
  "class whileNode.new(cond, body') {",
  "    inherits baseNode.new",
  "    def kind = \"while\"",
  "    def value = cond",
  "    def body = body'",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitWhile(self)) then {",
  "            self.value.accept(visitor)",
  "            for (self.body) do { x ->",
  "                x.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"While\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Do:\"",
  "        for (self.body) do { x ->",
  "            s := s ++ \"\\n  \"++ spc ++ x.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"while \\{{self.value.toGrace(depth + 1)}\\} do \\{\"",
  "        for (self.body) do { x ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ x.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "}",
  "class ifNode.new(cond, thenblock', elseblock') {",
  "    inherits baseNode.new",
  "    def kind = \"if\"",
  "    def value = cond",
  "    def thenblock = thenblock'",
  "    def elseblock = elseblock'",
  "    var handledIdentifiers := false",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitIf(self)) then {",
  "            self.value.accept(visitor)",
  "            for (self.thenblock) do { ix ->",
  "                ix.accept(visitor)",
  "            }",
  "            for (self.elseblock) do { ix ->",
  "                ix.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        def v = self.value.map(blk)before(blkBefore)after(blkAfter)",
  "        def tb = listMap(self.thenblock, blk)before(blkBefore)after(blkAfter)",
  "        blkAfter.apply(self)",
  "        blkBefore.apply(self)",
  "        def eb = listMap(self.elseblock, blk)before(blkBefore)after(blkAfter)",
  "        var n := ifNode.new(v, tb, eb)",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"If\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Then:\"",
  "        for (self.thenblock) do { ix ->",
  "            s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Else:\"",
  "        for (self.elseblock) do { ix ->",
  "            s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"if ({self.value.toGrace(0)}) then \\{\"",
  "        for (self.thenblock) do { ix ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "        }",
  "        if (self.elseblock.size > 0) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\} else \\{\"",
  "            for (self.elseblock) do { ix ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "            }",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "}",
  "class blockNode.new(params', body') {",
  "    inherits baseNode.new",
  "    def kind = \"block\"",
  "    def value = \"block\"",
  "    def params = params'",
  "    def body = body'",
  "    def selfclosure = true",
  "    var matchingPattern := false",
  "    var extraRuntimeData := false",
  "    for (params') do {p->",
  "        p.accept(patternMarkVisitor)",
  "    }",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitBlock(self)) then {",
  "            for (self.params) do { mx ->",
  "                mx.accept(visitor)",
  "            }",
  "            for (self.body) do { mx ->",
  "                mx.accept(visitor)",
  "            }",
  "            if (self.matchingPattern != false) then {",
  "                self.matchingPattern.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := blockNode.new(listMap(params, blk)before(blkBefore)after(blkAfter),",
  "            listMap(body, blk)before(blkBefore)after(blkAfter))",
  "        if (self.matchingPattern != false) then {",
  "            n.matchingPattern := self.matchingPattern.map(blk)",
  "                before(blkBefore)after(blkAfter)",
  "        }",
  "        n := blk.apply(n)",
  "        n.extraRuntimeData := extraRuntimeData",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Block\\n\"",
  "        s := s ++ spc ++ \"Parameters:\"",
  "        for (self.params) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Body:\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "        }",
  "        if (self.matchingPattern != false) then {",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Pattern:\"",
  "            s := s ++ \"\\n  \"++ spc ++ self.matchingPattern.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\\{\"",
  "        if (self.params.size > 0) then {",
  "            s := s ++ \" \"",
  "            for (self.params.indices) do { i ->",
  "                var p := self.params[i]",
  "                if (self.matchingPattern != false) then {",
  "                    s := s ++ \"(\" ++ p.toGrace(0) ++ \")\"",
  "                } else {",
  "                    s := s ++ p.toGrace(0)",
  "                }",
  "                if (i < self.params.size) then {",
  "                    s := s ++ \", \"",
  "                } else {",
  "                    s := s ++ \" ->\"",
  "                }",
  "            }",
  "        }",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "}",
  "class catchCaseNode.new(block, cases', finally') {",
  "    inherits baseNode.new",
  "    def kind = \"catchcase\"",
  "    def value = block",
  "    def cases = cases'",
  "    def finally = finally'",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitCatchCase(self)) then {",
  "            self.value.accept(visitor)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor)",
  "            }",
  "            if (self.finally != false) then {",
  "                self.finally.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := catchCaseNode.new(value.map(blk)before(blkBefore)after(blkAfter),",
  "            listMap(cases, blk)before(blkBefore)after(blkAfter),",
  "            maybeMap(finally, blk, blkBefore, blkAfter))",
  "        n.line := line",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Catch\\n\"",
  "        s := s ++ spc ++ value.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.finally) then {",
  "            s := s ++ \"\\n{spc}Finally:\\n{spc}  {self.finally.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"catch \" ++ self.value.toGrace(0) ++ \" \"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"case \" ++ case.toGrace(depth + 2)",
  "        }",
  "        if (self.finally != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"finally \" ++ self.finally.toGrace(depth + 2)",
  "        }",
  "        s",
  "    }",
  "}",
  "class matchCaseNode.new(matchee, cases', elsecase') {",
  "    inherits baseNode.new",
  "    def kind = \"matchcase\"",
  "    def value = matchee",
  "    def cases = cases'",
  "    def elsecase = elsecase'",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitMatchCase(self)) then {",
  "            self.value.accept(visitor)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor)",
  "            }",
  "            if (self.elsecase != false) then {",
  "                self.elsecase.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        def newcases = listMap(cases, blk)before(blkBefore)after(blkAfter)",
  "        var n := matchCaseNode.new(value.map(blk)before(blkBefore)after(blkAfter),",
  "            newcases,",
  "            maybeMap(elsecase, blk, blkBefore, blkAfter))",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Match\\n\"",
  "        s := s ++ spc ++ matchee.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.elsecase) then {",
  "            s := s ++ \"\\n{spc}Else:\\n{spc}  {self.elsecase.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"match(\" ++ self.value.toGrace(0) ++ \")\"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"case \" ++ case.toGrace(depth + 2)",
  "        }",
  "        if (self.elsecase != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"else \" ++ self.elsecase.toGrace(depth + 2)",
  "        }",
  "        s",
  "    }",
  "}",
  "class methodTypeNode.new(name', signature', rtype') {",
  "    // [signature]",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := []",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := []",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     ...",
  "    //     object {",
  "    //         ...",
  "    //     }",
  "    inherits baseNode.new",
  "    def kind = \"methodtype\"",
  "    def value = name'",
  "    def signature = signature'",
  "    def rtype = rtype'",
  "    var generics := []",
  "    def nameString:String is public = value",
  "    method asString { \"methodType {value} -> {rtype}\" }",
  "",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitMethodType(self)) then {",
  "            if (self.rtype != false) then {",
  "                self.rtype.accept(visitor)",
  "            }",
  "            for (self.signature) do { part ->",
  "                for (part.params) do { p ->",
  "                    p.accept(visitor)",
  "                }",
  "                if (part.vararg != false) then {",
  "                    part.vararg.accept(visitor)",
  "                }",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var rt := false",
  "        if (rtype != false) then {",
  "            rt := rtype.map(blk)before(blkBefore)after(blkAfter)",
  "        }",
  "        var n := methodTypeNode.new(value, listMap(signature, blk)before(blkBefore)after(blkAfter),",
  "            rt)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"MethodType\\n\"",
  "        s := \"{s}{spc}Name: {value}\\n\"",
  "        if (rtype != false) then {",
  "            s := \"{s}{spc}Returns:\\n  {spc}{rtype.pretty(depth + 2)}\\n\"",
  "        }",
  "        s := \"{s}{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}Part: {part.name}\"",
  "            s := \"{s}\\n    {spc}Parameters:\"",
  "            for (part.params) do { p ->",
  "                s := \"{s}\\n      {spc}{p.pretty(depth + 4)}\"",
  "            }",
  "            if (part.vararg != false) then {",
  "                s := \"{s}\\n    {spc}Vararg: {part.vararg.pretty(depth + 3)}\"",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        for (self.signature) do { part ->",
  "            s := s ++ part.name",
  "            if ((part.params.size > 0) || (part.vararg != false)) then {",
  "                s := s ++ \"(\"",
  "                for (part.params.indices) do { pnr ->",
  "                    var p := part.params[pnr]",
  "                    s := s ++ p.toGrace(depth + 1)",
  "                    if ((pnr < part.params.size) || (part.vararg != false)) then {",
  "                        s := s ++ \", \"",
  "                    }",
  "                }",
  "                if (part.vararg != false) then {",
  "                    s := s ++ \"*\" ++ part.vararg.value",
  "                }",
  "                s := s ++ \")\"",
  "            }",
  "        }",
  "        if (self.rtype != false) then {",
  "            s := s ++ \" -> \" ++ self.rtype.toGrace(depth + 1)",
  "        }",
  "        s",
  "    }",
  "}",
  "class typeLiteralNode.new(methods', types') {",
  "    inherits baseNode.new",
  "    def kind = \"typeliteral\"",
  "    def methods = methods'",
  "    def types = types'",
  "    var generics := []",
  "    var nominal := false",
  "    var anonymous := true",
  "    var value := \"‹anon›\"",
  "",
  "    ",
  "    method name { value }",
  "    method name:=(n:String) {",
  "        value := n",
  "        anonymous := false",
  "    }",
  "    method asString {",
  "        \"typeliteral: methods = {methods}, types = {types}\"",
  "    }",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitTypeLiteral(self)) then {",
  "            for (self.methods) do { each ->",
  "                each.accept(visitor)",
  "            }",
  "            for (self.types) do { each ->",
  "                each.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := typeLiteralNode.new(",
  "            listMap(methods, blk)before(blkBefore)after(blkAfter),",
  "            listMap(types, blk)before(blkBefore)after(blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        n.linePos := linePos",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Type literal\\n\"",
  "        if (generics.size > 0) then {",
  "            s := \"{s}{spc}Generic parameters:\\n\"",
  "            for (generics) do {ut->",
  "                s := \"{s}{spc}  {ut.value}\\n\"",
  "            }",
  "        }",
  "        s := s ++ spc ++ \"Types:\"",
  "        for (types) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"Methods:\"",
  "        for (methods) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"type\"",
  "        if (self.generics.size > 0) then {",
  "            s := s ++ \"<\"",
  "            for (self.generics.indices) do { i ->",
  "                s := s ++ self.generics[i].value",
  "                if (i < self.generics.size) then {",
  "                    s := s ++ \", \"",
  "                }",
  "            }",
  "            s := s ++ \">\"",
  "        }",
  "        s := s ++ \" = \\{\"",
  "        for (self.methods) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        for (self.types) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        s ++ \"\\}\"",
  "    }",
  "}",
  "",
  "class typeDecNode.new(name', typeValue) {",
  "    inherits baseNode.new",
  "    def kind = \"typedec\"",
  "    def name = name'",
  "    def value = typeValue",
  "    def nameString:String is public = name.value",
  "    var annotations := collections.list.new",
  "    var generics := collections.list.new",
  "    ",
  "    method isConfidential {",
  "        if (annotations.size == 0) then { return false }",
  "        findAnnotation(self, \"confidential\")",
  "    }",
  "    method isPublic { isConfidential.not }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitTypeDec(self)) then {",
  "            value.accept(visitor)",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := typeDecNode.new(name, value.map(blk)before(blkBefore)after(blkAfter))",
  "        for (listMap(annotations, blk)before(blkBefore)after(blkAfter)) do {a->",
  "            n.annotations.push(a.map(blk)before(blkBefore)after(blkAfter))",
  "        }",
  "        n.generics := self.generics",
  "        n.line := line",
  "        n.linePos := linePos",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"TypeDec\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1) ++ \"\\n\"",
  "        if (generics.size > 0) then {",
  "            s := \"{s}{spc}Generic parameters:\\n\"",
  "            for (generics) do {ut->",
  "                s := \"{s}{spc}  {ut.value}\\n\"",
  "            }",
  "        }",
  "        s := s ++ spc ++ \"Value:\"",
  "        s := s ++ value.pretty(depth+2)",
  "        s := s ++ \"\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\"",
  "        s := \"type {self.name}\"",
  "        if (self.generics.size > 0) then {",
  "            s := s ++ \"<\"",
  "            for (self.generics.indices) do { i ->",
  "                s := s ++ self.generics[i].value",
  "                if (i < self.generics.size) then {",
  "                    s := s ++ \", \"",
  "                }",
  "            }",
  "            s := s ++ \">\"",
  "        }",
  "        s := s ++ \" = \" ++ value(toGrace(depth + 2))",
  "        s",
  "    }",
  "}",
  "",
  "class methodNode.new(name', signature', body', dtype') {",
  "    // [signature]",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := []",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := []",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     ...",
  "    //     object {",
  "    //         ...",
  "    //     }",
  "    inherits baseNode.new",
  "    def kind = \"method\"",
  "    def value = name'",
  "    def signature = signature'",
  "    def body = body'",
  "    var dtype := dtype'",
  "    var varargs := false",
  "    var generics := []",
  "    var selfclosure := false",
  "    def nameString:String is public = value.value",
  "    def annotations = collections.list.new",
  "    var properties := collections.map.new",
  "    ",
  "    method isConfidential {",
  "        if (annotations.size == 0) then { return false }",
  "        findAnnotation(self, \"confidential\")",
  "    }",
  "    method isPublic { isConfidential.not }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitMethod(self)) then {",
  "            self.value.accept(visitor)",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor)",
  "            }",
  "            for (self.signature) do { part ->",
  "                for (part.params) do { p ->",
  "                    p.accept(visitor)",
  "                }",
  "                if (part.vararg != false) then {",
  "                    part.vararg.accept(visitor)",
  "                }",
  "            }",
  "            for (self.body) do { mx ->",
  "                mx.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var dt := false",
  "        if (dtype != false) then {",
  "            dt := dtype.map(blk)before(blkBefore)after(blkAfter)",
  "        }",
  "        var n := methodNode.new(name', signature, listMap(body, blk)before(blkBefore)after(blkAfter), dt)",
  "        for (listMap(annotations, blk)before(blkBefore)after(blkAfter)) do {a->",
  "            n.annotations.push(a.map(blk)before(blkBefore)after(blkAfter))",
  "        }",
  "        for (listMap(generics, blk)before(blkBefore)after(blkAfter)) do {a->",
  "            n.generics.push(a.map(blk)before(blkBefore)after(blkAfter))",
  "        }",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method eachParameter(blk) {",
  "        for (signature) do {s->",
  "            for (s.params) do {p->",
  "                blk.apply(p)",
  "            }",
  "        }",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Method\\n\"",
  "        s := s ++ spc ++ \"Name: \" ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        if (false != self.dtype) then {",
  "            s := s ++ spc ++ \"Returns:\\n\" ++ spc ++ \"  \"",
  "            s := s ++ self.dtype.pretty(depth + 2) ++ \"\\n\"",
  "        }",
  "        s := \"{s}{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}Part: {part.name}\"",
  "            s := \"{s}\\n    {spc}Parameters:\"",
  "            for (part.params) do { p ->",
  "                s := \"{s}\\n      {spc}{p.pretty(depth + 4)}\"",
  "            }",
  "            if (part.vararg != false) then {",
  "                s := \"{s}\\n    {spc}Vararg: {part.vararg.pretty(depth + 3)}\"",
  "            }",
  "        }",
  "        s := s ++ \"\\n\"",
  "        if (false != generics) then {",
  "            s := \"{s}{spc}Generics:\"",
  "            for (generics) do {g->",
  "                s := \"{s}\\n{spc}  {g.pretty(0)}\"",
  "            }",
  "            s := s ++ \"\\n\"",
  "        }",
  "        if (annotations.size > 0) then {",
  "            s := \"{s}{spc}Annotations:\"",
  "            for (annotations) do {an->",
  "                s := \"{s}\\n{spc}  {an.pretty(depth + 2)}\"",
  "            }",
  "            s := s ++ \"\\n\"",
  "        }",
  "        s := s ++ spc ++ \"Body:\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method decType {",
  "        if (dtype == false) then {",
  "            return identifierNode.new(\"Unknown\", false)",
  "        }",
  "        return dtype",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"method \"",
  "        for (self.signature) do { part ->",
  "            s := s ++ part.name",
  "            if ((part.params.size > 0) || (part.vararg != false)) then {",
  "                s := s ++ \"(\"",
  "                for (part.params.indices) do { pnr ->",
  "                    var p := part.params[pnr]",
  "                    s := s ++ p.toGrace(depth + 1)",
  "                    if ((pnr < part.params.size) || (part.vararg != false)) then {",
  "                        s := s ++ \", \"",
  "                    }",
  "                }",
  "                if (part.vararg != false) then {",
  "                    s := s ++ \"*\" ++ part.vararg.value",
  "                }",
  "                s := s ++ \")\"",
  "            }",
  "        }",
  "        if (self.dtype != false) then {",
  "            s := s ++ \" -> {self.dtype.toGrace(0)}\"",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.reduce(\"\", { a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) })",
  "        }",
  "        s := s ++ \" \\{\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method asString { \"methodNode({nameString})\" }",
  "}",
  "class callNode.new(what, with') {",
  "    // [with]",
  "    //     object {",
  "    //         name := \"\"",
  "    //         args := []",
  "    //     }",
  "    //     object {",
  "    //         name := \"\"",
  "    //         args := []",
  "    //     }",
  "    //     ...",
  "    //     object {",
  "    //         ...",
  "    //     }",
  "    inherits baseNode.new",
  "    def kind = \"call\"",
  "    def value = what        // method being requested",
  "    def with = with'        // arguments",
  "    var generics := false",
  "    var isPattern := false",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitCall(self)) then {",
  "            self.value.accept(visitor)",
  "            for (self.with) do { part ->",
  "                for (part.args) do { arg ->",
  "                    arg.accept(visitor)",
  "                }",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := callNode.new(value.map(blk)before(blkBefore)after(blkAfter),",
  "            listMap(with, blk)before(blkBefore)after(blkAfter))",
  "        if (generics != false) then {",
  "            n.generics := listMap(generics, blk)before(blkBefore)after(blkAfter)",
  "        }",
  "        n.isPattern := isPattern",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Call\\n\"",
  "        s := s ++ spc ++ \"Method: {self.value.pretty(depth + 1)}\"",
  "        s := s ++ \"\\n\"",
  "        if (false != generics) then {",
  "            s := s ++ spc ++ \"  Generics:\\n\"",
  "            for (generics) do {g->",
  "                s := s ++ spc ++ \"    \" ++ g.pretty(0) ++ \"\\n\"",
  "            }",
  "        }",
  "        s := s ++ spc ++ \"Arguments:\"",
  "        for (self.with) do { part ->",
  "            s := s ++ \"\\n  \" ++ spc ++ \"Part: \" ++ part.name",
  "            for (part.args) do { arg ->",
  "                s := s ++ \"\\n    \" ++ spc ++ arg.pretty(depth + 3)",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\"",
  "        // only the last member is the method call we need to handle",
  "        if (self.value.kind == \"member\") then {",
  "            var member := self.value",
  "            if (member.value.substringFrom(1)to(6) == \"prefix\") then {",
  "                s := member.value.substringFrom(7)to(member.value.size)",
  "                return s ++ member.in.toGrace(0)",
  "            }",
  "            s := member.in.toGrace(0) ++ \".\"",
  "        }",
  "        for (self.with) do { part ->",
  "            s := s ++ part.name",
  "            if (part.args.size > 0) then {",
  "                s := s ++ \"(\"",
  "                for (part.args.indices) do { anr ->",
  "                    var arg := part.args[anr]",
  "                    s := s ++ arg.toGrace(depth + 1)",
  "                    if (anr < part.args.size) then {",
  "                        s := s ++ \", \"",
  "                    }",
  "                }",
  "                s := s ++ \")\"",
  "            }",
  "        }",
  "        s",
  "    }",
  "}",
  "class classNode.new(name', signature', body', superclass', constructor', dtype') {",
  "    // [signature]",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := []",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := []",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     ...",
  "    //     object {",
  "    //         ...",
  "    //     }",
  "    inherits baseNode.new",
  "    def kind = \"class\"",
  "    def value = body'",
  "    def name = name'",
  "    def constructor = constructor'",
  "    def signature = signature'",
  "    var dtype := dtype'",
  "    var generics := false",
  "    def superclass = superclass'",
  "    def annotations = collections.list.new",
  "    def nameString:String = name.value",
  "    var instanceMethods := collections.list.new",
  "    var data := false",
  "    ",
  "    method isPublic {",
  "        // assume that classes are public by default",
  "        if (annotations.size == 0) then { return true }",
  "        findAnnotation(self, \"confidential\").not",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitClass(self)) then {",
  "            self.name.accept(visitor)",
  "            self.constructor.accept(visitor)",
  "            if (self.superclass != false) then {",
  "                self.superclass.accept(visitor)",
  "            }",
  "            for (self.signature) do { part ->",
  "                for (part.params) do { p ->",
  "                    p.accept(visitor)",
  "                }",
  "                if (part.vararg != false) then {",
  "                    part.vararg.accept(visitor)",
  "                }",
  "            }",
  "            for (self.value) do { x ->",
  "                x.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := classNode.new(name.map(blk)before(blkBefore)after(blkAfter),",
  "            listMap(signature, blk)before(blkBefore)after(blkAfter), listMap(value, blk)before(blkBefore)after(blkAfter),",
  "            maybeMap(superclass, blk, blkBefore, blkAfter), constructor, dtype)",
  "        for (listMap(annotations, blk)before(blkBefore)after(blkAfter)) do {a->",
  "            n.annotations.push(a.map(blk)before(blkBefore)after(blkAfter))",
  "        }",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Class(\" ++ self.name.pretty(0) ++ \")\"",
  "        if (self.superclass != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Superclass:\"",
  "            s := s ++ \"\\n  \" ++ spc ++ self.superclass.pretty(depth + 2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s := \"{s}{spc}Constructor: {constructor.value}\\n\"",
  "        if(false != dtype) then {",
  "            s := \"{s}{spc}Returns:\\n  {spc}{dtype.pretty(depth + 2)}\\n\"",
  "        }",
  "        s := \"{s}{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}Part: {part.name}\"",
  "            s := \"{s}\\n    {spc}Parameters:\"",
  "            for (part.params) do { p ->",
  "                s := \"{s}\\n      {spc}{p.pretty(depth + 4)}\"",
  "            }",
  "            if (part.vararg != false) then {",
  "                s := \"{s}\\n    {spc}Vararg: {part.vararg.pretty(depth + 3)}\"",
  "            }",
  "        }",
  "        if (false != generics) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Generics:\"",
  "            for (generics) do {g->",
  "                s := s ++ \"\\n  {spc}{g.pretty(0)}\"",
  "            }",
  "        }",
  "        if (annotations.size > 0) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Annotations:\"",
  "            for (annotations) do {a->",
  "                s := s ++ \"\\n  {spc}{a.pretty(depth + 2)}\"",
  "            }",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"Body:\"",
  "        for (self.value) do { x ->",
  "            s := s ++ \"\\n  \"++ spc ++ x.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "",
  "    method decType {",
  "        if (dtype == false) then {",
  "            return identifierNode.new(\"Unknown\", false)",
  "        }",
  "        return dtype",
  "    }",
  "",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"class {self.name.toGrace(0)}\"",
  "        if (self.name.kind != \"generic\") then {",
  "            // TODO generics + new-style constructors aren't possible at the moment",
  "            s := s ++ \".\"",
  "            for (self.signature) do { part ->",
  "                s := s ++ part.name",
  "                if ((part.params.size > 0) || (part.vararg != false)) then {",
  "                    s := s ++ \"(\"",
  "                    for (part.params.indices) do { pnr ->",
  "                        var p := part.params[pnr]",
  "                        s := s ++ p.toGrace(depth + 1)",
  "                        if ((pnr < part.params.size) || (part.vararg != false)) then {",
  "                            s := s ++ \", \"",
  "                        }",
  "                    }",
  "                    if (part.vararg != false) then {",
  "                        s := s ++ \"*\" ++ part.vararg.value",
  "                    }",
  "                    s := s ++ \")\"",
  "                }",
  "            }",
  "        }",
  "        if(false != dtype) then {",
  "            s := \"{s} -> {dtype.toGrace(depth + 1)}\"",
  "        }",
  "        s := s ++ \" \\{\"",
  "        for (self.value) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "}",
  "class objectNode.new(body, superclass') {",
  "    inherits baseNode.new",
  "    def kind = \"object\"",
  "    def value = body",
  "    def superclass = superclass'",
  "    var otype := false",
  "    var classname := \"object\"",
  "    var data := false",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitObject(self)) then {",
  "            if (self.superclass != false) then {",
  "                self.superclass.accept(visitor)",
  "            }",
  "            for (self.value) do { x ->",
  "                x.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := objectNode.new(listMap(value,",
  "        blk)before(blkBefore)after(blkAfter), maybeMap(superclass, blk,",
  "        blkBefore, blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth') {",
  "        var depth := depth'",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Object\"",
  "        if (self.superclass != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Superclass:\"",
  "            s := s ++ \"\\n  \" ++ spc ++ self.superclass.pretty(depth + 1)",
  "            s := s ++ \"\\n\" ++ spc ++ \"Body:\"",
  "            depth := depth + 1",
  "        }",
  "        for (self.value) do { x ->",
  "            s := s ++ \"\\n\"++ spc ++ x.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"object \\{\"",
  "        for (self.value) do { x ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ x.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "}",
  "class arrayNode.new(values) {",
  "    inherits baseNode.new",
  "    def kind = \"array\"",
  "    def value = values",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitArray(self)) then {",
  "            for (self.value) do { ax ->",
  "                ax.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := arrayNode.new(listMap(value, blk)before(blkBefore)after(blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { ai ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Array\"",
  "        for (self.value) do { ax ->",
  "            s := s ++ \"\\n\"++ spc ++ ax.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"[\"",
  "        for (self.value.indices) do { i ->",
  "            s := s ++ self.value[i].toGrace(0)",
  "            if (i < self.value.size) then {",
  "                s := s ++ \", \"",
  "            }",
  "        }",
  "        s := s ++ \"]\"",
  "        s",
  "    }",
  "}",
  "class memberNode.new(what, in') {",
  "    inherits baseNode.new",
  "    def kind = \"member\"",
  "    var value := what",
  "    def in = in'",
  "",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitMember(self)) then {",
  "            self.in.accept(visitor)",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := memberNode.new(value, in.map(blk)before(blkBefore)after(blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Member(\" ++ self.value ++ \")\\n\"",
  "        s := s ++ spc ++ self.in.pretty(depth+1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        if (self.value.substringFrom(1)to(6) == \"prefix\") then {",
  "            s := self.value.substringFrom(7)to(self.value.size)",
  "            s := s ++ \" \" ++ self.in.toGrace(0)",
  "        } else {",
  "            s := self.in.toGrace(depth) ++ \".\" ++ self.value",
  "        }",
  "        s",
  "    }",
  "    method asString { \"Member({self.value})\" }",
  "}",
  "class genericNode.new(base, params') {",
  "    inherits baseNode.new",
  "    def kind = \"generic\"",
  "    def value = base",
  "    def params = params'",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitGeneric(self)) then {",
  "            self.value.accept(visitor)",
  "            for (self.params) do { p ->",
  "                p.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := genericNode.new(value.map(blk)before(blkBefore)after(blkAfter), listMap(params, blk)before(blkBefore)after(blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var s := \"Generic(\" ++ self.value.value ++ \"<\"",
  "        for (params) do {p->",
  "            s := s ++ p.pretty(0)",
  "            s := s ++ \",\"",
  "        }",
  "        s ++ \">)\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := self.value.value ++ \"<\"",
  "        for (self.params.indices) do { i ->",
  "            s := s ++ self.params[i].toGrace(0)",
  "            if (i < self.params.size) then {",
  "                s := s ++ \", \"",
  "            }",
  "        }",
  "        s := s ++ \">\"",
  "        s",
  "    }",
  "}",
  "class identifierNode.new(name, dtype') {",
  "    inherits baseNode.new",
  "    def kind = \"identifier\"",
  "    var value := name",
  "    var wildcard := false",
  "    var dtype := dtype'",
  "    var inBind := false",
  "    var inRequest := false",
  "    def nameString:String is public = name",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitIdentifier(self)) then {",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        util.setPosition(line, linePos)",
  "        var n := identifierNode.new(value, maybeMap(dtype, blk, blkBefore,",
  "        blkAfter))",
  "        n.wildcard := wildcard",
  "        n.inBind := inBind",
  "        n.inRequest := inRequest",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        if (n.kind == \"identifier\") then {",
  "            n.linePos := linePos",
  "            n.wildcard := wildcard",
  "            n.inBind := inBind",
  "            n.inRequest := inRequest",
  "        }",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s",
  "        if(self.wildcard) then {",
  "            s := \"WildcardIdentifier\"",
  "        } else {",
  "            s := \"Identifier(\" ++ self.value ++ \")\"",
  "        }",
  "        if (self.dtype != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Type:\"",
  "            s := s ++ \"\\n\" ++ spc ++ \"  \" ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        s",
  "    }",
  "    method decType {",
  "        if (dtype == false) then {",
  "            return identifierNode.new(\"Unknown\", false)",
  "        }",
  "        return dtype",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s",
  "        if(self.wildcard) then {",
  "            s := \"_\"",
  "        } else {",
  "            s := self.value",
  "        }",
  "        if (self.dtype != false) then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(depth + 1)",
  "        }",
  "        s",
  "    }",
  "    method asString {",
  "        \"<Identifier[{value}]>\"",
  "    }",
  "}",
  "class octetsNode.new(n) {",
  "    inherits baseNode.new",
  "    def kind = \"octets\"",
  "    def value = n",
  "    method accept(visitor : ASTVisitor) {",
  "        visitor.visitOctets(self)",
  "    }",
  "    method pretty(depth) {",
  "        \"Octets(\" ++ self.value ++ \")\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        self.value",
  "    }",
  "}",
  "class stringNode.new(v) {",
  "    inherits baseNode.new",
  "    def kind = \"string\"",
  "    var value := v",
  "    method accept(visitor : ASTVisitor) {",
  "        visitor.visitString(self)",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := blk.apply(self)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        \"String(\" ++ self.value ++ \")\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\\\"\"",
  "        for (self.value) do { c ->",
  "            // TODO: what escapes are missing?",
  "            if (c == \"\\n\") then {",
  "                s := s ++ \"\\\\n\"",
  "            } elseif (c == \"\\t\") then {",
  "                s := s ++ \"\\\\t\"",
  "            } elseif (c == \"\\\"\") then {",
  "                s := s ++ \"\\\\\\\"\"",
  "            } elseif (c == \"\\\\\") then {",
  "                s := s ++ \"\\\\\\\\\"",
  "            } else {",
  "                s := s ++ c",
  "            }",
  "        }",
  "        s := s ++ \"\\\"\"",
  "        s",
  "    }",
  "}",
  "class numNode.new(val) {",
  "    inherits baseNode.new",
  "    def kind = \"num\"",
  "    def value = val",
  "    method accept(visitor : ASTVisitor) {",
  "        visitor.visitNum(self)",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := blk.apply(self)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        \"Num(\" ++ self.value ++ \")\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        self.value.asString",
  "    }",
  "}",
  "class opNode.new(op, l, r) {",
  "    inherits baseNode.new",
  "    def kind = \"op\"",
  "    def value = op",
  "    def left = l",
  "    def right = r",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitOp(self)) then {",
  "            self.left.accept(visitor)",
  "            self.right.accept(visitor)",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := opNode.new(value, left.map(blk)before(blkBefore)after(blkAfter), right.map(blk)before(blkBefore)after(blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Op(\" ++ self.value ++ \")\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.left.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.right.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        if ((self.left.kind == \"op\") && (self.left.value != self.value)) then {",
  "            s := \"(\" ++ self.left.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := self.left.toGrace(0)",
  "        }",
  "        if (self.value == \"..\") then {",
  "            s := s ++ self.value",
  "        } else {",
  "            s := s ++ \" \" ++ self.value ++ \" \"",
  "        }",
  "        if ((self.right.kind == \"op\") && (self.right.value != self.value)) then {",
  "            s := s ++ \"(\" ++ self.right.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := s ++ self.right.toGrace(0)",
  "        }",
  "        s",
  "    }",
  "}",
  "class indexNode.new(expr, index') {",
  "    // an expression in square brackets",
  "    inherits baseNode.new",
  "    def kind = \"index\"",
  "    def value = expr",
  "    def index = index'",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitIndex(self)) then {",
  "            self.value.accept(visitor)",
  "            self.index.accept(visitor)",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := indexNode.new(value.map(blk)before(blkBefore)after(blkAfter), index.map(blk)before(blkBefore)after(blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Index\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.index.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := self.value.toGrace(depth + 1)",
  "        s := s ++ \"[\" ++ self.index.toGrace(depth + 1) ++ \"]\"",
  "        s",
  "    }",
  "}",
  "class bindNode.new(dest', val') {",
  "    // an assignment, or a setter method request",
  "    inherits baseNode.new",
  "    def kind = \"bind\"",
  "    def dest = dest'",
  "    def value = val'",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitBind(self)) then {",
  "            self.dest.accept(visitor)",
  "            self.value.accept(visitor)",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := bindNode.new(dest.map(blk)before(blkBefore)after(blkAfter), value.map(blk)before(blkBefore)after(blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Bind\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.dest.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := self.dest.toGrace(depth + 1)",
  "        s := s ++ \" := \" ++ self.value.toGrace(depth + 1)",
  "        s",
  "    }",
  "}",
  "class defDecNode.new(name', val, dtype') {",
  "    inherits baseNode.new",
  "    def kind = \"defdec\"",
  "    def name = name'",
  "    def value = val",
  "    var dtype := dtype'",
  "    def nameString:String is public = name.value",
  "    def annotations = collections.list.new",
  "    var data := false",
  "    var startToken := false",
  "    method isPublic {",
  "        // defs are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitDefDec(self)) then {",
  "            self.name.accept(visitor)",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor)",
  "            }",
  "            if (self.value != false) then {",
  "                self.value.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := defDecNode.new(name, value.map(blk)before(blkBefore)after(blkAfter),",
  "            maybeMap(dtype, blk, blkBefore, blkAfter))",
  "        for (listMap(annotations, blk)before(blkBefore)after(blkAfter)) do {a->",
  "            n.annotations.push(a.map(blk)before(blkBefore)after(blkAfter))",
  "        }",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"DefDec\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth)",
  "        if (self.dtype != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Type:\"",
  "            s := s ++ \"\\n\" ++ spc ++ \"  \" ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        }",
  "        s",
  "    }",
  "    method decType {",
  "        if (dtype == false) then {",
  "            return identifierNode.new(\"Unknown\", false)",
  "        }",
  "        return dtype",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"def {self.name.toGrace(0)}\"",
  "        if (self.dtype.value != \"Unknown\") then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.reduce(\"\", { a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) })",
  "        }",
  "        if (self.value != false) then {",
  "            s := s ++ \" = \" ++ self.value.toGrace(depth)",
  "        }",
  "        s",
  "    }",
  "}",
  "class varDecNode.new(name', val', dtype') {",
  "    inherits baseNode.new",
  "    def kind = \"vardec\"",
  "    def name = name'",
  "    def value = val'",
  "    var dtype := dtype'",
  "    def nameString:String is public = name.value",
  "    def annotations = collections.list.new",
  "",
  "    method isPublic {",
  "        // vars are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method isWritable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"writable\")) then { return true }",
  "        false",
  "    }",
  "    method isReadable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"readable\")) then { return true }",
  "        false",
  "    }",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitVarDec(self)) then {",
  "            self.name.accept(visitor)",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor)",
  "            }",
  "            if (self.value != false) then {",
  "                self.value.accept(visitor)",
  "            }",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := varDecNode.new(name, maybeMap(value, blk,",
  "                blkBefore, blkAfter),",
  "            maybeMap(dtype, blk, blkBefore, blkAfter))",
  "        for (listMap(annotations, blk)before(blkBefore)after(blkAfter)) do {a->",
  "            n.annotations.push(a.map(blk)before(blkBefore)after(blkAfter))",
  "        }",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for ((0..depth)) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"VarDec\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1)",
  "        if (self.dtype != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Type: \"",
  "            s := s ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Value: \"",
  "            s := s ++ self.value.pretty(depth + 2)",
  "        }",
  "        s",
  "    }",
  "    method decType {",
  "        if (dtype == false) then {",
  "            return identifierNode.new(\"Unknown\", false)",
  "        }",
  "        return dtype",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"var {self.name.toGrace(0)}\"",
  "        if (self.dtype.value != \"Unknown\") then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.reduce(\"\", { a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) })",
  "        }",
  "        if (self.value != false) then {",
  "            s := s ++ \" := \" ++ self.value.toGrace(depth)",
  "        }",
  "        s",
  "    }",
  "}",
  "class importNode.new(path', name) {",
  "    inherits baseNode.new",
  "    def kind = \"import\"",
  "    def value = name",
  "    def path = path'",
  "    def annotations = collections.list.new",
  "    var dtype := false",
  "    def linePos = 1",
  "    def nameString:String = value",
  "    ",
  "    method isPublic {",
  "        // imports are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "    method accept(visitor : ASTVisitor) {",
  "        visitor.visitImport(self)",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := blk.apply(self)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Import\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {self.path}\\n\"",
  "        s := s ++ \"{spc}Identifier: {self.value}\\n\"",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \"{spc}Anotations: {self.annotations}\\n\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"import \\\"{self.path}\\\" as {self.value}\"",
  "    }",
  "}",
  "class dialectNode.new(path') {",
  "    inherits baseNode.new",
  "    def kind = \"dialect\"",
  "    def value = path'",
  "    method accept(visitor : ASTVisitor) {",
  "        visitor.visitDialect(self)",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := blk.apply(self)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Dialect\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {self.value}\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"dialect \\\"{self.value}\\\"\"",
  "    }",
  "}",
  "class returnNode.new(expr) {",
  "    inherits baseNode.new",
  "    def kind = \"return\"",
  "    def value = expr",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitReturn(self)) then {",
  "            self.value.accept(visitor)",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := returnNode.new(value.map(blk)before(blkBefore)after(blkAfter))",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Return\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"return \" ++ self.value.toGrace(depth)",
  "    }",
  "}",
  "class inheritsNode.new(expr) {",
  "    inherits baseNode.new",
  "    def kind = \"inherits\"",
  "    def value = expr",
  "    def providedNames is public = list.empty",
  "    method accept(visitor : ASTVisitor) {",
  "        if (visitor.visitInherits(self)) then {",
  "            self.value.accept(visitor)",
  "        }",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := inheritsNode.new(value.map(blk)before(blkBefore)after(blkAfter))",
  "        n.providedNames.addAll(providedNames)",
  "        n := blk.apply(n)",
  "        n.line := line",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"Inherits\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        if (providedNames.isEmpty.not) then {",
  "            s := s ++ \"\\n Provided names: \"",
  "            s := s ++ spc ++ providedNames.asString",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"inherits {self.value.toGrace(0)}\"",
  "    }",
  "    method nameString { value.toGrace(0) }",
  "}",
  "class blankNode.new {",
  "    inherits baseNode.new",
  "    def kind = \"blank\"",
  "    def value = \"blank\"",
  "    method accept(visitor : ASTVisitor) {",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        self",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "    method pretty(depth) {",
  "        \"Blank\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"\"",
  "    }",
  "}",
  "",
  "class signaturePart.new(*values) {",
  "    inherits baseNode.new",
  "    def kind = \"signaturepart\"",
  "    var name := \"\"",
  "    var params := []",
  "    var vararg := false",
  "    var generics := []",
  "    if (values.size > 0) then {",
  "        name := values[1]",
  "    }",
  "    if (values.size > 1) then {",
  "        params := values[2]",
  "    }",
  "    if (values.size > 2) then {",
  "        vararg := values[3]",
  "    }",
  "    method map(blk)before(blkBefore)after(blkAfter) {",
  "        blkBefore.apply(self)",
  "        var n := signaturePart.new(name, listMap(params, blk)before(blkBefore)after(blkAfter), vararg)",
  "        n := blk.apply(n)",
  "        blkAfter.apply(n)",
  "        n",
  "    }",
  "    method map(blk) {",
  "        map(blk)before {} after {}",
  "    }",
  "}",
  "",
  "method callWithPart {",
  "    object {",
  "        method new(*values) {",
  "            object {",
  "                inherits baseNode.new",
  "                def kind = \"callwithpart\"",
  "                var name := \"\"",
  "                var args := []",
  "                if (values.size > 0) then {",
  "                    name := values[1]",
  "                }",
  "                if (values.size > 1) then {",
  "                    args := values[2]",
  "                }",
  "                method map(blk)before(blkBefore)after(blkAfter) {",
  "                    blkBefore.apply(self)",
  "                    var n := callWithPart.new(name, listMap(args, blk)before(blkBefore)after(blkAfter))",
  "                    n := blk.apply(n)",
  "                    blkAfter.apply(n)",
  "                    n",
  "                }",
  "                method map(blk) {",
  "                    map(blk)before {} after {}",
  "                }",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "type ASTVisitor = {",
  "     visitFor(o) -> Boolean",
  "     visitWhile(o) -> Boolean",
  "     visitIf(o) -> Boolean",
  "     visitBlock(o) -> Boolean",
  "     visitMatchCase(o) -> Boolean",
  "     visitCatchCase(o) -> Boolean",
  "     visitMethodType(o) -> Boolean",
  "     visitTypeLiteral(o) -> Boolean",
  "     visitTypeDec(o) -> Boolean",
  "     visitMethod(o) -> Boolean",
  "     visitCall(o) -> Boolean",
  "     visitClass(o) -> Boolean",
  "     visitObject(o) -> Boolean",
  "     visitArray(o) -> Boolean",
  "     visitMember(o) -> Boolean",
  "     visitGeneric(o) -> Boolean",
  "     visitIdentifier(o) -> Boolean",
  "     visitOctets(o) -> Boolean",
  "     visitString(o) -> Boolean",
  "     visitNum(o) -> Boolean",
  "     visitOp(o) -> Boolean",
  "     visitIndex(o) -> Boolean",
  "     visitBind(o) -> Boolean",
  "     visitDefDec(o) -> Boolean",
  "     visitVarDec(o) -> Boolean",
  "     visitImport(o) -> Boolean",
  "     visitReturn(o) -> Boolean",
  "     visitInherits(o) -> Boolean",
  "     visitDialect(o) -> Boolean",
  "}",
  "method baseVisitor -> ASTVisitor {",
  "    object {",
  "        method visitFor(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitWhile(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitIf(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitBlock(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitMatchCase(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitCatchCase(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitMethodType(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitTypeDec(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitTypeLiteral(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitMethod(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitCall(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitClass(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitObject(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitArray(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitMember(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitGeneric(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitIdentifier(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitOctets(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitString(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitNum(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitOp(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitIndex(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitBind(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitDefDec(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitVarDec(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitImport(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitReturn(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitInherits(o) -> Boolean {",
  "            true",
  "        }",
  "        method visitDialect(o) -> Boolean {",
  "            true",
  "        }",
  "    }",
  "}",
  "def ast = self",
  "def patternMarkVisitor = object {",
  "    inherits ast.baseVisitor",
  "    method visitCall(c) {",
  "        c.isPattern := true",
  "        true",
  "    }",
  "}",
  "",
  "method findAnnotation(node, annName) {",
  "    for (node.annotations) do {ann->",
  "        if ((ann.kind == \"identifier\").andAlso {",
  "            ann.value == annName }) then {",
  "            return object {",
  "                inherits true",
  "                def value is public = ann",
  "            }",
  "        }",
  "    }",
  "    false",
  "}",
  NULL
};
Object reader_ast_outer_24(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_27(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_28(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_29(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_29(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_args_30(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_args_30(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_97(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_181(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_value_182(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_189(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_192(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_register_193(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_register_193(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_line_194(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_line_194(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_linePos_195(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_linePos_195(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_lineLength_196(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_lineLength_196(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_228(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_231(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_232(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_body_234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_outer_362(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_365(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_366(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_367(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_body_368(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_outer_537(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_540(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_541(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_542(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_thenblock_543(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_elseblock_544(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_handledIdentifiers_545(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_handledIdentifiers_545(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_854(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_857(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_858(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_859(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_params_860(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_body_861(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_selfclosure_862(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_matchingPattern_863(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_matchingPattern_863(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_extraRuntimeData_864(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_extraRuntimeData_864(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_1230(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1235(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_cases_1236(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_finally_1237(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_outer_1521(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1524(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1525(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1526(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_cases_1527(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_elsecase_1528(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_outer_1812(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1815(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1816(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1817(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_signature_1818(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_rtype_1819(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_generics_1820(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_generics_1820(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_nameString_1821(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_ast_outer_2290(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2293(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2294(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_methods_2295(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_types_2296(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_generics_2297(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_generics_2297(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nominal_2298(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_nominal_2298(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_anonymous_2299(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_anonymous_2299(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_value_2300(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_value_2300(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_2688(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2691(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2692(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_2693(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_value_2694(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_nameString_2695(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_annotations_2696(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_annotations_2696(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_generics_2697(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_generics_2697(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_3021(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3024(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3025(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_3026(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_signature_3027(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_body_3028(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_dtype_3029(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_dtype_3029(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_varargs_3030(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_varargs_3030(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_generics_3031(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_generics_3031(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_selfclosure_3032(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_selfclosure_3032(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_nameString_3033(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object reader_ast_annotations_3034(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[10];
}
Object reader_ast_properties_3035(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[11];
}
Object writer_ast_properties_3035(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[11] = args[0];
  return done;
}
Object reader_ast_outer_3883(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3886(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3887(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_3888(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_with_3889(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_generics_3890(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_generics_3890(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isPattern_3891(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isPattern_3891(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_4259(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_4262(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_4263(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_4264(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_name_4265(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_constructor_4266(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_signature_4267(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_dtype_4268(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_dtype_4268(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_generics_4269(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_generics_4269(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_superclass_4270(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object reader_ast_annotations_4271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object reader_ast_nameString_4272(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[10];
}
Object reader_ast_instanceMethods_4273(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[11];
}
Object writer_ast_instanceMethods_4273(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[11] = args[0];
  return done;
}
Object reader_ast_data_4274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[12];
}
Object writer_ast_data_4274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[12] = args[0];
  return done;
}
Object reader_ast_outer_5113(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5116(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5117(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5118(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_superclass_5119(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_otype_5120(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_otype_5120(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_classname_5121(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_classname_5121(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_data_5122(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_data_5122(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_5352(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5355(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5356(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_5488(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5491(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5492(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5493(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_5493(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_in_5494(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_outer_5640(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5643(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5644(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5645(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_params_5646(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_outer_5787(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5790(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5791(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5792(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_5792(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_wildcard_5793(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_wildcard_5793(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_5794(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_5794(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_inBind_5795(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_inBind_5795(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_inRequest_5796(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_inRequest_5796(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_nameString_5797(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object reader_ast_outer_6027(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6030(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6031(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6032(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_6056(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6059(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6060(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6061(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6061(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_6160(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6163(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6164(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6165(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_6211(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6214(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6215(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6216(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_left_6217(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_right_6218(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_outer_6453(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6456(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6457(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6458(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_index_6459(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_outer_6614(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6617(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6618(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_dest_6619(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_value_6620(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_outer_6771(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6774(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6775(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_6776(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_value_6777(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_dtype_6778(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_6778(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_6779(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_6780(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_ast_data_6781(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_data_6781(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_startToken_6782(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_startToken_6782(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_outer_7149(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7152(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7153(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_7154(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_value_7155(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_dtype_7156(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_7156(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_7157(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_7158(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_ast_outer_7579(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7582(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7583(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7584(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_path_7585(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_annotations_7586(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_dtype_7587(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_dtype_7587(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_linePos_7588(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_ast_nameString_7589(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object reader_ast_outer_7773(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7776(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7777(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7778(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_7862(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7865(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7866(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7867(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_7955(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7958(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7959(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7960(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_providedNames_7961(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_ast_outer_8093(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8096(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8097(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_8098(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_8121(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8124(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8125(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_8126(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_8126(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_params_8127(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_8127(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_vararg_8128(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_vararg_8128(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_generics_8129(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_generics_8129(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_8207(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static ClassData objclass23;
static ClassData objclass26;
static Object strlit68;
static Object strlit69;
static ClassData objclass96;
static Object strlit174;
static ClassData objclass180;
Object module_util;
Object module_util_init();
Object module_mgcollections;
Object module_mgcollections_init();
static ClassData objclass188;
static ClassData objclass191;
static Object strlit199;
static Object strlit205;
static Object strlit219;
static ClassData objclass227;
static ClassData objclass230;
static Object strlit248;
static Object strlit257;
static Object strlit263;
static Object strlit280;
static Object strlit285;
static Object strlit303;
static Object strlit308;
static Object strlit316;
static Object strlit329;
static Object strlit336;
static Object strlit345;
static Object strlit358;
static ClassData objclass361;
static ClassData objclass364;
static Object strlit387;
static Object strlit396;
static Object strlit402;
static Object strlit419;
static Object strlit424;
static Object strlit447;
static Object strlit456;
static Object strlit469;
static Object strlit476;
static Object strlit488;
static Object strlit505;
static Object strlit510;
static Object strlit520;
static Object strlit525;
static Object strlit533;
static ClassData objclass536;
static ClassData objclass539;
static Object strlit620;
static Object strlit629;
static Object strlit635;
static Object strlit652;
static Object strlit657;
static Object strlit680;
static Object strlit689;
static Object strlit694;
static Object strlit717;
static Object strlit726;
static Object strlit739;
static Object strlit746;
static Object strlit755;
static Object strlit772;
static Object strlit777;
static Object strlit796;
static Object strlit801;
static Object strlit821;
static Object strlit826;
static Object strlit836;
static Object strlit841;
static Object strlit849;
static ClassData objclass853;
static ClassData objclass856;
static Object strlit955;
static Object strlit964;
static Object strlit970;
static Object strlit972;
static Object strlit995;
static Object strlit1004;
static Object strlit1009;
static Object strlit1032;
static Object strlit1048;
static Object strlit1053;
static Object strlit1073;
static Object strlit1080;
static Object strlit1093;
static Object strlit1099;
static Object strlit1110;
static Object strlit1132;
static Object strlit1140;
static Object strlit1162;
static Object strlit1167;
static Object strlit1187;
static Object strlit1192;
static Object strlit1202;
static Object strlit1207;
static Object strlit1215;
static Object strlit1216;
static ClassData objclass1229;
static ClassData objclass1232;
static Object strlit1305;
static Object strlit1314;
static Object strlit1320;
static Object strlit1343;
static Object strlit1354;
static Object strlit1359;
static Object strlit1363;
static Object strlit1384;
static Object strlit1397;
static Object strlit1402;
static Object strlit1406;
static Object strlit1417;
static Object strlit1430;
static Object strlit1437;
static Object strlit1446;
static Object strlit1463;
static Object strlit1466;
static Object strlit1471;
static Object strlit1499;
static Object strlit1502;
static Object strlit1507;
static Object strlit1517;
static ClassData objclass1520;
static ClassData objclass1523;
static Object strlit1598;
static Object strlit1607;
static Object strlit1613;
static Object strlit1634;
static Object strlit1645;
static Object strlit1650;
static Object strlit1654;
static Object strlit1675;
static Object strlit1688;
static Object strlit1693;
static Object strlit1697;
static Object strlit1708;
static Object strlit1721;
static Object strlit1728;
static Object strlit1737;
static Object strlit1754;
static Object strlit1757;
static Object strlit1762;
static Object strlit1790;
static Object strlit1793;
static Object strlit1798;
static Object strlit1808;
static ClassData objclass1811;
static ClassData objclass1814;
static Object strlit1824;
static Object strlit1831;
static Object strlit1837;
static Object strlit1928;
static Object strlit1937;
static Object strlit1943;
static Object strlit1945;
static Object strlit1952;
static Object strlit1957;
static Object strlit1961;
static Object strlit1977;
static Object strlit1990;
static Object strlit1995;
static Object strlit2000;
static Object strlit2004;
static Object strlit2015;
static Object strlit2020;
static Object strlit2024;
static Object strlit2036;
static Object strlit2043;
static Object strlit2048;
static Object strlit2052;
static Object strlit2061;
static Object strlit2066;
static Object strlit2070;
static Object strlit2082;
static Object strlit2093;
static Object strlit2098;
static Object strlit2102;
static Object strlit2120;
static Object strlit2133;
static Object strlit2138;
static Object strlit2142;
static Object strlit2153;
static Object strlit2184;
static Object strlit2226;
static Object strlit2246;
static Object strlit2252;
static Object strlit2276;
static Object strlit2283;
static ClassData objclass2289;
static ClassData objclass2292;
static Object strlit2312;
static Object strlit2319;
static Object strlit2325;
static Object strlit2396;
static Object strlit2405;
static Object strlit2411;
static Object strlit2422;
static Object strlit2427;
static Object strlit2431;
static Object strlit2443;
static Object strlit2450;
static Object strlit2455;
static Object strlit2459;
static Object strlit2470;
static Object strlit2493;
static Object strlit2502;
static Object strlit2507;
static Object strlit2529;
static Object strlit2538;
static Object strlit2543;
static Object strlit2556;
static Object strlit2562;
static Object strlit2573;
static Object strlit2602;
static Object strlit2609;
static Object strlit2614;
static Object strlit2632;
static Object strlit2637;
static Object strlit2660;
static Object strlit2665;
static Object strlit2675;
static Object strlit2680;
static Object strlit2684;
static ClassData objclass2687;
static ClassData objclass2690;
static Object strlit2710;
static Object strlit2788;
static Object strlit2797;
static Object strlit2803;
static Object strlit2805;
static Object strlit2833;
static Object strlit2838;
static Object strlit2842;
static Object strlit2854;
static Object strlit2861;
static Object strlit2866;
static Object strlit2870;
static Object strlit2881;
static Object strlit2901;
static Object strlit2906;
static Object strlit2919;
static Object strlit2925;
static Object strlit2927;
static Object strlit2933;
static Object strlit2947;
static Object strlit2976;
static Object strlit2983;
static Object strlit2998;
static Object strlit3005;
static ClassData objclass3020;
static ClassData objclass3023;
static Object strlit3048;
static Object strlit3221;
static Object strlit3230;
static Object strlit3236;
static Object strlit3248;
static Object strlit3257;
static Object strlit3269;
static Object strlit3274;
static Object strlit3284;
static Object strlit3300;
static Object strlit3305;
static Object strlit3309;
static Object strlit3321;
static Object strlit3328;
static Object strlit3333;
static Object strlit3337;
static Object strlit3346;
static Object strlit3351;
static Object strlit3355;
static Object strlit3367;
static Object strlit3378;
static Object strlit3383;
static Object strlit3387;
static Object strlit3405;
static Object strlit3418;
static Object strlit3423;
static Object strlit3427;
static Object strlit3438;
static Object strlit3450;
static Object strlit3455;
static Object strlit3459;
static Object strlit3471;
static Object strlit3479;
static Object strlit3484;
static Object strlit3488;
static Object strlit3499;
static Object strlit3513;
static Object strlit3518;
static Object strlit3522;
static Object strlit3534;
static Object strlit3545;
static Object strlit3550;
static Object strlit3554;
static Object strlit3565;
static Object strlit3570;
static Object strlit3593;
static Object strlit3610;
static Object strlit3616;
static Object strlit3629;
static Object strlit3635;
static Object strlit3666;
static Object strlit3708;
static Object strlit3728;
static Object strlit3734;
static Object strlit3749;
static Object strlit3758;
static Object strlit3774;
static Object strlit3780;
static Object strlit3790;
static Object strlit3794;
static Object strlit3797;
static Object strlit3807;
static Object strlit3825;
static Object strlit3830;
static Object strlit3840;
static Object strlit3845;
static Object strlit3853;
static Object strlit3859;
static Object strlit3864;
static ClassData objclass3882;
static ClassData objclass3885;
static Object strlit3973;
static Object strlit3982;
static Object strlit3988;
static Object strlit3991;
static Object strlit4003;
static Object strlit4013;
static Object strlit4025;
static Object strlit4038;
static Object strlit4046;
static Object strlit4058;
static Object strlit4075;
static Object strlit4080;
static Object strlit4103;
static Object strlit4114;
static Object strlit4127;
static Object strlit4133;
static Object strlit4136;
static Object strlit4147;
static Object strlit4175;
static Object strlit4205;
static Object strlit4238;
static Object strlit4245;
static Object strlit4253;
static ClassData objclass4258;
static ClassData objclass4261;
static Object strlit4288;
static Object strlit4434;
static Object strlit4443;
static Object strlit4450;
static Object strlit4459;
static Object strlit4470;
static Object strlit4475;
static Object strlit4494;
static Object strlit4501;
static Object strlit4506;
static Object strlit4515;
static Object strlit4520;
static Object strlit4524;
static Object strlit4540;
static Object strlit4553;
static Object strlit4558;
static Object strlit4563;
static Object strlit4567;
static Object strlit4578;
static Object strlit4583;
static Object strlit4587;
static Object strlit4599;
static Object strlit4606;
static Object strlit4611;
static Object strlit4615;
static Object strlit4624;
static Object strlit4629;
static Object strlit4633;
static Object strlit4645;
static Object strlit4656;
static Object strlit4661;
static Object strlit4665;
static Object strlit4683;
static Object strlit4696;
static Object strlit4701;
static Object strlit4705;
static Object strlit4723;
static Object strlit4728;
static Object strlit4741;
static Object strlit4749;
static Object strlit4753;
static Object strlit4773;
static Object strlit4778;
static Object strlit4791;
static Object strlit4802;
static Object strlit4806;
static Object strlit4817;
static Object strlit4822;
static Object strlit4844;
static Object strlit4861;
static Object strlit4867;
static Object strlit4880;
static Object strlit4887;
static Object strlit4896;
static Object strlit4901;
static Object strlit4909;
static Object strlit4943;
static Object strlit4985;
static Object strlit5005;
static Object strlit5011;
static Object strlit5025;
static Object strlit5038;
static Object strlit5042;
static Object strlit5049;
static Object strlit5067;
static Object strlit5072;
static Object strlit5082;
static Object strlit5087;
static Object strlit5095;
static ClassData objclass5112;
static ClassData objclass5115;
static Object strlit5187;
static Object strlit5196;
static Object strlit5202;
static Object strlit5211;
static Object strlit5216;
static Object strlit5235;
static Object strlit5242;
static Object strlit5247;
static Object strlit5274;
static Object strlit5283;
static Object strlit5296;
static Object strlit5302;
static Object strlit5317;
static Object strlit5322;
static Object strlit5332;
static Object strlit5337;
static Object strlit5345;
static Object strlit5347;
static ClassData objclass5351;
static ClassData objclass5354;
static Object strlit5403;
static Object strlit5412;
static Object strlit5418;
static Object strlit5435;
static Object strlit5444;
static Object strlit5471;
static Object strlit5478;
static Object strlit5484;
static ClassData objclass5487;
static ClassData objclass5490;
static Object strlit5533;
static Object strlit5542;
static Object strlit5549;
static Object strlit5555;
static Object strlit5574;
static Object strlit5577;
static Object strlit5604;
static Object strlit5614;
static Object strlit5625;
static Object strlit5631;
static Object strlit5636;
static ClassData objclass5639;
static ClassData objclass5642;
static Object strlit5701;
static Object strlit5709;
static Object strlit5725;
static Object strlit5732;
static Object strlit5737;
static Object strlit5770;
static Object strlit5777;
static Object strlit5783;
static ClassData objclass5786;
static ClassData objclass5789;
static Object strlit5855;
static Object strlit5888;
static Object strlit5897;
static Object strlit5906;
static Object strlit5909;
static Object strlit5915;
static Object strlit5927;
static Object strlit5932;
static Object strlit5949;
static Object strlit5954;
static Object strlit5970;
static Object strlit5979;
static Object strlit6002;
static Object strlit6009;
static Object strlit6015;
static Object strlit6020;
static ClassData objclass6026;
static ClassData objclass6029;
static Object strlit6038;
static Object strlit6044;
static Object strlit6052;
static ClassData objclass6055;
static ClassData objclass6058;
static Object strlit6087;
static Object strlit6093;
static Object strlit6097;
static Object strlit6105;
static Object strlit6109;
static Object strlit6115;
static Object strlit6119;
static Object strlit6125;
static Object strlit6129;
static Object strlit6135;
static Object strlit6139;
static Object strlit6150;
static Object strlit6156;
static ClassData objclass6159;
static ClassData objclass6162;
static Object strlit6191;
static Object strlit6197;
static Object strlit6207;
static ClassData objclass6210;
static ClassData objclass6213;
static Object strlit6265;
static Object strlit6274;
static Object strlit6281;
static Object strlit6287;
static Object strlit6291;
static Object strlit6311;
static Object strlit6331;
static Object strlit6345;
static Object strlit6354;
static Object strlit6363;
static Object strlit6375;
static Object strlit6387;
static Object strlit6394;
static Object strlit6413;
static Object strlit6422;
static Object strlit6432;
static Object strlit6449;
static ClassData objclass6452;
static ClassData objclass6455;
static Object strlit6504;
static Object strlit6513;
static Object strlit6519;
static Object strlit6521;
static Object strlit6541;
static Object strlit6561;
static Object strlit6574;
static Object strlit6589;
static Object strlit6602;
static Object strlit6610;
static ClassData objclass6613;
static ClassData objclass6616;
static Object strlit6665;
static Object strlit6674;
static Object strlit6680;
static Object strlit6682;
static Object strlit6702;
static Object strlit6722;
static Object strlit6735;
static Object strlit6760;
static Object strlit6767;
static ClassData objclass6770;
static ClassData objclass6773;
static Object strlit6796;
static Object strlit6804;
static Object strlit6902;
static Object strlit6911;
static Object strlit6917;
static Object strlit6919;
static Object strlit6942;
static Object strlit6947;
static Object strlit6964;
static Object strlit6969;
static Object strlit6984;
static Object strlit7012;
static Object strlit7018;
static Object strlit7031;
static Object strlit7038;
static Object strlit7047;
static Object strlit7052;
static Object strlit7067;
static Object strlit7082;
static Object strlit7088;
static Object strlit7098;
static Object strlit7102;
static Object strlit7105;
static Object strlit7128;
static Object strlit7135;
static ClassData objclass7148;
static ClassData objclass7151;
static Object strlit7172;
static Object strlit7180;
static Object strlit7199;
static Object strlit7208;
static Object strlit7229;
static Object strlit7238;
static Object strlit7337;
static Object strlit7346;
static Object strlit7352;
static Object strlit7354;
static Object strlit7381;
static Object strlit7386;
static Object strlit7412;
static Object strlit7417;
static Object strlit7444;
static Object strlit7450;
static Object strlit7463;
static Object strlit7470;
static Object strlit7479;
static Object strlit7484;
static Object strlit7499;
static Object strlit7514;
static Object strlit7520;
static Object strlit7530;
static Object strlit7534;
static Object strlit7537;
static Object strlit7560;
static Object strlit7567;
static ClassData objclass7578;
static ClassData objclass7581;
static Object strlit7603;
static Object strlit7611;
static Object strlit7646;
static Object strlit7655;
static Object strlit7661;
static Object strlit7663;
static Object strlit7669;
static Object strlit7676;
static Object strlit7680;
static Object strlit7690;
static Object strlit7697;
static Object strlit7701;
static Object strlit7720;
static Object strlit7727;
static Object strlit7731;
static Object strlit7741;
static Object strlit7748;
static Object strlit7754;
static Object strlit7761;
static ClassData objclass7772;
static ClassData objclass7775;
static Object strlit7803;
static Object strlit7812;
static Object strlit7818;
static Object strlit7820;
static Object strlit7826;
static Object strlit7833;
static Object strlit7837;
static Object strlit7847;
static Object strlit7853;
static Object strlit7858;
static ClassData objclass7861;
static ClassData objclass7864;
static Object strlit7904;
static Object strlit7913;
static Object strlit7919;
static Object strlit7921;
static Object strlit7947;
static Object strlit7951;
static ClassData objclass7954;
static ClassData objclass7957;
static Object strlit8004;
static Object strlit8013;
static Object strlit8019;
static Object strlit8021;
static Object strlit8048;
static Object strlit8065;
static Object strlit8074;
static Object strlit8085;
static ClassData objclass8092;
static ClassData objclass8095;
static Object strlit8111;
static Object strlit8113;
static Object strlit8116;
static Object strlit8117;
static ClassData objclass8120;
static ClassData objclass8123;
static Object strlit8163;
static Object strlit8164;
static ClassData objclass8206;
Object meth_ast__apply7(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_b = getfromclosure(closure, 0);
  Object *var_blkBefore = getfromclosure(closure, 1);
  Object *var_blkAfter = getfromclosure(closure, 2);
  Object *var_r = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_replacement = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "replacement");
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8 = gc_frame_new();
// compilenode returning *var_b
  gc_frame_newslot(*var_b);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// compilenode returning *var_v
  params[0] = *var_b;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9 = callmethod(*var_v, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe8);
// compilenode returning call9
  *var_replacement = call9;
  if (call9 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10 = gc_frame_new();
// compilenode returning *var_replacement
  gc_frame_newslot(*var_replacement);
// compilenode returning *var_r
  params[0] = *var_replacement;
  partcv[0] = 1;
  Object call11 = callmethod(*var_r, "push",
    1, partcv, params);
  gc_frame_end(callframe10);
// compilenode returning call11
  gc_frame_end(frame);
  return call11;
}
Object meth_ast_listMap_40__41_before_40__41_after0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "listMap()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method listMap()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method listMap()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method listMap()before()after");
  Object params[2];
  int partcv[2];
  Object *var_collections = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for listMap()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for listMap");
  Object *var_blkBefore = &(stackframe->slots[2]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[3]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_r = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "r");
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1 = gc_frame_new();
  int callframe2 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe2);
// compilenode returning call3
// compilenode returning call3
  partcv[0] = 0;
  Object call4 = callmethod(call3, "new",
    1, partcv, params);
  gc_frame_end(callframe1);
// compilenode returning call4
// compilenode returning call4
  *var_r = call4;
  if (call4 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5 = gc_frame_new();
// compilenode returning *var_l
  gc_frame_newslot(*var_l);
  Object block6 = alloc_Block(NULL, NULL, "ast", 25);
  gc_frame_newslot(block6);
  block_savedest(block6);
  Object closure7 = createclosure(5, "_apply");
  setclosureframe(closure7, stackframe);
  addtoclosure(closure7, var_b);
  addtoclosure(closure7, var_blkBefore);
  addtoclosure(closure7, var_blkAfter);
  addtoclosure(closure7, var_r);
  addtoclosure(closure7, selfslot);
  struct UserObject *uo7 = (struct UserObject*)block6;
  uo7->data[0] = (Object)closure7;
  Method *meth_meth_ast__apply7 = addmethod2pos(block6, "_apply", &meth_ast__apply7, 0);
int argcv_meth_ast__apply7[] = {1};
meth_meth_ast__apply7->type = alloc_MethodType(1, argcv_meth_ast__apply7);
  meth_meth_ast__apply7->definitionModule = modulename;
  meth_meth_ast__apply7->definitionLine = 24;
// compilenode returning block6
  gc_frame_newslot(block6);
  params[0] = *var_l;
  params[1] = block6;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call13 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5);
// compilenode returning call13
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_r
  gc_frame_end(frame);
  return *var_r;
}
Object meth_ast_maybeMap14(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "maybeMap");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 4)
    gracedie("insufficient arguments to method maybeMap");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for maybeMap (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *var_before = &(stackframe->slots[2]);
  *var_before = args[curarg];
  curarg++;
  Object *var_after = &(stackframe->slots[3]);
  *var_after = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 4)
    gracedie("wrong number of arguments for maybeMap");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool17 = alloc_Boolean(0);
// compilenode returning bool17
  int op_slot_right_16 = gc_frame_newslot(bool17);
// compilenode returning *var_n
  int op_slot_left_16 = gc_frame_newslot(*var_n);
  params[0] = bool17;
  partcv[0] = 1;
  Object opresult19 = callmethod(*var_n, "!=", 1, partcv, params);
// compilenode returning opresult19
  Object if15 = done;
  if (istrue(opresult19)) {
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe20 = gc_frame_new();
// compilenode returning *var_b
  gc_frame_newslot(*var_b);
// compilenode returning *var_before
  gc_frame_newslot(*var_before);
// compilenode returning *var_after
  gc_frame_newslot(*var_after);
// compilenode returning *var_n
  params[0] = *var_b;
  params[1] = *var_before;
  params[2] = *var_after;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call21 = callmethod(*var_n, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe20);
// compilenode returning call21
  return call21;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if15 = undefined;
  } else {
  }
// compilenode returning if15
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast_map_40__41_before_40__41_after31(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe32 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call33 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe32);
// compilenode returning call33
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe34 = gc_frame_new();
  int callframe35 = gc_frame_new();
  partcv[0] = 0;
  Object call36 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe35);
// compilenode returning call36
  gc_frame_newslot(call36);
  int callframe37 = gc_frame_new();
  int callframe38 = gc_frame_new();
  partcv[0] = 0;
  Object call39 = callmethodflags(self, "args", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe38);
// compilenode returning call39
  gc_frame_newslot(call39);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe40 = gc_frame_new();
  int callframe41 = gc_frame_new();
  Object call42 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe41);
// compilenode returning call42
// compilenode returning call42
  partcv[0] = 0;
  Object call43 = callmethodflags(call42, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe40);
// compilenode returning call43
// compilenode returning call43
  params[0] = call39;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call44 = callmethodflags(call43, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe37);
// compilenode returning call44
  gc_frame_newslot(call44);
  int callframe45 = gc_frame_new();
  int callframe46 = gc_frame_new();
  int callframe47 = gc_frame_new();
  Object call48 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe47);
// compilenode returning call48
// compilenode returning call48
  partcv[0] = 0;
  Object call49 = callmethodflags(call48, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe46);
// compilenode returning call49
// compilenode returning call49
  partcv[0] = 0;
  Object call50 = callmethodflags(call49, "callWithPart", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe45);
// compilenode returning call50
  params[0] = call36;
  params[1] = call44;
  partcv[0] = 2;
  Object call51 = callmethod(call50, "new",
    1, partcv, params);
  gc_frame_end(callframe34);
// compilenode returning call51
  *var_n = call51;
  if (call51 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2022
  setline(2022);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe52 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call53 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe52);
// compilenode returning call53
  *var_n = call53;
  if (call53 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2023
  setline(2023);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe55 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call56 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe55);
// compilenode returning call56
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply60(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply63(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map57(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2027
  setline(2027);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe58 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block59 = alloc_Block(NULL, NULL, "ast", 2027);
  gc_frame_newslot(block59);
  block_savedest(block59);
  Object closure60 = createclosure(1, "_apply");
  setclosureframe(closure60, stackframe);
  addtoclosure(closure60, selfslot);
  struct UserObject *uo60 = (struct UserObject*)block59;
  uo60->data[0] = (Object)closure60;
  Method *meth_meth_ast__apply60 = addmethod2pos(block59, "_apply", &meth_ast__apply60, 0);
int argcv_meth_ast__apply60[] = {0};
meth_meth_ast__apply60->type = alloc_MethodType(1, argcv_meth_ast__apply60);
  meth_meth_ast__apply60->definitionModule = modulename;
  meth_meth_ast__apply60->definitionLine = 2021;
// compilenode returning block59
  gc_frame_newslot(block59);
  Object block62 = alloc_Block(NULL, NULL, "ast", 2027);
  gc_frame_newslot(block62);
  block_savedest(block62);
  Object closure63 = createclosure(1, "_apply");
  setclosureframe(closure63, stackframe);
  addtoclosure(closure63, selfslot);
  struct UserObject *uo63 = (struct UserObject*)block62;
  uo63->data[0] = (Object)closure63;
  Method *meth_meth_ast__apply63 = addmethod2pos(block62, "_apply", &meth_ast__apply63, 0);
int argcv_meth_ast__apply63[] = {0};
meth_meth_ast__apply63->type = alloc_MethodType(1, argcv_meth_ast__apply63);
  meth_meth_ast__apply63->definitionModule = modulename;
  meth_meth_ast__apply63->definitionLine = 2021;
// compilenode returning block62
  gc_frame_newslot(block62);
  params[0] = *var_blk;
  params[1] = block59;
  params[2] = block62;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call65 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe58);
// compilenode returning call65
  gc_frame_end(frame);
  return call65;
}
Object meth_ast_new25(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_values = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_values, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_values = &(stackframe->slots[0]);
  *var_values = var_init_values;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject26 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj26 = alloc_userobj2(10,9, objclass26);
  gc_frame_newslot(obj26);
if (objclass26 == NULL) {
  glfree(obj26->class->name);
  obj26->class->name = "obj23new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj26, self, 0);
  addmethodreal(obj26,"outer", &reader_ast_outer_27);
  Object oldself26 = self;
  struct StackFrameObject *oldstackframe26 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe26);
  gc_frame_newslot((Object)stackframe);
  self = obj26;
  Object *oldselfslot26 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter26 = (*(struct UserObject *)self).data[0], lowerouter26 = thisouter26;
  if (inheritingObject26) {
    struct UserObject *inho26 = (struct UserObject *)inheritingObject26;
    while (inho26->super != GraceDefaultObject) inho26 = (struct UserObject *)inho26->super;
    inho26->super = obj26;
    self = inheritingObject26;
    *selfslot = self;
    lowerouter26 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter26;
  }
if (objclass26 == NULL) {
  Method *reader28 = addmethodrealflags(obj26, "kind",&reader_ast_kind_28, MFLAG_DEF);
  reader28->definitionModule = modulename;
  reader28->definitionLine = 2011;
}
adddatum2(obj26, alloc_Undefined(), 1);
if (objclass26 == NULL) {
  Method *reader29 = addmethodrealflags(obj26, "name",&reader_ast_name_29, 0);
  Method *writer29 = addmethodrealflags(obj26, "name:=",&writer_ast_name_29, 0);
  reader29->definitionModule = modulename;
  writer29->definitionModule = modulename;
  reader29->definitionLine = 2012;
  writer29->definitionLine = 2012;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 2);
if (objclass26 == NULL) {
  Method *reader30 = addmethodrealflags(obj26, "args",&reader_ast_args_30, 0);
  Method *writer30 = addmethodrealflags(obj26, "args:=",&writer_ast_args_30, 0);
  reader30->definitionModule = modulename;
  writer30->definitionModule = modulename;
  reader30->definitionLine = 2013;
  writer30->definitionLine = 2013;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 3);
  struct UserObject *uo31 = (struct UserObject*)obj26;
  uo31->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after31 = addmethod2pos(obj26, "map()before()after", &meth_ast_map_40__41_before_40__41_after31, 4);
int argcv_meth_ast_map_40__41_before_40__41_after31[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after31->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after31);
  meth_meth_ast_map_40__41_before_40__41_after31->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after31->definitionLine = 2019;
  struct UserObject *uo57 = (struct UserObject*)obj26;
  uo57->data[5] = emptyclosure;
  Method *meth_meth_ast_map57 = addmethod2pos(obj26, "map", &meth_ast_map57, 5);
int argcv_meth_ast_map57[] = {1};
meth_meth_ast_map57->type = alloc_MethodType(1, argcv_meth_ast_map57);
  meth_meth_ast_map57->definitionModule = modulename;
  meth_meth_ast_map57->definitionLine = 2026;
  sourceObject = obj26;
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe66 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call67 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe66);
// compilenode returning call67
  struct UserObject *obj26_uo = (struct UserObject *)obj26;
  obj26_uo->super = call67;
  sourceObject = obj26;
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit68 == NULL) {
    strlit68 = alloc_String("callwithpart");
    gc_root(strlit68);
  }
// compilenode returning strlit68
  adddatum2(obj26, strlit68, 1);
  sourceObject = obj26;
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit69 == NULL) {
    strlit69 = alloc_String("");
    gc_root(strlit69);
  }
// compilenode returning strlit69
  adddatum2(obj26, strlit69, 2);
  sourceObject = obj26;
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array70 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array70
  adddatum2(obj26, array70, 3);
  sourceObject = obj26;
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2013
  setline(2013);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num73 = alloc_Float64(0);
// compilenode returning num73
  int op_slot_right_72 = gc_frame_newslot(num73);
  int callframe75 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call76 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe75);
// compilenode returning call76
// compilenode returning call76
  int op_slot_left_72 = gc_frame_newslot(call76);
  params[0] = num73;
  partcv[0] = 1;
  Object opresult77 = callmethod(call76, ">", 1, partcv, params);
// compilenode returning opresult77
  Object if71 = done;
struct StackFrameObject *iftmpstackframe71 = stackframe;
  if (istrue(opresult77)) {
stackframe = alloc_StackFrame(0, iftmpstackframe71);
gc_frame_newslot((Object)stackframe);
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2013
  setline(2013);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe78 = gc_frame_new();
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2014
  setline(2014);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num79 = alloc_Float64(1);
// compilenode returning num79
  params[0] = num79;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres80 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres80
  gc_frame_newslot(idxres80);
  params[0] = idxres80;
  partcv[0] = 1;
  Object call81 = callmethodflags(self, "name:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe78);
// compilenode returning call81
// compilenode returning done
    gc_frame_newslot(done);
    if71 = done;
  } else {
  }
stackframe = iftmpstackframe71;
// compilenode returning if71
  sourceObject = obj26;
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num84 = alloc_Float64(1);
// compilenode returning num84
  int op_slot_right_83 = gc_frame_newslot(num84);
  int callframe86 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call87 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe86);
// compilenode returning call87
// compilenode returning call87
  int op_slot_left_83 = gc_frame_newslot(call87);
  params[0] = num84;
  partcv[0] = 1;
  Object opresult88 = callmethod(call87, ">", 1, partcv, params);
// compilenode returning opresult88
  Object if82 = done;
struct StackFrameObject *iftmpstackframe82 = stackframe;
  if (istrue(opresult88)) {
stackframe = alloc_StackFrame(0, iftmpstackframe82);
gc_frame_newslot((Object)stackframe);
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe89 = gc_frame_new();
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2017
  setline(2017);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num90 = alloc_Float64(2);
// compilenode returning num90
  params[0] = num90;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres91 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres91
  gc_frame_newslot(idxres91);
  params[0] = idxres91;
  partcv[0] = 1;
  Object call92 = callmethodflags(self, "args:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe89);
// compilenode returning call92
// compilenode returning done
    gc_frame_newslot(done);
    if82 = done;
  } else {
  }
stackframe = iftmpstackframe82;
// compilenode returning if82
  sourceObject = obj26;
  sourceObject = obj26;
objclass26 = obj26->class;
  objclass26->definitionModule = modulename;
  objclass26->definitionLine = 2008;
  (*(struct UserObject *)self).data[0] = lowerouter26;
  self = oldself26;
  selfslot = oldselfslot26;
  stackframe = oldstackframe26;
  gc_frame_end(frame);
  return obj26;
}
Object meth_ast_new25_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_values = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_values, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_values = &(stackframe->slots[0]);
  *var_values = var_init_values;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject26 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj26 = alloc_userobj2(10,9, objclass26);
  gc_frame_newslot(obj26);
if (objclass26 == NULL) {
  glfree(obj26->class->name);
  obj26->class->name = "obj23new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj26, self, 0);
  addmethodreal(obj26,"outer", &reader_ast_outer_27);
  Object oldself26 = self;
  struct StackFrameObject *oldstackframe26 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe26);
  gc_frame_newslot((Object)stackframe);
  self = obj26;
  Object *oldselfslot26 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter26 = (*(struct UserObject *)self).data[0], lowerouter26 = thisouter26;
  if (inheritingObject26) {
    struct UserObject *inho26 = (struct UserObject *)inheritingObject26;
    while (inho26->super != GraceDefaultObject) inho26 = (struct UserObject *)inho26->super;
    inho26->super = obj26;
    self = inheritingObject26;
    *selfslot = self;
    lowerouter26 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter26;
  }
if (objclass26 == NULL) {
  Method *reader28 = addmethodrealflags(obj26, "kind",&reader_ast_kind_28, MFLAG_DEF);
  reader28->definitionModule = modulename;
  reader28->definitionLine = 2011;
}
adddatum2(obj26, alloc_Undefined(), 1);
if (objclass26 == NULL) {
  Method *reader29 = addmethodrealflags(obj26, "name",&reader_ast_name_29, 0);
  Method *writer29 = addmethodrealflags(obj26, "name:=",&writer_ast_name_29, 0);
  reader29->definitionModule = modulename;
  writer29->definitionModule = modulename;
  reader29->definitionLine = 2012;
  writer29->definitionLine = 2012;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 2);
if (objclass26 == NULL) {
  Method *reader30 = addmethodrealflags(obj26, "args",&reader_ast_args_30, 0);
  Method *writer30 = addmethodrealflags(obj26, "args:=",&writer_ast_args_30, 0);
  reader30->definitionModule = modulename;
  writer30->definitionModule = modulename;
  reader30->definitionLine = 2013;
  writer30->definitionLine = 2013;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 3);
  struct UserObject *uo31 = (struct UserObject*)obj26;
  uo31->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after31 = addmethod2pos(obj26, "map()before()after", &meth_ast_map_40__41_before_40__41_after31, 4);
int argcv_meth_ast_map_40__41_before_40__41_after31[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after31->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after31);
  meth_meth_ast_map_40__41_before_40__41_after31->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after31->definitionLine = 2019;
  struct UserObject *uo57 = (struct UserObject*)obj26;
  uo57->data[5] = emptyclosure;
  Method *meth_meth_ast_map57 = addmethod2pos(obj26, "map", &meth_ast_map57, 5);
int argcv_meth_ast_map57[] = {1};
meth_meth_ast_map57->type = alloc_MethodType(1, argcv_meth_ast_map57);
  meth_meth_ast_map57->definitionModule = modulename;
  meth_meth_ast_map57->definitionLine = 2026;
  sourceObject = obj26;
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe66 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call67 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe66);
// compilenode returning call67
  struct UserObject *obj26_uo = (struct UserObject *)obj26;
  obj26_uo->super = call67;
  sourceObject = obj26;
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit68 == NULL) {
    strlit68 = alloc_String("callwithpart");
    gc_root(strlit68);
  }
// compilenode returning strlit68
  adddatum2(obj26, strlit68, 1);
  sourceObject = obj26;
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit69 == NULL) {
    strlit69 = alloc_String("");
    gc_root(strlit69);
  }
// compilenode returning strlit69
  adddatum2(obj26, strlit69, 2);
  sourceObject = obj26;
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array70 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array70
  adddatum2(obj26, array70, 3);
  sourceObject = obj26;
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2013
  setline(2013);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num73 = alloc_Float64(0);
// compilenode returning num73
  int op_slot_right_72 = gc_frame_newslot(num73);
  int callframe75 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call76 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe75);
// compilenode returning call76
// compilenode returning call76
  int op_slot_left_72 = gc_frame_newslot(call76);
  params[0] = num73;
  partcv[0] = 1;
  Object opresult77 = callmethod(call76, ">", 1, partcv, params);
// compilenode returning opresult77
  Object if71 = done;
struct StackFrameObject *iftmpstackframe71 = stackframe;
  if (istrue(opresult77)) {
stackframe = alloc_StackFrame(0, iftmpstackframe71);
gc_frame_newslot((Object)stackframe);
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2013
  setline(2013);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe78 = gc_frame_new();
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2014
  setline(2014);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num79 = alloc_Float64(1);
// compilenode returning num79
  params[0] = num79;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres80 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres80
  gc_frame_newslot(idxres80);
  params[0] = idxres80;
  partcv[0] = 1;
  Object call81 = callmethodflags(self, "name:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe78);
// compilenode returning call81
// compilenode returning done
    gc_frame_newslot(done);
    if71 = done;
  } else {
  }
stackframe = iftmpstackframe71;
// compilenode returning if71
  sourceObject = obj26;
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num84 = alloc_Float64(1);
// compilenode returning num84
  int op_slot_right_83 = gc_frame_newslot(num84);
  int callframe86 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call87 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe86);
// compilenode returning call87
// compilenode returning call87
  int op_slot_left_83 = gc_frame_newslot(call87);
  params[0] = num84;
  partcv[0] = 1;
  Object opresult88 = callmethod(call87, ">", 1, partcv, params);
// compilenode returning opresult88
  Object if82 = done;
struct StackFrameObject *iftmpstackframe82 = stackframe;
  if (istrue(opresult88)) {
stackframe = alloc_StackFrame(0, iftmpstackframe82);
gc_frame_newslot((Object)stackframe);
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe89 = gc_frame_new();
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2017
  setline(2017);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num90 = alloc_Float64(2);
// compilenode returning num90
  params[0] = num90;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres91 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres91
  gc_frame_newslot(idxres91);
  params[0] = idxres91;
  partcv[0] = 1;
  Object call92 = callmethodflags(self, "args:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe89);
// compilenode returning call92
// compilenode returning done
    gc_frame_newslot(done);
    if82 = done;
  } else {
  }
stackframe = iftmpstackframe82;
// compilenode returning if82
  sourceObject = obj26;
  sourceObject = obj26;
objclass26 = obj26->class;
  objclass26->definitionModule = modulename;
  objclass26->definitionLine = 2008;
  (*(struct UserObject *)self).data[0] = lowerouter26;
  self = oldself26;
  selfslot = oldselfslot26;
  stackframe = oldstackframe26;
  gc_frame_end(frame);
  return obj26;
}
Object meth_ast_callWithPart22(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callWithPart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callWithPart (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for callWithPart");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject23 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj23 = alloc_userobj2(2,4, objclass23);
  gc_frame_newslot(obj23);
if (objclass23 == NULL) {
  glfree(obj23->class->name);
  obj23->class->name = "selfcallWithPart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj23, self, 0);
  addmethodreal(obj23,"outer", &reader_ast_outer_24);
  Object oldself23 = self;
  struct StackFrameObject *oldstackframe23 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe23);
  gc_frame_newslot((Object)stackframe);
  self = obj23;
  Object *oldselfslot23 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter23 = (*(struct UserObject *)self).data[0], lowerouter23 = thisouter23;
  if (inheritingObject23) {
    struct UserObject *inho23 = (struct UserObject *)inheritingObject23;
    while (inho23->super != GraceDefaultObject) inho23 = (struct UserObject *)inho23->super;
    inho23->super = obj23;
    self = inheritingObject23;
    *selfslot = self;
    lowerouter23 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter23;
  }
  block_savedest(obj23);
  Object closure25 = createclosure(1, "new");
  setclosureframe(closure25, stackframe);
  addtoclosure(closure25, var_baseNode);
  struct UserObject *uo25 = (struct UserObject*)obj23;
  uo25->data[1] = (Object)closure25;
  Method *meth_meth_ast_new25 = addmethod2pos(obj23, "new", &meth_ast_new25, 1);
int argcv_meth_ast_new25[] = {0};
meth_meth_ast_new25->type = alloc_MethodType(1, argcv_meth_ast_new25);
  meth_meth_ast_new25->definitionModule = modulename;
  meth_meth_ast_new25->definitionLine = 2007;
  block_savedest(obj23);
  Object closure93 = createclosure(1, "new()object");
setclosureframe(closure93, stackframe);
  addtoclosure(closure93, var_baseNode);
  Method *meth_meth_ast_new25_object = addmethod2pos(obj23, "new()object", &meth_ast_new25_object, 1);
  meth_meth_ast_new25_object->definitionModule = modulename;
  meth_meth_ast_new25_object->definitionLine = 2007;
  sourceObject = obj23;
objclass23 = obj23->class;
  objclass23->definitionModule = modulename;
  objclass23->definitionLine = 2006;
  (*(struct UserObject *)self).data[0] = lowerouter23;
  self = oldself23;
  selfslot = oldselfslot23;
  stackframe = oldstackframe23;
  gc_frame_end(frame);
  return obj23;
}
Object meth_ast_callWithPart22_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callWithPart()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callWithPart (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for callWithPart");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject23 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj23 = alloc_userobj2(2,4, objclass23);
  gc_frame_newslot(obj23);
if (objclass23 == NULL) {
  glfree(obj23->class->name);
  obj23->class->name = "selfcallWithPart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj23, self, 0);
  addmethodreal(obj23,"outer", &reader_ast_outer_24);
  Object oldself23 = self;
  struct StackFrameObject *oldstackframe23 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe23);
  gc_frame_newslot((Object)stackframe);
  self = obj23;
  Object *oldselfslot23 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter23 = (*(struct UserObject *)self).data[0], lowerouter23 = thisouter23;
  if (inheritingObject23) {
    struct UserObject *inho23 = (struct UserObject *)inheritingObject23;
    while (inho23->super != GraceDefaultObject) inho23 = (struct UserObject *)inho23->super;
    inho23->super = obj23;
    self = inheritingObject23;
    *selfslot = self;
    lowerouter23 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter23;
  }
  block_savedest(obj23);
  Object closure25 = createclosure(1, "new");
  setclosureframe(closure25, stackframe);
  addtoclosure(closure25, var_baseNode);
  struct UserObject *uo25 = (struct UserObject*)obj23;
  uo25->data[1] = (Object)closure25;
  Method *meth_meth_ast_new25 = addmethod2pos(obj23, "new", &meth_ast_new25, 1);
int argcv_meth_ast_new25[] = {0};
meth_meth_ast_new25->type = alloc_MethodType(1, argcv_meth_ast_new25);
  meth_meth_ast_new25->definitionModule = modulename;
  meth_meth_ast_new25->definitionLine = 2007;
  block_savedest(obj23);
  Object closure93 = createclosure(1, "new()object");
setclosureframe(closure93, stackframe);
  addtoclosure(closure93, var_baseNode);
  Method *meth_meth_ast_new25_object = addmethod2pos(obj23, "new()object", &meth_ast_new25_object, 1);
  meth_meth_ast_new25_object->definitionModule = modulename;
  meth_meth_ast_new25_object->definitionLine = 2007;
  sourceObject = obj23;
objclass23 = obj23->class;
  objclass23->definitionModule = modulename;
  objclass23->definitionLine = 2006;
  (*(struct UserObject *)self).data[0] = lowerouter23;
  self = oldself23;
  selfslot = oldselfslot23;
  stackframe = oldstackframe23;
  gc_frame_end(frame);
  return obj23;
}
Object meth_ast_visitFor98(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitFor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitFor");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitFor (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitFor");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2068
  setline(2068);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool99 = alloc_Boolean(1);
// compilenode returning bool99
  gc_frame_end(frame);
  return bool99;
}
Object meth_ast_visitWhile100(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitWhile");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitWhile");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitWhile (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitWhile");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2071
  setline(2071);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool101 = alloc_Boolean(1);
// compilenode returning bool101
  gc_frame_end(frame);
  return bool101;
}
Object meth_ast_visitIf102(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIf");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitIf (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIf");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool103 = alloc_Boolean(1);
// compilenode returning bool103
  gc_frame_end(frame);
  return bool103;
}
Object meth_ast_visitBlock104(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitBlock");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitBlock (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitBlock");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool105 = alloc_Boolean(1);
// compilenode returning bool105
  gc_frame_end(frame);
  return bool105;
}
Object meth_ast_visitMatchCase106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMatchCase");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitMatchCase (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMatchCase");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool107 = alloc_Boolean(1);
// compilenode returning bool107
  gc_frame_end(frame);
  return bool107;
}
Object meth_ast_visitCatchCase108(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCatchCase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCatchCase");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitCatchCase (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCatchCase");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2083
  setline(2083);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool109 = alloc_Boolean(1);
// compilenode returning bool109
  gc_frame_end(frame);
  return bool109;
}
Object meth_ast_visitMethodType110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMethodType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitMethodType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMethodType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool111 = alloc_Boolean(1);
// compilenode returning bool111
  gc_frame_end(frame);
  return bool111;
}
Object meth_ast_visitTypeDec112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitTypeDec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitTypeDec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitTypeDec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool113 = alloc_Boolean(1);
// compilenode returning bool113
  gc_frame_end(frame);
  return bool113;
}
Object meth_ast_visitTypeLiteral114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitTypeLiteral");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitTypeLiteral (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitTypeLiteral");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool115 = alloc_Boolean(1);
// compilenode returning bool115
  gc_frame_end(frame);
  return bool115;
}
Object meth_ast_visitMethod116(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMethod");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitMethod (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMethod");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2095
  setline(2095);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool117 = alloc_Boolean(1);
// compilenode returning bool117
  gc_frame_end(frame);
  return bool117;
}
Object meth_ast_visitCall118(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCall");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitCall (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCall");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2098
  setline(2098);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool119 = alloc_Boolean(1);
// compilenode returning bool119
  gc_frame_end(frame);
  return bool119;
}
Object meth_ast_visitClass120(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitClass");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitClass (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitClass");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool121 = alloc_Boolean(1);
// compilenode returning bool121
  gc_frame_end(frame);
  return bool121;
}
Object meth_ast_visitObject122(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitObject");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitObject (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitObject");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool123 = alloc_Boolean(1);
// compilenode returning bool123
  gc_frame_end(frame);
  return bool123;
}
Object meth_ast_visitArray124(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitArray");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitArray (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitArray");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool125 = alloc_Boolean(1);
// compilenode returning bool125
  gc_frame_end(frame);
  return bool125;
}
Object meth_ast_visitMember126(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMember");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitMember (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMember");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2110
  setline(2110);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool127 = alloc_Boolean(1);
// compilenode returning bool127
  gc_frame_end(frame);
  return bool127;
}
Object meth_ast_visitGeneric128(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitGeneric");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitGeneric (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitGeneric");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2113
  setline(2113);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool129 = alloc_Boolean(1);
// compilenode returning bool129
  gc_frame_end(frame);
  return bool129;
}
Object meth_ast_visitIdentifier130(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIdentifier");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitIdentifier (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIdentifier");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool131 = alloc_Boolean(1);
// compilenode returning bool131
  gc_frame_end(frame);
  return bool131;
}
Object meth_ast_visitOctets132(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOctets");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitOctets");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitOctets (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitOctets");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2119
  setline(2119);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool133 = alloc_Boolean(1);
// compilenode returning bool133
  gc_frame_end(frame);
  return bool133;
}
Object meth_ast_visitString134(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitString");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitString (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitString");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool135 = alloc_Boolean(1);
// compilenode returning bool135
  gc_frame_end(frame);
  return bool135;
}
Object meth_ast_visitNum136(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitNum");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitNum (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitNum");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool137 = alloc_Boolean(1);
// compilenode returning bool137
  gc_frame_end(frame);
  return bool137;
}
Object meth_ast_visitOp138(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitOp");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitOp (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitOp");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool139 = alloc_Boolean(1);
// compilenode returning bool139
  gc_frame_end(frame);
  return bool139;
}
Object meth_ast_visitIndex140(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIndex");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIndex");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitIndex (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIndex");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool141 = alloc_Boolean(1);
// compilenode returning bool141
  gc_frame_end(frame);
  return bool141;
}
Object meth_ast_visitBind142(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitBind");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitBind (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitBind");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2134
  setline(2134);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool143 = alloc_Boolean(1);
// compilenode returning bool143
  gc_frame_end(frame);
  return bool143;
}
Object meth_ast_visitDefDec144(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitDefDec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitDefDec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitDefDec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2137
  setline(2137);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool145 = alloc_Boolean(1);
// compilenode returning bool145
  gc_frame_end(frame);
  return bool145;
}
Object meth_ast_visitVarDec146(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitVarDec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitVarDec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitVarDec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool147 = alloc_Boolean(1);
// compilenode returning bool147
  gc_frame_end(frame);
  return bool147;
}
Object meth_ast_visitImport148(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitImport");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitImport (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitImport");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2143
  setline(2143);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool149 = alloc_Boolean(1);
// compilenode returning bool149
  gc_frame_end(frame);
  return bool149;
}
Object meth_ast_visitReturn150(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitReturn");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitReturn (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitReturn");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2146
  setline(2146);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool151 = alloc_Boolean(1);
// compilenode returning bool151
  gc_frame_end(frame);
  return bool151;
}
Object meth_ast_visitInherits152(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitInherits");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitInherits (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitInherits");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool153 = alloc_Boolean(1);
// compilenode returning bool153
  gc_frame_end(frame);
  return bool153;
}
Object meth_ast_visitDialect154(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitDialect");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitDialect (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitDialect");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2152
  setline(2152);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool155 = alloc_Boolean(1);
// compilenode returning bool155
  gc_frame_end(frame);
  return bool155;
}
Object meth_ast_baseVisitor95(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for baseVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for baseVisitor");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject96 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj96 = alloc_userobj2(29,30, objclass96);
  gc_frame_newslot(obj96);
if (objclass96 == NULL) {
  glfree(obj96->class->name);
  obj96->class->name = "selfbaseVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj96, self, 0);
  addmethodreal(obj96,"outer", &reader_ast_outer_97);
  Object oldself96 = self;
  struct StackFrameObject *oldstackframe96 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe96);
  gc_frame_newslot((Object)stackframe);
  self = obj96;
  Object *oldselfslot96 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter96 = (*(struct UserObject *)self).data[0], lowerouter96 = thisouter96;
  if (inheritingObject96) {
    struct UserObject *inho96 = (struct UserObject *)inheritingObject96;
    while (inho96->super != GraceDefaultObject) inho96 = (struct UserObject *)inho96->super;
    inho96->super = obj96;
    self = inheritingObject96;
    *selfslot = self;
    lowerouter96 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter96;
  }
  struct UserObject *uo98 = (struct UserObject*)obj96;
  uo98->data[1] = emptyclosure;
  Method *meth_meth_ast_visitFor98 = addmethod2pos(obj96, "visitFor", &meth_ast_visitFor98, 1);
int argcv_meth_ast_visitFor98[] = {1};
meth_meth_ast_visitFor98->type = alloc_MethodType(1, argcv_meth_ast_visitFor98);
  meth_meth_ast_visitFor98->definitionModule = modulename;
  meth_meth_ast_visitFor98->definitionLine = 2067;
  struct UserObject *uo100 = (struct UserObject*)obj96;
  uo100->data[2] = emptyclosure;
  Method *meth_meth_ast_visitWhile100 = addmethod2pos(obj96, "visitWhile", &meth_ast_visitWhile100, 2);
int argcv_meth_ast_visitWhile100[] = {1};
meth_meth_ast_visitWhile100->type = alloc_MethodType(1, argcv_meth_ast_visitWhile100);
  meth_meth_ast_visitWhile100->definitionModule = modulename;
  meth_meth_ast_visitWhile100->definitionLine = 2070;
  struct UserObject *uo102 = (struct UserObject*)obj96;
  uo102->data[3] = emptyclosure;
  Method *meth_meth_ast_visitIf102 = addmethod2pos(obj96, "visitIf", &meth_ast_visitIf102, 3);
int argcv_meth_ast_visitIf102[] = {1};
meth_meth_ast_visitIf102->type = alloc_MethodType(1, argcv_meth_ast_visitIf102);
  meth_meth_ast_visitIf102->definitionModule = modulename;
  meth_meth_ast_visitIf102->definitionLine = 2073;
  struct UserObject *uo104 = (struct UserObject*)obj96;
  uo104->data[4] = emptyclosure;
  Method *meth_meth_ast_visitBlock104 = addmethod2pos(obj96, "visitBlock", &meth_ast_visitBlock104, 4);
int argcv_meth_ast_visitBlock104[] = {1};
meth_meth_ast_visitBlock104->type = alloc_MethodType(1, argcv_meth_ast_visitBlock104);
  meth_meth_ast_visitBlock104->definitionModule = modulename;
  meth_meth_ast_visitBlock104->definitionLine = 2076;
  struct UserObject *uo106 = (struct UserObject*)obj96;
  uo106->data[5] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase106 = addmethod2pos(obj96, "visitMatchCase", &meth_ast_visitMatchCase106, 5);
int argcv_meth_ast_visitMatchCase106[] = {1};
meth_meth_ast_visitMatchCase106->type = alloc_MethodType(1, argcv_meth_ast_visitMatchCase106);
  meth_meth_ast_visitMatchCase106->definitionModule = modulename;
  meth_meth_ast_visitMatchCase106->definitionLine = 2079;
  struct UserObject *uo108 = (struct UserObject*)obj96;
  uo108->data[6] = emptyclosure;
  Method *meth_meth_ast_visitCatchCase108 = addmethod2pos(obj96, "visitCatchCase", &meth_ast_visitCatchCase108, 6);
int argcv_meth_ast_visitCatchCase108[] = {1};
meth_meth_ast_visitCatchCase108->type = alloc_MethodType(1, argcv_meth_ast_visitCatchCase108);
  meth_meth_ast_visitCatchCase108->definitionModule = modulename;
  meth_meth_ast_visitCatchCase108->definitionLine = 2082;
  struct UserObject *uo110 = (struct UserObject*)obj96;
  uo110->data[7] = emptyclosure;
  Method *meth_meth_ast_visitMethodType110 = addmethod2pos(obj96, "visitMethodType", &meth_ast_visitMethodType110, 7);
int argcv_meth_ast_visitMethodType110[] = {1};
meth_meth_ast_visitMethodType110->type = alloc_MethodType(1, argcv_meth_ast_visitMethodType110);
  meth_meth_ast_visitMethodType110->definitionModule = modulename;
  meth_meth_ast_visitMethodType110->definitionLine = 2085;
  struct UserObject *uo112 = (struct UserObject*)obj96;
  uo112->data[8] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec112 = addmethod2pos(obj96, "visitTypeDec", &meth_ast_visitTypeDec112, 8);
int argcv_meth_ast_visitTypeDec112[] = {1};
meth_meth_ast_visitTypeDec112->type = alloc_MethodType(1, argcv_meth_ast_visitTypeDec112);
  meth_meth_ast_visitTypeDec112->definitionModule = modulename;
  meth_meth_ast_visitTypeDec112->definitionLine = 2088;
  struct UserObject *uo114 = (struct UserObject*)obj96;
  uo114->data[9] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral114 = addmethod2pos(obj96, "visitTypeLiteral", &meth_ast_visitTypeLiteral114, 9);
int argcv_meth_ast_visitTypeLiteral114[] = {1};
meth_meth_ast_visitTypeLiteral114->type = alloc_MethodType(1, argcv_meth_ast_visitTypeLiteral114);
  meth_meth_ast_visitTypeLiteral114->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral114->definitionLine = 2091;
  struct UserObject *uo116 = (struct UserObject*)obj96;
  uo116->data[10] = emptyclosure;
  Method *meth_meth_ast_visitMethod116 = addmethod2pos(obj96, "visitMethod", &meth_ast_visitMethod116, 10);
int argcv_meth_ast_visitMethod116[] = {1};
meth_meth_ast_visitMethod116->type = alloc_MethodType(1, argcv_meth_ast_visitMethod116);
  meth_meth_ast_visitMethod116->definitionModule = modulename;
  meth_meth_ast_visitMethod116->definitionLine = 2094;
  struct UserObject *uo118 = (struct UserObject*)obj96;
  uo118->data[11] = emptyclosure;
  Method *meth_meth_ast_visitCall118 = addmethod2pos(obj96, "visitCall", &meth_ast_visitCall118, 11);
int argcv_meth_ast_visitCall118[] = {1};
meth_meth_ast_visitCall118->type = alloc_MethodType(1, argcv_meth_ast_visitCall118);
  meth_meth_ast_visitCall118->definitionModule = modulename;
  meth_meth_ast_visitCall118->definitionLine = 2097;
  struct UserObject *uo120 = (struct UserObject*)obj96;
  uo120->data[12] = emptyclosure;
  Method *meth_meth_ast_visitClass120 = addmethod2pos(obj96, "visitClass", &meth_ast_visitClass120, 12);
int argcv_meth_ast_visitClass120[] = {1};
meth_meth_ast_visitClass120->type = alloc_MethodType(1, argcv_meth_ast_visitClass120);
  meth_meth_ast_visitClass120->definitionModule = modulename;
  meth_meth_ast_visitClass120->definitionLine = 2100;
  struct UserObject *uo122 = (struct UserObject*)obj96;
  uo122->data[13] = emptyclosure;
  Method *meth_meth_ast_visitObject122 = addmethod2pos(obj96, "visitObject", &meth_ast_visitObject122, 13);
int argcv_meth_ast_visitObject122[] = {1};
meth_meth_ast_visitObject122->type = alloc_MethodType(1, argcv_meth_ast_visitObject122);
  meth_meth_ast_visitObject122->definitionModule = modulename;
  meth_meth_ast_visitObject122->definitionLine = 2103;
  struct UserObject *uo124 = (struct UserObject*)obj96;
  uo124->data[14] = emptyclosure;
  Method *meth_meth_ast_visitArray124 = addmethod2pos(obj96, "visitArray", &meth_ast_visitArray124, 14);
int argcv_meth_ast_visitArray124[] = {1};
meth_meth_ast_visitArray124->type = alloc_MethodType(1, argcv_meth_ast_visitArray124);
  meth_meth_ast_visitArray124->definitionModule = modulename;
  meth_meth_ast_visitArray124->definitionLine = 2106;
  struct UserObject *uo126 = (struct UserObject*)obj96;
  uo126->data[15] = emptyclosure;
  Method *meth_meth_ast_visitMember126 = addmethod2pos(obj96, "visitMember", &meth_ast_visitMember126, 15);
int argcv_meth_ast_visitMember126[] = {1};
meth_meth_ast_visitMember126->type = alloc_MethodType(1, argcv_meth_ast_visitMember126);
  meth_meth_ast_visitMember126->definitionModule = modulename;
  meth_meth_ast_visitMember126->definitionLine = 2109;
  struct UserObject *uo128 = (struct UserObject*)obj96;
  uo128->data[16] = emptyclosure;
  Method *meth_meth_ast_visitGeneric128 = addmethod2pos(obj96, "visitGeneric", &meth_ast_visitGeneric128, 16);
int argcv_meth_ast_visitGeneric128[] = {1};
meth_meth_ast_visitGeneric128->type = alloc_MethodType(1, argcv_meth_ast_visitGeneric128);
  meth_meth_ast_visitGeneric128->definitionModule = modulename;
  meth_meth_ast_visitGeneric128->definitionLine = 2112;
  struct UserObject *uo130 = (struct UserObject*)obj96;
  uo130->data[17] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier130 = addmethod2pos(obj96, "visitIdentifier", &meth_ast_visitIdentifier130, 17);
int argcv_meth_ast_visitIdentifier130[] = {1};
meth_meth_ast_visitIdentifier130->type = alloc_MethodType(1, argcv_meth_ast_visitIdentifier130);
  meth_meth_ast_visitIdentifier130->definitionModule = modulename;
  meth_meth_ast_visitIdentifier130->definitionLine = 2115;
  struct UserObject *uo132 = (struct UserObject*)obj96;
  uo132->data[18] = emptyclosure;
  Method *meth_meth_ast_visitOctets132 = addmethod2pos(obj96, "visitOctets", &meth_ast_visitOctets132, 18);
int argcv_meth_ast_visitOctets132[] = {1};
meth_meth_ast_visitOctets132->type = alloc_MethodType(1, argcv_meth_ast_visitOctets132);
  meth_meth_ast_visitOctets132->definitionModule = modulename;
  meth_meth_ast_visitOctets132->definitionLine = 2118;
  struct UserObject *uo134 = (struct UserObject*)obj96;
  uo134->data[19] = emptyclosure;
  Method *meth_meth_ast_visitString134 = addmethod2pos(obj96, "visitString", &meth_ast_visitString134, 19);
int argcv_meth_ast_visitString134[] = {1};
meth_meth_ast_visitString134->type = alloc_MethodType(1, argcv_meth_ast_visitString134);
  meth_meth_ast_visitString134->definitionModule = modulename;
  meth_meth_ast_visitString134->definitionLine = 2121;
  struct UserObject *uo136 = (struct UserObject*)obj96;
  uo136->data[20] = emptyclosure;
  Method *meth_meth_ast_visitNum136 = addmethod2pos(obj96, "visitNum", &meth_ast_visitNum136, 20);
int argcv_meth_ast_visitNum136[] = {1};
meth_meth_ast_visitNum136->type = alloc_MethodType(1, argcv_meth_ast_visitNum136);
  meth_meth_ast_visitNum136->definitionModule = modulename;
  meth_meth_ast_visitNum136->definitionLine = 2124;
  struct UserObject *uo138 = (struct UserObject*)obj96;
  uo138->data[21] = emptyclosure;
  Method *meth_meth_ast_visitOp138 = addmethod2pos(obj96, "visitOp", &meth_ast_visitOp138, 21);
int argcv_meth_ast_visitOp138[] = {1};
meth_meth_ast_visitOp138->type = alloc_MethodType(1, argcv_meth_ast_visitOp138);
  meth_meth_ast_visitOp138->definitionModule = modulename;
  meth_meth_ast_visitOp138->definitionLine = 2127;
  struct UserObject *uo140 = (struct UserObject*)obj96;
  uo140->data[22] = emptyclosure;
  Method *meth_meth_ast_visitIndex140 = addmethod2pos(obj96, "visitIndex", &meth_ast_visitIndex140, 22);
int argcv_meth_ast_visitIndex140[] = {1};
meth_meth_ast_visitIndex140->type = alloc_MethodType(1, argcv_meth_ast_visitIndex140);
  meth_meth_ast_visitIndex140->definitionModule = modulename;
  meth_meth_ast_visitIndex140->definitionLine = 2130;
  struct UserObject *uo142 = (struct UserObject*)obj96;
  uo142->data[23] = emptyclosure;
  Method *meth_meth_ast_visitBind142 = addmethod2pos(obj96, "visitBind", &meth_ast_visitBind142, 23);
int argcv_meth_ast_visitBind142[] = {1};
meth_meth_ast_visitBind142->type = alloc_MethodType(1, argcv_meth_ast_visitBind142);
  meth_meth_ast_visitBind142->definitionModule = modulename;
  meth_meth_ast_visitBind142->definitionLine = 2133;
  struct UserObject *uo144 = (struct UserObject*)obj96;
  uo144->data[24] = emptyclosure;
  Method *meth_meth_ast_visitDefDec144 = addmethod2pos(obj96, "visitDefDec", &meth_ast_visitDefDec144, 24);
int argcv_meth_ast_visitDefDec144[] = {1};
meth_meth_ast_visitDefDec144->type = alloc_MethodType(1, argcv_meth_ast_visitDefDec144);
  meth_meth_ast_visitDefDec144->definitionModule = modulename;
  meth_meth_ast_visitDefDec144->definitionLine = 2136;
  struct UserObject *uo146 = (struct UserObject*)obj96;
  uo146->data[25] = emptyclosure;
  Method *meth_meth_ast_visitVarDec146 = addmethod2pos(obj96, "visitVarDec", &meth_ast_visitVarDec146, 25);
int argcv_meth_ast_visitVarDec146[] = {1};
meth_meth_ast_visitVarDec146->type = alloc_MethodType(1, argcv_meth_ast_visitVarDec146);
  meth_meth_ast_visitVarDec146->definitionModule = modulename;
  meth_meth_ast_visitVarDec146->definitionLine = 2139;
  struct UserObject *uo148 = (struct UserObject*)obj96;
  uo148->data[26] = emptyclosure;
  Method *meth_meth_ast_visitImport148 = addmethod2pos(obj96, "visitImport", &meth_ast_visitImport148, 26);
int argcv_meth_ast_visitImport148[] = {1};
meth_meth_ast_visitImport148->type = alloc_MethodType(1, argcv_meth_ast_visitImport148);
  meth_meth_ast_visitImport148->definitionModule = modulename;
  meth_meth_ast_visitImport148->definitionLine = 2142;
  struct UserObject *uo150 = (struct UserObject*)obj96;
  uo150->data[27] = emptyclosure;
  Method *meth_meth_ast_visitReturn150 = addmethod2pos(obj96, "visitReturn", &meth_ast_visitReturn150, 27);
int argcv_meth_ast_visitReturn150[] = {1};
meth_meth_ast_visitReturn150->type = alloc_MethodType(1, argcv_meth_ast_visitReturn150);
  meth_meth_ast_visitReturn150->definitionModule = modulename;
  meth_meth_ast_visitReturn150->definitionLine = 2145;
  struct UserObject *uo152 = (struct UserObject*)obj96;
  uo152->data[28] = emptyclosure;
  Method *meth_meth_ast_visitInherits152 = addmethod2pos(obj96, "visitInherits", &meth_ast_visitInherits152, 28);
int argcv_meth_ast_visitInherits152[] = {1};
meth_meth_ast_visitInherits152->type = alloc_MethodType(1, argcv_meth_ast_visitInherits152);
  meth_meth_ast_visitInherits152->definitionModule = modulename;
  meth_meth_ast_visitInherits152->definitionLine = 2148;
  struct UserObject *uo154 = (struct UserObject*)obj96;
  uo154->data[29] = emptyclosure;
  Method *meth_meth_ast_visitDialect154 = addmethod2pos(obj96, "visitDialect", &meth_ast_visitDialect154, 29);
int argcv_meth_ast_visitDialect154[] = {1};
meth_meth_ast_visitDialect154->type = alloc_MethodType(1, argcv_meth_ast_visitDialect154);
  meth_meth_ast_visitDialect154->definitionModule = modulename;
  meth_meth_ast_visitDialect154->definitionLine = 2151;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
objclass96 = obj96->class;
  objclass96->definitionModule = modulename;
  objclass96->definitionLine = 2066;
  (*(struct UserObject *)self).data[0] = lowerouter96;
  self = oldself96;
  selfslot = oldselfslot96;
  stackframe = oldstackframe96;
  gc_frame_end(frame);
  return obj96;
}
Object meth_ast_baseVisitor95_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for baseVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for baseVisitor");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject96 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj96 = alloc_userobj2(29,30, objclass96);
  gc_frame_newslot(obj96);
if (objclass96 == NULL) {
  glfree(obj96->class->name);
  obj96->class->name = "selfbaseVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj96, self, 0);
  addmethodreal(obj96,"outer", &reader_ast_outer_97);
  Object oldself96 = self;
  struct StackFrameObject *oldstackframe96 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe96);
  gc_frame_newslot((Object)stackframe);
  self = obj96;
  Object *oldselfslot96 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter96 = (*(struct UserObject *)self).data[0], lowerouter96 = thisouter96;
  if (inheritingObject96) {
    struct UserObject *inho96 = (struct UserObject *)inheritingObject96;
    while (inho96->super != GraceDefaultObject) inho96 = (struct UserObject *)inho96->super;
    inho96->super = obj96;
    self = inheritingObject96;
    *selfslot = self;
    lowerouter96 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter96;
  }
  struct UserObject *uo98 = (struct UserObject*)obj96;
  uo98->data[1] = emptyclosure;
  Method *meth_meth_ast_visitFor98 = addmethod2pos(obj96, "visitFor", &meth_ast_visitFor98, 1);
int argcv_meth_ast_visitFor98[] = {1};
meth_meth_ast_visitFor98->type = alloc_MethodType(1, argcv_meth_ast_visitFor98);
  meth_meth_ast_visitFor98->definitionModule = modulename;
  meth_meth_ast_visitFor98->definitionLine = 2067;
  struct UserObject *uo100 = (struct UserObject*)obj96;
  uo100->data[2] = emptyclosure;
  Method *meth_meth_ast_visitWhile100 = addmethod2pos(obj96, "visitWhile", &meth_ast_visitWhile100, 2);
int argcv_meth_ast_visitWhile100[] = {1};
meth_meth_ast_visitWhile100->type = alloc_MethodType(1, argcv_meth_ast_visitWhile100);
  meth_meth_ast_visitWhile100->definitionModule = modulename;
  meth_meth_ast_visitWhile100->definitionLine = 2070;
  struct UserObject *uo102 = (struct UserObject*)obj96;
  uo102->data[3] = emptyclosure;
  Method *meth_meth_ast_visitIf102 = addmethod2pos(obj96, "visitIf", &meth_ast_visitIf102, 3);
int argcv_meth_ast_visitIf102[] = {1};
meth_meth_ast_visitIf102->type = alloc_MethodType(1, argcv_meth_ast_visitIf102);
  meth_meth_ast_visitIf102->definitionModule = modulename;
  meth_meth_ast_visitIf102->definitionLine = 2073;
  struct UserObject *uo104 = (struct UserObject*)obj96;
  uo104->data[4] = emptyclosure;
  Method *meth_meth_ast_visitBlock104 = addmethod2pos(obj96, "visitBlock", &meth_ast_visitBlock104, 4);
int argcv_meth_ast_visitBlock104[] = {1};
meth_meth_ast_visitBlock104->type = alloc_MethodType(1, argcv_meth_ast_visitBlock104);
  meth_meth_ast_visitBlock104->definitionModule = modulename;
  meth_meth_ast_visitBlock104->definitionLine = 2076;
  struct UserObject *uo106 = (struct UserObject*)obj96;
  uo106->data[5] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase106 = addmethod2pos(obj96, "visitMatchCase", &meth_ast_visitMatchCase106, 5);
int argcv_meth_ast_visitMatchCase106[] = {1};
meth_meth_ast_visitMatchCase106->type = alloc_MethodType(1, argcv_meth_ast_visitMatchCase106);
  meth_meth_ast_visitMatchCase106->definitionModule = modulename;
  meth_meth_ast_visitMatchCase106->definitionLine = 2079;
  struct UserObject *uo108 = (struct UserObject*)obj96;
  uo108->data[6] = emptyclosure;
  Method *meth_meth_ast_visitCatchCase108 = addmethod2pos(obj96, "visitCatchCase", &meth_ast_visitCatchCase108, 6);
int argcv_meth_ast_visitCatchCase108[] = {1};
meth_meth_ast_visitCatchCase108->type = alloc_MethodType(1, argcv_meth_ast_visitCatchCase108);
  meth_meth_ast_visitCatchCase108->definitionModule = modulename;
  meth_meth_ast_visitCatchCase108->definitionLine = 2082;
  struct UserObject *uo110 = (struct UserObject*)obj96;
  uo110->data[7] = emptyclosure;
  Method *meth_meth_ast_visitMethodType110 = addmethod2pos(obj96, "visitMethodType", &meth_ast_visitMethodType110, 7);
int argcv_meth_ast_visitMethodType110[] = {1};
meth_meth_ast_visitMethodType110->type = alloc_MethodType(1, argcv_meth_ast_visitMethodType110);
  meth_meth_ast_visitMethodType110->definitionModule = modulename;
  meth_meth_ast_visitMethodType110->definitionLine = 2085;
  struct UserObject *uo112 = (struct UserObject*)obj96;
  uo112->data[8] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec112 = addmethod2pos(obj96, "visitTypeDec", &meth_ast_visitTypeDec112, 8);
int argcv_meth_ast_visitTypeDec112[] = {1};
meth_meth_ast_visitTypeDec112->type = alloc_MethodType(1, argcv_meth_ast_visitTypeDec112);
  meth_meth_ast_visitTypeDec112->definitionModule = modulename;
  meth_meth_ast_visitTypeDec112->definitionLine = 2088;
  struct UserObject *uo114 = (struct UserObject*)obj96;
  uo114->data[9] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral114 = addmethod2pos(obj96, "visitTypeLiteral", &meth_ast_visitTypeLiteral114, 9);
int argcv_meth_ast_visitTypeLiteral114[] = {1};
meth_meth_ast_visitTypeLiteral114->type = alloc_MethodType(1, argcv_meth_ast_visitTypeLiteral114);
  meth_meth_ast_visitTypeLiteral114->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral114->definitionLine = 2091;
  struct UserObject *uo116 = (struct UserObject*)obj96;
  uo116->data[10] = emptyclosure;
  Method *meth_meth_ast_visitMethod116 = addmethod2pos(obj96, "visitMethod", &meth_ast_visitMethod116, 10);
int argcv_meth_ast_visitMethod116[] = {1};
meth_meth_ast_visitMethod116->type = alloc_MethodType(1, argcv_meth_ast_visitMethod116);
  meth_meth_ast_visitMethod116->definitionModule = modulename;
  meth_meth_ast_visitMethod116->definitionLine = 2094;
  struct UserObject *uo118 = (struct UserObject*)obj96;
  uo118->data[11] = emptyclosure;
  Method *meth_meth_ast_visitCall118 = addmethod2pos(obj96, "visitCall", &meth_ast_visitCall118, 11);
int argcv_meth_ast_visitCall118[] = {1};
meth_meth_ast_visitCall118->type = alloc_MethodType(1, argcv_meth_ast_visitCall118);
  meth_meth_ast_visitCall118->definitionModule = modulename;
  meth_meth_ast_visitCall118->definitionLine = 2097;
  struct UserObject *uo120 = (struct UserObject*)obj96;
  uo120->data[12] = emptyclosure;
  Method *meth_meth_ast_visitClass120 = addmethod2pos(obj96, "visitClass", &meth_ast_visitClass120, 12);
int argcv_meth_ast_visitClass120[] = {1};
meth_meth_ast_visitClass120->type = alloc_MethodType(1, argcv_meth_ast_visitClass120);
  meth_meth_ast_visitClass120->definitionModule = modulename;
  meth_meth_ast_visitClass120->definitionLine = 2100;
  struct UserObject *uo122 = (struct UserObject*)obj96;
  uo122->data[13] = emptyclosure;
  Method *meth_meth_ast_visitObject122 = addmethod2pos(obj96, "visitObject", &meth_ast_visitObject122, 13);
int argcv_meth_ast_visitObject122[] = {1};
meth_meth_ast_visitObject122->type = alloc_MethodType(1, argcv_meth_ast_visitObject122);
  meth_meth_ast_visitObject122->definitionModule = modulename;
  meth_meth_ast_visitObject122->definitionLine = 2103;
  struct UserObject *uo124 = (struct UserObject*)obj96;
  uo124->data[14] = emptyclosure;
  Method *meth_meth_ast_visitArray124 = addmethod2pos(obj96, "visitArray", &meth_ast_visitArray124, 14);
int argcv_meth_ast_visitArray124[] = {1};
meth_meth_ast_visitArray124->type = alloc_MethodType(1, argcv_meth_ast_visitArray124);
  meth_meth_ast_visitArray124->definitionModule = modulename;
  meth_meth_ast_visitArray124->definitionLine = 2106;
  struct UserObject *uo126 = (struct UserObject*)obj96;
  uo126->data[15] = emptyclosure;
  Method *meth_meth_ast_visitMember126 = addmethod2pos(obj96, "visitMember", &meth_ast_visitMember126, 15);
int argcv_meth_ast_visitMember126[] = {1};
meth_meth_ast_visitMember126->type = alloc_MethodType(1, argcv_meth_ast_visitMember126);
  meth_meth_ast_visitMember126->definitionModule = modulename;
  meth_meth_ast_visitMember126->definitionLine = 2109;
  struct UserObject *uo128 = (struct UserObject*)obj96;
  uo128->data[16] = emptyclosure;
  Method *meth_meth_ast_visitGeneric128 = addmethod2pos(obj96, "visitGeneric", &meth_ast_visitGeneric128, 16);
int argcv_meth_ast_visitGeneric128[] = {1};
meth_meth_ast_visitGeneric128->type = alloc_MethodType(1, argcv_meth_ast_visitGeneric128);
  meth_meth_ast_visitGeneric128->definitionModule = modulename;
  meth_meth_ast_visitGeneric128->definitionLine = 2112;
  struct UserObject *uo130 = (struct UserObject*)obj96;
  uo130->data[17] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier130 = addmethod2pos(obj96, "visitIdentifier", &meth_ast_visitIdentifier130, 17);
int argcv_meth_ast_visitIdentifier130[] = {1};
meth_meth_ast_visitIdentifier130->type = alloc_MethodType(1, argcv_meth_ast_visitIdentifier130);
  meth_meth_ast_visitIdentifier130->definitionModule = modulename;
  meth_meth_ast_visitIdentifier130->definitionLine = 2115;
  struct UserObject *uo132 = (struct UserObject*)obj96;
  uo132->data[18] = emptyclosure;
  Method *meth_meth_ast_visitOctets132 = addmethod2pos(obj96, "visitOctets", &meth_ast_visitOctets132, 18);
int argcv_meth_ast_visitOctets132[] = {1};
meth_meth_ast_visitOctets132->type = alloc_MethodType(1, argcv_meth_ast_visitOctets132);
  meth_meth_ast_visitOctets132->definitionModule = modulename;
  meth_meth_ast_visitOctets132->definitionLine = 2118;
  struct UserObject *uo134 = (struct UserObject*)obj96;
  uo134->data[19] = emptyclosure;
  Method *meth_meth_ast_visitString134 = addmethod2pos(obj96, "visitString", &meth_ast_visitString134, 19);
int argcv_meth_ast_visitString134[] = {1};
meth_meth_ast_visitString134->type = alloc_MethodType(1, argcv_meth_ast_visitString134);
  meth_meth_ast_visitString134->definitionModule = modulename;
  meth_meth_ast_visitString134->definitionLine = 2121;
  struct UserObject *uo136 = (struct UserObject*)obj96;
  uo136->data[20] = emptyclosure;
  Method *meth_meth_ast_visitNum136 = addmethod2pos(obj96, "visitNum", &meth_ast_visitNum136, 20);
int argcv_meth_ast_visitNum136[] = {1};
meth_meth_ast_visitNum136->type = alloc_MethodType(1, argcv_meth_ast_visitNum136);
  meth_meth_ast_visitNum136->definitionModule = modulename;
  meth_meth_ast_visitNum136->definitionLine = 2124;
  struct UserObject *uo138 = (struct UserObject*)obj96;
  uo138->data[21] = emptyclosure;
  Method *meth_meth_ast_visitOp138 = addmethod2pos(obj96, "visitOp", &meth_ast_visitOp138, 21);
int argcv_meth_ast_visitOp138[] = {1};
meth_meth_ast_visitOp138->type = alloc_MethodType(1, argcv_meth_ast_visitOp138);
  meth_meth_ast_visitOp138->definitionModule = modulename;
  meth_meth_ast_visitOp138->definitionLine = 2127;
  struct UserObject *uo140 = (struct UserObject*)obj96;
  uo140->data[22] = emptyclosure;
  Method *meth_meth_ast_visitIndex140 = addmethod2pos(obj96, "visitIndex", &meth_ast_visitIndex140, 22);
int argcv_meth_ast_visitIndex140[] = {1};
meth_meth_ast_visitIndex140->type = alloc_MethodType(1, argcv_meth_ast_visitIndex140);
  meth_meth_ast_visitIndex140->definitionModule = modulename;
  meth_meth_ast_visitIndex140->definitionLine = 2130;
  struct UserObject *uo142 = (struct UserObject*)obj96;
  uo142->data[23] = emptyclosure;
  Method *meth_meth_ast_visitBind142 = addmethod2pos(obj96, "visitBind", &meth_ast_visitBind142, 23);
int argcv_meth_ast_visitBind142[] = {1};
meth_meth_ast_visitBind142->type = alloc_MethodType(1, argcv_meth_ast_visitBind142);
  meth_meth_ast_visitBind142->definitionModule = modulename;
  meth_meth_ast_visitBind142->definitionLine = 2133;
  struct UserObject *uo144 = (struct UserObject*)obj96;
  uo144->data[24] = emptyclosure;
  Method *meth_meth_ast_visitDefDec144 = addmethod2pos(obj96, "visitDefDec", &meth_ast_visitDefDec144, 24);
int argcv_meth_ast_visitDefDec144[] = {1};
meth_meth_ast_visitDefDec144->type = alloc_MethodType(1, argcv_meth_ast_visitDefDec144);
  meth_meth_ast_visitDefDec144->definitionModule = modulename;
  meth_meth_ast_visitDefDec144->definitionLine = 2136;
  struct UserObject *uo146 = (struct UserObject*)obj96;
  uo146->data[25] = emptyclosure;
  Method *meth_meth_ast_visitVarDec146 = addmethod2pos(obj96, "visitVarDec", &meth_ast_visitVarDec146, 25);
int argcv_meth_ast_visitVarDec146[] = {1};
meth_meth_ast_visitVarDec146->type = alloc_MethodType(1, argcv_meth_ast_visitVarDec146);
  meth_meth_ast_visitVarDec146->definitionModule = modulename;
  meth_meth_ast_visitVarDec146->definitionLine = 2139;
  struct UserObject *uo148 = (struct UserObject*)obj96;
  uo148->data[26] = emptyclosure;
  Method *meth_meth_ast_visitImport148 = addmethod2pos(obj96, "visitImport", &meth_ast_visitImport148, 26);
int argcv_meth_ast_visitImport148[] = {1};
meth_meth_ast_visitImport148->type = alloc_MethodType(1, argcv_meth_ast_visitImport148);
  meth_meth_ast_visitImport148->definitionModule = modulename;
  meth_meth_ast_visitImport148->definitionLine = 2142;
  struct UserObject *uo150 = (struct UserObject*)obj96;
  uo150->data[27] = emptyclosure;
  Method *meth_meth_ast_visitReturn150 = addmethod2pos(obj96, "visitReturn", &meth_ast_visitReturn150, 27);
int argcv_meth_ast_visitReturn150[] = {1};
meth_meth_ast_visitReturn150->type = alloc_MethodType(1, argcv_meth_ast_visitReturn150);
  meth_meth_ast_visitReturn150->definitionModule = modulename;
  meth_meth_ast_visitReturn150->definitionLine = 2145;
  struct UserObject *uo152 = (struct UserObject*)obj96;
  uo152->data[28] = emptyclosure;
  Method *meth_meth_ast_visitInherits152 = addmethod2pos(obj96, "visitInherits", &meth_ast_visitInherits152, 28);
int argcv_meth_ast_visitInherits152[] = {1};
meth_meth_ast_visitInherits152->type = alloc_MethodType(1, argcv_meth_ast_visitInherits152);
  meth_meth_ast_visitInherits152->definitionModule = modulename;
  meth_meth_ast_visitInherits152->definitionLine = 2148;
  struct UserObject *uo154 = (struct UserObject*)obj96;
  uo154->data[29] = emptyclosure;
  Method *meth_meth_ast_visitDialect154 = addmethod2pos(obj96, "visitDialect", &meth_ast_visitDialect154, 29);
int argcv_meth_ast_visitDialect154[] = {1};
meth_meth_ast_visitDialect154->type = alloc_MethodType(1, argcv_meth_ast_visitDialect154);
  meth_meth_ast_visitDialect154->definitionModule = modulename;
  meth_meth_ast_visitDialect154->definitionLine = 2151;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
  sourceObject = obj96;
objclass96 = obj96->class;
  objclass96->definitionModule = modulename;
  objclass96->definitionLine = 2066;
  (*(struct UserObject *)self).data[0] = lowerouter96;
  self = oldself96;
  selfslot = oldselfslot96;
  stackframe = oldstackframe96;
  gc_frame_end(frame);
  return obj96;
}
Object meth_ast__apply166(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object *var_ann = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2168
  setline(2168);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_annName
  int op_slot_right_167 = gc_frame_newslot(*var_annName);
  int callframe169 = gc_frame_new();
// compilenode returning *var_ann
  partcv[0] = 0;
  Object call170 = callmethod(*var_ann, "value",
    1, partcv, params);
  gc_frame_end(callframe169);
// compilenode returning call170
// compilenode returning call170
  int op_slot_left_167 = gc_frame_newslot(call170);
  params[0] = *var_annName;
  partcv[0] = 1;
  Object opresult171 = callmethod(call170, "==", 1, partcv, params);
// compilenode returning opresult171
  gc_frame_end(frame);
  return opresult171;
}
Object meth_ast__apply162(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2174
  setline(2174);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe164 = gc_frame_new();
  Object block165 = alloc_Block(NULL, NULL, "ast", 2167);
  gc_frame_newslot(block165);
  block_savedest(block165);
  Object closure166 = createclosure(3, "_apply");
  setclosureframe(closure166, stackframe);
  addtoclosure(closure166, var_annName);
  addtoclosure(closure166, var_ann);
  addtoclosure(closure166, selfslot);
  struct UserObject *uo166 = (struct UserObject*)block165;
  uo166->data[0] = (Object)closure166;
  Method *meth_meth_ast__apply166 = addmethod2pos(block165, "_apply", &meth_ast__apply166, 0);
int argcv_meth_ast__apply166[] = {0};
meth_meth_ast__apply166->type = alloc_MethodType(1, argcv_meth_ast__apply166);
  meth_meth_ast__apply166->definitionModule = modulename;
  meth_meth_ast__apply166->definitionLine = 2166;
// compilenode returning block165
  gc_frame_newslot(block165);
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit174 == NULL) {
    strlit174 = alloc_String("identifier");
    gc_root(strlit174);
  }
// compilenode returning strlit174
  int op_slot_right_173 = gc_frame_newslot(strlit174);
  int callframe176 = gc_frame_new();
// compilenode returning *var_ann
  partcv[0] = 0;
  Object call177 = callmethod(*var_ann, "kind",
    1, partcv, params);
  gc_frame_end(callframe176);
// compilenode returning call177
// compilenode returning call177
  int op_slot_left_173 = gc_frame_newslot(call177);
  params[0] = strlit174;
  partcv[0] = 1;
  Object opresult178 = callmethod(call177, "==", 1, partcv, params);
// compilenode returning opresult178
  params[0] = block165;
  partcv[0] = 1;
  Object call179 = callmethod(opresult178, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe164);
// compilenode returning call179
  Object if163 = done;
  if (istrue(call179)) {
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject180 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj180 = alloc_userobj2(2,4, objclass180);
  gc_frame_newslot(obj180);
// OBJECT OUTER DEC outer
  adddatum2(obj180, self, 0);
  addmethodreal(obj180,"outer", &reader_ast_outer_181);
  Object oldself180 = self;
  struct StackFrameObject *oldstackframe180 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe180);
  gc_frame_newslot((Object)stackframe);
  self = obj180;
  Object *oldselfslot180 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter180 = (*(struct UserObject *)self).data[0], lowerouter180 = thisouter180;
  if (inheritingObject180) {
    struct UserObject *inho180 = (struct UserObject *)inheritingObject180;
    while (inho180->super != GraceDefaultObject) inho180 = (struct UserObject *)inho180->super;
    inho180->super = obj180;
    self = inheritingObject180;
    *selfslot = self;
    lowerouter180 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter180;
  }
if (objclass180 == NULL) {
  Method *reader182 = addmethodrealflags(obj180, "value",&reader_ast_value_182, MFLAG_DEF);
  reader182->definitionModule = modulename;
  reader182->definitionLine = 2172;
}
adddatum2(obj180, alloc_Undefined(), 1);
  sourceObject = obj180;
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool183 = alloc_Boolean(1);
// compilenode returning bool183
  struct UserObject *obj180_uo = (struct UserObject *)obj180;
  obj180_uo->super = bool183;
  sourceObject = obj180;
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ann
  adddatum2(obj180, *var_ann, 1);
objclass180 = obj180->class;
  objclass180->definitionModule = modulename;
  objclass180->definitionLine = 2169;
  (*(struct UserObject *)self).data[0] = lowerouter180;
  self = oldself180;
  selfslot = oldselfslot180;
  stackframe = oldstackframe180;
// compilenode returning obj180
  block_return(realself, obj180);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if163 = undefined;
  } else {
  }
// compilenode returning if163
  gc_frame_end(frame);
  return if163;
}
Object meth_ast_findAnnotation157(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findAnnotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method findAnnotation");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findAnnotation (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *var_annName = &(stackframe->slots[1]);
  *var_annName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for findAnnotation");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2166
  setline(2166);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe158 = gc_frame_new();
  int callframe159 = gc_frame_new();
// compilenode returning *var_node
  partcv[0] = 0;
  Object call160 = callmethod(*var_node, "annotations",
    1, partcv, params);
  gc_frame_end(callframe159);
// compilenode returning call160
// compilenode returning call160
  gc_frame_newslot(call160);
  Object block161 = alloc_Block(NULL, NULL, "ast", 2166);
  gc_frame_newslot(block161);
  block_savedest(block161);
  Object closure162 = createclosure(2, "_apply");
  setclosureframe(closure162, stackframe);
  addtoclosure(closure162, var_annName);
  addtoclosure(closure162, selfslot);
  struct UserObject *uo162 = (struct UserObject*)block161;
  uo162->data[0] = (Object)closure162;
  Method *meth_meth_ast__apply162 = addmethod2pos(block161, "_apply", &meth_ast__apply162, 0);
int argcv_meth_ast__apply162[] = {1};
meth_meth_ast__apply162->type = alloc_MethodType(1, argcv_meth_ast__apply162);
  meth_meth_ast__apply162->definitionModule = modulename;
  meth_meth_ast__apply162->definitionLine = 2166;
// compilenode returning block161
  gc_frame_newslot(block161);
  params[0] = call160;
  params[1] = block161;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call185 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe158);
// compilenode returning call185
// Begin line 2175
  setline(2175);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool186 = alloc_Boolean(0);
// compilenode returning bool186
  gc_frame_end(frame);
  return bool186;
}
Object meth_ast_baseNode187(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "baseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for baseNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for baseNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_baseNode
  gc_frame_end(frame);
  return *var_baseNode;
}
Object meth_ast_asString197(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit199 == NULL) {
    strlit199 = alloc_String("");
    gc_root(strlit199);
  }
// compilenode returning strlit199
  int op_slot_right_198 = gc_frame_newslot(strlit199);
  int callframe202 = gc_frame_new();
  partcv[0] = 0;
  Object call203 = callmethodflags(self, "kind", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe202);
// compilenode returning call203
// compilenode returning call203
  int op_slot_right_201 = gc_frame_newslot(call203);
  if (strlit205 == NULL) {
    strlit205 = alloc_String("astNode ");
    gc_root(strlit205);
  }
// compilenode returning strlit205
  int op_slot_left_201 = gc_frame_newslot(strlit205);
  params[0] = call203;
  partcv[0] = 1;
  Object opresult206 = callmethod(strlit205, "++", 1, partcv, params);
// compilenode returning opresult206
  int op_slot_left_198 = gc_frame_newslot(opresult206);
  params[0] = strlit199;
  partcv[0] = 1;
  Object opresult207 = callmethod(opresult206, "++", 1, partcv, params);
// compilenode returning opresult207
  gc_frame_end(frame);
  return opresult207;
}
Object meth_ast_isWritable208(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool209 = alloc_Boolean(1);
// compilenode returning bool209
  gc_frame_end(frame);
  return bool209;
}
Object meth_ast_isReadable210(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool211 = alloc_Boolean(1);
// compilenode returning bool211
  gc_frame_end(frame);
  return bool211;
}
Object meth_ast_isPublic212(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool213 = alloc_Boolean(1);
// compilenode returning bool213
  gc_frame_end(frame);
  return bool213;
}
Object meth_ast_isConfidential214(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isConfidential (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isConfidential");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe215 = gc_frame_new();
  int callframe216 = gc_frame_new();
  partcv[0] = 0;
  Object call217 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe216);
// compilenode returning call217
  partcv[0] = 0;
  Object call218 = callmethod(call217, "not",
    1, partcv, params);
  gc_frame_end(callframe215);
// compilenode returning call218
// compilenode returning call218
  gc_frame_end(frame);
  return call218;
}
Object meth_ast_new190(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject191 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj191 = alloc_userobj2(13,10, objclass191);
  gc_frame_newslot(obj191);
if (objclass191 == NULL) {
  glfree(obj191->class->name);
  obj191->class->name = "baseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj191, self, 0);
  addmethodreal(obj191,"outer", &reader_ast_outer_192);
  Object oldself191 = self;
  struct StackFrameObject *oldstackframe191 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe191);
  gc_frame_newslot((Object)stackframe);
  self = obj191;
  Object *oldselfslot191 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter191 = (*(struct UserObject *)self).data[0], lowerouter191 = thisouter191;
  if (inheritingObject191) {
    struct UserObject *inho191 = (struct UserObject *)inheritingObject191;
    while (inho191->super != GraceDefaultObject) inho191 = (struct UserObject *)inho191->super;
    inho191->super = obj191;
    self = inheritingObject191;
    *selfslot = self;
    lowerouter191 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter191;
  }
if (objclass191 == NULL) {
  Method *reader193 = addmethodrealflags(obj191, "register",&reader_ast_register_193, 0);
  Method *writer193 = addmethodrealflags(obj191, "register:=",&writer_ast_register_193, 0);
  reader193->definitionModule = modulename;
  writer193->definitionModule = modulename;
  reader193->definitionLine = 40;
  writer193->definitionLine = 40;
}
obj191->flags |= OFLAG_MUTABLE;
adddatum2(obj191, alloc_Undefined(), 1);
if (objclass191 == NULL) {
  Method *reader194 = addmethodrealflags(obj191, "line",&reader_ast_line_194, 0);
  Method *writer194 = addmethodrealflags(obj191, "line:=",&writer_ast_line_194, 0);
  reader194->definitionModule = modulename;
  writer194->definitionModule = modulename;
  reader194->definitionLine = 41;
  writer194->definitionLine = 41;
}
obj191->flags |= OFLAG_MUTABLE;
adddatum2(obj191, alloc_Undefined(), 2);
if (objclass191 == NULL) {
  Method *reader195 = addmethodrealflags(obj191, "linePos",&reader_ast_linePos_195, 0);
  Method *writer195 = addmethodrealflags(obj191, "linePos:=",&writer_ast_linePos_195, 0);
  reader195->definitionModule = modulename;
  writer195->definitionModule = modulename;
  reader195->definitionLine = 42;
  writer195->definitionLine = 42;
}
obj191->flags |= OFLAG_MUTABLE;
adddatum2(obj191, alloc_Undefined(), 3);
if (objclass191 == NULL) {
  Method *reader196 = addmethodrealflags(obj191, "lineLength",&reader_ast_lineLength_196, 0);
  Method *writer196 = addmethodrealflags(obj191, "lineLength:=",&writer_ast_lineLength_196, 0);
  reader196->definitionModule = modulename;
  writer196->definitionModule = modulename;
  reader196->definitionLine = 44;
  writer196->definitionLine = 44;
}
obj191->flags |= OFLAG_MUTABLE;
adddatum2(obj191, alloc_Undefined(), 4);
  struct UserObject *uo197 = (struct UserObject*)obj191;
  uo197->data[5] = emptyclosure;
  Method *meth_meth_ast_asString197 = addmethod2pos(obj191, "asString", &meth_ast_asString197, 5);
int argcv_meth_ast_asString197[] = {0};
meth_meth_ast_asString197->type = alloc_MethodType(1, argcv_meth_ast_asString197);
  meth_meth_ast_asString197->definitionModule = modulename;
  meth_meth_ast_asString197->definitionLine = 44;
  struct UserObject *uo208 = (struct UserObject*)obj191;
  uo208->data[6] = emptyclosure;
  Method *meth_meth_ast_isWritable208 = addmethod2pos(obj191, "isWritable", &meth_ast_isWritable208, 6);
int argcv_meth_ast_isWritable208[] = {0};
meth_meth_ast_isWritable208->type = alloc_MethodType(1, argcv_meth_ast_isWritable208);
  meth_meth_ast_isWritable208->definitionModule = modulename;
  meth_meth_ast_isWritable208->definitionLine = 45;
  struct UserObject *uo210 = (struct UserObject*)obj191;
  uo210->data[7] = emptyclosure;
  Method *meth_meth_ast_isReadable210 = addmethod2pos(obj191, "isReadable", &meth_ast_isReadable210, 7);
int argcv_meth_ast_isReadable210[] = {0};
meth_meth_ast_isReadable210->type = alloc_MethodType(1, argcv_meth_ast_isReadable210);
  meth_meth_ast_isReadable210->definitionModule = modulename;
  meth_meth_ast_isReadable210->definitionLine = 46;
  struct UserObject *uo212 = (struct UserObject*)obj191;
  uo212->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic212 = addmethod2pos(obj191, "isPublic", &meth_ast_isPublic212, 8);
int argcv_meth_ast_isPublic212[] = {0};
meth_meth_ast_isPublic212->type = alloc_MethodType(1, argcv_meth_ast_isPublic212);
  meth_meth_ast_isPublic212->definitionModule = modulename;
  meth_meth_ast_isPublic212->definitionLine = 47;
  struct UserObject *uo214 = (struct UserObject*)obj191;
  uo214->data[9] = emptyclosure;
  Method *meth_meth_ast_isConfidential214 = addmethod2pos(obj191, "isConfidential", &meth_ast_isConfidential214, 9);
int argcv_meth_ast_isConfidential214[] = {0};
meth_meth_ast_isConfidential214->type = alloc_MethodType(1, argcv_meth_ast_isConfidential214);
  meth_meth_ast_isConfidential214->definitionModule = modulename;
  meth_meth_ast_isConfidential214->definitionLine = 48;
  sourceObject = obj191;
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit219 == NULL) {
    strlit219 = alloc_String("");
    gc_root(strlit219);
  }
// compilenode returning strlit219
  adddatum2(obj191, strlit219, 1);
  sourceObject = obj191;
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe220 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call221 = callmethod(*var_util, "linenum",
    1, partcv, params);
  gc_frame_end(callframe220);
// compilenode returning call221
// compilenode returning call221
  adddatum2(obj191, call221, 2);
  sourceObject = obj191;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe222 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call223 = callmethod(*var_util, "linepos",
    1, partcv, params);
  gc_frame_end(callframe222);
// compilenode returning call223
// compilenode returning call223
  adddatum2(obj191, call223, 3);
  sourceObject = obj191;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num224 = alloc_Float64(0);
// compilenode returning num224
  adddatum2(obj191, num224, 4);
  sourceObject = obj191;
  sourceObject = obj191;
  sourceObject = obj191;
  sourceObject = obj191;
  sourceObject = obj191;
objclass191 = obj191->class;
  objclass191->definitionModule = modulename;
  objclass191->definitionLine = 2167;
  (*(struct UserObject *)self).data[0] = lowerouter191;
  self = oldself191;
  selfslot = oldselfslot191;
  stackframe = oldstackframe191;
  gc_frame_end(frame);
  return obj191;
}
Object meth_ast_new190_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject191 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj191 = alloc_userobj2(13,10, objclass191);
  gc_frame_newslot(obj191);
if (objclass191 == NULL) {
  glfree(obj191->class->name);
  obj191->class->name = "baseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj191, self, 0);
  addmethodreal(obj191,"outer", &reader_ast_outer_192);
  Object oldself191 = self;
  struct StackFrameObject *oldstackframe191 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe191);
  gc_frame_newslot((Object)stackframe);
  self = obj191;
  Object *oldselfslot191 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter191 = (*(struct UserObject *)self).data[0], lowerouter191 = thisouter191;
  if (inheritingObject191) {
    struct UserObject *inho191 = (struct UserObject *)inheritingObject191;
    while (inho191->super != GraceDefaultObject) inho191 = (struct UserObject *)inho191->super;
    inho191->super = obj191;
    self = inheritingObject191;
    *selfslot = self;
    lowerouter191 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter191;
  }
if (objclass191 == NULL) {
  Method *reader193 = addmethodrealflags(obj191, "register",&reader_ast_register_193, 0);
  Method *writer193 = addmethodrealflags(obj191, "register:=",&writer_ast_register_193, 0);
  reader193->definitionModule = modulename;
  writer193->definitionModule = modulename;
  reader193->definitionLine = 40;
  writer193->definitionLine = 40;
}
obj191->flags |= OFLAG_MUTABLE;
adddatum2(obj191, alloc_Undefined(), 1);
if (objclass191 == NULL) {
  Method *reader194 = addmethodrealflags(obj191, "line",&reader_ast_line_194, 0);
  Method *writer194 = addmethodrealflags(obj191, "line:=",&writer_ast_line_194, 0);
  reader194->definitionModule = modulename;
  writer194->definitionModule = modulename;
  reader194->definitionLine = 41;
  writer194->definitionLine = 41;
}
obj191->flags |= OFLAG_MUTABLE;
adddatum2(obj191, alloc_Undefined(), 2);
if (objclass191 == NULL) {
  Method *reader195 = addmethodrealflags(obj191, "linePos",&reader_ast_linePos_195, 0);
  Method *writer195 = addmethodrealflags(obj191, "linePos:=",&writer_ast_linePos_195, 0);
  reader195->definitionModule = modulename;
  writer195->definitionModule = modulename;
  reader195->definitionLine = 42;
  writer195->definitionLine = 42;
}
obj191->flags |= OFLAG_MUTABLE;
adddatum2(obj191, alloc_Undefined(), 3);
if (objclass191 == NULL) {
  Method *reader196 = addmethodrealflags(obj191, "lineLength",&reader_ast_lineLength_196, 0);
  Method *writer196 = addmethodrealflags(obj191, "lineLength:=",&writer_ast_lineLength_196, 0);
  reader196->definitionModule = modulename;
  writer196->definitionModule = modulename;
  reader196->definitionLine = 44;
  writer196->definitionLine = 44;
}
obj191->flags |= OFLAG_MUTABLE;
adddatum2(obj191, alloc_Undefined(), 4);
  struct UserObject *uo197 = (struct UserObject*)obj191;
  uo197->data[5] = emptyclosure;
  Method *meth_meth_ast_asString197 = addmethod2pos(obj191, "asString", &meth_ast_asString197, 5);
int argcv_meth_ast_asString197[] = {0};
meth_meth_ast_asString197->type = alloc_MethodType(1, argcv_meth_ast_asString197);
  meth_meth_ast_asString197->definitionModule = modulename;
  meth_meth_ast_asString197->definitionLine = 44;
  struct UserObject *uo208 = (struct UserObject*)obj191;
  uo208->data[6] = emptyclosure;
  Method *meth_meth_ast_isWritable208 = addmethod2pos(obj191, "isWritable", &meth_ast_isWritable208, 6);
int argcv_meth_ast_isWritable208[] = {0};
meth_meth_ast_isWritable208->type = alloc_MethodType(1, argcv_meth_ast_isWritable208);
  meth_meth_ast_isWritable208->definitionModule = modulename;
  meth_meth_ast_isWritable208->definitionLine = 45;
  struct UserObject *uo210 = (struct UserObject*)obj191;
  uo210->data[7] = emptyclosure;
  Method *meth_meth_ast_isReadable210 = addmethod2pos(obj191, "isReadable", &meth_ast_isReadable210, 7);
int argcv_meth_ast_isReadable210[] = {0};
meth_meth_ast_isReadable210->type = alloc_MethodType(1, argcv_meth_ast_isReadable210);
  meth_meth_ast_isReadable210->definitionModule = modulename;
  meth_meth_ast_isReadable210->definitionLine = 46;
  struct UserObject *uo212 = (struct UserObject*)obj191;
  uo212->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic212 = addmethod2pos(obj191, "isPublic", &meth_ast_isPublic212, 8);
int argcv_meth_ast_isPublic212[] = {0};
meth_meth_ast_isPublic212->type = alloc_MethodType(1, argcv_meth_ast_isPublic212);
  meth_meth_ast_isPublic212->definitionModule = modulename;
  meth_meth_ast_isPublic212->definitionLine = 47;
  struct UserObject *uo214 = (struct UserObject*)obj191;
  uo214->data[9] = emptyclosure;
  Method *meth_meth_ast_isConfidential214 = addmethod2pos(obj191, "isConfidential", &meth_ast_isConfidential214, 9);
int argcv_meth_ast_isConfidential214[] = {0};
meth_meth_ast_isConfidential214->type = alloc_MethodType(1, argcv_meth_ast_isConfidential214);
  meth_meth_ast_isConfidential214->definitionModule = modulename;
  meth_meth_ast_isConfidential214->definitionLine = 48;
  sourceObject = obj191;
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit219 == NULL) {
    strlit219 = alloc_String("");
    gc_root(strlit219);
  }
// compilenode returning strlit219
  adddatum2(obj191, strlit219, 1);
  sourceObject = obj191;
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe220 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call221 = callmethod(*var_util, "linenum",
    1, partcv, params);
  gc_frame_end(callframe220);
// compilenode returning call221
// compilenode returning call221
  adddatum2(obj191, call221, 2);
  sourceObject = obj191;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe222 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call223 = callmethod(*var_util, "linepos",
    1, partcv, params);
  gc_frame_end(callframe222);
// compilenode returning call223
// compilenode returning call223
  adddatum2(obj191, call223, 3);
  sourceObject = obj191;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num224 = alloc_Float64(0);
// compilenode returning num224
  adddatum2(obj191, num224, 4);
  sourceObject = obj191;
  sourceObject = obj191;
  sourceObject = obj191;
  sourceObject = obj191;
  sourceObject = obj191;
objclass191 = obj191->class;
  objclass191->definitionModule = modulename;
  objclass191->definitionLine = 2167;
  (*(struct UserObject *)self).data[0] = lowerouter191;
  self = oldself191;
  selfslot = oldselfslot191;
  stackframe = oldstackframe191;
  gc_frame_end(frame);
  return obj191;
}
Object meth_ast_forNode226(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "forNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_forNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for forNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for forNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_forNode
  gc_frame_end(frame);
  return *var_forNode;
}
Object meth_ast_accept235(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe237 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call238 = callmethod(*var_visitor, "visitFor",
    1, partcv, params);
  gc_frame_end(callframe237);
// compilenode returning call238
  Object if236 = done;
  if (istrue(call238)) {
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe239 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe240 = gc_frame_new();
  partcv[0] = 0;
  Object call241 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe240);
// compilenode returning call241
// compilenode returning call241
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call242 = callmethod(call241, "accept",
    1, partcv, params);
  gc_frame_end(callframe239);
// compilenode returning call242
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe243 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe244 = gc_frame_new();
  partcv[0] = 0;
  Object call245 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe244);
// compilenode returning call245
// compilenode returning call245
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call246 = callmethod(call245, "accept",
    1, partcv, params);
  gc_frame_end(callframe243);
// compilenode returning call246
    gc_frame_newslot(call246);
    if236 = call246;
  } else {
  }
// compilenode returning if236
  gc_frame_end(frame);
  return if236;
}
Object meth_ast__apply255(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit257 == NULL) {
    strlit257 = alloc_String("  ");
    gc_root(strlit257);
  }
// compilenode returning strlit257
  int op_slot_right_256 = gc_frame_newslot(strlit257);
// compilenode returning *var_spc
  int op_slot_left_256 = gc_frame_newslot(*var_spc);
  params[0] = strlit257;
  partcv[0] = 1;
  Object opresult259 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult259
  *var_spc = opresult259;
  if (opresult259 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty247(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit248 == NULL) {
    strlit248 = alloc_String("");
    gc_root(strlit248);
  }
// compilenode returning strlit248
  *var_spc = strlit248;
  if (strlit248 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe249 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_250 = gc_frame_newslot(*var_depth);
  Object num252 = alloc_Float64(0);
// compilenode returning num252
  int op_slot_left_250 = gc_frame_newslot(num252);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult253 = callmethod(num252, "..", 1, partcv, params);
// compilenode returning opresult253
  gc_frame_newslot(opresult253);
  Object block254 = alloc_Block(NULL, NULL, "ast", 64);
  gc_frame_newslot(block254);
  block_savedest(block254);
  Object closure255 = createclosure(2, "_apply");
  setclosureframe(closure255, stackframe);
  addtoclosure(closure255, var_spc);
  addtoclosure(closure255, selfslot);
  struct UserObject *uo255 = (struct UserObject*)block254;
  uo255->data[0] = (Object)closure255;
  Method *meth_meth_ast__apply255 = addmethod2pos(block254, "_apply", &meth_ast__apply255, 0);
int argcv_meth_ast__apply255[] = {1};
meth_meth_ast__apply255->type = alloc_MethodType(1, argcv_meth_ast__apply255);
  meth_meth_ast__apply255->definitionModule = modulename;
  meth_meth_ast__apply255->definitionLine = 59;
// compilenode returning block254
  gc_frame_newslot(block254);
  params[0] = opresult253;
  params[1] = block254;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call262 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe249);
// compilenode returning call262
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit263 == NULL) {
    strlit263 = alloc_String("For""\x0a""");
    gc_root(strlit263);
  }
// compilenode returning strlit263
  *var_s = strlit263;
  if (strlit263 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe265 = gc_frame_new();
  Object num267 = alloc_Float64(1);
// compilenode returning num267
  int op_slot_right_266 = gc_frame_newslot(num267);
// compilenode returning *var_depth
  int op_slot_left_266 = gc_frame_newslot(*var_depth);
  params[0] = num267;
  partcv[0] = 1;
  Object sum269 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum269
  gc_frame_newslot(sum269);
  int callframe270 = gc_frame_new();
  partcv[0] = 0;
  Object call271 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe270);
// compilenode returning call271
// compilenode returning call271
  params[0] = sum269;
  partcv[0] = 1;
  Object call272 = callmethod(call271, "pretty",
    1, partcv, params);
  gc_frame_end(callframe265);
// compilenode returning call272
  int op_slot_right_264 = gc_frame_newslot(call272);
// compilenode returning *var_spc
  int op_slot_right_274 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_274 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult276 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult276
  int op_slot_left_264 = gc_frame_newslot(opresult276);
  params[0] = call272;
  partcv[0] = 1;
  Object opresult277 = callmethod(opresult276, "++", 1, partcv, params);
// compilenode returning opresult277
  *var_s = opresult277;
  if (opresult277 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit280 == NULL) {
    strlit280 = alloc_String("""\x0a""");
    gc_root(strlit280);
  }
// compilenode returning strlit280
  int op_slot_right_279 = gc_frame_newslot(strlit280);
// compilenode returning *var_s
  int op_slot_left_279 = gc_frame_newslot(*var_s);
  params[0] = strlit280;
  partcv[0] = 1;
  Object opresult282 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult282
  *var_s = opresult282;
  if (opresult282 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit285 == NULL) {
    strlit285 = alloc_String("Do:");
    gc_root(strlit285);
  }
// compilenode returning strlit285
  int op_slot_right_284 = gc_frame_newslot(strlit285);
// compilenode returning *var_spc
  int op_slot_right_287 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_287 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult289 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult289
  int op_slot_left_284 = gc_frame_newslot(opresult289);
  params[0] = strlit285;
  partcv[0] = 1;
  Object opresult290 = callmethod(opresult289, "++", 1, partcv, params);
// compilenode returning opresult290
  *var_s = opresult290;
  if (opresult290 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe293 = gc_frame_new();
  Object num295 = alloc_Float64(1);
// compilenode returning num295
  int op_slot_right_294 = gc_frame_newslot(num295);
// compilenode returning *var_depth
  int op_slot_left_294 = gc_frame_newslot(*var_depth);
  params[0] = num295;
  partcv[0] = 1;
  Object sum297 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum297
  gc_frame_newslot(sum297);
  int callframe298 = gc_frame_new();
  partcv[0] = 0;
  Object call299 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe298);
// compilenode returning call299
// compilenode returning call299
  params[0] = sum297;
  partcv[0] = 1;
  Object call300 = callmethod(call299, "pretty",
    1, partcv, params);
  gc_frame_end(callframe293);
// compilenode returning call300
  int op_slot_right_292 = gc_frame_newslot(call300);
  if (strlit303 == NULL) {
    strlit303 = alloc_String("  ");
    gc_root(strlit303);
  }
// compilenode returning strlit303
  int op_slot_right_302 = gc_frame_newslot(strlit303);
// compilenode returning *var_spc
  int op_slot_right_305 = gc_frame_newslot(*var_spc);
  if (strlit308 == NULL) {
    strlit308 = alloc_String("""\x0a""");
    gc_root(strlit308);
  }
// compilenode returning strlit308
  int op_slot_right_307 = gc_frame_newslot(strlit308);
// compilenode returning *var_s
  int op_slot_left_307 = gc_frame_newslot(*var_s);
  params[0] = strlit308;
  partcv[0] = 1;
  Object opresult310 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult310
  int op_slot_left_305 = gc_frame_newslot(opresult310);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult311 = callmethod(opresult310, "++", 1, partcv, params);
// compilenode returning opresult311
  int op_slot_left_302 = gc_frame_newslot(opresult311);
  params[0] = strlit303;
  partcv[0] = 1;
  Object opresult312 = callmethod(opresult311, "++", 1, partcv, params);
// compilenode returning opresult312
  int op_slot_left_292 = gc_frame_newslot(opresult312);
  params[0] = call300;
  partcv[0] = 1;
  Object opresult313 = callmethod(opresult312, "++", 1, partcv, params);
// compilenode returning opresult313
  *var_s = opresult313;
  if (opresult313 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply327(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit329 == NULL) {
    strlit329 = alloc_String("    ");
    gc_root(strlit329);
  }
// compilenode returning strlit329
  int op_slot_right_328 = gc_frame_newslot(strlit329);
// compilenode returning *var_spc
  int op_slot_left_328 = gc_frame_newslot(*var_spc);
  params[0] = strlit329;
  partcv[0] = 1;
  Object opresult331 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult331
  *var_spc = opresult331;
  if (opresult331 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit316 == NULL) {
    strlit316 = alloc_String("");
    gc_root(strlit316);
  }
// compilenode returning strlit316
  *var_spc = strlit316;
  if (strlit316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe317 = gc_frame_new();
  Object num320 = alloc_Float64(1);
// compilenode returning num320
  int op_slot_right_319 = gc_frame_newslot(num320);
// compilenode returning *var_depth
  int op_slot_left_319 = gc_frame_newslot(*var_depth);
  params[0] = num320;
  partcv[0] = 1;
  Object diff322 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff322
  int op_slot_right_318 = gc_frame_newslot(diff322);
  Object num324 = alloc_Float64(0);
// compilenode returning num324
  int op_slot_left_318 = gc_frame_newslot(num324);
  params[0] = diff322;
  partcv[0] = 1;
  Object opresult325 = callmethod(num324, "..", 1, partcv, params);
// compilenode returning opresult325
  gc_frame_newslot(opresult325);
  Object block326 = alloc_Block(NULL, NULL, "ast", 76);
  gc_frame_newslot(block326);
  block_savedest(block326);
  Object closure327 = createclosure(2, "_apply");
  setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_spc);
  addtoclosure(closure327, selfslot);
  struct UserObject *uo327 = (struct UserObject*)block326;
  uo327->data[0] = (Object)closure327;
  Method *meth_meth_ast__apply327 = addmethod2pos(block326, "_apply", &meth_ast__apply327, 0);
int argcv_meth_ast__apply327[] = {1};
meth_meth_ast__apply327->type = alloc_MethodType(1, argcv_meth_ast__apply327);
  meth_meth_ast__apply327->definitionModule = modulename;
  meth_meth_ast__apply327->definitionLine = 71;
// compilenode returning block326
  gc_frame_newslot(block326);
  params[0] = opresult325;
  params[1] = block326;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call334 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe317);
// compilenode returning call334
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit336 == NULL) {
    strlit336 = alloc_String(") do ");
    gc_root(strlit336);
  }
// compilenode returning strlit336
  int op_slot_right_335 = gc_frame_newslot(strlit336);
  int callframe339 = gc_frame_new();
  Object num340 = alloc_Float64(0);
// compilenode returning num340
  gc_frame_newslot(num340);
  int callframe341 = gc_frame_new();
  partcv[0] = 0;
  Object call342 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe341);
// compilenode returning call342
// compilenode returning call342
  params[0] = num340;
  partcv[0] = 1;
  Object call343 = callmethod(call342, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe339);
// compilenode returning call343
  int op_slot_right_338 = gc_frame_newslot(call343);
  if (strlit345 == NULL) {
    strlit345 = alloc_String("for (");
    gc_root(strlit345);
  }
// compilenode returning strlit345
  int op_slot_left_338 = gc_frame_newslot(strlit345);
  params[0] = call343;
  partcv[0] = 1;
  Object opresult346 = callmethod(strlit345, "++", 1, partcv, params);
// compilenode returning opresult346
  int op_slot_left_335 = gc_frame_newslot(opresult346);
  params[0] = strlit336;
  partcv[0] = 1;
  Object opresult347 = callmethod(opresult346, "++", 1, partcv, params);
// compilenode returning opresult347
  *var_s = opresult347;
  if (opresult347 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe349 = gc_frame_new();
// compilenode returning *var_depth
  gc_frame_newslot(*var_depth);
  int callframe350 = gc_frame_new();
  partcv[0] = 0;
  Object call351 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe350);
// compilenode returning call351
// compilenode returning call351
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call352 = callmethod(call351, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe349);
// compilenode returning call352
  int op_slot_right_348 = gc_frame_newslot(call352);
// compilenode returning *var_s
  int op_slot_left_348 = gc_frame_newslot(*var_s);
  params[0] = call352;
  partcv[0] = 1;
  Object opresult354 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult354
  *var_s = opresult354;
  if (opresult354 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new229(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_over = &(stackframe->slots[0]);
  *var_over = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject230 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj230 = alloc_userobj2(7,8, objclass230);
  gc_frame_newslot(obj230);
if (objclass230 == NULL) {
  glfree(obj230->class->name);
  obj230->class->name = "forNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj230, self, 0);
  addmethodreal(obj230,"outer", &reader_ast_outer_231);
  Object oldself230 = self;
  struct StackFrameObject *oldstackframe230 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe230);
  gc_frame_newslot((Object)stackframe);
  self = obj230;
  Object *oldselfslot230 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter230 = (*(struct UserObject *)self).data[0], lowerouter230 = thisouter230;
  if (inheritingObject230) {
    struct UserObject *inho230 = (struct UserObject *)inheritingObject230;
    while (inho230->super != GraceDefaultObject) inho230 = (struct UserObject *)inho230->super;
    inho230->super = obj230;
    self = inheritingObject230;
    *selfslot = self;
    lowerouter230 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter230;
  }
if (objclass230 == NULL) {
  Method *reader232 = addmethodrealflags(obj230, "kind",&reader_ast_kind_232, MFLAG_DEF);
  reader232->definitionModule = modulename;
  reader232->definitionLine = 54;
}
adddatum2(obj230, alloc_Undefined(), 1);
if (objclass230 == NULL) {
  Method *reader233 = addmethodrealflags(obj230, "value",&reader_ast_value_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 55;
}
adddatum2(obj230, alloc_Undefined(), 2);
if (objclass230 == NULL) {
  Method *reader234 = addmethodrealflags(obj230, "body",&reader_ast_body_234, MFLAG_DEF);
  reader234->definitionModule = modulename;
  reader234->definitionLine = 56;
}
adddatum2(obj230, alloc_Undefined(), 3);
  struct UserObject *uo235 = (struct UserObject*)obj230;
  uo235->data[4] = emptyclosure;
  Method *meth_meth_ast_accept235 = addmethod2pos(obj230, "accept", &meth_ast_accept235, 4);
int argcv_meth_ast_accept235[] = {1};
meth_meth_ast_accept235->type = alloc_MethodType(1, argcv_meth_ast_accept235);
  meth_meth_ast_accept235->definitionModule = modulename;
  meth_meth_ast_accept235->definitionLine = 56;
  struct UserObject *uo247 = (struct UserObject*)obj230;
  uo247->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty247 = addmethod2pos(obj230, "pretty", &meth_ast_pretty247, 5);
int argcv_meth_ast_pretty247[] = {1};
meth_meth_ast_pretty247->type = alloc_MethodType(1, argcv_meth_ast_pretty247);
  meth_meth_ast_pretty247->definitionModule = modulename;
  meth_meth_ast_pretty247->definitionLine = 62;
  struct UserObject *uo315 = (struct UserObject*)obj230;
  uo315->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace315 = addmethod2pos(obj230, "toGrace", &meth_ast_toGrace315, 6);
int argcv_meth_ast_toGrace315[] = {1};
meth_meth_ast_toGrace315->type = alloc_MethodType(1, argcv_meth_ast_toGrace315);
meth_meth_ast_toGrace315->type->types[0] = type_Number;
meth_meth_ast_toGrace315->type->names[0] = "depth";
  meth_meth_ast_toGrace315->definitionModule = modulename;
  meth_meth_ast_toGrace315->definitionLine = 74;
  sourceObject = obj230;
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe356 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call357 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe356);
// compilenode returning call357
  struct UserObject *obj230_uo = (struct UserObject *)obj230;
  obj230_uo->super = call357;
  sourceObject = obj230;
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit358 == NULL) {
    strlit358 = alloc_String("for");
    gc_root(strlit358);
  }
// compilenode returning strlit358
  adddatum2(obj230, strlit358, 1);
  sourceObject = obj230;
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_over
  adddatum2(obj230, *var_over, 2);
  sourceObject = obj230;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj230, *var_body_39_, 3);
  sourceObject = obj230;
  sourceObject = obj230;
  sourceObject = obj230;
objclass230 = obj230->class;
  objclass230->definitionModule = modulename;
  objclass230->definitionLine = 41;
  (*(struct UserObject *)self).data[0] = lowerouter230;
  self = oldself230;
  selfslot = oldselfslot230;
  stackframe = oldstackframe230;
  gc_frame_end(frame);
  return obj230;
}
Object meth_ast_new229_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_over = &(stackframe->slots[0]);
  *var_over = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject230 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj230 = alloc_userobj2(7,8, objclass230);
  gc_frame_newslot(obj230);
if (objclass230 == NULL) {
  glfree(obj230->class->name);
  obj230->class->name = "forNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj230, self, 0);
  addmethodreal(obj230,"outer", &reader_ast_outer_231);
  Object oldself230 = self;
  struct StackFrameObject *oldstackframe230 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe230);
  gc_frame_newslot((Object)stackframe);
  self = obj230;
  Object *oldselfslot230 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter230 = (*(struct UserObject *)self).data[0], lowerouter230 = thisouter230;
  if (inheritingObject230) {
    struct UserObject *inho230 = (struct UserObject *)inheritingObject230;
    while (inho230->super != GraceDefaultObject) inho230 = (struct UserObject *)inho230->super;
    inho230->super = obj230;
    self = inheritingObject230;
    *selfslot = self;
    lowerouter230 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter230;
  }
if (objclass230 == NULL) {
  Method *reader232 = addmethodrealflags(obj230, "kind",&reader_ast_kind_232, MFLAG_DEF);
  reader232->definitionModule = modulename;
  reader232->definitionLine = 54;
}
adddatum2(obj230, alloc_Undefined(), 1);
if (objclass230 == NULL) {
  Method *reader233 = addmethodrealflags(obj230, "value",&reader_ast_value_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 55;
}
adddatum2(obj230, alloc_Undefined(), 2);
if (objclass230 == NULL) {
  Method *reader234 = addmethodrealflags(obj230, "body",&reader_ast_body_234, MFLAG_DEF);
  reader234->definitionModule = modulename;
  reader234->definitionLine = 56;
}
adddatum2(obj230, alloc_Undefined(), 3);
  struct UserObject *uo235 = (struct UserObject*)obj230;
  uo235->data[4] = emptyclosure;
  Method *meth_meth_ast_accept235 = addmethod2pos(obj230, "accept", &meth_ast_accept235, 4);
int argcv_meth_ast_accept235[] = {1};
meth_meth_ast_accept235->type = alloc_MethodType(1, argcv_meth_ast_accept235);
  meth_meth_ast_accept235->definitionModule = modulename;
  meth_meth_ast_accept235->definitionLine = 56;
  struct UserObject *uo247 = (struct UserObject*)obj230;
  uo247->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty247 = addmethod2pos(obj230, "pretty", &meth_ast_pretty247, 5);
int argcv_meth_ast_pretty247[] = {1};
meth_meth_ast_pretty247->type = alloc_MethodType(1, argcv_meth_ast_pretty247);
  meth_meth_ast_pretty247->definitionModule = modulename;
  meth_meth_ast_pretty247->definitionLine = 62;
  struct UserObject *uo315 = (struct UserObject*)obj230;
  uo315->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace315 = addmethod2pos(obj230, "toGrace", &meth_ast_toGrace315, 6);
int argcv_meth_ast_toGrace315[] = {1};
meth_meth_ast_toGrace315->type = alloc_MethodType(1, argcv_meth_ast_toGrace315);
meth_meth_ast_toGrace315->type->types[0] = type_Number;
meth_meth_ast_toGrace315->type->names[0] = "depth";
  meth_meth_ast_toGrace315->definitionModule = modulename;
  meth_meth_ast_toGrace315->definitionLine = 74;
  sourceObject = obj230;
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe356 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call357 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe356);
// compilenode returning call357
  struct UserObject *obj230_uo = (struct UserObject *)obj230;
  obj230_uo->super = call357;
  sourceObject = obj230;
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit358 == NULL) {
    strlit358 = alloc_String("for");
    gc_root(strlit358);
  }
// compilenode returning strlit358
  adddatum2(obj230, strlit358, 1);
  sourceObject = obj230;
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_over
  adddatum2(obj230, *var_over, 2);
  sourceObject = obj230;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj230, *var_body_39_, 3);
  sourceObject = obj230;
  sourceObject = obj230;
  sourceObject = obj230;
objclass230 = obj230->class;
  objclass230->definitionModule = modulename;
  objclass230->definitionLine = 41;
  (*(struct UserObject *)self).data[0] = lowerouter230;
  self = oldself230;
  selfslot = oldselfslot230;
  stackframe = oldstackframe230;
  gc_frame_end(frame);
  return obj230;
}
Object meth_ast_whileNode360(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "whileNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_whileNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for whileNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for whileNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_whileNode
  gc_frame_end(frame);
  return *var_whileNode;
}
Object meth_ast__apply381(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe382 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_x
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call383 = callmethod(*var_x, "accept",
    1, partcv, params);
  gc_frame_end(callframe382);
// compilenode returning call383
  gc_frame_end(frame);
  return call383;
}
Object meth_ast_accept369(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe371 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call372 = callmethod(*var_visitor, "visitWhile",
    1, partcv, params);
  gc_frame_end(callframe371);
// compilenode returning call372
  Object if370 = done;
  if (istrue(call372)) {
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe373 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe374 = gc_frame_new();
  partcv[0] = 0;
  Object call375 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe374);
// compilenode returning call375
// compilenode returning call375
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call376 = callmethod(call375, "accept",
    1, partcv, params);
  gc_frame_end(callframe373);
// compilenode returning call376
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe377 = gc_frame_new();
  int callframe378 = gc_frame_new();
  partcv[0] = 0;
  Object call379 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe378);
// compilenode returning call379
// compilenode returning call379
  gc_frame_newslot(call379);
  Object block380 = alloc_Block(NULL, NULL, "ast", 92);
  gc_frame_newslot(block380);
  block_savedest(block380);
  Object closure381 = createclosure(2, "_apply");
  setclosureframe(closure381, stackframe);
  addtoclosure(closure381, var_visitor);
  addtoclosure(closure381, selfslot);
  struct UserObject *uo381 = (struct UserObject*)block380;
  uo381->data[0] = (Object)closure381;
  Method *meth_meth_ast__apply381 = addmethod2pos(block380, "_apply", &meth_ast__apply381, 0);
int argcv_meth_ast__apply381[] = {1};
meth_meth_ast__apply381->type = alloc_MethodType(1, argcv_meth_ast__apply381);
  meth_meth_ast__apply381->definitionModule = modulename;
  meth_meth_ast__apply381->definitionLine = 92;
// compilenode returning block380
  gc_frame_newslot(block380);
  params[0] = call379;
  params[1] = block380;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call385 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe377);
// compilenode returning call385
    gc_frame_newslot(call385);
    if370 = call385;
  } else {
  }
// compilenode returning if370
  gc_frame_end(frame);
  return if370;
}
Object meth_ast__apply394(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit396 == NULL) {
    strlit396 = alloc_String("  ");
    gc_root(strlit396);
  }
// compilenode returning strlit396
  int op_slot_right_395 = gc_frame_newslot(strlit396);
// compilenode returning *var_spc
  int op_slot_left_395 = gc_frame_newslot(*var_spc);
  params[0] = strlit396;
  partcv[0] = 1;
  Object opresult398 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult398
  *var_spc = opresult398;
  if (opresult398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply435(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe437 = gc_frame_new();
  Object num439 = alloc_Float64(2);
// compilenode returning num439
  int op_slot_right_438 = gc_frame_newslot(num439);
// compilenode returning *var_depth
  int op_slot_left_438 = gc_frame_newslot(*var_depth);
  params[0] = num439;
  partcv[0] = 1;
  Object sum441 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum441
  gc_frame_newslot(sum441);
// compilenode returning *var_x
  params[0] = sum441;
  partcv[0] = 1;
  Object call442 = callmethod(*var_x, "pretty",
    1, partcv, params);
  gc_frame_end(callframe437);
// compilenode returning call442
  int op_slot_right_436 = gc_frame_newslot(call442);
// compilenode returning *var_spc
  int op_slot_right_444 = gc_frame_newslot(*var_spc);
  if (strlit447 == NULL) {
    strlit447 = alloc_String("""\x0a""  ");
    gc_root(strlit447);
  }
// compilenode returning strlit447
  int op_slot_right_446 = gc_frame_newslot(strlit447);
// compilenode returning *var_s
  int op_slot_left_446 = gc_frame_newslot(*var_s);
  params[0] = strlit447;
  partcv[0] = 1;
  Object opresult449 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult449
  int op_slot_left_444 = gc_frame_newslot(opresult449);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult450 = callmethod(opresult449, "++", 1, partcv, params);
// compilenode returning opresult450
  int op_slot_left_436 = gc_frame_newslot(opresult450);
  params[0] = call442;
  partcv[0] = 1;
  Object opresult451 = callmethod(opresult450, "++", 1, partcv, params);
// compilenode returning opresult451
  *var_s = opresult451;
  if (opresult451 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty386(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit387 == NULL) {
    strlit387 = alloc_String("");
    gc_root(strlit387);
  }
// compilenode returning strlit387
  *var_spc = strlit387;
  if (strlit387 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe388 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_389 = gc_frame_newslot(*var_depth);
  Object num391 = alloc_Float64(0);
// compilenode returning num391
  int op_slot_left_389 = gc_frame_newslot(num391);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult392 = callmethod(num391, "..", 1, partcv, params);
// compilenode returning opresult392
  gc_frame_newslot(opresult392);
  Object block393 = alloc_Block(NULL, NULL, "ast", 99);
  gc_frame_newslot(block393);
  block_savedest(block393);
  Object closure394 = createclosure(2, "_apply");
  setclosureframe(closure394, stackframe);
  addtoclosure(closure394, var_spc);
  addtoclosure(closure394, selfslot);
  struct UserObject *uo394 = (struct UserObject*)block393;
  uo394->data[0] = (Object)closure394;
  Method *meth_meth_ast__apply394 = addmethod2pos(block393, "_apply", &meth_ast__apply394, 0);
int argcv_meth_ast__apply394[] = {1};
meth_meth_ast__apply394->type = alloc_MethodType(1, argcv_meth_ast__apply394);
  meth_meth_ast__apply394->definitionModule = modulename;
  meth_meth_ast__apply394->definitionLine = 92;
// compilenode returning block393
  gc_frame_newslot(block393);
  params[0] = opresult392;
  params[1] = block393;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call401 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe388);
// compilenode returning call401
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit402 == NULL) {
    strlit402 = alloc_String("While""\x0a""");
    gc_root(strlit402);
  }
// compilenode returning strlit402
  *var_s = strlit402;
  if (strlit402 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe404 = gc_frame_new();
  Object num406 = alloc_Float64(1);
// compilenode returning num406
  int op_slot_right_405 = gc_frame_newslot(num406);
// compilenode returning *var_depth
  int op_slot_left_405 = gc_frame_newslot(*var_depth);
  params[0] = num406;
  partcv[0] = 1;
  Object sum408 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum408
  gc_frame_newslot(sum408);
  int callframe409 = gc_frame_new();
  partcv[0] = 0;
  Object call410 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe409);
// compilenode returning call410
// compilenode returning call410
  params[0] = sum408;
  partcv[0] = 1;
  Object call411 = callmethod(call410, "pretty",
    1, partcv, params);
  gc_frame_end(callframe404);
// compilenode returning call411
  int op_slot_right_403 = gc_frame_newslot(call411);
// compilenode returning *var_spc
  int op_slot_right_413 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_413 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult415 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult415
  int op_slot_left_403 = gc_frame_newslot(opresult415);
  params[0] = call411;
  partcv[0] = 1;
  Object opresult416 = callmethod(opresult415, "++", 1, partcv, params);
// compilenode returning opresult416
  *var_s = opresult416;
  if (opresult416 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit419 == NULL) {
    strlit419 = alloc_String("""\x0a""");
    gc_root(strlit419);
  }
// compilenode returning strlit419
  int op_slot_right_418 = gc_frame_newslot(strlit419);
// compilenode returning *var_s
  int op_slot_left_418 = gc_frame_newslot(*var_s);
  params[0] = strlit419;
  partcv[0] = 1;
  Object opresult421 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult421
  *var_s = opresult421;
  if (opresult421 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit424 == NULL) {
    strlit424 = alloc_String("Do:");
    gc_root(strlit424);
  }
// compilenode returning strlit424
  int op_slot_right_423 = gc_frame_newslot(strlit424);
// compilenode returning *var_spc
  int op_slot_right_426 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_426 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult428 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult428
  int op_slot_left_423 = gc_frame_newslot(opresult428);
  params[0] = strlit424;
  partcv[0] = 1;
  Object opresult429 = callmethod(opresult428, "++", 1, partcv, params);
// compilenode returning opresult429
  *var_s = opresult429;
  if (opresult429 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe431 = gc_frame_new();
  int callframe432 = gc_frame_new();
  partcv[0] = 0;
  Object call433 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe432);
// compilenode returning call433
// compilenode returning call433
  gc_frame_newslot(call433);
  Object block434 = alloc_Block(NULL, NULL, "ast", 106);
  gc_frame_newslot(block434);
  block_savedest(block434);
  Object closure435 = createclosure(4, "_apply");
  setclosureframe(closure435, stackframe);
  addtoclosure(closure435, var_depth);
  addtoclosure(closure435, var_spc);
  addtoclosure(closure435, var_s);
  addtoclosure(closure435, selfslot);
  struct UserObject *uo435 = (struct UserObject*)block434;
  uo435->data[0] = (Object)closure435;
  Method *meth_meth_ast__apply435 = addmethod2pos(block434, "_apply", &meth_ast__apply435, 0);
int argcv_meth_ast__apply435[] = {1};
meth_meth_ast__apply435->type = alloc_MethodType(1, argcv_meth_ast__apply435);
  meth_meth_ast__apply435->definitionModule = modulename;
  meth_meth_ast__apply435->definitionLine = 106;
// compilenode returning block434
  gc_frame_newslot(block434);
  params[0] = call433;
  params[1] = block434;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call454 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe431);
// compilenode returning call454
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply467(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit469 == NULL) {
    strlit469 = alloc_String("    ");
    gc_root(strlit469);
  }
// compilenode returning strlit469
  int op_slot_right_468 = gc_frame_newslot(strlit469);
// compilenode returning *var_spc
  int op_slot_left_468 = gc_frame_newslot(*var_spc);
  params[0] = strlit469;
  partcv[0] = 1;
  Object opresult471 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult471
  *var_spc = opresult471;
  if (opresult471 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply495(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe497 = gc_frame_new();
  Object num499 = alloc_Float64(1);
// compilenode returning num499
  int op_slot_right_498 = gc_frame_newslot(num499);
// compilenode returning *var_depth
  int op_slot_left_498 = gc_frame_newslot(*var_depth);
  params[0] = num499;
  partcv[0] = 1;
  Object sum501 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum501
  gc_frame_newslot(sum501);
// compilenode returning *var_x
  params[0] = sum501;
  partcv[0] = 1;
  Object call502 = callmethod(*var_x, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe497);
// compilenode returning call502
  int op_slot_right_496 = gc_frame_newslot(call502);
  if (strlit505 == NULL) {
    strlit505 = alloc_String("    ");
    gc_root(strlit505);
  }
// compilenode returning strlit505
  int op_slot_right_504 = gc_frame_newslot(strlit505);
// compilenode returning *var_spc
  int op_slot_right_507 = gc_frame_newslot(*var_spc);
  if (strlit510 == NULL) {
    strlit510 = alloc_String("""\x0a""");
    gc_root(strlit510);
  }
// compilenode returning strlit510
  int op_slot_right_509 = gc_frame_newslot(strlit510);
// compilenode returning *var_s
  int op_slot_left_509 = gc_frame_newslot(*var_s);
  params[0] = strlit510;
  partcv[0] = 1;
  Object opresult512 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult512
  int op_slot_left_507 = gc_frame_newslot(opresult512);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult513 = callmethod(opresult512, "++", 1, partcv, params);
// compilenode returning opresult513
  int op_slot_left_504 = gc_frame_newslot(opresult513);
  params[0] = strlit505;
  partcv[0] = 1;
  Object opresult514 = callmethod(opresult513, "++", 1, partcv, params);
// compilenode returning opresult514
  int op_slot_left_496 = gc_frame_newslot(opresult514);
  params[0] = call502;
  partcv[0] = 1;
  Object opresult515 = callmethod(opresult514, "++", 1, partcv, params);
// compilenode returning opresult515
  *var_s = opresult515;
  if (opresult515 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace455(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit456 == NULL) {
    strlit456 = alloc_String("");
    gc_root(strlit456);
  }
// compilenode returning strlit456
  *var_spc = strlit456;
  if (strlit456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe457 = gc_frame_new();
  Object num460 = alloc_Float64(1);
// compilenode returning num460
  int op_slot_right_459 = gc_frame_newslot(num460);
// compilenode returning *var_depth
  int op_slot_left_459 = gc_frame_newslot(*var_depth);
  params[0] = num460;
  partcv[0] = 1;
  Object diff462 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff462
  int op_slot_right_458 = gc_frame_newslot(diff462);
  Object num464 = alloc_Float64(0);
// compilenode returning num464
  int op_slot_left_458 = gc_frame_newslot(num464);
  params[0] = diff462;
  partcv[0] = 1;
  Object opresult465 = callmethod(num464, "..", 1, partcv, params);
// compilenode returning opresult465
  gc_frame_newslot(opresult465);
  Object block466 = alloc_Block(NULL, NULL, "ast", 113);
  gc_frame_newslot(block466);
  block_savedest(block466);
  Object closure467 = createclosure(2, "_apply");
  setclosureframe(closure467, stackframe);
  addtoclosure(closure467, var_spc);
  addtoclosure(closure467, selfslot);
  struct UserObject *uo467 = (struct UserObject*)block466;
  uo467->data[0] = (Object)closure467;
  Method *meth_meth_ast__apply467 = addmethod2pos(block466, "_apply", &meth_ast__apply467, 0);
int argcv_meth_ast__apply467[] = {1};
meth_meth_ast__apply467->type = alloc_MethodType(1, argcv_meth_ast__apply467);
  meth_meth_ast__apply467->definitionModule = modulename;
  meth_meth_ast__apply467->definitionLine = 106;
// compilenode returning block466
  gc_frame_newslot(block466);
  params[0] = opresult465;
  params[1] = block466;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call474 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe457);
// compilenode returning call474
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit476 == NULL) {
    strlit476 = alloc_String("} do {");
    gc_root(strlit476);
  }
// compilenode returning strlit476
  int op_slot_right_475 = gc_frame_newslot(strlit476);
  int callframe479 = gc_frame_new();
  Object num481 = alloc_Float64(1);
// compilenode returning num481
  int op_slot_right_480 = gc_frame_newslot(num481);
// compilenode returning *var_depth
  int op_slot_left_480 = gc_frame_newslot(*var_depth);
  params[0] = num481;
  partcv[0] = 1;
  Object sum483 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum483
  gc_frame_newslot(sum483);
  int callframe484 = gc_frame_new();
  partcv[0] = 0;
  Object call485 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe484);
// compilenode returning call485
// compilenode returning call485
  params[0] = sum483;
  partcv[0] = 1;
  Object call486 = callmethod(call485, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe479);
// compilenode returning call486
  int op_slot_right_478 = gc_frame_newslot(call486);
  if (strlit488 == NULL) {
    strlit488 = alloc_String("while {");
    gc_root(strlit488);
  }
// compilenode returning strlit488
  int op_slot_left_478 = gc_frame_newslot(strlit488);
  params[0] = call486;
  partcv[0] = 1;
  Object opresult489 = callmethod(strlit488, "++", 1, partcv, params);
// compilenode returning opresult489
  int op_slot_left_475 = gc_frame_newslot(opresult489);
  params[0] = strlit476;
  partcv[0] = 1;
  Object opresult490 = callmethod(opresult489, "++", 1, partcv, params);
// compilenode returning opresult490
  *var_s = opresult490;
  if (opresult490 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe491 = gc_frame_new();
  int callframe492 = gc_frame_new();
  partcv[0] = 0;
  Object call493 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe492);
// compilenode returning call493
// compilenode returning call493
  gc_frame_newslot(call493);
  Object block494 = alloc_Block(NULL, NULL, "ast", 117);
  gc_frame_newslot(block494);
  block_savedest(block494);
  Object closure495 = createclosure(4, "_apply");
  setclosureframe(closure495, stackframe);
  addtoclosure(closure495, var_depth);
  addtoclosure(closure495, var_spc);
  addtoclosure(closure495, var_s);
  addtoclosure(closure495, selfslot);
  struct UserObject *uo495 = (struct UserObject*)block494;
  uo495->data[0] = (Object)closure495;
  Method *meth_meth_ast__apply495 = addmethod2pos(block494, "_apply", &meth_ast__apply495, 0);
int argcv_meth_ast__apply495[] = {1};
meth_meth_ast__apply495->type = alloc_MethodType(1, argcv_meth_ast__apply495);
  meth_meth_ast__apply495->definitionModule = modulename;
  meth_meth_ast__apply495->definitionLine = 117;
// compilenode returning block494
  gc_frame_newslot(block494);
  params[0] = call493;
  params[1] = block494;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call518 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe491);
// compilenode returning call518
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit520 == NULL) {
    strlit520 = alloc_String("}");
    gc_root(strlit520);
  }
// compilenode returning strlit520
  int op_slot_right_519 = gc_frame_newslot(strlit520);
// compilenode returning *var_spc
  int op_slot_right_522 = gc_frame_newslot(*var_spc);
  if (strlit525 == NULL) {
    strlit525 = alloc_String("""\x0a""");
    gc_root(strlit525);
  }
// compilenode returning strlit525
  int op_slot_right_524 = gc_frame_newslot(strlit525);
// compilenode returning *var_s
  int op_slot_left_524 = gc_frame_newslot(*var_s);
  params[0] = strlit525;
  partcv[0] = 1;
  Object opresult527 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult527
  int op_slot_left_522 = gc_frame_newslot(opresult527);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult528 = callmethod(opresult527, "++", 1, partcv, params);
// compilenode returning opresult528
  int op_slot_left_519 = gc_frame_newslot(opresult528);
  params[0] = strlit520;
  partcv[0] = 1;
  Object opresult529 = callmethod(opresult528, "++", 1, partcv, params);
// compilenode returning opresult529
  *var_s = opresult529;
  if (opresult529 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new363(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject364 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj364 = alloc_userobj2(7,8, objclass364);
  gc_frame_newslot(obj364);
if (objclass364 == NULL) {
  glfree(obj364->class->name);
  obj364->class->name = "whileNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj364, self, 0);
  addmethodreal(obj364,"outer", &reader_ast_outer_365);
  Object oldself364 = self;
  struct StackFrameObject *oldstackframe364 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe364);
  gc_frame_newslot((Object)stackframe);
  self = obj364;
  Object *oldselfslot364 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter364 = (*(struct UserObject *)self).data[0], lowerouter364 = thisouter364;
  if (inheritingObject364) {
    struct UserObject *inho364 = (struct UserObject *)inheritingObject364;
    while (inho364->super != GraceDefaultObject) inho364 = (struct UserObject *)inho364->super;
    inho364->super = obj364;
    self = inheritingObject364;
    *selfslot = self;
    lowerouter364 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter364;
  }
if (objclass364 == NULL) {
  Method *reader366 = addmethodrealflags(obj364, "kind",&reader_ast_kind_366, MFLAG_DEF);
  reader366->definitionModule = modulename;
  reader366->definitionLine = 87;
}
adddatum2(obj364, alloc_Undefined(), 1);
if (objclass364 == NULL) {
  Method *reader367 = addmethodrealflags(obj364, "value",&reader_ast_value_367, MFLAG_DEF);
  reader367->definitionModule = modulename;
  reader367->definitionLine = 88;
}
adddatum2(obj364, alloc_Undefined(), 2);
if (objclass364 == NULL) {
  Method *reader368 = addmethodrealflags(obj364, "body",&reader_ast_body_368, MFLAG_DEF);
  reader368->definitionModule = modulename;
  reader368->definitionLine = 89;
}
adddatum2(obj364, alloc_Undefined(), 3);
  struct UserObject *uo369 = (struct UserObject*)obj364;
  uo369->data[4] = emptyclosure;
  Method *meth_meth_ast_accept369 = addmethod2pos(obj364, "accept", &meth_ast_accept369, 4);
int argcv_meth_ast_accept369[] = {1};
meth_meth_ast_accept369->type = alloc_MethodType(1, argcv_meth_ast_accept369);
  meth_meth_ast_accept369->definitionModule = modulename;
  meth_meth_ast_accept369->definitionLine = 89;
  struct UserObject *uo386 = (struct UserObject*)obj364;
  uo386->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty386 = addmethod2pos(obj364, "pretty", &meth_ast_pretty386, 5);
int argcv_meth_ast_pretty386[] = {1};
meth_meth_ast_pretty386->type = alloc_MethodType(1, argcv_meth_ast_pretty386);
  meth_meth_ast_pretty386->definitionModule = modulename;
  meth_meth_ast_pretty386->definitionLine = 97;
  struct UserObject *uo455 = (struct UserObject*)obj364;
  uo455->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace455 = addmethod2pos(obj364, "toGrace", &meth_ast_toGrace455, 6);
int argcv_meth_ast_toGrace455[] = {1};
meth_meth_ast_toGrace455->type = alloc_MethodType(1, argcv_meth_ast_toGrace455);
meth_meth_ast_toGrace455->type->types[0] = type_Number;
meth_meth_ast_toGrace455->type->names[0] = "depth";
  meth_meth_ast_toGrace455->definitionModule = modulename;
  meth_meth_ast_toGrace455->definitionLine = 111;
  sourceObject = obj364;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe531 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call532 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe531);
// compilenode returning call532
  struct UserObject *obj364_uo = (struct UserObject *)obj364;
  obj364_uo->super = call532;
  sourceObject = obj364;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit533 == NULL) {
    strlit533 = alloc_String("while");
    gc_root(strlit533);
  }
// compilenode returning strlit533
  adddatum2(obj364, strlit533, 1);
  sourceObject = obj364;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cond
  adddatum2(obj364, *var_cond, 2);
  sourceObject = obj364;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj364, *var_body_39_, 3);
  sourceObject = obj364;
  sourceObject = obj364;
  sourceObject = obj364;
objclass364 = obj364->class;
  objclass364->definitionModule = modulename;
  objclass364->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter364;
  self = oldself364;
  selfslot = oldselfslot364;
  stackframe = oldstackframe364;
  gc_frame_end(frame);
  return obj364;
}
Object meth_ast_new363_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject364 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj364 = alloc_userobj2(7,8, objclass364);
  gc_frame_newslot(obj364);
if (objclass364 == NULL) {
  glfree(obj364->class->name);
  obj364->class->name = "whileNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj364, self, 0);
  addmethodreal(obj364,"outer", &reader_ast_outer_365);
  Object oldself364 = self;
  struct StackFrameObject *oldstackframe364 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe364);
  gc_frame_newslot((Object)stackframe);
  self = obj364;
  Object *oldselfslot364 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter364 = (*(struct UserObject *)self).data[0], lowerouter364 = thisouter364;
  if (inheritingObject364) {
    struct UserObject *inho364 = (struct UserObject *)inheritingObject364;
    while (inho364->super != GraceDefaultObject) inho364 = (struct UserObject *)inho364->super;
    inho364->super = obj364;
    self = inheritingObject364;
    *selfslot = self;
    lowerouter364 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter364;
  }
if (objclass364 == NULL) {
  Method *reader366 = addmethodrealflags(obj364, "kind",&reader_ast_kind_366, MFLAG_DEF);
  reader366->definitionModule = modulename;
  reader366->definitionLine = 87;
}
adddatum2(obj364, alloc_Undefined(), 1);
if (objclass364 == NULL) {
  Method *reader367 = addmethodrealflags(obj364, "value",&reader_ast_value_367, MFLAG_DEF);
  reader367->definitionModule = modulename;
  reader367->definitionLine = 88;
}
adddatum2(obj364, alloc_Undefined(), 2);
if (objclass364 == NULL) {
  Method *reader368 = addmethodrealflags(obj364, "body",&reader_ast_body_368, MFLAG_DEF);
  reader368->definitionModule = modulename;
  reader368->definitionLine = 89;
}
adddatum2(obj364, alloc_Undefined(), 3);
  struct UserObject *uo369 = (struct UserObject*)obj364;
  uo369->data[4] = emptyclosure;
  Method *meth_meth_ast_accept369 = addmethod2pos(obj364, "accept", &meth_ast_accept369, 4);
int argcv_meth_ast_accept369[] = {1};
meth_meth_ast_accept369->type = alloc_MethodType(1, argcv_meth_ast_accept369);
  meth_meth_ast_accept369->definitionModule = modulename;
  meth_meth_ast_accept369->definitionLine = 89;
  struct UserObject *uo386 = (struct UserObject*)obj364;
  uo386->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty386 = addmethod2pos(obj364, "pretty", &meth_ast_pretty386, 5);
int argcv_meth_ast_pretty386[] = {1};
meth_meth_ast_pretty386->type = alloc_MethodType(1, argcv_meth_ast_pretty386);
  meth_meth_ast_pretty386->definitionModule = modulename;
  meth_meth_ast_pretty386->definitionLine = 97;
  struct UserObject *uo455 = (struct UserObject*)obj364;
  uo455->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace455 = addmethod2pos(obj364, "toGrace", &meth_ast_toGrace455, 6);
int argcv_meth_ast_toGrace455[] = {1};
meth_meth_ast_toGrace455->type = alloc_MethodType(1, argcv_meth_ast_toGrace455);
meth_meth_ast_toGrace455->type->types[0] = type_Number;
meth_meth_ast_toGrace455->type->names[0] = "depth";
  meth_meth_ast_toGrace455->definitionModule = modulename;
  meth_meth_ast_toGrace455->definitionLine = 111;
  sourceObject = obj364;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe531 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call532 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe531);
// compilenode returning call532
  struct UserObject *obj364_uo = (struct UserObject *)obj364;
  obj364_uo->super = call532;
  sourceObject = obj364;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit533 == NULL) {
    strlit533 = alloc_String("while");
    gc_root(strlit533);
  }
// compilenode returning strlit533
  adddatum2(obj364, strlit533, 1);
  sourceObject = obj364;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cond
  adddatum2(obj364, *var_cond, 2);
  sourceObject = obj364;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj364, *var_body_39_, 3);
  sourceObject = obj364;
  sourceObject = obj364;
  sourceObject = obj364;
objclass364 = obj364->class;
  objclass364->definitionModule = modulename;
  objclass364->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter364;
  self = oldself364;
  selfslot = oldselfslot364;
  stackframe = oldstackframe364;
  gc_frame_end(frame);
  return obj364;
}
Object meth_ast_ifNode535(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ifNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ifNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for ifNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ifNode
  gc_frame_end(frame);
  return *var_ifNode;
}
Object meth_ast__apply558(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe559 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_ix
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call560 = callmethod(*var_ix, "accept",
    1, partcv, params);
  gc_frame_end(callframe559);
// compilenode returning call560
  gc_frame_end(frame);
  return call560;
}
Object meth_ast__apply567(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe568 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_ix
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call569 = callmethod(*var_ix, "accept",
    1, partcv, params);
  gc_frame_end(callframe568);
// compilenode returning call569
  gc_frame_end(frame);
  return call569;
}
Object meth_ast_accept546(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe548 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call549 = callmethod(*var_visitor, "visitIf",
    1, partcv, params);
  gc_frame_end(callframe548);
// compilenode returning call549
  Object if547 = done;
  if (istrue(call549)) {
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe550 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe551 = gc_frame_new();
  partcv[0] = 0;
  Object call552 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe551);
// compilenode returning call552
// compilenode returning call552
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call553 = callmethod(call552, "accept",
    1, partcv, params);
  gc_frame_end(callframe550);
// compilenode returning call553
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe554 = gc_frame_new();
  int callframe555 = gc_frame_new();
  partcv[0] = 0;
  Object call556 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe555);
// compilenode returning call556
// compilenode returning call556
  gc_frame_newslot(call556);
  Object block557 = alloc_Block(NULL, NULL, "ast", 134);
  gc_frame_newslot(block557);
  block_savedest(block557);
  Object closure558 = createclosure(2, "_apply");
  setclosureframe(closure558, stackframe);
  addtoclosure(closure558, var_visitor);
  addtoclosure(closure558, selfslot);
  struct UserObject *uo558 = (struct UserObject*)block557;
  uo558->data[0] = (Object)closure558;
  Method *meth_meth_ast__apply558 = addmethod2pos(block557, "_apply", &meth_ast__apply558, 0);
int argcv_meth_ast__apply558[] = {1};
meth_meth_ast__apply558->type = alloc_MethodType(1, argcv_meth_ast__apply558);
  meth_meth_ast__apply558->definitionModule = modulename;
  meth_meth_ast__apply558->definitionLine = 134;
// compilenode returning block557
  gc_frame_newslot(block557);
  params[0] = call556;
  params[1] = block557;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call562 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe554);
// compilenode returning call562
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe563 = gc_frame_new();
  int callframe564 = gc_frame_new();
  partcv[0] = 0;
  Object call565 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe564);
// compilenode returning call565
// compilenode returning call565
  gc_frame_newslot(call565);
  Object block566 = alloc_Block(NULL, NULL, "ast", 137);
  gc_frame_newslot(block566);
  block_savedest(block566);
  Object closure567 = createclosure(2, "_apply");
  setclosureframe(closure567, stackframe);
  addtoclosure(closure567, var_visitor);
  addtoclosure(closure567, selfslot);
  struct UserObject *uo567 = (struct UserObject*)block566;
  uo567->data[0] = (Object)closure567;
  Method *meth_meth_ast__apply567 = addmethod2pos(block566, "_apply", &meth_ast__apply567, 0);
int argcv_meth_ast__apply567[] = {1};
meth_meth_ast__apply567->type = alloc_MethodType(1, argcv_meth_ast__apply567);
  meth_meth_ast__apply567->definitionModule = modulename;
  meth_meth_ast__apply567->definitionLine = 137;
// compilenode returning block566
  gc_frame_newslot(block566);
  params[0] = call565;
  params[1] = block566;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call571 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe563);
// compilenode returning call571
    gc_frame_newslot(call571);
    if547 = call571;
  } else {
  }
// compilenode returning if547
  gc_frame_end(frame);
  return if547;
}
Object meth_ast_map_40__41_before_40__41_after572(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_ifNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_v = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "v");
  Object *var_tb = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "tb");
  Object *var_eb = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "eb");
  Object *var_n = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "n");
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe573 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call574 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe573);
// compilenode returning call574
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe575 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe576 = gc_frame_new();
  partcv[0] = 0;
  Object call577 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe576);
// compilenode returning call577
// compilenode returning call577
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call578 = callmethod(call577, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe575);
// compilenode returning call578
  *var_v = call578;
  if (call578 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe579 = gc_frame_new();
  int callframe580 = gc_frame_new();
  partcv[0] = 0;
  Object call581 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe580);
// compilenode returning call581
// compilenode returning call581
  gc_frame_newslot(call581);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe582 = gc_frame_new();
  int callframe583 = gc_frame_new();
  Object call584 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe583);
// compilenode returning call584
// compilenode returning call584
  partcv[0] = 0;
  Object call585 = callmethodflags(call584, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe582);
// compilenode returning call585
// compilenode returning call585
  params[0] = call581;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call586 = callmethodflags(call585, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe579);
// compilenode returning call586
  *var_tb = call586;
  if (call586 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe587 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkAfter
  params[0] = self;
  partcv[0] = 1;
  Object call588 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe587);
// compilenode returning call588
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe589 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call590 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe589);
// compilenode returning call590
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe591 = gc_frame_new();
  int callframe592 = gc_frame_new();
  partcv[0] = 0;
  Object call593 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe592);
// compilenode returning call593
// compilenode returning call593
  gc_frame_newslot(call593);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe594 = gc_frame_new();
  int callframe595 = gc_frame_new();
  Object call596 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe595);
// compilenode returning call596
// compilenode returning call596
  partcv[0] = 0;
  Object call597 = callmethodflags(call596, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe594);
// compilenode returning call597
// compilenode returning call597
  params[0] = call593;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call598 = callmethodflags(call597, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe591);
// compilenode returning call598
  *var_eb = call598;
  if (call598 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe599 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_tb
  gc_frame_newslot(*var_tb);
// compilenode returning *var_eb
  gc_frame_newslot(*var_eb);
// compilenode returning *var_ifNode
  params[0] = *var_v;
  params[1] = *var_tb;
  params[2] = *var_eb;
  partcv[0] = 3;
  Object call600 = callmethod(*var_ifNode, "new",
    1, partcv, params);
  gc_frame_end(callframe599);
// compilenode returning call600
  *var_n = call600;
  if (call600 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe601 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call602 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe601);
// compilenode returning call602
  *var_n = call602;
  if (call602 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe604 = gc_frame_new();
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe605 = gc_frame_new();
  partcv[0] = 0;
  Object call606 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe605);
// compilenode returning call606
  gc_frame_newslot(call606);
// compilenode returning *var_n
  params[0] = call606;
  partcv[0] = 1;
  Object call607 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe604);
// compilenode returning call607
// compilenode returning done
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe608 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call609 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe608);
// compilenode returning call609
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply613(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply616(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map610(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe611 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block612 = alloc_Block(NULL, NULL, "ast", 156);
  gc_frame_newslot(block612);
  block_savedest(block612);
  Object closure613 = createclosure(1, "_apply");
  setclosureframe(closure613, stackframe);
  addtoclosure(closure613, selfslot);
  struct UserObject *uo613 = (struct UserObject*)block612;
  uo613->data[0] = (Object)closure613;
  Method *meth_meth_ast__apply613 = addmethod2pos(block612, "_apply", &meth_ast__apply613, 0);
int argcv_meth_ast__apply613[] = {0};
meth_meth_ast__apply613->type = alloc_MethodType(1, argcv_meth_ast__apply613);
  meth_meth_ast__apply613->definitionModule = modulename;
  meth_meth_ast__apply613->definitionLine = 148;
// compilenode returning block612
  gc_frame_newslot(block612);
  Object block615 = alloc_Block(NULL, NULL, "ast", 156);
  gc_frame_newslot(block615);
  block_savedest(block615);
  Object closure616 = createclosure(1, "_apply");
  setclosureframe(closure616, stackframe);
  addtoclosure(closure616, selfslot);
  struct UserObject *uo616 = (struct UserObject*)block615;
  uo616->data[0] = (Object)closure616;
  Method *meth_meth_ast__apply616 = addmethod2pos(block615, "_apply", &meth_ast__apply616, 0);
int argcv_meth_ast__apply616[] = {0};
meth_meth_ast__apply616->type = alloc_MethodType(1, argcv_meth_ast__apply616);
  meth_meth_ast__apply616->definitionModule = modulename;
  meth_meth_ast__apply616->definitionLine = 148;
// compilenode returning block615
  gc_frame_newslot(block615);
  params[0] = *var_blk;
  params[1] = block612;
  params[2] = block615;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call618 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe611);
// compilenode returning call618
  gc_frame_end(frame);
  return call618;
}
Object meth_ast__apply627(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit629 == NULL) {
    strlit629 = alloc_String("  ");
    gc_root(strlit629);
  }
// compilenode returning strlit629
  int op_slot_right_628 = gc_frame_newslot(strlit629);
// compilenode returning *var_spc
  int op_slot_left_628 = gc_frame_newslot(*var_spc);
  params[0] = strlit629;
  partcv[0] = 1;
  Object opresult631 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult631
  *var_spc = opresult631;
  if (opresult631 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply668(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe670 = gc_frame_new();
  Object num672 = alloc_Float64(2);
// compilenode returning num672
  int op_slot_right_671 = gc_frame_newslot(num672);
// compilenode returning *var_depth
  int op_slot_left_671 = gc_frame_newslot(*var_depth);
  params[0] = num672;
  partcv[0] = 1;
  Object sum674 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum674
  gc_frame_newslot(sum674);
// compilenode returning *var_ix
  params[0] = sum674;
  partcv[0] = 1;
  Object call675 = callmethod(*var_ix, "pretty",
    1, partcv, params);
  gc_frame_end(callframe670);
// compilenode returning call675
  int op_slot_right_669 = gc_frame_newslot(call675);
// compilenode returning *var_spc
  int op_slot_right_677 = gc_frame_newslot(*var_spc);
  if (strlit680 == NULL) {
    strlit680 = alloc_String("""\x0a""  ");
    gc_root(strlit680);
  }
// compilenode returning strlit680
  int op_slot_right_679 = gc_frame_newslot(strlit680);
// compilenode returning *var_s
  int op_slot_left_679 = gc_frame_newslot(*var_s);
  params[0] = strlit680;
  partcv[0] = 1;
  Object opresult682 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult682
  int op_slot_left_677 = gc_frame_newslot(opresult682);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult683 = callmethod(opresult682, "++", 1, partcv, params);
// compilenode returning opresult683
  int op_slot_left_669 = gc_frame_newslot(opresult683);
  params[0] = call675;
  partcv[0] = 1;
  Object opresult684 = callmethod(opresult683, "++", 1, partcv, params);
// compilenode returning opresult684
  *var_s = opresult684;
  if (opresult684 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply705(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe707 = gc_frame_new();
  Object num709 = alloc_Float64(2);
// compilenode returning num709
  int op_slot_right_708 = gc_frame_newslot(num709);
// compilenode returning *var_depth
  int op_slot_left_708 = gc_frame_newslot(*var_depth);
  params[0] = num709;
  partcv[0] = 1;
  Object sum711 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum711
  gc_frame_newslot(sum711);
// compilenode returning *var_ix
  params[0] = sum711;
  partcv[0] = 1;
  Object call712 = callmethod(*var_ix, "pretty",
    1, partcv, params);
  gc_frame_end(callframe707);
// compilenode returning call712
  int op_slot_right_706 = gc_frame_newslot(call712);
// compilenode returning *var_spc
  int op_slot_right_714 = gc_frame_newslot(*var_spc);
  if (strlit717 == NULL) {
    strlit717 = alloc_String("""\x0a""  ");
    gc_root(strlit717);
  }
// compilenode returning strlit717
  int op_slot_right_716 = gc_frame_newslot(strlit717);
// compilenode returning *var_s
  int op_slot_left_716 = gc_frame_newslot(*var_s);
  params[0] = strlit717;
  partcv[0] = 1;
  Object opresult719 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult719
  int op_slot_left_714 = gc_frame_newslot(opresult719);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult720 = callmethod(opresult719, "++", 1, partcv, params);
// compilenode returning opresult720
  int op_slot_left_706 = gc_frame_newslot(opresult720);
  params[0] = call712;
  partcv[0] = 1;
  Object opresult721 = callmethod(opresult720, "++", 1, partcv, params);
// compilenode returning opresult721
  *var_s = opresult721;
  if (opresult721 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty619(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit620 == NULL) {
    strlit620 = alloc_String("");
    gc_root(strlit620);
  }
// compilenode returning strlit620
  *var_spc = strlit620;
  if (strlit620 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe621 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_622 = gc_frame_newslot(*var_depth);
  Object num624 = alloc_Float64(0);
// compilenode returning num624
  int op_slot_left_622 = gc_frame_newslot(num624);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult625 = callmethod(num624, "..", 1, partcv, params);
// compilenode returning opresult625
  gc_frame_newslot(opresult625);
  Object block626 = alloc_Block(NULL, NULL, "ast", 160);
  gc_frame_newslot(block626);
  block_savedest(block626);
  Object closure627 = createclosure(2, "_apply");
  setclosureframe(closure627, stackframe);
  addtoclosure(closure627, var_spc);
  addtoclosure(closure627, selfslot);
  struct UserObject *uo627 = (struct UserObject*)block626;
  uo627->data[0] = (Object)closure627;
  Method *meth_meth_ast__apply627 = addmethod2pos(block626, "_apply", &meth_ast__apply627, 0);
int argcv_meth_ast__apply627[] = {1};
meth_meth_ast__apply627->type = alloc_MethodType(1, argcv_meth_ast__apply627);
  meth_meth_ast__apply627->definitionModule = modulename;
  meth_meth_ast__apply627->definitionLine = 148;
// compilenode returning block626
  gc_frame_newslot(block626);
  params[0] = opresult625;
  params[1] = block626;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call634 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe621);
// compilenode returning call634
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit635 == NULL) {
    strlit635 = alloc_String("If""\x0a""");
    gc_root(strlit635);
  }
// compilenode returning strlit635
  *var_s = strlit635;
  if (strlit635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe637 = gc_frame_new();
  Object num639 = alloc_Float64(1);
// compilenode returning num639
  int op_slot_right_638 = gc_frame_newslot(num639);
// compilenode returning *var_depth
  int op_slot_left_638 = gc_frame_newslot(*var_depth);
  params[0] = num639;
  partcv[0] = 1;
  Object sum641 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum641
  gc_frame_newslot(sum641);
  int callframe642 = gc_frame_new();
  partcv[0] = 0;
  Object call643 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe642);
// compilenode returning call643
// compilenode returning call643
  params[0] = sum641;
  partcv[0] = 1;
  Object call644 = callmethod(call643, "pretty",
    1, partcv, params);
  gc_frame_end(callframe637);
// compilenode returning call644
  int op_slot_right_636 = gc_frame_newslot(call644);
// compilenode returning *var_spc
  int op_slot_right_646 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_646 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult648 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult648
  int op_slot_left_636 = gc_frame_newslot(opresult648);
  params[0] = call644;
  partcv[0] = 1;
  Object opresult649 = callmethod(opresult648, "++", 1, partcv, params);
// compilenode returning opresult649
  *var_s = opresult649;
  if (opresult649 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit652 == NULL) {
    strlit652 = alloc_String("""\x0a""");
    gc_root(strlit652);
  }
// compilenode returning strlit652
  int op_slot_right_651 = gc_frame_newslot(strlit652);
// compilenode returning *var_s
  int op_slot_left_651 = gc_frame_newslot(*var_s);
  params[0] = strlit652;
  partcv[0] = 1;
  Object opresult654 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult654
  *var_s = opresult654;
  if (opresult654 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit657 == NULL) {
    strlit657 = alloc_String("Then:");
    gc_root(strlit657);
  }
// compilenode returning strlit657
  int op_slot_right_656 = gc_frame_newslot(strlit657);
// compilenode returning *var_spc
  int op_slot_right_659 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_659 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult661 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult661
  int op_slot_left_656 = gc_frame_newslot(opresult661);
  params[0] = strlit657;
  partcv[0] = 1;
  Object opresult662 = callmethod(opresult661, "++", 1, partcv, params);
// compilenode returning opresult662
  *var_s = opresult662;
  if (opresult662 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe664 = gc_frame_new();
  int callframe665 = gc_frame_new();
  partcv[0] = 0;
  Object call666 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe665);
// compilenode returning call666
// compilenode returning call666
  gc_frame_newslot(call666);
  Object block667 = alloc_Block(NULL, NULL, "ast", 167);
  gc_frame_newslot(block667);
  block_savedest(block667);
  Object closure668 = createclosure(4, "_apply");
  setclosureframe(closure668, stackframe);
  addtoclosure(closure668, var_depth);
  addtoclosure(closure668, var_spc);
  addtoclosure(closure668, var_s);
  addtoclosure(closure668, selfslot);
  struct UserObject *uo668 = (struct UserObject*)block667;
  uo668->data[0] = (Object)closure668;
  Method *meth_meth_ast__apply668 = addmethod2pos(block667, "_apply", &meth_ast__apply668, 0);
int argcv_meth_ast__apply668[] = {1};
meth_meth_ast__apply668->type = alloc_MethodType(1, argcv_meth_ast__apply668);
  meth_meth_ast__apply668->definitionModule = modulename;
  meth_meth_ast__apply668->definitionLine = 167;
// compilenode returning block667
  gc_frame_newslot(block667);
  params[0] = call666;
  params[1] = block667;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call687 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe664);
// compilenode returning call687
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit689 == NULL) {
    strlit689 = alloc_String("""\x0a""");
    gc_root(strlit689);
  }
// compilenode returning strlit689
  int op_slot_right_688 = gc_frame_newslot(strlit689);
// compilenode returning *var_s
  int op_slot_left_688 = gc_frame_newslot(*var_s);
  params[0] = strlit689;
  partcv[0] = 1;
  Object opresult691 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult691
  *var_s = opresult691;
  if (opresult691 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit694 == NULL) {
    strlit694 = alloc_String("Else:");
    gc_root(strlit694);
  }
// compilenode returning strlit694
  int op_slot_right_693 = gc_frame_newslot(strlit694);
// compilenode returning *var_spc
  int op_slot_right_696 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_696 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult698 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult698
  int op_slot_left_693 = gc_frame_newslot(opresult698);
  params[0] = strlit694;
  partcv[0] = 1;
  Object opresult699 = callmethod(opresult698, "++", 1, partcv, params);
// compilenode returning opresult699
  *var_s = opresult699;
  if (opresult699 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe701 = gc_frame_new();
  int callframe702 = gc_frame_new();
  partcv[0] = 0;
  Object call703 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe702);
// compilenode returning call703
// compilenode returning call703
  gc_frame_newslot(call703);
  Object block704 = alloc_Block(NULL, NULL, "ast", 172);
  gc_frame_newslot(block704);
  block_savedest(block704);
  Object closure705 = createclosure(4, "_apply");
  setclosureframe(closure705, stackframe);
  addtoclosure(closure705, var_depth);
  addtoclosure(closure705, var_spc);
  addtoclosure(closure705, var_s);
  addtoclosure(closure705, selfslot);
  struct UserObject *uo705 = (struct UserObject*)block704;
  uo705->data[0] = (Object)closure705;
  Method *meth_meth_ast__apply705 = addmethod2pos(block704, "_apply", &meth_ast__apply705, 0);
int argcv_meth_ast__apply705[] = {1};
meth_meth_ast__apply705->type = alloc_MethodType(1, argcv_meth_ast__apply705);
  meth_meth_ast__apply705->definitionModule = modulename;
  meth_meth_ast__apply705->definitionLine = 172;
// compilenode returning block704
  gc_frame_newslot(block704);
  params[0] = call703;
  params[1] = block704;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call724 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe701);
// compilenode returning call724
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply737(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit739 == NULL) {
    strlit739 = alloc_String("    ");
    gc_root(strlit739);
  }
// compilenode returning strlit739
  int op_slot_right_738 = gc_frame_newslot(strlit739);
// compilenode returning *var_spc
  int op_slot_left_738 = gc_frame_newslot(*var_spc);
  params[0] = strlit739;
  partcv[0] = 1;
  Object opresult741 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult741
  *var_spc = opresult741;
  if (opresult741 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply762(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe764 = gc_frame_new();
  Object num766 = alloc_Float64(1);
// compilenode returning num766
  int op_slot_right_765 = gc_frame_newslot(num766);
// compilenode returning *var_depth
  int op_slot_left_765 = gc_frame_newslot(*var_depth);
  params[0] = num766;
  partcv[0] = 1;
  Object sum768 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum768
  gc_frame_newslot(sum768);
// compilenode returning *var_ix
  params[0] = sum768;
  partcv[0] = 1;
  Object call769 = callmethod(*var_ix, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe764);
// compilenode returning call769
  int op_slot_right_763 = gc_frame_newslot(call769);
  if (strlit772 == NULL) {
    strlit772 = alloc_String("    ");
    gc_root(strlit772);
  }
// compilenode returning strlit772
  int op_slot_right_771 = gc_frame_newslot(strlit772);
// compilenode returning *var_spc
  int op_slot_right_774 = gc_frame_newslot(*var_spc);
  if (strlit777 == NULL) {
    strlit777 = alloc_String("""\x0a""");
    gc_root(strlit777);
  }
// compilenode returning strlit777
  int op_slot_right_776 = gc_frame_newslot(strlit777);
// compilenode returning *var_s
  int op_slot_left_776 = gc_frame_newslot(*var_s);
  params[0] = strlit777;
  partcv[0] = 1;
  Object opresult779 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult779
  int op_slot_left_774 = gc_frame_newslot(opresult779);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult780 = callmethod(opresult779, "++", 1, partcv, params);
// compilenode returning opresult780
  int op_slot_left_771 = gc_frame_newslot(opresult780);
  params[0] = strlit772;
  partcv[0] = 1;
  Object opresult781 = callmethod(opresult780, "++", 1, partcv, params);
// compilenode returning opresult781
  int op_slot_left_763 = gc_frame_newslot(opresult781);
  params[0] = call769;
  partcv[0] = 1;
  Object opresult782 = callmethod(opresult781, "++", 1, partcv, params);
// compilenode returning opresult782
  *var_s = opresult782;
  if (opresult782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply811(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe813 = gc_frame_new();
  Object num815 = alloc_Float64(1);
// compilenode returning num815
  int op_slot_right_814 = gc_frame_newslot(num815);
// compilenode returning *var_depth
  int op_slot_left_814 = gc_frame_newslot(*var_depth);
  params[0] = num815;
  partcv[0] = 1;
  Object sum817 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum817
  gc_frame_newslot(sum817);
// compilenode returning *var_ix
  params[0] = sum817;
  partcv[0] = 1;
  Object call818 = callmethod(*var_ix, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe813);
// compilenode returning call818
  int op_slot_right_812 = gc_frame_newslot(call818);
  if (strlit821 == NULL) {
    strlit821 = alloc_String("    ");
    gc_root(strlit821);
  }
// compilenode returning strlit821
  int op_slot_right_820 = gc_frame_newslot(strlit821);
// compilenode returning *var_spc
  int op_slot_right_823 = gc_frame_newslot(*var_spc);
  if (strlit826 == NULL) {
    strlit826 = alloc_String("""\x0a""");
    gc_root(strlit826);
  }
// compilenode returning strlit826
  int op_slot_right_825 = gc_frame_newslot(strlit826);
// compilenode returning *var_s
  int op_slot_left_825 = gc_frame_newslot(*var_s);
  params[0] = strlit826;
  partcv[0] = 1;
  Object opresult828 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult828
  int op_slot_left_823 = gc_frame_newslot(opresult828);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult829 = callmethod(opresult828, "++", 1, partcv, params);
// compilenode returning opresult829
  int op_slot_left_820 = gc_frame_newslot(opresult829);
  params[0] = strlit821;
  partcv[0] = 1;
  Object opresult830 = callmethod(opresult829, "++", 1, partcv, params);
// compilenode returning opresult830
  int op_slot_left_812 = gc_frame_newslot(opresult830);
  params[0] = call818;
  partcv[0] = 1;
  Object opresult831 = callmethod(opresult830, "++", 1, partcv, params);
// compilenode returning opresult831
  *var_s = opresult831;
  if (opresult831 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit726 == NULL) {
    strlit726 = alloc_String("");
    gc_root(strlit726);
  }
// compilenode returning strlit726
  *var_spc = strlit726;
  if (strlit726 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe727 = gc_frame_new();
  Object num730 = alloc_Float64(1);
// compilenode returning num730
  int op_slot_right_729 = gc_frame_newslot(num730);
// compilenode returning *var_depth
  int op_slot_left_729 = gc_frame_newslot(*var_depth);
  params[0] = num730;
  partcv[0] = 1;
  Object diff732 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff732
  int op_slot_right_728 = gc_frame_newslot(diff732);
  Object num734 = alloc_Float64(0);
// compilenode returning num734
  int op_slot_left_728 = gc_frame_newslot(num734);
  params[0] = diff732;
  partcv[0] = 1;
  Object opresult735 = callmethod(num734, "..", 1, partcv, params);
// compilenode returning opresult735
  gc_frame_newslot(opresult735);
  Object block736 = alloc_Block(NULL, NULL, "ast", 179);
  gc_frame_newslot(block736);
  block_savedest(block736);
  Object closure737 = createclosure(2, "_apply");
  setclosureframe(closure737, stackframe);
  addtoclosure(closure737, var_spc);
  addtoclosure(closure737, selfslot);
  struct UserObject *uo737 = (struct UserObject*)block736;
  uo737->data[0] = (Object)closure737;
  Method *meth_meth_ast__apply737 = addmethod2pos(block736, "_apply", &meth_ast__apply737, 0);
int argcv_meth_ast__apply737[] = {1};
meth_meth_ast__apply737->type = alloc_MethodType(1, argcv_meth_ast__apply737);
  meth_meth_ast__apply737->definitionModule = modulename;
  meth_meth_ast__apply737->definitionLine = 172;
// compilenode returning block736
  gc_frame_newslot(block736);
  params[0] = opresult735;
  params[1] = block736;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call744 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe727);
// compilenode returning call744
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit746 == NULL) {
    strlit746 = alloc_String(") then {");
    gc_root(strlit746);
  }
// compilenode returning strlit746
  int op_slot_right_745 = gc_frame_newslot(strlit746);
  int callframe749 = gc_frame_new();
  Object num750 = alloc_Float64(0);
// compilenode returning num750
  gc_frame_newslot(num750);
  int callframe751 = gc_frame_new();
  partcv[0] = 0;
  Object call752 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe751);
// compilenode returning call752
// compilenode returning call752
  params[0] = num750;
  partcv[0] = 1;
  Object call753 = callmethod(call752, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe749);
// compilenode returning call753
  int op_slot_right_748 = gc_frame_newslot(call753);
  if (strlit755 == NULL) {
    strlit755 = alloc_String("if (");
    gc_root(strlit755);
  }
// compilenode returning strlit755
  int op_slot_left_748 = gc_frame_newslot(strlit755);
  params[0] = call753;
  partcv[0] = 1;
  Object opresult756 = callmethod(strlit755, "++", 1, partcv, params);
// compilenode returning opresult756
  int op_slot_left_745 = gc_frame_newslot(opresult756);
  params[0] = strlit746;
  partcv[0] = 1;
  Object opresult757 = callmethod(opresult756, "++", 1, partcv, params);
// compilenode returning opresult757
  *var_s = opresult757;
  if (opresult757 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe758 = gc_frame_new();
  int callframe759 = gc_frame_new();
  partcv[0] = 0;
  Object call760 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe759);
// compilenode returning call760
// compilenode returning call760
  gc_frame_newslot(call760);
  Object block761 = alloc_Block(NULL, NULL, "ast", 183);
  gc_frame_newslot(block761);
  block_savedest(block761);
  Object closure762 = createclosure(4, "_apply");
  setclosureframe(closure762, stackframe);
  addtoclosure(closure762, var_depth);
  addtoclosure(closure762, var_spc);
  addtoclosure(closure762, var_s);
  addtoclosure(closure762, selfslot);
  struct UserObject *uo762 = (struct UserObject*)block761;
  uo762->data[0] = (Object)closure762;
  Method *meth_meth_ast__apply762 = addmethod2pos(block761, "_apply", &meth_ast__apply762, 0);
int argcv_meth_ast__apply762[] = {1};
meth_meth_ast__apply762->type = alloc_MethodType(1, argcv_meth_ast__apply762);
  meth_meth_ast__apply762->definitionModule = modulename;
  meth_meth_ast__apply762->definitionLine = 183;
// compilenode returning block761
  gc_frame_newslot(block761);
  params[0] = call760;
  params[1] = block761;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call785 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe758);
// compilenode returning call785
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num788 = alloc_Float64(0);
// compilenode returning num788
  int op_slot_right_787 = gc_frame_newslot(num788);
  int callframe790 = gc_frame_new();
  int callframe791 = gc_frame_new();
  partcv[0] = 0;
  Object call792 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe791);
// compilenode returning call792
// compilenode returning call792
  partcv[0] = 0;
  Object call793 = callmethod(call792, "size",
    1, partcv, params);
  gc_frame_end(callframe790);
// compilenode returning call793
// compilenode returning call793
  int op_slot_left_787 = gc_frame_newslot(call793);
  params[0] = num788;
  partcv[0] = 1;
  Object opresult794 = callmethod(call793, ">", 1, partcv, params);
// compilenode returning opresult794
  Object if786 = done;
  if (istrue(opresult794)) {
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit796 == NULL) {
    strlit796 = alloc_String("} else {");
    gc_root(strlit796);
  }
// compilenode returning strlit796
  int op_slot_right_795 = gc_frame_newslot(strlit796);
// compilenode returning *var_spc
  int op_slot_right_798 = gc_frame_newslot(*var_spc);
  if (strlit801 == NULL) {
    strlit801 = alloc_String("""\x0a""");
    gc_root(strlit801);
  }
// compilenode returning strlit801
  int op_slot_right_800 = gc_frame_newslot(strlit801);
// compilenode returning *var_s
  int op_slot_left_800 = gc_frame_newslot(*var_s);
  params[0] = strlit801;
  partcv[0] = 1;
  Object opresult803 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult803
  int op_slot_left_798 = gc_frame_newslot(opresult803);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult804 = callmethod(opresult803, "++", 1, partcv, params);
// compilenode returning opresult804
  int op_slot_left_795 = gc_frame_newslot(opresult804);
  params[0] = strlit796;
  partcv[0] = 1;
  Object opresult805 = callmethod(opresult804, "++", 1, partcv, params);
// compilenode returning opresult805
  *var_s = opresult805;
  if (opresult805 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe807 = gc_frame_new();
  int callframe808 = gc_frame_new();
  partcv[0] = 0;
  Object call809 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe808);
// compilenode returning call809
// compilenode returning call809
  gc_frame_newslot(call809);
  Object block810 = alloc_Block(NULL, NULL, "ast", 188);
  gc_frame_newslot(block810);
  block_savedest(block810);
  Object closure811 = createclosure(4, "_apply");
  setclosureframe(closure811, stackframe);
  addtoclosure(closure811, var_depth);
  addtoclosure(closure811, var_spc);
  addtoclosure(closure811, var_s);
  addtoclosure(closure811, selfslot);
  struct UserObject *uo811 = (struct UserObject*)block810;
  uo811->data[0] = (Object)closure811;
  Method *meth_meth_ast__apply811 = addmethod2pos(block810, "_apply", &meth_ast__apply811, 0);
int argcv_meth_ast__apply811[] = {1};
meth_meth_ast__apply811->type = alloc_MethodType(1, argcv_meth_ast__apply811);
  meth_meth_ast__apply811->definitionModule = modulename;
  meth_meth_ast__apply811->definitionLine = 188;
// compilenode returning block810
  gc_frame_newslot(block810);
  params[0] = call809;
  params[1] = block810;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call834 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe807);
// compilenode returning call834
    gc_frame_newslot(call834);
    if786 = call834;
  } else {
  }
// compilenode returning if786
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit836 == NULL) {
    strlit836 = alloc_String("}");
    gc_root(strlit836);
  }
// compilenode returning strlit836
  int op_slot_right_835 = gc_frame_newslot(strlit836);
// compilenode returning *var_spc
  int op_slot_right_838 = gc_frame_newslot(*var_spc);
  if (strlit841 == NULL) {
    strlit841 = alloc_String("""\x0a""");
    gc_root(strlit841);
  }
// compilenode returning strlit841
  int op_slot_right_840 = gc_frame_newslot(strlit841);
// compilenode returning *var_s
  int op_slot_left_840 = gc_frame_newslot(*var_s);
  params[0] = strlit841;
  partcv[0] = 1;
  Object opresult843 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult843
  int op_slot_left_838 = gc_frame_newslot(opresult843);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult844 = callmethod(opresult843, "++", 1, partcv, params);
// compilenode returning opresult844
  int op_slot_left_835 = gc_frame_newslot(opresult844);
  params[0] = strlit836;
  partcv[0] = 1;
  Object opresult845 = callmethod(opresult844, "++", 1, partcv, params);
// compilenode returning opresult845
  *var_s = opresult845;
  if (opresult845 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new538(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_ifNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject539 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj539 = alloc_userobj2(12,12, objclass539);
  gc_frame_newslot(obj539);
if (objclass539 == NULL) {
  glfree(obj539->class->name);
  obj539->class->name = "ifNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj539, self, 0);
  addmethodreal(obj539,"outer", &reader_ast_outer_540);
  Object oldself539 = self;
  struct StackFrameObject *oldstackframe539 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe539);
  gc_frame_newslot((Object)stackframe);
  self = obj539;
  Object *oldselfslot539 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter539 = (*(struct UserObject *)self).data[0], lowerouter539 = thisouter539;
  if (inheritingObject539) {
    struct UserObject *inho539 = (struct UserObject *)inheritingObject539;
    while (inho539->super != GraceDefaultObject) inho539 = (struct UserObject *)inho539->super;
    inho539->super = obj539;
    self = inheritingObject539;
    *selfslot = self;
    lowerouter539 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter539;
  }
if (objclass539 == NULL) {
  Method *reader541 = addmethodrealflags(obj539, "kind",&reader_ast_kind_541, MFLAG_DEF);
  reader541->definitionModule = modulename;
  reader541->definitionLine = 127;
}
adddatum2(obj539, alloc_Undefined(), 1);
if (objclass539 == NULL) {
  Method *reader542 = addmethodrealflags(obj539, "value",&reader_ast_value_542, MFLAG_DEF);
  reader542->definitionModule = modulename;
  reader542->definitionLine = 128;
}
adddatum2(obj539, alloc_Undefined(), 2);
if (objclass539 == NULL) {
  Method *reader543 = addmethodrealflags(obj539, "thenblock",&reader_ast_thenblock_543, MFLAG_DEF);
  reader543->definitionModule = modulename;
  reader543->definitionLine = 129;
}
adddatum2(obj539, alloc_Undefined(), 3);
if (objclass539 == NULL) {
  Method *reader544 = addmethodrealflags(obj539, "elseblock",&reader_ast_elseblock_544, MFLAG_DEF);
  reader544->definitionModule = modulename;
  reader544->definitionLine = 130;
}
adddatum2(obj539, alloc_Undefined(), 4);
if (objclass539 == NULL) {
  Method *reader545 = addmethodrealflags(obj539, "handledIdentifiers",&reader_ast_handledIdentifiers_545, 0);
  Method *writer545 = addmethodrealflags(obj539, "handledIdentifiers:=",&writer_ast_handledIdentifiers_545, 0);
  reader545->definitionModule = modulename;
  writer545->definitionModule = modulename;
  reader545->definitionLine = 131;
  writer545->definitionLine = 131;
}
obj539->flags |= OFLAG_MUTABLE;
adddatum2(obj539, alloc_Undefined(), 5);
  struct UserObject *uo546 = (struct UserObject*)obj539;
  uo546->data[6] = emptyclosure;
  Method *meth_meth_ast_accept546 = addmethod2pos(obj539, "accept", &meth_ast_accept546, 6);
int argcv_meth_ast_accept546[] = {1};
meth_meth_ast_accept546->type = alloc_MethodType(1, argcv_meth_ast_accept546);
  meth_meth_ast_accept546->definitionModule = modulename;
  meth_meth_ast_accept546->definitionLine = 131;
  block_savedest(obj539);
  Object closure572 = createclosure(1, "map()before()after");
  setclosureframe(closure572, stackframe);
  addtoclosure(closure572, var_ifNode);
  struct UserObject *uo572 = (struct UserObject*)obj539;
  uo572->data[7] = (Object)closure572;
  Method *meth_meth_ast_map_40__41_before_40__41_after572 = addmethod2pos(obj539, "map()before()after", &meth_ast_map_40__41_before_40__41_after572, 7);
int argcv_meth_ast_map_40__41_before_40__41_after572[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after572->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after572);
  meth_meth_ast_map_40__41_before_40__41_after572->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after572->definitionLine = 142;
  struct UserObject *uo610 = (struct UserObject*)obj539;
  uo610->data[8] = emptyclosure;
  Method *meth_meth_ast_map610 = addmethod2pos(obj539, "map", &meth_ast_map610, 8);
int argcv_meth_ast_map610[] = {1};
meth_meth_ast_map610->type = alloc_MethodType(1, argcv_meth_ast_map610);
  meth_meth_ast_map610->definitionModule = modulename;
  meth_meth_ast_map610->definitionLine = 155;
  struct UserObject *uo619 = (struct UserObject*)obj539;
  uo619->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty619 = addmethod2pos(obj539, "pretty", &meth_ast_pretty619, 9);
int argcv_meth_ast_pretty619[] = {1};
meth_meth_ast_pretty619->type = alloc_MethodType(1, argcv_meth_ast_pretty619);
  meth_meth_ast_pretty619->definitionModule = modulename;
  meth_meth_ast_pretty619->definitionLine = 158;
  struct UserObject *uo725 = (struct UserObject*)obj539;
  uo725->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace725 = addmethod2pos(obj539, "toGrace", &meth_ast_toGrace725, 10);
int argcv_meth_ast_toGrace725[] = {1};
meth_meth_ast_toGrace725->type = alloc_MethodType(1, argcv_meth_ast_toGrace725);
meth_meth_ast_toGrace725->type->types[0] = type_Number;
meth_meth_ast_toGrace725->type->names[0] = "depth";
  meth_meth_ast_toGrace725->definitionModule = modulename;
  meth_meth_ast_toGrace725->definitionLine = 177;
  sourceObject = obj539;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe847 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call848 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe847);
// compilenode returning call848
  struct UserObject *obj539_uo = (struct UserObject *)obj539;
  obj539_uo->super = call848;
  sourceObject = obj539;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit849 == NULL) {
    strlit849 = alloc_String("if");
    gc_root(strlit849);
  }
// compilenode returning strlit849
  adddatum2(obj539, strlit849, 1);
  sourceObject = obj539;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cond
  adddatum2(obj539, *var_cond, 2);
  sourceObject = obj539;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_thenblock_39_
  adddatum2(obj539, *var_thenblock_39_, 3);
  sourceObject = obj539;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_elseblock_39_
  adddatum2(obj539, *var_elseblock_39_, 4);
  sourceObject = obj539;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool850 = alloc_Boolean(0);
// compilenode returning bool850
  adddatum2(obj539, bool850, 5);
  sourceObject = obj539;
  sourceObject = obj539;
  sourceObject = obj539;
  sourceObject = obj539;
  sourceObject = obj539;
objclass539 = obj539->class;
  objclass539->definitionModule = modulename;
  objclass539->definitionLine = 117;
  (*(struct UserObject *)self).data[0] = lowerouter539;
  self = oldself539;
  selfslot = oldselfslot539;
  stackframe = oldstackframe539;
  gc_frame_end(frame);
  return obj539;
}
Object meth_ast_new538_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_ifNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject539 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj539 = alloc_userobj2(12,12, objclass539);
  gc_frame_newslot(obj539);
if (objclass539 == NULL) {
  glfree(obj539->class->name);
  obj539->class->name = "ifNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj539, self, 0);
  addmethodreal(obj539,"outer", &reader_ast_outer_540);
  Object oldself539 = self;
  struct StackFrameObject *oldstackframe539 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe539);
  gc_frame_newslot((Object)stackframe);
  self = obj539;
  Object *oldselfslot539 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter539 = (*(struct UserObject *)self).data[0], lowerouter539 = thisouter539;
  if (inheritingObject539) {
    struct UserObject *inho539 = (struct UserObject *)inheritingObject539;
    while (inho539->super != GraceDefaultObject) inho539 = (struct UserObject *)inho539->super;
    inho539->super = obj539;
    self = inheritingObject539;
    *selfslot = self;
    lowerouter539 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter539;
  }
if (objclass539 == NULL) {
  Method *reader541 = addmethodrealflags(obj539, "kind",&reader_ast_kind_541, MFLAG_DEF);
  reader541->definitionModule = modulename;
  reader541->definitionLine = 127;
}
adddatum2(obj539, alloc_Undefined(), 1);
if (objclass539 == NULL) {
  Method *reader542 = addmethodrealflags(obj539, "value",&reader_ast_value_542, MFLAG_DEF);
  reader542->definitionModule = modulename;
  reader542->definitionLine = 128;
}
adddatum2(obj539, alloc_Undefined(), 2);
if (objclass539 == NULL) {
  Method *reader543 = addmethodrealflags(obj539, "thenblock",&reader_ast_thenblock_543, MFLAG_DEF);
  reader543->definitionModule = modulename;
  reader543->definitionLine = 129;
}
adddatum2(obj539, alloc_Undefined(), 3);
if (objclass539 == NULL) {
  Method *reader544 = addmethodrealflags(obj539, "elseblock",&reader_ast_elseblock_544, MFLAG_DEF);
  reader544->definitionModule = modulename;
  reader544->definitionLine = 130;
}
adddatum2(obj539, alloc_Undefined(), 4);
if (objclass539 == NULL) {
  Method *reader545 = addmethodrealflags(obj539, "handledIdentifiers",&reader_ast_handledIdentifiers_545, 0);
  Method *writer545 = addmethodrealflags(obj539, "handledIdentifiers:=",&writer_ast_handledIdentifiers_545, 0);
  reader545->definitionModule = modulename;
  writer545->definitionModule = modulename;
  reader545->definitionLine = 131;
  writer545->definitionLine = 131;
}
obj539->flags |= OFLAG_MUTABLE;
adddatum2(obj539, alloc_Undefined(), 5);
  struct UserObject *uo546 = (struct UserObject*)obj539;
  uo546->data[6] = emptyclosure;
  Method *meth_meth_ast_accept546 = addmethod2pos(obj539, "accept", &meth_ast_accept546, 6);
int argcv_meth_ast_accept546[] = {1};
meth_meth_ast_accept546->type = alloc_MethodType(1, argcv_meth_ast_accept546);
  meth_meth_ast_accept546->definitionModule = modulename;
  meth_meth_ast_accept546->definitionLine = 131;
  block_savedest(obj539);
  Object closure572 = createclosure(1, "map()before()after");
  setclosureframe(closure572, stackframe);
  addtoclosure(closure572, var_ifNode);
  struct UserObject *uo572 = (struct UserObject*)obj539;
  uo572->data[7] = (Object)closure572;
  Method *meth_meth_ast_map_40__41_before_40__41_after572 = addmethod2pos(obj539, "map()before()after", &meth_ast_map_40__41_before_40__41_after572, 7);
int argcv_meth_ast_map_40__41_before_40__41_after572[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after572->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after572);
  meth_meth_ast_map_40__41_before_40__41_after572->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after572->definitionLine = 142;
  struct UserObject *uo610 = (struct UserObject*)obj539;
  uo610->data[8] = emptyclosure;
  Method *meth_meth_ast_map610 = addmethod2pos(obj539, "map", &meth_ast_map610, 8);
int argcv_meth_ast_map610[] = {1};
meth_meth_ast_map610->type = alloc_MethodType(1, argcv_meth_ast_map610);
  meth_meth_ast_map610->definitionModule = modulename;
  meth_meth_ast_map610->definitionLine = 155;
  struct UserObject *uo619 = (struct UserObject*)obj539;
  uo619->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty619 = addmethod2pos(obj539, "pretty", &meth_ast_pretty619, 9);
int argcv_meth_ast_pretty619[] = {1};
meth_meth_ast_pretty619->type = alloc_MethodType(1, argcv_meth_ast_pretty619);
  meth_meth_ast_pretty619->definitionModule = modulename;
  meth_meth_ast_pretty619->definitionLine = 158;
  struct UserObject *uo725 = (struct UserObject*)obj539;
  uo725->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace725 = addmethod2pos(obj539, "toGrace", &meth_ast_toGrace725, 10);
int argcv_meth_ast_toGrace725[] = {1};
meth_meth_ast_toGrace725->type = alloc_MethodType(1, argcv_meth_ast_toGrace725);
meth_meth_ast_toGrace725->type->types[0] = type_Number;
meth_meth_ast_toGrace725->type->names[0] = "depth";
  meth_meth_ast_toGrace725->definitionModule = modulename;
  meth_meth_ast_toGrace725->definitionLine = 177;
  sourceObject = obj539;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe847 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call848 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe847);
// compilenode returning call848
  struct UserObject *obj539_uo = (struct UserObject *)obj539;
  obj539_uo->super = call848;
  sourceObject = obj539;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit849 == NULL) {
    strlit849 = alloc_String("if");
    gc_root(strlit849);
  }
// compilenode returning strlit849
  adddatum2(obj539, strlit849, 1);
  sourceObject = obj539;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cond
  adddatum2(obj539, *var_cond, 2);
  sourceObject = obj539;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_thenblock_39_
  adddatum2(obj539, *var_thenblock_39_, 3);
  sourceObject = obj539;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_elseblock_39_
  adddatum2(obj539, *var_elseblock_39_, 4);
  sourceObject = obj539;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool850 = alloc_Boolean(0);
// compilenode returning bool850
  adddatum2(obj539, bool850, 5);
  sourceObject = obj539;
  sourceObject = obj539;
  sourceObject = obj539;
  sourceObject = obj539;
  sourceObject = obj539;
objclass539 = obj539->class;
  objclass539->definitionModule = modulename;
  objclass539->definitionLine = 117;
  (*(struct UserObject *)self).data[0] = lowerouter539;
  self = oldself539;
  selfslot = oldselfslot539;
  stackframe = oldstackframe539;
  gc_frame_end(frame);
  return obj539;
}
Object meth_ast_blockNode852(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blockNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blockNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for blockNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blockNode
  gc_frame_end(frame);
  return *var_blockNode;
}
Object meth_ast__apply873(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe874 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_mx
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call875 = callmethod(*var_mx, "accept",
    1, partcv, params);
  gc_frame_end(callframe874);
// compilenode returning call875
  gc_frame_end(frame);
  return call875;
}
Object meth_ast__apply882(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe883 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_mx
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call884 = callmethod(*var_mx, "accept",
    1, partcv, params);
  gc_frame_end(callframe883);
// compilenode returning call884
  gc_frame_end(frame);
  return call884;
}
Object meth_ast_accept865(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe867 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call868 = callmethod(*var_visitor, "visitBlock",
    1, partcv, params);
  gc_frame_end(callframe867);
// compilenode returning call868
  Object if866 = done;
  if (istrue(call868)) {
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe869 = gc_frame_new();
  int callframe870 = gc_frame_new();
  partcv[0] = 0;
  Object call871 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe870);
// compilenode returning call871
// compilenode returning call871
  gc_frame_newslot(call871);
  Object block872 = alloc_Block(NULL, NULL, "ast", 210);
  gc_frame_newslot(block872);
  block_savedest(block872);
  Object closure873 = createclosure(2, "_apply");
  setclosureframe(closure873, stackframe);
  addtoclosure(closure873, var_visitor);
  addtoclosure(closure873, selfslot);
  struct UserObject *uo873 = (struct UserObject*)block872;
  uo873->data[0] = (Object)closure873;
  Method *meth_meth_ast__apply873 = addmethod2pos(block872, "_apply", &meth_ast__apply873, 0);
int argcv_meth_ast__apply873[] = {1};
meth_meth_ast__apply873->type = alloc_MethodType(1, argcv_meth_ast__apply873);
  meth_meth_ast__apply873->definitionModule = modulename;
  meth_meth_ast__apply873->definitionLine = 210;
// compilenode returning block872
  gc_frame_newslot(block872);
  params[0] = call871;
  params[1] = block872;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call877 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe869);
// compilenode returning call877
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe878 = gc_frame_new();
  int callframe879 = gc_frame_new();
  partcv[0] = 0;
  Object call880 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe879);
// compilenode returning call880
// compilenode returning call880
  gc_frame_newslot(call880);
  Object block881 = alloc_Block(NULL, NULL, "ast", 213);
  gc_frame_newslot(block881);
  block_savedest(block881);
  Object closure882 = createclosure(2, "_apply");
  setclosureframe(closure882, stackframe);
  addtoclosure(closure882, var_visitor);
  addtoclosure(closure882, selfslot);
  struct UserObject *uo882 = (struct UserObject*)block881;
  uo882->data[0] = (Object)closure882;
  Method *meth_meth_ast__apply882 = addmethod2pos(block881, "_apply", &meth_ast__apply882, 0);
int argcv_meth_ast__apply882[] = {1};
meth_meth_ast__apply882->type = alloc_MethodType(1, argcv_meth_ast__apply882);
  meth_meth_ast__apply882->definitionModule = modulename;
  meth_meth_ast__apply882->definitionLine = 213;
// compilenode returning block881
  gc_frame_newslot(block881);
  params[0] = call880;
  params[1] = block881;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call886 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe878);
// compilenode returning call886
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool889 = alloc_Boolean(0);
// compilenode returning bool889
  int op_slot_right_888 = gc_frame_newslot(bool889);
  int callframe891 = gc_frame_new();
  partcv[0] = 0;
  Object call892 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe891);
// compilenode returning call892
// compilenode returning call892
  int op_slot_left_888 = gc_frame_newslot(call892);
  params[0] = bool889;
  partcv[0] = 1;
  Object opresult893 = callmethod(call892, "!=", 1, partcv, params);
// compilenode returning opresult893
  Object if887 = done;
  if (istrue(opresult893)) {
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe894 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe895 = gc_frame_new();
  partcv[0] = 0;
  Object call896 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe895);
// compilenode returning call896
// compilenode returning call896
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call897 = callmethod(call896, "accept",
    1, partcv, params);
  gc_frame_end(callframe894);
// compilenode returning call897
    gc_frame_newslot(call897);
    if887 = call897;
  } else {
  }
// compilenode returning if887
    gc_frame_newslot(if887);
    if866 = if887;
  } else {
  }
// compilenode returning if866
  gc_frame_end(frame);
  return if866;
}
Object meth_ast_map_40__41_before_40__41_after898(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe899 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call900 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe899);
// compilenode returning call900
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe901 = gc_frame_new();
  int callframe902 = gc_frame_new();
  int callframe903 = gc_frame_new();
  partcv[0] = 0;
  Object call904 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe903);
// compilenode returning call904
  gc_frame_newslot(call904);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe905 = gc_frame_new();
  int callframe906 = gc_frame_new();
  Object call907 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe906);
// compilenode returning call907
// compilenode returning call907
  partcv[0] = 0;
  Object call908 = callmethodflags(call907, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe905);
// compilenode returning call908
// compilenode returning call908
  params[0] = call904;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call909 = callmethodflags(call908, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe902);
// compilenode returning call909
  gc_frame_newslot(call909);
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe910 = gc_frame_new();
  int callframe911 = gc_frame_new();
  partcv[0] = 0;
  Object call912 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe911);
// compilenode returning call912
  gc_frame_newslot(call912);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe913 = gc_frame_new();
  int callframe914 = gc_frame_new();
  Object call915 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe914);
// compilenode returning call915
// compilenode returning call915
  partcv[0] = 0;
  Object call916 = callmethodflags(call915, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe913);
// compilenode returning call916
// compilenode returning call916
  params[0] = call912;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call917 = callmethodflags(call916, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe910);
// compilenode returning call917
  gc_frame_newslot(call917);
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blockNode
  params[0] = call909;
  params[1] = call917;
  partcv[0] = 2;
  Object call918 = callmethod(*var_blockNode, "new",
    1, partcv, params);
  gc_frame_end(callframe901);
// compilenode returning call918
  *var_n = call918;
  if (call918 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool921 = alloc_Boolean(0);
// compilenode returning bool921
  int op_slot_right_920 = gc_frame_newslot(bool921);
  int callframe923 = gc_frame_new();
  partcv[0] = 0;
  Object call924 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe923);
// compilenode returning call924
// compilenode returning call924
  int op_slot_left_920 = gc_frame_newslot(call924);
  params[0] = bool921;
  partcv[0] = 1;
  Object opresult925 = callmethod(call924, "!=", 1, partcv, params);
// compilenode returning opresult925
  Object if919 = done;
  if (istrue(opresult925)) {
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe926 = gc_frame_new();
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe927 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe928 = gc_frame_new();
  partcv[0] = 0;
  Object call929 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe928);
// compilenode returning call929
// compilenode returning call929
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call930 = callmethod(call929, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe927);
// compilenode returning call930
  gc_frame_newslot(call930);
// compilenode returning *var_n
  params[0] = call930;
  partcv[0] = 1;
  Object call931 = callmethod(*var_n, "matchingPattern:=",
    1, partcv, params);
  gc_frame_end(callframe926);
// compilenode returning call931
// compilenode returning done
    gc_frame_newslot(done);
    if919 = done;
  } else {
  }
// compilenode returning if919
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe932 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call933 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe932);
// compilenode returning call933
  *var_n = call933;
  if (call933 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe935 = gc_frame_new();
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe936 = gc_frame_new();
  partcv[0] = 0;
  Object call937 = callmethodflags(self, "extraRuntimeData", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe936);
// compilenode returning call937
  gc_frame_newslot(call937);
// compilenode returning *var_n
  params[0] = call937;
  partcv[0] = 1;
  Object call938 = callmethod(*var_n, "extraRuntimeData:=",
    1, partcv, params);
  gc_frame_end(callframe935);
// compilenode returning call938
// compilenode returning done
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe939 = gc_frame_new();
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe940 = gc_frame_new();
  partcv[0] = 0;
  Object call941 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe940);
// compilenode returning call941
  gc_frame_newslot(call941);
// compilenode returning *var_n
  params[0] = call941;
  partcv[0] = 1;
  Object call942 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe939);
// compilenode returning call942
// compilenode returning done
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe943 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call944 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe943);
// compilenode returning call944
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply948(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply951(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map945(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe946 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block947 = alloc_Block(NULL, NULL, "ast", 236);
  gc_frame_newslot(block947);
  block_savedest(block947);
  Object closure948 = createclosure(1, "_apply");
  setclosureframe(closure948, stackframe);
  addtoclosure(closure948, selfslot);
  struct UserObject *uo948 = (struct UserObject*)block947;
  uo948->data[0] = (Object)closure948;
  Method *meth_meth_ast__apply948 = addmethod2pos(block947, "_apply", &meth_ast__apply948, 0);
int argcv_meth_ast__apply948[] = {0};
meth_meth_ast__apply948->type = alloc_MethodType(1, argcv_meth_ast__apply948);
  meth_meth_ast__apply948->definitionModule = modulename;
  meth_meth_ast__apply948->definitionLine = 226;
// compilenode returning block947
  gc_frame_newslot(block947);
  Object block950 = alloc_Block(NULL, NULL, "ast", 236);
  gc_frame_newslot(block950);
  block_savedest(block950);
  Object closure951 = createclosure(1, "_apply");
  setclosureframe(closure951, stackframe);
  addtoclosure(closure951, selfslot);
  struct UserObject *uo951 = (struct UserObject*)block950;
  uo951->data[0] = (Object)closure951;
  Method *meth_meth_ast__apply951 = addmethod2pos(block950, "_apply", &meth_ast__apply951, 0);
int argcv_meth_ast__apply951[] = {0};
meth_meth_ast__apply951->type = alloc_MethodType(1, argcv_meth_ast__apply951);
  meth_meth_ast__apply951->definitionModule = modulename;
  meth_meth_ast__apply951->definitionLine = 226;
// compilenode returning block950
  gc_frame_newslot(block950);
  params[0] = *var_blk;
  params[1] = block947;
  params[2] = block950;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call953 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe946);
// compilenode returning call953
  gc_frame_end(frame);
  return call953;
}
Object meth_ast__apply962(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit964 == NULL) {
    strlit964 = alloc_String("  ");
    gc_root(strlit964);
  }
// compilenode returning strlit964
  int op_slot_right_963 = gc_frame_newslot(strlit964);
// compilenode returning *var_spc
  int op_slot_left_963 = gc_frame_newslot(*var_spc);
  params[0] = strlit964;
  partcv[0] = 1;
  Object opresult966 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult966
  *var_spc = opresult966;
  if (opresult966 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply983(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe985 = gc_frame_new();
  Object num987 = alloc_Float64(2);
// compilenode returning num987
  int op_slot_right_986 = gc_frame_newslot(num987);
// compilenode returning *var_depth
  int op_slot_left_986 = gc_frame_newslot(*var_depth);
  params[0] = num987;
  partcv[0] = 1;
  Object sum989 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum989
  gc_frame_newslot(sum989);
// compilenode returning *var_mx
  params[0] = sum989;
  partcv[0] = 1;
  Object call990 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe985);
// compilenode returning call990
  int op_slot_right_984 = gc_frame_newslot(call990);
// compilenode returning *var_spc
  int op_slot_right_992 = gc_frame_newslot(*var_spc);
  if (strlit995 == NULL) {
    strlit995 = alloc_String("""\x0a""  ");
    gc_root(strlit995);
  }
// compilenode returning strlit995
  int op_slot_right_994 = gc_frame_newslot(strlit995);
// compilenode returning *var_s
  int op_slot_left_994 = gc_frame_newslot(*var_s);
  params[0] = strlit995;
  partcv[0] = 1;
  Object opresult997 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult997
  int op_slot_left_992 = gc_frame_newslot(opresult997);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult998 = callmethod(opresult997, "++", 1, partcv, params);
// compilenode returning opresult998
  int op_slot_left_984 = gc_frame_newslot(opresult998);
  params[0] = call990;
  partcv[0] = 1;
  Object opresult999 = callmethod(opresult998, "++", 1, partcv, params);
// compilenode returning opresult999
  *var_s = opresult999;
  if (opresult999 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1020(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1022 = gc_frame_new();
  Object num1024 = alloc_Float64(2);
// compilenode returning num1024
  int op_slot_right_1023 = gc_frame_newslot(num1024);
// compilenode returning *var_depth
  int op_slot_left_1023 = gc_frame_newslot(*var_depth);
  params[0] = num1024;
  partcv[0] = 1;
  Object sum1026 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1026
  gc_frame_newslot(sum1026);
// compilenode returning *var_mx
  params[0] = sum1026;
  partcv[0] = 1;
  Object call1027 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1022);
// compilenode returning call1027
  int op_slot_right_1021 = gc_frame_newslot(call1027);
// compilenode returning *var_spc
  int op_slot_right_1029 = gc_frame_newslot(*var_spc);
  if (strlit1032 == NULL) {
    strlit1032 = alloc_String("""\x0a""  ");
    gc_root(strlit1032);
  }
// compilenode returning strlit1032
  int op_slot_right_1031 = gc_frame_newslot(strlit1032);
// compilenode returning *var_s
  int op_slot_left_1031 = gc_frame_newslot(*var_s);
  params[0] = strlit1032;
  partcv[0] = 1;
  Object opresult1034 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1034
  int op_slot_left_1029 = gc_frame_newslot(opresult1034);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1035 = callmethod(opresult1034, "++", 1, partcv, params);
// compilenode returning opresult1035
  int op_slot_left_1021 = gc_frame_newslot(opresult1035);
  params[0] = call1027;
  partcv[0] = 1;
  Object opresult1036 = callmethod(opresult1035, "++", 1, partcv, params);
// compilenode returning opresult1036
  *var_s = opresult1036;
  if (opresult1036 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty954(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit955 == NULL) {
    strlit955 = alloc_String("");
    gc_root(strlit955);
  }
// compilenode returning strlit955
  *var_spc = strlit955;
  if (strlit955 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe956 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_957 = gc_frame_newslot(*var_depth);
  Object num959 = alloc_Float64(0);
// compilenode returning num959
  int op_slot_left_957 = gc_frame_newslot(num959);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult960 = callmethod(num959, "..", 1, partcv, params);
// compilenode returning opresult960
  gc_frame_newslot(opresult960);
  Object block961 = alloc_Block(NULL, NULL, "ast", 240);
  gc_frame_newslot(block961);
  block_savedest(block961);
  Object closure962 = createclosure(2, "_apply");
  setclosureframe(closure962, stackframe);
  addtoclosure(closure962, var_spc);
  addtoclosure(closure962, selfslot);
  struct UserObject *uo962 = (struct UserObject*)block961;
  uo962->data[0] = (Object)closure962;
  Method *meth_meth_ast__apply962 = addmethod2pos(block961, "_apply", &meth_ast__apply962, 0);
int argcv_meth_ast__apply962[] = {1};
meth_meth_ast__apply962->type = alloc_MethodType(1, argcv_meth_ast__apply962);
  meth_meth_ast__apply962->definitionModule = modulename;
  meth_meth_ast__apply962->definitionLine = 226;
// compilenode returning block961
  gc_frame_newslot(block961);
  params[0] = opresult960;
  params[1] = block961;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call969 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe956);
// compilenode returning call969
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit970 == NULL) {
    strlit970 = alloc_String("Block""\x0a""");
    gc_root(strlit970);
  }
// compilenode returning strlit970
  *var_s = strlit970;
  if (strlit970 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit972 == NULL) {
    strlit972 = alloc_String("Parameters:");
    gc_root(strlit972);
  }
// compilenode returning strlit972
  int op_slot_right_971 = gc_frame_newslot(strlit972);
// compilenode returning *var_spc
  int op_slot_right_974 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_974 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult976 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult976
  int op_slot_left_971 = gc_frame_newslot(opresult976);
  params[0] = strlit972;
  partcv[0] = 1;
  Object opresult977 = callmethod(opresult976, "++", 1, partcv, params);
// compilenode returning opresult977
  *var_s = opresult977;
  if (opresult977 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe979 = gc_frame_new();
  int callframe980 = gc_frame_new();
  partcv[0] = 0;
  Object call981 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe980);
// compilenode returning call981
// compilenode returning call981
  gc_frame_newslot(call981);
  Object block982 = alloc_Block(NULL, NULL, "ast", 245);
  gc_frame_newslot(block982);
  block_savedest(block982);
  Object closure983 = createclosure(4, "_apply");
  setclosureframe(closure983, stackframe);
  addtoclosure(closure983, var_depth);
  addtoclosure(closure983, var_spc);
  addtoclosure(closure983, var_s);
  addtoclosure(closure983, selfslot);
  struct UserObject *uo983 = (struct UserObject*)block982;
  uo983->data[0] = (Object)closure983;
  Method *meth_meth_ast__apply983 = addmethod2pos(block982, "_apply", &meth_ast__apply983, 0);
int argcv_meth_ast__apply983[] = {1};
meth_meth_ast__apply983->type = alloc_MethodType(1, argcv_meth_ast__apply983);
  meth_meth_ast__apply983->definitionModule = modulename;
  meth_meth_ast__apply983->definitionLine = 245;
// compilenode returning block982
  gc_frame_newslot(block982);
  params[0] = call981;
  params[1] = block982;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1002 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe979);
// compilenode returning call1002
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1004 == NULL) {
    strlit1004 = alloc_String("""\x0a""");
    gc_root(strlit1004);
  }
// compilenode returning strlit1004
  int op_slot_right_1003 = gc_frame_newslot(strlit1004);
// compilenode returning *var_s
  int op_slot_left_1003 = gc_frame_newslot(*var_s);
  params[0] = strlit1004;
  partcv[0] = 1;
  Object opresult1006 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1006
  *var_s = opresult1006;
  if (opresult1006 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1009 == NULL) {
    strlit1009 = alloc_String("Body:");
    gc_root(strlit1009);
  }
// compilenode returning strlit1009
  int op_slot_right_1008 = gc_frame_newslot(strlit1009);
// compilenode returning *var_spc
  int op_slot_right_1011 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_1011 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1013 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1013
  int op_slot_left_1008 = gc_frame_newslot(opresult1013);
  params[0] = strlit1009;
  partcv[0] = 1;
  Object opresult1014 = callmethod(opresult1013, "++", 1, partcv, params);
// compilenode returning opresult1014
  *var_s = opresult1014;
  if (opresult1014 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1016 = gc_frame_new();
  int callframe1017 = gc_frame_new();
  partcv[0] = 0;
  Object call1018 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1017);
// compilenode returning call1018
// compilenode returning call1018
  gc_frame_newslot(call1018);
  Object block1019 = alloc_Block(NULL, NULL, "ast", 250);
  gc_frame_newslot(block1019);
  block_savedest(block1019);
  Object closure1020 = createclosure(4, "_apply");
  setclosureframe(closure1020, stackframe);
  addtoclosure(closure1020, var_depth);
  addtoclosure(closure1020, var_spc);
  addtoclosure(closure1020, var_s);
  addtoclosure(closure1020, selfslot);
  struct UserObject *uo1020 = (struct UserObject*)block1019;
  uo1020->data[0] = (Object)closure1020;
  Method *meth_meth_ast__apply1020 = addmethod2pos(block1019, "_apply", &meth_ast__apply1020, 0);
int argcv_meth_ast__apply1020[] = {1};
meth_meth_ast__apply1020->type = alloc_MethodType(1, argcv_meth_ast__apply1020);
  meth_meth_ast__apply1020->definitionModule = modulename;
  meth_meth_ast__apply1020->definitionLine = 250;
// compilenode returning block1019
  gc_frame_newslot(block1019);
  params[0] = call1018;
  params[1] = block1019;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1039 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1016);
// compilenode returning call1039
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1042 = alloc_Boolean(0);
// compilenode returning bool1042
  int op_slot_right_1041 = gc_frame_newslot(bool1042);
  int callframe1044 = gc_frame_new();
  partcv[0] = 0;
  Object call1045 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1044);
// compilenode returning call1045
// compilenode returning call1045
  int op_slot_left_1041 = gc_frame_newslot(call1045);
  params[0] = bool1042;
  partcv[0] = 1;
  Object opresult1046 = callmethod(call1045, "!=", 1, partcv, params);
// compilenode returning opresult1046
  Object if1040 = done;
  if (istrue(opresult1046)) {
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1048 == NULL) {
    strlit1048 = alloc_String("""\x0a""");
    gc_root(strlit1048);
  }
// compilenode returning strlit1048
  int op_slot_right_1047 = gc_frame_newslot(strlit1048);
// compilenode returning *var_s
  int op_slot_left_1047 = gc_frame_newslot(*var_s);
  params[0] = strlit1048;
  partcv[0] = 1;
  Object opresult1050 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1050
  *var_s = opresult1050;
  if (opresult1050 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1053 == NULL) {
    strlit1053 = alloc_String("Pattern:");
    gc_root(strlit1053);
  }
// compilenode returning strlit1053
  int op_slot_right_1052 = gc_frame_newslot(strlit1053);
// compilenode returning *var_spc
  int op_slot_right_1055 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_1055 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1057 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1057
  int op_slot_left_1052 = gc_frame_newslot(opresult1057);
  params[0] = strlit1053;
  partcv[0] = 1;
  Object opresult1058 = callmethod(opresult1057, "++", 1, partcv, params);
// compilenode returning opresult1058
  *var_s = opresult1058;
  if (opresult1058 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1061 = gc_frame_new();
  Object num1063 = alloc_Float64(2);
// compilenode returning num1063
  int op_slot_right_1062 = gc_frame_newslot(num1063);
// compilenode returning *var_depth
  int op_slot_left_1062 = gc_frame_newslot(*var_depth);
  params[0] = num1063;
  partcv[0] = 1;
  Object sum1065 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1065
  gc_frame_newslot(sum1065);
  int callframe1066 = gc_frame_new();
  partcv[0] = 0;
  Object call1067 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1066);
// compilenode returning call1067
// compilenode returning call1067
  params[0] = sum1065;
  partcv[0] = 1;
  Object call1068 = callmethod(call1067, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1061);
// compilenode returning call1068
  int op_slot_right_1060 = gc_frame_newslot(call1068);
// compilenode returning *var_spc
  int op_slot_right_1070 = gc_frame_newslot(*var_spc);
  if (strlit1073 == NULL) {
    strlit1073 = alloc_String("""\x0a""  ");
    gc_root(strlit1073);
  }
// compilenode returning strlit1073
  int op_slot_right_1072 = gc_frame_newslot(strlit1073);
// compilenode returning *var_s
  int op_slot_left_1072 = gc_frame_newslot(*var_s);
  params[0] = strlit1073;
  partcv[0] = 1;
  Object opresult1075 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1075
  int op_slot_left_1070 = gc_frame_newslot(opresult1075);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1076 = callmethod(opresult1075, "++", 1, partcv, params);
// compilenode returning opresult1076
  int op_slot_left_1060 = gc_frame_newslot(opresult1076);
  params[0] = call1068;
  partcv[0] = 1;
  Object opresult1077 = callmethod(opresult1076, "++", 1, partcv, params);
// compilenode returning opresult1077
  *var_s = opresult1077;
  if (opresult1077 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1040 = done;
  } else {
  }
// compilenode returning if1040
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1091(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1093 == NULL) {
    strlit1093 = alloc_String("    ");
    gc_root(strlit1093);
  }
// compilenode returning strlit1093
  int op_slot_right_1092 = gc_frame_newslot(strlit1093);
// compilenode returning *var_spc
  int op_slot_left_1092 = gc_frame_newslot(*var_spc);
  params[0] = strlit1093;
  partcv[0] = 1;
  Object opresult1095 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult1095
  *var_spc = opresult1095;
  if (opresult1095 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1120(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1121 = gc_frame_new();
  partcv[0] = 0;
  Object call1122 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1121);
// compilenode returning call1122
// compilenode returning call1122
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1123 = callmethod(call1122, "[]", 1, partcv, params);
// compilenode returning idxres1123
  *var_p = idxres1123;
  if (idxres1123 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1126 = alloc_Boolean(0);
// compilenode returning bool1126
  int op_slot_right_1125 = gc_frame_newslot(bool1126);
  int callframe1128 = gc_frame_new();
  partcv[0] = 0;
  Object call1129 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1128);
// compilenode returning call1129
// compilenode returning call1129
  int op_slot_left_1125 = gc_frame_newslot(call1129);
  params[0] = bool1126;
  partcv[0] = 1;
  Object opresult1130 = callmethod(call1129, "!=", 1, partcv, params);
// compilenode returning opresult1130
  Object if1124 = done;
  if (istrue(opresult1130)) {
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1132 == NULL) {
    strlit1132 = alloc_String(")");
    gc_root(strlit1132);
  }
// compilenode returning strlit1132
  int op_slot_right_1131 = gc_frame_newslot(strlit1132);
  int callframe1135 = gc_frame_new();
  Object num1136 = alloc_Float64(0);
// compilenode returning num1136
  gc_frame_newslot(num1136);
// compilenode returning *var_p
  params[0] = num1136;
  partcv[0] = 1;
  Object call1137 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1135);
// compilenode returning call1137
  int op_slot_right_1134 = gc_frame_newslot(call1137);
  if (strlit1140 == NULL) {
    strlit1140 = alloc_String("(");
    gc_root(strlit1140);
  }
// compilenode returning strlit1140
  int op_slot_right_1139 = gc_frame_newslot(strlit1140);
// compilenode returning *var_s
  int op_slot_left_1139 = gc_frame_newslot(*var_s);
  params[0] = strlit1140;
  partcv[0] = 1;
  Object opresult1142 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1142
  int op_slot_left_1134 = gc_frame_newslot(opresult1142);
  params[0] = call1137;
  partcv[0] = 1;
  Object opresult1143 = callmethod(opresult1142, "++", 1, partcv, params);
// compilenode returning opresult1143
  int op_slot_left_1131 = gc_frame_newslot(opresult1143);
  params[0] = strlit1132;
  partcv[0] = 1;
  Object opresult1144 = callmethod(opresult1143, "++", 1, partcv, params);
// compilenode returning opresult1144
  *var_s = opresult1144;
  if (opresult1144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1124 = done;
  } else {
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1147 = gc_frame_new();
  Object num1148 = alloc_Float64(0);
// compilenode returning num1148
  gc_frame_newslot(num1148);
// compilenode returning *var_p
  params[0] = num1148;
  partcv[0] = 1;
  Object call1149 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1147);
// compilenode returning call1149
  int op_slot_right_1146 = gc_frame_newslot(call1149);
// compilenode returning *var_s
  int op_slot_left_1146 = gc_frame_newslot(*var_s);
  params[0] = call1149;
  partcv[0] = 1;
  Object opresult1151 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1151
  *var_s = opresult1151;
  if (opresult1151 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1124 = done;
  }
// compilenode returning if1124
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1155 = gc_frame_new();
  int callframe1156 = gc_frame_new();
  partcv[0] = 0;
  Object call1157 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1156);
// compilenode returning call1157
// compilenode returning call1157
  partcv[0] = 0;
  Object call1158 = callmethod(call1157, "size",
    1, partcv, params);
  gc_frame_end(callframe1155);
// compilenode returning call1158
// compilenode returning call1158
  int op_slot_right_1154 = gc_frame_newslot(call1158);
// compilenode returning *var_i
  int op_slot_left_1154 = gc_frame_newslot(*var_i);
  params[0] = call1158;
  partcv[0] = 1;
  Object opresult1160 = callmethod(*var_i, "<", 1, partcv, params);
// compilenode returning opresult1160
  Object if1153 = done;
  if (istrue(opresult1160)) {
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1162 == NULL) {
    strlit1162 = alloc_String(", ");
    gc_root(strlit1162);
  }
// compilenode returning strlit1162
  int op_slot_right_1161 = gc_frame_newslot(strlit1162);
// compilenode returning *var_s
  int op_slot_left_1161 = gc_frame_newslot(*var_s);
  params[0] = strlit1162;
  partcv[0] = 1;
  Object opresult1164 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1164
  *var_s = opresult1164;
  if (opresult1164 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1153 = done;
  } else {
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1167 == NULL) {
    strlit1167 = alloc_String(" ->");
    gc_root(strlit1167);
  }
// compilenode returning strlit1167
  int op_slot_right_1166 = gc_frame_newslot(strlit1167);
// compilenode returning *var_s
  int op_slot_left_1166 = gc_frame_newslot(*var_s);
  params[0] = strlit1167;
  partcv[0] = 1;
  Object opresult1169 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1169
  *var_s = opresult1169;
  if (opresult1169 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1153 = done;
  }
// compilenode returning if1153
  gc_frame_end(frame);
  return if1153;
}
Object meth_ast__apply1177(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1179 = gc_frame_new();
  Object num1181 = alloc_Float64(1);
// compilenode returning num1181
  int op_slot_right_1180 = gc_frame_newslot(num1181);
// compilenode returning *var_depth
  int op_slot_left_1180 = gc_frame_newslot(*var_depth);
  params[0] = num1181;
  partcv[0] = 1;
  Object sum1183 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1183
  gc_frame_newslot(sum1183);
// compilenode returning *var_mx
  params[0] = sum1183;
  partcv[0] = 1;
  Object call1184 = callmethod(*var_mx, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1179);
// compilenode returning call1184
  int op_slot_right_1178 = gc_frame_newslot(call1184);
  if (strlit1187 == NULL) {
    strlit1187 = alloc_String("    ");
    gc_root(strlit1187);
  }
// compilenode returning strlit1187
  int op_slot_right_1186 = gc_frame_newslot(strlit1187);
// compilenode returning *var_spc
  int op_slot_right_1189 = gc_frame_newslot(*var_spc);
  if (strlit1192 == NULL) {
    strlit1192 = alloc_String("""\x0a""");
    gc_root(strlit1192);
  }
// compilenode returning strlit1192
  int op_slot_right_1191 = gc_frame_newslot(strlit1192);
// compilenode returning *var_s
  int op_slot_left_1191 = gc_frame_newslot(*var_s);
  params[0] = strlit1192;
  partcv[0] = 1;
  Object opresult1194 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1194
  int op_slot_left_1189 = gc_frame_newslot(opresult1194);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1195 = callmethod(opresult1194, "++", 1, partcv, params);
// compilenode returning opresult1195
  int op_slot_left_1186 = gc_frame_newslot(opresult1195);
  params[0] = strlit1187;
  partcv[0] = 1;
  Object opresult1196 = callmethod(opresult1195, "++", 1, partcv, params);
// compilenode returning opresult1196
  int op_slot_left_1178 = gc_frame_newslot(opresult1196);
  params[0] = call1184;
  partcv[0] = 1;
  Object opresult1197 = callmethod(opresult1196, "++", 1, partcv, params);
// compilenode returning opresult1197
  *var_s = opresult1197;
  if (opresult1197 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace1079(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1080 == NULL) {
    strlit1080 = alloc_String("");
    gc_root(strlit1080);
  }
// compilenode returning strlit1080
  *var_spc = strlit1080;
  if (strlit1080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1081 = gc_frame_new();
  Object num1084 = alloc_Float64(1);
// compilenode returning num1084
  int op_slot_right_1083 = gc_frame_newslot(num1084);
// compilenode returning *var_depth
  int op_slot_left_1083 = gc_frame_newslot(*var_depth);
  params[0] = num1084;
  partcv[0] = 1;
  Object diff1086 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff1086
  int op_slot_right_1082 = gc_frame_newslot(diff1086);
  Object num1088 = alloc_Float64(0);
// compilenode returning num1088
  int op_slot_left_1082 = gc_frame_newslot(num1088);
  params[0] = diff1086;
  partcv[0] = 1;
  Object opresult1089 = callmethod(num1088, "..", 1, partcv, params);
// compilenode returning opresult1089
  gc_frame_newslot(opresult1089);
  Object block1090 = alloc_Block(NULL, NULL, "ast", 262);
  gc_frame_newslot(block1090);
  block_savedest(block1090);
  Object closure1091 = createclosure(2, "_apply");
  setclosureframe(closure1091, stackframe);
  addtoclosure(closure1091, var_spc);
  addtoclosure(closure1091, selfslot);
  struct UserObject *uo1091 = (struct UserObject*)block1090;
  uo1091->data[0] = (Object)closure1091;
  Method *meth_meth_ast__apply1091 = addmethod2pos(block1090, "_apply", &meth_ast__apply1091, 0);
int argcv_meth_ast__apply1091[] = {1};
meth_meth_ast__apply1091->type = alloc_MethodType(1, argcv_meth_ast__apply1091);
  meth_meth_ast__apply1091->definitionModule = modulename;
  meth_meth_ast__apply1091->definitionLine = 256;
// compilenode returning block1090
  gc_frame_newslot(block1090);
  params[0] = opresult1089;
  params[1] = block1090;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1098 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1081);
// compilenode returning call1098
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1099 == NULL) {
    strlit1099 = alloc_String("{");
    gc_root(strlit1099);
  }
// compilenode returning strlit1099
  *var_s = strlit1099;
  if (strlit1099 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1102 = alloc_Float64(0);
// compilenode returning num1102
  int op_slot_right_1101 = gc_frame_newslot(num1102);
  int callframe1104 = gc_frame_new();
  int callframe1105 = gc_frame_new();
  partcv[0] = 0;
  Object call1106 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1105);
// compilenode returning call1106
// compilenode returning call1106
  partcv[0] = 0;
  Object call1107 = callmethod(call1106, "size",
    1, partcv, params);
  gc_frame_end(callframe1104);
// compilenode returning call1107
// compilenode returning call1107
  int op_slot_left_1101 = gc_frame_newslot(call1107);
  params[0] = num1102;
  partcv[0] = 1;
  Object opresult1108 = callmethod(call1107, ">", 1, partcv, params);
// compilenode returning opresult1108
  Object if1100 = done;
  if (istrue(opresult1108)) {
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1110 == NULL) {
    strlit1110 = alloc_String(" ");
    gc_root(strlit1110);
  }
// compilenode returning strlit1110
  int op_slot_right_1109 = gc_frame_newslot(strlit1110);
// compilenode returning *var_s
  int op_slot_left_1109 = gc_frame_newslot(*var_s);
  params[0] = strlit1110;
  partcv[0] = 1;
  Object opresult1112 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1112
  *var_s = opresult1112;
  if (opresult1112 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1114 = gc_frame_new();
  int callframe1115 = gc_frame_new();
  int callframe1116 = gc_frame_new();
  partcv[0] = 0;
  Object call1117 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1116);
// compilenode returning call1117
// compilenode returning call1117
  partcv[0] = 0;
  Object call1118 = callmethod(call1117, "indices",
    1, partcv, params);
  gc_frame_end(callframe1115);
// compilenode returning call1118
// compilenode returning call1118
  gc_frame_newslot(call1118);
  Object block1119 = alloc_Block(NULL, NULL, "ast", 268);
  gc_frame_newslot(block1119);
  block_savedest(block1119);
  Object closure1120 = createclosure(2, "_apply");
  setclosureframe(closure1120, stackframe);
  addtoclosure(closure1120, var_s);
  addtoclosure(closure1120, selfslot);
  struct UserObject *uo1120 = (struct UserObject*)block1119;
  uo1120->data[0] = (Object)closure1120;
  Method *meth_meth_ast__apply1120 = addmethod2pos(block1119, "_apply", &meth_ast__apply1120, 0);
int argcv_meth_ast__apply1120[] = {1};
meth_meth_ast__apply1120->type = alloc_MethodType(1, argcv_meth_ast__apply1120);
  meth_meth_ast__apply1120->definitionModule = modulename;
  meth_meth_ast__apply1120->definitionLine = 268;
// compilenode returning block1119
  gc_frame_newslot(block1119);
  params[0] = call1118;
  params[1] = block1119;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1172 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1114);
// compilenode returning call1172
    gc_frame_newslot(call1172);
    if1100 = call1172;
  } else {
  }
// compilenode returning if1100
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1173 = gc_frame_new();
  int callframe1174 = gc_frame_new();
  partcv[0] = 0;
  Object call1175 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1174);
// compilenode returning call1175
// compilenode returning call1175
  gc_frame_newslot(call1175);
  Object block1176 = alloc_Block(NULL, NULL, "ast", 282);
  gc_frame_newslot(block1176);
  block_savedest(block1176);
  Object closure1177 = createclosure(4, "_apply");
  setclosureframe(closure1177, stackframe);
  addtoclosure(closure1177, var_depth);
  addtoclosure(closure1177, var_spc);
  addtoclosure(closure1177, var_s);
  addtoclosure(closure1177, selfslot);
  struct UserObject *uo1177 = (struct UserObject*)block1176;
  uo1177->data[0] = (Object)closure1177;
  Method *meth_meth_ast__apply1177 = addmethod2pos(block1176, "_apply", &meth_ast__apply1177, 0);
int argcv_meth_ast__apply1177[] = {1};
meth_meth_ast__apply1177->type = alloc_MethodType(1, argcv_meth_ast__apply1177);
  meth_meth_ast__apply1177->definitionModule = modulename;
  meth_meth_ast__apply1177->definitionLine = 282;
// compilenode returning block1176
  gc_frame_newslot(block1176);
  params[0] = call1175;
  params[1] = block1176;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1200 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1173);
// compilenode returning call1200
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1202 == NULL) {
    strlit1202 = alloc_String("}");
    gc_root(strlit1202);
  }
// compilenode returning strlit1202
  int op_slot_right_1201 = gc_frame_newslot(strlit1202);
// compilenode returning *var_spc
  int op_slot_right_1204 = gc_frame_newslot(*var_spc);
  if (strlit1207 == NULL) {
    strlit1207 = alloc_String("""\x0a""");
    gc_root(strlit1207);
  }
// compilenode returning strlit1207
  int op_slot_right_1206 = gc_frame_newslot(strlit1207);
// compilenode returning *var_s
  int op_slot_left_1206 = gc_frame_newslot(*var_s);
  params[0] = strlit1207;
  partcv[0] = 1;
  Object opresult1209 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1209
  int op_slot_left_1204 = gc_frame_newslot(opresult1209);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1210 = callmethod(opresult1209, "++", 1, partcv, params);
// compilenode returning opresult1210
  int op_slot_left_1201 = gc_frame_newslot(opresult1210);
  params[0] = strlit1202;
  partcv[0] = 1;
  Object opresult1211 = callmethod(opresult1210, "++", 1, partcv, params);
// compilenode returning opresult1211
  *var_s = opresult1211;
  if (opresult1211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1222(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1223 = gc_frame_new();
// compilenode returning *var_patternMarkVisitor
  gc_frame_newslot(*var_patternMarkVisitor);
// compilenode returning *var_p
  params[0] = *var_patternMarkVisitor;
  partcv[0] = 1;
  Object call1224 = callmethod(*var_p, "accept",
    1, partcv, params);
  gc_frame_end(callframe1223);
// compilenode returning call1224
  gc_frame_end(frame);
  return call1224;
}
Object meth_ast_new855(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[2];
  int partcv[2];
  Object *var_blockNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject856 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj856 = alloc_userobj2(16,15, objclass856);
  gc_frame_newslot(obj856);
if (objclass856 == NULL) {
  glfree(obj856->class->name);
  obj856->class->name = "blockNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj856, self, 0);
  addmethodreal(obj856,"outer", &reader_ast_outer_857);
  Object oldself856 = self;
  struct StackFrameObject *oldstackframe856 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe856);
  gc_frame_newslot((Object)stackframe);
  self = obj856;
  Object *oldselfslot856 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter856 = (*(struct UserObject *)self).data[0], lowerouter856 = thisouter856;
  if (inheritingObject856) {
    struct UserObject *inho856 = (struct UserObject *)inheritingObject856;
    while (inho856->super != GraceDefaultObject) inho856 = (struct UserObject *)inho856->super;
    inho856->super = obj856;
    self = inheritingObject856;
    *selfslot = self;
    lowerouter856 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter856;
  }
if (objclass856 == NULL) {
  Method *reader858 = addmethodrealflags(obj856, "kind",&reader_ast_kind_858, MFLAG_DEF);
  reader858->definitionModule = modulename;
  reader858->definitionLine = 199;
}
adddatum2(obj856, alloc_Undefined(), 1);
if (objclass856 == NULL) {
  Method *reader859 = addmethodrealflags(obj856, "value",&reader_ast_value_859, MFLAG_DEF);
  reader859->definitionModule = modulename;
  reader859->definitionLine = 200;
}
adddatum2(obj856, alloc_Undefined(), 2);
if (objclass856 == NULL) {
  Method *reader860 = addmethodrealflags(obj856, "params",&reader_ast_params_860, MFLAG_DEF);
  reader860->definitionModule = modulename;
  reader860->definitionLine = 201;
}
adddatum2(obj856, alloc_Undefined(), 3);
if (objclass856 == NULL) {
  Method *reader861 = addmethodrealflags(obj856, "body",&reader_ast_body_861, MFLAG_DEF);
  reader861->definitionModule = modulename;
  reader861->definitionLine = 202;
}
adddatum2(obj856, alloc_Undefined(), 4);
if (objclass856 == NULL) {
  Method *reader862 = addmethodrealflags(obj856, "selfclosure",&reader_ast_selfclosure_862, MFLAG_DEF);
  reader862->definitionModule = modulename;
  reader862->definitionLine = 203;
}
adddatum2(obj856, alloc_Undefined(), 5);
if (objclass856 == NULL) {
  Method *reader863 = addmethodrealflags(obj856, "matchingPattern",&reader_ast_matchingPattern_863, 0);
  Method *writer863 = addmethodrealflags(obj856, "matchingPattern:=",&writer_ast_matchingPattern_863, 0);
  reader863->definitionModule = modulename;
  writer863->definitionModule = modulename;
  reader863->definitionLine = 204;
  writer863->definitionLine = 204;
}
obj856->flags |= OFLAG_MUTABLE;
adddatum2(obj856, alloc_Undefined(), 6);
if (objclass856 == NULL) {
  Method *reader864 = addmethodrealflags(obj856, "extraRuntimeData",&reader_ast_extraRuntimeData_864, 0);
  Method *writer864 = addmethodrealflags(obj856, "extraRuntimeData:=",&writer_ast_extraRuntimeData_864, 0);
  reader864->definitionModule = modulename;
  writer864->definitionModule = modulename;
  reader864->definitionLine = 205;
  writer864->definitionLine = 205;
}
obj856->flags |= OFLAG_MUTABLE;
adddatum2(obj856, alloc_Undefined(), 7);
  struct UserObject *uo865 = (struct UserObject*)obj856;
  uo865->data[8] = emptyclosure;
  Method *meth_meth_ast_accept865 = addmethod2pos(obj856, "accept", &meth_ast_accept865, 8);
int argcv_meth_ast_accept865[] = {1};
meth_meth_ast_accept865->type = alloc_MethodType(1, argcv_meth_ast_accept865);
  meth_meth_ast_accept865->definitionModule = modulename;
  meth_meth_ast_accept865->definitionLine = 208;
  block_savedest(obj856);
  Object closure898 = createclosure(1, "map()before()after");
  setclosureframe(closure898, stackframe);
  addtoclosure(closure898, var_blockNode);
  struct UserObject *uo898 = (struct UserObject*)obj856;
  uo898->data[9] = (Object)closure898;
  Method *meth_meth_ast_map_40__41_before_40__41_after898 = addmethod2pos(obj856, "map()before()after", &meth_ast_map_40__41_before_40__41_after898, 9);
int argcv_meth_ast_map_40__41_before_40__41_after898[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after898->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after898);
  meth_meth_ast_map_40__41_before_40__41_after898->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after898->definitionLine = 221;
  struct UserObject *uo945 = (struct UserObject*)obj856;
  uo945->data[10] = emptyclosure;
  Method *meth_meth_ast_map945 = addmethod2pos(obj856, "map", &meth_ast_map945, 10);
int argcv_meth_ast_map945[] = {1};
meth_meth_ast_map945->type = alloc_MethodType(1, argcv_meth_ast_map945);
  meth_meth_ast_map945->definitionModule = modulename;
  meth_meth_ast_map945->definitionLine = 235;
  struct UserObject *uo954 = (struct UserObject*)obj856;
  uo954->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty954 = addmethod2pos(obj856, "pretty", &meth_ast_pretty954, 11);
int argcv_meth_ast_pretty954[] = {1};
meth_meth_ast_pretty954->type = alloc_MethodType(1, argcv_meth_ast_pretty954);
  meth_meth_ast_pretty954->definitionModule = modulename;
  meth_meth_ast_pretty954->definitionLine = 238;
  struct UserObject *uo1079 = (struct UserObject*)obj856;
  uo1079->data[12] = emptyclosure;
  Method *meth_meth_ast_toGrace1079 = addmethod2pos(obj856, "toGrace", &meth_ast_toGrace1079, 12);
int argcv_meth_ast_toGrace1079[] = {1};
meth_meth_ast_toGrace1079->type = alloc_MethodType(1, argcv_meth_ast_toGrace1079);
meth_meth_ast_toGrace1079->type->types[0] = type_Number;
meth_meth_ast_toGrace1079->type->names[0] = "depth";
  meth_meth_ast_toGrace1079->definitionModule = modulename;
  meth_meth_ast_toGrace1079->definitionLine = 260;
  sourceObject = obj856;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1213 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1214 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1213);
// compilenode returning call1214
  struct UserObject *obj856_uo = (struct UserObject *)obj856;
  obj856_uo->super = call1214;
  sourceObject = obj856;
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1215 == NULL) {
    strlit1215 = alloc_String("block");
    gc_root(strlit1215);
  }
// compilenode returning strlit1215
  adddatum2(obj856, strlit1215, 1);
  sourceObject = obj856;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1216 == NULL) {
    strlit1216 = alloc_String("block");
    gc_root(strlit1216);
  }
// compilenode returning strlit1216
  adddatum2(obj856, strlit1216, 2);
  sourceObject = obj856;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_params_39_
  adddatum2(obj856, *var_params_39_, 3);
  sourceObject = obj856;
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj856, *var_body_39_, 4);
  sourceObject = obj856;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1217 = alloc_Boolean(1);
// compilenode returning bool1217
  adddatum2(obj856, bool1217, 5);
  sourceObject = obj856;
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1218 = alloc_Boolean(0);
// compilenode returning bool1218
  adddatum2(obj856, bool1218, 6);
  sourceObject = obj856;
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1219 = alloc_Boolean(0);
// compilenode returning bool1219
  adddatum2(obj856, bool1219, 7);
  sourceObject = obj856;
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1220 = gc_frame_new();
// compilenode returning *var_params_39_
  gc_frame_newslot(*var_params_39_);
  Object block1221 = alloc_Block(NULL, NULL, "ast", 205);
  gc_frame_newslot(block1221);
  block_savedest(block1221);
  Object closure1222 = createclosure(2, "_apply");
  setclosureframe(closure1222, stackframe);
  addtoclosure(closure1222, var_patternMarkVisitor);
  addtoclosure(closure1222, selfslot);
  struct UserObject *uo1222 = (struct UserObject*)block1221;
  uo1222->data[0] = (Object)closure1222;
  Method *meth_meth_ast__apply1222 = addmethod2pos(block1221, "_apply", &meth_ast__apply1222, 0);
int argcv_meth_ast__apply1222[] = {1};
meth_meth_ast__apply1222->type = alloc_MethodType(1, argcv_meth_ast__apply1222);
  meth_meth_ast__apply1222->definitionModule = modulename;
  meth_meth_ast__apply1222->definitionLine = 282;
// compilenode returning block1221
  gc_frame_newslot(block1221);
  params[0] = *var_params_39_;
  params[1] = block1221;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1226 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1220);
// compilenode returning call1226
  sourceObject = obj856;
  sourceObject = obj856;
  sourceObject = obj856;
  sourceObject = obj856;
  sourceObject = obj856;
objclass856 = obj856->class;
  objclass856->definitionModule = modulename;
  objclass856->definitionLine = 188;
  (*(struct UserObject *)self).data[0] = lowerouter856;
  self = oldself856;
  selfslot = oldselfslot856;
  stackframe = oldstackframe856;
  gc_frame_end(frame);
  return obj856;
}
Object meth_ast_new855_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[2];
  int partcv[2];
  Object *var_blockNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject856 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj856 = alloc_userobj2(16,15, objclass856);
  gc_frame_newslot(obj856);
if (objclass856 == NULL) {
  glfree(obj856->class->name);
  obj856->class->name = "blockNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj856, self, 0);
  addmethodreal(obj856,"outer", &reader_ast_outer_857);
  Object oldself856 = self;
  struct StackFrameObject *oldstackframe856 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe856);
  gc_frame_newslot((Object)stackframe);
  self = obj856;
  Object *oldselfslot856 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter856 = (*(struct UserObject *)self).data[0], lowerouter856 = thisouter856;
  if (inheritingObject856) {
    struct UserObject *inho856 = (struct UserObject *)inheritingObject856;
    while (inho856->super != GraceDefaultObject) inho856 = (struct UserObject *)inho856->super;
    inho856->super = obj856;
    self = inheritingObject856;
    *selfslot = self;
    lowerouter856 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter856;
  }
if (objclass856 == NULL) {
  Method *reader858 = addmethodrealflags(obj856, "kind",&reader_ast_kind_858, MFLAG_DEF);
  reader858->definitionModule = modulename;
  reader858->definitionLine = 199;
}
adddatum2(obj856, alloc_Undefined(), 1);
if (objclass856 == NULL) {
  Method *reader859 = addmethodrealflags(obj856, "value",&reader_ast_value_859, MFLAG_DEF);
  reader859->definitionModule = modulename;
  reader859->definitionLine = 200;
}
adddatum2(obj856, alloc_Undefined(), 2);
if (objclass856 == NULL) {
  Method *reader860 = addmethodrealflags(obj856, "params",&reader_ast_params_860, MFLAG_DEF);
  reader860->definitionModule = modulename;
  reader860->definitionLine = 201;
}
adddatum2(obj856, alloc_Undefined(), 3);
if (objclass856 == NULL) {
  Method *reader861 = addmethodrealflags(obj856, "body",&reader_ast_body_861, MFLAG_DEF);
  reader861->definitionModule = modulename;
  reader861->definitionLine = 202;
}
adddatum2(obj856, alloc_Undefined(), 4);
if (objclass856 == NULL) {
  Method *reader862 = addmethodrealflags(obj856, "selfclosure",&reader_ast_selfclosure_862, MFLAG_DEF);
  reader862->definitionModule = modulename;
  reader862->definitionLine = 203;
}
adddatum2(obj856, alloc_Undefined(), 5);
if (objclass856 == NULL) {
  Method *reader863 = addmethodrealflags(obj856, "matchingPattern",&reader_ast_matchingPattern_863, 0);
  Method *writer863 = addmethodrealflags(obj856, "matchingPattern:=",&writer_ast_matchingPattern_863, 0);
  reader863->definitionModule = modulename;
  writer863->definitionModule = modulename;
  reader863->definitionLine = 204;
  writer863->definitionLine = 204;
}
obj856->flags |= OFLAG_MUTABLE;
adddatum2(obj856, alloc_Undefined(), 6);
if (objclass856 == NULL) {
  Method *reader864 = addmethodrealflags(obj856, "extraRuntimeData",&reader_ast_extraRuntimeData_864, 0);
  Method *writer864 = addmethodrealflags(obj856, "extraRuntimeData:=",&writer_ast_extraRuntimeData_864, 0);
  reader864->definitionModule = modulename;
  writer864->definitionModule = modulename;
  reader864->definitionLine = 205;
  writer864->definitionLine = 205;
}
obj856->flags |= OFLAG_MUTABLE;
adddatum2(obj856, alloc_Undefined(), 7);
  struct UserObject *uo865 = (struct UserObject*)obj856;
  uo865->data[8] = emptyclosure;
  Method *meth_meth_ast_accept865 = addmethod2pos(obj856, "accept", &meth_ast_accept865, 8);
int argcv_meth_ast_accept865[] = {1};
meth_meth_ast_accept865->type = alloc_MethodType(1, argcv_meth_ast_accept865);
  meth_meth_ast_accept865->definitionModule = modulename;
  meth_meth_ast_accept865->definitionLine = 208;
  block_savedest(obj856);
  Object closure898 = createclosure(1, "map()before()after");
  setclosureframe(closure898, stackframe);
  addtoclosure(closure898, var_blockNode);
  struct UserObject *uo898 = (struct UserObject*)obj856;
  uo898->data[9] = (Object)closure898;
  Method *meth_meth_ast_map_40__41_before_40__41_after898 = addmethod2pos(obj856, "map()before()after", &meth_ast_map_40__41_before_40__41_after898, 9);
int argcv_meth_ast_map_40__41_before_40__41_after898[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after898->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after898);
  meth_meth_ast_map_40__41_before_40__41_after898->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after898->definitionLine = 221;
  struct UserObject *uo945 = (struct UserObject*)obj856;
  uo945->data[10] = emptyclosure;
  Method *meth_meth_ast_map945 = addmethod2pos(obj856, "map", &meth_ast_map945, 10);
int argcv_meth_ast_map945[] = {1};
meth_meth_ast_map945->type = alloc_MethodType(1, argcv_meth_ast_map945);
  meth_meth_ast_map945->definitionModule = modulename;
  meth_meth_ast_map945->definitionLine = 235;
  struct UserObject *uo954 = (struct UserObject*)obj856;
  uo954->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty954 = addmethod2pos(obj856, "pretty", &meth_ast_pretty954, 11);
int argcv_meth_ast_pretty954[] = {1};
meth_meth_ast_pretty954->type = alloc_MethodType(1, argcv_meth_ast_pretty954);
  meth_meth_ast_pretty954->definitionModule = modulename;
  meth_meth_ast_pretty954->definitionLine = 238;
  struct UserObject *uo1079 = (struct UserObject*)obj856;
  uo1079->data[12] = emptyclosure;
  Method *meth_meth_ast_toGrace1079 = addmethod2pos(obj856, "toGrace", &meth_ast_toGrace1079, 12);
int argcv_meth_ast_toGrace1079[] = {1};
meth_meth_ast_toGrace1079->type = alloc_MethodType(1, argcv_meth_ast_toGrace1079);
meth_meth_ast_toGrace1079->type->types[0] = type_Number;
meth_meth_ast_toGrace1079->type->names[0] = "depth";
  meth_meth_ast_toGrace1079->definitionModule = modulename;
  meth_meth_ast_toGrace1079->definitionLine = 260;
  sourceObject = obj856;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1213 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1214 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1213);
// compilenode returning call1214
  struct UserObject *obj856_uo = (struct UserObject *)obj856;
  obj856_uo->super = call1214;
  sourceObject = obj856;
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1215 == NULL) {
    strlit1215 = alloc_String("block");
    gc_root(strlit1215);
  }
// compilenode returning strlit1215
  adddatum2(obj856, strlit1215, 1);
  sourceObject = obj856;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1216 == NULL) {
    strlit1216 = alloc_String("block");
    gc_root(strlit1216);
  }
// compilenode returning strlit1216
  adddatum2(obj856, strlit1216, 2);
  sourceObject = obj856;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_params_39_
  adddatum2(obj856, *var_params_39_, 3);
  sourceObject = obj856;
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj856, *var_body_39_, 4);
  sourceObject = obj856;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1217 = alloc_Boolean(1);
// compilenode returning bool1217
  adddatum2(obj856, bool1217, 5);
  sourceObject = obj856;
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1218 = alloc_Boolean(0);
// compilenode returning bool1218
  adddatum2(obj856, bool1218, 6);
  sourceObject = obj856;
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1219 = alloc_Boolean(0);
// compilenode returning bool1219
  adddatum2(obj856, bool1219, 7);
  sourceObject = obj856;
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1220 = gc_frame_new();
// compilenode returning *var_params_39_
  gc_frame_newslot(*var_params_39_);
  Object block1221 = alloc_Block(NULL, NULL, "ast", 205);
  gc_frame_newslot(block1221);
  block_savedest(block1221);
  Object closure1222 = createclosure(2, "_apply");
  setclosureframe(closure1222, stackframe);
  addtoclosure(closure1222, var_patternMarkVisitor);
  addtoclosure(closure1222, selfslot);
  struct UserObject *uo1222 = (struct UserObject*)block1221;
  uo1222->data[0] = (Object)closure1222;
  Method *meth_meth_ast__apply1222 = addmethod2pos(block1221, "_apply", &meth_ast__apply1222, 0);
int argcv_meth_ast__apply1222[] = {1};
meth_meth_ast__apply1222->type = alloc_MethodType(1, argcv_meth_ast__apply1222);
  meth_meth_ast__apply1222->definitionModule = modulename;
  meth_meth_ast__apply1222->definitionLine = 282;
// compilenode returning block1221
  gc_frame_newslot(block1221);
  params[0] = *var_params_39_;
  params[1] = block1221;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1226 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1220);
// compilenode returning call1226
  sourceObject = obj856;
  sourceObject = obj856;
  sourceObject = obj856;
  sourceObject = obj856;
  sourceObject = obj856;
objclass856 = obj856->class;
  objclass856->definitionModule = modulename;
  objclass856->definitionLine = 188;
  (*(struct UserObject *)self).data[0] = lowerouter856;
  self = oldself856;
  selfslot = oldselfslot856;
  stackframe = oldstackframe856;
  gc_frame_end(frame);
  return obj856;
}
Object meth_ast_catchCaseNode1228(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "catchCaseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_catchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for catchCaseNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for catchCaseNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_catchCaseNode
  gc_frame_end(frame);
  return *var_catchCaseNode;
}
Object meth_ast__apply1250(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1251 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_mx
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1252 = callmethod(*var_mx, "accept",
    1, partcv, params);
  gc_frame_end(callframe1251);
// compilenode returning call1252
  gc_frame_end(frame);
  return call1252;
}
Object meth_ast_accept1238(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1240 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call1241 = callmethod(*var_visitor, "visitCatchCase",
    1, partcv, params);
  gc_frame_end(callframe1240);
// compilenode returning call1241
  Object if1239 = done;
  if (istrue(call1241)) {
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1242 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe1243 = gc_frame_new();
  partcv[0] = 0;
  Object call1244 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1243);
// compilenode returning call1244
// compilenode returning call1244
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1245 = callmethod(call1244, "accept",
    1, partcv, params);
  gc_frame_end(callframe1242);
// compilenode returning call1245
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1246 = gc_frame_new();
  int callframe1247 = gc_frame_new();
  partcv[0] = 0;
  Object call1248 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1247);
// compilenode returning call1248
// compilenode returning call1248
  gc_frame_newslot(call1248);
  Object block1249 = alloc_Block(NULL, NULL, "ast", 298);
  gc_frame_newslot(block1249);
  block_savedest(block1249);
  Object closure1250 = createclosure(2, "_apply");
  setclosureframe(closure1250, stackframe);
  addtoclosure(closure1250, var_visitor);
  addtoclosure(closure1250, selfslot);
  struct UserObject *uo1250 = (struct UserObject*)block1249;
  uo1250->data[0] = (Object)closure1250;
  Method *meth_meth_ast__apply1250 = addmethod2pos(block1249, "_apply", &meth_ast__apply1250, 0);
int argcv_meth_ast__apply1250[] = {1};
meth_meth_ast__apply1250->type = alloc_MethodType(1, argcv_meth_ast__apply1250);
  meth_meth_ast__apply1250->definitionModule = modulename;
  meth_meth_ast__apply1250->definitionLine = 298;
// compilenode returning block1249
  gc_frame_newslot(block1249);
  params[0] = call1248;
  params[1] = block1249;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1254 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1246);
// compilenode returning call1254
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1257 = alloc_Boolean(0);
// compilenode returning bool1257
  int op_slot_right_1256 = gc_frame_newslot(bool1257);
  int callframe1259 = gc_frame_new();
  partcv[0] = 0;
  Object call1260 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1259);
// compilenode returning call1260
// compilenode returning call1260
  int op_slot_left_1256 = gc_frame_newslot(call1260);
  params[0] = bool1257;
  partcv[0] = 1;
  Object opresult1261 = callmethod(call1260, "!=", 1, partcv, params);
// compilenode returning opresult1261
  Object if1255 = done;
  if (istrue(opresult1261)) {
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1262 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe1263 = gc_frame_new();
  partcv[0] = 0;
  Object call1264 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1263);
// compilenode returning call1264
// compilenode returning call1264
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1265 = callmethod(call1264, "accept",
    1, partcv, params);
  gc_frame_end(callframe1262);
// compilenode returning call1265
    gc_frame_newslot(call1265);
    if1255 = call1265;
  } else {
  }
// compilenode returning if1255
    gc_frame_newslot(if1255);
    if1239 = if1255;
  } else {
  }
// compilenode returning if1239
  gc_frame_end(frame);
  return if1239;
}
Object meth_ast_map_40__41_before_40__41_after1266(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_catchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1267 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call1268 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe1267);
// compilenode returning call1268
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1269 = gc_frame_new();
  int callframe1270 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe1271 = gc_frame_new();
  partcv[0] = 0;
  Object call1272 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1271);
// compilenode returning call1272
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1273 = callmethod(call1272, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe1270);
// compilenode returning call1273
  gc_frame_newslot(call1273);
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1274 = gc_frame_new();
  int callframe1275 = gc_frame_new();
  partcv[0] = 0;
  Object call1276 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1275);
// compilenode returning call1276
  gc_frame_newslot(call1276);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe1277 = gc_frame_new();
  int callframe1278 = gc_frame_new();
  Object call1279 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1278);
// compilenode returning call1279
// compilenode returning call1279
  partcv[0] = 0;
  Object call1280 = callmethodflags(call1279, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1277);
// compilenode returning call1280
// compilenode returning call1280
  params[0] = call1276;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1281 = callmethodflags(call1280, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1274);
// compilenode returning call1281
  gc_frame_newslot(call1281);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1282 = gc_frame_new();
  int callframe1283 = gc_frame_new();
  partcv[0] = 0;
  Object call1284 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1283);
// compilenode returning call1284
  gc_frame_newslot(call1284);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe1285 = gc_frame_new();
  int callframe1286 = gc_frame_new();
  Object call1287 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1286);
// compilenode returning call1287
// compilenode returning call1287
  partcv[0] = 0;
  Object call1288 = callmethodflags(call1287, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1285);
// compilenode returning call1288
// compilenode returning call1288
  params[0] = call1284;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 4;
  Object call1289 = callmethodflags(call1288, "maybeMap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1282);
// compilenode returning call1289
  gc_frame_newslot(call1289);
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_catchCaseNode
  params[0] = call1273;
  params[1] = call1281;
  params[2] = call1289;
  partcv[0] = 3;
  Object call1290 = callmethod(*var_catchCaseNode, "new",
    1, partcv, params);
  gc_frame_end(callframe1269);
// compilenode returning call1290
  *var_n = call1290;
  if (call1290 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1291 = gc_frame_new();
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1292 = gc_frame_new();
  partcv[0] = 0;
  Object call1293 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1292);
// compilenode returning call1293
  gc_frame_newslot(call1293);
// compilenode returning *var_n
  params[0] = call1293;
  partcv[0] = 1;
  Object call1294 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe1291);
// compilenode returning call1294
// compilenode returning done
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply1298(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1301(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map1295(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1296 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block1297 = alloc_Block(NULL, NULL, "ast", 315);
  gc_frame_newslot(block1297);
  block_savedest(block1297);
  Object closure1298 = createclosure(1, "_apply");
  setclosureframe(closure1298, stackframe);
  addtoclosure(closure1298, selfslot);
  struct UserObject *uo1298 = (struct UserObject*)block1297;
  uo1298->data[0] = (Object)closure1298;
  Method *meth_meth_ast__apply1298 = addmethod2pos(block1297, "_apply", &meth_ast__apply1298, 0);
int argcv_meth_ast__apply1298[] = {0};
meth_meth_ast__apply1298->type = alloc_MethodType(1, argcv_meth_ast__apply1298);
  meth_meth_ast__apply1298->definitionModule = modulename;
  meth_meth_ast__apply1298->definitionLine = 310;
// compilenode returning block1297
  gc_frame_newslot(block1297);
  Object block1300 = alloc_Block(NULL, NULL, "ast", 315);
  gc_frame_newslot(block1300);
  block_savedest(block1300);
  Object closure1301 = createclosure(1, "_apply");
  setclosureframe(closure1301, stackframe);
  addtoclosure(closure1301, selfslot);
  struct UserObject *uo1301 = (struct UserObject*)block1300;
  uo1301->data[0] = (Object)closure1301;
  Method *meth_meth_ast__apply1301 = addmethod2pos(block1300, "_apply", &meth_ast__apply1301, 0);
int argcv_meth_ast__apply1301[] = {0};
meth_meth_ast__apply1301->type = alloc_MethodType(1, argcv_meth_ast__apply1301);
  meth_meth_ast__apply1301->definitionModule = modulename;
  meth_meth_ast__apply1301->definitionLine = 310;
// compilenode returning block1300
  gc_frame_newslot(block1300);
  params[0] = *var_blk;
  params[1] = block1297;
  params[2] = block1300;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1303 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1296);
// compilenode returning call1303
  gc_frame_end(frame);
  return call1303;
}
Object meth_ast__apply1312(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1314 == NULL) {
    strlit1314 = alloc_String("  ");
    gc_root(strlit1314);
  }
// compilenode returning strlit1314
  int op_slot_right_1313 = gc_frame_newslot(strlit1314);
// compilenode returning *var_spc
  int op_slot_left_1313 = gc_frame_newslot(*var_spc);
  params[0] = strlit1314;
  partcv[0] = 1;
  Object opresult1316 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult1316
  *var_spc = opresult1316;
  if (opresult1316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1340(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1343 == NULL) {
    strlit1343 = alloc_String("");
    gc_root(strlit1343);
  }
// compilenode returning strlit1343
  int op_slot_right_1342 = gc_frame_newslot(strlit1343);
  int callframe1346 = gc_frame_new();
  Object num1348 = alloc_Float64(2);
// compilenode returning num1348
  int op_slot_right_1347 = gc_frame_newslot(num1348);
// compilenode returning *var_depth
  int op_slot_left_1347 = gc_frame_newslot(*var_depth);
  params[0] = num1348;
  partcv[0] = 1;
  Object sum1350 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1350
  gc_frame_newslot(sum1350);
// compilenode returning *var_mx
  params[0] = sum1350;
  partcv[0] = 1;
  Object call1351 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1346);
// compilenode returning call1351
  int op_slot_right_1345 = gc_frame_newslot(call1351);
  if (strlit1354 == NULL) {
    strlit1354 = alloc_String("  ");
    gc_root(strlit1354);
  }
// compilenode returning strlit1354
  int op_slot_right_1353 = gc_frame_newslot(strlit1354);
// compilenode returning *var_spc
  int op_slot_right_1356 = gc_frame_newslot(*var_spc);
  if (strlit1359 == NULL) {
    strlit1359 = alloc_String("Case:""\x0a""");
    gc_root(strlit1359);
  }
// compilenode returning strlit1359
  int op_slot_right_1358 = gc_frame_newslot(strlit1359);
// compilenode returning *var_spc
  int op_slot_right_1361 = gc_frame_newslot(*var_spc);
  if (strlit1363 == NULL) {
    strlit1363 = alloc_String("""\x0a""");
    gc_root(strlit1363);
  }
// compilenode returning strlit1363
  int op_slot_left_1361 = gc_frame_newslot(strlit1363);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1364 = callmethod(strlit1363, "++", 1, partcv, params);
// compilenode returning opresult1364
  int op_slot_left_1358 = gc_frame_newslot(opresult1364);
  params[0] = strlit1359;
  partcv[0] = 1;
  Object opresult1365 = callmethod(opresult1364, "++", 1, partcv, params);
// compilenode returning opresult1365
  int op_slot_left_1356 = gc_frame_newslot(opresult1365);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1366 = callmethod(opresult1365, "++", 1, partcv, params);
// compilenode returning opresult1366
  int op_slot_left_1353 = gc_frame_newslot(opresult1366);
  params[0] = strlit1354;
  partcv[0] = 1;
  Object opresult1367 = callmethod(opresult1366, "++", 1, partcv, params);
// compilenode returning opresult1367
  int op_slot_left_1345 = gc_frame_newslot(opresult1367);
  params[0] = call1351;
  partcv[0] = 1;
  Object opresult1368 = callmethod(opresult1367, "++", 1, partcv, params);
// compilenode returning opresult1368
  int op_slot_left_1342 = gc_frame_newslot(opresult1368);
  params[0] = strlit1343;
  partcv[0] = 1;
  Object opresult1369 = callmethod(opresult1368, "++", 1, partcv, params);
// compilenode returning opresult1369
  int op_slot_right_1341 = gc_frame_newslot(opresult1369);
// compilenode returning *var_s
  int op_slot_left_1341 = gc_frame_newslot(*var_s);
  params[0] = opresult1369;
  partcv[0] = 1;
  Object opresult1371 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1371
  *var_s = opresult1371;
  if (opresult1371 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty1304(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1305 == NULL) {
    strlit1305 = alloc_String("");
    gc_root(strlit1305);
  }
// compilenode returning strlit1305
  *var_spc = strlit1305;
  if (strlit1305 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1306 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_1307 = gc_frame_newslot(*var_depth);
  Object num1309 = alloc_Float64(0);
// compilenode returning num1309
  int op_slot_left_1307 = gc_frame_newslot(num1309);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1310 = callmethod(num1309, "..", 1, partcv, params);
// compilenode returning opresult1310
  gc_frame_newslot(opresult1310);
  Object block1311 = alloc_Block(NULL, NULL, "ast", 319);
  gc_frame_newslot(block1311);
  block_savedest(block1311);
  Object closure1312 = createclosure(2, "_apply");
  setclosureframe(closure1312, stackframe);
  addtoclosure(closure1312, var_spc);
  addtoclosure(closure1312, selfslot);
  struct UserObject *uo1312 = (struct UserObject*)block1311;
  uo1312->data[0] = (Object)closure1312;
  Method *meth_meth_ast__apply1312 = addmethod2pos(block1311, "_apply", &meth_ast__apply1312, 0);
int argcv_meth_ast__apply1312[] = {1};
meth_meth_ast__apply1312->type = alloc_MethodType(1, argcv_meth_ast__apply1312);
  meth_meth_ast__apply1312->definitionModule = modulename;
  meth_meth_ast__apply1312->definitionLine = 310;
// compilenode returning block1311
  gc_frame_newslot(block1311);
  params[0] = opresult1310;
  params[1] = block1311;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1319 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1306);
// compilenode returning call1319
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1320 == NULL) {
    strlit1320 = alloc_String("Catch""\x0a""");
    gc_root(strlit1320);
  }
// compilenode returning strlit1320
  *var_s = strlit1320;
  if (strlit1320 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1322 = gc_frame_new();
  Object num1324 = alloc_Float64(2);
// compilenode returning num1324
  int op_slot_right_1323 = gc_frame_newslot(num1324);
// compilenode returning *var_depth
  int op_slot_left_1323 = gc_frame_newslot(*var_depth);
  params[0] = num1324;
  partcv[0] = 1;
  Object sum1326 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1326
  gc_frame_newslot(sum1326);
  int callframe1327 = gc_frame_new();
  partcv[0] = 0;
  Object call1328 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1327);
// compilenode returning call1328
  params[0] = sum1326;
  partcv[0] = 1;
  Object call1329 = callmethod(call1328, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1322);
// compilenode returning call1329
  int op_slot_right_1321 = gc_frame_newslot(call1329);
// compilenode returning *var_spc
  int op_slot_right_1331 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_1331 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1333 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1333
  int op_slot_left_1321 = gc_frame_newslot(opresult1333);
  params[0] = call1329;
  partcv[0] = 1;
  Object opresult1334 = callmethod(opresult1333, "++", 1, partcv, params);
// compilenode returning opresult1334
  *var_s = opresult1334;
  if (opresult1334 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1336 = gc_frame_new();
  int callframe1337 = gc_frame_new();
  partcv[0] = 0;
  Object call1338 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1337);
// compilenode returning call1338
// compilenode returning call1338
  gc_frame_newslot(call1338);
  Object block1339 = alloc_Block(NULL, NULL, "ast", 324);
  gc_frame_newslot(block1339);
  block_savedest(block1339);
  Object closure1340 = createclosure(4, "_apply");
  setclosureframe(closure1340, stackframe);
  addtoclosure(closure1340, var_depth);
  addtoclosure(closure1340, var_spc);
  addtoclosure(closure1340, var_s);
  addtoclosure(closure1340, selfslot);
  struct UserObject *uo1340 = (struct UserObject*)block1339;
  uo1340->data[0] = (Object)closure1340;
  Method *meth_meth_ast__apply1340 = addmethod2pos(block1339, "_apply", &meth_ast__apply1340, 0);
int argcv_meth_ast__apply1340[] = {1};
meth_meth_ast__apply1340->type = alloc_MethodType(1, argcv_meth_ast__apply1340);
  meth_meth_ast__apply1340->definitionModule = modulename;
  meth_meth_ast__apply1340->definitionLine = 324;
// compilenode returning block1339
  gc_frame_newslot(block1339);
  params[0] = call1338;
  params[1] = block1339;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1374 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1336);
// compilenode returning call1374
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1377 = gc_frame_new();
  partcv[0] = 0;
  Object call1378 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1377);
// compilenode returning call1378
// compilenode returning call1378
  int op_slot_right_1376 = gc_frame_newslot(call1378);
  Object bool1380 = alloc_Boolean(0);
// compilenode returning bool1380
  int op_slot_left_1376 = gc_frame_newslot(bool1380);
  params[0] = call1378;
  partcv[0] = 1;
  Object opresult1381 = callmethod(bool1380, "!=", 1, partcv, params);
// compilenode returning opresult1381
  Object if1375 = done;
  if (istrue(opresult1381)) {
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1384 == NULL) {
    strlit1384 = alloc_String("");
    gc_root(strlit1384);
  }
// compilenode returning strlit1384
  int op_slot_right_1383 = gc_frame_newslot(strlit1384);
  int callframe1387 = gc_frame_new();
  Object num1389 = alloc_Float64(2);
// compilenode returning num1389
  int op_slot_right_1388 = gc_frame_newslot(num1389);
// compilenode returning *var_depth
  int op_slot_left_1388 = gc_frame_newslot(*var_depth);
  params[0] = num1389;
  partcv[0] = 1;
  Object sum1391 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1391
  gc_frame_newslot(sum1391);
  int callframe1392 = gc_frame_new();
  partcv[0] = 0;
  Object call1393 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1392);
// compilenode returning call1393
// compilenode returning call1393
  params[0] = sum1391;
  partcv[0] = 1;
  Object call1394 = callmethod(call1393, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1387);
// compilenode returning call1394
  int op_slot_right_1386 = gc_frame_newslot(call1394);
  if (strlit1397 == NULL) {
    strlit1397 = alloc_String("  ");
    gc_root(strlit1397);
  }
// compilenode returning strlit1397
  int op_slot_right_1396 = gc_frame_newslot(strlit1397);
// compilenode returning *var_spc
  int op_slot_right_1399 = gc_frame_newslot(*var_spc);
  if (strlit1402 == NULL) {
    strlit1402 = alloc_String("Finally:""\x0a""");
    gc_root(strlit1402);
  }
// compilenode returning strlit1402
  int op_slot_right_1401 = gc_frame_newslot(strlit1402);
// compilenode returning *var_spc
  int op_slot_right_1404 = gc_frame_newslot(*var_spc);
  if (strlit1406 == NULL) {
    strlit1406 = alloc_String("""\x0a""");
    gc_root(strlit1406);
  }
// compilenode returning strlit1406
  int op_slot_left_1404 = gc_frame_newslot(strlit1406);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1407 = callmethod(strlit1406, "++", 1, partcv, params);
// compilenode returning opresult1407
  int op_slot_left_1401 = gc_frame_newslot(opresult1407);
  params[0] = strlit1402;
  partcv[0] = 1;
  Object opresult1408 = callmethod(opresult1407, "++", 1, partcv, params);
// compilenode returning opresult1408
  int op_slot_left_1399 = gc_frame_newslot(opresult1408);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1409 = callmethod(opresult1408, "++", 1, partcv, params);
// compilenode returning opresult1409
  int op_slot_left_1396 = gc_frame_newslot(opresult1409);
  params[0] = strlit1397;
  partcv[0] = 1;
  Object opresult1410 = callmethod(opresult1409, "++", 1, partcv, params);
// compilenode returning opresult1410
  int op_slot_left_1386 = gc_frame_newslot(opresult1410);
  params[0] = call1394;
  partcv[0] = 1;
  Object opresult1411 = callmethod(opresult1410, "++", 1, partcv, params);
// compilenode returning opresult1411
  int op_slot_left_1383 = gc_frame_newslot(opresult1411);
  params[0] = strlit1384;
  partcv[0] = 1;
  Object opresult1412 = callmethod(opresult1411, "++", 1, partcv, params);
// compilenode returning opresult1412
  int op_slot_right_1382 = gc_frame_newslot(opresult1412);
// compilenode returning *var_s
  int op_slot_left_1382 = gc_frame_newslot(*var_s);
  params[0] = opresult1412;
  partcv[0] = 1;
  Object opresult1414 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1414
  *var_s = opresult1414;
  if (opresult1414 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1375 = done;
  } else {
  }
// compilenode returning if1375
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1428(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1430 == NULL) {
    strlit1430 = alloc_String("    ");
    gc_root(strlit1430);
  }
// compilenode returning strlit1430
  int op_slot_right_1429 = gc_frame_newslot(strlit1430);
// compilenode returning *var_spc
  int op_slot_left_1429 = gc_frame_newslot(*var_spc);
  params[0] = strlit1430;
  partcv[0] = 1;
  Object opresult1432 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult1432
  *var_spc = opresult1432;
  if (opresult1432 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1453(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1455 = gc_frame_new();
  Object num1457 = alloc_Float64(2);
// compilenode returning num1457
  int op_slot_right_1456 = gc_frame_newslot(num1457);
// compilenode returning *var_depth
  int op_slot_left_1456 = gc_frame_newslot(*var_depth);
  params[0] = num1457;
  partcv[0] = 1;
  Object sum1459 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1459
  gc_frame_newslot(sum1459);
// compilenode returning *var_case
  params[0] = sum1459;
  partcv[0] = 1;
  Object call1460 = callmethod(*var_case, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1455);
// compilenode returning call1460
  int op_slot_right_1454 = gc_frame_newslot(call1460);
  if (strlit1463 == NULL) {
    strlit1463 = alloc_String("case ");
    gc_root(strlit1463);
  }
// compilenode returning strlit1463
  int op_slot_right_1462 = gc_frame_newslot(strlit1463);
  if (strlit1466 == NULL) {
    strlit1466 = alloc_String("    ");
    gc_root(strlit1466);
  }
// compilenode returning strlit1466
  int op_slot_right_1465 = gc_frame_newslot(strlit1466);
// compilenode returning *var_spc
  int op_slot_right_1468 = gc_frame_newslot(*var_spc);
  if (strlit1471 == NULL) {
    strlit1471 = alloc_String("""\x0a""");
    gc_root(strlit1471);
  }
// compilenode returning strlit1471
  int op_slot_right_1470 = gc_frame_newslot(strlit1471);
// compilenode returning *var_s
  int op_slot_left_1470 = gc_frame_newslot(*var_s);
  params[0] = strlit1471;
  partcv[0] = 1;
  Object opresult1473 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1473
  int op_slot_left_1468 = gc_frame_newslot(opresult1473);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1474 = callmethod(opresult1473, "++", 1, partcv, params);
// compilenode returning opresult1474
  int op_slot_left_1465 = gc_frame_newslot(opresult1474);
  params[0] = strlit1466;
  partcv[0] = 1;
  Object opresult1475 = callmethod(opresult1474, "++", 1, partcv, params);
// compilenode returning opresult1475
  int op_slot_left_1462 = gc_frame_newslot(opresult1475);
  params[0] = strlit1463;
  partcv[0] = 1;
  Object opresult1476 = callmethod(opresult1475, "++", 1, partcv, params);
// compilenode returning opresult1476
  int op_slot_left_1454 = gc_frame_newslot(opresult1476);
  params[0] = call1460;
  partcv[0] = 1;
  Object opresult1477 = callmethod(opresult1476, "++", 1, partcv, params);
// compilenode returning opresult1477
  *var_s = opresult1477;
  if (opresult1477 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace1416(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1417 == NULL) {
    strlit1417 = alloc_String("");
    gc_root(strlit1417);
  }
// compilenode returning strlit1417
  *var_spc = strlit1417;
  if (strlit1417 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1418 = gc_frame_new();
  Object num1421 = alloc_Float64(1);
// compilenode returning num1421
  int op_slot_right_1420 = gc_frame_newslot(num1421);
// compilenode returning *var_depth
  int op_slot_left_1420 = gc_frame_newslot(*var_depth);
  params[0] = num1421;
  partcv[0] = 1;
  Object diff1423 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff1423
  int op_slot_right_1419 = gc_frame_newslot(diff1423);
  Object num1425 = alloc_Float64(0);
// compilenode returning num1425
  int op_slot_left_1419 = gc_frame_newslot(num1425);
  params[0] = diff1423;
  partcv[0] = 1;
  Object opresult1426 = callmethod(num1425, "..", 1, partcv, params);
// compilenode returning opresult1426
  gc_frame_newslot(opresult1426);
  Object block1427 = alloc_Block(NULL, NULL, "ast", 334);
  gc_frame_newslot(block1427);
  block_savedest(block1427);
  Object closure1428 = createclosure(2, "_apply");
  setclosureframe(closure1428, stackframe);
  addtoclosure(closure1428, var_spc);
  addtoclosure(closure1428, selfslot);
  struct UserObject *uo1428 = (struct UserObject*)block1427;
  uo1428->data[0] = (Object)closure1428;
  Method *meth_meth_ast__apply1428 = addmethod2pos(block1427, "_apply", &meth_ast__apply1428, 0);
int argcv_meth_ast__apply1428[] = {1};
meth_meth_ast__apply1428->type = alloc_MethodType(1, argcv_meth_ast__apply1428);
  meth_meth_ast__apply1428->definitionModule = modulename;
  meth_meth_ast__apply1428->definitionLine = 328;
// compilenode returning block1427
  gc_frame_newslot(block1427);
  params[0] = opresult1426;
  params[1] = block1427;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1435 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1418);
// compilenode returning call1435
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1437 == NULL) {
    strlit1437 = alloc_String(" ");
    gc_root(strlit1437);
  }
// compilenode returning strlit1437
  int op_slot_right_1436 = gc_frame_newslot(strlit1437);
  int callframe1440 = gc_frame_new();
  Object num1441 = alloc_Float64(0);
// compilenode returning num1441
  gc_frame_newslot(num1441);
  int callframe1442 = gc_frame_new();
  partcv[0] = 0;
  Object call1443 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1442);
// compilenode returning call1443
// compilenode returning call1443
  params[0] = num1441;
  partcv[0] = 1;
  Object call1444 = callmethod(call1443, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1440);
// compilenode returning call1444
  int op_slot_right_1439 = gc_frame_newslot(call1444);
  if (strlit1446 == NULL) {
    strlit1446 = alloc_String("catch ");
    gc_root(strlit1446);
  }
// compilenode returning strlit1446
  int op_slot_left_1439 = gc_frame_newslot(strlit1446);
  params[0] = call1444;
  partcv[0] = 1;
  Object opresult1447 = callmethod(strlit1446, "++", 1, partcv, params);
// compilenode returning opresult1447
  int op_slot_left_1436 = gc_frame_newslot(opresult1447);
  params[0] = strlit1437;
  partcv[0] = 1;
  Object opresult1448 = callmethod(opresult1447, "++", 1, partcv, params);
// compilenode returning opresult1448
  *var_s = opresult1448;
  if (opresult1448 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1449 = gc_frame_new();
  int callframe1450 = gc_frame_new();
  partcv[0] = 0;
  Object call1451 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1450);
// compilenode returning call1451
// compilenode returning call1451
  gc_frame_newslot(call1451);
  Object block1452 = alloc_Block(NULL, NULL, "ast", 338);
  gc_frame_newslot(block1452);
  block_savedest(block1452);
  Object closure1453 = createclosure(4, "_apply");
  setclosureframe(closure1453, stackframe);
  addtoclosure(closure1453, var_depth);
  addtoclosure(closure1453, var_spc);
  addtoclosure(closure1453, var_s);
  addtoclosure(closure1453, selfslot);
  struct UserObject *uo1453 = (struct UserObject*)block1452;
  uo1453->data[0] = (Object)closure1453;
  Method *meth_meth_ast__apply1453 = addmethod2pos(block1452, "_apply", &meth_ast__apply1453, 0);
int argcv_meth_ast__apply1453[] = {1};
meth_meth_ast__apply1453->type = alloc_MethodType(1, argcv_meth_ast__apply1453);
  meth_meth_ast__apply1453->definitionModule = modulename;
  meth_meth_ast__apply1453->definitionLine = 338;
// compilenode returning block1452
  gc_frame_newslot(block1452);
  params[0] = call1451;
  params[1] = block1452;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1480 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1449);
// compilenode returning call1480
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1483 = alloc_Boolean(0);
// compilenode returning bool1483
  int op_slot_right_1482 = gc_frame_newslot(bool1483);
  int callframe1485 = gc_frame_new();
  partcv[0] = 0;
  Object call1486 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1485);
// compilenode returning call1486
// compilenode returning call1486
  int op_slot_left_1482 = gc_frame_newslot(call1486);
  params[0] = bool1483;
  partcv[0] = 1;
  Object opresult1487 = callmethod(call1486, "!=", 1, partcv, params);
// compilenode returning opresult1487
  Object if1481 = done;
  if (istrue(opresult1487)) {
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1489 = gc_frame_new();
  Object num1491 = alloc_Float64(2);
// compilenode returning num1491
  int op_slot_right_1490 = gc_frame_newslot(num1491);
// compilenode returning *var_depth
  int op_slot_left_1490 = gc_frame_newslot(*var_depth);
  params[0] = num1491;
  partcv[0] = 1;
  Object sum1493 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1493
  gc_frame_newslot(sum1493);
  int callframe1494 = gc_frame_new();
  partcv[0] = 0;
  Object call1495 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1494);
// compilenode returning call1495
// compilenode returning call1495
  params[0] = sum1493;
  partcv[0] = 1;
  Object call1496 = callmethod(call1495, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1489);
// compilenode returning call1496
  int op_slot_right_1488 = gc_frame_newslot(call1496);
  if (strlit1499 == NULL) {
    strlit1499 = alloc_String("finally ");
    gc_root(strlit1499);
  }
// compilenode returning strlit1499
  int op_slot_right_1498 = gc_frame_newslot(strlit1499);
  if (strlit1502 == NULL) {
    strlit1502 = alloc_String("    ");
    gc_root(strlit1502);
  }
// compilenode returning strlit1502
  int op_slot_right_1501 = gc_frame_newslot(strlit1502);
// compilenode returning *var_spc
  int op_slot_right_1504 = gc_frame_newslot(*var_spc);
  if (strlit1507 == NULL) {
    strlit1507 = alloc_String("""\x0a""");
    gc_root(strlit1507);
  }
// compilenode returning strlit1507
  int op_slot_right_1506 = gc_frame_newslot(strlit1507);
// compilenode returning *var_s
  int op_slot_left_1506 = gc_frame_newslot(*var_s);
  params[0] = strlit1507;
  partcv[0] = 1;
  Object opresult1509 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1509
  int op_slot_left_1504 = gc_frame_newslot(opresult1509);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1510 = callmethod(opresult1509, "++", 1, partcv, params);
// compilenode returning opresult1510
  int op_slot_left_1501 = gc_frame_newslot(opresult1510);
  params[0] = strlit1502;
  partcv[0] = 1;
  Object opresult1511 = callmethod(opresult1510, "++", 1, partcv, params);
// compilenode returning opresult1511
  int op_slot_left_1498 = gc_frame_newslot(opresult1511);
  params[0] = strlit1499;
  partcv[0] = 1;
  Object opresult1512 = callmethod(opresult1511, "++", 1, partcv, params);
// compilenode returning opresult1512
  int op_slot_left_1488 = gc_frame_newslot(opresult1512);
  params[0] = call1496;
  partcv[0] = 1;
  Object opresult1513 = callmethod(opresult1512, "++", 1, partcv, params);
// compilenode returning opresult1513
  *var_s = opresult1513;
  if (opresult1513 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1481 = done;
  } else {
  }
// compilenode returning if1481
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new1231(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_catchCaseNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1232 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1232 = alloc_userobj2(10,11, objclass1232);
  gc_frame_newslot(obj1232);
if (objclass1232 == NULL) {
  glfree(obj1232->class->name);
  obj1232->class->name = "catchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1232, self, 0);
  addmethodreal(obj1232,"outer", &reader_ast_outer_1233);
  Object oldself1232 = self;
  struct StackFrameObject *oldstackframe1232 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1232);
  gc_frame_newslot((Object)stackframe);
  self = obj1232;
  Object *oldselfslot1232 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1232 = (*(struct UserObject *)self).data[0], lowerouter1232 = thisouter1232;
  if (inheritingObject1232) {
    struct UserObject *inho1232 = (struct UserObject *)inheritingObject1232;
    while (inho1232->super != GraceDefaultObject) inho1232 = (struct UserObject *)inho1232->super;
    inho1232->super = obj1232;
    self = inheritingObject1232;
    *selfslot = self;
    lowerouter1232 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1232;
  }
if (objclass1232 == NULL) {
  Method *reader1234 = addmethodrealflags(obj1232, "kind",&reader_ast_kind_1234, MFLAG_DEF);
  reader1234->definitionModule = modulename;
  reader1234->definitionLine = 292;
}
adddatum2(obj1232, alloc_Undefined(), 1);
if (objclass1232 == NULL) {
  Method *reader1235 = addmethodrealflags(obj1232, "value",&reader_ast_value_1235, MFLAG_DEF);
  reader1235->definitionModule = modulename;
  reader1235->definitionLine = 293;
}
adddatum2(obj1232, alloc_Undefined(), 2);
if (objclass1232 == NULL) {
  Method *reader1236 = addmethodrealflags(obj1232, "cases",&reader_ast_cases_1236, MFLAG_DEF);
  reader1236->definitionModule = modulename;
  reader1236->definitionLine = 294;
}
adddatum2(obj1232, alloc_Undefined(), 3);
if (objclass1232 == NULL) {
  Method *reader1237 = addmethodrealflags(obj1232, "finally",&reader_ast_finally_1237, MFLAG_DEF);
  reader1237->definitionModule = modulename;
  reader1237->definitionLine = 295;
}
adddatum2(obj1232, alloc_Undefined(), 4);
  struct UserObject *uo1238 = (struct UserObject*)obj1232;
  uo1238->data[5] = emptyclosure;
  Method *meth_meth_ast_accept1238 = addmethod2pos(obj1232, "accept", &meth_ast_accept1238, 5);
int argcv_meth_ast_accept1238[] = {1};
meth_meth_ast_accept1238->type = alloc_MethodType(1, argcv_meth_ast_accept1238);
  meth_meth_ast_accept1238->definitionModule = modulename;
  meth_meth_ast_accept1238->definitionLine = 295;
  block_savedest(obj1232);
  Object closure1266 = createclosure(1, "map()before()after");
  setclosureframe(closure1266, stackframe);
  addtoclosure(closure1266, var_catchCaseNode);
  struct UserObject *uo1266 = (struct UserObject*)obj1232;
  uo1266->data[6] = (Object)closure1266;
  Method *meth_meth_ast_map_40__41_before_40__41_after1266 = addmethod2pos(obj1232, "map()before()after", &meth_ast_map_40__41_before_40__41_after1266, 6);
int argcv_meth_ast_map_40__41_before_40__41_after1266[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after1266->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after1266);
  meth_meth_ast_map_40__41_before_40__41_after1266->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after1266->definitionLine = 306;
  struct UserObject *uo1295 = (struct UserObject*)obj1232;
  uo1295->data[7] = emptyclosure;
  Method *meth_meth_ast_map1295 = addmethod2pos(obj1232, "map", &meth_ast_map1295, 7);
int argcv_meth_ast_map1295[] = {1};
meth_meth_ast_map1295->type = alloc_MethodType(1, argcv_meth_ast_map1295);
  meth_meth_ast_map1295->definitionModule = modulename;
  meth_meth_ast_map1295->definitionLine = 314;
  struct UserObject *uo1304 = (struct UserObject*)obj1232;
  uo1304->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty1304 = addmethod2pos(obj1232, "pretty", &meth_ast_pretty1304, 8);
int argcv_meth_ast_pretty1304[] = {1};
meth_meth_ast_pretty1304->type = alloc_MethodType(1, argcv_meth_ast_pretty1304);
  meth_meth_ast_pretty1304->definitionModule = modulename;
  meth_meth_ast_pretty1304->definitionLine = 317;
  struct UserObject *uo1416 = (struct UserObject*)obj1232;
  uo1416->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace1416 = addmethod2pos(obj1232, "toGrace", &meth_ast_toGrace1416, 9);
int argcv_meth_ast_toGrace1416[] = {1};
meth_meth_ast_toGrace1416->type = alloc_MethodType(1, argcv_meth_ast_toGrace1416);
meth_meth_ast_toGrace1416->type->types[0] = type_Number;
meth_meth_ast_toGrace1416->type->names[0] = "depth";
  meth_meth_ast_toGrace1416->definitionModule = modulename;
  meth_meth_ast_toGrace1416->definitionLine = 332;
  sourceObject = obj1232;
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1515 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1516 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1515);
// compilenode returning call1516
  struct UserObject *obj1232_uo = (struct UserObject *)obj1232;
  obj1232_uo->super = call1516;
  sourceObject = obj1232;
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1517 == NULL) {
    strlit1517 = alloc_String("catchcase");
    gc_root(strlit1517);
  }
// compilenode returning strlit1517
  adddatum2(obj1232, strlit1517, 1);
  sourceObject = obj1232;
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_block
  adddatum2(obj1232, *var_block, 2);
  sourceObject = obj1232;
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cases_39_
  adddatum2(obj1232, *var_cases_39_, 3);
  sourceObject = obj1232;
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_finally_39_
  adddatum2(obj1232, *var_finally_39_, 4);
  sourceObject = obj1232;
  sourceObject = obj1232;
  sourceObject = obj1232;
  sourceObject = obj1232;
  sourceObject = obj1232;
objclass1232 = obj1232->class;
  objclass1232->definitionModule = modulename;
  objclass1232->definitionLine = 282;
  (*(struct UserObject *)self).data[0] = lowerouter1232;
  self = oldself1232;
  selfslot = oldselfslot1232;
  stackframe = oldstackframe1232;
  gc_frame_end(frame);
  return obj1232;
}
Object meth_ast_new1231_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_catchCaseNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1232 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1232 = alloc_userobj2(10,11, objclass1232);
  gc_frame_newslot(obj1232);
if (objclass1232 == NULL) {
  glfree(obj1232->class->name);
  obj1232->class->name = "catchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1232, self, 0);
  addmethodreal(obj1232,"outer", &reader_ast_outer_1233);
  Object oldself1232 = self;
  struct StackFrameObject *oldstackframe1232 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1232);
  gc_frame_newslot((Object)stackframe);
  self = obj1232;
  Object *oldselfslot1232 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1232 = (*(struct UserObject *)self).data[0], lowerouter1232 = thisouter1232;
  if (inheritingObject1232) {
    struct UserObject *inho1232 = (struct UserObject *)inheritingObject1232;
    while (inho1232->super != GraceDefaultObject) inho1232 = (struct UserObject *)inho1232->super;
    inho1232->super = obj1232;
    self = inheritingObject1232;
    *selfslot = self;
    lowerouter1232 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1232;
  }
if (objclass1232 == NULL) {
  Method *reader1234 = addmethodrealflags(obj1232, "kind",&reader_ast_kind_1234, MFLAG_DEF);
  reader1234->definitionModule = modulename;
  reader1234->definitionLine = 292;
}
adddatum2(obj1232, alloc_Undefined(), 1);
if (objclass1232 == NULL) {
  Method *reader1235 = addmethodrealflags(obj1232, "value",&reader_ast_value_1235, MFLAG_DEF);
  reader1235->definitionModule = modulename;
  reader1235->definitionLine = 293;
}
adddatum2(obj1232, alloc_Undefined(), 2);
if (objclass1232 == NULL) {
  Method *reader1236 = addmethodrealflags(obj1232, "cases",&reader_ast_cases_1236, MFLAG_DEF);
  reader1236->definitionModule = modulename;
  reader1236->definitionLine = 294;
}
adddatum2(obj1232, alloc_Undefined(), 3);
if (objclass1232 == NULL) {
  Method *reader1237 = addmethodrealflags(obj1232, "finally",&reader_ast_finally_1237, MFLAG_DEF);
  reader1237->definitionModule = modulename;
  reader1237->definitionLine = 295;
}
adddatum2(obj1232, alloc_Undefined(), 4);
  struct UserObject *uo1238 = (struct UserObject*)obj1232;
  uo1238->data[5] = emptyclosure;
  Method *meth_meth_ast_accept1238 = addmethod2pos(obj1232, "accept", &meth_ast_accept1238, 5);
int argcv_meth_ast_accept1238[] = {1};
meth_meth_ast_accept1238->type = alloc_MethodType(1, argcv_meth_ast_accept1238);
  meth_meth_ast_accept1238->definitionModule = modulename;
  meth_meth_ast_accept1238->definitionLine = 295;
  block_savedest(obj1232);
  Object closure1266 = createclosure(1, "map()before()after");
  setclosureframe(closure1266, stackframe);
  addtoclosure(closure1266, var_catchCaseNode);
  struct UserObject *uo1266 = (struct UserObject*)obj1232;
  uo1266->data[6] = (Object)closure1266;
  Method *meth_meth_ast_map_40__41_before_40__41_after1266 = addmethod2pos(obj1232, "map()before()after", &meth_ast_map_40__41_before_40__41_after1266, 6);
int argcv_meth_ast_map_40__41_before_40__41_after1266[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after1266->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after1266);
  meth_meth_ast_map_40__41_before_40__41_after1266->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after1266->definitionLine = 306;
  struct UserObject *uo1295 = (struct UserObject*)obj1232;
  uo1295->data[7] = emptyclosure;
  Method *meth_meth_ast_map1295 = addmethod2pos(obj1232, "map", &meth_ast_map1295, 7);
int argcv_meth_ast_map1295[] = {1};
meth_meth_ast_map1295->type = alloc_MethodType(1, argcv_meth_ast_map1295);
  meth_meth_ast_map1295->definitionModule = modulename;
  meth_meth_ast_map1295->definitionLine = 314;
  struct UserObject *uo1304 = (struct UserObject*)obj1232;
  uo1304->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty1304 = addmethod2pos(obj1232, "pretty", &meth_ast_pretty1304, 8);
int argcv_meth_ast_pretty1304[] = {1};
meth_meth_ast_pretty1304->type = alloc_MethodType(1, argcv_meth_ast_pretty1304);
  meth_meth_ast_pretty1304->definitionModule = modulename;
  meth_meth_ast_pretty1304->definitionLine = 317;
  struct UserObject *uo1416 = (struct UserObject*)obj1232;
  uo1416->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace1416 = addmethod2pos(obj1232, "toGrace", &meth_ast_toGrace1416, 9);
int argcv_meth_ast_toGrace1416[] = {1};
meth_meth_ast_toGrace1416->type = alloc_MethodType(1, argcv_meth_ast_toGrace1416);
meth_meth_ast_toGrace1416->type->types[0] = type_Number;
meth_meth_ast_toGrace1416->type->names[0] = "depth";
  meth_meth_ast_toGrace1416->definitionModule = modulename;
  meth_meth_ast_toGrace1416->definitionLine = 332;
  sourceObject = obj1232;
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1515 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1516 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1515);
// compilenode returning call1516
  struct UserObject *obj1232_uo = (struct UserObject *)obj1232;
  obj1232_uo->super = call1516;
  sourceObject = obj1232;
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1517 == NULL) {
    strlit1517 = alloc_String("catchcase");
    gc_root(strlit1517);
  }
// compilenode returning strlit1517
  adddatum2(obj1232, strlit1517, 1);
  sourceObject = obj1232;
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_block
  adddatum2(obj1232, *var_block, 2);
  sourceObject = obj1232;
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cases_39_
  adddatum2(obj1232, *var_cases_39_, 3);
  sourceObject = obj1232;
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_finally_39_
  adddatum2(obj1232, *var_finally_39_, 4);
  sourceObject = obj1232;
  sourceObject = obj1232;
  sourceObject = obj1232;
  sourceObject = obj1232;
  sourceObject = obj1232;
objclass1232 = obj1232->class;
  objclass1232->definitionModule = modulename;
  objclass1232->definitionLine = 282;
  (*(struct UserObject *)self).data[0] = lowerouter1232;
  self = oldself1232;
  selfslot = oldselfslot1232;
  stackframe = oldstackframe1232;
  gc_frame_end(frame);
  return obj1232;
}
Object meth_ast_matchCaseNode1519(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchCaseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_matchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for matchCaseNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for matchCaseNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_matchCaseNode
  gc_frame_end(frame);
  return *var_matchCaseNode;
}
Object meth_ast__apply1541(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1542 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_mx
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1543 = callmethod(*var_mx, "accept",
    1, partcv, params);
  gc_frame_end(callframe1542);
// compilenode returning call1543
  gc_frame_end(frame);
  return call1543;
}
Object meth_ast_accept1529(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1531 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call1532 = callmethod(*var_visitor, "visitMatchCase",
    1, partcv, params);
  gc_frame_end(callframe1531);
// compilenode returning call1532
  Object if1530 = done;
  if (istrue(call1532)) {
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1533 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe1534 = gc_frame_new();
  partcv[0] = 0;
  Object call1535 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1534);
// compilenode returning call1535
// compilenode returning call1535
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1536 = callmethod(call1535, "accept",
    1, partcv, params);
  gc_frame_end(callframe1533);
// compilenode returning call1536
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1537 = gc_frame_new();
  int callframe1538 = gc_frame_new();
  partcv[0] = 0;
  Object call1539 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1538);
// compilenode returning call1539
// compilenode returning call1539
  gc_frame_newslot(call1539);
  Object block1540 = alloc_Block(NULL, NULL, "ast", 356);
  gc_frame_newslot(block1540);
  block_savedest(block1540);
  Object closure1541 = createclosure(2, "_apply");
  setclosureframe(closure1541, stackframe);
  addtoclosure(closure1541, var_visitor);
  addtoclosure(closure1541, selfslot);
  struct UserObject *uo1541 = (struct UserObject*)block1540;
  uo1541->data[0] = (Object)closure1541;
  Method *meth_meth_ast__apply1541 = addmethod2pos(block1540, "_apply", &meth_ast__apply1541, 0);
int argcv_meth_ast__apply1541[] = {1};
meth_meth_ast__apply1541->type = alloc_MethodType(1, argcv_meth_ast__apply1541);
  meth_meth_ast__apply1541->definitionModule = modulename;
  meth_meth_ast__apply1541->definitionLine = 356;
// compilenode returning block1540
  gc_frame_newslot(block1540);
  params[0] = call1539;
  params[1] = block1540;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1545 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1537);
// compilenode returning call1545
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1548 = alloc_Boolean(0);
// compilenode returning bool1548
  int op_slot_right_1547 = gc_frame_newslot(bool1548);
  int callframe1550 = gc_frame_new();
  partcv[0] = 0;
  Object call1551 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1550);
// compilenode returning call1551
// compilenode returning call1551
  int op_slot_left_1547 = gc_frame_newslot(call1551);
  params[0] = bool1548;
  partcv[0] = 1;
  Object opresult1552 = callmethod(call1551, "!=", 1, partcv, params);
// compilenode returning opresult1552
  Object if1546 = done;
  if (istrue(opresult1552)) {
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1553 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe1554 = gc_frame_new();
  partcv[0] = 0;
  Object call1555 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1554);
// compilenode returning call1555
// compilenode returning call1555
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1556 = callmethod(call1555, "accept",
    1, partcv, params);
  gc_frame_end(callframe1553);
// compilenode returning call1556
    gc_frame_newslot(call1556);
    if1546 = call1556;
  } else {
  }
// compilenode returning if1546
    gc_frame_newslot(if1546);
    if1530 = if1546;
  } else {
  }
// compilenode returning if1530
  gc_frame_end(frame);
  return if1530;
}
Object meth_ast_map_40__41_before_40__41_after1557(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_matchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newcases = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newcases");
  Object *var_n = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "n");
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1558 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call1559 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe1558);
// compilenode returning call1559
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1560 = gc_frame_new();
  int callframe1561 = gc_frame_new();
  partcv[0] = 0;
  Object call1562 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1561);
// compilenode returning call1562
  gc_frame_newslot(call1562);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe1563 = gc_frame_new();
  int callframe1564 = gc_frame_new();
  Object call1565 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1564);
// compilenode returning call1565
// compilenode returning call1565
  partcv[0] = 0;
  Object call1566 = callmethodflags(call1565, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1563);
// compilenode returning call1566
// compilenode returning call1566
  params[0] = call1562;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1567 = callmethodflags(call1566, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1560);
// compilenode returning call1567
  *var_newcases = call1567;
  if (call1567 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1568 = gc_frame_new();
  int callframe1569 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe1570 = gc_frame_new();
  partcv[0] = 0;
  Object call1571 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1570);
// compilenode returning call1571
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1572 = callmethod(call1571, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe1569);
// compilenode returning call1572
  gc_frame_newslot(call1572);
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newcases
  gc_frame_newslot(*var_newcases);
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1573 = gc_frame_new();
  int callframe1574 = gc_frame_new();
  partcv[0] = 0;
  Object call1575 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1574);
// compilenode returning call1575
  gc_frame_newslot(call1575);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe1576 = gc_frame_new();
  int callframe1577 = gc_frame_new();
  Object call1578 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1577);
// compilenode returning call1578
// compilenode returning call1578
  partcv[0] = 0;
  Object call1579 = callmethodflags(call1578, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1576);
// compilenode returning call1579
// compilenode returning call1579
  params[0] = call1575;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 4;
  Object call1580 = callmethodflags(call1579, "maybeMap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1573);
// compilenode returning call1580
  gc_frame_newslot(call1580);
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_matchCaseNode
  params[0] = call1572;
  params[1] = *var_newcases;
  params[2] = call1580;
  partcv[0] = 3;
  Object call1581 = callmethod(*var_matchCaseNode, "new",
    1, partcv, params);
  gc_frame_end(callframe1568);
// compilenode returning call1581
  *var_n = call1581;
  if (call1581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1582 = gc_frame_new();
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1583 = gc_frame_new();
  partcv[0] = 0;
  Object call1584 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1583);
// compilenode returning call1584
  gc_frame_newslot(call1584);
// compilenode returning *var_n
  params[0] = call1584;
  partcv[0] = 1;
  Object call1585 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe1582);
// compilenode returning call1585
// compilenode returning done
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1586 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1587 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe1586);
// compilenode returning call1587
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply1591(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1594(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map1588(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1589 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block1590 = alloc_Block(NULL, NULL, "ast", 375);
  gc_frame_newslot(block1590);
  block_savedest(block1590);
  Object closure1591 = createclosure(1, "_apply");
  setclosureframe(closure1591, stackframe);
  addtoclosure(closure1591, selfslot);
  struct UserObject *uo1591 = (struct UserObject*)block1590;
  uo1591->data[0] = (Object)closure1591;
  Method *meth_meth_ast__apply1591 = addmethod2pos(block1590, "_apply", &meth_ast__apply1591, 0);
int argcv_meth_ast__apply1591[] = {0};
meth_meth_ast__apply1591->type = alloc_MethodType(1, argcv_meth_ast__apply1591);
  meth_meth_ast__apply1591->definitionModule = modulename;
  meth_meth_ast__apply1591->definitionLine = 369;
// compilenode returning block1590
  gc_frame_newslot(block1590);
  Object block1593 = alloc_Block(NULL, NULL, "ast", 375);
  gc_frame_newslot(block1593);
  block_savedest(block1593);
  Object closure1594 = createclosure(1, "_apply");
  setclosureframe(closure1594, stackframe);
  addtoclosure(closure1594, selfslot);
  struct UserObject *uo1594 = (struct UserObject*)block1593;
  uo1594->data[0] = (Object)closure1594;
  Method *meth_meth_ast__apply1594 = addmethod2pos(block1593, "_apply", &meth_ast__apply1594, 0);
int argcv_meth_ast__apply1594[] = {0};
meth_meth_ast__apply1594->type = alloc_MethodType(1, argcv_meth_ast__apply1594);
  meth_meth_ast__apply1594->definitionModule = modulename;
  meth_meth_ast__apply1594->definitionLine = 369;
// compilenode returning block1593
  gc_frame_newslot(block1593);
  params[0] = *var_blk;
  params[1] = block1590;
  params[2] = block1593;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1596 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1589);
// compilenode returning call1596
  gc_frame_end(frame);
  return call1596;
}
Object meth_ast__apply1605(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1607 == NULL) {
    strlit1607 = alloc_String("  ");
    gc_root(strlit1607);
  }
// compilenode returning strlit1607
  int op_slot_right_1606 = gc_frame_newslot(strlit1607);
// compilenode returning *var_spc
  int op_slot_left_1606 = gc_frame_newslot(*var_spc);
  params[0] = strlit1607;
  partcv[0] = 1;
  Object opresult1609 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult1609
  *var_spc = opresult1609;
  if (opresult1609 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1631(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1634 == NULL) {
    strlit1634 = alloc_String("");
    gc_root(strlit1634);
  }
// compilenode returning strlit1634
  int op_slot_right_1633 = gc_frame_newslot(strlit1634);
  int callframe1637 = gc_frame_new();
  Object num1639 = alloc_Float64(2);
// compilenode returning num1639
  int op_slot_right_1638 = gc_frame_newslot(num1639);
// compilenode returning *var_depth
  int op_slot_left_1638 = gc_frame_newslot(*var_depth);
  params[0] = num1639;
  partcv[0] = 1;
  Object sum1641 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1641
  gc_frame_newslot(sum1641);
// compilenode returning *var_mx
  params[0] = sum1641;
  partcv[0] = 1;
  Object call1642 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1637);
// compilenode returning call1642
  int op_slot_right_1636 = gc_frame_newslot(call1642);
  if (strlit1645 == NULL) {
    strlit1645 = alloc_String("  ");
    gc_root(strlit1645);
  }
// compilenode returning strlit1645
  int op_slot_right_1644 = gc_frame_newslot(strlit1645);
// compilenode returning *var_spc
  int op_slot_right_1647 = gc_frame_newslot(*var_spc);
  if (strlit1650 == NULL) {
    strlit1650 = alloc_String("Case:""\x0a""");
    gc_root(strlit1650);
  }
// compilenode returning strlit1650
  int op_slot_right_1649 = gc_frame_newslot(strlit1650);
// compilenode returning *var_spc
  int op_slot_right_1652 = gc_frame_newslot(*var_spc);
  if (strlit1654 == NULL) {
    strlit1654 = alloc_String("""\x0a""");
    gc_root(strlit1654);
  }
// compilenode returning strlit1654
  int op_slot_left_1652 = gc_frame_newslot(strlit1654);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1655 = callmethod(strlit1654, "++", 1, partcv, params);
// compilenode returning opresult1655
  int op_slot_left_1649 = gc_frame_newslot(opresult1655);
  params[0] = strlit1650;
  partcv[0] = 1;
  Object opresult1656 = callmethod(opresult1655, "++", 1, partcv, params);
// compilenode returning opresult1656
  int op_slot_left_1647 = gc_frame_newslot(opresult1656);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1657 = callmethod(opresult1656, "++", 1, partcv, params);
// compilenode returning opresult1657
  int op_slot_left_1644 = gc_frame_newslot(opresult1657);
  params[0] = strlit1645;
  partcv[0] = 1;
  Object opresult1658 = callmethod(opresult1657, "++", 1, partcv, params);
// compilenode returning opresult1658
  int op_slot_left_1636 = gc_frame_newslot(opresult1658);
  params[0] = call1642;
  partcv[0] = 1;
  Object opresult1659 = callmethod(opresult1658, "++", 1, partcv, params);
// compilenode returning opresult1659
  int op_slot_left_1633 = gc_frame_newslot(opresult1659);
  params[0] = strlit1634;
  partcv[0] = 1;
  Object opresult1660 = callmethod(opresult1659, "++", 1, partcv, params);
// compilenode returning opresult1660
  int op_slot_right_1632 = gc_frame_newslot(opresult1660);
// compilenode returning *var_s
  int op_slot_left_1632 = gc_frame_newslot(*var_s);
  params[0] = opresult1660;
  partcv[0] = 1;
  Object opresult1662 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1662
  *var_s = opresult1662;
  if (opresult1662 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty1597(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  Object *var_matchee = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1598 == NULL) {
    strlit1598 = alloc_String("");
    gc_root(strlit1598);
  }
// compilenode returning strlit1598
  *var_spc = strlit1598;
  if (strlit1598 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1599 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_1600 = gc_frame_newslot(*var_depth);
  Object num1602 = alloc_Float64(0);
// compilenode returning num1602
  int op_slot_left_1600 = gc_frame_newslot(num1602);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1603 = callmethod(num1602, "..", 1, partcv, params);
// compilenode returning opresult1603
  gc_frame_newslot(opresult1603);
  Object block1604 = alloc_Block(NULL, NULL, "ast", 379);
  gc_frame_newslot(block1604);
  block_savedest(block1604);
  Object closure1605 = createclosure(2, "_apply");
  setclosureframe(closure1605, stackframe);
  addtoclosure(closure1605, var_spc);
  addtoclosure(closure1605, selfslot);
  struct UserObject *uo1605 = (struct UserObject*)block1604;
  uo1605->data[0] = (Object)closure1605;
  Method *meth_meth_ast__apply1605 = addmethod2pos(block1604, "_apply", &meth_ast__apply1605, 0);
int argcv_meth_ast__apply1605[] = {1};
meth_meth_ast__apply1605->type = alloc_MethodType(1, argcv_meth_ast__apply1605);
  meth_meth_ast__apply1605->definitionModule = modulename;
  meth_meth_ast__apply1605->definitionLine = 369;
// compilenode returning block1604
  gc_frame_newslot(block1604);
  params[0] = opresult1603;
  params[1] = block1604;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1612 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1599);
// compilenode returning call1612
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1613 == NULL) {
    strlit1613 = alloc_String("Match""\x0a""");
    gc_root(strlit1613);
  }
// compilenode returning strlit1613
  *var_s = strlit1613;
  if (strlit1613 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1615 = gc_frame_new();
  Object num1617 = alloc_Float64(2);
// compilenode returning num1617
  int op_slot_right_1616 = gc_frame_newslot(num1617);
// compilenode returning *var_depth
  int op_slot_left_1616 = gc_frame_newslot(*var_depth);
  params[0] = num1617;
  partcv[0] = 1;
  Object sum1619 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1619
  gc_frame_newslot(sum1619);
// compilenode returning *var_matchee
  params[0] = sum1619;
  partcv[0] = 1;
  Object call1620 = callmethod(*var_matchee, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1615);
// compilenode returning call1620
  int op_slot_right_1614 = gc_frame_newslot(call1620);
// compilenode returning *var_spc
  int op_slot_right_1622 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_1622 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1624 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1624
  int op_slot_left_1614 = gc_frame_newslot(opresult1624);
  params[0] = call1620;
  partcv[0] = 1;
  Object opresult1625 = callmethod(opresult1624, "++", 1, partcv, params);
// compilenode returning opresult1625
  *var_s = opresult1625;
  if (opresult1625 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1627 = gc_frame_new();
  int callframe1628 = gc_frame_new();
  partcv[0] = 0;
  Object call1629 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1628);
// compilenode returning call1629
// compilenode returning call1629
  gc_frame_newslot(call1629);
  Object block1630 = alloc_Block(NULL, NULL, "ast", 384);
  gc_frame_newslot(block1630);
  block_savedest(block1630);
  Object closure1631 = createclosure(4, "_apply");
  setclosureframe(closure1631, stackframe);
  addtoclosure(closure1631, var_depth);
  addtoclosure(closure1631, var_spc);
  addtoclosure(closure1631, var_s);
  addtoclosure(closure1631, selfslot);
  struct UserObject *uo1631 = (struct UserObject*)block1630;
  uo1631->data[0] = (Object)closure1631;
  Method *meth_meth_ast__apply1631 = addmethod2pos(block1630, "_apply", &meth_ast__apply1631, 0);
int argcv_meth_ast__apply1631[] = {1};
meth_meth_ast__apply1631->type = alloc_MethodType(1, argcv_meth_ast__apply1631);
  meth_meth_ast__apply1631->definitionModule = modulename;
  meth_meth_ast__apply1631->definitionLine = 384;
// compilenode returning block1630
  gc_frame_newslot(block1630);
  params[0] = call1629;
  params[1] = block1630;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1665 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1627);
// compilenode returning call1665
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1668 = gc_frame_new();
  partcv[0] = 0;
  Object call1669 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1668);
// compilenode returning call1669
// compilenode returning call1669
  int op_slot_right_1667 = gc_frame_newslot(call1669);
  Object bool1671 = alloc_Boolean(0);
// compilenode returning bool1671
  int op_slot_left_1667 = gc_frame_newslot(bool1671);
  params[0] = call1669;
  partcv[0] = 1;
  Object opresult1672 = callmethod(bool1671, "!=", 1, partcv, params);
// compilenode returning opresult1672
  Object if1666 = done;
  if (istrue(opresult1672)) {
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1675 == NULL) {
    strlit1675 = alloc_String("");
    gc_root(strlit1675);
  }
// compilenode returning strlit1675
  int op_slot_right_1674 = gc_frame_newslot(strlit1675);
  int callframe1678 = gc_frame_new();
  Object num1680 = alloc_Float64(2);
// compilenode returning num1680
  int op_slot_right_1679 = gc_frame_newslot(num1680);
// compilenode returning *var_depth
  int op_slot_left_1679 = gc_frame_newslot(*var_depth);
  params[0] = num1680;
  partcv[0] = 1;
  Object sum1682 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1682
  gc_frame_newslot(sum1682);
  int callframe1683 = gc_frame_new();
  partcv[0] = 0;
  Object call1684 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1683);
// compilenode returning call1684
// compilenode returning call1684
  params[0] = sum1682;
  partcv[0] = 1;
  Object call1685 = callmethod(call1684, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1678);
// compilenode returning call1685
  int op_slot_right_1677 = gc_frame_newslot(call1685);
  if (strlit1688 == NULL) {
    strlit1688 = alloc_String("  ");
    gc_root(strlit1688);
  }
// compilenode returning strlit1688
  int op_slot_right_1687 = gc_frame_newslot(strlit1688);
// compilenode returning *var_spc
  int op_slot_right_1690 = gc_frame_newslot(*var_spc);
  if (strlit1693 == NULL) {
    strlit1693 = alloc_String("Else:""\x0a""");
    gc_root(strlit1693);
  }
// compilenode returning strlit1693
  int op_slot_right_1692 = gc_frame_newslot(strlit1693);
// compilenode returning *var_spc
  int op_slot_right_1695 = gc_frame_newslot(*var_spc);
  if (strlit1697 == NULL) {
    strlit1697 = alloc_String("""\x0a""");
    gc_root(strlit1697);
  }
// compilenode returning strlit1697
  int op_slot_left_1695 = gc_frame_newslot(strlit1697);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1698 = callmethod(strlit1697, "++", 1, partcv, params);
// compilenode returning opresult1698
  int op_slot_left_1692 = gc_frame_newslot(opresult1698);
  params[0] = strlit1693;
  partcv[0] = 1;
  Object opresult1699 = callmethod(opresult1698, "++", 1, partcv, params);
// compilenode returning opresult1699
  int op_slot_left_1690 = gc_frame_newslot(opresult1699);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1700 = callmethod(opresult1699, "++", 1, partcv, params);
// compilenode returning opresult1700
  int op_slot_left_1687 = gc_frame_newslot(opresult1700);
  params[0] = strlit1688;
  partcv[0] = 1;
  Object opresult1701 = callmethod(opresult1700, "++", 1, partcv, params);
// compilenode returning opresult1701
  int op_slot_left_1677 = gc_frame_newslot(opresult1701);
  params[0] = call1685;
  partcv[0] = 1;
  Object opresult1702 = callmethod(opresult1701, "++", 1, partcv, params);
// compilenode returning opresult1702
  int op_slot_left_1674 = gc_frame_newslot(opresult1702);
  params[0] = strlit1675;
  partcv[0] = 1;
  Object opresult1703 = callmethod(opresult1702, "++", 1, partcv, params);
// compilenode returning opresult1703
  int op_slot_right_1673 = gc_frame_newslot(opresult1703);
// compilenode returning *var_s
  int op_slot_left_1673 = gc_frame_newslot(*var_s);
  params[0] = opresult1703;
  partcv[0] = 1;
  Object opresult1705 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1705
  *var_s = opresult1705;
  if (opresult1705 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1666 = done;
  } else {
  }
// compilenode returning if1666
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1719(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1721 == NULL) {
    strlit1721 = alloc_String("    ");
    gc_root(strlit1721);
  }
// compilenode returning strlit1721
  int op_slot_right_1720 = gc_frame_newslot(strlit1721);
// compilenode returning *var_spc
  int op_slot_left_1720 = gc_frame_newslot(*var_spc);
  params[0] = strlit1721;
  partcv[0] = 1;
  Object opresult1723 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult1723
  *var_spc = opresult1723;
  if (opresult1723 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1744(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1746 = gc_frame_new();
  Object num1748 = alloc_Float64(2);
// compilenode returning num1748
  int op_slot_right_1747 = gc_frame_newslot(num1748);
// compilenode returning *var_depth
  int op_slot_left_1747 = gc_frame_newslot(*var_depth);
  params[0] = num1748;
  partcv[0] = 1;
  Object sum1750 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1750
  gc_frame_newslot(sum1750);
// compilenode returning *var_case
  params[0] = sum1750;
  partcv[0] = 1;
  Object call1751 = callmethod(*var_case, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1746);
// compilenode returning call1751
  int op_slot_right_1745 = gc_frame_newslot(call1751);
  if (strlit1754 == NULL) {
    strlit1754 = alloc_String("case ");
    gc_root(strlit1754);
  }
// compilenode returning strlit1754
  int op_slot_right_1753 = gc_frame_newslot(strlit1754);
  if (strlit1757 == NULL) {
    strlit1757 = alloc_String("    ");
    gc_root(strlit1757);
  }
// compilenode returning strlit1757
  int op_slot_right_1756 = gc_frame_newslot(strlit1757);
// compilenode returning *var_spc
  int op_slot_right_1759 = gc_frame_newslot(*var_spc);
  if (strlit1762 == NULL) {
    strlit1762 = alloc_String("""\x0a""");
    gc_root(strlit1762);
  }
// compilenode returning strlit1762
  int op_slot_right_1761 = gc_frame_newslot(strlit1762);
// compilenode returning *var_s
  int op_slot_left_1761 = gc_frame_newslot(*var_s);
  params[0] = strlit1762;
  partcv[0] = 1;
  Object opresult1764 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1764
  int op_slot_left_1759 = gc_frame_newslot(opresult1764);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1765 = callmethod(opresult1764, "++", 1, partcv, params);
// compilenode returning opresult1765
  int op_slot_left_1756 = gc_frame_newslot(opresult1765);
  params[0] = strlit1757;
  partcv[0] = 1;
  Object opresult1766 = callmethod(opresult1765, "++", 1, partcv, params);
// compilenode returning opresult1766
  int op_slot_left_1753 = gc_frame_newslot(opresult1766);
  params[0] = strlit1754;
  partcv[0] = 1;
  Object opresult1767 = callmethod(opresult1766, "++", 1, partcv, params);
// compilenode returning opresult1767
  int op_slot_left_1745 = gc_frame_newslot(opresult1767);
  params[0] = call1751;
  partcv[0] = 1;
  Object opresult1768 = callmethod(opresult1767, "++", 1, partcv, params);
// compilenode returning opresult1768
  *var_s = opresult1768;
  if (opresult1768 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace1707(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1708 == NULL) {
    strlit1708 = alloc_String("");
    gc_root(strlit1708);
  }
// compilenode returning strlit1708
  *var_spc = strlit1708;
  if (strlit1708 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1709 = gc_frame_new();
  Object num1712 = alloc_Float64(1);
// compilenode returning num1712
  int op_slot_right_1711 = gc_frame_newslot(num1712);
// compilenode returning *var_depth
  int op_slot_left_1711 = gc_frame_newslot(*var_depth);
  params[0] = num1712;
  partcv[0] = 1;
  Object diff1714 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff1714
  int op_slot_right_1710 = gc_frame_newslot(diff1714);
  Object num1716 = alloc_Float64(0);
// compilenode returning num1716
  int op_slot_left_1710 = gc_frame_newslot(num1716);
  params[0] = diff1714;
  partcv[0] = 1;
  Object opresult1717 = callmethod(num1716, "..", 1, partcv, params);
// compilenode returning opresult1717
  gc_frame_newslot(opresult1717);
  Object block1718 = alloc_Block(NULL, NULL, "ast", 394);
  gc_frame_newslot(block1718);
  block_savedest(block1718);
  Object closure1719 = createclosure(2, "_apply");
  setclosureframe(closure1719, stackframe);
  addtoclosure(closure1719, var_spc);
  addtoclosure(closure1719, selfslot);
  struct UserObject *uo1719 = (struct UserObject*)block1718;
  uo1719->data[0] = (Object)closure1719;
  Method *meth_meth_ast__apply1719 = addmethod2pos(block1718, "_apply", &meth_ast__apply1719, 0);
int argcv_meth_ast__apply1719[] = {1};
meth_meth_ast__apply1719->type = alloc_MethodType(1, argcv_meth_ast__apply1719);
  meth_meth_ast__apply1719->definitionModule = modulename;
  meth_meth_ast__apply1719->definitionLine = 388;
// compilenode returning block1718
  gc_frame_newslot(block1718);
  params[0] = opresult1717;
  params[1] = block1718;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1726 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1709);
// compilenode returning call1726
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1728 == NULL) {
    strlit1728 = alloc_String(")");
    gc_root(strlit1728);
  }
// compilenode returning strlit1728
  int op_slot_right_1727 = gc_frame_newslot(strlit1728);
  int callframe1731 = gc_frame_new();
  Object num1732 = alloc_Float64(0);
// compilenode returning num1732
  gc_frame_newslot(num1732);
  int callframe1733 = gc_frame_new();
  partcv[0] = 0;
  Object call1734 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1733);
// compilenode returning call1734
// compilenode returning call1734
  params[0] = num1732;
  partcv[0] = 1;
  Object call1735 = callmethod(call1734, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1731);
// compilenode returning call1735
  int op_slot_right_1730 = gc_frame_newslot(call1735);
  if (strlit1737 == NULL) {
    strlit1737 = alloc_String("match(");
    gc_root(strlit1737);
  }
// compilenode returning strlit1737
  int op_slot_left_1730 = gc_frame_newslot(strlit1737);
  params[0] = call1735;
  partcv[0] = 1;
  Object opresult1738 = callmethod(strlit1737, "++", 1, partcv, params);
// compilenode returning opresult1738
  int op_slot_left_1727 = gc_frame_newslot(opresult1738);
  params[0] = strlit1728;
  partcv[0] = 1;
  Object opresult1739 = callmethod(opresult1738, "++", 1, partcv, params);
// compilenode returning opresult1739
  *var_s = opresult1739;
  if (opresult1739 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1740 = gc_frame_new();
  int callframe1741 = gc_frame_new();
  partcv[0] = 0;
  Object call1742 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1741);
// compilenode returning call1742
// compilenode returning call1742
  gc_frame_newslot(call1742);
  Object block1743 = alloc_Block(NULL, NULL, "ast", 398);
  gc_frame_newslot(block1743);
  block_savedest(block1743);
  Object closure1744 = createclosure(4, "_apply");
  setclosureframe(closure1744, stackframe);
  addtoclosure(closure1744, var_depth);
  addtoclosure(closure1744, var_spc);
  addtoclosure(closure1744, var_s);
  addtoclosure(closure1744, selfslot);
  struct UserObject *uo1744 = (struct UserObject*)block1743;
  uo1744->data[0] = (Object)closure1744;
  Method *meth_meth_ast__apply1744 = addmethod2pos(block1743, "_apply", &meth_ast__apply1744, 0);
int argcv_meth_ast__apply1744[] = {1};
meth_meth_ast__apply1744->type = alloc_MethodType(1, argcv_meth_ast__apply1744);
  meth_meth_ast__apply1744->definitionModule = modulename;
  meth_meth_ast__apply1744->definitionLine = 398;
// compilenode returning block1743
  gc_frame_newslot(block1743);
  params[0] = call1742;
  params[1] = block1743;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1771 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1740);
// compilenode returning call1771
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1774 = alloc_Boolean(0);
// compilenode returning bool1774
  int op_slot_right_1773 = gc_frame_newslot(bool1774);
  int callframe1776 = gc_frame_new();
  partcv[0] = 0;
  Object call1777 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1776);
// compilenode returning call1777
// compilenode returning call1777
  int op_slot_left_1773 = gc_frame_newslot(call1777);
  params[0] = bool1774;
  partcv[0] = 1;
  Object opresult1778 = callmethod(call1777, "!=", 1, partcv, params);
// compilenode returning opresult1778
  Object if1772 = done;
  if (istrue(opresult1778)) {
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1780 = gc_frame_new();
  Object num1782 = alloc_Float64(2);
// compilenode returning num1782
  int op_slot_right_1781 = gc_frame_newslot(num1782);
// compilenode returning *var_depth
  int op_slot_left_1781 = gc_frame_newslot(*var_depth);
  params[0] = num1782;
  partcv[0] = 1;
  Object sum1784 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1784
  gc_frame_newslot(sum1784);
  int callframe1785 = gc_frame_new();
  partcv[0] = 0;
  Object call1786 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1785);
// compilenode returning call1786
// compilenode returning call1786
  params[0] = sum1784;
  partcv[0] = 1;
  Object call1787 = callmethod(call1786, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1780);
// compilenode returning call1787
  int op_slot_right_1779 = gc_frame_newslot(call1787);
  if (strlit1790 == NULL) {
    strlit1790 = alloc_String("else ");
    gc_root(strlit1790);
  }
// compilenode returning strlit1790
  int op_slot_right_1789 = gc_frame_newslot(strlit1790);
  if (strlit1793 == NULL) {
    strlit1793 = alloc_String("    ");
    gc_root(strlit1793);
  }
// compilenode returning strlit1793
  int op_slot_right_1792 = gc_frame_newslot(strlit1793);
// compilenode returning *var_spc
  int op_slot_right_1795 = gc_frame_newslot(*var_spc);
  if (strlit1798 == NULL) {
    strlit1798 = alloc_String("""\x0a""");
    gc_root(strlit1798);
  }
// compilenode returning strlit1798
  int op_slot_right_1797 = gc_frame_newslot(strlit1798);
// compilenode returning *var_s
  int op_slot_left_1797 = gc_frame_newslot(*var_s);
  params[0] = strlit1798;
  partcv[0] = 1;
  Object opresult1800 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1800
  int op_slot_left_1795 = gc_frame_newslot(opresult1800);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1801 = callmethod(opresult1800, "++", 1, partcv, params);
// compilenode returning opresult1801
  int op_slot_left_1792 = gc_frame_newslot(opresult1801);
  params[0] = strlit1793;
  partcv[0] = 1;
  Object opresult1802 = callmethod(opresult1801, "++", 1, partcv, params);
// compilenode returning opresult1802
  int op_slot_left_1789 = gc_frame_newslot(opresult1802);
  params[0] = strlit1790;
  partcv[0] = 1;
  Object opresult1803 = callmethod(opresult1802, "++", 1, partcv, params);
// compilenode returning opresult1803
  int op_slot_left_1779 = gc_frame_newslot(opresult1803);
  params[0] = call1787;
  partcv[0] = 1;
  Object opresult1804 = callmethod(opresult1803, "++", 1, partcv, params);
// compilenode returning opresult1804
  *var_s = opresult1804;
  if (opresult1804 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1772 = done;
  } else {
  }
// compilenode returning if1772
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new1522(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_matchCaseNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee = &(stackframe->slots[0]);
  *var_matchee = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_elsecase_39_ = &(stackframe->slots[2]);
  *var_elsecase_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1523 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1523 = alloc_userobj2(10,11, objclass1523);
  gc_frame_newslot(obj1523);
if (objclass1523 == NULL) {
  glfree(obj1523->class->name);
  obj1523->class->name = "matchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1523, self, 0);
  addmethodreal(obj1523,"outer", &reader_ast_outer_1524);
  Object oldself1523 = self;
  struct StackFrameObject *oldstackframe1523 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1523);
  gc_frame_newslot((Object)stackframe);
  self = obj1523;
  Object *oldselfslot1523 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1523 = (*(struct UserObject *)self).data[0], lowerouter1523 = thisouter1523;
  if (inheritingObject1523) {
    struct UserObject *inho1523 = (struct UserObject *)inheritingObject1523;
    while (inho1523->super != GraceDefaultObject) inho1523 = (struct UserObject *)inho1523->super;
    inho1523->super = obj1523;
    self = inheritingObject1523;
    *selfslot = self;
    lowerouter1523 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1523;
  }
if (objclass1523 == NULL) {
  Method *reader1525 = addmethodrealflags(obj1523, "kind",&reader_ast_kind_1525, MFLAG_DEF);
  reader1525->definitionModule = modulename;
  reader1525->definitionLine = 350;
}
adddatum2(obj1523, alloc_Undefined(), 1);
if (objclass1523 == NULL) {
  Method *reader1526 = addmethodrealflags(obj1523, "value",&reader_ast_value_1526, MFLAG_DEF);
  reader1526->definitionModule = modulename;
  reader1526->definitionLine = 351;
}
adddatum2(obj1523, alloc_Undefined(), 2);
if (objclass1523 == NULL) {
  Method *reader1527 = addmethodrealflags(obj1523, "cases",&reader_ast_cases_1527, MFLAG_DEF);
  reader1527->definitionModule = modulename;
  reader1527->definitionLine = 352;
}
adddatum2(obj1523, alloc_Undefined(), 3);
if (objclass1523 == NULL) {
  Method *reader1528 = addmethodrealflags(obj1523, "elsecase",&reader_ast_elsecase_1528, MFLAG_DEF);
  reader1528->definitionModule = modulename;
  reader1528->definitionLine = 353;
}
adddatum2(obj1523, alloc_Undefined(), 4);
  struct UserObject *uo1529 = (struct UserObject*)obj1523;
  uo1529->data[5] = emptyclosure;
  Method *meth_meth_ast_accept1529 = addmethod2pos(obj1523, "accept", &meth_ast_accept1529, 5);
int argcv_meth_ast_accept1529[] = {1};
meth_meth_ast_accept1529->type = alloc_MethodType(1, argcv_meth_ast_accept1529);
  meth_meth_ast_accept1529->definitionModule = modulename;
  meth_meth_ast_accept1529->definitionLine = 353;
  block_savedest(obj1523);
  Object closure1557 = createclosure(1, "map()before()after");
  setclosureframe(closure1557, stackframe);
  addtoclosure(closure1557, var_matchCaseNode);
  struct UserObject *uo1557 = (struct UserObject*)obj1523;
  uo1557->data[6] = (Object)closure1557;
  Method *meth_meth_ast_map_40__41_before_40__41_after1557 = addmethod2pos(obj1523, "map()before()after", &meth_ast_map_40__41_before_40__41_after1557, 6);
int argcv_meth_ast_map_40__41_before_40__41_after1557[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after1557->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after1557);
  meth_meth_ast_map_40__41_before_40__41_after1557->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after1557->definitionLine = 364;
  struct UserObject *uo1588 = (struct UserObject*)obj1523;
  uo1588->data[7] = emptyclosure;
  Method *meth_meth_ast_map1588 = addmethod2pos(obj1523, "map", &meth_ast_map1588, 7);
int argcv_meth_ast_map1588[] = {1};
meth_meth_ast_map1588->type = alloc_MethodType(1, argcv_meth_ast_map1588);
  meth_meth_ast_map1588->definitionModule = modulename;
  meth_meth_ast_map1588->definitionLine = 374;
  block_savedest(obj1523);
  Object closure1597 = createclosure(1, "pretty");
  setclosureframe(closure1597, stackframe);
  addtoclosure(closure1597, var_matchee);
  struct UserObject *uo1597 = (struct UserObject*)obj1523;
  uo1597->data[8] = (Object)closure1597;
  Method *meth_meth_ast_pretty1597 = addmethod2pos(obj1523, "pretty", &meth_ast_pretty1597, 8);
int argcv_meth_ast_pretty1597[] = {1};
meth_meth_ast_pretty1597->type = alloc_MethodType(1, argcv_meth_ast_pretty1597);
  meth_meth_ast_pretty1597->definitionModule = modulename;
  meth_meth_ast_pretty1597->definitionLine = 377;
  struct UserObject *uo1707 = (struct UserObject*)obj1523;
  uo1707->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace1707 = addmethod2pos(obj1523, "toGrace", &meth_ast_toGrace1707, 9);
int argcv_meth_ast_toGrace1707[] = {1};
meth_meth_ast_toGrace1707->type = alloc_MethodType(1, argcv_meth_ast_toGrace1707);
meth_meth_ast_toGrace1707->type->types[0] = type_Number;
meth_meth_ast_toGrace1707->type->names[0] = "depth";
  meth_meth_ast_toGrace1707->definitionModule = modulename;
  meth_meth_ast_toGrace1707->definitionLine = 392;
  sourceObject = obj1523;
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1806 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1807 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1806);
// compilenode returning call1807
  struct UserObject *obj1523_uo = (struct UserObject *)obj1523;
  obj1523_uo->super = call1807;
  sourceObject = obj1523;
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1808 == NULL) {
    strlit1808 = alloc_String("matchcase");
    gc_root(strlit1808);
  }
// compilenode returning strlit1808
  adddatum2(obj1523, strlit1808, 1);
  sourceObject = obj1523;
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_matchee
  adddatum2(obj1523, *var_matchee, 2);
  sourceObject = obj1523;
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cases_39_
  adddatum2(obj1523, *var_cases_39_, 3);
  sourceObject = obj1523;
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_elsecase_39_
  adddatum2(obj1523, *var_elsecase_39_, 4);
  sourceObject = obj1523;
  sourceObject = obj1523;
  sourceObject = obj1523;
  sourceObject = obj1523;
  sourceObject = obj1523;
objclass1523 = obj1523->class;
  objclass1523->definitionModule = modulename;
  objclass1523->definitionLine = 342;
  (*(struct UserObject *)self).data[0] = lowerouter1523;
  self = oldself1523;
  selfslot = oldselfslot1523;
  stackframe = oldstackframe1523;
  gc_frame_end(frame);
  return obj1523;
}
Object meth_ast_new1522_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_matchCaseNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee = &(stackframe->slots[0]);
  *var_matchee = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_elsecase_39_ = &(stackframe->slots[2]);
  *var_elsecase_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1523 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1523 = alloc_userobj2(10,11, objclass1523);
  gc_frame_newslot(obj1523);
if (objclass1523 == NULL) {
  glfree(obj1523->class->name);
  obj1523->class->name = "matchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1523, self, 0);
  addmethodreal(obj1523,"outer", &reader_ast_outer_1524);
  Object oldself1523 = self;
  struct StackFrameObject *oldstackframe1523 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1523);
  gc_frame_newslot((Object)stackframe);
  self = obj1523;
  Object *oldselfslot1523 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1523 = (*(struct UserObject *)self).data[0], lowerouter1523 = thisouter1523;
  if (inheritingObject1523) {
    struct UserObject *inho1523 = (struct UserObject *)inheritingObject1523;
    while (inho1523->super != GraceDefaultObject) inho1523 = (struct UserObject *)inho1523->super;
    inho1523->super = obj1523;
    self = inheritingObject1523;
    *selfslot = self;
    lowerouter1523 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1523;
  }
if (objclass1523 == NULL) {
  Method *reader1525 = addmethodrealflags(obj1523, "kind",&reader_ast_kind_1525, MFLAG_DEF);
  reader1525->definitionModule = modulename;
  reader1525->definitionLine = 350;
}
adddatum2(obj1523, alloc_Undefined(), 1);
if (objclass1523 == NULL) {
  Method *reader1526 = addmethodrealflags(obj1523, "value",&reader_ast_value_1526, MFLAG_DEF);
  reader1526->definitionModule = modulename;
  reader1526->definitionLine = 351;
}
adddatum2(obj1523, alloc_Undefined(), 2);
if (objclass1523 == NULL) {
  Method *reader1527 = addmethodrealflags(obj1523, "cases",&reader_ast_cases_1527, MFLAG_DEF);
  reader1527->definitionModule = modulename;
  reader1527->definitionLine = 352;
}
adddatum2(obj1523, alloc_Undefined(), 3);
if (objclass1523 == NULL) {
  Method *reader1528 = addmethodrealflags(obj1523, "elsecase",&reader_ast_elsecase_1528, MFLAG_DEF);
  reader1528->definitionModule = modulename;
  reader1528->definitionLine = 353;
}
adddatum2(obj1523, alloc_Undefined(), 4);
  struct UserObject *uo1529 = (struct UserObject*)obj1523;
  uo1529->data[5] = emptyclosure;
  Method *meth_meth_ast_accept1529 = addmethod2pos(obj1523, "accept", &meth_ast_accept1529, 5);
int argcv_meth_ast_accept1529[] = {1};
meth_meth_ast_accept1529->type = alloc_MethodType(1, argcv_meth_ast_accept1529);
  meth_meth_ast_accept1529->definitionModule = modulename;
  meth_meth_ast_accept1529->definitionLine = 353;
  block_savedest(obj1523);
  Object closure1557 = createclosure(1, "map()before()after");
  setclosureframe(closure1557, stackframe);
  addtoclosure(closure1557, var_matchCaseNode);
  struct UserObject *uo1557 = (struct UserObject*)obj1523;
  uo1557->data[6] = (Object)closure1557;
  Method *meth_meth_ast_map_40__41_before_40__41_after1557 = addmethod2pos(obj1523, "map()before()after", &meth_ast_map_40__41_before_40__41_after1557, 6);
int argcv_meth_ast_map_40__41_before_40__41_after1557[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after1557->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after1557);
  meth_meth_ast_map_40__41_before_40__41_after1557->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after1557->definitionLine = 364;
  struct UserObject *uo1588 = (struct UserObject*)obj1523;
  uo1588->data[7] = emptyclosure;
  Method *meth_meth_ast_map1588 = addmethod2pos(obj1523, "map", &meth_ast_map1588, 7);
int argcv_meth_ast_map1588[] = {1};
meth_meth_ast_map1588->type = alloc_MethodType(1, argcv_meth_ast_map1588);
  meth_meth_ast_map1588->definitionModule = modulename;
  meth_meth_ast_map1588->definitionLine = 374;
  block_savedest(obj1523);
  Object closure1597 = createclosure(1, "pretty");
  setclosureframe(closure1597, stackframe);
  addtoclosure(closure1597, var_matchee);
  struct UserObject *uo1597 = (struct UserObject*)obj1523;
  uo1597->data[8] = (Object)closure1597;
  Method *meth_meth_ast_pretty1597 = addmethod2pos(obj1523, "pretty", &meth_ast_pretty1597, 8);
int argcv_meth_ast_pretty1597[] = {1};
meth_meth_ast_pretty1597->type = alloc_MethodType(1, argcv_meth_ast_pretty1597);
  meth_meth_ast_pretty1597->definitionModule = modulename;
  meth_meth_ast_pretty1597->definitionLine = 377;
  struct UserObject *uo1707 = (struct UserObject*)obj1523;
  uo1707->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace1707 = addmethod2pos(obj1523, "toGrace", &meth_ast_toGrace1707, 9);
int argcv_meth_ast_toGrace1707[] = {1};
meth_meth_ast_toGrace1707->type = alloc_MethodType(1, argcv_meth_ast_toGrace1707);
meth_meth_ast_toGrace1707->type->types[0] = type_Number;
meth_meth_ast_toGrace1707->type->names[0] = "depth";
  meth_meth_ast_toGrace1707->definitionModule = modulename;
  meth_meth_ast_toGrace1707->definitionLine = 392;
  sourceObject = obj1523;
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1806 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1807 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1806);
// compilenode returning call1807
  struct UserObject *obj1523_uo = (struct UserObject *)obj1523;
  obj1523_uo->super = call1807;
  sourceObject = obj1523;
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1808 == NULL) {
    strlit1808 = alloc_String("matchcase");
    gc_root(strlit1808);
  }
// compilenode returning strlit1808
  adddatum2(obj1523, strlit1808, 1);
  sourceObject = obj1523;
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_matchee
  adddatum2(obj1523, *var_matchee, 2);
  sourceObject = obj1523;
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cases_39_
  adddatum2(obj1523, *var_cases_39_, 3);
  sourceObject = obj1523;
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_elsecase_39_
  adddatum2(obj1523, *var_elsecase_39_, 4);
  sourceObject = obj1523;
  sourceObject = obj1523;
  sourceObject = obj1523;
  sourceObject = obj1523;
  sourceObject = obj1523;
objclass1523 = obj1523->class;
  objclass1523->definitionModule = modulename;
  objclass1523->definitionLine = 342;
  (*(struct UserObject *)self).data[0] = lowerouter1523;
  self = oldself1523;
  selfslot = oldselfslot1523;
  stackframe = oldstackframe1523;
  gc_frame_end(frame);
  return obj1523;
}
Object meth_ast_methodTypeNode1810(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodTypeNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodTypeNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for methodTypeNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methodTypeNode
  gc_frame_end(frame);
  return *var_methodTypeNode;
}
Object meth_ast_asString1822(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1824 == NULL) {
    strlit1824 = alloc_String("");
    gc_root(strlit1824);
  }
// compilenode returning strlit1824
  int op_slot_right_1823 = gc_frame_newslot(strlit1824);
  int callframe1827 = gc_frame_new();
  partcv[0] = 0;
  Object call1828 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1827);
// compilenode returning call1828
  int op_slot_right_1826 = gc_frame_newslot(call1828);
  if (strlit1831 == NULL) {
    strlit1831 = alloc_String(" -> ");
    gc_root(strlit1831);
  }
// compilenode returning strlit1831
  int op_slot_right_1830 = gc_frame_newslot(strlit1831);
  int callframe1834 = gc_frame_new();
  partcv[0] = 0;
  Object call1835 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1834);
// compilenode returning call1835
  int op_slot_right_1833 = gc_frame_newslot(call1835);
  if (strlit1837 == NULL) {
    strlit1837 = alloc_String("methodType ");
    gc_root(strlit1837);
  }
// compilenode returning strlit1837
  int op_slot_left_1833 = gc_frame_newslot(strlit1837);
  params[0] = call1835;
  partcv[0] = 1;
  Object opresult1838 = callmethod(strlit1837, "++", 1, partcv, params);
// compilenode returning opresult1838
  int op_slot_left_1830 = gc_frame_newslot(opresult1838);
  params[0] = strlit1831;
  partcv[0] = 1;
  Object opresult1839 = callmethod(opresult1838, "++", 1, partcv, params);
// compilenode returning opresult1839
  int op_slot_left_1826 = gc_frame_newslot(opresult1839);
  params[0] = call1828;
  partcv[0] = 1;
  Object opresult1840 = callmethod(opresult1839, "++", 1, partcv, params);
// compilenode returning opresult1840
  int op_slot_left_1823 = gc_frame_newslot(opresult1840);
  params[0] = strlit1824;
  partcv[0] = 1;
  Object opresult1841 = callmethod(opresult1840, "++", 1, partcv, params);
// compilenode returning opresult1841
  gc_frame_end(frame);
  return opresult1841;
}
Object meth_ast__apply1866(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1867 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_p
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1868 = callmethod(*var_p, "accept",
    1, partcv, params);
  gc_frame_end(callframe1867);
// compilenode returning call1868
  gc_frame_end(frame);
  return call1868;
}
Object meth_ast__apply1861(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1862 = gc_frame_new();
  int callframe1863 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call1864 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe1863);
// compilenode returning call1864
// compilenode returning call1864
  gc_frame_newslot(call1864);
  Object block1865 = alloc_Block(NULL, NULL, "ast", 438);
  gc_frame_newslot(block1865);
  block_savedest(block1865);
  Object closure1866 = createclosure(2, "_apply");
  setclosureframe(closure1866, stackframe);
  addtoclosure(closure1866, var_visitor);
  addtoclosure(closure1866, selfslot);
  struct UserObject *uo1866 = (struct UserObject*)block1865;
  uo1866->data[0] = (Object)closure1866;
  Method *meth_meth_ast__apply1866 = addmethod2pos(block1865, "_apply", &meth_ast__apply1866, 0);
int argcv_meth_ast__apply1866[] = {1};
meth_meth_ast__apply1866->type = alloc_MethodType(1, argcv_meth_ast__apply1866);
  meth_meth_ast__apply1866->definitionModule = modulename;
  meth_meth_ast__apply1866->definitionLine = 438;
// compilenode returning block1865
  gc_frame_newslot(block1865);
  params[0] = call1864;
  params[1] = block1865;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1870 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1862);
// compilenode returning call1870
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1873 = alloc_Boolean(0);
// compilenode returning bool1873
  int op_slot_right_1872 = gc_frame_newslot(bool1873);
  int callframe1875 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call1876 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe1875);
// compilenode returning call1876
// compilenode returning call1876
  int op_slot_left_1872 = gc_frame_newslot(call1876);
  params[0] = bool1873;
  partcv[0] = 1;
  Object opresult1877 = callmethod(call1876, "!=", 1, partcv, params);
// compilenode returning opresult1877
  Object if1871 = done;
  if (istrue(opresult1877)) {
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1878 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe1879 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call1880 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe1879);
// compilenode returning call1880
// compilenode returning call1880
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1881 = callmethod(call1880, "accept",
    1, partcv, params);
  gc_frame_end(callframe1878);
// compilenode returning call1881
    gc_frame_newslot(call1881);
    if1871 = call1881;
  } else {
  }
// compilenode returning if1871
  gc_frame_end(frame);
  return if1871;
}
Object meth_ast_accept1842(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1844 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call1845 = callmethod(*var_visitor, "visitMethodType",
    1, partcv, params);
  gc_frame_end(callframe1844);
// compilenode returning call1845
  Object if1843 = done;
  if (istrue(call1845)) {
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1848 = alloc_Boolean(0);
// compilenode returning bool1848
  int op_slot_right_1847 = gc_frame_newslot(bool1848);
  int callframe1850 = gc_frame_new();
  partcv[0] = 0;
  Object call1851 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1850);
// compilenode returning call1851
// compilenode returning call1851
  int op_slot_left_1847 = gc_frame_newslot(call1851);
  params[0] = bool1848;
  partcv[0] = 1;
  Object opresult1852 = callmethod(call1851, "!=", 1, partcv, params);
// compilenode returning opresult1852
  Object if1846 = done;
  if (istrue(opresult1852)) {
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1853 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe1854 = gc_frame_new();
  partcv[0] = 0;
  Object call1855 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1854);
// compilenode returning call1855
// compilenode returning call1855
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call1856 = callmethod(call1855, "accept",
    1, partcv, params);
  gc_frame_end(callframe1853);
// compilenode returning call1856
    gc_frame_newslot(call1856);
    if1846 = call1856;
  } else {
  }
// compilenode returning if1846
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1857 = gc_frame_new();
  int callframe1858 = gc_frame_new();
  partcv[0] = 0;
  Object call1859 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1858);
// compilenode returning call1859
// compilenode returning call1859
  gc_frame_newslot(call1859);
  Object block1860 = alloc_Block(NULL, NULL, "ast", 437);
  gc_frame_newslot(block1860);
  block_savedest(block1860);
  Object closure1861 = createclosure(2, "_apply");
  setclosureframe(closure1861, stackframe);
  addtoclosure(closure1861, var_visitor);
  addtoclosure(closure1861, selfslot);
  struct UserObject *uo1861 = (struct UserObject*)block1860;
  uo1861->data[0] = (Object)closure1861;
  Method *meth_meth_ast__apply1861 = addmethod2pos(block1860, "_apply", &meth_ast__apply1861, 0);
int argcv_meth_ast__apply1861[] = {1};
meth_meth_ast__apply1861->type = alloc_MethodType(1, argcv_meth_ast__apply1861);
  meth_meth_ast__apply1861->definitionModule = modulename;
  meth_meth_ast__apply1861->definitionLine = 437;
// compilenode returning block1860
  gc_frame_newslot(block1860);
  params[0] = call1859;
  params[1] = block1860;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1883 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1857);
// compilenode returning call1883
    gc_frame_newslot(call1883);
    if1843 = call1883;
  } else {
  }
// compilenode returning if1843
  gc_frame_end(frame);
  return if1843;
}
Object meth_ast_map_40__41_before_40__41_after1884(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_rt = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "rt");
  Object *var_n = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "n");
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1885 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call1886 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe1885);
// compilenode returning call1886
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1887 = alloc_Boolean(0);
// compilenode returning bool1887
  *var_rt = bool1887;
  if (bool1887 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1890 = alloc_Boolean(0);
// compilenode returning bool1890
  int op_slot_right_1889 = gc_frame_newslot(bool1890);
  int callframe1892 = gc_frame_new();
  partcv[0] = 0;
  Object call1893 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1892);
// compilenode returning call1893
  int op_slot_left_1889 = gc_frame_newslot(call1893);
  params[0] = bool1890;
  partcv[0] = 1;
  Object opresult1894 = callmethod(call1893, "!=", 1, partcv, params);
// compilenode returning opresult1894
  Object if1888 = done;
  if (istrue(opresult1894)) {
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1895 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe1896 = gc_frame_new();
  partcv[0] = 0;
  Object call1897 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1896);
// compilenode returning call1897
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1898 = callmethod(call1897, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe1895);
// compilenode returning call1898
  *var_rt = call1898;
  if (call1898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1888 = done;
  } else {
  }
// compilenode returning if1888
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1900 = gc_frame_new();
  int callframe1901 = gc_frame_new();
  partcv[0] = 0;
  Object call1902 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1901);
// compilenode returning call1902
  gc_frame_newslot(call1902);
  int callframe1903 = gc_frame_new();
  int callframe1904 = gc_frame_new();
  partcv[0] = 0;
  Object call1905 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1904);
// compilenode returning call1905
  gc_frame_newslot(call1905);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe1906 = gc_frame_new();
  int callframe1907 = gc_frame_new();
  Object call1908 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1907);
// compilenode returning call1908
// compilenode returning call1908
  partcv[0] = 0;
  Object call1909 = callmethodflags(call1908, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1906);
// compilenode returning call1909
// compilenode returning call1909
  params[0] = call1905;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1910 = callmethodflags(call1909, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1903);
// compilenode returning call1910
  gc_frame_newslot(call1910);
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_rt
  gc_frame_newslot(*var_rt);
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methodTypeNode
  params[0] = call1902;
  params[1] = call1910;
  params[2] = *var_rt;
  partcv[0] = 3;
  Object call1911 = callmethod(*var_methodTypeNode, "new",
    1, partcv, params);
  gc_frame_end(callframe1900);
// compilenode returning call1911
  *var_n = call1911;
  if (call1911 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1912 = gc_frame_new();
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1913 = gc_frame_new();
  partcv[0] = 0;
  Object call1914 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1913);
// compilenode returning call1914
  gc_frame_newslot(call1914);
// compilenode returning *var_n
  params[0] = call1914;
  partcv[0] = 1;
  Object call1915 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe1912);
// compilenode returning call1915
// compilenode returning done
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1916 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1917 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe1916);
// compilenode returning call1917
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply1921(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1924(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map1918(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1919 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block1920 = alloc_Block(NULL, NULL, "ast", 460);
  gc_frame_newslot(block1920);
  block_savedest(block1920);
  Object closure1921 = createclosure(1, "_apply");
  setclosureframe(closure1921, stackframe);
  addtoclosure(closure1921, selfslot);
  struct UserObject *uo1921 = (struct UserObject*)block1920;
  uo1921->data[0] = (Object)closure1921;
  Method *meth_meth_ast__apply1921 = addmethod2pos(block1920, "_apply", &meth_ast__apply1921, 0);
int argcv_meth_ast__apply1921[] = {0};
meth_meth_ast__apply1921->type = alloc_MethodType(1, argcv_meth_ast__apply1921);
  meth_meth_ast__apply1921->definitionModule = modulename;
  meth_meth_ast__apply1921->definitionLine = 453;
// compilenode returning block1920
  gc_frame_newslot(block1920);
  Object block1923 = alloc_Block(NULL, NULL, "ast", 460);
  gc_frame_newslot(block1923);
  block_savedest(block1923);
  Object closure1924 = createclosure(1, "_apply");
  setclosureframe(closure1924, stackframe);
  addtoclosure(closure1924, selfslot);
  struct UserObject *uo1924 = (struct UserObject*)block1923;
  uo1924->data[0] = (Object)closure1924;
  Method *meth_meth_ast__apply1924 = addmethod2pos(block1923, "_apply", &meth_ast__apply1924, 0);
int argcv_meth_ast__apply1924[] = {0};
meth_meth_ast__apply1924->type = alloc_MethodType(1, argcv_meth_ast__apply1924);
  meth_meth_ast__apply1924->definitionModule = modulename;
  meth_meth_ast__apply1924->definitionLine = 453;
// compilenode returning block1923
  gc_frame_newslot(block1923);
  params[0] = *var_blk;
  params[1] = block1920;
  params[2] = block1923;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1926 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1919);
// compilenode returning call1926
  gc_frame_end(frame);
  return call1926;
}
Object meth_ast__apply1935(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1937 == NULL) {
    strlit1937 = alloc_String("  ");
    gc_root(strlit1937);
  }
// compilenode returning strlit1937
  int op_slot_right_1936 = gc_frame_newslot(strlit1937);
// compilenode returning *var_spc
  int op_slot_left_1936 = gc_frame_newslot(*var_spc);
  params[0] = strlit1937;
  partcv[0] = 1;
  Object opresult1939 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult1939
  *var_spc = opresult1939;
  if (opresult1939 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2080(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2082 == NULL) {
    strlit2082 = alloc_String("");
    gc_root(strlit2082);
  }
// compilenode returning strlit2082
  int op_slot_right_2081 = gc_frame_newslot(strlit2082);
  int callframe2085 = gc_frame_new();
  Object num2087 = alloc_Float64(4);
// compilenode returning num2087
  int op_slot_right_2086 = gc_frame_newslot(num2087);
// compilenode returning *var_depth
  int op_slot_left_2086 = gc_frame_newslot(*var_depth);
  params[0] = num2087;
  partcv[0] = 1;
  Object sum2089 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2089
  gc_frame_newslot(sum2089);
// compilenode returning *var_p
  params[0] = sum2089;
  partcv[0] = 1;
  Object call2090 = callmethod(*var_p, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2085);
// compilenode returning call2090
  int op_slot_right_2084 = gc_frame_newslot(call2090);
  if (strlit2093 == NULL) {
    strlit2093 = alloc_String("");
    gc_root(strlit2093);
  }
// compilenode returning strlit2093
  int op_slot_right_2092 = gc_frame_newslot(strlit2093);
// compilenode returning *var_spc
  int op_slot_right_2095 = gc_frame_newslot(*var_spc);
  if (strlit2098 == NULL) {
    strlit2098 = alloc_String("""\x0a""      ");
    gc_root(strlit2098);
  }
// compilenode returning strlit2098
  int op_slot_right_2097 = gc_frame_newslot(strlit2098);
// compilenode returning *var_s
  int op_slot_right_2100 = gc_frame_newslot(*var_s);
  if (strlit2102 == NULL) {
    strlit2102 = alloc_String("");
    gc_root(strlit2102);
  }
// compilenode returning strlit2102
  int op_slot_left_2100 = gc_frame_newslot(strlit2102);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2103 = callmethod(strlit2102, "++", 1, partcv, params);
// compilenode returning opresult2103
  int op_slot_left_2097 = gc_frame_newslot(opresult2103);
  params[0] = strlit2098;
  partcv[0] = 1;
  Object opresult2104 = callmethod(opresult2103, "++", 1, partcv, params);
// compilenode returning opresult2104
  int op_slot_left_2095 = gc_frame_newslot(opresult2104);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2105 = callmethod(opresult2104, "++", 1, partcv, params);
// compilenode returning opresult2105
  int op_slot_left_2092 = gc_frame_newslot(opresult2105);
  params[0] = strlit2093;
  partcv[0] = 1;
  Object opresult2106 = callmethod(opresult2105, "++", 1, partcv, params);
// compilenode returning opresult2106
  int op_slot_left_2084 = gc_frame_newslot(opresult2106);
  params[0] = call2090;
  partcv[0] = 1;
  Object opresult2107 = callmethod(opresult2106, "++", 1, partcv, params);
// compilenode returning opresult2107
  int op_slot_left_2081 = gc_frame_newslot(opresult2107);
  params[0] = strlit2082;
  partcv[0] = 1;
  Object opresult2108 = callmethod(opresult2107, "++", 1, partcv, params);
// compilenode returning opresult2108
  *var_s = opresult2108;
  if (opresult2108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2034(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2036 == NULL) {
    strlit2036 = alloc_String("");
    gc_root(strlit2036);
  }
// compilenode returning strlit2036
  int op_slot_right_2035 = gc_frame_newslot(strlit2036);
  int callframe2039 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2040 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe2039);
// compilenode returning call2040
// compilenode returning call2040
  int op_slot_right_2038 = gc_frame_newslot(call2040);
  if (strlit2043 == NULL) {
    strlit2043 = alloc_String("Part: ");
    gc_root(strlit2043);
  }
// compilenode returning strlit2043
  int op_slot_right_2042 = gc_frame_newslot(strlit2043);
// compilenode returning *var_spc
  int op_slot_right_2045 = gc_frame_newslot(*var_spc);
  if (strlit2048 == NULL) {
    strlit2048 = alloc_String("""\x0a""  ");
    gc_root(strlit2048);
  }
// compilenode returning strlit2048
  int op_slot_right_2047 = gc_frame_newslot(strlit2048);
// compilenode returning *var_s
  int op_slot_right_2050 = gc_frame_newslot(*var_s);
  if (strlit2052 == NULL) {
    strlit2052 = alloc_String("");
    gc_root(strlit2052);
  }
// compilenode returning strlit2052
  int op_slot_left_2050 = gc_frame_newslot(strlit2052);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2053 = callmethod(strlit2052, "++", 1, partcv, params);
// compilenode returning opresult2053
  int op_slot_left_2047 = gc_frame_newslot(opresult2053);
  params[0] = strlit2048;
  partcv[0] = 1;
  Object opresult2054 = callmethod(opresult2053, "++", 1, partcv, params);
// compilenode returning opresult2054
  int op_slot_left_2045 = gc_frame_newslot(opresult2054);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2055 = callmethod(opresult2054, "++", 1, partcv, params);
// compilenode returning opresult2055
  int op_slot_left_2042 = gc_frame_newslot(opresult2055);
  params[0] = strlit2043;
  partcv[0] = 1;
  Object opresult2056 = callmethod(opresult2055, "++", 1, partcv, params);
// compilenode returning opresult2056
  int op_slot_left_2038 = gc_frame_newslot(opresult2056);
  params[0] = call2040;
  partcv[0] = 1;
  Object opresult2057 = callmethod(opresult2056, "++", 1, partcv, params);
// compilenode returning opresult2057
  int op_slot_left_2035 = gc_frame_newslot(opresult2057);
  params[0] = strlit2036;
  partcv[0] = 1;
  Object opresult2058 = callmethod(opresult2057, "++", 1, partcv, params);
// compilenode returning opresult2058
  *var_s = opresult2058;
  if (opresult2058 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2061 == NULL) {
    strlit2061 = alloc_String("Parameters:");
    gc_root(strlit2061);
  }
// compilenode returning strlit2061
  int op_slot_right_2060 = gc_frame_newslot(strlit2061);
// compilenode returning *var_spc
  int op_slot_right_2063 = gc_frame_newslot(*var_spc);
  if (strlit2066 == NULL) {
    strlit2066 = alloc_String("""\x0a""    ");
    gc_root(strlit2066);
  }
// compilenode returning strlit2066
  int op_slot_right_2065 = gc_frame_newslot(strlit2066);
// compilenode returning *var_s
  int op_slot_right_2068 = gc_frame_newslot(*var_s);
  if (strlit2070 == NULL) {
    strlit2070 = alloc_String("");
    gc_root(strlit2070);
  }
// compilenode returning strlit2070
  int op_slot_left_2068 = gc_frame_newslot(strlit2070);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2071 = callmethod(strlit2070, "++", 1, partcv, params);
// compilenode returning opresult2071
  int op_slot_left_2065 = gc_frame_newslot(opresult2071);
  params[0] = strlit2066;
  partcv[0] = 1;
  Object opresult2072 = callmethod(opresult2071, "++", 1, partcv, params);
// compilenode returning opresult2072
  int op_slot_left_2063 = gc_frame_newslot(opresult2072);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2073 = callmethod(opresult2072, "++", 1, partcv, params);
// compilenode returning opresult2073
  int op_slot_left_2060 = gc_frame_newslot(opresult2073);
  params[0] = strlit2061;
  partcv[0] = 1;
  Object opresult2074 = callmethod(opresult2073, "++", 1, partcv, params);
// compilenode returning opresult2074
  *var_s = opresult2074;
  if (opresult2074 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2076 = gc_frame_new();
  int callframe2077 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2078 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2077);
// compilenode returning call2078
// compilenode returning call2078
  gc_frame_newslot(call2078);
  Object block2079 = alloc_Block(NULL, NULL, "ast", 476);
  gc_frame_newslot(block2079);
  block_savedest(block2079);
  Object closure2080 = createclosure(4, "_apply");
  setclosureframe(closure2080, stackframe);
  addtoclosure(closure2080, var_depth);
  addtoclosure(closure2080, var_spc);
  addtoclosure(closure2080, var_s);
  addtoclosure(closure2080, selfslot);
  struct UserObject *uo2080 = (struct UserObject*)block2079;
  uo2080->data[0] = (Object)closure2080;
  Method *meth_meth_ast__apply2080 = addmethod2pos(block2079, "_apply", &meth_ast__apply2080, 0);
int argcv_meth_ast__apply2080[] = {1};
meth_meth_ast__apply2080->type = alloc_MethodType(1, argcv_meth_ast__apply2080);
  meth_meth_ast__apply2080->definitionModule = modulename;
  meth_meth_ast__apply2080->definitionLine = 476;
// compilenode returning block2079
  gc_frame_newslot(block2079);
  params[0] = call2078;
  params[1] = block2079;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2111 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2076);
// compilenode returning call2111
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2114 = alloc_Boolean(0);
// compilenode returning bool2114
  int op_slot_right_2113 = gc_frame_newslot(bool2114);
  int callframe2116 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2117 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2116);
// compilenode returning call2117
// compilenode returning call2117
  int op_slot_left_2113 = gc_frame_newslot(call2117);
  params[0] = bool2114;
  partcv[0] = 1;
  Object opresult2118 = callmethod(call2117, "!=", 1, partcv, params);
// compilenode returning opresult2118
  Object if2112 = done;
  if (istrue(opresult2118)) {
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2120 == NULL) {
    strlit2120 = alloc_String("");
    gc_root(strlit2120);
  }
// compilenode returning strlit2120
  int op_slot_right_2119 = gc_frame_newslot(strlit2120);
  int callframe2123 = gc_frame_new();
  Object num2125 = alloc_Float64(3);
// compilenode returning num2125
  int op_slot_right_2124 = gc_frame_newslot(num2125);
// compilenode returning *var_depth
  int op_slot_left_2124 = gc_frame_newslot(*var_depth);
  params[0] = num2125;
  partcv[0] = 1;
  Object sum2127 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2127
  gc_frame_newslot(sum2127);
  int callframe2128 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2129 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2128);
// compilenode returning call2129
// compilenode returning call2129
  params[0] = sum2127;
  partcv[0] = 1;
  Object call2130 = callmethod(call2129, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2123);
// compilenode returning call2130
  int op_slot_right_2122 = gc_frame_newslot(call2130);
  if (strlit2133 == NULL) {
    strlit2133 = alloc_String("Vararg: ");
    gc_root(strlit2133);
  }
// compilenode returning strlit2133
  int op_slot_right_2132 = gc_frame_newslot(strlit2133);
// compilenode returning *var_spc
  int op_slot_right_2135 = gc_frame_newslot(*var_spc);
  if (strlit2138 == NULL) {
    strlit2138 = alloc_String("""\x0a""    ");
    gc_root(strlit2138);
  }
// compilenode returning strlit2138
  int op_slot_right_2137 = gc_frame_newslot(strlit2138);
// compilenode returning *var_s
  int op_slot_right_2140 = gc_frame_newslot(*var_s);
  if (strlit2142 == NULL) {
    strlit2142 = alloc_String("");
    gc_root(strlit2142);
  }
// compilenode returning strlit2142
  int op_slot_left_2140 = gc_frame_newslot(strlit2142);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2143 = callmethod(strlit2142, "++", 1, partcv, params);
// compilenode returning opresult2143
  int op_slot_left_2137 = gc_frame_newslot(opresult2143);
  params[0] = strlit2138;
  partcv[0] = 1;
  Object opresult2144 = callmethod(opresult2143, "++", 1, partcv, params);
// compilenode returning opresult2144
  int op_slot_left_2135 = gc_frame_newslot(opresult2144);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2145 = callmethod(opresult2144, "++", 1, partcv, params);
// compilenode returning opresult2145
  int op_slot_left_2132 = gc_frame_newslot(opresult2145);
  params[0] = strlit2133;
  partcv[0] = 1;
  Object opresult2146 = callmethod(opresult2145, "++", 1, partcv, params);
// compilenode returning opresult2146
  int op_slot_left_2122 = gc_frame_newslot(opresult2146);
  params[0] = call2130;
  partcv[0] = 1;
  Object opresult2147 = callmethod(opresult2146, "++", 1, partcv, params);
// compilenode returning opresult2147
  int op_slot_left_2119 = gc_frame_newslot(opresult2147);
  params[0] = strlit2120;
  partcv[0] = 1;
  Object opresult2148 = callmethod(opresult2147, "++", 1, partcv, params);
// compilenode returning opresult2148
  *var_s = opresult2148;
  if (opresult2148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2112 = done;
  } else {
  }
// compilenode returning if2112
  gc_frame_end(frame);
  return if2112;
}
Object meth_ast_pretty1927(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1928 == NULL) {
    strlit1928 = alloc_String("");
    gc_root(strlit1928);
  }
// compilenode returning strlit1928
  *var_spc = strlit1928;
  if (strlit1928 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1929 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_1930 = gc_frame_newslot(*var_depth);
  Object num1932 = alloc_Float64(0);
// compilenode returning num1932
  int op_slot_left_1930 = gc_frame_newslot(num1932);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1933 = callmethod(num1932, "..", 1, partcv, params);
// compilenode returning opresult1933
  gc_frame_newslot(opresult1933);
  Object block1934 = alloc_Block(NULL, NULL, "ast", 464);
  gc_frame_newslot(block1934);
  block_savedest(block1934);
  Object closure1935 = createclosure(2, "_apply");
  setclosureframe(closure1935, stackframe);
  addtoclosure(closure1935, var_spc);
  addtoclosure(closure1935, selfslot);
  struct UserObject *uo1935 = (struct UserObject*)block1934;
  uo1935->data[0] = (Object)closure1935;
  Method *meth_meth_ast__apply1935 = addmethod2pos(block1934, "_apply", &meth_ast__apply1935, 0);
int argcv_meth_ast__apply1935[] = {1};
meth_meth_ast__apply1935->type = alloc_MethodType(1, argcv_meth_ast__apply1935);
  meth_meth_ast__apply1935->definitionModule = modulename;
  meth_meth_ast__apply1935->definitionLine = 453;
// compilenode returning block1934
  gc_frame_newslot(block1934);
  params[0] = opresult1933;
  params[1] = block1934;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1942 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1929);
// compilenode returning call1942
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1943 == NULL) {
    strlit1943 = alloc_String("MethodType""\x0a""");
    gc_root(strlit1943);
  }
// compilenode returning strlit1943
  *var_s = strlit1943;
  if (strlit1943 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1945 == NULL) {
    strlit1945 = alloc_String("""\x0a""");
    gc_root(strlit1945);
  }
// compilenode returning strlit1945
  int op_slot_right_1944 = gc_frame_newslot(strlit1945);
  int callframe1948 = gc_frame_new();
  partcv[0] = 0;
  Object call1949 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1948);
// compilenode returning call1949
  int op_slot_right_1947 = gc_frame_newslot(call1949);
  if (strlit1952 == NULL) {
    strlit1952 = alloc_String("Name: ");
    gc_root(strlit1952);
  }
// compilenode returning strlit1952
  int op_slot_right_1951 = gc_frame_newslot(strlit1952);
// compilenode returning *var_spc
  int op_slot_right_1954 = gc_frame_newslot(*var_spc);
  if (strlit1957 == NULL) {
    strlit1957 = alloc_String("");
    gc_root(strlit1957);
  }
// compilenode returning strlit1957
  int op_slot_right_1956 = gc_frame_newslot(strlit1957);
// compilenode returning *var_s
  int op_slot_right_1959 = gc_frame_newslot(*var_s);
  if (strlit1961 == NULL) {
    strlit1961 = alloc_String("");
    gc_root(strlit1961);
  }
// compilenode returning strlit1961
  int op_slot_left_1959 = gc_frame_newslot(strlit1961);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult1962 = callmethod(strlit1961, "++", 1, partcv, params);
// compilenode returning opresult1962
  int op_slot_left_1956 = gc_frame_newslot(opresult1962);
  params[0] = strlit1957;
  partcv[0] = 1;
  Object opresult1963 = callmethod(opresult1962, "++", 1, partcv, params);
// compilenode returning opresult1963
  int op_slot_left_1954 = gc_frame_newslot(opresult1963);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1964 = callmethod(opresult1963, "++", 1, partcv, params);
// compilenode returning opresult1964
  int op_slot_left_1951 = gc_frame_newslot(opresult1964);
  params[0] = strlit1952;
  partcv[0] = 1;
  Object opresult1965 = callmethod(opresult1964, "++", 1, partcv, params);
// compilenode returning opresult1965
  int op_slot_left_1947 = gc_frame_newslot(opresult1965);
  params[0] = call1949;
  partcv[0] = 1;
  Object opresult1966 = callmethod(opresult1965, "++", 1, partcv, params);
// compilenode returning opresult1966
  int op_slot_left_1944 = gc_frame_newslot(opresult1966);
  params[0] = strlit1945;
  partcv[0] = 1;
  Object opresult1967 = callmethod(opresult1966, "++", 1, partcv, params);
// compilenode returning opresult1967
  *var_s = opresult1967;
  if (opresult1967 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1971 = alloc_Boolean(0);
// compilenode returning bool1971
  int op_slot_right_1970 = gc_frame_newslot(bool1971);
  int callframe1973 = gc_frame_new();
  partcv[0] = 0;
  Object call1974 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1973);
// compilenode returning call1974
  int op_slot_left_1970 = gc_frame_newslot(call1974);
  params[0] = bool1971;
  partcv[0] = 1;
  Object opresult1975 = callmethod(call1974, "!=", 1, partcv, params);
// compilenode returning opresult1975
  Object if1969 = done;
  if (istrue(opresult1975)) {
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1977 == NULL) {
    strlit1977 = alloc_String("""\x0a""");
    gc_root(strlit1977);
  }
// compilenode returning strlit1977
  int op_slot_right_1976 = gc_frame_newslot(strlit1977);
  int callframe1980 = gc_frame_new();
  Object num1982 = alloc_Float64(2);
// compilenode returning num1982
  int op_slot_right_1981 = gc_frame_newslot(num1982);
// compilenode returning *var_depth
  int op_slot_left_1981 = gc_frame_newslot(*var_depth);
  params[0] = num1982;
  partcv[0] = 1;
  Object sum1984 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum1984
  gc_frame_newslot(sum1984);
  int callframe1985 = gc_frame_new();
  partcv[0] = 0;
  Object call1986 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1985);
// compilenode returning call1986
  params[0] = sum1984;
  partcv[0] = 1;
  Object call1987 = callmethod(call1986, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1980);
// compilenode returning call1987
  int op_slot_right_1979 = gc_frame_newslot(call1987);
  if (strlit1990 == NULL) {
    strlit1990 = alloc_String("");
    gc_root(strlit1990);
  }
// compilenode returning strlit1990
  int op_slot_right_1989 = gc_frame_newslot(strlit1990);
// compilenode returning *var_spc
  int op_slot_right_1992 = gc_frame_newslot(*var_spc);
  if (strlit1995 == NULL) {
    strlit1995 = alloc_String("Returns:""\x0a""  ");
    gc_root(strlit1995);
  }
// compilenode returning strlit1995
  int op_slot_right_1994 = gc_frame_newslot(strlit1995);
// compilenode returning *var_spc
  int op_slot_right_1997 = gc_frame_newslot(*var_spc);
  if (strlit2000 == NULL) {
    strlit2000 = alloc_String("");
    gc_root(strlit2000);
  }
// compilenode returning strlit2000
  int op_slot_right_1999 = gc_frame_newslot(strlit2000);
// compilenode returning *var_s
  int op_slot_right_2002 = gc_frame_newslot(*var_s);
  if (strlit2004 == NULL) {
    strlit2004 = alloc_String("");
    gc_root(strlit2004);
  }
// compilenode returning strlit2004
  int op_slot_left_2002 = gc_frame_newslot(strlit2004);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2005 = callmethod(strlit2004, "++", 1, partcv, params);
// compilenode returning opresult2005
  int op_slot_left_1999 = gc_frame_newslot(opresult2005);
  params[0] = strlit2000;
  partcv[0] = 1;
  Object opresult2006 = callmethod(opresult2005, "++", 1, partcv, params);
// compilenode returning opresult2006
  int op_slot_left_1997 = gc_frame_newslot(opresult2006);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2007 = callmethod(opresult2006, "++", 1, partcv, params);
// compilenode returning opresult2007
  int op_slot_left_1994 = gc_frame_newslot(opresult2007);
  params[0] = strlit1995;
  partcv[0] = 1;
  Object opresult2008 = callmethod(opresult2007, "++", 1, partcv, params);
// compilenode returning opresult2008
  int op_slot_left_1992 = gc_frame_newslot(opresult2008);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2009 = callmethod(opresult2008, "++", 1, partcv, params);
// compilenode returning opresult2009
  int op_slot_left_1989 = gc_frame_newslot(opresult2009);
  params[0] = strlit1990;
  partcv[0] = 1;
  Object opresult2010 = callmethod(opresult2009, "++", 1, partcv, params);
// compilenode returning opresult2010
  int op_slot_left_1979 = gc_frame_newslot(opresult2010);
  params[0] = call1987;
  partcv[0] = 1;
  Object opresult2011 = callmethod(opresult2010, "++", 1, partcv, params);
// compilenode returning opresult2011
  int op_slot_left_1976 = gc_frame_newslot(opresult2011);
  params[0] = strlit1977;
  partcv[0] = 1;
  Object opresult2012 = callmethod(opresult2011, "++", 1, partcv, params);
// compilenode returning opresult2012
  *var_s = opresult2012;
  if (opresult2012 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1969 = done;
  } else {
  }
// compilenode returning if1969
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2015 == NULL) {
    strlit2015 = alloc_String("Signature:");
    gc_root(strlit2015);
  }
// compilenode returning strlit2015
  int op_slot_right_2014 = gc_frame_newslot(strlit2015);
// compilenode returning *var_spc
  int op_slot_right_2017 = gc_frame_newslot(*var_spc);
  if (strlit2020 == NULL) {
    strlit2020 = alloc_String("");
    gc_root(strlit2020);
  }
// compilenode returning strlit2020
  int op_slot_right_2019 = gc_frame_newslot(strlit2020);
// compilenode returning *var_s
  int op_slot_right_2022 = gc_frame_newslot(*var_s);
  if (strlit2024 == NULL) {
    strlit2024 = alloc_String("");
    gc_root(strlit2024);
  }
// compilenode returning strlit2024
  int op_slot_left_2022 = gc_frame_newslot(strlit2024);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2025 = callmethod(strlit2024, "++", 1, partcv, params);
// compilenode returning opresult2025
  int op_slot_left_2019 = gc_frame_newslot(opresult2025);
  params[0] = strlit2020;
  partcv[0] = 1;
  Object opresult2026 = callmethod(opresult2025, "++", 1, partcv, params);
// compilenode returning opresult2026
  int op_slot_left_2017 = gc_frame_newslot(opresult2026);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2027 = callmethod(opresult2026, "++", 1, partcv, params);
// compilenode returning opresult2027
  int op_slot_left_2014 = gc_frame_newslot(opresult2027);
  params[0] = strlit2015;
  partcv[0] = 1;
  Object opresult2028 = callmethod(opresult2027, "++", 1, partcv, params);
// compilenode returning opresult2028
  *var_s = opresult2028;
  if (opresult2028 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2030 = gc_frame_new();
  int callframe2031 = gc_frame_new();
  partcv[0] = 0;
  Object call2032 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2031);
// compilenode returning call2032
  gc_frame_newslot(call2032);
  Object block2033 = alloc_Block(NULL, NULL, "ast", 473);
  gc_frame_newslot(block2033);
  block_savedest(block2033);
  Object closure2034 = createclosure(4, "_apply");
  setclosureframe(closure2034, stackframe);
  addtoclosure(closure2034, var_spc);
  addtoclosure(closure2034, var_s);
  addtoclosure(closure2034, var_depth);
  addtoclosure(closure2034, selfslot);
  struct UserObject *uo2034 = (struct UserObject*)block2033;
  uo2034->data[0] = (Object)closure2034;
  Method *meth_meth_ast__apply2034 = addmethod2pos(block2033, "_apply", &meth_ast__apply2034, 0);
int argcv_meth_ast__apply2034[] = {1};
meth_meth_ast__apply2034->type = alloc_MethodType(1, argcv_meth_ast__apply2034);
  meth_meth_ast__apply2034->definitionModule = modulename;
  meth_meth_ast__apply2034->definitionLine = 453;
// compilenode returning block2033
  gc_frame_newslot(block2033);
  params[0] = call2032;
  params[1] = block2033;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2151 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2030);
// compilenode returning call2151
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply2194(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2195 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2196 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2195);
// compilenode returning call2196
// compilenode returning call2196
// compilenode returning *var_pnr
  params[0] = *var_pnr;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2197 = callmethod(call2196, "[]", 1, partcv, params);
// compilenode returning idxres2197
  *var_p = idxres2197;
  if (idxres2197 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2199 = gc_frame_new();
  Object num2201 = alloc_Float64(1);
// compilenode returning num2201
  int op_slot_right_2200 = gc_frame_newslot(num2201);
// compilenode returning *var_depth
  int op_slot_left_2200 = gc_frame_newslot(*var_depth);
  params[0] = num2201;
  partcv[0] = 1;
  Object sum2203 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2203
  gc_frame_newslot(sum2203);
// compilenode returning *var_p
  params[0] = sum2203;
  partcv[0] = 1;
  Object call2204 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2199);
// compilenode returning call2204
  int op_slot_right_2198 = gc_frame_newslot(call2204);
// compilenode returning *var_s
  int op_slot_left_2198 = gc_frame_newslot(*var_s);
  params[0] = call2204;
  partcv[0] = 1;
  Object opresult2206 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2206
  *var_s = opresult2206;
  if (opresult2206 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2211 = alloc_Boolean(0);
// compilenode returning bool2211
  int op_slot_right_2210 = gc_frame_newslot(bool2211);
  int callframe2213 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2214 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2213);
// compilenode returning call2214
// compilenode returning call2214
  int op_slot_left_2210 = gc_frame_newslot(call2214);
  params[0] = bool2211;
  partcv[0] = 1;
  Object opresult2215 = callmethod(call2214, "!=", 1, partcv, params);
// compilenode returning opresult2215
  int op_slot_right_2209 = gc_frame_newslot(opresult2215);
  int callframe2218 = gc_frame_new();
  int callframe2219 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2220 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2219);
// compilenode returning call2220
// compilenode returning call2220
  partcv[0] = 0;
  Object call2221 = callmethod(call2220, "size",
    1, partcv, params);
  gc_frame_end(callframe2218);
// compilenode returning call2221
// compilenode returning call2221
  int op_slot_right_2217 = gc_frame_newslot(call2221);
// compilenode returning *var_pnr
  int op_slot_left_2217 = gc_frame_newslot(*var_pnr);
  params[0] = call2221;
  partcv[0] = 1;
  Object opresult2223 = callmethod(*var_pnr, "<", 1, partcv, params);
// compilenode returning opresult2223
  int op_slot_left_2209 = gc_frame_newslot(opresult2223);
  params[0] = opresult2215;
  partcv[0] = 1;
  Object opresult2224 = callmethod(opresult2223, "||", 1, partcv, params);
// compilenode returning opresult2224
  Object if2208 = done;
  if (istrue(opresult2224)) {
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2226 == NULL) {
    strlit2226 = alloc_String(", ");
    gc_root(strlit2226);
  }
// compilenode returning strlit2226
  int op_slot_right_2225 = gc_frame_newslot(strlit2226);
// compilenode returning *var_s
  int op_slot_left_2225 = gc_frame_newslot(*var_s);
  params[0] = strlit2226;
  partcv[0] = 1;
  Object opresult2228 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2228
  *var_s = opresult2228;
  if (opresult2228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2208 = done;
  } else {
  }
// compilenode returning if2208
  gc_frame_end(frame);
  return if2208;
}
Object meth_ast__apply2158(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2160 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2161 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe2160);
// compilenode returning call2161
// compilenode returning call2161
  int op_slot_right_2159 = gc_frame_newslot(call2161);
// compilenode returning *var_s
  int op_slot_left_2159 = gc_frame_newslot(*var_s);
  params[0] = call2161;
  partcv[0] = 1;
  Object opresult2163 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2163
  *var_s = opresult2163;
  if (opresult2163 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2168 = alloc_Boolean(0);
// compilenode returning bool2168
  int op_slot_right_2167 = gc_frame_newslot(bool2168);
  int callframe2170 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2171 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2170);
// compilenode returning call2171
// compilenode returning call2171
  int op_slot_left_2167 = gc_frame_newslot(call2171);
  params[0] = bool2168;
  partcv[0] = 1;
  Object opresult2172 = callmethod(call2171, "!=", 1, partcv, params);
// compilenode returning opresult2172
  int op_slot_right_2166 = gc_frame_newslot(opresult2172);
  Object num2175 = alloc_Float64(0);
// compilenode returning num2175
  int op_slot_right_2174 = gc_frame_newslot(num2175);
  int callframe2177 = gc_frame_new();
  int callframe2178 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2179 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2178);
// compilenode returning call2179
// compilenode returning call2179
  partcv[0] = 0;
  Object call2180 = callmethod(call2179, "size",
    1, partcv, params);
  gc_frame_end(callframe2177);
// compilenode returning call2180
// compilenode returning call2180
  int op_slot_left_2174 = gc_frame_newslot(call2180);
  params[0] = num2175;
  partcv[0] = 1;
  Object opresult2181 = callmethod(call2180, ">", 1, partcv, params);
// compilenode returning opresult2181
  int op_slot_left_2166 = gc_frame_newslot(opresult2181);
  params[0] = opresult2172;
  partcv[0] = 1;
  Object opresult2182 = callmethod(opresult2181, "||", 1, partcv, params);
// compilenode returning opresult2182
  Object if2165 = done;
  if (istrue(opresult2182)) {
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2184 == NULL) {
    strlit2184 = alloc_String("(");
    gc_root(strlit2184);
  }
// compilenode returning strlit2184
  int op_slot_right_2183 = gc_frame_newslot(strlit2184);
// compilenode returning *var_s
  int op_slot_left_2183 = gc_frame_newslot(*var_s);
  params[0] = strlit2184;
  partcv[0] = 1;
  Object opresult2186 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2186
  *var_s = opresult2186;
  if (opresult2186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2188 = gc_frame_new();
  int callframe2189 = gc_frame_new();
  int callframe2190 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2191 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2190);
// compilenode returning call2191
// compilenode returning call2191
  partcv[0] = 0;
  Object call2192 = callmethod(call2191, "indices",
    1, partcv, params);
  gc_frame_end(callframe2189);
// compilenode returning call2192
// compilenode returning call2192
  gc_frame_newslot(call2192);
  Object block2193 = alloc_Block(NULL, NULL, "ast", 491);
  gc_frame_newslot(block2193);
  block_savedest(block2193);
  Object closure2194 = createclosure(4, "_apply");
  setclosureframe(closure2194, stackframe);
  addtoclosure(closure2194, var_part);
  addtoclosure(closure2194, var_depth);
  addtoclosure(closure2194, var_s);
  addtoclosure(closure2194, selfslot);
  struct UserObject *uo2194 = (struct UserObject*)block2193;
  uo2194->data[0] = (Object)closure2194;
  Method *meth_meth_ast__apply2194 = addmethod2pos(block2193, "_apply", &meth_ast__apply2194, 0);
int argcv_meth_ast__apply2194[] = {1};
meth_meth_ast__apply2194->type = alloc_MethodType(1, argcv_meth_ast__apply2194);
  meth_meth_ast__apply2194->definitionModule = modulename;
  meth_meth_ast__apply2194->definitionLine = 491;
// compilenode returning block2193
  gc_frame_newslot(block2193);
  params[0] = call2192;
  params[1] = block2193;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2231 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2188);
// compilenode returning call2231
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2234 = alloc_Boolean(0);
// compilenode returning bool2234
  int op_slot_right_2233 = gc_frame_newslot(bool2234);
  int callframe2236 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2237 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2236);
// compilenode returning call2237
// compilenode returning call2237
  int op_slot_left_2233 = gc_frame_newslot(call2237);
  params[0] = bool2234;
  partcv[0] = 1;
  Object opresult2238 = callmethod(call2237, "!=", 1, partcv, params);
// compilenode returning opresult2238
  Object if2232 = done;
  if (istrue(opresult2238)) {
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2240 = gc_frame_new();
  int callframe2241 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call2242 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2241);
// compilenode returning call2242
// compilenode returning call2242
  partcv[0] = 0;
  Object call2243 = callmethod(call2242, "value",
    1, partcv, params);
  gc_frame_end(callframe2240);
// compilenode returning call2243
// compilenode returning call2243
  int op_slot_right_2239 = gc_frame_newslot(call2243);
  if (strlit2246 == NULL) {
    strlit2246 = alloc_String("*");
    gc_root(strlit2246);
  }
// compilenode returning strlit2246
  int op_slot_right_2245 = gc_frame_newslot(strlit2246);
// compilenode returning *var_s
  int op_slot_left_2245 = gc_frame_newslot(*var_s);
  params[0] = strlit2246;
  partcv[0] = 1;
  Object opresult2248 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2248
  int op_slot_left_2239 = gc_frame_newslot(opresult2248);
  params[0] = call2243;
  partcv[0] = 1;
  Object opresult2249 = callmethod(opresult2248, "++", 1, partcv, params);
// compilenode returning opresult2249
  *var_s = opresult2249;
  if (opresult2249 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2232 = done;
  } else {
  }
// compilenode returning if2232
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2252 == NULL) {
    strlit2252 = alloc_String(")");
    gc_root(strlit2252);
  }
// compilenode returning strlit2252
  int op_slot_right_2251 = gc_frame_newslot(strlit2252);
// compilenode returning *var_s
  int op_slot_left_2251 = gc_frame_newslot(*var_s);
  params[0] = strlit2252;
  partcv[0] = 1;
  Object opresult2254 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2254
  *var_s = opresult2254;
  if (opresult2254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2165 = done;
  } else {
  }
// compilenode returning if2165
  gc_frame_end(frame);
  return if2165;
}
Object meth_ast_toGrace2152(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2153 == NULL) {
    strlit2153 = alloc_String("");
    gc_root(strlit2153);
  }
// compilenode returning strlit2153
  *var_s = strlit2153;
  if (strlit2153 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2154 = gc_frame_new();
  int callframe2155 = gc_frame_new();
  partcv[0] = 0;
  Object call2156 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2155);
// compilenode returning call2156
// compilenode returning call2156
  gc_frame_newslot(call2156);
  Object block2157 = alloc_Block(NULL, NULL, "ast", 487);
  gc_frame_newslot(block2157);
  block_savedest(block2157);
  Object closure2158 = createclosure(3, "_apply");
  setclosureframe(closure2158, stackframe);
  addtoclosure(closure2158, var_s);
  addtoclosure(closure2158, var_depth);
  addtoclosure(closure2158, selfslot);
  struct UserObject *uo2158 = (struct UserObject*)block2157;
  uo2158->data[0] = (Object)closure2158;
  Method *meth_meth_ast__apply2158 = addmethod2pos(block2157, "_apply", &meth_ast__apply2158, 0);
int argcv_meth_ast__apply2158[] = {1};
meth_meth_ast__apply2158->type = alloc_MethodType(1, argcv_meth_ast__apply2158);
  meth_meth_ast__apply2158->definitionModule = modulename;
  meth_meth_ast__apply2158->definitionLine = 487;
// compilenode returning block2157
  gc_frame_newslot(block2157);
  params[0] = call2156;
  params[1] = block2157;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2257 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2154);
// compilenode returning call2257
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2260 = alloc_Boolean(0);
// compilenode returning bool2260
  int op_slot_right_2259 = gc_frame_newslot(bool2260);
  int callframe2262 = gc_frame_new();
  partcv[0] = 0;
  Object call2263 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2262);
// compilenode returning call2263
// compilenode returning call2263
  int op_slot_left_2259 = gc_frame_newslot(call2263);
  params[0] = bool2260;
  partcv[0] = 1;
  Object opresult2264 = callmethod(call2263, "!=", 1, partcv, params);
// compilenode returning opresult2264
  Object if2258 = done;
  if (istrue(opresult2264)) {
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2266 = gc_frame_new();
  Object num2268 = alloc_Float64(1);
// compilenode returning num2268
  int op_slot_right_2267 = gc_frame_newslot(num2268);
// compilenode returning *var_depth
  int op_slot_left_2267 = gc_frame_newslot(*var_depth);
  params[0] = num2268;
  partcv[0] = 1;
  Object sum2270 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2270
  gc_frame_newslot(sum2270);
  int callframe2271 = gc_frame_new();
  partcv[0] = 0;
  Object call2272 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2271);
// compilenode returning call2272
// compilenode returning call2272
  params[0] = sum2270;
  partcv[0] = 1;
  Object call2273 = callmethod(call2272, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2266);
// compilenode returning call2273
  int op_slot_right_2265 = gc_frame_newslot(call2273);
  if (strlit2276 == NULL) {
    strlit2276 = alloc_String(" -> ");
    gc_root(strlit2276);
  }
// compilenode returning strlit2276
  int op_slot_right_2275 = gc_frame_newslot(strlit2276);
// compilenode returning *var_s
  int op_slot_left_2275 = gc_frame_newslot(*var_s);
  params[0] = strlit2276;
  partcv[0] = 1;
  Object opresult2278 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2278
  int op_slot_left_2265 = gc_frame_newslot(opresult2278);
  params[0] = call2273;
  partcv[0] = 1;
  Object opresult2279 = callmethod(opresult2278, "++", 1, partcv, params);
// compilenode returning opresult2279
  *var_s = opresult2279;
  if (opresult2279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2258 = done;
  } else {
  }
// compilenode returning if2258
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new1813(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[2]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1814 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1814 = alloc_userobj2(14,14, objclass1814);
  gc_frame_newslot(obj1814);
if (objclass1814 == NULL) {
  glfree(obj1814->class->name);
  obj1814->class->name = "methodTypeNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1814, self, 0);
  addmethodreal(obj1814,"outer", &reader_ast_outer_1815);
  Object oldself1814 = self;
  struct StackFrameObject *oldstackframe1814 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1814);
  gc_frame_newslot((Object)stackframe);
  self = obj1814;
  Object *oldselfslot1814 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1814 = (*(struct UserObject *)self).data[0], lowerouter1814 = thisouter1814;
  if (inheritingObject1814) {
    struct UserObject *inho1814 = (struct UserObject *)inheritingObject1814;
    while (inho1814->super != GraceDefaultObject) inho1814 = (struct UserObject *)inho1814->super;
    inho1814->super = obj1814;
    self = inheritingObject1814;
    *selfslot = self;
    lowerouter1814 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1814;
  }
if (objclass1814 == NULL) {
  Method *reader1816 = addmethodrealflags(obj1814, "kind",&reader_ast_kind_1816, MFLAG_DEF);
  reader1816->definitionModule = modulename;
  reader1816->definitionLine = 425;
}
adddatum2(obj1814, alloc_Undefined(), 1);
if (objclass1814 == NULL) {
  Method *reader1817 = addmethodrealflags(obj1814, "value",&reader_ast_value_1817, MFLAG_DEF);
  reader1817->definitionModule = modulename;
  reader1817->definitionLine = 426;
}
adddatum2(obj1814, alloc_Undefined(), 2);
if (objclass1814 == NULL) {
  Method *reader1818 = addmethodrealflags(obj1814, "signature",&reader_ast_signature_1818, MFLAG_DEF);
  reader1818->definitionModule = modulename;
  reader1818->definitionLine = 427;
}
adddatum2(obj1814, alloc_Undefined(), 3);
if (objclass1814 == NULL) {
  Method *reader1819 = addmethodrealflags(obj1814, "rtype",&reader_ast_rtype_1819, MFLAG_DEF);
  reader1819->definitionModule = modulename;
  reader1819->definitionLine = 428;
}
adddatum2(obj1814, alloc_Undefined(), 4);
if (objclass1814 == NULL) {
  Method *reader1820 = addmethodrealflags(obj1814, "generics",&reader_ast_generics_1820, 0);
  Method *writer1820 = addmethodrealflags(obj1814, "generics:=",&writer_ast_generics_1820, 0);
  reader1820->definitionModule = modulename;
  writer1820->definitionModule = modulename;
  reader1820->definitionLine = 429;
  writer1820->definitionLine = 429;
}
obj1814->flags |= OFLAG_MUTABLE;
adddatum2(obj1814, alloc_Undefined(), 5);
if (objclass1814 == NULL) {
  Method *reader1821 = addmethodrealflags(obj1814, "nameString",&reader_ast_nameString_1821, MFLAG_DEF);
  reader1821->definitionModule = modulename;
  reader1821->definitionLine = 430;
}
adddatum2(obj1814, alloc_Undefined(), 6);
  struct UserObject *uo1822 = (struct UserObject*)obj1814;
  uo1822->data[7] = emptyclosure;
  Method *meth_meth_ast_asString1822 = addmethod2pos(obj1814, "asString", &meth_ast_asString1822, 7);
int argcv_meth_ast_asString1822[] = {0};
meth_meth_ast_asString1822->type = alloc_MethodType(1, argcv_meth_ast_asString1822);
  meth_meth_ast_asString1822->definitionModule = modulename;
  meth_meth_ast_asString1822->definitionLine = 430;
  struct UserObject *uo1842 = (struct UserObject*)obj1814;
  uo1842->data[8] = emptyclosure;
  Method *meth_meth_ast_accept1842 = addmethod2pos(obj1814, "accept", &meth_ast_accept1842, 8);
int argcv_meth_ast_accept1842[] = {1};
meth_meth_ast_accept1842->type = alloc_MethodType(1, argcv_meth_ast_accept1842);
  meth_meth_ast_accept1842->definitionModule = modulename;
  meth_meth_ast_accept1842->definitionLine = 432;
  block_savedest(obj1814);
  Object closure1884 = createclosure(1, "map()before()after");
  setclosureframe(closure1884, stackframe);
  addtoclosure(closure1884, var_methodTypeNode);
  struct UserObject *uo1884 = (struct UserObject*)obj1814;
  uo1884->data[9] = (Object)closure1884;
  Method *meth_meth_ast_map_40__41_before_40__41_after1884 = addmethod2pos(obj1814, "map()before()after", &meth_ast_map_40__41_before_40__41_after1884, 9);
int argcv_meth_ast_map_40__41_before_40__41_after1884[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after1884->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after1884);
  meth_meth_ast_map_40__41_before_40__41_after1884->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after1884->definitionLine = 447;
  struct UserObject *uo1918 = (struct UserObject*)obj1814;
  uo1918->data[10] = emptyclosure;
  Method *meth_meth_ast_map1918 = addmethod2pos(obj1814, "map", &meth_ast_map1918, 10);
int argcv_meth_ast_map1918[] = {1};
meth_meth_ast_map1918->type = alloc_MethodType(1, argcv_meth_ast_map1918);
  meth_meth_ast_map1918->definitionModule = modulename;
  meth_meth_ast_map1918->definitionLine = 459;
  struct UserObject *uo1927 = (struct UserObject*)obj1814;
  uo1927->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty1927 = addmethod2pos(obj1814, "pretty", &meth_ast_pretty1927, 11);
int argcv_meth_ast_pretty1927[] = {1};
meth_meth_ast_pretty1927->type = alloc_MethodType(1, argcv_meth_ast_pretty1927);
  meth_meth_ast_pretty1927->definitionModule = modulename;
  meth_meth_ast_pretty1927->definitionLine = 462;
  struct UserObject *uo2152 = (struct UserObject*)obj1814;
  uo2152->data[12] = emptyclosure;
  Method *meth_meth_ast_toGrace2152 = addmethod2pos(obj1814, "toGrace", &meth_ast_toGrace2152, 12);
int argcv_meth_ast_toGrace2152[] = {1};
meth_meth_ast_toGrace2152->type = alloc_MethodType(1, argcv_meth_ast_toGrace2152);
meth_meth_ast_toGrace2152->type->types[0] = type_Number;
meth_meth_ast_toGrace2152->type->names[0] = "depth";
  meth_meth_ast_toGrace2152->definitionModule = modulename;
  meth_meth_ast_toGrace2152->definitionLine = 485;
  sourceObject = obj1814;
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2281 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2282 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2281);
// compilenode returning call2282
  struct UserObject *obj1814_uo = (struct UserObject *)obj1814;
  obj1814_uo->super = call2282;
  sourceObject = obj1814;
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2283 == NULL) {
    strlit2283 = alloc_String("methodtype");
    gc_root(strlit2283);
  }
// compilenode returning strlit2283
  adddatum2(obj1814, strlit2283, 1);
  sourceObject = obj1814;
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj1814, *var_name_39_, 2);
  sourceObject = obj1814;
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature_39_
  adddatum2(obj1814, *var_signature_39_, 3);
  sourceObject = obj1814;
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_rtype_39_
  adddatum2(obj1814, *var_rtype_39_, 4);
  sourceObject = obj1814;
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2284 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2284
  adddatum2(obj1814, array2284, 5);
  sourceObject = obj1814;
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2285 = gc_frame_new();
  partcv[0] = 0;
  Object call2286 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2285);
// compilenode returning call2286
  adddatum2(obj1814, call2286, 6);
  sourceObject = obj1814;
  sourceObject = obj1814;
  sourceObject = obj1814;
  sourceObject = obj1814;
  sourceObject = obj1814;
  sourceObject = obj1814;
objclass1814 = obj1814->class;
  objclass1814->definitionModule = modulename;
  objclass1814->definitionLine = 402;
  (*(struct UserObject *)self).data[0] = lowerouter1814;
  self = oldself1814;
  selfslot = oldselfslot1814;
  stackframe = oldstackframe1814;
  gc_frame_end(frame);
  return obj1814;
}
Object meth_ast_new1813_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[2]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1814 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1814 = alloc_userobj2(14,14, objclass1814);
  gc_frame_newslot(obj1814);
if (objclass1814 == NULL) {
  glfree(obj1814->class->name);
  obj1814->class->name = "methodTypeNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1814, self, 0);
  addmethodreal(obj1814,"outer", &reader_ast_outer_1815);
  Object oldself1814 = self;
  struct StackFrameObject *oldstackframe1814 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1814);
  gc_frame_newslot((Object)stackframe);
  self = obj1814;
  Object *oldselfslot1814 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1814 = (*(struct UserObject *)self).data[0], lowerouter1814 = thisouter1814;
  if (inheritingObject1814) {
    struct UserObject *inho1814 = (struct UserObject *)inheritingObject1814;
    while (inho1814->super != GraceDefaultObject) inho1814 = (struct UserObject *)inho1814->super;
    inho1814->super = obj1814;
    self = inheritingObject1814;
    *selfslot = self;
    lowerouter1814 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1814;
  }
if (objclass1814 == NULL) {
  Method *reader1816 = addmethodrealflags(obj1814, "kind",&reader_ast_kind_1816, MFLAG_DEF);
  reader1816->definitionModule = modulename;
  reader1816->definitionLine = 425;
}
adddatum2(obj1814, alloc_Undefined(), 1);
if (objclass1814 == NULL) {
  Method *reader1817 = addmethodrealflags(obj1814, "value",&reader_ast_value_1817, MFLAG_DEF);
  reader1817->definitionModule = modulename;
  reader1817->definitionLine = 426;
}
adddatum2(obj1814, alloc_Undefined(), 2);
if (objclass1814 == NULL) {
  Method *reader1818 = addmethodrealflags(obj1814, "signature",&reader_ast_signature_1818, MFLAG_DEF);
  reader1818->definitionModule = modulename;
  reader1818->definitionLine = 427;
}
adddatum2(obj1814, alloc_Undefined(), 3);
if (objclass1814 == NULL) {
  Method *reader1819 = addmethodrealflags(obj1814, "rtype",&reader_ast_rtype_1819, MFLAG_DEF);
  reader1819->definitionModule = modulename;
  reader1819->definitionLine = 428;
}
adddatum2(obj1814, alloc_Undefined(), 4);
if (objclass1814 == NULL) {
  Method *reader1820 = addmethodrealflags(obj1814, "generics",&reader_ast_generics_1820, 0);
  Method *writer1820 = addmethodrealflags(obj1814, "generics:=",&writer_ast_generics_1820, 0);
  reader1820->definitionModule = modulename;
  writer1820->definitionModule = modulename;
  reader1820->definitionLine = 429;
  writer1820->definitionLine = 429;
}
obj1814->flags |= OFLAG_MUTABLE;
adddatum2(obj1814, alloc_Undefined(), 5);
if (objclass1814 == NULL) {
  Method *reader1821 = addmethodrealflags(obj1814, "nameString",&reader_ast_nameString_1821, MFLAG_DEF);
  reader1821->definitionModule = modulename;
  reader1821->definitionLine = 430;
}
adddatum2(obj1814, alloc_Undefined(), 6);
  struct UserObject *uo1822 = (struct UserObject*)obj1814;
  uo1822->data[7] = emptyclosure;
  Method *meth_meth_ast_asString1822 = addmethod2pos(obj1814, "asString", &meth_ast_asString1822, 7);
int argcv_meth_ast_asString1822[] = {0};
meth_meth_ast_asString1822->type = alloc_MethodType(1, argcv_meth_ast_asString1822);
  meth_meth_ast_asString1822->definitionModule = modulename;
  meth_meth_ast_asString1822->definitionLine = 430;
  struct UserObject *uo1842 = (struct UserObject*)obj1814;
  uo1842->data[8] = emptyclosure;
  Method *meth_meth_ast_accept1842 = addmethod2pos(obj1814, "accept", &meth_ast_accept1842, 8);
int argcv_meth_ast_accept1842[] = {1};
meth_meth_ast_accept1842->type = alloc_MethodType(1, argcv_meth_ast_accept1842);
  meth_meth_ast_accept1842->definitionModule = modulename;
  meth_meth_ast_accept1842->definitionLine = 432;
  block_savedest(obj1814);
  Object closure1884 = createclosure(1, "map()before()after");
  setclosureframe(closure1884, stackframe);
  addtoclosure(closure1884, var_methodTypeNode);
  struct UserObject *uo1884 = (struct UserObject*)obj1814;
  uo1884->data[9] = (Object)closure1884;
  Method *meth_meth_ast_map_40__41_before_40__41_after1884 = addmethod2pos(obj1814, "map()before()after", &meth_ast_map_40__41_before_40__41_after1884, 9);
int argcv_meth_ast_map_40__41_before_40__41_after1884[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after1884->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after1884);
  meth_meth_ast_map_40__41_before_40__41_after1884->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after1884->definitionLine = 447;
  struct UserObject *uo1918 = (struct UserObject*)obj1814;
  uo1918->data[10] = emptyclosure;
  Method *meth_meth_ast_map1918 = addmethod2pos(obj1814, "map", &meth_ast_map1918, 10);
int argcv_meth_ast_map1918[] = {1};
meth_meth_ast_map1918->type = alloc_MethodType(1, argcv_meth_ast_map1918);
  meth_meth_ast_map1918->definitionModule = modulename;
  meth_meth_ast_map1918->definitionLine = 459;
  struct UserObject *uo1927 = (struct UserObject*)obj1814;
  uo1927->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty1927 = addmethod2pos(obj1814, "pretty", &meth_ast_pretty1927, 11);
int argcv_meth_ast_pretty1927[] = {1};
meth_meth_ast_pretty1927->type = alloc_MethodType(1, argcv_meth_ast_pretty1927);
  meth_meth_ast_pretty1927->definitionModule = modulename;
  meth_meth_ast_pretty1927->definitionLine = 462;
  struct UserObject *uo2152 = (struct UserObject*)obj1814;
  uo2152->data[12] = emptyclosure;
  Method *meth_meth_ast_toGrace2152 = addmethod2pos(obj1814, "toGrace", &meth_ast_toGrace2152, 12);
int argcv_meth_ast_toGrace2152[] = {1};
meth_meth_ast_toGrace2152->type = alloc_MethodType(1, argcv_meth_ast_toGrace2152);
meth_meth_ast_toGrace2152->type->types[0] = type_Number;
meth_meth_ast_toGrace2152->type->names[0] = "depth";
  meth_meth_ast_toGrace2152->definitionModule = modulename;
  meth_meth_ast_toGrace2152->definitionLine = 485;
  sourceObject = obj1814;
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2281 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2282 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2281);
// compilenode returning call2282
  struct UserObject *obj1814_uo = (struct UserObject *)obj1814;
  obj1814_uo->super = call2282;
  sourceObject = obj1814;
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2283 == NULL) {
    strlit2283 = alloc_String("methodtype");
    gc_root(strlit2283);
  }
// compilenode returning strlit2283
  adddatum2(obj1814, strlit2283, 1);
  sourceObject = obj1814;
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj1814, *var_name_39_, 2);
  sourceObject = obj1814;
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature_39_
  adddatum2(obj1814, *var_signature_39_, 3);
  sourceObject = obj1814;
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_rtype_39_
  adddatum2(obj1814, *var_rtype_39_, 4);
  sourceObject = obj1814;
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2284 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2284
  adddatum2(obj1814, array2284, 5);
  sourceObject = obj1814;
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2285 = gc_frame_new();
  partcv[0] = 0;
  Object call2286 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2285);
// compilenode returning call2286
  adddatum2(obj1814, call2286, 6);
  sourceObject = obj1814;
  sourceObject = obj1814;
  sourceObject = obj1814;
  sourceObject = obj1814;
  sourceObject = obj1814;
  sourceObject = obj1814;
objclass1814 = obj1814->class;
  objclass1814->definitionModule = modulename;
  objclass1814->definitionLine = 402;
  (*(struct UserObject *)self).data[0] = lowerouter1814;
  self = oldself1814;
  selfslot = oldselfslot1814;
  stackframe = oldstackframe1814;
  gc_frame_end(frame);
  return obj1814;
}
Object meth_ast_typeLiteralNode2288(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeLiteralNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeLiteralNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeLiteralNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeLiteralNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_typeLiteralNode
  gc_frame_end(frame);
  return *var_typeLiteralNode;
}
Object meth_ast_name2301(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for name (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for name");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2302 = gc_frame_new();
  partcv[0] = 0;
  Object call2303 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2302);
// compilenode returning call2303
  gc_frame_end(frame);
  return call2303;
}
Object meth_ast_name_58__61_2304(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method name:=");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for name:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for name:=");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2305 = gc_frame_new();
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2306 = callmethodflags(self, "value:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2305);
// compilenode returning call2306
// compilenode returning done
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2307 = gc_frame_new();
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2308 = alloc_Boolean(0);
// compilenode returning bool2308
  gc_frame_newslot(bool2308);
  params[0] = bool2308;
  partcv[0] = 1;
  Object call2309 = callmethodflags(self, "anonymous:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2307);
// compilenode returning call2309
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_asString2310(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2312 == NULL) {
    strlit2312 = alloc_String("");
    gc_root(strlit2312);
  }
// compilenode returning strlit2312
  int op_slot_right_2311 = gc_frame_newslot(strlit2312);
  int callframe2315 = gc_frame_new();
  partcv[0] = 0;
  Object call2316 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2315);
// compilenode returning call2316
  int op_slot_right_2314 = gc_frame_newslot(call2316);
  if (strlit2319 == NULL) {
    strlit2319 = alloc_String(", types = ");
    gc_root(strlit2319);
  }
// compilenode returning strlit2319
  int op_slot_right_2318 = gc_frame_newslot(strlit2319);
  int callframe2322 = gc_frame_new();
  partcv[0] = 0;
  Object call2323 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2322);
// compilenode returning call2323
  int op_slot_right_2321 = gc_frame_newslot(call2323);
  if (strlit2325 == NULL) {
    strlit2325 = alloc_String("typeliteral: methods = ");
    gc_root(strlit2325);
  }
// compilenode returning strlit2325
  int op_slot_left_2321 = gc_frame_newslot(strlit2325);
  params[0] = call2323;
  partcv[0] = 1;
  Object opresult2326 = callmethod(strlit2325, "++", 1, partcv, params);
// compilenode returning opresult2326
  int op_slot_left_2318 = gc_frame_newslot(opresult2326);
  params[0] = strlit2319;
  partcv[0] = 1;
  Object opresult2327 = callmethod(opresult2326, "++", 1, partcv, params);
// compilenode returning opresult2327
  int op_slot_left_2314 = gc_frame_newslot(opresult2327);
  params[0] = call2316;
  partcv[0] = 1;
  Object opresult2328 = callmethod(opresult2327, "++", 1, partcv, params);
// compilenode returning opresult2328
  int op_slot_left_2311 = gc_frame_newslot(opresult2328);
  params[0] = strlit2312;
  partcv[0] = 1;
  Object opresult2329 = callmethod(opresult2328, "++", 1, partcv, params);
// compilenode returning opresult2329
  gc_frame_end(frame);
  return opresult2329;
}
Object meth_ast__apply2338(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2339 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_each
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call2340 = callmethod(*var_each, "accept",
    1, partcv, params);
  gc_frame_end(callframe2339);
// compilenode returning call2340
  gc_frame_end(frame);
  return call2340;
}
Object meth_ast__apply2347(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2348 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_each
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call2349 = callmethod(*var_each, "accept",
    1, partcv, params);
  gc_frame_end(callframe2348);
// compilenode returning call2349
  gc_frame_end(frame);
  return call2349;
}
Object meth_ast_accept2330(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2332 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call2333 = callmethod(*var_visitor, "visitTypeLiteral",
    1, partcv, params);
  gc_frame_end(callframe2332);
// compilenode returning call2333
  Object if2331 = done;
  if (istrue(call2333)) {
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2334 = gc_frame_new();
  int callframe2335 = gc_frame_new();
  partcv[0] = 0;
  Object call2336 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2335);
// compilenode returning call2336
// compilenode returning call2336
  gc_frame_newslot(call2336);
  Object block2337 = alloc_Block(NULL, NULL, "ast", 531);
  gc_frame_newslot(block2337);
  block_savedest(block2337);
  Object closure2338 = createclosure(2, "_apply");
  setclosureframe(closure2338, stackframe);
  addtoclosure(closure2338, var_visitor);
  addtoclosure(closure2338, selfslot);
  struct UserObject *uo2338 = (struct UserObject*)block2337;
  uo2338->data[0] = (Object)closure2338;
  Method *meth_meth_ast__apply2338 = addmethod2pos(block2337, "_apply", &meth_ast__apply2338, 0);
int argcv_meth_ast__apply2338[] = {1};
meth_meth_ast__apply2338->type = alloc_MethodType(1, argcv_meth_ast__apply2338);
  meth_meth_ast__apply2338->definitionModule = modulename;
  meth_meth_ast__apply2338->definitionLine = 531;
// compilenode returning block2337
  gc_frame_newslot(block2337);
  params[0] = call2336;
  params[1] = block2337;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2342 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2334);
// compilenode returning call2342
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2343 = gc_frame_new();
  int callframe2344 = gc_frame_new();
  partcv[0] = 0;
  Object call2345 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2344);
// compilenode returning call2345
// compilenode returning call2345
  gc_frame_newslot(call2345);
  Object block2346 = alloc_Block(NULL, NULL, "ast", 534);
  gc_frame_newslot(block2346);
  block_savedest(block2346);
  Object closure2347 = createclosure(2, "_apply");
  setclosureframe(closure2347, stackframe);
  addtoclosure(closure2347, var_visitor);
  addtoclosure(closure2347, selfslot);
  struct UserObject *uo2347 = (struct UserObject*)block2346;
  uo2347->data[0] = (Object)closure2347;
  Method *meth_meth_ast__apply2347 = addmethod2pos(block2346, "_apply", &meth_ast__apply2347, 0);
int argcv_meth_ast__apply2347[] = {1};
meth_meth_ast__apply2347->type = alloc_MethodType(1, argcv_meth_ast__apply2347);
  meth_meth_ast__apply2347->definitionModule = modulename;
  meth_meth_ast__apply2347->definitionLine = 534;
// compilenode returning block2346
  gc_frame_newslot(block2346);
  params[0] = call2345;
  params[1] = block2346;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2351 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2343);
// compilenode returning call2351
    gc_frame_newslot(call2351);
    if2331 = call2351;
  } else {
  }
// compilenode returning if2331
  gc_frame_end(frame);
  return if2331;
}
Object meth_ast_map_40__41_before_40__41_after2352(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_typeLiteralNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2353 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call2354 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe2353);
// compilenode returning call2354
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2355 = gc_frame_new();
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2356 = gc_frame_new();
  int callframe2357 = gc_frame_new();
  partcv[0] = 0;
  Object call2358 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2357);
// compilenode returning call2358
  gc_frame_newslot(call2358);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe2359 = gc_frame_new();
  int callframe2360 = gc_frame_new();
  Object call2361 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2360);
// compilenode returning call2361
// compilenode returning call2361
  partcv[0] = 0;
  Object call2362 = callmethodflags(call2361, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2359);
// compilenode returning call2362
// compilenode returning call2362
  params[0] = call2358;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2363 = callmethodflags(call2362, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2356);
// compilenode returning call2363
  gc_frame_newslot(call2363);
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2364 = gc_frame_new();
  int callframe2365 = gc_frame_new();
  partcv[0] = 0;
  Object call2366 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2365);
// compilenode returning call2366
  gc_frame_newslot(call2366);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe2367 = gc_frame_new();
  int callframe2368 = gc_frame_new();
  Object call2369 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2368);
// compilenode returning call2369
// compilenode returning call2369
  partcv[0] = 0;
  Object call2370 = callmethodflags(call2369, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2367);
// compilenode returning call2370
// compilenode returning call2370
  params[0] = call2366;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2371 = callmethodflags(call2370, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2364);
// compilenode returning call2371
  gc_frame_newslot(call2371);
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_typeLiteralNode
  params[0] = call2363;
  params[1] = call2371;
  partcv[0] = 2;
  Object call2372 = callmethod(*var_typeLiteralNode, "new",
    1, partcv, params);
  gc_frame_end(callframe2355);
// compilenode returning call2372
  *var_n = call2372;
  if (call2372 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2373 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2374 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe2373);
// compilenode returning call2374
  *var_n = call2374;
  if (call2374 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2376 = gc_frame_new();
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2377 = gc_frame_new();
  partcv[0] = 0;
  Object call2378 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2377);
// compilenode returning call2378
  gc_frame_newslot(call2378);
// compilenode returning *var_n
  params[0] = call2378;
  partcv[0] = 1;
  Object call2379 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe2376);
// compilenode returning call2379
// compilenode returning done
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2380 = gc_frame_new();
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2381 = gc_frame_new();
  partcv[0] = 0;
  Object call2382 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2381);
// compilenode returning call2382
  gc_frame_newslot(call2382);
// compilenode returning *var_n
  params[0] = call2382;
  partcv[0] = 1;
  Object call2383 = callmethod(*var_n, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe2380);
// compilenode returning call2383
// compilenode returning done
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2384 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2385 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe2384);
// compilenode returning call2385
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply2389(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2392(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map2386(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2387 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block2388 = alloc_Block(NULL, NULL, "ast", 551);
  gc_frame_newslot(block2388);
  block_savedest(block2388);
  Object closure2389 = createclosure(1, "_apply");
  setclosureframe(closure2389, stackframe);
  addtoclosure(closure2389, selfslot);
  struct UserObject *uo2389 = (struct UserObject*)block2388;
  uo2389->data[0] = (Object)closure2389;
  Method *meth_meth_ast__apply2389 = addmethod2pos(block2388, "_apply", &meth_ast__apply2389, 0);
int argcv_meth_ast__apply2389[] = {0};
meth_meth_ast__apply2389->type = alloc_MethodType(1, argcv_meth_ast__apply2389);
  meth_meth_ast__apply2389->definitionModule = modulename;
  meth_meth_ast__apply2389->definitionLine = 543;
// compilenode returning block2388
  gc_frame_newslot(block2388);
  Object block2391 = alloc_Block(NULL, NULL, "ast", 551);
  gc_frame_newslot(block2391);
  block_savedest(block2391);
  Object closure2392 = createclosure(1, "_apply");
  setclosureframe(closure2392, stackframe);
  addtoclosure(closure2392, selfslot);
  struct UserObject *uo2392 = (struct UserObject*)block2391;
  uo2392->data[0] = (Object)closure2392;
  Method *meth_meth_ast__apply2392 = addmethod2pos(block2391, "_apply", &meth_ast__apply2392, 0);
int argcv_meth_ast__apply2392[] = {0};
meth_meth_ast__apply2392->type = alloc_MethodType(1, argcv_meth_ast__apply2392);
  meth_meth_ast__apply2392->definitionModule = modulename;
  meth_meth_ast__apply2392->definitionLine = 543;
// compilenode returning block2391
  gc_frame_newslot(block2391);
  params[0] = *var_blk;
  params[1] = block2388;
  params[2] = block2391;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2394 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2387);
// compilenode returning call2394
  gc_frame_end(frame);
  return call2394;
}
Object meth_ast__apply2403(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2405 == NULL) {
    strlit2405 = alloc_String("  ");
    gc_root(strlit2405);
  }
// compilenode returning strlit2405
  int op_slot_right_2404 = gc_frame_newslot(strlit2405);
// compilenode returning *var_spc
  int op_slot_left_2404 = gc_frame_newslot(*var_spc);
  params[0] = strlit2405;
  partcv[0] = 1;
  Object opresult2407 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult2407
  *var_spc = opresult2407;
  if (opresult2407 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2441(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ut = &(stackframe->slots[0]);
  *var_ut = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2443 == NULL) {
    strlit2443 = alloc_String("""\x0a""");
    gc_root(strlit2443);
  }
// compilenode returning strlit2443
  int op_slot_right_2442 = gc_frame_newslot(strlit2443);
  int callframe2446 = gc_frame_new();
// compilenode returning *var_ut
  partcv[0] = 0;
  Object call2447 = callmethod(*var_ut, "value",
    1, partcv, params);
  gc_frame_end(callframe2446);
// compilenode returning call2447
// compilenode returning call2447
  int op_slot_right_2445 = gc_frame_newslot(call2447);
  if (strlit2450 == NULL) {
    strlit2450 = alloc_String("  ");
    gc_root(strlit2450);
  }
// compilenode returning strlit2450
  int op_slot_right_2449 = gc_frame_newslot(strlit2450);
// compilenode returning *var_spc
  int op_slot_right_2452 = gc_frame_newslot(*var_spc);
  if (strlit2455 == NULL) {
    strlit2455 = alloc_String("");
    gc_root(strlit2455);
  }
// compilenode returning strlit2455
  int op_slot_right_2454 = gc_frame_newslot(strlit2455);
// compilenode returning *var_s
  int op_slot_right_2457 = gc_frame_newslot(*var_s);
  if (strlit2459 == NULL) {
    strlit2459 = alloc_String("");
    gc_root(strlit2459);
  }
// compilenode returning strlit2459
  int op_slot_left_2457 = gc_frame_newslot(strlit2459);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2460 = callmethod(strlit2459, "++", 1, partcv, params);
// compilenode returning opresult2460
  int op_slot_left_2454 = gc_frame_newslot(opresult2460);
  params[0] = strlit2455;
  partcv[0] = 1;
  Object opresult2461 = callmethod(opresult2460, "++", 1, partcv, params);
// compilenode returning opresult2461
  int op_slot_left_2452 = gc_frame_newslot(opresult2461);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2462 = callmethod(opresult2461, "++", 1, partcv, params);
// compilenode returning opresult2462
  int op_slot_left_2449 = gc_frame_newslot(opresult2462);
  params[0] = strlit2450;
  partcv[0] = 1;
  Object opresult2463 = callmethod(opresult2462, "++", 1, partcv, params);
// compilenode returning opresult2463
  int op_slot_left_2445 = gc_frame_newslot(opresult2463);
  params[0] = call2447;
  partcv[0] = 1;
  Object opresult2464 = callmethod(opresult2463, "++", 1, partcv, params);
// compilenode returning opresult2464
  int op_slot_left_2442 = gc_frame_newslot(opresult2464);
  params[0] = strlit2443;
  partcv[0] = 1;
  Object opresult2465 = callmethod(opresult2464, "++", 1, partcv, params);
// compilenode returning opresult2465
  *var_s = opresult2465;
  if (opresult2465 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2481(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2483 = gc_frame_new();
  Object num2485 = alloc_Float64(2);
// compilenode returning num2485
  int op_slot_right_2484 = gc_frame_newslot(num2485);
// compilenode returning *var_depth
  int op_slot_left_2484 = gc_frame_newslot(*var_depth);
  params[0] = num2485;
  partcv[0] = 1;
  Object sum2487 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2487
  gc_frame_newslot(sum2487);
// compilenode returning *var_each
  params[0] = sum2487;
  partcv[0] = 1;
  Object call2488 = callmethod(*var_each, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2483);
// compilenode returning call2488
  int op_slot_right_2482 = gc_frame_newslot(call2488);
// compilenode returning *var_spc
  int op_slot_right_2490 = gc_frame_newslot(*var_spc);
  if (strlit2493 == NULL) {
    strlit2493 = alloc_String("""\x0a""  ");
    gc_root(strlit2493);
  }
// compilenode returning strlit2493
  int op_slot_right_2492 = gc_frame_newslot(strlit2493);
// compilenode returning *var_s
  int op_slot_left_2492 = gc_frame_newslot(*var_s);
  params[0] = strlit2493;
  partcv[0] = 1;
  Object opresult2495 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2495
  int op_slot_left_2490 = gc_frame_newslot(opresult2495);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2496 = callmethod(opresult2495, "++", 1, partcv, params);
// compilenode returning opresult2496
  int op_slot_left_2482 = gc_frame_newslot(opresult2496);
  params[0] = call2488;
  partcv[0] = 1;
  Object opresult2497 = callmethod(opresult2496, "++", 1, partcv, params);
// compilenode returning opresult2497
  *var_s = opresult2497;
  if (opresult2497 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2517(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2519 = gc_frame_new();
  Object num2521 = alloc_Float64(2);
// compilenode returning num2521
  int op_slot_right_2520 = gc_frame_newslot(num2521);
// compilenode returning *var_depth
  int op_slot_left_2520 = gc_frame_newslot(*var_depth);
  params[0] = num2521;
  partcv[0] = 1;
  Object sum2523 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2523
  gc_frame_newslot(sum2523);
// compilenode returning *var_each
  params[0] = sum2523;
  partcv[0] = 1;
  Object call2524 = callmethod(*var_each, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2519);
// compilenode returning call2524
  int op_slot_right_2518 = gc_frame_newslot(call2524);
// compilenode returning *var_spc
  int op_slot_right_2526 = gc_frame_newslot(*var_spc);
  if (strlit2529 == NULL) {
    strlit2529 = alloc_String("""\x0a""  ");
    gc_root(strlit2529);
  }
// compilenode returning strlit2529
  int op_slot_right_2528 = gc_frame_newslot(strlit2529);
// compilenode returning *var_s
  int op_slot_left_2528 = gc_frame_newslot(*var_s);
  params[0] = strlit2529;
  partcv[0] = 1;
  Object opresult2531 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2531
  int op_slot_left_2526 = gc_frame_newslot(opresult2531);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2532 = callmethod(opresult2531, "++", 1, partcv, params);
// compilenode returning opresult2532
  int op_slot_left_2518 = gc_frame_newslot(opresult2532);
  params[0] = call2524;
  partcv[0] = 1;
  Object opresult2533 = callmethod(opresult2532, "++", 1, partcv, params);
// compilenode returning opresult2533
  *var_s = opresult2533;
  if (opresult2533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty2395(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2396 == NULL) {
    strlit2396 = alloc_String("");
    gc_root(strlit2396);
  }
// compilenode returning strlit2396
  *var_spc = strlit2396;
  if (strlit2396 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2397 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_2398 = gc_frame_newslot(*var_depth);
  Object num2400 = alloc_Float64(0);
// compilenode returning num2400
  int op_slot_left_2398 = gc_frame_newslot(num2400);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2401 = callmethod(num2400, "..", 1, partcv, params);
// compilenode returning opresult2401
  gc_frame_newslot(opresult2401);
  Object block2402 = alloc_Block(NULL, NULL, "ast", 555);
  gc_frame_newslot(block2402);
  block_savedest(block2402);
  Object closure2403 = createclosure(2, "_apply");
  setclosureframe(closure2403, stackframe);
  addtoclosure(closure2403, var_spc);
  addtoclosure(closure2403, selfslot);
  struct UserObject *uo2403 = (struct UserObject*)block2402;
  uo2403->data[0] = (Object)closure2403;
  Method *meth_meth_ast__apply2403 = addmethod2pos(block2402, "_apply", &meth_ast__apply2403, 0);
int argcv_meth_ast__apply2403[] = {1};
meth_meth_ast__apply2403->type = alloc_MethodType(1, argcv_meth_ast__apply2403);
  meth_meth_ast__apply2403->definitionModule = modulename;
  meth_meth_ast__apply2403->definitionLine = 543;
// compilenode returning block2402
  gc_frame_newslot(block2402);
  params[0] = opresult2401;
  params[1] = block2402;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2410 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2397);
// compilenode returning call2410
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2411 == NULL) {
    strlit2411 = alloc_String("Type literal""\x0a""");
    gc_root(strlit2411);
  }
// compilenode returning strlit2411
  *var_s = strlit2411;
  if (strlit2411 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2414 = alloc_Float64(0);
// compilenode returning num2414
  int op_slot_right_2413 = gc_frame_newslot(num2414);
  int callframe2416 = gc_frame_new();
  int callframe2417 = gc_frame_new();
  partcv[0] = 0;
  Object call2418 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2417);
// compilenode returning call2418
  partcv[0] = 0;
  Object call2419 = callmethod(call2418, "size",
    1, partcv, params);
  gc_frame_end(callframe2416);
// compilenode returning call2419
// compilenode returning call2419
  int op_slot_left_2413 = gc_frame_newslot(call2419);
  params[0] = num2414;
  partcv[0] = 1;
  Object opresult2420 = callmethod(call2419, ">", 1, partcv, params);
// compilenode returning opresult2420
  Object if2412 = done;
  if (istrue(opresult2420)) {
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2422 == NULL) {
    strlit2422 = alloc_String("Generic parameters:""\x0a""");
    gc_root(strlit2422);
  }
// compilenode returning strlit2422
  int op_slot_right_2421 = gc_frame_newslot(strlit2422);
// compilenode returning *var_spc
  int op_slot_right_2424 = gc_frame_newslot(*var_spc);
  if (strlit2427 == NULL) {
    strlit2427 = alloc_String("");
    gc_root(strlit2427);
  }
// compilenode returning strlit2427
  int op_slot_right_2426 = gc_frame_newslot(strlit2427);
// compilenode returning *var_s
  int op_slot_right_2429 = gc_frame_newslot(*var_s);
  if (strlit2431 == NULL) {
    strlit2431 = alloc_String("");
    gc_root(strlit2431);
  }
// compilenode returning strlit2431
  int op_slot_left_2429 = gc_frame_newslot(strlit2431);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2432 = callmethod(strlit2431, "++", 1, partcv, params);
// compilenode returning opresult2432
  int op_slot_left_2426 = gc_frame_newslot(opresult2432);
  params[0] = strlit2427;
  partcv[0] = 1;
  Object opresult2433 = callmethod(opresult2432, "++", 1, partcv, params);
// compilenode returning opresult2433
  int op_slot_left_2424 = gc_frame_newslot(opresult2433);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2434 = callmethod(opresult2433, "++", 1, partcv, params);
// compilenode returning opresult2434
  int op_slot_left_2421 = gc_frame_newslot(opresult2434);
  params[0] = strlit2422;
  partcv[0] = 1;
  Object opresult2435 = callmethod(opresult2434, "++", 1, partcv, params);
// compilenode returning opresult2435
  *var_s = opresult2435;
  if (opresult2435 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2437 = gc_frame_new();
  int callframe2438 = gc_frame_new();
  partcv[0] = 0;
  Object call2439 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2438);
// compilenode returning call2439
  gc_frame_newslot(call2439);
  Object block2440 = alloc_Block(NULL, NULL, "ast", 561);
  gc_frame_newslot(block2440);
  block_savedest(block2440);
  Object closure2441 = createclosure(3, "_apply");
  setclosureframe(closure2441, stackframe);
  addtoclosure(closure2441, var_spc);
  addtoclosure(closure2441, var_s);
  addtoclosure(closure2441, selfslot);
  struct UserObject *uo2441 = (struct UserObject*)block2440;
  uo2441->data[0] = (Object)closure2441;
  Method *meth_meth_ast__apply2441 = addmethod2pos(block2440, "_apply", &meth_ast__apply2441, 0);
int argcv_meth_ast__apply2441[] = {1};
meth_meth_ast__apply2441->type = alloc_MethodType(1, argcv_meth_ast__apply2441);
  meth_meth_ast__apply2441->definitionModule = modulename;
  meth_meth_ast__apply2441->definitionLine = 559;
// compilenode returning block2440
  gc_frame_newslot(block2440);
  params[0] = call2439;
  params[1] = block2440;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2468 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2437);
// compilenode returning call2468
    gc_frame_newslot(call2468);
    if2412 = call2468;
  } else {
  }
// compilenode returning if2412
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2470 == NULL) {
    strlit2470 = alloc_String("Types:");
    gc_root(strlit2470);
  }
// compilenode returning strlit2470
  int op_slot_right_2469 = gc_frame_newslot(strlit2470);
// compilenode returning *var_spc
  int op_slot_right_2472 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_2472 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2474 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2474
  int op_slot_left_2469 = gc_frame_newslot(opresult2474);
  params[0] = strlit2470;
  partcv[0] = 1;
  Object opresult2475 = callmethod(opresult2474, "++", 1, partcv, params);
// compilenode returning opresult2475
  *var_s = opresult2475;
  if (opresult2475 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2477 = gc_frame_new();
  int callframe2478 = gc_frame_new();
  partcv[0] = 0;
  Object call2479 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2478);
// compilenode returning call2479
  gc_frame_newslot(call2479);
  Object block2480 = alloc_Block(NULL, NULL, "ast", 566);
  gc_frame_newslot(block2480);
  block_savedest(block2480);
  Object closure2481 = createclosure(4, "_apply");
  setclosureframe(closure2481, stackframe);
  addtoclosure(closure2481, var_depth);
  addtoclosure(closure2481, var_spc);
  addtoclosure(closure2481, var_s);
  addtoclosure(closure2481, selfslot);
  struct UserObject *uo2481 = (struct UserObject*)block2480;
  uo2481->data[0] = (Object)closure2481;
  Method *meth_meth_ast__apply2481 = addmethod2pos(block2480, "_apply", &meth_ast__apply2481, 0);
int argcv_meth_ast__apply2481[] = {1};
meth_meth_ast__apply2481->type = alloc_MethodType(1, argcv_meth_ast__apply2481);
  meth_meth_ast__apply2481->definitionModule = modulename;
  meth_meth_ast__apply2481->definitionLine = 562;
// compilenode returning block2480
  gc_frame_newslot(block2480);
  params[0] = call2479;
  params[1] = block2480;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2500 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2477);
// compilenode returning call2500
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2502 == NULL) {
    strlit2502 = alloc_String("Methods:");
    gc_root(strlit2502);
  }
// compilenode returning strlit2502
  int op_slot_right_2501 = gc_frame_newslot(strlit2502);
// compilenode returning *var_spc
  int op_slot_right_2504 = gc_frame_newslot(*var_spc);
  if (strlit2507 == NULL) {
    strlit2507 = alloc_String("""\x0a""");
    gc_root(strlit2507);
  }
// compilenode returning strlit2507
  int op_slot_right_2506 = gc_frame_newslot(strlit2507);
// compilenode returning *var_s
  int op_slot_left_2506 = gc_frame_newslot(*var_s);
  params[0] = strlit2507;
  partcv[0] = 1;
  Object opresult2509 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2509
  int op_slot_left_2504 = gc_frame_newslot(opresult2509);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2510 = callmethod(opresult2509, "++", 1, partcv, params);
// compilenode returning opresult2510
  int op_slot_left_2501 = gc_frame_newslot(opresult2510);
  params[0] = strlit2502;
  partcv[0] = 1;
  Object opresult2511 = callmethod(opresult2510, "++", 1, partcv, params);
// compilenode returning opresult2511
  *var_s = opresult2511;
  if (opresult2511 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2513 = gc_frame_new();
  int callframe2514 = gc_frame_new();
  partcv[0] = 0;
  Object call2515 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2514);
// compilenode returning call2515
  gc_frame_newslot(call2515);
  Object block2516 = alloc_Block(NULL, NULL, "ast", 570);
  gc_frame_newslot(block2516);
  block_savedest(block2516);
  Object closure2517 = createclosure(4, "_apply");
  setclosureframe(closure2517, stackframe);
  addtoclosure(closure2517, var_depth);
  addtoclosure(closure2517, var_spc);
  addtoclosure(closure2517, var_s);
  addtoclosure(closure2517, selfslot);
  struct UserObject *uo2517 = (struct UserObject*)block2516;
  uo2517->data[0] = (Object)closure2517;
  Method *meth_meth_ast__apply2517 = addmethod2pos(block2516, "_apply", &meth_ast__apply2517, 0);
int argcv_meth_ast__apply2517[] = {1};
meth_meth_ast__apply2517->type = alloc_MethodType(1, argcv_meth_ast__apply2517);
  meth_meth_ast__apply2517->definitionModule = modulename;
  meth_meth_ast__apply2517->definitionLine = 562;
// compilenode returning block2516
  gc_frame_newslot(block2516);
  params[0] = call2515;
  params[1] = block2516;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2536 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2513);
// compilenode returning call2536
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 573
  setline(573);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2538 == NULL) {
    strlit2538 = alloc_String("""\x0a""");
    gc_root(strlit2538);
  }
// compilenode returning strlit2538
  int op_slot_right_2537 = gc_frame_newslot(strlit2538);
// compilenode returning *var_s
  int op_slot_left_2537 = gc_frame_newslot(*var_s);
  params[0] = strlit2538;
  partcv[0] = 1;
  Object opresult2540 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2540
  *var_s = opresult2540;
  if (opresult2540 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply2554(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2556 == NULL) {
    strlit2556 = alloc_String("    ");
    gc_root(strlit2556);
  }
// compilenode returning strlit2556
  int op_slot_right_2555 = gc_frame_newslot(strlit2556);
// compilenode returning *var_spc
  int op_slot_left_2555 = gc_frame_newslot(*var_spc);
  params[0] = strlit2556;
  partcv[0] = 1;
  Object opresult2558 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult2558
  *var_spc = opresult2558;
  if (opresult2558 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2583(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2585 = gc_frame_new();
  int callframe2586 = gc_frame_new();
  partcv[0] = 0;
  Object call2587 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2586);
// compilenode returning call2587
// compilenode returning call2587
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2588 = callmethod(call2587, "[]", 1, partcv, params);
// compilenode returning idxres2588
  partcv[0] = 0;
  Object call2589 = callmethod(idxres2588, "value",
    1, partcv, params);
  gc_frame_end(callframe2585);
// compilenode returning call2589
// compilenode returning call2589
  int op_slot_right_2584 = gc_frame_newslot(call2589);
// compilenode returning *var_s
  int op_slot_left_2584 = gc_frame_newslot(*var_s);
  params[0] = call2589;
  partcv[0] = 1;
  Object opresult2591 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2591
  *var_s = opresult2591;
  if (opresult2591 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2595 = gc_frame_new();
  int callframe2596 = gc_frame_new();
  partcv[0] = 0;
  Object call2597 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2596);
// compilenode returning call2597
// compilenode returning call2597
  partcv[0] = 0;
  Object call2598 = callmethod(call2597, "size",
    1, partcv, params);
  gc_frame_end(callframe2595);
// compilenode returning call2598
// compilenode returning call2598
  int op_slot_right_2594 = gc_frame_newslot(call2598);
// compilenode returning *var_i
  int op_slot_left_2594 = gc_frame_newslot(*var_i);
  params[0] = call2598;
  partcv[0] = 1;
  Object opresult2600 = callmethod(*var_i, "<", 1, partcv, params);
// compilenode returning opresult2600
  Object if2593 = done;
  if (istrue(opresult2600)) {
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2602 == NULL) {
    strlit2602 = alloc_String(", ");
    gc_root(strlit2602);
  }
// compilenode returning strlit2602
  int op_slot_right_2601 = gc_frame_newslot(strlit2602);
// compilenode returning *var_s
  int op_slot_left_2601 = gc_frame_newslot(*var_s);
  params[0] = strlit2602;
  partcv[0] = 1;
  Object opresult2604 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2604
  *var_s = opresult2604;
  if (opresult2604 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2593 = done;
  } else {
  }
// compilenode returning if2593
  gc_frame_end(frame);
  return if2593;
}
Object meth_ast__apply2622(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2624 = gc_frame_new();
  Object num2626 = alloc_Float64(1);
// compilenode returning num2626
  int op_slot_right_2625 = gc_frame_newslot(num2626);
// compilenode returning *var_depth
  int op_slot_left_2625 = gc_frame_newslot(*var_depth);
  params[0] = num2626;
  partcv[0] = 1;
  Object sum2628 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2628
  gc_frame_newslot(sum2628);
// compilenode returning *var_each
  params[0] = sum2628;
  partcv[0] = 1;
  Object call2629 = callmethod(*var_each, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2624);
// compilenode returning call2629
  int op_slot_right_2623 = gc_frame_newslot(call2629);
  if (strlit2632 == NULL) {
    strlit2632 = alloc_String("    ");
    gc_root(strlit2632);
  }
// compilenode returning strlit2632
  int op_slot_right_2631 = gc_frame_newslot(strlit2632);
// compilenode returning *var_spc
  int op_slot_right_2634 = gc_frame_newslot(*var_spc);
  if (strlit2637 == NULL) {
    strlit2637 = alloc_String("""\x0a""");
    gc_root(strlit2637);
  }
// compilenode returning strlit2637
  int op_slot_right_2636 = gc_frame_newslot(strlit2637);
// compilenode returning *var_s
  int op_slot_left_2636 = gc_frame_newslot(*var_s);
  params[0] = strlit2637;
  partcv[0] = 1;
  Object opresult2639 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2639
  int op_slot_left_2634 = gc_frame_newslot(opresult2639);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2640 = callmethod(opresult2639, "++", 1, partcv, params);
// compilenode returning opresult2640
  int op_slot_left_2631 = gc_frame_newslot(opresult2640);
  params[0] = strlit2632;
  partcv[0] = 1;
  Object opresult2641 = callmethod(opresult2640, "++", 1, partcv, params);
// compilenode returning opresult2641
  int op_slot_left_2623 = gc_frame_newslot(opresult2641);
  params[0] = call2629;
  partcv[0] = 1;
  Object opresult2642 = callmethod(opresult2641, "++", 1, partcv, params);
// compilenode returning opresult2642
  *var_s = opresult2642;
  if (opresult2642 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2650(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2652 = gc_frame_new();
  Object num2654 = alloc_Float64(1);
// compilenode returning num2654
  int op_slot_right_2653 = gc_frame_newslot(num2654);
// compilenode returning *var_depth
  int op_slot_left_2653 = gc_frame_newslot(*var_depth);
  params[0] = num2654;
  partcv[0] = 1;
  Object sum2656 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2656
  gc_frame_newslot(sum2656);
// compilenode returning *var_each
  params[0] = sum2656;
  partcv[0] = 1;
  Object call2657 = callmethod(*var_each, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2652);
// compilenode returning call2657
  int op_slot_right_2651 = gc_frame_newslot(call2657);
  if (strlit2660 == NULL) {
    strlit2660 = alloc_String("    ");
    gc_root(strlit2660);
  }
// compilenode returning strlit2660
  int op_slot_right_2659 = gc_frame_newslot(strlit2660);
// compilenode returning *var_spc
  int op_slot_right_2662 = gc_frame_newslot(*var_spc);
  if (strlit2665 == NULL) {
    strlit2665 = alloc_String("""\x0a""");
    gc_root(strlit2665);
  }
// compilenode returning strlit2665
  int op_slot_right_2664 = gc_frame_newslot(strlit2665);
// compilenode returning *var_s
  int op_slot_left_2664 = gc_frame_newslot(*var_s);
  params[0] = strlit2665;
  partcv[0] = 1;
  Object opresult2667 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2667
  int op_slot_left_2662 = gc_frame_newslot(opresult2667);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2668 = callmethod(opresult2667, "++", 1, partcv, params);
// compilenode returning opresult2668
  int op_slot_left_2659 = gc_frame_newslot(opresult2668);
  params[0] = strlit2660;
  partcv[0] = 1;
  Object opresult2669 = callmethod(opresult2668, "++", 1, partcv, params);
// compilenode returning opresult2669
  int op_slot_left_2651 = gc_frame_newslot(opresult2669);
  params[0] = call2657;
  partcv[0] = 1;
  Object opresult2670 = callmethod(opresult2669, "++", 1, partcv, params);
// compilenode returning opresult2670
  *var_s = opresult2670;
  if (opresult2670 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace2542(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2543 == NULL) {
    strlit2543 = alloc_String("");
    gc_root(strlit2543);
  }
// compilenode returning strlit2543
  *var_spc = strlit2543;
  if (strlit2543 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2544 = gc_frame_new();
  Object num2547 = alloc_Float64(1);
// compilenode returning num2547
  int op_slot_right_2546 = gc_frame_newslot(num2547);
// compilenode returning *var_depth
  int op_slot_left_2546 = gc_frame_newslot(*var_depth);
  params[0] = num2547;
  partcv[0] = 1;
  Object diff2549 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff2549
  int op_slot_right_2545 = gc_frame_newslot(diff2549);
  Object num2551 = alloc_Float64(0);
// compilenode returning num2551
  int op_slot_left_2545 = gc_frame_newslot(num2551);
  params[0] = diff2549;
  partcv[0] = 1;
  Object opresult2552 = callmethod(num2551, "..", 1, partcv, params);
// compilenode returning opresult2552
  gc_frame_newslot(opresult2552);
  Object block2553 = alloc_Block(NULL, NULL, "ast", 578);
  gc_frame_newslot(block2553);
  block_savedest(block2553);
  Object closure2554 = createclosure(2, "_apply");
  setclosureframe(closure2554, stackframe);
  addtoclosure(closure2554, var_spc);
  addtoclosure(closure2554, selfslot);
  struct UserObject *uo2554 = (struct UserObject*)block2553;
  uo2554->data[0] = (Object)closure2554;
  Method *meth_meth_ast__apply2554 = addmethod2pos(block2553, "_apply", &meth_ast__apply2554, 0);
int argcv_meth_ast__apply2554[] = {1};
meth_meth_ast__apply2554->type = alloc_MethodType(1, argcv_meth_ast__apply2554);
  meth_meth_ast__apply2554->definitionModule = modulename;
  meth_meth_ast__apply2554->definitionLine = 562;
// compilenode returning block2553
  gc_frame_newslot(block2553);
  params[0] = opresult2552;
  params[1] = block2553;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2561 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2544);
// compilenode returning call2561
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2562 == NULL) {
    strlit2562 = alloc_String("type");
    gc_root(strlit2562);
  }
// compilenode returning strlit2562
  *var_s = strlit2562;
  if (strlit2562 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2565 = alloc_Float64(0);
// compilenode returning num2565
  int op_slot_right_2564 = gc_frame_newslot(num2565);
  int callframe2567 = gc_frame_new();
  int callframe2568 = gc_frame_new();
  partcv[0] = 0;
  Object call2569 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2568);
// compilenode returning call2569
// compilenode returning call2569
  partcv[0] = 0;
  Object call2570 = callmethod(call2569, "size",
    1, partcv, params);
  gc_frame_end(callframe2567);
// compilenode returning call2570
// compilenode returning call2570
  int op_slot_left_2564 = gc_frame_newslot(call2570);
  params[0] = num2565;
  partcv[0] = 1;
  Object opresult2571 = callmethod(call2570, ">", 1, partcv, params);
// compilenode returning opresult2571
  Object if2563 = done;
  if (istrue(opresult2571)) {
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2573 == NULL) {
    strlit2573 = alloc_String("<");
    gc_root(strlit2573);
  }
// compilenode returning strlit2573
  int op_slot_right_2572 = gc_frame_newslot(strlit2573);
// compilenode returning *var_s
  int op_slot_left_2572 = gc_frame_newslot(*var_s);
  params[0] = strlit2573;
  partcv[0] = 1;
  Object opresult2575 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2575
  *var_s = opresult2575;
  if (opresult2575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2577 = gc_frame_new();
  int callframe2578 = gc_frame_new();
  int callframe2579 = gc_frame_new();
  partcv[0] = 0;
  Object call2580 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2579);
// compilenode returning call2580
// compilenode returning call2580
  partcv[0] = 0;
  Object call2581 = callmethod(call2580, "indices",
    1, partcv, params);
  gc_frame_end(callframe2578);
// compilenode returning call2581
// compilenode returning call2581
  gc_frame_newslot(call2581);
  Object block2582 = alloc_Block(NULL, NULL, "ast", 584);
  gc_frame_newslot(block2582);
  block_savedest(block2582);
  Object closure2583 = createclosure(2, "_apply");
  setclosureframe(closure2583, stackframe);
  addtoclosure(closure2583, var_s);
  addtoclosure(closure2583, selfslot);
  struct UserObject *uo2583 = (struct UserObject*)block2582;
  uo2583->data[0] = (Object)closure2583;
  Method *meth_meth_ast__apply2583 = addmethod2pos(block2582, "_apply", &meth_ast__apply2583, 0);
int argcv_meth_ast__apply2583[] = {1};
meth_meth_ast__apply2583->type = alloc_MethodType(1, argcv_meth_ast__apply2583);
  meth_meth_ast__apply2583->definitionModule = modulename;
  meth_meth_ast__apply2583->definitionLine = 584;
// compilenode returning block2582
  gc_frame_newslot(block2582);
  params[0] = call2581;
  params[1] = block2582;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2607 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2577);
// compilenode returning call2607
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2609 == NULL) {
    strlit2609 = alloc_String(">");
    gc_root(strlit2609);
  }
// compilenode returning strlit2609
  int op_slot_right_2608 = gc_frame_newslot(strlit2609);
// compilenode returning *var_s
  int op_slot_left_2608 = gc_frame_newslot(*var_s);
  params[0] = strlit2609;
  partcv[0] = 1;
  Object opresult2611 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2611
  *var_s = opresult2611;
  if (opresult2611 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2563 = done;
  } else {
  }
// compilenode returning if2563
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2614 == NULL) {
    strlit2614 = alloc_String(" = {");
    gc_root(strlit2614);
  }
// compilenode returning strlit2614
  int op_slot_right_2613 = gc_frame_newslot(strlit2614);
// compilenode returning *var_s
  int op_slot_left_2613 = gc_frame_newslot(*var_s);
  params[0] = strlit2614;
  partcv[0] = 1;
  Object opresult2616 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2616
  *var_s = opresult2616;
  if (opresult2616 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2618 = gc_frame_new();
  int callframe2619 = gc_frame_new();
  partcv[0] = 0;
  Object call2620 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2619);
// compilenode returning call2620
// compilenode returning call2620
  gc_frame_newslot(call2620);
  Object block2621 = alloc_Block(NULL, NULL, "ast", 593);
  gc_frame_newslot(block2621);
  block_savedest(block2621);
  Object closure2622 = createclosure(4, "_apply");
  setclosureframe(closure2622, stackframe);
  addtoclosure(closure2622, var_depth);
  addtoclosure(closure2622, var_spc);
  addtoclosure(closure2622, var_s);
  addtoclosure(closure2622, selfslot);
  struct UserObject *uo2622 = (struct UserObject*)block2621;
  uo2622->data[0] = (Object)closure2622;
  Method *meth_meth_ast__apply2622 = addmethod2pos(block2621, "_apply", &meth_ast__apply2622, 0);
int argcv_meth_ast__apply2622[] = {1};
meth_meth_ast__apply2622->type = alloc_MethodType(1, argcv_meth_ast__apply2622);
  meth_meth_ast__apply2622->definitionModule = modulename;
  meth_meth_ast__apply2622->definitionLine = 593;
// compilenode returning block2621
  gc_frame_newslot(block2621);
  params[0] = call2620;
  params[1] = block2621;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2645 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2618);
// compilenode returning call2645
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2646 = gc_frame_new();
  int callframe2647 = gc_frame_new();
  partcv[0] = 0;
  Object call2648 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2647);
// compilenode returning call2648
// compilenode returning call2648
  gc_frame_newslot(call2648);
  Object block2649 = alloc_Block(NULL, NULL, "ast", 596);
  gc_frame_newslot(block2649);
  block_savedest(block2649);
  Object closure2650 = createclosure(4, "_apply");
  setclosureframe(closure2650, stackframe);
  addtoclosure(closure2650, var_depth);
  addtoclosure(closure2650, var_spc);
  addtoclosure(closure2650, var_s);
  addtoclosure(closure2650, selfslot);
  struct UserObject *uo2650 = (struct UserObject*)block2649;
  uo2650->data[0] = (Object)closure2650;
  Method *meth_meth_ast__apply2650 = addmethod2pos(block2649, "_apply", &meth_ast__apply2650, 0);
int argcv_meth_ast__apply2650[] = {1};
meth_meth_ast__apply2650->type = alloc_MethodType(1, argcv_meth_ast__apply2650);
  meth_meth_ast__apply2650->definitionModule = modulename;
  meth_meth_ast__apply2650->definitionLine = 596;
// compilenode returning block2649
  gc_frame_newslot(block2649);
  params[0] = call2648;
  params[1] = block2649;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2673 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2646);
// compilenode returning call2673
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2675 == NULL) {
    strlit2675 = alloc_String("}");
    gc_root(strlit2675);
  }
// compilenode returning strlit2675
  int op_slot_right_2674 = gc_frame_newslot(strlit2675);
// compilenode returning *var_s
  int op_slot_left_2674 = gc_frame_newslot(*var_s);
  params[0] = strlit2675;
  partcv[0] = 1;
  Object opresult2677 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2677
  gc_frame_end(frame);
  return opresult2677;
}
Object meth_ast_new2291(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_typeLiteralNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2292 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2292 = alloc_userobj2(20,17, objclass2292);
  gc_frame_newslot(obj2292);
if (objclass2292 == NULL) {
  glfree(obj2292->class->name);
  obj2292->class->name = "typeLiteralNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2292, self, 0);
  addmethodreal(obj2292,"outer", &reader_ast_outer_2293);
  Object oldself2292 = self;
  struct StackFrameObject *oldstackframe2292 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2292);
  gc_frame_newslot((Object)stackframe);
  self = obj2292;
  Object *oldselfslot2292 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2292 = (*(struct UserObject *)self).data[0], lowerouter2292 = thisouter2292;
  if (inheritingObject2292) {
    struct UserObject *inho2292 = (struct UserObject *)inheritingObject2292;
    while (inho2292->super != GraceDefaultObject) inho2292 = (struct UserObject *)inho2292->super;
    inho2292->super = obj2292;
    self = inheritingObject2292;
    *selfslot = self;
    lowerouter2292 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2292;
  }
if (objclass2292 == NULL) {
  Method *reader2294 = addmethodrealflags(obj2292, "kind",&reader_ast_kind_2294, MFLAG_DEF);
  reader2294->definitionModule = modulename;
  reader2294->definitionLine = 513;
}
adddatum2(obj2292, alloc_Undefined(), 1);
if (objclass2292 == NULL) {
  Method *reader2295 = addmethodrealflags(obj2292, "methods",&reader_ast_methods_2295, MFLAG_DEF);
  reader2295->definitionModule = modulename;
  reader2295->definitionLine = 514;
}
adddatum2(obj2292, alloc_Undefined(), 2);
if (objclass2292 == NULL) {
  Method *reader2296 = addmethodrealflags(obj2292, "types",&reader_ast_types_2296, MFLAG_DEF);
  reader2296->definitionModule = modulename;
  reader2296->definitionLine = 515;
}
adddatum2(obj2292, alloc_Undefined(), 3);
if (objclass2292 == NULL) {
  Method *reader2297 = addmethodrealflags(obj2292, "generics",&reader_ast_generics_2297, 0);
  Method *writer2297 = addmethodrealflags(obj2292, "generics:=",&writer_ast_generics_2297, 0);
  reader2297->definitionModule = modulename;
  writer2297->definitionModule = modulename;
  reader2297->definitionLine = 516;
  writer2297->definitionLine = 516;
}
obj2292->flags |= OFLAG_MUTABLE;
adddatum2(obj2292, alloc_Undefined(), 4);
if (objclass2292 == NULL) {
  Method *reader2298 = addmethodrealflags(obj2292, "nominal",&reader_ast_nominal_2298, 0);
  Method *writer2298 = addmethodrealflags(obj2292, "nominal:=",&writer_ast_nominal_2298, 0);
  reader2298->definitionModule = modulename;
  writer2298->definitionModule = modulename;
  reader2298->definitionLine = 517;
  writer2298->definitionLine = 517;
}
obj2292->flags |= OFLAG_MUTABLE;
adddatum2(obj2292, alloc_Undefined(), 5);
if (objclass2292 == NULL) {
  Method *reader2299 = addmethodrealflags(obj2292, "anonymous",&reader_ast_anonymous_2299, 0);
  Method *writer2299 = addmethodrealflags(obj2292, "anonymous:=",&writer_ast_anonymous_2299, 0);
  reader2299->definitionModule = modulename;
  writer2299->definitionModule = modulename;
  reader2299->definitionLine = 518;
  writer2299->definitionLine = 518;
}
obj2292->flags |= OFLAG_MUTABLE;
adddatum2(obj2292, alloc_Undefined(), 6);
if (objclass2292 == NULL) {
  Method *reader2300 = addmethodrealflags(obj2292, "value",&reader_ast_value_2300, 0);
  Method *writer2300 = addmethodrealflags(obj2292, "value:=",&writer_ast_value_2300, 0);
  reader2300->definitionModule = modulename;
  writer2300->definitionModule = modulename;
  reader2300->definitionLine = 521;
  writer2300->definitionLine = 521;
}
obj2292->flags |= OFLAG_MUTABLE;
adddatum2(obj2292, alloc_Undefined(), 7);
  struct UserObject *uo2301 = (struct UserObject*)obj2292;
  uo2301->data[8] = emptyclosure;
  Method *meth_meth_ast_name2301 = addmethod2pos(obj2292, "name", &meth_ast_name2301, 8);
int argcv_meth_ast_name2301[] = {0};
meth_meth_ast_name2301->type = alloc_MethodType(1, argcv_meth_ast_name2301);
  meth_meth_ast_name2301->definitionModule = modulename;
  meth_meth_ast_name2301->definitionLine = 521;
  struct UserObject *uo2304 = (struct UserObject*)obj2292;
  uo2304->data[9] = emptyclosure;
  Method *meth_meth_ast_name_58__61_2304 = addmethod2pos(obj2292, "name:=", &meth_ast_name_58__61_2304, 9);
int argcv_meth_ast_name_58__61_2304[] = {1};
meth_meth_ast_name_58__61_2304->type = alloc_MethodType(1, argcv_meth_ast_name_58__61_2304);
meth_meth_ast_name_58__61_2304->type->types[0] = type_String;
meth_meth_ast_name_58__61_2304->type->names[0] = "n";
  meth_meth_ast_name_58__61_2304->definitionModule = modulename;
  meth_meth_ast_name_58__61_2304->definitionLine = 522;
  struct UserObject *uo2310 = (struct UserObject*)obj2292;
  uo2310->data[10] = emptyclosure;
  Method *meth_meth_ast_asString2310 = addmethod2pos(obj2292, "asString", &meth_ast_asString2310, 10);
int argcv_meth_ast_asString2310[] = {0};
meth_meth_ast_asString2310->type = alloc_MethodType(1, argcv_meth_ast_asString2310);
  meth_meth_ast_asString2310->definitionModule = modulename;
  meth_meth_ast_asString2310->definitionLine = 526;
  struct UserObject *uo2330 = (struct UserObject*)obj2292;
  uo2330->data[11] = emptyclosure;
  Method *meth_meth_ast_accept2330 = addmethod2pos(obj2292, "accept", &meth_ast_accept2330, 11);
int argcv_meth_ast_accept2330[] = {1};
meth_meth_ast_accept2330->type = alloc_MethodType(1, argcv_meth_ast_accept2330);
  meth_meth_ast_accept2330->definitionModule = modulename;
  meth_meth_ast_accept2330->definitionLine = 529;
  block_savedest(obj2292);
  Object closure2352 = createclosure(1, "map()before()after");
  setclosureframe(closure2352, stackframe);
  addtoclosure(closure2352, var_typeLiteralNode);
  struct UserObject *uo2352 = (struct UserObject*)obj2292;
  uo2352->data[12] = (Object)closure2352;
  Method *meth_meth_ast_map_40__41_before_40__41_after2352 = addmethod2pos(obj2292, "map()before()after", &meth_ast_map_40__41_before_40__41_after2352, 12);
int argcv_meth_ast_map_40__41_before_40__41_after2352[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after2352->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after2352);
  meth_meth_ast_map_40__41_before_40__41_after2352->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after2352->definitionLine = 539;
  struct UserObject *uo2386 = (struct UserObject*)obj2292;
  uo2386->data[13] = emptyclosure;
  Method *meth_meth_ast_map2386 = addmethod2pos(obj2292, "map", &meth_ast_map2386, 13);
int argcv_meth_ast_map2386[] = {1};
meth_meth_ast_map2386->type = alloc_MethodType(1, argcv_meth_ast_map2386);
  meth_meth_ast_map2386->definitionModule = modulename;
  meth_meth_ast_map2386->definitionLine = 550;
  struct UserObject *uo2395 = (struct UserObject*)obj2292;
  uo2395->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty2395 = addmethod2pos(obj2292, "pretty", &meth_ast_pretty2395, 14);
int argcv_meth_ast_pretty2395[] = {1};
meth_meth_ast_pretty2395->type = alloc_MethodType(1, argcv_meth_ast_pretty2395);
  meth_meth_ast_pretty2395->definitionModule = modulename;
  meth_meth_ast_pretty2395->definitionLine = 553;
  struct UserObject *uo2542 = (struct UserObject*)obj2292;
  uo2542->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace2542 = addmethod2pos(obj2292, "toGrace", &meth_ast_toGrace2542, 15);
int argcv_meth_ast_toGrace2542[] = {1};
meth_meth_ast_toGrace2542->type = alloc_MethodType(1, argcv_meth_ast_toGrace2542);
meth_meth_ast_toGrace2542->type->types[0] = type_Number;
meth_meth_ast_toGrace2542->type->names[0] = "depth";
  meth_meth_ast_toGrace2542->definitionModule = modulename;
  meth_meth_ast_toGrace2542->definitionLine = 576;
  sourceObject = obj2292;
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2678 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2679 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2678);
// compilenode returning call2679
  struct UserObject *obj2292_uo = (struct UserObject *)obj2292;
  obj2292_uo->super = call2679;
  sourceObject = obj2292;
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2680 == NULL) {
    strlit2680 = alloc_String("typeliteral");
    gc_root(strlit2680);
  }
// compilenode returning strlit2680
  adddatum2(obj2292, strlit2680, 1);
  sourceObject = obj2292;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methods_39_
  adddatum2(obj2292, *var_methods_39_, 2);
  sourceObject = obj2292;
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_types_39_
  adddatum2(obj2292, *var_types_39_, 3);
  sourceObject = obj2292;
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2681 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2681
  adddatum2(obj2292, array2681, 4);
  sourceObject = obj2292;
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2682 = alloc_Boolean(0);
// compilenode returning bool2682
  adddatum2(obj2292, bool2682, 5);
  sourceObject = obj2292;
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2683 = alloc_Boolean(1);
// compilenode returning bool2683
  adddatum2(obj2292, bool2683, 6);
  sourceObject = obj2292;
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2684 == NULL) {
    strlit2684 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit2684);
  }
// compilenode returning strlit2684
  adddatum2(obj2292, strlit2684, 7);
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
objclass2292 = obj2292->class;
  objclass2292->definitionModule = modulename;
  objclass2292->definitionLine = 505;
  (*(struct UserObject *)self).data[0] = lowerouter2292;
  self = oldself2292;
  selfslot = oldselfslot2292;
  stackframe = oldstackframe2292;
  gc_frame_end(frame);
  return obj2292;
}
Object meth_ast_new2291_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_typeLiteralNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2292 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2292 = alloc_userobj2(20,17, objclass2292);
  gc_frame_newslot(obj2292);
if (objclass2292 == NULL) {
  glfree(obj2292->class->name);
  obj2292->class->name = "typeLiteralNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2292, self, 0);
  addmethodreal(obj2292,"outer", &reader_ast_outer_2293);
  Object oldself2292 = self;
  struct StackFrameObject *oldstackframe2292 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2292);
  gc_frame_newslot((Object)stackframe);
  self = obj2292;
  Object *oldselfslot2292 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2292 = (*(struct UserObject *)self).data[0], lowerouter2292 = thisouter2292;
  if (inheritingObject2292) {
    struct UserObject *inho2292 = (struct UserObject *)inheritingObject2292;
    while (inho2292->super != GraceDefaultObject) inho2292 = (struct UserObject *)inho2292->super;
    inho2292->super = obj2292;
    self = inheritingObject2292;
    *selfslot = self;
    lowerouter2292 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2292;
  }
if (objclass2292 == NULL) {
  Method *reader2294 = addmethodrealflags(obj2292, "kind",&reader_ast_kind_2294, MFLAG_DEF);
  reader2294->definitionModule = modulename;
  reader2294->definitionLine = 513;
}
adddatum2(obj2292, alloc_Undefined(), 1);
if (objclass2292 == NULL) {
  Method *reader2295 = addmethodrealflags(obj2292, "methods",&reader_ast_methods_2295, MFLAG_DEF);
  reader2295->definitionModule = modulename;
  reader2295->definitionLine = 514;
}
adddatum2(obj2292, alloc_Undefined(), 2);
if (objclass2292 == NULL) {
  Method *reader2296 = addmethodrealflags(obj2292, "types",&reader_ast_types_2296, MFLAG_DEF);
  reader2296->definitionModule = modulename;
  reader2296->definitionLine = 515;
}
adddatum2(obj2292, alloc_Undefined(), 3);
if (objclass2292 == NULL) {
  Method *reader2297 = addmethodrealflags(obj2292, "generics",&reader_ast_generics_2297, 0);
  Method *writer2297 = addmethodrealflags(obj2292, "generics:=",&writer_ast_generics_2297, 0);
  reader2297->definitionModule = modulename;
  writer2297->definitionModule = modulename;
  reader2297->definitionLine = 516;
  writer2297->definitionLine = 516;
}
obj2292->flags |= OFLAG_MUTABLE;
adddatum2(obj2292, alloc_Undefined(), 4);
if (objclass2292 == NULL) {
  Method *reader2298 = addmethodrealflags(obj2292, "nominal",&reader_ast_nominal_2298, 0);
  Method *writer2298 = addmethodrealflags(obj2292, "nominal:=",&writer_ast_nominal_2298, 0);
  reader2298->definitionModule = modulename;
  writer2298->definitionModule = modulename;
  reader2298->definitionLine = 517;
  writer2298->definitionLine = 517;
}
obj2292->flags |= OFLAG_MUTABLE;
adddatum2(obj2292, alloc_Undefined(), 5);
if (objclass2292 == NULL) {
  Method *reader2299 = addmethodrealflags(obj2292, "anonymous",&reader_ast_anonymous_2299, 0);
  Method *writer2299 = addmethodrealflags(obj2292, "anonymous:=",&writer_ast_anonymous_2299, 0);
  reader2299->definitionModule = modulename;
  writer2299->definitionModule = modulename;
  reader2299->definitionLine = 518;
  writer2299->definitionLine = 518;
}
obj2292->flags |= OFLAG_MUTABLE;
adddatum2(obj2292, alloc_Undefined(), 6);
if (objclass2292 == NULL) {
  Method *reader2300 = addmethodrealflags(obj2292, "value",&reader_ast_value_2300, 0);
  Method *writer2300 = addmethodrealflags(obj2292, "value:=",&writer_ast_value_2300, 0);
  reader2300->definitionModule = modulename;
  writer2300->definitionModule = modulename;
  reader2300->definitionLine = 521;
  writer2300->definitionLine = 521;
}
obj2292->flags |= OFLAG_MUTABLE;
adddatum2(obj2292, alloc_Undefined(), 7);
  struct UserObject *uo2301 = (struct UserObject*)obj2292;
  uo2301->data[8] = emptyclosure;
  Method *meth_meth_ast_name2301 = addmethod2pos(obj2292, "name", &meth_ast_name2301, 8);
int argcv_meth_ast_name2301[] = {0};
meth_meth_ast_name2301->type = alloc_MethodType(1, argcv_meth_ast_name2301);
  meth_meth_ast_name2301->definitionModule = modulename;
  meth_meth_ast_name2301->definitionLine = 521;
  struct UserObject *uo2304 = (struct UserObject*)obj2292;
  uo2304->data[9] = emptyclosure;
  Method *meth_meth_ast_name_58__61_2304 = addmethod2pos(obj2292, "name:=", &meth_ast_name_58__61_2304, 9);
int argcv_meth_ast_name_58__61_2304[] = {1};
meth_meth_ast_name_58__61_2304->type = alloc_MethodType(1, argcv_meth_ast_name_58__61_2304);
meth_meth_ast_name_58__61_2304->type->types[0] = type_String;
meth_meth_ast_name_58__61_2304->type->names[0] = "n";
  meth_meth_ast_name_58__61_2304->definitionModule = modulename;
  meth_meth_ast_name_58__61_2304->definitionLine = 522;
  struct UserObject *uo2310 = (struct UserObject*)obj2292;
  uo2310->data[10] = emptyclosure;
  Method *meth_meth_ast_asString2310 = addmethod2pos(obj2292, "asString", &meth_ast_asString2310, 10);
int argcv_meth_ast_asString2310[] = {0};
meth_meth_ast_asString2310->type = alloc_MethodType(1, argcv_meth_ast_asString2310);
  meth_meth_ast_asString2310->definitionModule = modulename;
  meth_meth_ast_asString2310->definitionLine = 526;
  struct UserObject *uo2330 = (struct UserObject*)obj2292;
  uo2330->data[11] = emptyclosure;
  Method *meth_meth_ast_accept2330 = addmethod2pos(obj2292, "accept", &meth_ast_accept2330, 11);
int argcv_meth_ast_accept2330[] = {1};
meth_meth_ast_accept2330->type = alloc_MethodType(1, argcv_meth_ast_accept2330);
  meth_meth_ast_accept2330->definitionModule = modulename;
  meth_meth_ast_accept2330->definitionLine = 529;
  block_savedest(obj2292);
  Object closure2352 = createclosure(1, "map()before()after");
  setclosureframe(closure2352, stackframe);
  addtoclosure(closure2352, var_typeLiteralNode);
  struct UserObject *uo2352 = (struct UserObject*)obj2292;
  uo2352->data[12] = (Object)closure2352;
  Method *meth_meth_ast_map_40__41_before_40__41_after2352 = addmethod2pos(obj2292, "map()before()after", &meth_ast_map_40__41_before_40__41_after2352, 12);
int argcv_meth_ast_map_40__41_before_40__41_after2352[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after2352->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after2352);
  meth_meth_ast_map_40__41_before_40__41_after2352->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after2352->definitionLine = 539;
  struct UserObject *uo2386 = (struct UserObject*)obj2292;
  uo2386->data[13] = emptyclosure;
  Method *meth_meth_ast_map2386 = addmethod2pos(obj2292, "map", &meth_ast_map2386, 13);
int argcv_meth_ast_map2386[] = {1};
meth_meth_ast_map2386->type = alloc_MethodType(1, argcv_meth_ast_map2386);
  meth_meth_ast_map2386->definitionModule = modulename;
  meth_meth_ast_map2386->definitionLine = 550;
  struct UserObject *uo2395 = (struct UserObject*)obj2292;
  uo2395->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty2395 = addmethod2pos(obj2292, "pretty", &meth_ast_pretty2395, 14);
int argcv_meth_ast_pretty2395[] = {1};
meth_meth_ast_pretty2395->type = alloc_MethodType(1, argcv_meth_ast_pretty2395);
  meth_meth_ast_pretty2395->definitionModule = modulename;
  meth_meth_ast_pretty2395->definitionLine = 553;
  struct UserObject *uo2542 = (struct UserObject*)obj2292;
  uo2542->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace2542 = addmethod2pos(obj2292, "toGrace", &meth_ast_toGrace2542, 15);
int argcv_meth_ast_toGrace2542[] = {1};
meth_meth_ast_toGrace2542->type = alloc_MethodType(1, argcv_meth_ast_toGrace2542);
meth_meth_ast_toGrace2542->type->types[0] = type_Number;
meth_meth_ast_toGrace2542->type->names[0] = "depth";
  meth_meth_ast_toGrace2542->definitionModule = modulename;
  meth_meth_ast_toGrace2542->definitionLine = 576;
  sourceObject = obj2292;
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2678 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2679 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2678);
// compilenode returning call2679
  struct UserObject *obj2292_uo = (struct UserObject *)obj2292;
  obj2292_uo->super = call2679;
  sourceObject = obj2292;
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2680 == NULL) {
    strlit2680 = alloc_String("typeliteral");
    gc_root(strlit2680);
  }
// compilenode returning strlit2680
  adddatum2(obj2292, strlit2680, 1);
  sourceObject = obj2292;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methods_39_
  adddatum2(obj2292, *var_methods_39_, 2);
  sourceObject = obj2292;
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_types_39_
  adddatum2(obj2292, *var_types_39_, 3);
  sourceObject = obj2292;
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2681 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2681
  adddatum2(obj2292, array2681, 4);
  sourceObject = obj2292;
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2682 = alloc_Boolean(0);
// compilenode returning bool2682
  adddatum2(obj2292, bool2682, 5);
  sourceObject = obj2292;
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2683 = alloc_Boolean(1);
// compilenode returning bool2683
  adddatum2(obj2292, bool2683, 6);
  sourceObject = obj2292;
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2684 == NULL) {
    strlit2684 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit2684);
  }
// compilenode returning strlit2684
  adddatum2(obj2292, strlit2684, 7);
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
  sourceObject = obj2292;
objclass2292 = obj2292->class;
  objclass2292->definitionModule = modulename;
  objclass2292->definitionLine = 505;
  (*(struct UserObject *)self).data[0] = lowerouter2292;
  self = oldself2292;
  selfslot = oldselfslot2292;
  stackframe = oldstackframe2292;
  gc_frame_end(frame);
  return obj2292;
}
Object meth_ast_typeDecNode2686(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeDecNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeDecNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_typeDecNode
  gc_frame_end(frame);
  return *var_typeDecNode;
}
Object meth_ast_isConfidential2698(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isConfidential (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isConfidential");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2701 = alloc_Float64(0);
// compilenode returning num2701
  int op_slot_right_2700 = gc_frame_newslot(num2701);
  int callframe2703 = gc_frame_new();
  int callframe2704 = gc_frame_new();
  partcv[0] = 0;
  Object call2705 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2704);
// compilenode returning call2705
  partcv[0] = 0;
  Object call2706 = callmethod(call2705, "size",
    1, partcv, params);
  gc_frame_end(callframe2703);
// compilenode returning call2706
// compilenode returning call2706
  int op_slot_left_2700 = gc_frame_newslot(call2706);
  params[0] = num2701;
  partcv[0] = 1;
  Object opresult2707 = callmethod(call2706, "==", 1, partcv, params);
// compilenode returning opresult2707
  Object if2699 = done;
  if (istrue(opresult2707)) {
  Object bool2708 = alloc_Boolean(0);
// compilenode returning bool2708
  return bool2708;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if2699 = undefined;
  } else {
  }
// compilenode returning if2699
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2709 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit2710 == NULL) {
    strlit2710 = alloc_String("confidential");
    gc_root(strlit2710);
  }
// compilenode returning strlit2710
  gc_frame_newslot(strlit2710);
  int callframe2711 = gc_frame_new();
  int callframe2712 = gc_frame_new();
  Object call2713 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2712);
// compilenode returning call2713
// compilenode returning call2713
  partcv[0] = 0;
  Object call2714 = callmethodflags(call2713, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2711);
// compilenode returning call2714
// compilenode returning call2714
  params[0] = self;
  params[1] = strlit2710;
  partcv[0] = 2;
  Object call2715 = callmethodflags(call2714, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2709);
// compilenode returning call2715
  gc_frame_end(frame);
  return call2715;
}
Object meth_ast_isPublic2716(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2717 = gc_frame_new();
  int callframe2718 = gc_frame_new();
  partcv[0] = 0;
  Object call2719 = callmethodflags(self, "isConfidential", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2718);
// compilenode returning call2719
  partcv[0] = 0;
  Object call2720 = callmethod(call2719, "not",
    1, partcv, params);
  gc_frame_end(callframe2717);
// compilenode returning call2720
// compilenode returning call2720
  gc_frame_end(frame);
  return call2720;
}
Object meth_ast_isWritable2721(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2722 = alloc_Boolean(0);
// compilenode returning bool2722
  gc_frame_end(frame);
  return bool2722;
}
Object meth_ast_isReadable2723(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2724 = gc_frame_new();
  partcv[0] = 0;
  Object call2725 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2724);
// compilenode returning call2725
  gc_frame_end(frame);
  return call2725;
}
Object meth_ast_accept2726(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2728 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call2729 = callmethod(*var_visitor, "visitTypeDec",
    1, partcv, params);
  gc_frame_end(callframe2728);
// compilenode returning call2729
  Object if2727 = done;
  if (istrue(call2729)) {
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2730 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe2731 = gc_frame_new();
  partcv[0] = 0;
  Object call2732 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2731);
// compilenode returning call2732
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call2733 = callmethod(call2732, "accept",
    1, partcv, params);
  gc_frame_end(callframe2730);
// compilenode returning call2733
    gc_frame_newslot(call2733);
    if2727 = call2733;
  } else {
  }
// compilenode returning if2727
  gc_frame_end(frame);
  return if2727;
}
Object meth_ast__apply2755(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_blk = getfromclosure(closure, 0);
  Object *var_blkBefore = getfromclosure(closure, 1);
  Object *var_blkAfter = getfromclosure(closure, 2);
  Object *var_n = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2756 = gc_frame_new();
  int callframe2757 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// compilenode returning *var_a
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2758 = callmethod(*var_a, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe2757);
// compilenode returning call2758
  gc_frame_newslot(call2758);
  int callframe2759 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call2760 = callmethod(*var_n, "annotations",
    1, partcv, params);
  gc_frame_end(callframe2759);
// compilenode returning call2760
// compilenode returning call2760
  params[0] = call2758;
  partcv[0] = 1;
  Object call2761 = callmethod(call2760, "push",
    1, partcv, params);
  gc_frame_end(callframe2756);
// compilenode returning call2761
  gc_frame_end(frame);
  return call2761;
}
Object meth_ast_map_40__41_before_40__41_after2734(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_typeDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2735 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call2736 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe2735);
// compilenode returning call2736
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2737 = gc_frame_new();
  int callframe2738 = gc_frame_new();
  partcv[0] = 0;
  Object call2739 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2738);
// compilenode returning call2739
  gc_frame_newslot(call2739);
  int callframe2740 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe2741 = gc_frame_new();
  partcv[0] = 0;
  Object call2742 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2741);
// compilenode returning call2742
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2743 = callmethod(call2742, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe2740);
// compilenode returning call2743
  gc_frame_newslot(call2743);
// compilenode returning *var_typeDecNode
  params[0] = call2739;
  params[1] = call2743;
  partcv[0] = 2;
  Object call2744 = callmethod(*var_typeDecNode, "new",
    1, partcv, params);
  gc_frame_end(callframe2737);
// compilenode returning call2744
  *var_n = call2744;
  if (call2744 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2745 = gc_frame_new();
  int callframe2746 = gc_frame_new();
  int callframe2747 = gc_frame_new();
  partcv[0] = 0;
  Object call2748 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2747);
// compilenode returning call2748
  gc_frame_newslot(call2748);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe2749 = gc_frame_new();
  int callframe2750 = gc_frame_new();
  Object call2751 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2750);
// compilenode returning call2751
// compilenode returning call2751
  partcv[0] = 0;
  Object call2752 = callmethodflags(call2751, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2749);
// compilenode returning call2752
// compilenode returning call2752
  params[0] = call2748;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2753 = callmethodflags(call2752, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2746);
// compilenode returning call2753
  gc_frame_newslot(call2753);
  Object block2754 = alloc_Block(NULL, NULL, "ast", 629);
  gc_frame_newslot(block2754);
  block_savedest(block2754);
  Object closure2755 = createclosure(5, "_apply");
  setclosureframe(closure2755, stackframe);
  addtoclosure(closure2755, var_blk);
  addtoclosure(closure2755, var_blkBefore);
  addtoclosure(closure2755, var_blkAfter);
  addtoclosure(closure2755, var_n);
  addtoclosure(closure2755, selfslot);
  struct UserObject *uo2755 = (struct UserObject*)block2754;
  uo2755->data[0] = (Object)closure2755;
  Method *meth_meth_ast__apply2755 = addmethod2pos(block2754, "_apply", &meth_ast__apply2755, 0);
int argcv_meth_ast__apply2755[] = {1};
meth_meth_ast__apply2755->type = alloc_MethodType(1, argcv_meth_ast__apply2755);
  meth_meth_ast__apply2755->definitionModule = modulename;
  meth_meth_ast__apply2755->definitionLine = 629;
// compilenode returning block2754
  gc_frame_newslot(block2754);
  params[0] = call2753;
  params[1] = block2754;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2763 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2745);
// compilenode returning call2763
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2764 = gc_frame_new();
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2765 = gc_frame_new();
  partcv[0] = 0;
  Object call2766 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2765);
// compilenode returning call2766
// compilenode returning call2766
  gc_frame_newslot(call2766);
// compilenode returning *var_n
  params[0] = call2766;
  partcv[0] = 1;
  Object call2767 = callmethod(*var_n, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe2764);
// compilenode returning call2767
// compilenode returning done
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2768 = gc_frame_new();
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2769 = gc_frame_new();
  partcv[0] = 0;
  Object call2770 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2769);
// compilenode returning call2770
  gc_frame_newslot(call2770);
// compilenode returning *var_n
  params[0] = call2770;
  partcv[0] = 1;
  Object call2771 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe2768);
// compilenode returning call2771
// compilenode returning done
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2772 = gc_frame_new();
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2773 = gc_frame_new();
  partcv[0] = 0;
  Object call2774 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2773);
// compilenode returning call2774
  gc_frame_newslot(call2774);
// compilenode returning *var_n
  params[0] = call2774;
  partcv[0] = 1;
  Object call2775 = callmethod(*var_n, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe2772);
// compilenode returning call2775
// compilenode returning done
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2776 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2777 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe2776);
// compilenode returning call2777
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply2781(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2784(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map2778(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2779 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block2780 = alloc_Block(NULL, NULL, "ast", 639);
  gc_frame_newslot(block2780);
  block_savedest(block2780);
  Object closure2781 = createclosure(1, "_apply");
  setclosureframe(closure2781, stackframe);
  addtoclosure(closure2781, selfslot);
  struct UserObject *uo2781 = (struct UserObject*)block2780;
  uo2781->data[0] = (Object)closure2781;
  Method *meth_meth_ast__apply2781 = addmethod2pos(block2780, "_apply", &meth_ast__apply2781, 0);
int argcv_meth_ast__apply2781[] = {0};
meth_meth_ast__apply2781->type = alloc_MethodType(1, argcv_meth_ast__apply2781);
  meth_meth_ast__apply2781->definitionModule = modulename;
  meth_meth_ast__apply2781->definitionLine = 632;
// compilenode returning block2780
  gc_frame_newslot(block2780);
  Object block2783 = alloc_Block(NULL, NULL, "ast", 639);
  gc_frame_newslot(block2783);
  block_savedest(block2783);
  Object closure2784 = createclosure(1, "_apply");
  setclosureframe(closure2784, stackframe);
  addtoclosure(closure2784, selfslot);
  struct UserObject *uo2784 = (struct UserObject*)block2783;
  uo2784->data[0] = (Object)closure2784;
  Method *meth_meth_ast__apply2784 = addmethod2pos(block2783, "_apply", &meth_ast__apply2784, 0);
int argcv_meth_ast__apply2784[] = {0};
meth_meth_ast__apply2784->type = alloc_MethodType(1, argcv_meth_ast__apply2784);
  meth_meth_ast__apply2784->definitionModule = modulename;
  meth_meth_ast__apply2784->definitionLine = 632;
// compilenode returning block2783
  gc_frame_newslot(block2783);
  params[0] = *var_blk;
  params[1] = block2780;
  params[2] = block2783;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2786 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2779);
// compilenode returning call2786
  gc_frame_end(frame);
  return call2786;
}
Object meth_ast__apply2795(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2797 == NULL) {
    strlit2797 = alloc_String("  ");
    gc_root(strlit2797);
  }
// compilenode returning strlit2797
  int op_slot_right_2796 = gc_frame_newslot(strlit2797);
// compilenode returning *var_spc
  int op_slot_left_2796 = gc_frame_newslot(*var_spc);
  params[0] = strlit2797;
  partcv[0] = 1;
  Object opresult2799 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult2799
  *var_spc = opresult2799;
  if (opresult2799 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2852(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ut = &(stackframe->slots[0]);
  *var_ut = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2854 == NULL) {
    strlit2854 = alloc_String("""\x0a""");
    gc_root(strlit2854);
  }
// compilenode returning strlit2854
  int op_slot_right_2853 = gc_frame_newslot(strlit2854);
  int callframe2857 = gc_frame_new();
// compilenode returning *var_ut
  partcv[0] = 0;
  Object call2858 = callmethod(*var_ut, "value",
    1, partcv, params);
  gc_frame_end(callframe2857);
// compilenode returning call2858
// compilenode returning call2858
  int op_slot_right_2856 = gc_frame_newslot(call2858);
  if (strlit2861 == NULL) {
    strlit2861 = alloc_String("  ");
    gc_root(strlit2861);
  }
// compilenode returning strlit2861
  int op_slot_right_2860 = gc_frame_newslot(strlit2861);
// compilenode returning *var_spc
  int op_slot_right_2863 = gc_frame_newslot(*var_spc);
  if (strlit2866 == NULL) {
    strlit2866 = alloc_String("");
    gc_root(strlit2866);
  }
// compilenode returning strlit2866
  int op_slot_right_2865 = gc_frame_newslot(strlit2866);
// compilenode returning *var_s
  int op_slot_right_2868 = gc_frame_newslot(*var_s);
  if (strlit2870 == NULL) {
    strlit2870 = alloc_String("");
    gc_root(strlit2870);
  }
// compilenode returning strlit2870
  int op_slot_left_2868 = gc_frame_newslot(strlit2870);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2871 = callmethod(strlit2870, "++", 1, partcv, params);
// compilenode returning opresult2871
  int op_slot_left_2865 = gc_frame_newslot(opresult2871);
  params[0] = strlit2866;
  partcv[0] = 1;
  Object opresult2872 = callmethod(opresult2871, "++", 1, partcv, params);
// compilenode returning opresult2872
  int op_slot_left_2863 = gc_frame_newslot(opresult2872);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2873 = callmethod(opresult2872, "++", 1, partcv, params);
// compilenode returning opresult2873
  int op_slot_left_2860 = gc_frame_newslot(opresult2873);
  params[0] = strlit2861;
  partcv[0] = 1;
  Object opresult2874 = callmethod(opresult2873, "++", 1, partcv, params);
// compilenode returning opresult2874
  int op_slot_left_2856 = gc_frame_newslot(opresult2874);
  params[0] = call2858;
  partcv[0] = 1;
  Object opresult2875 = callmethod(opresult2874, "++", 1, partcv, params);
// compilenode returning opresult2875
  int op_slot_left_2853 = gc_frame_newslot(opresult2875);
  params[0] = strlit2854;
  partcv[0] = 1;
  Object opresult2876 = callmethod(opresult2875, "++", 1, partcv, params);
// compilenode returning opresult2876
  *var_s = opresult2876;
  if (opresult2876 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty2787(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2788 == NULL) {
    strlit2788 = alloc_String("");
    gc_root(strlit2788);
  }
// compilenode returning strlit2788
  *var_spc = strlit2788;
  if (strlit2788 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2789 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_2790 = gc_frame_newslot(*var_depth);
  Object num2792 = alloc_Float64(0);
// compilenode returning num2792
  int op_slot_left_2790 = gc_frame_newslot(num2792);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2793 = callmethod(num2792, "..", 1, partcv, params);
// compilenode returning opresult2793
  gc_frame_newslot(opresult2793);
  Object block2794 = alloc_Block(NULL, NULL, "ast", 643);
  gc_frame_newslot(block2794);
  block_savedest(block2794);
  Object closure2795 = createclosure(2, "_apply");
  setclosureframe(closure2795, stackframe);
  addtoclosure(closure2795, var_spc);
  addtoclosure(closure2795, selfslot);
  struct UserObject *uo2795 = (struct UserObject*)block2794;
  uo2795->data[0] = (Object)closure2795;
  Method *meth_meth_ast__apply2795 = addmethod2pos(block2794, "_apply", &meth_ast__apply2795, 0);
int argcv_meth_ast__apply2795[] = {1};
meth_meth_ast__apply2795->type = alloc_MethodType(1, argcv_meth_ast__apply2795);
  meth_meth_ast__apply2795->definitionModule = modulename;
  meth_meth_ast__apply2795->definitionLine = 632;
// compilenode returning block2794
  gc_frame_newslot(block2794);
  params[0] = opresult2793;
  params[1] = block2794;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2802 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2789);
// compilenode returning call2802
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2803 == NULL) {
    strlit2803 = alloc_String("TypeDec""\x0a""");
    gc_root(strlit2803);
  }
// compilenode returning strlit2803
  *var_s = strlit2803;
  if (strlit2803 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2805 == NULL) {
    strlit2805 = alloc_String("""\x0a""");
    gc_root(strlit2805);
  }
// compilenode returning strlit2805
  int op_slot_right_2804 = gc_frame_newslot(strlit2805);
  int callframe2808 = gc_frame_new();
  Object num2810 = alloc_Float64(1);
// compilenode returning num2810
  int op_slot_right_2809 = gc_frame_newslot(num2810);
// compilenode returning *var_depth
  int op_slot_left_2809 = gc_frame_newslot(*var_depth);
  params[0] = num2810;
  partcv[0] = 1;
  Object sum2812 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2812
  gc_frame_newslot(sum2812);
  int callframe2813 = gc_frame_new();
  partcv[0] = 0;
  Object call2814 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2813);
// compilenode returning call2814
// compilenode returning call2814
  params[0] = sum2812;
  partcv[0] = 1;
  Object call2815 = callmethod(call2814, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2808);
// compilenode returning call2815
  int op_slot_right_2807 = gc_frame_newslot(call2815);
// compilenode returning *var_spc
  int op_slot_right_2817 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_2817 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2819 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2819
  int op_slot_left_2807 = gc_frame_newslot(opresult2819);
  params[0] = call2815;
  partcv[0] = 1;
  Object opresult2820 = callmethod(opresult2819, "++", 1, partcv, params);
// compilenode returning opresult2820
  int op_slot_left_2804 = gc_frame_newslot(opresult2820);
  params[0] = strlit2805;
  partcv[0] = 1;
  Object opresult2821 = callmethod(opresult2820, "++", 1, partcv, params);
// compilenode returning opresult2821
  *var_s = opresult2821;
  if (opresult2821 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2825 = alloc_Float64(0);
// compilenode returning num2825
  int op_slot_right_2824 = gc_frame_newslot(num2825);
  int callframe2827 = gc_frame_new();
  int callframe2828 = gc_frame_new();
  partcv[0] = 0;
  Object call2829 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2828);
// compilenode returning call2829
  partcv[0] = 0;
  Object call2830 = callmethod(call2829, "size",
    1, partcv, params);
  gc_frame_end(callframe2827);
// compilenode returning call2830
// compilenode returning call2830
  int op_slot_left_2824 = gc_frame_newslot(call2830);
  params[0] = num2825;
  partcv[0] = 1;
  Object opresult2831 = callmethod(call2830, ">", 1, partcv, params);
// compilenode returning opresult2831
  Object if2823 = done;
  if (istrue(opresult2831)) {
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2833 == NULL) {
    strlit2833 = alloc_String("Generic parameters:""\x0a""");
    gc_root(strlit2833);
  }
// compilenode returning strlit2833
  int op_slot_right_2832 = gc_frame_newslot(strlit2833);
// compilenode returning *var_spc
  int op_slot_right_2835 = gc_frame_newslot(*var_spc);
  if (strlit2838 == NULL) {
    strlit2838 = alloc_String("");
    gc_root(strlit2838);
  }
// compilenode returning strlit2838
  int op_slot_right_2837 = gc_frame_newslot(strlit2838);
// compilenode returning *var_s
  int op_slot_right_2840 = gc_frame_newslot(*var_s);
  if (strlit2842 == NULL) {
    strlit2842 = alloc_String("");
    gc_root(strlit2842);
  }
// compilenode returning strlit2842
  int op_slot_left_2840 = gc_frame_newslot(strlit2842);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2843 = callmethod(strlit2842, "++", 1, partcv, params);
// compilenode returning opresult2843
  int op_slot_left_2837 = gc_frame_newslot(opresult2843);
  params[0] = strlit2838;
  partcv[0] = 1;
  Object opresult2844 = callmethod(opresult2843, "++", 1, partcv, params);
// compilenode returning opresult2844
  int op_slot_left_2835 = gc_frame_newslot(opresult2844);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2845 = callmethod(opresult2844, "++", 1, partcv, params);
// compilenode returning opresult2845
  int op_slot_left_2832 = gc_frame_newslot(opresult2845);
  params[0] = strlit2833;
  partcv[0] = 1;
  Object opresult2846 = callmethod(opresult2845, "++", 1, partcv, params);
// compilenode returning opresult2846
  *var_s = opresult2846;
  if (opresult2846 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2848 = gc_frame_new();
  int callframe2849 = gc_frame_new();
  partcv[0] = 0;
  Object call2850 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2849);
// compilenode returning call2850
  gc_frame_newslot(call2850);
  Object block2851 = alloc_Block(NULL, NULL, "ast", 650);
  gc_frame_newslot(block2851);
  block_savedest(block2851);
  Object closure2852 = createclosure(3, "_apply");
  setclosureframe(closure2852, stackframe);
  addtoclosure(closure2852, var_spc);
  addtoclosure(closure2852, var_s);
  addtoclosure(closure2852, selfslot);
  struct UserObject *uo2852 = (struct UserObject*)block2851;
  uo2852->data[0] = (Object)closure2852;
  Method *meth_meth_ast__apply2852 = addmethod2pos(block2851, "_apply", &meth_ast__apply2852, 0);
int argcv_meth_ast__apply2852[] = {1};
meth_meth_ast__apply2852->type = alloc_MethodType(1, argcv_meth_ast__apply2852);
  meth_meth_ast__apply2852->definitionModule = modulename;
  meth_meth_ast__apply2852->definitionLine = 648;
// compilenode returning block2851
  gc_frame_newslot(block2851);
  params[0] = call2850;
  params[1] = block2851;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2879 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2848);
// compilenode returning call2879
    gc_frame_newslot(call2879);
    if2823 = call2879;
  } else {
  }
// compilenode returning if2823
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("Value:");
    gc_root(strlit2881);
  }
// compilenode returning strlit2881
  int op_slot_right_2880 = gc_frame_newslot(strlit2881);
// compilenode returning *var_spc
  int op_slot_right_2883 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_2883 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2885 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2885
  int op_slot_left_2880 = gc_frame_newslot(opresult2885);
  params[0] = strlit2881;
  partcv[0] = 1;
  Object opresult2886 = callmethod(opresult2885, "++", 1, partcv, params);
// compilenode returning opresult2886
  *var_s = opresult2886;
  if (opresult2886 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2889 = gc_frame_new();
  Object num2891 = alloc_Float64(2);
// compilenode returning num2891
  int op_slot_right_2890 = gc_frame_newslot(num2891);
// compilenode returning *var_depth
  int op_slot_left_2890 = gc_frame_newslot(*var_depth);
  params[0] = num2891;
  partcv[0] = 1;
  Object sum2893 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2893
  gc_frame_newslot(sum2893);
  int callframe2894 = gc_frame_new();
  partcv[0] = 0;
  Object call2895 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2894);
// compilenode returning call2895
  params[0] = sum2893;
  partcv[0] = 1;
  Object call2896 = callmethod(call2895, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2889);
// compilenode returning call2896
  int op_slot_right_2888 = gc_frame_newslot(call2896);
// compilenode returning *var_s
  int op_slot_left_2888 = gc_frame_newslot(*var_s);
  params[0] = call2896;
  partcv[0] = 1;
  Object opresult2898 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2898
  *var_s = opresult2898;
  if (opresult2898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2901 == NULL) {
    strlit2901 = alloc_String("""\x0a""");
    gc_root(strlit2901);
  }
// compilenode returning strlit2901
  int op_slot_right_2900 = gc_frame_newslot(strlit2901);
// compilenode returning *var_s
  int op_slot_left_2900 = gc_frame_newslot(*var_s);
  params[0] = strlit2901;
  partcv[0] = 1;
  Object opresult2903 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2903
  *var_s = opresult2903;
  if (opresult2903 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply2917(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2919 == NULL) {
    strlit2919 = alloc_String("    ");
    gc_root(strlit2919);
  }
// compilenode returning strlit2919
  int op_slot_right_2918 = gc_frame_newslot(strlit2919);
// compilenode returning *var_spc
  int op_slot_left_2918 = gc_frame_newslot(*var_spc);
  params[0] = strlit2919;
  partcv[0] = 1;
  Object opresult2921 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult2921
  *var_spc = opresult2921;
  if (opresult2921 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2957(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2959 = gc_frame_new();
  int callframe2960 = gc_frame_new();
  partcv[0] = 0;
  Object call2961 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2960);
// compilenode returning call2961
// compilenode returning call2961
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2962 = callmethod(call2961, "[]", 1, partcv, params);
// compilenode returning idxres2962
  partcv[0] = 0;
  Object call2963 = callmethod(idxres2962, "value",
    1, partcv, params);
  gc_frame_end(callframe2959);
// compilenode returning call2963
// compilenode returning call2963
  int op_slot_right_2958 = gc_frame_newslot(call2963);
// compilenode returning *var_s
  int op_slot_left_2958 = gc_frame_newslot(*var_s);
  params[0] = call2963;
  partcv[0] = 1;
  Object opresult2965 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2965
  *var_s = opresult2965;
  if (opresult2965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2969 = gc_frame_new();
  int callframe2970 = gc_frame_new();
  partcv[0] = 0;
  Object call2971 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2970);
// compilenode returning call2971
// compilenode returning call2971
  partcv[0] = 0;
  Object call2972 = callmethod(call2971, "size",
    1, partcv, params);
  gc_frame_end(callframe2969);
// compilenode returning call2972
// compilenode returning call2972
  int op_slot_right_2968 = gc_frame_newslot(call2972);
// compilenode returning *var_i
  int op_slot_left_2968 = gc_frame_newslot(*var_i);
  params[0] = call2972;
  partcv[0] = 1;
  Object opresult2974 = callmethod(*var_i, "<", 1, partcv, params);
// compilenode returning opresult2974
  Object if2967 = done;
  if (istrue(opresult2974)) {
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2976 == NULL) {
    strlit2976 = alloc_String(", ");
    gc_root(strlit2976);
  }
// compilenode returning strlit2976
  int op_slot_right_2975 = gc_frame_newslot(strlit2976);
// compilenode returning *var_s
  int op_slot_left_2975 = gc_frame_newslot(*var_s);
  params[0] = strlit2976;
  partcv[0] = 1;
  Object opresult2978 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2978
  *var_s = opresult2978;
  if (opresult2978 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2967 = done;
  } else {
  }
// compilenode returning if2967
  gc_frame_end(frame);
  return if2967;
}
Object meth_ast_toGrace2905(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2906 == NULL) {
    strlit2906 = alloc_String("");
    gc_root(strlit2906);
  }
// compilenode returning strlit2906
  *var_spc = strlit2906;
  if (strlit2906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2907 = gc_frame_new();
  Object num2910 = alloc_Float64(1);
// compilenode returning num2910
  int op_slot_right_2909 = gc_frame_newslot(num2910);
// compilenode returning *var_depth
  int op_slot_left_2909 = gc_frame_newslot(*var_depth);
  params[0] = num2910;
  partcv[0] = 1;
  Object diff2912 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff2912
  int op_slot_right_2908 = gc_frame_newslot(diff2912);
  Object num2914 = alloc_Float64(0);
// compilenode returning num2914
  int op_slot_left_2908 = gc_frame_newslot(num2914);
  params[0] = diff2912;
  partcv[0] = 1;
  Object opresult2915 = callmethod(num2914, "..", 1, partcv, params);
// compilenode returning opresult2915
  gc_frame_newslot(opresult2915);
  Object block2916 = alloc_Block(NULL, NULL, "ast", 661);
  gc_frame_newslot(block2916);
  block_savedest(block2916);
  Object closure2917 = createclosure(2, "_apply");
  setclosureframe(closure2917, stackframe);
  addtoclosure(closure2917, var_spc);
  addtoclosure(closure2917, selfslot);
  struct UserObject *uo2917 = (struct UserObject*)block2916;
  uo2917->data[0] = (Object)closure2917;
  Method *meth_meth_ast__apply2917 = addmethod2pos(block2916, "_apply", &meth_ast__apply2917, 0);
int argcv_meth_ast__apply2917[] = {1};
meth_meth_ast__apply2917->type = alloc_MethodType(1, argcv_meth_ast__apply2917);
  meth_meth_ast__apply2917->definitionModule = modulename;
  meth_meth_ast__apply2917->definitionLine = 651;
// compilenode returning block2916
  gc_frame_newslot(block2916);
  params[0] = opresult2915;
  params[1] = block2916;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2924 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2907);
// compilenode returning call2924
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2925 == NULL) {
    strlit2925 = alloc_String("");
    gc_root(strlit2925);
  }
// compilenode returning strlit2925
  *var_s = strlit2925;
  if (strlit2925 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2927 == NULL) {
    strlit2927 = alloc_String("");
    gc_root(strlit2927);
  }
// compilenode returning strlit2927
  int op_slot_right_2926 = gc_frame_newslot(strlit2927);
  int callframe2930 = gc_frame_new();
  partcv[0] = 0;
  Object call2931 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2930);
// compilenode returning call2931
// compilenode returning call2931
  int op_slot_right_2929 = gc_frame_newslot(call2931);
  if (strlit2933 == NULL) {
    strlit2933 = alloc_String("type ");
    gc_root(strlit2933);
  }
// compilenode returning strlit2933
  int op_slot_left_2929 = gc_frame_newslot(strlit2933);
  params[0] = call2931;
  partcv[0] = 1;
  Object opresult2934 = callmethod(strlit2933, "++", 1, partcv, params);
// compilenode returning opresult2934
  int op_slot_left_2926 = gc_frame_newslot(opresult2934);
  params[0] = strlit2927;
  partcv[0] = 1;
  Object opresult2935 = callmethod(opresult2934, "++", 1, partcv, params);
// compilenode returning opresult2935
  *var_s = opresult2935;
  if (opresult2935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2939 = alloc_Float64(0);
// compilenode returning num2939
  int op_slot_right_2938 = gc_frame_newslot(num2939);
  int callframe2941 = gc_frame_new();
  int callframe2942 = gc_frame_new();
  partcv[0] = 0;
  Object call2943 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2942);
// compilenode returning call2943
// compilenode returning call2943
  partcv[0] = 0;
  Object call2944 = callmethod(call2943, "size",
    1, partcv, params);
  gc_frame_end(callframe2941);
// compilenode returning call2944
// compilenode returning call2944
  int op_slot_left_2938 = gc_frame_newslot(call2944);
  params[0] = num2939;
  partcv[0] = 1;
  Object opresult2945 = callmethod(call2944, ">", 1, partcv, params);
// compilenode returning opresult2945
  Object if2937 = done;
  if (istrue(opresult2945)) {
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2947 == NULL) {
    strlit2947 = alloc_String("<");
    gc_root(strlit2947);
  }
// compilenode returning strlit2947
  int op_slot_right_2946 = gc_frame_newslot(strlit2947);
// compilenode returning *var_s
  int op_slot_left_2946 = gc_frame_newslot(*var_s);
  params[0] = strlit2947;
  partcv[0] = 1;
  Object opresult2949 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2949
  *var_s = opresult2949;
  if (opresult2949 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2951 = gc_frame_new();
  int callframe2952 = gc_frame_new();
  int callframe2953 = gc_frame_new();
  partcv[0] = 0;
  Object call2954 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2953);
// compilenode returning call2954
// compilenode returning call2954
  partcv[0] = 0;
  Object call2955 = callmethod(call2954, "indices",
    1, partcv, params);
  gc_frame_end(callframe2952);
// compilenode returning call2955
// compilenode returning call2955
  gc_frame_newslot(call2955);
  Object block2956 = alloc_Block(NULL, NULL, "ast", 668);
  gc_frame_newslot(block2956);
  block_savedest(block2956);
  Object closure2957 = createclosure(2, "_apply");
  setclosureframe(closure2957, stackframe);
  addtoclosure(closure2957, var_s);
  addtoclosure(closure2957, selfslot);
  struct UserObject *uo2957 = (struct UserObject*)block2956;
  uo2957->data[0] = (Object)closure2957;
  Method *meth_meth_ast__apply2957 = addmethod2pos(block2956, "_apply", &meth_ast__apply2957, 0);
int argcv_meth_ast__apply2957[] = {1};
meth_meth_ast__apply2957->type = alloc_MethodType(1, argcv_meth_ast__apply2957);
  meth_meth_ast__apply2957->definitionModule = modulename;
  meth_meth_ast__apply2957->definitionLine = 668;
// compilenode returning block2956
  gc_frame_newslot(block2956);
  params[0] = call2955;
  params[1] = block2956;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2981 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2951);
// compilenode returning call2981
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2983 == NULL) {
    strlit2983 = alloc_String(">");
    gc_root(strlit2983);
  }
// compilenode returning strlit2983
  int op_slot_right_2982 = gc_frame_newslot(strlit2983);
// compilenode returning *var_s
  int op_slot_left_2982 = gc_frame_newslot(*var_s);
  params[0] = strlit2983;
  partcv[0] = 1;
  Object opresult2985 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult2985
  *var_s = opresult2985;
  if (opresult2985 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2937 = done;
  } else {
  }
// compilenode returning if2937
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2988 = gc_frame_new();
  int callframe2989 = gc_frame_new();
  Object num2991 = alloc_Float64(2);
// compilenode returning num2991
  int op_slot_right_2990 = gc_frame_newslot(num2991);
// compilenode returning *var_depth
  int op_slot_left_2990 = gc_frame_newslot(*var_depth);
  params[0] = num2991;
  partcv[0] = 1;
  Object sum2993 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum2993
  gc_frame_newslot(sum2993);
  params[0] = sum2993;
  partcv[0] = 1;
  Object call2994 = callmethodflags(self, "toGrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2989);
// compilenode returning call2994
  gc_frame_newslot(call2994);
  params[0] = call2994;
  partcv[0] = 1;
  Object call2995 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2988);
// compilenode returning call2995
  int op_slot_right_2987 = gc_frame_newslot(call2995);
  if (strlit2998 == NULL) {
    strlit2998 = alloc_String(" = ");
    gc_root(strlit2998);
  }
// compilenode returning strlit2998
  int op_slot_right_2997 = gc_frame_newslot(strlit2998);
// compilenode returning *var_s
  int op_slot_left_2997 = gc_frame_newslot(*var_s);
  params[0] = strlit2998;
  partcv[0] = 1;
  Object opresult3000 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3000
  int op_slot_left_2987 = gc_frame_newslot(opresult3000);
  params[0] = call2995;
  partcv[0] = 1;
  Object opresult3001 = callmethod(opresult3000, "++", 1, partcv, params);
// compilenode returning opresult3001
  *var_s = opresult3001;
  if (opresult3001 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new2689(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_typeDecNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  Object *var_collections = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2690 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2690 = alloc_userobj2(18,17, objclass2690);
  gc_frame_newslot(obj2690);
if (objclass2690 == NULL) {
  glfree(obj2690->class->name);
  obj2690->class->name = "typeDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2690, self, 0);
  addmethodreal(obj2690,"outer", &reader_ast_outer_2691);
  Object oldself2690 = self;
  struct StackFrameObject *oldstackframe2690 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2690);
  gc_frame_newslot((Object)stackframe);
  self = obj2690;
  Object *oldselfslot2690 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2690 = (*(struct UserObject *)self).data[0], lowerouter2690 = thisouter2690;
  if (inheritingObject2690) {
    struct UserObject *inho2690 = (struct UserObject *)inheritingObject2690;
    while (inho2690->super != GraceDefaultObject) inho2690 = (struct UserObject *)inho2690->super;
    inho2690->super = obj2690;
    self = inheritingObject2690;
    *selfslot = self;
    lowerouter2690 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2690;
  }
if (objclass2690 == NULL) {
  Method *reader2692 = addmethodrealflags(obj2690, "kind",&reader_ast_kind_2692, MFLAG_DEF);
  reader2692->definitionModule = modulename;
  reader2692->definitionLine = 606;
}
adddatum2(obj2690, alloc_Undefined(), 1);
if (objclass2690 == NULL) {
  Method *reader2693 = addmethodrealflags(obj2690, "name",&reader_ast_name_2693, MFLAG_DEF);
  reader2693->definitionModule = modulename;
  reader2693->definitionLine = 607;
}
adddatum2(obj2690, alloc_Undefined(), 2);
if (objclass2690 == NULL) {
  Method *reader2694 = addmethodrealflags(obj2690, "value",&reader_ast_value_2694, MFLAG_DEF);
  reader2694->definitionModule = modulename;
  reader2694->definitionLine = 608;
}
adddatum2(obj2690, alloc_Undefined(), 3);
if (objclass2690 == NULL) {
  Method *reader2695 = addmethodrealflags(obj2690, "nameString",&reader_ast_nameString_2695, MFLAG_DEF);
  reader2695->definitionModule = modulename;
  reader2695->definitionLine = 609;
}
adddatum2(obj2690, alloc_Undefined(), 4);
if (objclass2690 == NULL) {
  Method *reader2696 = addmethodrealflags(obj2690, "annotations",&reader_ast_annotations_2696, 0);
  Method *writer2696 = addmethodrealflags(obj2690, "annotations:=",&writer_ast_annotations_2696, 0);
  reader2696->definitionModule = modulename;
  writer2696->definitionModule = modulename;
  reader2696->definitionLine = 610;
  writer2696->definitionLine = 610;
}
obj2690->flags |= OFLAG_MUTABLE;
adddatum2(obj2690, alloc_Undefined(), 5);
if (objclass2690 == NULL) {
  Method *reader2697 = addmethodrealflags(obj2690, "generics",&reader_ast_generics_2697, 0);
  Method *writer2697 = addmethodrealflags(obj2690, "generics:=",&writer_ast_generics_2697, 0);
  reader2697->definitionModule = modulename;
  writer2697->definitionModule = modulename;
  reader2697->definitionLine = 612;
  writer2697->definitionLine = 612;
}
obj2690->flags |= OFLAG_MUTABLE;
adddatum2(obj2690, alloc_Undefined(), 6);
  struct UserObject *uo2698 = (struct UserObject*)obj2690;
  uo2698->data[7] = emptyclosure;
  Method *meth_meth_ast_isConfidential2698 = addmethod2pos(obj2690, "isConfidential", &meth_ast_isConfidential2698, 7);
int argcv_meth_ast_isConfidential2698[] = {0};
meth_meth_ast_isConfidential2698->type = alloc_MethodType(1, argcv_meth_ast_isConfidential2698);
  meth_meth_ast_isConfidential2698->definitionModule = modulename;
  meth_meth_ast_isConfidential2698->definitionLine = 612;
  struct UserObject *uo2716 = (struct UserObject*)obj2690;
  uo2716->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic2716 = addmethod2pos(obj2690, "isPublic", &meth_ast_isPublic2716, 8);
int argcv_meth_ast_isPublic2716[] = {0};
meth_meth_ast_isPublic2716->type = alloc_MethodType(1, argcv_meth_ast_isPublic2716);
  meth_meth_ast_isPublic2716->definitionModule = modulename;
  meth_meth_ast_isPublic2716->definitionLine = 616;
  struct UserObject *uo2721 = (struct UserObject*)obj2690;
  uo2721->data[9] = emptyclosure;
  Method *meth_meth_ast_isWritable2721 = addmethod2pos(obj2690, "isWritable", &meth_ast_isWritable2721, 9);
int argcv_meth_ast_isWritable2721[] = {0};
meth_meth_ast_isWritable2721->type = alloc_MethodType(1, argcv_meth_ast_isWritable2721);
  meth_meth_ast_isWritable2721->definitionModule = modulename;
  meth_meth_ast_isWritable2721->definitionLine = 617;
  struct UserObject *uo2723 = (struct UserObject*)obj2690;
  uo2723->data[10] = emptyclosure;
  Method *meth_meth_ast_isReadable2723 = addmethod2pos(obj2690, "isReadable", &meth_ast_isReadable2723, 10);
int argcv_meth_ast_isReadable2723[] = {0};
meth_meth_ast_isReadable2723->type = alloc_MethodType(1, argcv_meth_ast_isReadable2723);
  meth_meth_ast_isReadable2723->definitionModule = modulename;
  meth_meth_ast_isReadable2723->definitionLine = 618;
  struct UserObject *uo2726 = (struct UserObject*)obj2690;
  uo2726->data[11] = emptyclosure;
  Method *meth_meth_ast_accept2726 = addmethod2pos(obj2690, "accept", &meth_ast_accept2726, 11);
int argcv_meth_ast_accept2726[] = {1};
meth_meth_ast_accept2726->type = alloc_MethodType(1, argcv_meth_ast_accept2726);
  meth_meth_ast_accept2726->definitionModule = modulename;
  meth_meth_ast_accept2726->definitionLine = 621;
  block_savedest(obj2690);
  Object closure2734 = createclosure(1, "map()before()after");
  setclosureframe(closure2734, stackframe);
  addtoclosure(closure2734, var_typeDecNode);
  struct UserObject *uo2734 = (struct UserObject*)obj2690;
  uo2734->data[12] = (Object)closure2734;
  Method *meth_meth_ast_map_40__41_before_40__41_after2734 = addmethod2pos(obj2690, "map()before()after", &meth_ast_map_40__41_before_40__41_after2734, 12);
int argcv_meth_ast_map_40__41_before_40__41_after2734[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after2734->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after2734);
  meth_meth_ast_map_40__41_before_40__41_after2734->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after2734->definitionLine = 626;
  struct UserObject *uo2778 = (struct UserObject*)obj2690;
  uo2778->data[13] = emptyclosure;
  Method *meth_meth_ast_map2778 = addmethod2pos(obj2690, "map", &meth_ast_map2778, 13);
int argcv_meth_ast_map2778[] = {1};
meth_meth_ast_map2778->type = alloc_MethodType(1, argcv_meth_ast_map2778);
  meth_meth_ast_map2778->definitionModule = modulename;
  meth_meth_ast_map2778->definitionLine = 638;
  struct UserObject *uo2787 = (struct UserObject*)obj2690;
  uo2787->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty2787 = addmethod2pos(obj2690, "pretty", &meth_ast_pretty2787, 14);
int argcv_meth_ast_pretty2787[] = {1};
meth_meth_ast_pretty2787->type = alloc_MethodType(1, argcv_meth_ast_pretty2787);
  meth_meth_ast_pretty2787->definitionModule = modulename;
  meth_meth_ast_pretty2787->definitionLine = 641;
  struct UserObject *uo2905 = (struct UserObject*)obj2690;
  uo2905->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace2905 = addmethod2pos(obj2690, "toGrace", &meth_ast_toGrace2905, 15);
int argcv_meth_ast_toGrace2905[] = {1};
meth_meth_ast_toGrace2905->type = alloc_MethodType(1, argcv_meth_ast_toGrace2905);
meth_meth_ast_toGrace2905->type->types[0] = type_Number;
meth_meth_ast_toGrace2905->type->names[0] = "depth";
  meth_meth_ast_toGrace2905->definitionModule = modulename;
  meth_meth_ast_toGrace2905->definitionLine = 659;
  sourceObject = obj2690;
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3003 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3004 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe3003);
// compilenode returning call3004
  struct UserObject *obj2690_uo = (struct UserObject *)obj2690;
  obj2690_uo->super = call3004;
  sourceObject = obj2690;
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3005 == NULL) {
    strlit3005 = alloc_String("typedec");
    gc_root(strlit3005);
  }
// compilenode returning strlit3005
  adddatum2(obj2690, strlit3005, 1);
  sourceObject = obj2690;
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj2690, *var_name_39_, 2);
  sourceObject = obj2690;
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_typeValue
  adddatum2(obj2690, *var_typeValue, 3);
  sourceObject = obj2690;
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3006 = gc_frame_new();
  int callframe3007 = gc_frame_new();
  partcv[0] = 0;
  Object call3008 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3007);
// compilenode returning call3008
  partcv[0] = 0;
  Object call3009 = callmethod(call3008, "value",
    1, partcv, params);
  gc_frame_end(callframe3006);
// compilenode returning call3009
// compilenode returning call3009
  adddatum2(obj2690, call3009, 4);
  sourceObject = obj2690;
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3010 = gc_frame_new();
  int callframe3011 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3012 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe3011);
// compilenode returning call3012
// compilenode returning call3012
  partcv[0] = 0;
  Object call3013 = callmethod(call3012, "new",
    1, partcv, params);
  gc_frame_end(callframe3010);
// compilenode returning call3013
// compilenode returning call3013
  adddatum2(obj2690, call3013, 5);
  sourceObject = obj2690;
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3014 = gc_frame_new();
  int callframe3015 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3016 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe3015);
// compilenode returning call3016
// compilenode returning call3016
  partcv[0] = 0;
  Object call3017 = callmethod(call3016, "new",
    1, partcv, params);
  gc_frame_end(callframe3014);
// compilenode returning call3017
// compilenode returning call3017
  adddatum2(obj2690, call3017, 6);
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
objclass2690 = obj2690->class;
  objclass2690->definitionModule = modulename;
  objclass2690->definitionLine = 596;
  (*(struct UserObject *)self).data[0] = lowerouter2690;
  self = oldself2690;
  selfslot = oldselfslot2690;
  stackframe = oldstackframe2690;
  gc_frame_end(frame);
  return obj2690;
}
Object meth_ast_new2689_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_typeDecNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  Object *var_collections = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2690 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2690 = alloc_userobj2(18,17, objclass2690);
  gc_frame_newslot(obj2690);
if (objclass2690 == NULL) {
  glfree(obj2690->class->name);
  obj2690->class->name = "typeDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2690, self, 0);
  addmethodreal(obj2690,"outer", &reader_ast_outer_2691);
  Object oldself2690 = self;
  struct StackFrameObject *oldstackframe2690 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2690);
  gc_frame_newslot((Object)stackframe);
  self = obj2690;
  Object *oldselfslot2690 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2690 = (*(struct UserObject *)self).data[0], lowerouter2690 = thisouter2690;
  if (inheritingObject2690) {
    struct UserObject *inho2690 = (struct UserObject *)inheritingObject2690;
    while (inho2690->super != GraceDefaultObject) inho2690 = (struct UserObject *)inho2690->super;
    inho2690->super = obj2690;
    self = inheritingObject2690;
    *selfslot = self;
    lowerouter2690 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2690;
  }
if (objclass2690 == NULL) {
  Method *reader2692 = addmethodrealflags(obj2690, "kind",&reader_ast_kind_2692, MFLAG_DEF);
  reader2692->definitionModule = modulename;
  reader2692->definitionLine = 606;
}
adddatum2(obj2690, alloc_Undefined(), 1);
if (objclass2690 == NULL) {
  Method *reader2693 = addmethodrealflags(obj2690, "name",&reader_ast_name_2693, MFLAG_DEF);
  reader2693->definitionModule = modulename;
  reader2693->definitionLine = 607;
}
adddatum2(obj2690, alloc_Undefined(), 2);
if (objclass2690 == NULL) {
  Method *reader2694 = addmethodrealflags(obj2690, "value",&reader_ast_value_2694, MFLAG_DEF);
  reader2694->definitionModule = modulename;
  reader2694->definitionLine = 608;
}
adddatum2(obj2690, alloc_Undefined(), 3);
if (objclass2690 == NULL) {
  Method *reader2695 = addmethodrealflags(obj2690, "nameString",&reader_ast_nameString_2695, MFLAG_DEF);
  reader2695->definitionModule = modulename;
  reader2695->definitionLine = 609;
}
adddatum2(obj2690, alloc_Undefined(), 4);
if (objclass2690 == NULL) {
  Method *reader2696 = addmethodrealflags(obj2690, "annotations",&reader_ast_annotations_2696, 0);
  Method *writer2696 = addmethodrealflags(obj2690, "annotations:=",&writer_ast_annotations_2696, 0);
  reader2696->definitionModule = modulename;
  writer2696->definitionModule = modulename;
  reader2696->definitionLine = 610;
  writer2696->definitionLine = 610;
}
obj2690->flags |= OFLAG_MUTABLE;
adddatum2(obj2690, alloc_Undefined(), 5);
if (objclass2690 == NULL) {
  Method *reader2697 = addmethodrealflags(obj2690, "generics",&reader_ast_generics_2697, 0);
  Method *writer2697 = addmethodrealflags(obj2690, "generics:=",&writer_ast_generics_2697, 0);
  reader2697->definitionModule = modulename;
  writer2697->definitionModule = modulename;
  reader2697->definitionLine = 612;
  writer2697->definitionLine = 612;
}
obj2690->flags |= OFLAG_MUTABLE;
adddatum2(obj2690, alloc_Undefined(), 6);
  struct UserObject *uo2698 = (struct UserObject*)obj2690;
  uo2698->data[7] = emptyclosure;
  Method *meth_meth_ast_isConfidential2698 = addmethod2pos(obj2690, "isConfidential", &meth_ast_isConfidential2698, 7);
int argcv_meth_ast_isConfidential2698[] = {0};
meth_meth_ast_isConfidential2698->type = alloc_MethodType(1, argcv_meth_ast_isConfidential2698);
  meth_meth_ast_isConfidential2698->definitionModule = modulename;
  meth_meth_ast_isConfidential2698->definitionLine = 612;
  struct UserObject *uo2716 = (struct UserObject*)obj2690;
  uo2716->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic2716 = addmethod2pos(obj2690, "isPublic", &meth_ast_isPublic2716, 8);
int argcv_meth_ast_isPublic2716[] = {0};
meth_meth_ast_isPublic2716->type = alloc_MethodType(1, argcv_meth_ast_isPublic2716);
  meth_meth_ast_isPublic2716->definitionModule = modulename;
  meth_meth_ast_isPublic2716->definitionLine = 616;
  struct UserObject *uo2721 = (struct UserObject*)obj2690;
  uo2721->data[9] = emptyclosure;
  Method *meth_meth_ast_isWritable2721 = addmethod2pos(obj2690, "isWritable", &meth_ast_isWritable2721, 9);
int argcv_meth_ast_isWritable2721[] = {0};
meth_meth_ast_isWritable2721->type = alloc_MethodType(1, argcv_meth_ast_isWritable2721);
  meth_meth_ast_isWritable2721->definitionModule = modulename;
  meth_meth_ast_isWritable2721->definitionLine = 617;
  struct UserObject *uo2723 = (struct UserObject*)obj2690;
  uo2723->data[10] = emptyclosure;
  Method *meth_meth_ast_isReadable2723 = addmethod2pos(obj2690, "isReadable", &meth_ast_isReadable2723, 10);
int argcv_meth_ast_isReadable2723[] = {0};
meth_meth_ast_isReadable2723->type = alloc_MethodType(1, argcv_meth_ast_isReadable2723);
  meth_meth_ast_isReadable2723->definitionModule = modulename;
  meth_meth_ast_isReadable2723->definitionLine = 618;
  struct UserObject *uo2726 = (struct UserObject*)obj2690;
  uo2726->data[11] = emptyclosure;
  Method *meth_meth_ast_accept2726 = addmethod2pos(obj2690, "accept", &meth_ast_accept2726, 11);
int argcv_meth_ast_accept2726[] = {1};
meth_meth_ast_accept2726->type = alloc_MethodType(1, argcv_meth_ast_accept2726);
  meth_meth_ast_accept2726->definitionModule = modulename;
  meth_meth_ast_accept2726->definitionLine = 621;
  block_savedest(obj2690);
  Object closure2734 = createclosure(1, "map()before()after");
  setclosureframe(closure2734, stackframe);
  addtoclosure(closure2734, var_typeDecNode);
  struct UserObject *uo2734 = (struct UserObject*)obj2690;
  uo2734->data[12] = (Object)closure2734;
  Method *meth_meth_ast_map_40__41_before_40__41_after2734 = addmethod2pos(obj2690, "map()before()after", &meth_ast_map_40__41_before_40__41_after2734, 12);
int argcv_meth_ast_map_40__41_before_40__41_after2734[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after2734->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after2734);
  meth_meth_ast_map_40__41_before_40__41_after2734->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after2734->definitionLine = 626;
  struct UserObject *uo2778 = (struct UserObject*)obj2690;
  uo2778->data[13] = emptyclosure;
  Method *meth_meth_ast_map2778 = addmethod2pos(obj2690, "map", &meth_ast_map2778, 13);
int argcv_meth_ast_map2778[] = {1};
meth_meth_ast_map2778->type = alloc_MethodType(1, argcv_meth_ast_map2778);
  meth_meth_ast_map2778->definitionModule = modulename;
  meth_meth_ast_map2778->definitionLine = 638;
  struct UserObject *uo2787 = (struct UserObject*)obj2690;
  uo2787->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty2787 = addmethod2pos(obj2690, "pretty", &meth_ast_pretty2787, 14);
int argcv_meth_ast_pretty2787[] = {1};
meth_meth_ast_pretty2787->type = alloc_MethodType(1, argcv_meth_ast_pretty2787);
  meth_meth_ast_pretty2787->definitionModule = modulename;
  meth_meth_ast_pretty2787->definitionLine = 641;
  struct UserObject *uo2905 = (struct UserObject*)obj2690;
  uo2905->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace2905 = addmethod2pos(obj2690, "toGrace", &meth_ast_toGrace2905, 15);
int argcv_meth_ast_toGrace2905[] = {1};
meth_meth_ast_toGrace2905->type = alloc_MethodType(1, argcv_meth_ast_toGrace2905);
meth_meth_ast_toGrace2905->type->types[0] = type_Number;
meth_meth_ast_toGrace2905->type->names[0] = "depth";
  meth_meth_ast_toGrace2905->definitionModule = modulename;
  meth_meth_ast_toGrace2905->definitionLine = 659;
  sourceObject = obj2690;
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3003 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3004 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe3003);
// compilenode returning call3004
  struct UserObject *obj2690_uo = (struct UserObject *)obj2690;
  obj2690_uo->super = call3004;
  sourceObject = obj2690;
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3005 == NULL) {
    strlit3005 = alloc_String("typedec");
    gc_root(strlit3005);
  }
// compilenode returning strlit3005
  adddatum2(obj2690, strlit3005, 1);
  sourceObject = obj2690;
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj2690, *var_name_39_, 2);
  sourceObject = obj2690;
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_typeValue
  adddatum2(obj2690, *var_typeValue, 3);
  sourceObject = obj2690;
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3006 = gc_frame_new();
  int callframe3007 = gc_frame_new();
  partcv[0] = 0;
  Object call3008 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3007);
// compilenode returning call3008
  partcv[0] = 0;
  Object call3009 = callmethod(call3008, "value",
    1, partcv, params);
  gc_frame_end(callframe3006);
// compilenode returning call3009
// compilenode returning call3009
  adddatum2(obj2690, call3009, 4);
  sourceObject = obj2690;
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3010 = gc_frame_new();
  int callframe3011 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3012 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe3011);
// compilenode returning call3012
// compilenode returning call3012
  partcv[0] = 0;
  Object call3013 = callmethod(call3012, "new",
    1, partcv, params);
  gc_frame_end(callframe3010);
// compilenode returning call3013
// compilenode returning call3013
  adddatum2(obj2690, call3013, 5);
  sourceObject = obj2690;
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3014 = gc_frame_new();
  int callframe3015 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3016 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe3015);
// compilenode returning call3016
// compilenode returning call3016
  partcv[0] = 0;
  Object call3017 = callmethod(call3016, "new",
    1, partcv, params);
  gc_frame_end(callframe3014);
// compilenode returning call3017
// compilenode returning call3017
  adddatum2(obj2690, call3017, 6);
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
  sourceObject = obj2690;
objclass2690 = obj2690->class;
  objclass2690->definitionModule = modulename;
  objclass2690->definitionLine = 596;
  (*(struct UserObject *)self).data[0] = lowerouter2690;
  self = oldself2690;
  selfslot = oldselfslot2690;
  stackframe = oldstackframe2690;
  gc_frame_end(frame);
  return obj2690;
}
Object meth_ast_methodNode3019(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for methodNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methodNode
  gc_frame_end(frame);
  return *var_methodNode;
}
Object meth_ast_isConfidential3036(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isConfidential (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isConfidential");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3039 = alloc_Float64(0);
// compilenode returning num3039
  int op_slot_right_3038 = gc_frame_newslot(num3039);
  int callframe3041 = gc_frame_new();
  int callframe3042 = gc_frame_new();
  partcv[0] = 0;
  Object call3043 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3042);
// compilenode returning call3043
  partcv[0] = 0;
  Object call3044 = callmethod(call3043, "size",
    1, partcv, params);
  gc_frame_end(callframe3041);
// compilenode returning call3044
// compilenode returning call3044
  int op_slot_left_3038 = gc_frame_newslot(call3044);
  params[0] = num3039;
  partcv[0] = 1;
  Object opresult3045 = callmethod(call3044, "==", 1, partcv, params);
// compilenode returning opresult3045
  Object if3037 = done;
  if (istrue(opresult3045)) {
  Object bool3046 = alloc_Boolean(0);
// compilenode returning bool3046
  return bool3046;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if3037 = undefined;
  } else {
  }
// compilenode returning if3037
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3047 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit3048 == NULL) {
    strlit3048 = alloc_String("confidential");
    gc_root(strlit3048);
  }
// compilenode returning strlit3048
  gc_frame_newslot(strlit3048);
  int callframe3049 = gc_frame_new();
  int callframe3050 = gc_frame_new();
  Object call3051 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3050);
// compilenode returning call3051
// compilenode returning call3051
  partcv[0] = 0;
  Object call3052 = callmethodflags(call3051, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3049);
// compilenode returning call3052
// compilenode returning call3052
  params[0] = self;
  params[1] = strlit3048;
  partcv[0] = 2;
  Object call3053 = callmethodflags(call3052, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3047);
// compilenode returning call3053
  gc_frame_end(frame);
  return call3053;
}
Object meth_ast_isPublic3054(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3055 = gc_frame_new();
  int callframe3056 = gc_frame_new();
  partcv[0] = 0;
  Object call3057 = callmethodflags(self, "isConfidential", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3056);
// compilenode returning call3057
  partcv[0] = 0;
  Object call3058 = callmethod(call3057, "not",
    1, partcv, params);
  gc_frame_end(callframe3055);
// compilenode returning call3058
// compilenode returning call3058
  gc_frame_end(frame);
  return call3058;
}
Object meth_ast_isWritable3059(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3060 = alloc_Boolean(0);
// compilenode returning bool3060
  gc_frame_end(frame);
  return bool3060;
}
Object meth_ast_isReadable3061(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3062 = gc_frame_new();
  partcv[0] = 0;
  Object call3063 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3062);
// compilenode returning call3063
  gc_frame_end(frame);
  return call3063;
}
Object meth_ast__apply3092(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3093 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_p
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call3094 = callmethod(*var_p, "accept",
    1, partcv, params);
  gc_frame_end(callframe3093);
// compilenode returning call3094
  gc_frame_end(frame);
  return call3094;
}
Object meth_ast__apply3087(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3088 = gc_frame_new();
  int callframe3089 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3090 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3089);
// compilenode returning call3090
// compilenode returning call3090
  gc_frame_newslot(call3090);
  Object block3091 = alloc_Block(NULL, NULL, "ast", 725);
  gc_frame_newslot(block3091);
  block_savedest(block3091);
  Object closure3092 = createclosure(2, "_apply");
  setclosureframe(closure3092, stackframe);
  addtoclosure(closure3092, var_visitor);
  addtoclosure(closure3092, selfslot);
  struct UserObject *uo3092 = (struct UserObject*)block3091;
  uo3092->data[0] = (Object)closure3092;
  Method *meth_meth_ast__apply3092 = addmethod2pos(block3091, "_apply", &meth_ast__apply3092, 0);
int argcv_meth_ast__apply3092[] = {1};
meth_meth_ast__apply3092->type = alloc_MethodType(1, argcv_meth_ast__apply3092);
  meth_meth_ast__apply3092->definitionModule = modulename;
  meth_meth_ast__apply3092->definitionLine = 725;
// compilenode returning block3091
  gc_frame_newslot(block3091);
  params[0] = call3090;
  params[1] = block3091;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3096 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3088);
// compilenode returning call3096
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3099 = alloc_Boolean(0);
// compilenode returning bool3099
  int op_slot_right_3098 = gc_frame_newslot(bool3099);
  int callframe3101 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3102 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3101);
// compilenode returning call3102
// compilenode returning call3102
  int op_slot_left_3098 = gc_frame_newslot(call3102);
  params[0] = bool3099;
  partcv[0] = 1;
  Object opresult3103 = callmethod(call3102, "!=", 1, partcv, params);
// compilenode returning opresult3103
  Object if3097 = done;
  if (istrue(opresult3103)) {
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3104 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe3105 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3106 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3105);
// compilenode returning call3106
// compilenode returning call3106
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call3107 = callmethod(call3106, "accept",
    1, partcv, params);
  gc_frame_end(callframe3104);
// compilenode returning call3107
    gc_frame_newslot(call3107);
    if3097 = call3107;
  } else {
  }
// compilenode returning if3097
  gc_frame_end(frame);
  return if3097;
}
Object meth_ast__apply3114(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3115 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_mx
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call3116 = callmethod(*var_mx, "accept",
    1, partcv, params);
  gc_frame_end(callframe3115);
// compilenode returning call3116
  gc_frame_end(frame);
  return call3116;
}
Object meth_ast_accept3064(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3066 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call3067 = callmethod(*var_visitor, "visitMethod",
    1, partcv, params);
  gc_frame_end(callframe3066);
// compilenode returning call3067
  Object if3065 = done;
  if (istrue(call3067)) {
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3068 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe3069 = gc_frame_new();
  partcv[0] = 0;
  Object call3070 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3069);
// compilenode returning call3070
// compilenode returning call3070
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call3071 = callmethod(call3070, "accept",
    1, partcv, params);
  gc_frame_end(callframe3068);
// compilenode returning call3071
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3074 = alloc_Boolean(0);
// compilenode returning bool3074
  int op_slot_right_3073 = gc_frame_newslot(bool3074);
  int callframe3076 = gc_frame_new();
  partcv[0] = 0;
  Object call3077 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3076);
// compilenode returning call3077
// compilenode returning call3077
  int op_slot_left_3073 = gc_frame_newslot(call3077);
  params[0] = bool3074;
  partcv[0] = 1;
  Object opresult3078 = callmethod(call3077, "!=", 1, partcv, params);
// compilenode returning opresult3078
  Object if3072 = done;
  if (istrue(opresult3078)) {
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3079 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe3080 = gc_frame_new();
  partcv[0] = 0;
  Object call3081 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3080);
// compilenode returning call3081
// compilenode returning call3081
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call3082 = callmethod(call3081, "accept",
    1, partcv, params);
  gc_frame_end(callframe3079);
// compilenode returning call3082
    gc_frame_newslot(call3082);
    if3072 = call3082;
  } else {
  }
// compilenode returning if3072
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3083 = gc_frame_new();
  int callframe3084 = gc_frame_new();
  partcv[0] = 0;
  Object call3085 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3084);
// compilenode returning call3085
// compilenode returning call3085
  gc_frame_newslot(call3085);
  Object block3086 = alloc_Block(NULL, NULL, "ast", 724);
  gc_frame_newslot(block3086);
  block_savedest(block3086);
  Object closure3087 = createclosure(2, "_apply");
  setclosureframe(closure3087, stackframe);
  addtoclosure(closure3087, var_visitor);
  addtoclosure(closure3087, selfslot);
  struct UserObject *uo3087 = (struct UserObject*)block3086;
  uo3087->data[0] = (Object)closure3087;
  Method *meth_meth_ast__apply3087 = addmethod2pos(block3086, "_apply", &meth_ast__apply3087, 0);
int argcv_meth_ast__apply3087[] = {1};
meth_meth_ast__apply3087->type = alloc_MethodType(1, argcv_meth_ast__apply3087);
  meth_meth_ast__apply3087->definitionModule = modulename;
  meth_meth_ast__apply3087->definitionLine = 724;
// compilenode returning block3086
  gc_frame_newslot(block3086);
  params[0] = call3085;
  params[1] = block3086;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3109 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3083);
// compilenode returning call3109
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3110 = gc_frame_new();
  int callframe3111 = gc_frame_new();
  partcv[0] = 0;
  Object call3112 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3111);
// compilenode returning call3112
// compilenode returning call3112
  gc_frame_newslot(call3112);
  Object block3113 = alloc_Block(NULL, NULL, "ast", 732);
  gc_frame_newslot(block3113);
  block_savedest(block3113);
  Object closure3114 = createclosure(2, "_apply");
  setclosureframe(closure3114, stackframe);
  addtoclosure(closure3114, var_visitor);
  addtoclosure(closure3114, selfslot);
  struct UserObject *uo3114 = (struct UserObject*)block3113;
  uo3114->data[0] = (Object)closure3114;
  Method *meth_meth_ast__apply3114 = addmethod2pos(block3113, "_apply", &meth_ast__apply3114, 0);
int argcv_meth_ast__apply3114[] = {1};
meth_meth_ast__apply3114->type = alloc_MethodType(1, argcv_meth_ast__apply3114);
  meth_meth_ast__apply3114->definitionModule = modulename;
  meth_meth_ast__apply3114->definitionLine = 732;
// compilenode returning block3113
  gc_frame_newslot(block3113);
  params[0] = call3112;
  params[1] = block3113;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3118 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3110);
// compilenode returning call3118
    gc_frame_newslot(call3118);
    if3065 = call3118;
  } else {
  }
// compilenode returning if3065
  gc_frame_end(frame);
  return if3065;
}
Object meth_ast__apply3157(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_blk = getfromclosure(closure, 0);
  Object *var_blkBefore = getfromclosure(closure, 1);
  Object *var_blkAfter = getfromclosure(closure, 2);
  Object *var_n = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3158 = gc_frame_new();
  int callframe3159 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// compilenode returning *var_a
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3160 = callmethod(*var_a, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe3159);
// compilenode returning call3160
  gc_frame_newslot(call3160);
  int callframe3161 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call3162 = callmethod(*var_n, "annotations",
    1, partcv, params);
  gc_frame_end(callframe3161);
// compilenode returning call3162
// compilenode returning call3162
  params[0] = call3160;
  partcv[0] = 1;
  Object call3163 = callmethod(call3162, "push",
    1, partcv, params);
  gc_frame_end(callframe3158);
// compilenode returning call3163
  gc_frame_end(frame);
  return call3163;
}
Object meth_ast__apply3176(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_blk = getfromclosure(closure, 0);
  Object *var_blkBefore = getfromclosure(closure, 1);
  Object *var_blkAfter = getfromclosure(closure, 2);
  Object *var_n = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3177 = gc_frame_new();
  int callframe3178 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// compilenode returning *var_a
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3179 = callmethod(*var_a, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe3178);
// compilenode returning call3179
  gc_frame_newslot(call3179);
  int callframe3180 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call3181 = callmethod(*var_n, "generics",
    1, partcv, params);
  gc_frame_end(callframe3180);
// compilenode returning call3181
// compilenode returning call3181
  params[0] = call3179;
  partcv[0] = 1;
  Object call3182 = callmethod(call3181, "push",
    1, partcv, params);
  gc_frame_end(callframe3177);
// compilenode returning call3182
  gc_frame_end(frame);
  return call3182;
}
Object meth_ast_map_40__41_before_40__41_after3119(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_name_39_ = getfromclosure(closure, 0);
  Object *var_methodNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_dt = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "dt");
  Object *var_n = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "n");
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3120 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call3121 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe3120);
// compilenode returning call3121
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3122 = alloc_Boolean(0);
// compilenode returning bool3122
  *var_dt = bool3122;
  if (bool3122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3125 = alloc_Boolean(0);
// compilenode returning bool3125
  int op_slot_right_3124 = gc_frame_newslot(bool3125);
  int callframe3127 = gc_frame_new();
  partcv[0] = 0;
  Object call3128 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3127);
// compilenode returning call3128
  int op_slot_left_3124 = gc_frame_newslot(call3128);
  params[0] = bool3125;
  partcv[0] = 1;
  Object opresult3129 = callmethod(call3128, "!=", 1, partcv, params);
// compilenode returning opresult3129
  Object if3123 = done;
  if (istrue(opresult3129)) {
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3130 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe3131 = gc_frame_new();
  partcv[0] = 0;
  Object call3132 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3131);
// compilenode returning call3132
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3133 = callmethod(call3132, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe3130);
// compilenode returning call3133
  *var_dt = call3133;
  if (call3133 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3123 = done;
  } else {
  }
// compilenode returning if3123
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3135 = gc_frame_new();
// compilenode returning *var_name_39_
  gc_frame_newslot(*var_name_39_);
  int callframe3136 = gc_frame_new();
  partcv[0] = 0;
  Object call3137 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3136);
// compilenode returning call3137
  gc_frame_newslot(call3137);
  int callframe3138 = gc_frame_new();
  int callframe3139 = gc_frame_new();
  partcv[0] = 0;
  Object call3140 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3139);
// compilenode returning call3140
  gc_frame_newslot(call3140);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe3141 = gc_frame_new();
  int callframe3142 = gc_frame_new();
  Object call3143 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3142);
// compilenode returning call3143
// compilenode returning call3143
  partcv[0] = 0;
  Object call3144 = callmethodflags(call3143, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3141);
// compilenode returning call3144
// compilenode returning call3144
  params[0] = call3140;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3145 = callmethodflags(call3144, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3138);
// compilenode returning call3145
  gc_frame_newslot(call3145);
// compilenode returning *var_dt
  gc_frame_newslot(*var_dt);
// compilenode returning *var_methodNode
  params[0] = *var_name_39_;
  params[1] = call3137;
  params[2] = call3145;
  params[3] = *var_dt;
  partcv[0] = 4;
  Object call3146 = callmethod(*var_methodNode, "new",
    1, partcv, params);
  gc_frame_end(callframe3135);
// compilenode returning call3146
  *var_n = call3146;
  if (call3146 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3147 = gc_frame_new();
  int callframe3148 = gc_frame_new();
  int callframe3149 = gc_frame_new();
  partcv[0] = 0;
  Object call3150 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3149);
// compilenode returning call3150
  gc_frame_newslot(call3150);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe3151 = gc_frame_new();
  int callframe3152 = gc_frame_new();
  Object call3153 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3152);
// compilenode returning call3153
// compilenode returning call3153
  partcv[0] = 0;
  Object call3154 = callmethodflags(call3153, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3151);
// compilenode returning call3154
// compilenode returning call3154
  params[0] = call3150;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3155 = callmethodflags(call3154, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3148);
// compilenode returning call3155
  gc_frame_newslot(call3155);
  Object block3156 = alloc_Block(NULL, NULL, "ast", 744);
  gc_frame_newslot(block3156);
  block_savedest(block3156);
  Object closure3157 = createclosure(5, "_apply");
  setclosureframe(closure3157, stackframe);
  addtoclosure(closure3157, var_blk);
  addtoclosure(closure3157, var_blkBefore);
  addtoclosure(closure3157, var_blkAfter);
  addtoclosure(closure3157, var_n);
  addtoclosure(closure3157, selfslot);
  struct UserObject *uo3157 = (struct UserObject*)block3156;
  uo3157->data[0] = (Object)closure3157;
  Method *meth_meth_ast__apply3157 = addmethod2pos(block3156, "_apply", &meth_ast__apply3157, 0);
int argcv_meth_ast__apply3157[] = {1};
meth_meth_ast__apply3157->type = alloc_MethodType(1, argcv_meth_ast__apply3157);
  meth_meth_ast__apply3157->definitionModule = modulename;
  meth_meth_ast__apply3157->definitionLine = 744;
// compilenode returning block3156
  gc_frame_newslot(block3156);
  params[0] = call3155;
  params[1] = block3156;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3165 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3147);
// compilenode returning call3165
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3166 = gc_frame_new();
  int callframe3167 = gc_frame_new();
  int callframe3168 = gc_frame_new();
  partcv[0] = 0;
  Object call3169 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3168);
// compilenode returning call3169
  gc_frame_newslot(call3169);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe3170 = gc_frame_new();
  int callframe3171 = gc_frame_new();
  Object call3172 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3171);
// compilenode returning call3172
// compilenode returning call3172
  partcv[0] = 0;
  Object call3173 = callmethodflags(call3172, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3170);
// compilenode returning call3173
// compilenode returning call3173
  params[0] = call3169;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3174 = callmethodflags(call3173, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3167);
// compilenode returning call3174
  gc_frame_newslot(call3174);
  Object block3175 = alloc_Block(NULL, NULL, "ast", 747);
  gc_frame_newslot(block3175);
  block_savedest(block3175);
  Object closure3176 = createclosure(5, "_apply");
  setclosureframe(closure3176, stackframe);
  addtoclosure(closure3176, var_blk);
  addtoclosure(closure3176, var_blkBefore);
  addtoclosure(closure3176, var_blkAfter);
  addtoclosure(closure3176, var_n);
  addtoclosure(closure3176, selfslot);
  struct UserObject *uo3176 = (struct UserObject*)block3175;
  uo3176->data[0] = (Object)closure3176;
  Method *meth_meth_ast__apply3176 = addmethod2pos(block3175, "_apply", &meth_ast__apply3176, 0);
int argcv_meth_ast__apply3176[] = {1};
meth_meth_ast__apply3176->type = alloc_MethodType(1, argcv_meth_ast__apply3176);
  meth_meth_ast__apply3176->definitionModule = modulename;
  meth_meth_ast__apply3176->definitionLine = 747;
// compilenode returning block3175
  gc_frame_newslot(block3175);
  params[0] = call3174;
  params[1] = block3175;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3184 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3166);
// compilenode returning call3184
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3185 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3186 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe3185);
// compilenode returning call3186
  *var_n = call3186;
  if (call3186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3188 = gc_frame_new();
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3189 = gc_frame_new();
  partcv[0] = 0;
  Object call3190 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3189);
// compilenode returning call3190
  gc_frame_newslot(call3190);
// compilenode returning *var_n
  params[0] = call3190;
  partcv[0] = 1;
  Object call3191 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe3188);
// compilenode returning call3191
// compilenode returning done
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3192 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3193 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe3192);
// compilenode returning call3193
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply3197(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3200(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map3194(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3195 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block3196 = alloc_Block(NULL, NULL, "ast", 756);
  gc_frame_newslot(block3196);
  block_savedest(block3196);
  Object closure3197 = createclosure(1, "_apply");
  setclosureframe(closure3197, stackframe);
  addtoclosure(closure3197, selfslot);
  struct UserObject *uo3197 = (struct UserObject*)block3196;
  uo3197->data[0] = (Object)closure3197;
  Method *meth_meth_ast__apply3197 = addmethod2pos(block3196, "_apply", &meth_ast__apply3197, 0);
int argcv_meth_ast__apply3197[] = {0};
meth_meth_ast__apply3197->type = alloc_MethodType(1, argcv_meth_ast__apply3197);
  meth_meth_ast__apply3197->definitionModule = modulename;
  meth_meth_ast__apply3197->definitionLine = 748;
// compilenode returning block3196
  gc_frame_newslot(block3196);
  Object block3199 = alloc_Block(NULL, NULL, "ast", 756);
  gc_frame_newslot(block3199);
  block_savedest(block3199);
  Object closure3200 = createclosure(1, "_apply");
  setclosureframe(closure3200, stackframe);
  addtoclosure(closure3200, selfslot);
  struct UserObject *uo3200 = (struct UserObject*)block3199;
  uo3200->data[0] = (Object)closure3200;
  Method *meth_meth_ast__apply3200 = addmethod2pos(block3199, "_apply", &meth_ast__apply3200, 0);
int argcv_meth_ast__apply3200[] = {0};
meth_meth_ast__apply3200->type = alloc_MethodType(1, argcv_meth_ast__apply3200);
  meth_meth_ast__apply3200->definitionModule = modulename;
  meth_meth_ast__apply3200->definitionLine = 748;
// compilenode returning block3199
  gc_frame_newslot(block3199);
  params[0] = *var_blk;
  params[1] = block3196;
  params[2] = block3199;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3202 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3195);
// compilenode returning call3202
  gc_frame_end(frame);
  return call3202;
}
Object meth_ast__apply3213(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_blk = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3214 = gc_frame_new();
// compilenode returning *var_p
  gc_frame_newslot(*var_p);
// compilenode returning *var_blk
  params[0] = *var_p;
  partcv[0] = 1;
  Object call3215 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe3214);
// compilenode returning call3215
  gc_frame_end(frame);
  return call3215;
}
Object meth_ast__apply3208(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_blk = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3209 = gc_frame_new();
  int callframe3210 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call3211 = callmethod(*var_s, "params",
    1, partcv, params);
  gc_frame_end(callframe3210);
// compilenode returning call3211
// compilenode returning call3211
  gc_frame_newslot(call3211);
  Object block3212 = alloc_Block(NULL, NULL, "ast", 760);
  gc_frame_newslot(block3212);
  block_savedest(block3212);
  Object closure3213 = createclosure(2, "_apply");
  setclosureframe(closure3213, stackframe);
  addtoclosure(closure3213, var_blk);
  addtoclosure(closure3213, selfslot);
  struct UserObject *uo3213 = (struct UserObject*)block3212;
  uo3213->data[0] = (Object)closure3213;
  Method *meth_meth_ast__apply3213 = addmethod2pos(block3212, "_apply", &meth_ast__apply3213, 0);
int argcv_meth_ast__apply3213[] = {1};
meth_meth_ast__apply3213->type = alloc_MethodType(1, argcv_meth_ast__apply3213);
  meth_meth_ast__apply3213->definitionModule = modulename;
  meth_meth_ast__apply3213->definitionLine = 760;
// compilenode returning block3212
  gc_frame_newslot(block3212);
  params[0] = call3211;
  params[1] = block3212;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3217 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3209);
// compilenode returning call3217
  gc_frame_end(frame);
  return call3217;
}
Object meth_ast_eachParameter3203(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eachParameter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method eachParameter");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for eachParameter (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for eachParameter");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3204 = gc_frame_new();
  int callframe3205 = gc_frame_new();
  partcv[0] = 0;
  Object call3206 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3205);
// compilenode returning call3206
  gc_frame_newslot(call3206);
  Object block3207 = alloc_Block(NULL, NULL, "ast", 759);
  gc_frame_newslot(block3207);
  block_savedest(block3207);
  Object closure3208 = createclosure(2, "_apply");
  setclosureframe(closure3208, stackframe);
  addtoclosure(closure3208, var_blk);
  addtoclosure(closure3208, selfslot);
  struct UserObject *uo3208 = (struct UserObject*)block3207;
  uo3208->data[0] = (Object)closure3208;
  Method *meth_meth_ast__apply3208 = addmethod2pos(block3207, "_apply", &meth_ast__apply3208, 0);
int argcv_meth_ast__apply3208[] = {1};
meth_meth_ast__apply3208->type = alloc_MethodType(1, argcv_meth_ast__apply3208);
  meth_meth_ast__apply3208->definitionModule = modulename;
  meth_meth_ast__apply3208->definitionLine = 748;
// compilenode returning block3207
  gc_frame_newslot(block3207);
  params[0] = call3206;
  params[1] = block3207;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3219 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3204);
// compilenode returning call3219
  gc_frame_end(frame);
  return call3219;
}
Object meth_ast__apply3228(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3230 == NULL) {
    strlit3230 = alloc_String("  ");
    gc_root(strlit3230);
  }
// compilenode returning strlit3230
  int op_slot_right_3229 = gc_frame_newslot(strlit3230);
// compilenode returning *var_spc
  int op_slot_left_3229 = gc_frame_newslot(*var_spc);
  params[0] = strlit3230;
  partcv[0] = 1;
  Object opresult3232 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult3232
  *var_spc = opresult3232;
  if (opresult3232 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3365(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3367 == NULL) {
    strlit3367 = alloc_String("");
    gc_root(strlit3367);
  }
// compilenode returning strlit3367
  int op_slot_right_3366 = gc_frame_newslot(strlit3367);
  int callframe3370 = gc_frame_new();
  Object num3372 = alloc_Float64(4);
// compilenode returning num3372
  int op_slot_right_3371 = gc_frame_newslot(num3372);
// compilenode returning *var_depth
  int op_slot_left_3371 = gc_frame_newslot(*var_depth);
  params[0] = num3372;
  partcv[0] = 1;
  Object sum3374 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3374
  gc_frame_newslot(sum3374);
// compilenode returning *var_p
  params[0] = sum3374;
  partcv[0] = 1;
  Object call3375 = callmethod(*var_p, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3370);
// compilenode returning call3375
  int op_slot_right_3369 = gc_frame_newslot(call3375);
  if (strlit3378 == NULL) {
    strlit3378 = alloc_String("");
    gc_root(strlit3378);
  }
// compilenode returning strlit3378
  int op_slot_right_3377 = gc_frame_newslot(strlit3378);
// compilenode returning *var_spc
  int op_slot_right_3380 = gc_frame_newslot(*var_spc);
  if (strlit3383 == NULL) {
    strlit3383 = alloc_String("""\x0a""      ");
    gc_root(strlit3383);
  }
// compilenode returning strlit3383
  int op_slot_right_3382 = gc_frame_newslot(strlit3383);
// compilenode returning *var_s
  int op_slot_right_3385 = gc_frame_newslot(*var_s);
  if (strlit3387 == NULL) {
    strlit3387 = alloc_String("");
    gc_root(strlit3387);
  }
// compilenode returning strlit3387
  int op_slot_left_3385 = gc_frame_newslot(strlit3387);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3388 = callmethod(strlit3387, "++", 1, partcv, params);
// compilenode returning opresult3388
  int op_slot_left_3382 = gc_frame_newslot(opresult3388);
  params[0] = strlit3383;
  partcv[0] = 1;
  Object opresult3389 = callmethod(opresult3388, "++", 1, partcv, params);
// compilenode returning opresult3389
  int op_slot_left_3380 = gc_frame_newslot(opresult3389);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3390 = callmethod(opresult3389, "++", 1, partcv, params);
// compilenode returning opresult3390
  int op_slot_left_3377 = gc_frame_newslot(opresult3390);
  params[0] = strlit3378;
  partcv[0] = 1;
  Object opresult3391 = callmethod(opresult3390, "++", 1, partcv, params);
// compilenode returning opresult3391
  int op_slot_left_3369 = gc_frame_newslot(opresult3391);
  params[0] = call3375;
  partcv[0] = 1;
  Object opresult3392 = callmethod(opresult3391, "++", 1, partcv, params);
// compilenode returning opresult3392
  int op_slot_left_3366 = gc_frame_newslot(opresult3392);
  params[0] = strlit3367;
  partcv[0] = 1;
  Object opresult3393 = callmethod(opresult3392, "++", 1, partcv, params);
// compilenode returning opresult3393
  *var_s = opresult3393;
  if (opresult3393 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3319(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3321 == NULL) {
    strlit3321 = alloc_String("");
    gc_root(strlit3321);
  }
// compilenode returning strlit3321
  int op_slot_right_3320 = gc_frame_newslot(strlit3321);
  int callframe3324 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3325 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe3324);
// compilenode returning call3325
// compilenode returning call3325
  int op_slot_right_3323 = gc_frame_newslot(call3325);
  if (strlit3328 == NULL) {
    strlit3328 = alloc_String("Part: ");
    gc_root(strlit3328);
  }
// compilenode returning strlit3328
  int op_slot_right_3327 = gc_frame_newslot(strlit3328);
// compilenode returning *var_spc
  int op_slot_right_3330 = gc_frame_newslot(*var_spc);
  if (strlit3333 == NULL) {
    strlit3333 = alloc_String("""\x0a""  ");
    gc_root(strlit3333);
  }
// compilenode returning strlit3333
  int op_slot_right_3332 = gc_frame_newslot(strlit3333);
// compilenode returning *var_s
  int op_slot_right_3335 = gc_frame_newslot(*var_s);
  if (strlit3337 == NULL) {
    strlit3337 = alloc_String("");
    gc_root(strlit3337);
  }
// compilenode returning strlit3337
  int op_slot_left_3335 = gc_frame_newslot(strlit3337);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3338 = callmethod(strlit3337, "++", 1, partcv, params);
// compilenode returning opresult3338
  int op_slot_left_3332 = gc_frame_newslot(opresult3338);
  params[0] = strlit3333;
  partcv[0] = 1;
  Object opresult3339 = callmethod(opresult3338, "++", 1, partcv, params);
// compilenode returning opresult3339
  int op_slot_left_3330 = gc_frame_newslot(opresult3339);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3340 = callmethod(opresult3339, "++", 1, partcv, params);
// compilenode returning opresult3340
  int op_slot_left_3327 = gc_frame_newslot(opresult3340);
  params[0] = strlit3328;
  partcv[0] = 1;
  Object opresult3341 = callmethod(opresult3340, "++", 1, partcv, params);
// compilenode returning opresult3341
  int op_slot_left_3323 = gc_frame_newslot(opresult3341);
  params[0] = call3325;
  partcv[0] = 1;
  Object opresult3342 = callmethod(opresult3341, "++", 1, partcv, params);
// compilenode returning opresult3342
  int op_slot_left_3320 = gc_frame_newslot(opresult3342);
  params[0] = strlit3321;
  partcv[0] = 1;
  Object opresult3343 = callmethod(opresult3342, "++", 1, partcv, params);
// compilenode returning opresult3343
  *var_s = opresult3343;
  if (opresult3343 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3346 == NULL) {
    strlit3346 = alloc_String("Parameters:");
    gc_root(strlit3346);
  }
// compilenode returning strlit3346
  int op_slot_right_3345 = gc_frame_newslot(strlit3346);
// compilenode returning *var_spc
  int op_slot_right_3348 = gc_frame_newslot(*var_spc);
  if (strlit3351 == NULL) {
    strlit3351 = alloc_String("""\x0a""    ");
    gc_root(strlit3351);
  }
// compilenode returning strlit3351
  int op_slot_right_3350 = gc_frame_newslot(strlit3351);
// compilenode returning *var_s
  int op_slot_right_3353 = gc_frame_newslot(*var_s);
  if (strlit3355 == NULL) {
    strlit3355 = alloc_String("");
    gc_root(strlit3355);
  }
// compilenode returning strlit3355
  int op_slot_left_3353 = gc_frame_newslot(strlit3355);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3356 = callmethod(strlit3355, "++", 1, partcv, params);
// compilenode returning opresult3356
  int op_slot_left_3350 = gc_frame_newslot(opresult3356);
  params[0] = strlit3351;
  partcv[0] = 1;
  Object opresult3357 = callmethod(opresult3356, "++", 1, partcv, params);
// compilenode returning opresult3357
  int op_slot_left_3348 = gc_frame_newslot(opresult3357);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3358 = callmethod(opresult3357, "++", 1, partcv, params);
// compilenode returning opresult3358
  int op_slot_left_3345 = gc_frame_newslot(opresult3358);
  params[0] = strlit3346;
  partcv[0] = 1;
  Object opresult3359 = callmethod(opresult3358, "++", 1, partcv, params);
// compilenode returning opresult3359
  *var_s = opresult3359;
  if (opresult3359 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3361 = gc_frame_new();
  int callframe3362 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3363 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3362);
// compilenode returning call3363
// compilenode returning call3363
  gc_frame_newslot(call3363);
  Object block3364 = alloc_Block(NULL, NULL, "ast", 781);
  gc_frame_newslot(block3364);
  block_savedest(block3364);
  Object closure3365 = createclosure(4, "_apply");
  setclosureframe(closure3365, stackframe);
  addtoclosure(closure3365, var_depth);
  addtoclosure(closure3365, var_spc);
  addtoclosure(closure3365, var_s);
  addtoclosure(closure3365, selfslot);
  struct UserObject *uo3365 = (struct UserObject*)block3364;
  uo3365->data[0] = (Object)closure3365;
  Method *meth_meth_ast__apply3365 = addmethod2pos(block3364, "_apply", &meth_ast__apply3365, 0);
int argcv_meth_ast__apply3365[] = {1};
meth_meth_ast__apply3365->type = alloc_MethodType(1, argcv_meth_ast__apply3365);
  meth_meth_ast__apply3365->definitionModule = modulename;
  meth_meth_ast__apply3365->definitionLine = 781;
// compilenode returning block3364
  gc_frame_newslot(block3364);
  params[0] = call3363;
  params[1] = block3364;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3396 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3361);
// compilenode returning call3396
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3399 = alloc_Boolean(0);
// compilenode returning bool3399
  int op_slot_right_3398 = gc_frame_newslot(bool3399);
  int callframe3401 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3402 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3401);
// compilenode returning call3402
// compilenode returning call3402
  int op_slot_left_3398 = gc_frame_newslot(call3402);
  params[0] = bool3399;
  partcv[0] = 1;
  Object opresult3403 = callmethod(call3402, "!=", 1, partcv, params);
// compilenode returning opresult3403
  Object if3397 = done;
  if (istrue(opresult3403)) {
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3405 == NULL) {
    strlit3405 = alloc_String("");
    gc_root(strlit3405);
  }
// compilenode returning strlit3405
  int op_slot_right_3404 = gc_frame_newslot(strlit3405);
  int callframe3408 = gc_frame_new();
  Object num3410 = alloc_Float64(3);
// compilenode returning num3410
  int op_slot_right_3409 = gc_frame_newslot(num3410);
// compilenode returning *var_depth
  int op_slot_left_3409 = gc_frame_newslot(*var_depth);
  params[0] = num3410;
  partcv[0] = 1;
  Object sum3412 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3412
  gc_frame_newslot(sum3412);
  int callframe3413 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3414 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3413);
// compilenode returning call3414
// compilenode returning call3414
  params[0] = sum3412;
  partcv[0] = 1;
  Object call3415 = callmethod(call3414, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3408);
// compilenode returning call3415
  int op_slot_right_3407 = gc_frame_newslot(call3415);
  if (strlit3418 == NULL) {
    strlit3418 = alloc_String("Vararg: ");
    gc_root(strlit3418);
  }
// compilenode returning strlit3418
  int op_slot_right_3417 = gc_frame_newslot(strlit3418);
// compilenode returning *var_spc
  int op_slot_right_3420 = gc_frame_newslot(*var_spc);
  if (strlit3423 == NULL) {
    strlit3423 = alloc_String("""\x0a""    ");
    gc_root(strlit3423);
  }
// compilenode returning strlit3423
  int op_slot_right_3422 = gc_frame_newslot(strlit3423);
// compilenode returning *var_s
  int op_slot_right_3425 = gc_frame_newslot(*var_s);
  if (strlit3427 == NULL) {
    strlit3427 = alloc_String("");
    gc_root(strlit3427);
  }
// compilenode returning strlit3427
  int op_slot_left_3425 = gc_frame_newslot(strlit3427);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3428 = callmethod(strlit3427, "++", 1, partcv, params);
// compilenode returning opresult3428
  int op_slot_left_3422 = gc_frame_newslot(opresult3428);
  params[0] = strlit3423;
  partcv[0] = 1;
  Object opresult3429 = callmethod(opresult3428, "++", 1, partcv, params);
// compilenode returning opresult3429
  int op_slot_left_3420 = gc_frame_newslot(opresult3429);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3430 = callmethod(opresult3429, "++", 1, partcv, params);
// compilenode returning opresult3430
  int op_slot_left_3417 = gc_frame_newslot(opresult3430);
  params[0] = strlit3418;
  partcv[0] = 1;
  Object opresult3431 = callmethod(opresult3430, "++", 1, partcv, params);
// compilenode returning opresult3431
  int op_slot_left_3407 = gc_frame_newslot(opresult3431);
  params[0] = call3415;
  partcv[0] = 1;
  Object opresult3432 = callmethod(opresult3431, "++", 1, partcv, params);
// compilenode returning opresult3432
  int op_slot_left_3404 = gc_frame_newslot(opresult3432);
  params[0] = strlit3405;
  partcv[0] = 1;
  Object opresult3433 = callmethod(opresult3432, "++", 1, partcv, params);
// compilenode returning opresult3433
  *var_s = opresult3433;
  if (opresult3433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3397 = done;
  } else {
  }
// compilenode returning if3397
  gc_frame_end(frame);
  return if3397;
}
Object meth_ast__apply3469(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3471 == NULL) {
    strlit3471 = alloc_String("");
    gc_root(strlit3471);
  }
// compilenode returning strlit3471
  int op_slot_right_3470 = gc_frame_newslot(strlit3471);
  int callframe3474 = gc_frame_new();
  Object num3475 = alloc_Float64(0);
// compilenode returning num3475
  gc_frame_newslot(num3475);
// compilenode returning *var_g
  params[0] = num3475;
  partcv[0] = 1;
  Object call3476 = callmethod(*var_g, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3474);
// compilenode returning call3476
  int op_slot_right_3473 = gc_frame_newslot(call3476);
  if (strlit3479 == NULL) {
    strlit3479 = alloc_String("  ");
    gc_root(strlit3479);
  }
// compilenode returning strlit3479
  int op_slot_right_3478 = gc_frame_newslot(strlit3479);
// compilenode returning *var_spc
  int op_slot_right_3481 = gc_frame_newslot(*var_spc);
  if (strlit3484 == NULL) {
    strlit3484 = alloc_String("""\x0a""");
    gc_root(strlit3484);
  }
// compilenode returning strlit3484
  int op_slot_right_3483 = gc_frame_newslot(strlit3484);
// compilenode returning *var_s
  int op_slot_right_3486 = gc_frame_newslot(*var_s);
  if (strlit3488 == NULL) {
    strlit3488 = alloc_String("");
    gc_root(strlit3488);
  }
// compilenode returning strlit3488
  int op_slot_left_3486 = gc_frame_newslot(strlit3488);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3489 = callmethod(strlit3488, "++", 1, partcv, params);
// compilenode returning opresult3489
  int op_slot_left_3483 = gc_frame_newslot(opresult3489);
  params[0] = strlit3484;
  partcv[0] = 1;
  Object opresult3490 = callmethod(opresult3489, "++", 1, partcv, params);
// compilenode returning opresult3490
  int op_slot_left_3481 = gc_frame_newslot(opresult3490);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3491 = callmethod(opresult3490, "++", 1, partcv, params);
// compilenode returning opresult3491
  int op_slot_left_3478 = gc_frame_newslot(opresult3491);
  params[0] = strlit3479;
  partcv[0] = 1;
  Object opresult3492 = callmethod(opresult3491, "++", 1, partcv, params);
// compilenode returning opresult3492
  int op_slot_left_3473 = gc_frame_newslot(opresult3492);
  params[0] = call3476;
  partcv[0] = 1;
  Object opresult3493 = callmethod(opresult3492, "++", 1, partcv, params);
// compilenode returning opresult3493
  int op_slot_left_3470 = gc_frame_newslot(opresult3493);
  params[0] = strlit3471;
  partcv[0] = 1;
  Object opresult3494 = callmethod(opresult3493, "++", 1, partcv, params);
// compilenode returning opresult3494
  *var_s = opresult3494;
  if (opresult3494 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3532(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_an = &(stackframe->slots[0]);
  *var_an = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3534 == NULL) {
    strlit3534 = alloc_String("");
    gc_root(strlit3534);
  }
// compilenode returning strlit3534
  int op_slot_right_3533 = gc_frame_newslot(strlit3534);
  int callframe3537 = gc_frame_new();
  Object num3539 = alloc_Float64(2);
// compilenode returning num3539
  int op_slot_right_3538 = gc_frame_newslot(num3539);
// compilenode returning *var_depth
  int op_slot_left_3538 = gc_frame_newslot(*var_depth);
  params[0] = num3539;
  partcv[0] = 1;
  Object sum3541 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3541
  gc_frame_newslot(sum3541);
// compilenode returning *var_an
  params[0] = sum3541;
  partcv[0] = 1;
  Object call3542 = callmethod(*var_an, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3537);
// compilenode returning call3542
  int op_slot_right_3536 = gc_frame_newslot(call3542);
  if (strlit3545 == NULL) {
    strlit3545 = alloc_String("  ");
    gc_root(strlit3545);
  }
// compilenode returning strlit3545
  int op_slot_right_3544 = gc_frame_newslot(strlit3545);
// compilenode returning *var_spc
  int op_slot_right_3547 = gc_frame_newslot(*var_spc);
  if (strlit3550 == NULL) {
    strlit3550 = alloc_String("""\x0a""");
    gc_root(strlit3550);
  }
// compilenode returning strlit3550
  int op_slot_right_3549 = gc_frame_newslot(strlit3550);
// compilenode returning *var_s
  int op_slot_right_3552 = gc_frame_newslot(*var_s);
  if (strlit3554 == NULL) {
    strlit3554 = alloc_String("");
    gc_root(strlit3554);
  }
// compilenode returning strlit3554
  int op_slot_left_3552 = gc_frame_newslot(strlit3554);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3555 = callmethod(strlit3554, "++", 1, partcv, params);
// compilenode returning opresult3555
  int op_slot_left_3549 = gc_frame_newslot(opresult3555);
  params[0] = strlit3550;
  partcv[0] = 1;
  Object opresult3556 = callmethod(opresult3555, "++", 1, partcv, params);
// compilenode returning opresult3556
  int op_slot_left_3547 = gc_frame_newslot(opresult3556);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3557 = callmethod(opresult3556, "++", 1, partcv, params);
// compilenode returning opresult3557
  int op_slot_left_3544 = gc_frame_newslot(opresult3557);
  params[0] = strlit3545;
  partcv[0] = 1;
  Object opresult3558 = callmethod(opresult3557, "++", 1, partcv, params);
// compilenode returning opresult3558
  int op_slot_left_3536 = gc_frame_newslot(opresult3558);
  params[0] = call3542;
  partcv[0] = 1;
  Object opresult3559 = callmethod(opresult3558, "++", 1, partcv, params);
// compilenode returning opresult3559
  int op_slot_left_3533 = gc_frame_newslot(opresult3559);
  params[0] = strlit3534;
  partcv[0] = 1;
  Object opresult3560 = callmethod(opresult3559, "++", 1, partcv, params);
// compilenode returning opresult3560
  *var_s = opresult3560;
  if (opresult3560 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3581(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3583 = gc_frame_new();
  Object num3585 = alloc_Float64(2);
// compilenode returning num3585
  int op_slot_right_3584 = gc_frame_newslot(num3585);
// compilenode returning *var_depth
  int op_slot_left_3584 = gc_frame_newslot(*var_depth);
  params[0] = num3585;
  partcv[0] = 1;
  Object sum3587 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3587
  gc_frame_newslot(sum3587);
// compilenode returning *var_mx
  params[0] = sum3587;
  partcv[0] = 1;
  Object call3588 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3583);
// compilenode returning call3588
  int op_slot_right_3582 = gc_frame_newslot(call3588);
// compilenode returning *var_spc
  int op_slot_right_3590 = gc_frame_newslot(*var_spc);
  if (strlit3593 == NULL) {
    strlit3593 = alloc_String("""\x0a""  ");
    gc_root(strlit3593);
  }
// compilenode returning strlit3593
  int op_slot_right_3592 = gc_frame_newslot(strlit3593);
// compilenode returning *var_s
  int op_slot_left_3592 = gc_frame_newslot(*var_s);
  params[0] = strlit3593;
  partcv[0] = 1;
  Object opresult3595 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3595
  int op_slot_left_3590 = gc_frame_newslot(opresult3595);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3596 = callmethod(opresult3595, "++", 1, partcv, params);
// compilenode returning opresult3596
  int op_slot_left_3582 = gc_frame_newslot(opresult3596);
  params[0] = call3588;
  partcv[0] = 1;
  Object opresult3597 = callmethod(opresult3596, "++", 1, partcv, params);
// compilenode returning opresult3597
  *var_s = opresult3597;
  if (opresult3597 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty3220(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3221 == NULL) {
    strlit3221 = alloc_String("");
    gc_root(strlit3221);
  }
// compilenode returning strlit3221
  *var_spc = strlit3221;
  if (strlit3221 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3222 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_3223 = gc_frame_newslot(*var_depth);
  Object num3225 = alloc_Float64(0);
// compilenode returning num3225
  int op_slot_left_3223 = gc_frame_newslot(num3225);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult3226 = callmethod(num3225, "..", 1, partcv, params);
// compilenode returning opresult3226
  gc_frame_newslot(opresult3226);
  Object block3227 = alloc_Block(NULL, NULL, "ast", 767);
  gc_frame_newslot(block3227);
  block_savedest(block3227);
  Object closure3228 = createclosure(2, "_apply");
  setclosureframe(closure3228, stackframe);
  addtoclosure(closure3228, var_spc);
  addtoclosure(closure3228, selfslot);
  struct UserObject *uo3228 = (struct UserObject*)block3227;
  uo3228->data[0] = (Object)closure3228;
  Method *meth_meth_ast__apply3228 = addmethod2pos(block3227, "_apply", &meth_ast__apply3228, 0);
int argcv_meth_ast__apply3228[] = {1};
meth_meth_ast__apply3228->type = alloc_MethodType(1, argcv_meth_ast__apply3228);
  meth_meth_ast__apply3228->definitionModule = modulename;
  meth_meth_ast__apply3228->definitionLine = 760;
// compilenode returning block3227
  gc_frame_newslot(block3227);
  params[0] = opresult3226;
  params[1] = block3227;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3235 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3222);
// compilenode returning call3235
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3236 == NULL) {
    strlit3236 = alloc_String("Method""\x0a""");
    gc_root(strlit3236);
  }
// compilenode returning strlit3236
  *var_s = strlit3236;
  if (strlit3236 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3238 = gc_frame_new();
  Object num3240 = alloc_Float64(1);
// compilenode returning num3240
  int op_slot_right_3239 = gc_frame_newslot(num3240);
// compilenode returning *var_depth
  int op_slot_left_3239 = gc_frame_newslot(*var_depth);
  params[0] = num3240;
  partcv[0] = 1;
  Object sum3242 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3242
  gc_frame_newslot(sum3242);
  int callframe3243 = gc_frame_new();
  partcv[0] = 0;
  Object call3244 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3243);
// compilenode returning call3244
// compilenode returning call3244
  params[0] = sum3242;
  partcv[0] = 1;
  Object call3245 = callmethod(call3244, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3238);
// compilenode returning call3245
  int op_slot_right_3237 = gc_frame_newslot(call3245);
  if (strlit3248 == NULL) {
    strlit3248 = alloc_String("Name: ");
    gc_root(strlit3248);
  }
// compilenode returning strlit3248
  int op_slot_right_3247 = gc_frame_newslot(strlit3248);
// compilenode returning *var_spc
  int op_slot_right_3250 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_3250 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3252 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3252
  int op_slot_left_3247 = gc_frame_newslot(opresult3252);
  params[0] = strlit3248;
  partcv[0] = 1;
  Object opresult3253 = callmethod(opresult3252, "++", 1, partcv, params);
// compilenode returning opresult3253
  int op_slot_left_3237 = gc_frame_newslot(opresult3253);
  params[0] = call3245;
  partcv[0] = 1;
  Object opresult3254 = callmethod(opresult3253, "++", 1, partcv, params);
// compilenode returning opresult3254
  *var_s = opresult3254;
  if (opresult3254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3257 == NULL) {
    strlit3257 = alloc_String("""\x0a""");
    gc_root(strlit3257);
  }
// compilenode returning strlit3257
  int op_slot_right_3256 = gc_frame_newslot(strlit3257);
// compilenode returning *var_s
  int op_slot_left_3256 = gc_frame_newslot(*var_s);
  params[0] = strlit3257;
  partcv[0] = 1;
  Object opresult3259 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3259
  *var_s = opresult3259;
  if (opresult3259 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3263 = gc_frame_new();
  partcv[0] = 0;
  Object call3264 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3263);
// compilenode returning call3264
// compilenode returning call3264
  int op_slot_right_3262 = gc_frame_newslot(call3264);
  Object bool3266 = alloc_Boolean(0);
// compilenode returning bool3266
  int op_slot_left_3262 = gc_frame_newslot(bool3266);
  params[0] = call3264;
  partcv[0] = 1;
  Object opresult3267 = callmethod(bool3266, "!=", 1, partcv, params);
// compilenode returning opresult3267
  Object if3261 = done;
  if (istrue(opresult3267)) {
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3269 == NULL) {
    strlit3269 = alloc_String("  ");
    gc_root(strlit3269);
  }
// compilenode returning strlit3269
  int op_slot_right_3268 = gc_frame_newslot(strlit3269);
// compilenode returning *var_spc
  int op_slot_right_3271 = gc_frame_newslot(*var_spc);
  if (strlit3274 == NULL) {
    strlit3274 = alloc_String("Returns:""\x0a""");
    gc_root(strlit3274);
  }
// compilenode returning strlit3274
  int op_slot_right_3273 = gc_frame_newslot(strlit3274);
// compilenode returning *var_spc
  int op_slot_right_3276 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_3276 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3278 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3278
  int op_slot_left_3273 = gc_frame_newslot(opresult3278);
  params[0] = strlit3274;
  partcv[0] = 1;
  Object opresult3279 = callmethod(opresult3278, "++", 1, partcv, params);
// compilenode returning opresult3279
  int op_slot_left_3271 = gc_frame_newslot(opresult3279);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3280 = callmethod(opresult3279, "++", 1, partcv, params);
// compilenode returning opresult3280
  int op_slot_left_3268 = gc_frame_newslot(opresult3280);
  params[0] = strlit3269;
  partcv[0] = 1;
  Object opresult3281 = callmethod(opresult3280, "++", 1, partcv, params);
// compilenode returning opresult3281
  *var_s = opresult3281;
  if (opresult3281 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3284 == NULL) {
    strlit3284 = alloc_String("""\x0a""");
    gc_root(strlit3284);
  }
// compilenode returning strlit3284
  int op_slot_right_3283 = gc_frame_newslot(strlit3284);
  int callframe3287 = gc_frame_new();
  Object num3289 = alloc_Float64(2);
// compilenode returning num3289
  int op_slot_right_3288 = gc_frame_newslot(num3289);
// compilenode returning *var_depth
  int op_slot_left_3288 = gc_frame_newslot(*var_depth);
  params[0] = num3289;
  partcv[0] = 1;
  Object sum3291 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3291
  gc_frame_newslot(sum3291);
  int callframe3292 = gc_frame_new();
  partcv[0] = 0;
  Object call3293 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3292);
// compilenode returning call3293
// compilenode returning call3293
  params[0] = sum3291;
  partcv[0] = 1;
  Object call3294 = callmethod(call3293, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3287);
// compilenode returning call3294
  int op_slot_right_3286 = gc_frame_newslot(call3294);
// compilenode returning *var_s
  int op_slot_left_3286 = gc_frame_newslot(*var_s);
  params[0] = call3294;
  partcv[0] = 1;
  Object opresult3296 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3296
  int op_slot_left_3283 = gc_frame_newslot(opresult3296);
  params[0] = strlit3284;
  partcv[0] = 1;
  Object opresult3297 = callmethod(opresult3296, "++", 1, partcv, params);
// compilenode returning opresult3297
  *var_s = opresult3297;
  if (opresult3297 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3261 = done;
  } else {
  }
// compilenode returning if3261
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3300 == NULL) {
    strlit3300 = alloc_String("Signature:");
    gc_root(strlit3300);
  }
// compilenode returning strlit3300
  int op_slot_right_3299 = gc_frame_newslot(strlit3300);
// compilenode returning *var_spc
  int op_slot_right_3302 = gc_frame_newslot(*var_spc);
  if (strlit3305 == NULL) {
    strlit3305 = alloc_String("");
    gc_root(strlit3305);
  }
// compilenode returning strlit3305
  int op_slot_right_3304 = gc_frame_newslot(strlit3305);
// compilenode returning *var_s
  int op_slot_right_3307 = gc_frame_newslot(*var_s);
  if (strlit3309 == NULL) {
    strlit3309 = alloc_String("");
    gc_root(strlit3309);
  }
// compilenode returning strlit3309
  int op_slot_left_3307 = gc_frame_newslot(strlit3309);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3310 = callmethod(strlit3309, "++", 1, partcv, params);
// compilenode returning opresult3310
  int op_slot_left_3304 = gc_frame_newslot(opresult3310);
  params[0] = strlit3305;
  partcv[0] = 1;
  Object opresult3311 = callmethod(opresult3310, "++", 1, partcv, params);
// compilenode returning opresult3311
  int op_slot_left_3302 = gc_frame_newslot(opresult3311);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3312 = callmethod(opresult3311, "++", 1, partcv, params);
// compilenode returning opresult3312
  int op_slot_left_3299 = gc_frame_newslot(opresult3312);
  params[0] = strlit3300;
  partcv[0] = 1;
  Object opresult3313 = callmethod(opresult3312, "++", 1, partcv, params);
// compilenode returning opresult3313
  *var_s = opresult3313;
  if (opresult3313 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3315 = gc_frame_new();
  int callframe3316 = gc_frame_new();
  partcv[0] = 0;
  Object call3317 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3316);
// compilenode returning call3317
  gc_frame_newslot(call3317);
  Object block3318 = alloc_Block(NULL, NULL, "ast", 778);
  gc_frame_newslot(block3318);
  block_savedest(block3318);
  Object closure3319 = createclosure(4, "_apply");
  setclosureframe(closure3319, stackframe);
  addtoclosure(closure3319, var_spc);
  addtoclosure(closure3319, var_s);
  addtoclosure(closure3319, var_depth);
  addtoclosure(closure3319, selfslot);
  struct UserObject *uo3319 = (struct UserObject*)block3318;
  uo3319->data[0] = (Object)closure3319;
  Method *meth_meth_ast__apply3319 = addmethod2pos(block3318, "_apply", &meth_ast__apply3319, 0);
int argcv_meth_ast__apply3319[] = {1};
meth_meth_ast__apply3319->type = alloc_MethodType(1, argcv_meth_ast__apply3319);
  meth_meth_ast__apply3319->definitionModule = modulename;
  meth_meth_ast__apply3319->definitionLine = 775;
// compilenode returning block3318
  gc_frame_newslot(block3318);
  params[0] = call3317;
  params[1] = block3318;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3436 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3315);
// compilenode returning call3436
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3438 == NULL) {
    strlit3438 = alloc_String("""\x0a""");
    gc_root(strlit3438);
  }
// compilenode returning strlit3438
  int op_slot_right_3437 = gc_frame_newslot(strlit3438);
// compilenode returning *var_s
  int op_slot_left_3437 = gc_frame_newslot(*var_s);
  params[0] = strlit3438;
  partcv[0] = 1;
  Object opresult3440 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3440
  *var_s = opresult3440;
  if (opresult3440 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3444 = gc_frame_new();
  partcv[0] = 0;
  Object call3445 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3444);
// compilenode returning call3445
  int op_slot_right_3443 = gc_frame_newslot(call3445);
  Object bool3447 = alloc_Boolean(0);
// compilenode returning bool3447
  int op_slot_left_3443 = gc_frame_newslot(bool3447);
  params[0] = call3445;
  partcv[0] = 1;
  Object opresult3448 = callmethod(bool3447, "!=", 1, partcv, params);
// compilenode returning opresult3448
  Object if3442 = done;
  if (istrue(opresult3448)) {
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3450 == NULL) {
    strlit3450 = alloc_String("Generics:");
    gc_root(strlit3450);
  }
// compilenode returning strlit3450
  int op_slot_right_3449 = gc_frame_newslot(strlit3450);
// compilenode returning *var_spc
  int op_slot_right_3452 = gc_frame_newslot(*var_spc);
  if (strlit3455 == NULL) {
    strlit3455 = alloc_String("");
    gc_root(strlit3455);
  }
// compilenode returning strlit3455
  int op_slot_right_3454 = gc_frame_newslot(strlit3455);
// compilenode returning *var_s
  int op_slot_right_3457 = gc_frame_newslot(*var_s);
  if (strlit3459 == NULL) {
    strlit3459 = alloc_String("");
    gc_root(strlit3459);
  }
// compilenode returning strlit3459
  int op_slot_left_3457 = gc_frame_newslot(strlit3459);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3460 = callmethod(strlit3459, "++", 1, partcv, params);
// compilenode returning opresult3460
  int op_slot_left_3454 = gc_frame_newslot(opresult3460);
  params[0] = strlit3455;
  partcv[0] = 1;
  Object opresult3461 = callmethod(opresult3460, "++", 1, partcv, params);
// compilenode returning opresult3461
  int op_slot_left_3452 = gc_frame_newslot(opresult3461);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3462 = callmethod(opresult3461, "++", 1, partcv, params);
// compilenode returning opresult3462
  int op_slot_left_3449 = gc_frame_newslot(opresult3462);
  params[0] = strlit3450;
  partcv[0] = 1;
  Object opresult3463 = callmethod(opresult3462, "++", 1, partcv, params);
// compilenode returning opresult3463
  *var_s = opresult3463;
  if (opresult3463 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3465 = gc_frame_new();
  int callframe3466 = gc_frame_new();
  partcv[0] = 0;
  Object call3467 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3466);
// compilenode returning call3467
  gc_frame_newslot(call3467);
  Object block3468 = alloc_Block(NULL, NULL, "ast", 791);
  gc_frame_newslot(block3468);
  block_savedest(block3468);
  Object closure3469 = createclosure(3, "_apply");
  setclosureframe(closure3469, stackframe);
  addtoclosure(closure3469, var_spc);
  addtoclosure(closure3469, var_s);
  addtoclosure(closure3469, selfslot);
  struct UserObject *uo3469 = (struct UserObject*)block3468;
  uo3469->data[0] = (Object)closure3469;
  Method *meth_meth_ast__apply3469 = addmethod2pos(block3468, "_apply", &meth_ast__apply3469, 0);
int argcv_meth_ast__apply3469[] = {1};
meth_meth_ast__apply3469->type = alloc_MethodType(1, argcv_meth_ast__apply3469);
  meth_meth_ast__apply3469->definitionModule = modulename;
  meth_meth_ast__apply3469->definitionLine = 785;
// compilenode returning block3468
  gc_frame_newslot(block3468);
  params[0] = call3467;
  params[1] = block3468;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3497 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3465);
// compilenode returning call3497
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3499 == NULL) {
    strlit3499 = alloc_String("""\x0a""");
    gc_root(strlit3499);
  }
// compilenode returning strlit3499
  int op_slot_right_3498 = gc_frame_newslot(strlit3499);
// compilenode returning *var_s
  int op_slot_left_3498 = gc_frame_newslot(*var_s);
  params[0] = strlit3499;
  partcv[0] = 1;
  Object opresult3501 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3501
  *var_s = opresult3501;
  if (opresult3501 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3442 = done;
  } else {
  }
// compilenode returning if3442
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3505 = alloc_Float64(0);
// compilenode returning num3505
  int op_slot_right_3504 = gc_frame_newslot(num3505);
  int callframe3507 = gc_frame_new();
  int callframe3508 = gc_frame_new();
  partcv[0] = 0;
  Object call3509 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3508);
// compilenode returning call3509
  partcv[0] = 0;
  Object call3510 = callmethod(call3509, "size",
    1, partcv, params);
  gc_frame_end(callframe3507);
// compilenode returning call3510
// compilenode returning call3510
  int op_slot_left_3504 = gc_frame_newslot(call3510);
  params[0] = num3505;
  partcv[0] = 1;
  Object opresult3511 = callmethod(call3510, ">", 1, partcv, params);
// compilenode returning opresult3511
  Object if3503 = done;
  if (istrue(opresult3511)) {
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3513 == NULL) {
    strlit3513 = alloc_String("Annotations:");
    gc_root(strlit3513);
  }
// compilenode returning strlit3513
  int op_slot_right_3512 = gc_frame_newslot(strlit3513);
// compilenode returning *var_spc
  int op_slot_right_3515 = gc_frame_newslot(*var_spc);
  if (strlit3518 == NULL) {
    strlit3518 = alloc_String("");
    gc_root(strlit3518);
  }
// compilenode returning strlit3518
  int op_slot_right_3517 = gc_frame_newslot(strlit3518);
// compilenode returning *var_s
  int op_slot_right_3520 = gc_frame_newslot(*var_s);
  if (strlit3522 == NULL) {
    strlit3522 = alloc_String("");
    gc_root(strlit3522);
  }
// compilenode returning strlit3522
  int op_slot_left_3520 = gc_frame_newslot(strlit3522);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3523 = callmethod(strlit3522, "++", 1, partcv, params);
// compilenode returning opresult3523
  int op_slot_left_3517 = gc_frame_newslot(opresult3523);
  params[0] = strlit3518;
  partcv[0] = 1;
  Object opresult3524 = callmethod(opresult3523, "++", 1, partcv, params);
// compilenode returning opresult3524
  int op_slot_left_3515 = gc_frame_newslot(opresult3524);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3525 = callmethod(opresult3524, "++", 1, partcv, params);
// compilenode returning opresult3525
  int op_slot_left_3512 = gc_frame_newslot(opresult3525);
  params[0] = strlit3513;
  partcv[0] = 1;
  Object opresult3526 = callmethod(opresult3525, "++", 1, partcv, params);
// compilenode returning opresult3526
  *var_s = opresult3526;
  if (opresult3526 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3528 = gc_frame_new();
  int callframe3529 = gc_frame_new();
  partcv[0] = 0;
  Object call3530 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3529);
// compilenode returning call3530
  gc_frame_newslot(call3530);
  Object block3531 = alloc_Block(NULL, NULL, "ast", 798);
  gc_frame_newslot(block3531);
  block_savedest(block3531);
  Object closure3532 = createclosure(4, "_apply");
  setclosureframe(closure3532, stackframe);
  addtoclosure(closure3532, var_depth);
  addtoclosure(closure3532, var_spc);
  addtoclosure(closure3532, var_s);
  addtoclosure(closure3532, selfslot);
  struct UserObject *uo3532 = (struct UserObject*)block3531;
  uo3532->data[0] = (Object)closure3532;
  Method *meth_meth_ast__apply3532 = addmethod2pos(block3531, "_apply", &meth_ast__apply3532, 0);
int argcv_meth_ast__apply3532[] = {1};
meth_meth_ast__apply3532->type = alloc_MethodType(1, argcv_meth_ast__apply3532);
  meth_meth_ast__apply3532->definitionModule = modulename;
  meth_meth_ast__apply3532->definitionLine = 796;
// compilenode returning block3531
  gc_frame_newslot(block3531);
  params[0] = call3530;
  params[1] = block3531;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3563 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3528);
// compilenode returning call3563
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3565 == NULL) {
    strlit3565 = alloc_String("""\x0a""");
    gc_root(strlit3565);
  }
// compilenode returning strlit3565
  int op_slot_right_3564 = gc_frame_newslot(strlit3565);
// compilenode returning *var_s
  int op_slot_left_3564 = gc_frame_newslot(*var_s);
  params[0] = strlit3565;
  partcv[0] = 1;
  Object opresult3567 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3567
  *var_s = opresult3567;
  if (opresult3567 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3503 = done;
  } else {
  }
// compilenode returning if3503
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3570 == NULL) {
    strlit3570 = alloc_String("Body:");
    gc_root(strlit3570);
  }
// compilenode returning strlit3570
  int op_slot_right_3569 = gc_frame_newslot(strlit3570);
// compilenode returning *var_spc
  int op_slot_right_3572 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_3572 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3574 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3574
  int op_slot_left_3569 = gc_frame_newslot(opresult3574);
  params[0] = strlit3570;
  partcv[0] = 1;
  Object opresult3575 = callmethod(opresult3574, "++", 1, partcv, params);
// compilenode returning opresult3575
  *var_s = opresult3575;
  if (opresult3575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3577 = gc_frame_new();
  int callframe3578 = gc_frame_new();
  partcv[0] = 0;
  Object call3579 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3578);
// compilenode returning call3579
// compilenode returning call3579
  gc_frame_newslot(call3579);
  Object block3580 = alloc_Block(NULL, NULL, "ast", 804);
  gc_frame_newslot(block3580);
  block_savedest(block3580);
  Object closure3581 = createclosure(4, "_apply");
  setclosureframe(closure3581, stackframe);
  addtoclosure(closure3581, var_depth);
  addtoclosure(closure3581, var_spc);
  addtoclosure(closure3581, var_s);
  addtoclosure(closure3581, selfslot);
  struct UserObject *uo3581 = (struct UserObject*)block3580;
  uo3581->data[0] = (Object)closure3581;
  Method *meth_meth_ast__apply3581 = addmethod2pos(block3580, "_apply", &meth_ast__apply3581, 0);
int argcv_meth_ast__apply3581[] = {1};
meth_meth_ast__apply3581->type = alloc_MethodType(1, argcv_meth_ast__apply3581);
  meth_meth_ast__apply3581->definitionModule = modulename;
  meth_meth_ast__apply3581->definitionLine = 804;
// compilenode returning block3580
  gc_frame_newslot(block3580);
  params[0] = call3579;
  params[1] = block3580;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3600 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3577);
// compilenode returning call3600
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_decType3601(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for decType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for decType");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3604 = alloc_Boolean(0);
// compilenode returning bool3604
  int op_slot_right_3603 = gc_frame_newslot(bool3604);
  int callframe3606 = gc_frame_new();
  partcv[0] = 0;
  Object call3607 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3606);
// compilenode returning call3607
  int op_slot_left_3603 = gc_frame_newslot(call3607);
  params[0] = bool3604;
  partcv[0] = 1;
  Object opresult3608 = callmethod(call3607, "==", 1, partcv, params);
// compilenode returning opresult3608
  Object if3602 = done;
  if (istrue(opresult3608)) {
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3609 = gc_frame_new();
  if (strlit3610 == NULL) {
    strlit3610 = alloc_String("Unknown");
    gc_root(strlit3610);
  }
// compilenode returning strlit3610
  gc_frame_newslot(strlit3610);
  Object bool3611 = alloc_Boolean(0);
// compilenode returning bool3611
  gc_frame_newslot(bool3611);
// compilenode returning *var_identifierNode
  params[0] = strlit3610;
  params[1] = bool3611;
  partcv[0] = 2;
  Object call3612 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe3609);
// compilenode returning call3612
  return call3612;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if3602 = undefined;
  } else {
  }
// compilenode returning if3602
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3613 = gc_frame_new();
  partcv[0] = 0;
  Object call3614 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3613);
// compilenode returning call3614
  return call3614;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast__apply3627(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3629 == NULL) {
    strlit3629 = alloc_String("    ");
    gc_root(strlit3629);
  }
// compilenode returning strlit3629
  int op_slot_right_3628 = gc_frame_newslot(strlit3629);
// compilenode returning *var_spc
  int op_slot_left_3628 = gc_frame_newslot(*var_spc);
  params[0] = strlit3629;
  partcv[0] = 1;
  Object opresult3631 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult3631
  *var_spc = opresult3631;
  if (opresult3631 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3676(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3677 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3678 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3677);
// compilenode returning call3678
// compilenode returning call3678
// compilenode returning *var_pnr
  params[0] = *var_pnr;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3679 = callmethod(call3678, "[]", 1, partcv, params);
// compilenode returning idxres3679
  *var_p = idxres3679;
  if (idxres3679 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3681 = gc_frame_new();
  Object num3683 = alloc_Float64(1);
// compilenode returning num3683
  int op_slot_right_3682 = gc_frame_newslot(num3683);
// compilenode returning *var_depth
  int op_slot_left_3682 = gc_frame_newslot(*var_depth);
  params[0] = num3683;
  partcv[0] = 1;
  Object sum3685 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3685
  gc_frame_newslot(sum3685);
// compilenode returning *var_p
  params[0] = sum3685;
  partcv[0] = 1;
  Object call3686 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe3681);
// compilenode returning call3686
  int op_slot_right_3680 = gc_frame_newslot(call3686);
// compilenode returning *var_s
  int op_slot_left_3680 = gc_frame_newslot(*var_s);
  params[0] = call3686;
  partcv[0] = 1;
  Object opresult3688 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3688
  *var_s = opresult3688;
  if (opresult3688 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3693 = alloc_Boolean(0);
// compilenode returning bool3693
  int op_slot_right_3692 = gc_frame_newslot(bool3693);
  int callframe3695 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3696 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3695);
// compilenode returning call3696
// compilenode returning call3696
  int op_slot_left_3692 = gc_frame_newslot(call3696);
  params[0] = bool3693;
  partcv[0] = 1;
  Object opresult3697 = callmethod(call3696, "!=", 1, partcv, params);
// compilenode returning opresult3697
  int op_slot_right_3691 = gc_frame_newslot(opresult3697);
  int callframe3700 = gc_frame_new();
  int callframe3701 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3702 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3701);
// compilenode returning call3702
// compilenode returning call3702
  partcv[0] = 0;
  Object call3703 = callmethod(call3702, "size",
    1, partcv, params);
  gc_frame_end(callframe3700);
// compilenode returning call3703
// compilenode returning call3703
  int op_slot_right_3699 = gc_frame_newslot(call3703);
// compilenode returning *var_pnr
  int op_slot_left_3699 = gc_frame_newslot(*var_pnr);
  params[0] = call3703;
  partcv[0] = 1;
  Object opresult3705 = callmethod(*var_pnr, "<", 1, partcv, params);
// compilenode returning opresult3705
  int op_slot_left_3691 = gc_frame_newslot(opresult3705);
  params[0] = opresult3697;
  partcv[0] = 1;
  Object opresult3706 = callmethod(opresult3705, "||", 1, partcv, params);
// compilenode returning opresult3706
  Object if3690 = done;
  if (istrue(opresult3706)) {
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3708 == NULL) {
    strlit3708 = alloc_String(", ");
    gc_root(strlit3708);
  }
// compilenode returning strlit3708
  int op_slot_right_3707 = gc_frame_newslot(strlit3708);
// compilenode returning *var_s
  int op_slot_left_3707 = gc_frame_newslot(*var_s);
  params[0] = strlit3708;
  partcv[0] = 1;
  Object opresult3710 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3710
  *var_s = opresult3710;
  if (opresult3710 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3690 = done;
  } else {
  }
// compilenode returning if3690
  gc_frame_end(frame);
  return if3690;
}
Object meth_ast__apply3640(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3642 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3643 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe3642);
// compilenode returning call3643
// compilenode returning call3643
  int op_slot_right_3641 = gc_frame_newslot(call3643);
// compilenode returning *var_s
  int op_slot_left_3641 = gc_frame_newslot(*var_s);
  params[0] = call3643;
  partcv[0] = 1;
  Object opresult3645 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3645
  *var_s = opresult3645;
  if (opresult3645 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3650 = alloc_Boolean(0);
// compilenode returning bool3650
  int op_slot_right_3649 = gc_frame_newslot(bool3650);
  int callframe3652 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3653 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3652);
// compilenode returning call3653
// compilenode returning call3653
  int op_slot_left_3649 = gc_frame_newslot(call3653);
  params[0] = bool3650;
  partcv[0] = 1;
  Object opresult3654 = callmethod(call3653, "!=", 1, partcv, params);
// compilenode returning opresult3654
  int op_slot_right_3648 = gc_frame_newslot(opresult3654);
  Object num3657 = alloc_Float64(0);
// compilenode returning num3657
  int op_slot_right_3656 = gc_frame_newslot(num3657);
  int callframe3659 = gc_frame_new();
  int callframe3660 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3661 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3660);
// compilenode returning call3661
// compilenode returning call3661
  partcv[0] = 0;
  Object call3662 = callmethod(call3661, "size",
    1, partcv, params);
  gc_frame_end(callframe3659);
// compilenode returning call3662
// compilenode returning call3662
  int op_slot_left_3656 = gc_frame_newslot(call3662);
  params[0] = num3657;
  partcv[0] = 1;
  Object opresult3663 = callmethod(call3662, ">", 1, partcv, params);
// compilenode returning opresult3663
  int op_slot_left_3648 = gc_frame_newslot(opresult3663);
  params[0] = opresult3654;
  partcv[0] = 1;
  Object opresult3664 = callmethod(opresult3663, "||", 1, partcv, params);
// compilenode returning opresult3664
  Object if3647 = done;
  if (istrue(opresult3664)) {
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3666 == NULL) {
    strlit3666 = alloc_String("(");
    gc_root(strlit3666);
  }
// compilenode returning strlit3666
  int op_slot_right_3665 = gc_frame_newslot(strlit3666);
// compilenode returning *var_s
  int op_slot_left_3665 = gc_frame_newslot(*var_s);
  params[0] = strlit3666;
  partcv[0] = 1;
  Object opresult3668 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3668
  *var_s = opresult3668;
  if (opresult3668 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3670 = gc_frame_new();
  int callframe3671 = gc_frame_new();
  int callframe3672 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3673 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3672);
// compilenode returning call3673
// compilenode returning call3673
  partcv[0] = 0;
  Object call3674 = callmethod(call3673, "indices",
    1, partcv, params);
  gc_frame_end(callframe3671);
// compilenode returning call3674
// compilenode returning call3674
  gc_frame_newslot(call3674);
  Object block3675 = alloc_Block(NULL, NULL, "ast", 825);
  gc_frame_newslot(block3675);
  block_savedest(block3675);
  Object closure3676 = createclosure(4, "_apply");
  setclosureframe(closure3676, stackframe);
  addtoclosure(closure3676, var_part);
  addtoclosure(closure3676, var_depth);
  addtoclosure(closure3676, var_s);
  addtoclosure(closure3676, selfslot);
  struct UserObject *uo3676 = (struct UserObject*)block3675;
  uo3676->data[0] = (Object)closure3676;
  Method *meth_meth_ast__apply3676 = addmethod2pos(block3675, "_apply", &meth_ast__apply3676, 0);
int argcv_meth_ast__apply3676[] = {1};
meth_meth_ast__apply3676->type = alloc_MethodType(1, argcv_meth_ast__apply3676);
  meth_meth_ast__apply3676->definitionModule = modulename;
  meth_meth_ast__apply3676->definitionLine = 825;
// compilenode returning block3675
  gc_frame_newslot(block3675);
  params[0] = call3674;
  params[1] = block3675;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3713 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3670);
// compilenode returning call3713
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3716 = alloc_Boolean(0);
// compilenode returning bool3716
  int op_slot_right_3715 = gc_frame_newslot(bool3716);
  int callframe3718 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3719 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3718);
// compilenode returning call3719
// compilenode returning call3719
  int op_slot_left_3715 = gc_frame_newslot(call3719);
  params[0] = bool3716;
  partcv[0] = 1;
  Object opresult3720 = callmethod(call3719, "!=", 1, partcv, params);
// compilenode returning opresult3720
  Object if3714 = done;
  if (istrue(opresult3720)) {
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3722 = gc_frame_new();
  int callframe3723 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3724 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3723);
// compilenode returning call3724
// compilenode returning call3724
  partcv[0] = 0;
  Object call3725 = callmethod(call3724, "value",
    1, partcv, params);
  gc_frame_end(callframe3722);
// compilenode returning call3725
// compilenode returning call3725
  int op_slot_right_3721 = gc_frame_newslot(call3725);
  if (strlit3728 == NULL) {
    strlit3728 = alloc_String("*");
    gc_root(strlit3728);
  }
// compilenode returning strlit3728
  int op_slot_right_3727 = gc_frame_newslot(strlit3728);
// compilenode returning *var_s
  int op_slot_left_3727 = gc_frame_newslot(*var_s);
  params[0] = strlit3728;
  partcv[0] = 1;
  Object opresult3730 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3730
  int op_slot_left_3721 = gc_frame_newslot(opresult3730);
  params[0] = call3725;
  partcv[0] = 1;
  Object opresult3731 = callmethod(opresult3730, "++", 1, partcv, params);
// compilenode returning opresult3731
  *var_s = opresult3731;
  if (opresult3731 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3714 = done;
  } else {
  }
// compilenode returning if3714
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3734 == NULL) {
    strlit3734 = alloc_String(")");
    gc_root(strlit3734);
  }
// compilenode returning strlit3734
  int op_slot_right_3733 = gc_frame_newslot(strlit3734);
// compilenode returning *var_s
  int op_slot_left_3733 = gc_frame_newslot(*var_s);
  params[0] = strlit3734;
  partcv[0] = 1;
  Object opresult3736 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3736
  *var_s = opresult3736;
  if (opresult3736 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3647 = done;
  } else {
  }
// compilenode returning if3647
  gc_frame_end(frame);
  return if3647;
}
Object meth_ast__apply3782(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3784 = gc_frame_new();
  Object num3785 = alloc_Float64(0);
// compilenode returning num3785
  gc_frame_newslot(num3785);
// compilenode returning *var_b
  params[0] = num3785;
  partcv[0] = 1;
  Object call3786 = callmethod(*var_b, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe3784);
// compilenode returning call3786
  int op_slot_right_3783 = gc_frame_newslot(call3786);
  if (strlit3790 == NULL) {
    strlit3790 = alloc_String("");
    gc_root(strlit3790);
  }
// compilenode returning strlit3790
  int op_slot_right_3789 = gc_frame_newslot(strlit3790);
// compilenode returning *var_a
  int op_slot_left_3789 = gc_frame_newslot(*var_a);
  params[0] = strlit3790;
  partcv[0] = 1;
  Object opresult3792 = callmethod(*var_a, "!=", 1, partcv, params);
// compilenode returning opresult3792
  Object if3788 = done;
struct StackFrameObject *iftmpstackframe3788 = stackframe;
  if (istrue(opresult3792)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3788);
gc_frame_newslot((Object)stackframe);
  if (strlit3794 == NULL) {
    strlit3794 = alloc_String(", ");
    gc_root(strlit3794);
  }
// compilenode returning strlit3794
  int op_slot_right_3793 = gc_frame_newslot(strlit3794);
// compilenode returning *var_a
  int op_slot_left_3793 = gc_frame_newslot(*var_a);
  params[0] = strlit3794;
  partcv[0] = 1;
  Object opresult3796 = callmethod(*var_a, "++", 1, partcv, params);
// compilenode returning opresult3796
    gc_frame_newslot(opresult3796);
    if3788 = opresult3796;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe3788);
gc_frame_newslot((Object)stackframe);
  if (strlit3797 == NULL) {
    strlit3797 = alloc_String("");
    gc_root(strlit3797);
  }
// compilenode returning strlit3797
    gc_frame_newslot(strlit3797);
    if3788 = strlit3797;
  }
stackframe = iftmpstackframe3788;
// compilenode returning if3788
  int op_slot_left_3783 = gc_frame_newslot(if3788);
  params[0] = call3786;
  partcv[0] = 1;
  Object opresult3798 = callmethod(if3788, "++", 1, partcv, params);
// compilenode returning opresult3798
  gc_frame_end(frame);
  return opresult3798;
}
Object meth_ast__apply3815(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3817 = gc_frame_new();
  Object num3819 = alloc_Float64(1);
// compilenode returning num3819
  int op_slot_right_3818 = gc_frame_newslot(num3819);
// compilenode returning *var_depth
  int op_slot_left_3818 = gc_frame_newslot(*var_depth);
  params[0] = num3819;
  partcv[0] = 1;
  Object sum3821 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3821
  gc_frame_newslot(sum3821);
// compilenode returning *var_mx
  params[0] = sum3821;
  partcv[0] = 1;
  Object call3822 = callmethod(*var_mx, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe3817);
// compilenode returning call3822
  int op_slot_right_3816 = gc_frame_newslot(call3822);
  if (strlit3825 == NULL) {
    strlit3825 = alloc_String("    ");
    gc_root(strlit3825);
  }
// compilenode returning strlit3825
  int op_slot_right_3824 = gc_frame_newslot(strlit3825);
// compilenode returning *var_spc
  int op_slot_right_3827 = gc_frame_newslot(*var_spc);
  if (strlit3830 == NULL) {
    strlit3830 = alloc_String("""\x0a""");
    gc_root(strlit3830);
  }
// compilenode returning strlit3830
  int op_slot_right_3829 = gc_frame_newslot(strlit3830);
// compilenode returning *var_s
  int op_slot_left_3829 = gc_frame_newslot(*var_s);
  params[0] = strlit3830;
  partcv[0] = 1;
  Object opresult3832 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3832
  int op_slot_left_3827 = gc_frame_newslot(opresult3832);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3833 = callmethod(opresult3832, "++", 1, partcv, params);
// compilenode returning opresult3833
  int op_slot_left_3824 = gc_frame_newslot(opresult3833);
  params[0] = strlit3825;
  partcv[0] = 1;
  Object opresult3834 = callmethod(opresult3833, "++", 1, partcv, params);
// compilenode returning opresult3834
  int op_slot_left_3816 = gc_frame_newslot(opresult3834);
  params[0] = call3822;
  partcv[0] = 1;
  Object opresult3835 = callmethod(opresult3834, "++", 1, partcv, params);
// compilenode returning opresult3835
  *var_s = opresult3835;
  if (opresult3835 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace3615(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3616 == NULL) {
    strlit3616 = alloc_String("");
    gc_root(strlit3616);
  }
// compilenode returning strlit3616
  *var_spc = strlit3616;
  if (strlit3616 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3617 = gc_frame_new();
  Object num3620 = alloc_Float64(1);
// compilenode returning num3620
  int op_slot_right_3619 = gc_frame_newslot(num3620);
// compilenode returning *var_depth
  int op_slot_left_3619 = gc_frame_newslot(*var_depth);
  params[0] = num3620;
  partcv[0] = 1;
  Object diff3622 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff3622
  int op_slot_right_3618 = gc_frame_newslot(diff3622);
  Object num3624 = alloc_Float64(0);
// compilenode returning num3624
  int op_slot_left_3618 = gc_frame_newslot(num3624);
  params[0] = diff3622;
  partcv[0] = 1;
  Object opresult3625 = callmethod(num3624, "..", 1, partcv, params);
// compilenode returning opresult3625
  gc_frame_newslot(opresult3625);
  Object block3626 = alloc_Block(NULL, NULL, "ast", 817);
  gc_frame_newslot(block3626);
  block_savedest(block3626);
  Object closure3627 = createclosure(2, "_apply");
  setclosureframe(closure3627, stackframe);
  addtoclosure(closure3627, var_spc);
  addtoclosure(closure3627, selfslot);
  struct UserObject *uo3627 = (struct UserObject*)block3626;
  uo3627->data[0] = (Object)closure3627;
  Method *meth_meth_ast__apply3627 = addmethod2pos(block3626, "_apply", &meth_ast__apply3627, 0);
int argcv_meth_ast__apply3627[] = {1};
meth_meth_ast__apply3627->type = alloc_MethodType(1, argcv_meth_ast__apply3627);
  meth_meth_ast__apply3627->definitionModule = modulename;
  meth_meth_ast__apply3627->definitionLine = 804;
// compilenode returning block3626
  gc_frame_newslot(block3626);
  params[0] = opresult3625;
  params[1] = block3626;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3634 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3617);
// compilenode returning call3634
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3635 == NULL) {
    strlit3635 = alloc_String("method ");
    gc_root(strlit3635);
  }
// compilenode returning strlit3635
  *var_s = strlit3635;
  if (strlit3635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3636 = gc_frame_new();
  int callframe3637 = gc_frame_new();
  partcv[0] = 0;
  Object call3638 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3637);
// compilenode returning call3638
// compilenode returning call3638
  gc_frame_newslot(call3638);
  Object block3639 = alloc_Block(NULL, NULL, "ast", 821);
  gc_frame_newslot(block3639);
  block_savedest(block3639);
  Object closure3640 = createclosure(3, "_apply");
  setclosureframe(closure3640, stackframe);
  addtoclosure(closure3640, var_s);
  addtoclosure(closure3640, var_depth);
  addtoclosure(closure3640, selfslot);
  struct UserObject *uo3640 = (struct UserObject*)block3639;
  uo3640->data[0] = (Object)closure3640;
  Method *meth_meth_ast__apply3640 = addmethod2pos(block3639, "_apply", &meth_ast__apply3640, 0);
int argcv_meth_ast__apply3640[] = {1};
meth_meth_ast__apply3640->type = alloc_MethodType(1, argcv_meth_ast__apply3640);
  meth_meth_ast__apply3640->definitionModule = modulename;
  meth_meth_ast__apply3640->definitionLine = 821;
// compilenode returning block3639
  gc_frame_newslot(block3639);
  params[0] = call3638;
  params[1] = block3639;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3739 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3636);
// compilenode returning call3739
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3742 = alloc_Boolean(0);
// compilenode returning bool3742
  int op_slot_right_3741 = gc_frame_newslot(bool3742);
  int callframe3744 = gc_frame_new();
  partcv[0] = 0;
  Object call3745 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3744);
// compilenode returning call3745
// compilenode returning call3745
  int op_slot_left_3741 = gc_frame_newslot(call3745);
  params[0] = bool3742;
  partcv[0] = 1;
  Object opresult3746 = callmethod(call3745, "!=", 1, partcv, params);
// compilenode returning opresult3746
  Object if3740 = done;
  if (istrue(opresult3746)) {
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3749 == NULL) {
    strlit3749 = alloc_String("");
    gc_root(strlit3749);
  }
// compilenode returning strlit3749
  int op_slot_right_3748 = gc_frame_newslot(strlit3749);
  int callframe3752 = gc_frame_new();
  Object num3753 = alloc_Float64(0);
// compilenode returning num3753
  gc_frame_newslot(num3753);
  int callframe3754 = gc_frame_new();
  partcv[0] = 0;
  Object call3755 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3754);
// compilenode returning call3755
// compilenode returning call3755
  params[0] = num3753;
  partcv[0] = 1;
  Object call3756 = callmethod(call3755, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe3752);
// compilenode returning call3756
  int op_slot_right_3751 = gc_frame_newslot(call3756);
  if (strlit3758 == NULL) {
    strlit3758 = alloc_String(" -> ");
    gc_root(strlit3758);
  }
// compilenode returning strlit3758
  int op_slot_left_3751 = gc_frame_newslot(strlit3758);
  params[0] = call3756;
  partcv[0] = 1;
  Object opresult3759 = callmethod(strlit3758, "++", 1, partcv, params);
// compilenode returning opresult3759
  int op_slot_left_3748 = gc_frame_newslot(opresult3759);
  params[0] = strlit3749;
  partcv[0] = 1;
  Object opresult3760 = callmethod(opresult3759, "++", 1, partcv, params);
// compilenode returning opresult3760
  int op_slot_right_3747 = gc_frame_newslot(opresult3760);
// compilenode returning *var_s
  int op_slot_left_3747 = gc_frame_newslot(*var_s);
  params[0] = opresult3760;
  partcv[0] = 1;
  Object opresult3762 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3762
  *var_s = opresult3762;
  if (opresult3762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3740 = done;
  } else {
  }
// compilenode returning if3740
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3766 = alloc_Float64(0);
// compilenode returning num3766
  int op_slot_right_3765 = gc_frame_newslot(num3766);
  int callframe3768 = gc_frame_new();
  int callframe3769 = gc_frame_new();
  partcv[0] = 0;
  Object call3770 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3769);
// compilenode returning call3770
// compilenode returning call3770
  partcv[0] = 0;
  Object call3771 = callmethod(call3770, "size",
    1, partcv, params);
  gc_frame_end(callframe3768);
// compilenode returning call3771
// compilenode returning call3771
  int op_slot_left_3765 = gc_frame_newslot(call3771);
  params[0] = num3766;
  partcv[0] = 1;
  Object opresult3772 = callmethod(call3771, ">", 1, partcv, params);
// compilenode returning opresult3772
  Object if3764 = done;
  if (istrue(opresult3772)) {
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3774 == NULL) {
    strlit3774 = alloc_String(" is ");
    gc_root(strlit3774);
  }
// compilenode returning strlit3774
  int op_slot_right_3773 = gc_frame_newslot(strlit3774);
// compilenode returning *var_s
  int op_slot_left_3773 = gc_frame_newslot(*var_s);
  params[0] = strlit3774;
  partcv[0] = 1;
  Object opresult3776 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3776
  *var_s = opresult3776;
  if (opresult3776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3779 = gc_frame_new();
  if (strlit3780 == NULL) {
    strlit3780 = alloc_String("");
    gc_root(strlit3780);
  }
// compilenode returning strlit3780
  gc_frame_newslot(strlit3780);
  Object block3781 = alloc_Block(NULL, NULL, "ast", 843);
  gc_frame_newslot(block3781);
  block_savedest(block3781);
  Object closure3782 = createclosure(1, "_apply");
  setclosureframe(closure3782, stackframe);
  addtoclosure(closure3782, selfslot);
  struct UserObject *uo3782 = (struct UserObject*)block3781;
  uo3782->data[0] = (Object)closure3782;
  Method *meth_meth_ast__apply3782 = addmethod2pos(block3781, "_apply", &meth_ast__apply3782, 0);
int argcv_meth_ast__apply3782[] = {2};
meth_meth_ast__apply3782->type = alloc_MethodType(1, argcv_meth_ast__apply3782);
  meth_meth_ast__apply3782->definitionModule = modulename;
  meth_meth_ast__apply3782->definitionLine = 841;
// compilenode returning block3781
  gc_frame_newslot(block3781);
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3800 = gc_frame_new();
  partcv[0] = 0;
  Object call3801 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3800);
// compilenode returning call3801
// compilenode returning call3801
  params[0] = strlit3780;
  params[1] = block3781;
  partcv[0] = 2;
  Object call3802 = callmethod(call3801, "reduce",
    1, partcv, params);
  gc_frame_end(callframe3779);
// compilenode returning call3802
  int op_slot_right_3778 = gc_frame_newslot(call3802);
// compilenode returning *var_s
  int op_slot_left_3778 = gc_frame_newslot(*var_s);
  params[0] = call3802;
  partcv[0] = 1;
  Object opresult3804 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3804
  *var_s = opresult3804;
  if (opresult3804 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3764 = done;
  } else {
  }
// compilenode returning if3764
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3807 == NULL) {
    strlit3807 = alloc_String(" {");
    gc_root(strlit3807);
  }
// compilenode returning strlit3807
  int op_slot_right_3806 = gc_frame_newslot(strlit3807);
// compilenode returning *var_s
  int op_slot_left_3806 = gc_frame_newslot(*var_s);
  params[0] = strlit3807;
  partcv[0] = 1;
  Object opresult3809 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3809
  *var_s = opresult3809;
  if (opresult3809 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3811 = gc_frame_new();
  int callframe3812 = gc_frame_new();
  partcv[0] = 0;
  Object call3813 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3812);
// compilenode returning call3813
// compilenode returning call3813
  gc_frame_newslot(call3813);
  Object block3814 = alloc_Block(NULL, NULL, "ast", 847);
  gc_frame_newslot(block3814);
  block_savedest(block3814);
  Object closure3815 = createclosure(4, "_apply");
  setclosureframe(closure3815, stackframe);
  addtoclosure(closure3815, var_depth);
  addtoclosure(closure3815, var_spc);
  addtoclosure(closure3815, var_s);
  addtoclosure(closure3815, selfslot);
  struct UserObject *uo3815 = (struct UserObject*)block3814;
  uo3815->data[0] = (Object)closure3815;
  Method *meth_meth_ast__apply3815 = addmethod2pos(block3814, "_apply", &meth_ast__apply3815, 0);
int argcv_meth_ast__apply3815[] = {1};
meth_meth_ast__apply3815->type = alloc_MethodType(1, argcv_meth_ast__apply3815);
  meth_meth_ast__apply3815->definitionModule = modulename;
  meth_meth_ast__apply3815->definitionLine = 847;
// compilenode returning block3814
  gc_frame_newslot(block3814);
  params[0] = call3813;
  params[1] = block3814;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3838 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3811);
// compilenode returning call3838
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3840 == NULL) {
    strlit3840 = alloc_String("}");
    gc_root(strlit3840);
  }
// compilenode returning strlit3840
  int op_slot_right_3839 = gc_frame_newslot(strlit3840);
// compilenode returning *var_spc
  int op_slot_right_3842 = gc_frame_newslot(*var_spc);
  if (strlit3845 == NULL) {
    strlit3845 = alloc_String("""\x0a""");
    gc_root(strlit3845);
  }
// compilenode returning strlit3845
  int op_slot_right_3844 = gc_frame_newslot(strlit3845);
// compilenode returning *var_s
  int op_slot_left_3844 = gc_frame_newslot(*var_s);
  params[0] = strlit3845;
  partcv[0] = 1;
  Object opresult3847 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult3847
  int op_slot_left_3842 = gc_frame_newslot(opresult3847);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3848 = callmethod(opresult3847, "++", 1, partcv, params);
// compilenode returning opresult3848
  int op_slot_left_3839 = gc_frame_newslot(opresult3848);
  params[0] = strlit3840;
  partcv[0] = 1;
  Object opresult3849 = callmethod(opresult3848, "++", 1, partcv, params);
// compilenode returning opresult3849
  *var_s = opresult3849;
  if (opresult3849 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString3851(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3853 == NULL) {
    strlit3853 = alloc_String(")");
    gc_root(strlit3853);
  }
// compilenode returning strlit3853
  int op_slot_right_3852 = gc_frame_newslot(strlit3853);
  int callframe3856 = gc_frame_new();
  partcv[0] = 0;
  Object call3857 = callmethodflags(self, "nameString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3856);
// compilenode returning call3857
  int op_slot_right_3855 = gc_frame_newslot(call3857);
  if (strlit3859 == NULL) {
    strlit3859 = alloc_String("methodNode(");
    gc_root(strlit3859);
  }
// compilenode returning strlit3859
  int op_slot_left_3855 = gc_frame_newslot(strlit3859);
  params[0] = call3857;
  partcv[0] = 1;
  Object opresult3860 = callmethod(strlit3859, "++", 1, partcv, params);
// compilenode returning opresult3860
  int op_slot_left_3852 = gc_frame_newslot(opresult3860);
  params[0] = strlit3853;
  partcv[0] = 1;
  Object opresult3861 = callmethod(opresult3860, "++", 1, partcv, params);
// compilenode returning opresult3861
  gc_frame_end(frame);
  return opresult3861;
}
Object meth_ast_new3022(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 4)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_methodNode = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  Object *var_collections = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[2]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[3]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 4)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3023 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3023 = alloc_userobj2(29,25, objclass3023);
  gc_frame_newslot(obj3023);
if (objclass3023 == NULL) {
  glfree(obj3023->class->name);
  obj3023->class->name = "methodNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3023, self, 0);
  addmethodreal(obj3023,"outer", &reader_ast_outer_3024);
  Object oldself3023 = self;
  struct StackFrameObject *oldstackframe3023 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3023);
  gc_frame_newslot((Object)stackframe);
  self = obj3023;
  Object *oldselfslot3023 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3023 = (*(struct UserObject *)self).data[0], lowerouter3023 = thisouter3023;
  if (inheritingObject3023) {
    struct UserObject *inho3023 = (struct UserObject *)inheritingObject3023;
    while (inho3023->super != GraceDefaultObject) inho3023 = (struct UserObject *)inho3023->super;
    inho3023->super = obj3023;
    self = inheritingObject3023;
    *selfslot = self;
    lowerouter3023 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3023;
  }
if (objclass3023 == NULL) {
  Method *reader3025 = addmethodrealflags(obj3023, "kind",&reader_ast_kind_3025, MFLAG_DEF);
  reader3025->definitionModule = modulename;
  reader3025->definitionLine = 699;
}
adddatum2(obj3023, alloc_Undefined(), 1);
if (objclass3023 == NULL) {
  Method *reader3026 = addmethodrealflags(obj3023, "value",&reader_ast_value_3026, MFLAG_DEF);
  reader3026->definitionModule = modulename;
  reader3026->definitionLine = 700;
}
adddatum2(obj3023, alloc_Undefined(), 2);
if (objclass3023 == NULL) {
  Method *reader3027 = addmethodrealflags(obj3023, "signature",&reader_ast_signature_3027, MFLAG_DEF);
  reader3027->definitionModule = modulename;
  reader3027->definitionLine = 701;
}
adddatum2(obj3023, alloc_Undefined(), 3);
if (objclass3023 == NULL) {
  Method *reader3028 = addmethodrealflags(obj3023, "body",&reader_ast_body_3028, MFLAG_DEF);
  reader3028->definitionModule = modulename;
  reader3028->definitionLine = 702;
}
adddatum2(obj3023, alloc_Undefined(), 4);
if (objclass3023 == NULL) {
  Method *reader3029 = addmethodrealflags(obj3023, "dtype",&reader_ast_dtype_3029, 0);
  Method *writer3029 = addmethodrealflags(obj3023, "dtype:=",&writer_ast_dtype_3029, 0);
  reader3029->definitionModule = modulename;
  writer3029->definitionModule = modulename;
  reader3029->definitionLine = 703;
  writer3029->definitionLine = 703;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 5);
if (objclass3023 == NULL) {
  Method *reader3030 = addmethodrealflags(obj3023, "varargs",&reader_ast_varargs_3030, 0);
  Method *writer3030 = addmethodrealflags(obj3023, "varargs:=",&writer_ast_varargs_3030, 0);
  reader3030->definitionModule = modulename;
  writer3030->definitionModule = modulename;
  reader3030->definitionLine = 704;
  writer3030->definitionLine = 704;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 6);
if (objclass3023 == NULL) {
  Method *reader3031 = addmethodrealflags(obj3023, "generics",&reader_ast_generics_3031, 0);
  Method *writer3031 = addmethodrealflags(obj3023, "generics:=",&writer_ast_generics_3031, 0);
  reader3031->definitionModule = modulename;
  writer3031->definitionModule = modulename;
  reader3031->definitionLine = 705;
  writer3031->definitionLine = 705;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 7);
if (objclass3023 == NULL) {
  Method *reader3032 = addmethodrealflags(obj3023, "selfclosure",&reader_ast_selfclosure_3032, 0);
  Method *writer3032 = addmethodrealflags(obj3023, "selfclosure:=",&writer_ast_selfclosure_3032, 0);
  reader3032->definitionModule = modulename;
  writer3032->definitionModule = modulename;
  reader3032->definitionLine = 706;
  writer3032->definitionLine = 706;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 8);
if (objclass3023 == NULL) {
  Method *reader3033 = addmethodrealflags(obj3023, "nameString",&reader_ast_nameString_3033, MFLAG_DEF);
  reader3033->definitionModule = modulename;
  reader3033->definitionLine = 707;
}
adddatum2(obj3023, alloc_Undefined(), 9);
if (objclass3023 == NULL) {
  Method *reader3034 = addmethodrealflags(obj3023, "annotations",&reader_ast_annotations_3034, MFLAG_DEF);
  reader3034->definitionModule = modulename;
  reader3034->definitionLine = 708;
}
adddatum2(obj3023, alloc_Undefined(), 10);
if (objclass3023 == NULL) {
  Method *reader3035 = addmethodrealflags(obj3023, "properties",&reader_ast_properties_3035, 0);
  Method *writer3035 = addmethodrealflags(obj3023, "properties:=",&writer_ast_properties_3035, 0);
  reader3035->definitionModule = modulename;
  writer3035->definitionModule = modulename;
  reader3035->definitionLine = 710;
  writer3035->definitionLine = 710;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 11);
  struct UserObject *uo3036 = (struct UserObject*)obj3023;
  uo3036->data[12] = emptyclosure;
  Method *meth_meth_ast_isConfidential3036 = addmethod2pos(obj3023, "isConfidential", &meth_ast_isConfidential3036, 12);
int argcv_meth_ast_isConfidential3036[] = {0};
meth_meth_ast_isConfidential3036->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3036);
  meth_meth_ast_isConfidential3036->definitionModule = modulename;
  meth_meth_ast_isConfidential3036->definitionLine = 710;
  struct UserObject *uo3054 = (struct UserObject*)obj3023;
  uo3054->data[13] = emptyclosure;
  Method *meth_meth_ast_isPublic3054 = addmethod2pos(obj3023, "isPublic", &meth_ast_isPublic3054, 13);
int argcv_meth_ast_isPublic3054[] = {0};
meth_meth_ast_isPublic3054->type = alloc_MethodType(1, argcv_meth_ast_isPublic3054);
  meth_meth_ast_isPublic3054->definitionModule = modulename;
  meth_meth_ast_isPublic3054->definitionLine = 714;
  struct UserObject *uo3059 = (struct UserObject*)obj3023;
  uo3059->data[14] = emptyclosure;
  Method *meth_meth_ast_isWritable3059 = addmethod2pos(obj3023, "isWritable", &meth_ast_isWritable3059, 14);
int argcv_meth_ast_isWritable3059[] = {0};
meth_meth_ast_isWritable3059->type = alloc_MethodType(1, argcv_meth_ast_isWritable3059);
  meth_meth_ast_isWritable3059->definitionModule = modulename;
  meth_meth_ast_isWritable3059->definitionLine = 715;
  struct UserObject *uo3061 = (struct UserObject*)obj3023;
  uo3061->data[15] = emptyclosure;
  Method *meth_meth_ast_isReadable3061 = addmethod2pos(obj3023, "isReadable", &meth_ast_isReadable3061, 15);
int argcv_meth_ast_isReadable3061[] = {0};
meth_meth_ast_isReadable3061->type = alloc_MethodType(1, argcv_meth_ast_isReadable3061);
  meth_meth_ast_isReadable3061->definitionModule = modulename;
  meth_meth_ast_isReadable3061->definitionLine = 716;
  struct UserObject *uo3064 = (struct UserObject*)obj3023;
  uo3064->data[16] = emptyclosure;
  Method *meth_meth_ast_accept3064 = addmethod2pos(obj3023, "accept", &meth_ast_accept3064, 16);
int argcv_meth_ast_accept3064[] = {1};
meth_meth_ast_accept3064->type = alloc_MethodType(1, argcv_meth_ast_accept3064);
  meth_meth_ast_accept3064->definitionModule = modulename;
  meth_meth_ast_accept3064->definitionLine = 718;
  block_savedest(obj3023);
  Object closure3119 = createclosure(2, "map()before()after");
  setclosureframe(closure3119, stackframe);
  addtoclosure(closure3119, var_name_39_);
  addtoclosure(closure3119, var_methodNode);
  struct UserObject *uo3119 = (struct UserObject*)obj3023;
  uo3119->data[17] = (Object)closure3119;
  Method *meth_meth_ast_map_40__41_before_40__41_after3119 = addmethod2pos(obj3023, "map()before()after", &meth_ast_map_40__41_before_40__41_after3119, 17);
int argcv_meth_ast_map_40__41_before_40__41_after3119[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after3119->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after3119);
  meth_meth_ast_map_40__41_before_40__41_after3119->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after3119->definitionLine = 737;
  struct UserObject *uo3194 = (struct UserObject*)obj3023;
  uo3194->data[18] = emptyclosure;
  Method *meth_meth_ast_map3194 = addmethod2pos(obj3023, "map", &meth_ast_map3194, 18);
int argcv_meth_ast_map3194[] = {1};
meth_meth_ast_map3194->type = alloc_MethodType(1, argcv_meth_ast_map3194);
  meth_meth_ast_map3194->definitionModule = modulename;
  meth_meth_ast_map3194->definitionLine = 755;
  struct UserObject *uo3203 = (struct UserObject*)obj3023;
  uo3203->data[19] = emptyclosure;
  Method *meth_meth_ast_eachParameter3203 = addmethod2pos(obj3023, "eachParameter", &meth_ast_eachParameter3203, 19);
int argcv_meth_ast_eachParameter3203[] = {1};
meth_meth_ast_eachParameter3203->type = alloc_MethodType(1, argcv_meth_ast_eachParameter3203);
  meth_meth_ast_eachParameter3203->definitionModule = modulename;
  meth_meth_ast_eachParameter3203->definitionLine = 758;
  struct UserObject *uo3220 = (struct UserObject*)obj3023;
  uo3220->data[20] = emptyclosure;
  Method *meth_meth_ast_pretty3220 = addmethod2pos(obj3023, "pretty", &meth_ast_pretty3220, 20);
int argcv_meth_ast_pretty3220[] = {1};
meth_meth_ast_pretty3220->type = alloc_MethodType(1, argcv_meth_ast_pretty3220);
  meth_meth_ast_pretty3220->definitionModule = modulename;
  meth_meth_ast_pretty3220->definitionLine = 765;
  block_savedest(obj3023);
  Object closure3601 = createclosure(1, "decType");
  setclosureframe(closure3601, stackframe);
  addtoclosure(closure3601, var_identifierNode);
  struct UserObject *uo3601 = (struct UserObject*)obj3023;
  uo3601->data[21] = (Object)closure3601;
  Method *meth_meth_ast_decType3601 = addmethod2pos(obj3023, "decType", &meth_ast_decType3601, 21);
int argcv_meth_ast_decType3601[] = {0};
meth_meth_ast_decType3601->type = alloc_MethodType(1, argcv_meth_ast_decType3601);
  meth_meth_ast_decType3601->definitionModule = modulename;
  meth_meth_ast_decType3601->definitionLine = 809;
  struct UserObject *uo3615 = (struct UserObject*)obj3023;
  uo3615->data[22] = emptyclosure;
  Method *meth_meth_ast_toGrace3615 = addmethod2pos(obj3023, "toGrace", &meth_ast_toGrace3615, 22);
int argcv_meth_ast_toGrace3615[] = {1};
meth_meth_ast_toGrace3615->type = alloc_MethodType(1, argcv_meth_ast_toGrace3615);
meth_meth_ast_toGrace3615->type->types[0] = type_Number;
meth_meth_ast_toGrace3615->type->names[0] = "depth";
  meth_meth_ast_toGrace3615->definitionModule = modulename;
  meth_meth_ast_toGrace3615->definitionLine = 815;
  struct UserObject *uo3851 = (struct UserObject*)obj3023;
  uo3851->data[23] = emptyclosure;
  Method *meth_meth_ast_asString3851 = addmethod2pos(obj3023, "asString", &meth_ast_asString3851, 23);
int argcv_meth_ast_asString3851[] = {0};
meth_meth_ast_asString3851->type = alloc_MethodType(1, argcv_meth_ast_asString3851);
  meth_meth_ast_asString3851->definitionModule = modulename;
  meth_meth_ast_asString3851->definitionLine = 853;
  sourceObject = obj3023;
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3862 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3863 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe3862);
// compilenode returning call3863
  struct UserObject *obj3023_uo = (struct UserObject *)obj3023;
  obj3023_uo->super = call3863;
  sourceObject = obj3023;
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3864 == NULL) {
    strlit3864 = alloc_String("method");
    gc_root(strlit3864);
  }
// compilenode returning strlit3864
  adddatum2(obj3023, strlit3864, 1);
  sourceObject = obj3023;
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj3023, *var_name_39_, 2);
  sourceObject = obj3023;
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature_39_
  adddatum2(obj3023, *var_signature_39_, 3);
  sourceObject = obj3023;
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj3023, *var_body_39_, 4);
  sourceObject = obj3023;
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj3023, *var_dtype_39_, 5);
  sourceObject = obj3023;
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3865 = alloc_Boolean(0);
// compilenode returning bool3865
  adddatum2(obj3023, bool3865, 6);
  sourceObject = obj3023;
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3866 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3866
  adddatum2(obj3023, array3866, 7);
  sourceObject = obj3023;
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3867 = alloc_Boolean(0);
// compilenode returning bool3867
  adddatum2(obj3023, bool3867, 8);
  sourceObject = obj3023;
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3868 = gc_frame_new();
  int callframe3869 = gc_frame_new();
  partcv[0] = 0;
  Object call3870 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3869);
// compilenode returning call3870
  partcv[0] = 0;
  Object call3871 = callmethod(call3870, "value",
    1, partcv, params);
  gc_frame_end(callframe3868);
// compilenode returning call3871
// compilenode returning call3871
  adddatum2(obj3023, call3871, 9);
  sourceObject = obj3023;
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3872 = gc_frame_new();
  int callframe3873 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3874 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe3873);
// compilenode returning call3874
// compilenode returning call3874
  partcv[0] = 0;
  Object call3875 = callmethod(call3874, "new",
    1, partcv, params);
  gc_frame_end(callframe3872);
// compilenode returning call3875
// compilenode returning call3875
  adddatum2(obj3023, call3875, 10);
  sourceObject = obj3023;
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3876 = gc_frame_new();
  int callframe3877 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3878 = callmethod(*var_collections, "map",
    1, partcv, params);
  gc_frame_end(callframe3877);
// compilenode returning call3878
// compilenode returning call3878
  partcv[0] = 0;
  Object call3879 = callmethod(call3878, "new",
    1, partcv, params);
  gc_frame_end(callframe3876);
// compilenode returning call3879
// compilenode returning call3879
  adddatum2(obj3023, call3879, 11);
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
objclass3023 = obj3023->class;
  objclass3023->definitionModule = modulename;
  objclass3023->definitionLine = 610;
  (*(struct UserObject *)self).data[0] = lowerouter3023;
  self = oldself3023;
  selfslot = oldselfslot3023;
  stackframe = oldstackframe3023;
  gc_frame_end(frame);
  return obj3023;
}
Object meth_ast_new3022_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 4)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_methodNode = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  Object *var_collections = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[2]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[3]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 4)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3023 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3023 = alloc_userobj2(29,25, objclass3023);
  gc_frame_newslot(obj3023);
if (objclass3023 == NULL) {
  glfree(obj3023->class->name);
  obj3023->class->name = "methodNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3023, self, 0);
  addmethodreal(obj3023,"outer", &reader_ast_outer_3024);
  Object oldself3023 = self;
  struct StackFrameObject *oldstackframe3023 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3023);
  gc_frame_newslot((Object)stackframe);
  self = obj3023;
  Object *oldselfslot3023 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3023 = (*(struct UserObject *)self).data[0], lowerouter3023 = thisouter3023;
  if (inheritingObject3023) {
    struct UserObject *inho3023 = (struct UserObject *)inheritingObject3023;
    while (inho3023->super != GraceDefaultObject) inho3023 = (struct UserObject *)inho3023->super;
    inho3023->super = obj3023;
    self = inheritingObject3023;
    *selfslot = self;
    lowerouter3023 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3023;
  }
if (objclass3023 == NULL) {
  Method *reader3025 = addmethodrealflags(obj3023, "kind",&reader_ast_kind_3025, MFLAG_DEF);
  reader3025->definitionModule = modulename;
  reader3025->definitionLine = 699;
}
adddatum2(obj3023, alloc_Undefined(), 1);
if (objclass3023 == NULL) {
  Method *reader3026 = addmethodrealflags(obj3023, "value",&reader_ast_value_3026, MFLAG_DEF);
  reader3026->definitionModule = modulename;
  reader3026->definitionLine = 700;
}
adddatum2(obj3023, alloc_Undefined(), 2);
if (objclass3023 == NULL) {
  Method *reader3027 = addmethodrealflags(obj3023, "signature",&reader_ast_signature_3027, MFLAG_DEF);
  reader3027->definitionModule = modulename;
  reader3027->definitionLine = 701;
}
adddatum2(obj3023, alloc_Undefined(), 3);
if (objclass3023 == NULL) {
  Method *reader3028 = addmethodrealflags(obj3023, "body",&reader_ast_body_3028, MFLAG_DEF);
  reader3028->definitionModule = modulename;
  reader3028->definitionLine = 702;
}
adddatum2(obj3023, alloc_Undefined(), 4);
if (objclass3023 == NULL) {
  Method *reader3029 = addmethodrealflags(obj3023, "dtype",&reader_ast_dtype_3029, 0);
  Method *writer3029 = addmethodrealflags(obj3023, "dtype:=",&writer_ast_dtype_3029, 0);
  reader3029->definitionModule = modulename;
  writer3029->definitionModule = modulename;
  reader3029->definitionLine = 703;
  writer3029->definitionLine = 703;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 5);
if (objclass3023 == NULL) {
  Method *reader3030 = addmethodrealflags(obj3023, "varargs",&reader_ast_varargs_3030, 0);
  Method *writer3030 = addmethodrealflags(obj3023, "varargs:=",&writer_ast_varargs_3030, 0);
  reader3030->definitionModule = modulename;
  writer3030->definitionModule = modulename;
  reader3030->definitionLine = 704;
  writer3030->definitionLine = 704;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 6);
if (objclass3023 == NULL) {
  Method *reader3031 = addmethodrealflags(obj3023, "generics",&reader_ast_generics_3031, 0);
  Method *writer3031 = addmethodrealflags(obj3023, "generics:=",&writer_ast_generics_3031, 0);
  reader3031->definitionModule = modulename;
  writer3031->definitionModule = modulename;
  reader3031->definitionLine = 705;
  writer3031->definitionLine = 705;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 7);
if (objclass3023 == NULL) {
  Method *reader3032 = addmethodrealflags(obj3023, "selfclosure",&reader_ast_selfclosure_3032, 0);
  Method *writer3032 = addmethodrealflags(obj3023, "selfclosure:=",&writer_ast_selfclosure_3032, 0);
  reader3032->definitionModule = modulename;
  writer3032->definitionModule = modulename;
  reader3032->definitionLine = 706;
  writer3032->definitionLine = 706;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 8);
if (objclass3023 == NULL) {
  Method *reader3033 = addmethodrealflags(obj3023, "nameString",&reader_ast_nameString_3033, MFLAG_DEF);
  reader3033->definitionModule = modulename;
  reader3033->definitionLine = 707;
}
adddatum2(obj3023, alloc_Undefined(), 9);
if (objclass3023 == NULL) {
  Method *reader3034 = addmethodrealflags(obj3023, "annotations",&reader_ast_annotations_3034, MFLAG_DEF);
  reader3034->definitionModule = modulename;
  reader3034->definitionLine = 708;
}
adddatum2(obj3023, alloc_Undefined(), 10);
if (objclass3023 == NULL) {
  Method *reader3035 = addmethodrealflags(obj3023, "properties",&reader_ast_properties_3035, 0);
  Method *writer3035 = addmethodrealflags(obj3023, "properties:=",&writer_ast_properties_3035, 0);
  reader3035->definitionModule = modulename;
  writer3035->definitionModule = modulename;
  reader3035->definitionLine = 710;
  writer3035->definitionLine = 710;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 11);
  struct UserObject *uo3036 = (struct UserObject*)obj3023;
  uo3036->data[12] = emptyclosure;
  Method *meth_meth_ast_isConfidential3036 = addmethod2pos(obj3023, "isConfidential", &meth_ast_isConfidential3036, 12);
int argcv_meth_ast_isConfidential3036[] = {0};
meth_meth_ast_isConfidential3036->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3036);
  meth_meth_ast_isConfidential3036->definitionModule = modulename;
  meth_meth_ast_isConfidential3036->definitionLine = 710;
  struct UserObject *uo3054 = (struct UserObject*)obj3023;
  uo3054->data[13] = emptyclosure;
  Method *meth_meth_ast_isPublic3054 = addmethod2pos(obj3023, "isPublic", &meth_ast_isPublic3054, 13);
int argcv_meth_ast_isPublic3054[] = {0};
meth_meth_ast_isPublic3054->type = alloc_MethodType(1, argcv_meth_ast_isPublic3054);
  meth_meth_ast_isPublic3054->definitionModule = modulename;
  meth_meth_ast_isPublic3054->definitionLine = 714;
  struct UserObject *uo3059 = (struct UserObject*)obj3023;
  uo3059->data[14] = emptyclosure;
  Method *meth_meth_ast_isWritable3059 = addmethod2pos(obj3023, "isWritable", &meth_ast_isWritable3059, 14);
int argcv_meth_ast_isWritable3059[] = {0};
meth_meth_ast_isWritable3059->type = alloc_MethodType(1, argcv_meth_ast_isWritable3059);
  meth_meth_ast_isWritable3059->definitionModule = modulename;
  meth_meth_ast_isWritable3059->definitionLine = 715;
  struct UserObject *uo3061 = (struct UserObject*)obj3023;
  uo3061->data[15] = emptyclosure;
  Method *meth_meth_ast_isReadable3061 = addmethod2pos(obj3023, "isReadable", &meth_ast_isReadable3061, 15);
int argcv_meth_ast_isReadable3061[] = {0};
meth_meth_ast_isReadable3061->type = alloc_MethodType(1, argcv_meth_ast_isReadable3061);
  meth_meth_ast_isReadable3061->definitionModule = modulename;
  meth_meth_ast_isReadable3061->definitionLine = 716;
  struct UserObject *uo3064 = (struct UserObject*)obj3023;
  uo3064->data[16] = emptyclosure;
  Method *meth_meth_ast_accept3064 = addmethod2pos(obj3023, "accept", &meth_ast_accept3064, 16);
int argcv_meth_ast_accept3064[] = {1};
meth_meth_ast_accept3064->type = alloc_MethodType(1, argcv_meth_ast_accept3064);
  meth_meth_ast_accept3064->definitionModule = modulename;
  meth_meth_ast_accept3064->definitionLine = 718;
  block_savedest(obj3023);
  Object closure3119 = createclosure(2, "map()before()after");
  setclosureframe(closure3119, stackframe);
  addtoclosure(closure3119, var_name_39_);
  addtoclosure(closure3119, var_methodNode);
  struct UserObject *uo3119 = (struct UserObject*)obj3023;
  uo3119->data[17] = (Object)closure3119;
  Method *meth_meth_ast_map_40__41_before_40__41_after3119 = addmethod2pos(obj3023, "map()before()after", &meth_ast_map_40__41_before_40__41_after3119, 17);
int argcv_meth_ast_map_40__41_before_40__41_after3119[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after3119->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after3119);
  meth_meth_ast_map_40__41_before_40__41_after3119->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after3119->definitionLine = 737;
  struct UserObject *uo3194 = (struct UserObject*)obj3023;
  uo3194->data[18] = emptyclosure;
  Method *meth_meth_ast_map3194 = addmethod2pos(obj3023, "map", &meth_ast_map3194, 18);
int argcv_meth_ast_map3194[] = {1};
meth_meth_ast_map3194->type = alloc_MethodType(1, argcv_meth_ast_map3194);
  meth_meth_ast_map3194->definitionModule = modulename;
  meth_meth_ast_map3194->definitionLine = 755;
  struct UserObject *uo3203 = (struct UserObject*)obj3023;
  uo3203->data[19] = emptyclosure;
  Method *meth_meth_ast_eachParameter3203 = addmethod2pos(obj3023, "eachParameter", &meth_ast_eachParameter3203, 19);
int argcv_meth_ast_eachParameter3203[] = {1};
meth_meth_ast_eachParameter3203->type = alloc_MethodType(1, argcv_meth_ast_eachParameter3203);
  meth_meth_ast_eachParameter3203->definitionModule = modulename;
  meth_meth_ast_eachParameter3203->definitionLine = 758;
  struct UserObject *uo3220 = (struct UserObject*)obj3023;
  uo3220->data[20] = emptyclosure;
  Method *meth_meth_ast_pretty3220 = addmethod2pos(obj3023, "pretty", &meth_ast_pretty3220, 20);
int argcv_meth_ast_pretty3220[] = {1};
meth_meth_ast_pretty3220->type = alloc_MethodType(1, argcv_meth_ast_pretty3220);
  meth_meth_ast_pretty3220->definitionModule = modulename;
  meth_meth_ast_pretty3220->definitionLine = 765;
  block_savedest(obj3023);
  Object closure3601 = createclosure(1, "decType");
  setclosureframe(closure3601, stackframe);
  addtoclosure(closure3601, var_identifierNode);
  struct UserObject *uo3601 = (struct UserObject*)obj3023;
  uo3601->data[21] = (Object)closure3601;
  Method *meth_meth_ast_decType3601 = addmethod2pos(obj3023, "decType", &meth_ast_decType3601, 21);
int argcv_meth_ast_decType3601[] = {0};
meth_meth_ast_decType3601->type = alloc_MethodType(1, argcv_meth_ast_decType3601);
  meth_meth_ast_decType3601->definitionModule = modulename;
  meth_meth_ast_decType3601->definitionLine = 809;
  struct UserObject *uo3615 = (struct UserObject*)obj3023;
  uo3615->data[22] = emptyclosure;
  Method *meth_meth_ast_toGrace3615 = addmethod2pos(obj3023, "toGrace", &meth_ast_toGrace3615, 22);
int argcv_meth_ast_toGrace3615[] = {1};
meth_meth_ast_toGrace3615->type = alloc_MethodType(1, argcv_meth_ast_toGrace3615);
meth_meth_ast_toGrace3615->type->types[0] = type_Number;
meth_meth_ast_toGrace3615->type->names[0] = "depth";
  meth_meth_ast_toGrace3615->definitionModule = modulename;
  meth_meth_ast_toGrace3615->definitionLine = 815;
  struct UserObject *uo3851 = (struct UserObject*)obj3023;
  uo3851->data[23] = emptyclosure;
  Method *meth_meth_ast_asString3851 = addmethod2pos(obj3023, "asString", &meth_ast_asString3851, 23);
int argcv_meth_ast_asString3851[] = {0};
meth_meth_ast_asString3851->type = alloc_MethodType(1, argcv_meth_ast_asString3851);
  meth_meth_ast_asString3851->definitionModule = modulename;
  meth_meth_ast_asString3851->definitionLine = 853;
  sourceObject = obj3023;
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3862 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3863 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe3862);
// compilenode returning call3863
  struct UserObject *obj3023_uo = (struct UserObject *)obj3023;
  obj3023_uo->super = call3863;
  sourceObject = obj3023;
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3864 == NULL) {
    strlit3864 = alloc_String("method");
    gc_root(strlit3864);
  }
// compilenode returning strlit3864
  adddatum2(obj3023, strlit3864, 1);
  sourceObject = obj3023;
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj3023, *var_name_39_, 2);
  sourceObject = obj3023;
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature_39_
  adddatum2(obj3023, *var_signature_39_, 3);
  sourceObject = obj3023;
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj3023, *var_body_39_, 4);
  sourceObject = obj3023;
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj3023, *var_dtype_39_, 5);
  sourceObject = obj3023;
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3865 = alloc_Boolean(0);
// compilenode returning bool3865
  adddatum2(obj3023, bool3865, 6);
  sourceObject = obj3023;
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3866 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3866
  adddatum2(obj3023, array3866, 7);
  sourceObject = obj3023;
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3867 = alloc_Boolean(0);
// compilenode returning bool3867
  adddatum2(obj3023, bool3867, 8);
  sourceObject = obj3023;
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3868 = gc_frame_new();
  int callframe3869 = gc_frame_new();
  partcv[0] = 0;
  Object call3870 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3869);
// compilenode returning call3870
  partcv[0] = 0;
  Object call3871 = callmethod(call3870, "value",
    1, partcv, params);
  gc_frame_end(callframe3868);
// compilenode returning call3871
// compilenode returning call3871
  adddatum2(obj3023, call3871, 9);
  sourceObject = obj3023;
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3872 = gc_frame_new();
  int callframe3873 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3874 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe3873);
// compilenode returning call3874
// compilenode returning call3874
  partcv[0] = 0;
  Object call3875 = callmethod(call3874, "new",
    1, partcv, params);
  gc_frame_end(callframe3872);
// compilenode returning call3875
// compilenode returning call3875
  adddatum2(obj3023, call3875, 10);
  sourceObject = obj3023;
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3876 = gc_frame_new();
  int callframe3877 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call3878 = callmethod(*var_collections, "map",
    1, partcv, params);
  gc_frame_end(callframe3877);
// compilenode returning call3878
// compilenode returning call3878
  partcv[0] = 0;
  Object call3879 = callmethod(call3878, "new",
    1, partcv, params);
  gc_frame_end(callframe3876);
// compilenode returning call3879
// compilenode returning call3879
  adddatum2(obj3023, call3879, 11);
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
objclass3023 = obj3023->class;
  objclass3023->definitionModule = modulename;
  objclass3023->definitionLine = 610;
  (*(struct UserObject *)self).data[0] = lowerouter3023;
  self = oldself3023;
  selfslot = oldselfslot3023;
  stackframe = oldstackframe3023;
  gc_frame_end(frame);
  return obj3023;
}
Object meth_ast_callNode3881(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for callNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_callNode
  gc_frame_end(frame);
  return *var_callNode;
}
Object meth_ast__apply3909(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3910 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_arg
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call3911 = callmethod(*var_arg, "accept",
    1, partcv, params);
  gc_frame_end(callframe3910);
// compilenode returning call3911
  gc_frame_end(frame);
  return call3911;
}
Object meth_ast__apply3904(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3905 = gc_frame_new();
  int callframe3906 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call3907 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe3906);
// compilenode returning call3907
// compilenode returning call3907
  gc_frame_newslot(call3907);
  Object block3908 = alloc_Block(NULL, NULL, "ast", 879);
  gc_frame_newslot(block3908);
  block_savedest(block3908);
  Object closure3909 = createclosure(2, "_apply");
  setclosureframe(closure3909, stackframe);
  addtoclosure(closure3909, var_visitor);
  addtoclosure(closure3909, selfslot);
  struct UserObject *uo3909 = (struct UserObject*)block3908;
  uo3909->data[0] = (Object)closure3909;
  Method *meth_meth_ast__apply3909 = addmethod2pos(block3908, "_apply", &meth_ast__apply3909, 0);
int argcv_meth_ast__apply3909[] = {1};
meth_meth_ast__apply3909->type = alloc_MethodType(1, argcv_meth_ast__apply3909);
  meth_meth_ast__apply3909->definitionModule = modulename;
  meth_meth_ast__apply3909->definitionLine = 879;
// compilenode returning block3908
  gc_frame_newslot(block3908);
  params[0] = call3907;
  params[1] = block3908;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3913 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3905);
// compilenode returning call3913
  gc_frame_end(frame);
  return call3913;
}
Object meth_ast_accept3892(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3894 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call3895 = callmethod(*var_visitor, "visitCall",
    1, partcv, params);
  gc_frame_end(callframe3894);
// compilenode returning call3895
  Object if3893 = done;
  if (istrue(call3895)) {
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3896 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe3897 = gc_frame_new();
  partcv[0] = 0;
  Object call3898 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3897);
// compilenode returning call3898
// compilenode returning call3898
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call3899 = callmethod(call3898, "accept",
    1, partcv, params);
  gc_frame_end(callframe3896);
// compilenode returning call3899
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3900 = gc_frame_new();
  int callframe3901 = gc_frame_new();
  partcv[0] = 0;
  Object call3902 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3901);
// compilenode returning call3902
// compilenode returning call3902
  gc_frame_newslot(call3902);
  Object block3903 = alloc_Block(NULL, NULL, "ast", 878);
  gc_frame_newslot(block3903);
  block_savedest(block3903);
  Object closure3904 = createclosure(2, "_apply");
  setclosureframe(closure3904, stackframe);
  addtoclosure(closure3904, var_visitor);
  addtoclosure(closure3904, selfslot);
  struct UserObject *uo3904 = (struct UserObject*)block3903;
  uo3904->data[0] = (Object)closure3904;
  Method *meth_meth_ast__apply3904 = addmethod2pos(block3903, "_apply", &meth_ast__apply3904, 0);
int argcv_meth_ast__apply3904[] = {1};
meth_meth_ast__apply3904->type = alloc_MethodType(1, argcv_meth_ast__apply3904);
  meth_meth_ast__apply3904->definitionModule = modulename;
  meth_meth_ast__apply3904->definitionLine = 878;
// compilenode returning block3903
  gc_frame_newslot(block3903);
  params[0] = call3902;
  params[1] = block3903;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3915 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3900);
// compilenode returning call3915
    gc_frame_newslot(call3915);
    if3893 = call3915;
  } else {
  }
// compilenode returning if3893
  gc_frame_end(frame);
  return if3893;
}
Object meth_ast_map_40__41_before_40__41_after3916(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3917 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call3918 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe3917);
// compilenode returning call3918
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3919 = gc_frame_new();
  int callframe3920 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe3921 = gc_frame_new();
  partcv[0] = 0;
  Object call3922 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3921);
// compilenode returning call3922
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3923 = callmethod(call3922, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe3920);
// compilenode returning call3923
  gc_frame_newslot(call3923);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3924 = gc_frame_new();
  int callframe3925 = gc_frame_new();
  partcv[0] = 0;
  Object call3926 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3925);
// compilenode returning call3926
  gc_frame_newslot(call3926);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe3927 = gc_frame_new();
  int callframe3928 = gc_frame_new();
  Object call3929 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3928);
// compilenode returning call3929
// compilenode returning call3929
  partcv[0] = 0;
  Object call3930 = callmethodflags(call3929, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3927);
// compilenode returning call3930
// compilenode returning call3930
  params[0] = call3926;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3931 = callmethodflags(call3930, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3924);
// compilenode returning call3931
  gc_frame_newslot(call3931);
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_callNode
  params[0] = call3923;
  params[1] = call3931;
  partcv[0] = 2;
  Object call3932 = callmethod(*var_callNode, "new",
    1, partcv, params);
  gc_frame_end(callframe3919);
// compilenode returning call3932
  *var_n = call3932;
  if (call3932 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3935 = alloc_Boolean(0);
// compilenode returning bool3935
  int op_slot_right_3934 = gc_frame_newslot(bool3935);
  int callframe3937 = gc_frame_new();
  partcv[0] = 0;
  Object call3938 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3937);
// compilenode returning call3938
  int op_slot_left_3934 = gc_frame_newslot(call3938);
  params[0] = bool3935;
  partcv[0] = 1;
  Object opresult3939 = callmethod(call3938, "!=", 1, partcv, params);
// compilenode returning opresult3939
  Object if3933 = done;
  if (istrue(opresult3939)) {
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3940 = gc_frame_new();
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3941 = gc_frame_new();
  int callframe3942 = gc_frame_new();
  partcv[0] = 0;
  Object call3943 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3942);
// compilenode returning call3943
  gc_frame_newslot(call3943);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe3944 = gc_frame_new();
  int callframe3945 = gc_frame_new();
  Object call3946 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3945);
// compilenode returning call3946
// compilenode returning call3946
  partcv[0] = 0;
  Object call3947 = callmethodflags(call3946, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3944);
// compilenode returning call3947
// compilenode returning call3947
  params[0] = call3943;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3948 = callmethodflags(call3947, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3941);
// compilenode returning call3948
  gc_frame_newslot(call3948);
// compilenode returning *var_n
  params[0] = call3948;
  partcv[0] = 1;
  Object call3949 = callmethod(*var_n, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe3940);
// compilenode returning call3949
// compilenode returning done
    gc_frame_newslot(done);
    if3933 = done;
  } else {
  }
// compilenode returning if3933
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3950 = gc_frame_new();
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3951 = gc_frame_new();
  partcv[0] = 0;
  Object call3952 = callmethodflags(self, "isPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3951);
// compilenode returning call3952
  gc_frame_newslot(call3952);
// compilenode returning *var_n
  params[0] = call3952;
  partcv[0] = 1;
  Object call3953 = callmethod(*var_n, "isPattern:=",
    1, partcv, params);
  gc_frame_end(callframe3950);
// compilenode returning call3953
// compilenode returning done
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3954 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3955 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe3954);
// compilenode returning call3955
  *var_n = call3955;
  if (call3955 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3957 = gc_frame_new();
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3958 = gc_frame_new();
  partcv[0] = 0;
  Object call3959 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3958);
// compilenode returning call3959
  gc_frame_newslot(call3959);
// compilenode returning *var_n
  params[0] = call3959;
  partcv[0] = 1;
  Object call3960 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe3957);
// compilenode returning call3960
// compilenode returning done
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3961 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3962 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe3961);
// compilenode returning call3962
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply3966(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3969(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map3963(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3964 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block3965 = alloc_Block(NULL, NULL, "ast", 899);
  gc_frame_newslot(block3965);
  block_savedest(block3965);
  Object closure3966 = createclosure(1, "_apply");
  setclosureframe(closure3966, stackframe);
  addtoclosure(closure3966, selfslot);
  struct UserObject *uo3966 = (struct UserObject*)block3965;
  uo3966->data[0] = (Object)closure3966;
  Method *meth_meth_ast__apply3966 = addmethod2pos(block3965, "_apply", &meth_ast__apply3966, 0);
int argcv_meth_ast__apply3966[] = {0};
meth_meth_ast__apply3966->type = alloc_MethodType(1, argcv_meth_ast__apply3966);
  meth_meth_ast__apply3966->definitionModule = modulename;
  meth_meth_ast__apply3966->definitionLine = 890;
// compilenode returning block3965
  gc_frame_newslot(block3965);
  Object block3968 = alloc_Block(NULL, NULL, "ast", 899);
  gc_frame_newslot(block3968);
  block_savedest(block3968);
  Object closure3969 = createclosure(1, "_apply");
  setclosureframe(closure3969, stackframe);
  addtoclosure(closure3969, selfslot);
  struct UserObject *uo3969 = (struct UserObject*)block3968;
  uo3969->data[0] = (Object)closure3969;
  Method *meth_meth_ast__apply3969 = addmethod2pos(block3968, "_apply", &meth_ast__apply3969, 0);
int argcv_meth_ast__apply3969[] = {0};
meth_meth_ast__apply3969->type = alloc_MethodType(1, argcv_meth_ast__apply3969);
  meth_meth_ast__apply3969->definitionModule = modulename;
  meth_meth_ast__apply3969->definitionLine = 890;
// compilenode returning block3968
  gc_frame_newslot(block3968);
  params[0] = *var_blk;
  params[1] = block3965;
  params[2] = block3968;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3971 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3964);
// compilenode returning call3971
  gc_frame_end(frame);
  return call3971;
}
Object meth_ast__apply3980(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3982 == NULL) {
    strlit3982 = alloc_String("  ");
    gc_root(strlit3982);
  }
// compilenode returning strlit3982
  int op_slot_right_3981 = gc_frame_newslot(strlit3982);
// compilenode returning *var_spc
  int op_slot_left_3981 = gc_frame_newslot(*var_spc);
  params[0] = strlit3982;
  partcv[0] = 1;
  Object opresult3984 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult3984
  *var_spc = opresult3984;
  if (opresult3984 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4036(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4038 == NULL) {
    strlit4038 = alloc_String("""\x0a""");
    gc_root(strlit4038);
  }
// compilenode returning strlit4038
  int op_slot_right_4037 = gc_frame_newslot(strlit4038);
  int callframe4041 = gc_frame_new();
  Object num4042 = alloc_Float64(0);
// compilenode returning num4042
  gc_frame_newslot(num4042);
// compilenode returning *var_g
  params[0] = num4042;
  partcv[0] = 1;
  Object call4043 = callmethod(*var_g, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4041);
// compilenode returning call4043
  int op_slot_right_4040 = gc_frame_newslot(call4043);
  if (strlit4046 == NULL) {
    strlit4046 = alloc_String("    ");
    gc_root(strlit4046);
  }
// compilenode returning strlit4046
  int op_slot_right_4045 = gc_frame_newslot(strlit4046);
// compilenode returning *var_spc
  int op_slot_right_4048 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_4048 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4050 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4050
  int op_slot_left_4045 = gc_frame_newslot(opresult4050);
  params[0] = strlit4046;
  partcv[0] = 1;
  Object opresult4051 = callmethod(opresult4050, "++", 1, partcv, params);
// compilenode returning opresult4051
  int op_slot_left_4040 = gc_frame_newslot(opresult4051);
  params[0] = call4043;
  partcv[0] = 1;
  Object opresult4052 = callmethod(opresult4051, "++", 1, partcv, params);
// compilenode returning opresult4052
  int op_slot_left_4037 = gc_frame_newslot(opresult4052);
  params[0] = strlit4038;
  partcv[0] = 1;
  Object opresult4053 = callmethod(opresult4052, "++", 1, partcv, params);
// compilenode returning opresult4053
  *var_s = opresult4053;
  if (opresult4053 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4091(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4093 = gc_frame_new();
  Object num4095 = alloc_Float64(3);
// compilenode returning num4095
  int op_slot_right_4094 = gc_frame_newslot(num4095);
// compilenode returning *var_depth
  int op_slot_left_4094 = gc_frame_newslot(*var_depth);
  params[0] = num4095;
  partcv[0] = 1;
  Object sum4097 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4097
  gc_frame_newslot(sum4097);
// compilenode returning *var_arg
  params[0] = sum4097;
  partcv[0] = 1;
  Object call4098 = callmethod(*var_arg, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4093);
// compilenode returning call4098
  int op_slot_right_4092 = gc_frame_newslot(call4098);
// compilenode returning *var_spc
  int op_slot_right_4100 = gc_frame_newslot(*var_spc);
  if (strlit4103 == NULL) {
    strlit4103 = alloc_String("""\x0a""    ");
    gc_root(strlit4103);
  }
// compilenode returning strlit4103
  int op_slot_right_4102 = gc_frame_newslot(strlit4103);
// compilenode returning *var_s
  int op_slot_left_4102 = gc_frame_newslot(*var_s);
  params[0] = strlit4103;
  partcv[0] = 1;
  Object opresult4105 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4105
  int op_slot_left_4100 = gc_frame_newslot(opresult4105);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4106 = callmethod(opresult4105, "++", 1, partcv, params);
// compilenode returning opresult4106
  int op_slot_left_4092 = gc_frame_newslot(opresult4106);
  params[0] = call4098;
  partcv[0] = 1;
  Object opresult4107 = callmethod(opresult4106, "++", 1, partcv, params);
// compilenode returning opresult4107
  *var_s = opresult4107;
  if (opresult4107 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4069(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4071 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4072 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe4071);
// compilenode returning call4072
// compilenode returning call4072
  int op_slot_right_4070 = gc_frame_newslot(call4072);
  if (strlit4075 == NULL) {
    strlit4075 = alloc_String("Part: ");
    gc_root(strlit4075);
  }
// compilenode returning strlit4075
  int op_slot_right_4074 = gc_frame_newslot(strlit4075);
// compilenode returning *var_spc
  int op_slot_right_4077 = gc_frame_newslot(*var_spc);
  if (strlit4080 == NULL) {
    strlit4080 = alloc_String("""\x0a""  ");
    gc_root(strlit4080);
  }
// compilenode returning strlit4080
  int op_slot_right_4079 = gc_frame_newslot(strlit4080);
// compilenode returning *var_s
  int op_slot_left_4079 = gc_frame_newslot(*var_s);
  params[0] = strlit4080;
  partcv[0] = 1;
  Object opresult4082 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4082
  int op_slot_left_4077 = gc_frame_newslot(opresult4082);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4083 = callmethod(opresult4082, "++", 1, partcv, params);
// compilenode returning opresult4083
  int op_slot_left_4074 = gc_frame_newslot(opresult4083);
  params[0] = strlit4075;
  partcv[0] = 1;
  Object opresult4084 = callmethod(opresult4083, "++", 1, partcv, params);
// compilenode returning opresult4084
  int op_slot_left_4070 = gc_frame_newslot(opresult4084);
  params[0] = call4072;
  partcv[0] = 1;
  Object opresult4085 = callmethod(opresult4084, "++", 1, partcv, params);
// compilenode returning opresult4085
  *var_s = opresult4085;
  if (opresult4085 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4087 = gc_frame_new();
  int callframe4088 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4089 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4088);
// compilenode returning call4089
// compilenode returning call4089
  gc_frame_newslot(call4089);
  Object block4090 = alloc_Block(NULL, NULL, "ast", 918);
  gc_frame_newslot(block4090);
  block_savedest(block4090);
  Object closure4091 = createclosure(4, "_apply");
  setclosureframe(closure4091, stackframe);
  addtoclosure(closure4091, var_depth);
  addtoclosure(closure4091, var_spc);
  addtoclosure(closure4091, var_s);
  addtoclosure(closure4091, selfslot);
  struct UserObject *uo4091 = (struct UserObject*)block4090;
  uo4091->data[0] = (Object)closure4091;
  Method *meth_meth_ast__apply4091 = addmethod2pos(block4090, "_apply", &meth_ast__apply4091, 0);
int argcv_meth_ast__apply4091[] = {1};
meth_meth_ast__apply4091->type = alloc_MethodType(1, argcv_meth_ast__apply4091);
  meth_meth_ast__apply4091->definitionModule = modulename;
  meth_meth_ast__apply4091->definitionLine = 918;
// compilenode returning block4090
  gc_frame_newslot(block4090);
  params[0] = call4089;
  params[1] = block4090;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4110 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4087);
// compilenode returning call4110
  gc_frame_end(frame);
  return call4110;
}
Object meth_ast_pretty3972(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3973 == NULL) {
    strlit3973 = alloc_String("");
    gc_root(strlit3973);
  }
// compilenode returning strlit3973
  *var_spc = strlit3973;
  if (strlit3973 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3974 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_3975 = gc_frame_newslot(*var_depth);
  Object num3977 = alloc_Float64(0);
// compilenode returning num3977
  int op_slot_left_3975 = gc_frame_newslot(num3977);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult3978 = callmethod(num3977, "..", 1, partcv, params);
// compilenode returning opresult3978
  gc_frame_newslot(opresult3978);
  Object block3979 = alloc_Block(NULL, NULL, "ast", 903);
  gc_frame_newslot(block3979);
  block_savedest(block3979);
  Object closure3980 = createclosure(2, "_apply");
  setclosureframe(closure3980, stackframe);
  addtoclosure(closure3980, var_spc);
  addtoclosure(closure3980, selfslot);
  struct UserObject *uo3980 = (struct UserObject*)block3979;
  uo3980->data[0] = (Object)closure3980;
  Method *meth_meth_ast__apply3980 = addmethod2pos(block3979, "_apply", &meth_ast__apply3980, 0);
int argcv_meth_ast__apply3980[] = {1};
meth_meth_ast__apply3980->type = alloc_MethodType(1, argcv_meth_ast__apply3980);
  meth_meth_ast__apply3980->definitionModule = modulename;
  meth_meth_ast__apply3980->definitionLine = 890;
// compilenode returning block3979
  gc_frame_newslot(block3979);
  params[0] = opresult3978;
  params[1] = block3979;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3987 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3974);
// compilenode returning call3987
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3988 == NULL) {
    strlit3988 = alloc_String("Call""\x0a""");
    gc_root(strlit3988);
  }
// compilenode returning strlit3988
  *var_s = strlit3988;
  if (strlit3988 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3991 == NULL) {
    strlit3991 = alloc_String("");
    gc_root(strlit3991);
  }
// compilenode returning strlit3991
  int op_slot_right_3990 = gc_frame_newslot(strlit3991);
  int callframe3994 = gc_frame_new();
  Object num3996 = alloc_Float64(1);
// compilenode returning num3996
  int op_slot_right_3995 = gc_frame_newslot(num3996);
// compilenode returning *var_depth
  int op_slot_left_3995 = gc_frame_newslot(*var_depth);
  params[0] = num3996;
  partcv[0] = 1;
  Object sum3998 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum3998
  gc_frame_newslot(sum3998);
  int callframe3999 = gc_frame_new();
  partcv[0] = 0;
  Object call4000 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3999);
// compilenode returning call4000
// compilenode returning call4000
  params[0] = sum3998;
  partcv[0] = 1;
  Object call4001 = callmethod(call4000, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3994);
// compilenode returning call4001
  int op_slot_right_3993 = gc_frame_newslot(call4001);
  if (strlit4003 == NULL) {
    strlit4003 = alloc_String("Method: ");
    gc_root(strlit4003);
  }
// compilenode returning strlit4003
  int op_slot_left_3993 = gc_frame_newslot(strlit4003);
  params[0] = call4001;
  partcv[0] = 1;
  Object opresult4004 = callmethod(strlit4003, "++", 1, partcv, params);
// compilenode returning opresult4004
  int op_slot_left_3990 = gc_frame_newslot(opresult4004);
  params[0] = strlit3991;
  partcv[0] = 1;
  Object opresult4005 = callmethod(opresult4004, "++", 1, partcv, params);
// compilenode returning opresult4005
  int op_slot_right_3989 = gc_frame_newslot(opresult4005);
// compilenode returning *var_spc
  int op_slot_right_4007 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_4007 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4009 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4009
  int op_slot_left_3989 = gc_frame_newslot(opresult4009);
  params[0] = opresult4005;
  partcv[0] = 1;
  Object opresult4010 = callmethod(opresult4009, "++", 1, partcv, params);
// compilenode returning opresult4010
  *var_s = opresult4010;
  if (opresult4010 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4013 == NULL) {
    strlit4013 = alloc_String("""\x0a""");
    gc_root(strlit4013);
  }
// compilenode returning strlit4013
  int op_slot_right_4012 = gc_frame_newslot(strlit4013);
// compilenode returning *var_s
  int op_slot_left_4012 = gc_frame_newslot(*var_s);
  params[0] = strlit4013;
  partcv[0] = 1;
  Object opresult4015 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4015
  *var_s = opresult4015;
  if (opresult4015 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4019 = gc_frame_new();
  partcv[0] = 0;
  Object call4020 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4019);
// compilenode returning call4020
  int op_slot_right_4018 = gc_frame_newslot(call4020);
  Object bool4022 = alloc_Boolean(0);
// compilenode returning bool4022
  int op_slot_left_4018 = gc_frame_newslot(bool4022);
  params[0] = call4020;
  partcv[0] = 1;
  Object opresult4023 = callmethod(bool4022, "!=", 1, partcv, params);
// compilenode returning opresult4023
  Object if4017 = done;
  if (istrue(opresult4023)) {
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4025 == NULL) {
    strlit4025 = alloc_String("  Generics:""\x0a""");
    gc_root(strlit4025);
  }
// compilenode returning strlit4025
  int op_slot_right_4024 = gc_frame_newslot(strlit4025);
// compilenode returning *var_spc
  int op_slot_right_4027 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_4027 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4029 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4029
  int op_slot_left_4024 = gc_frame_newslot(opresult4029);
  params[0] = strlit4025;
  partcv[0] = 1;
  Object opresult4030 = callmethod(opresult4029, "++", 1, partcv, params);
// compilenode returning opresult4030
  *var_s = opresult4030;
  if (opresult4030 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4032 = gc_frame_new();
  int callframe4033 = gc_frame_new();
  partcv[0] = 0;
  Object call4034 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4033);
// compilenode returning call4034
  gc_frame_newslot(call4034);
  Object block4035 = alloc_Block(NULL, NULL, "ast", 911);
  gc_frame_newslot(block4035);
  block_savedest(block4035);
  Object closure4036 = createclosure(3, "_apply");
  setclosureframe(closure4036, stackframe);
  addtoclosure(closure4036, var_spc);
  addtoclosure(closure4036, var_s);
  addtoclosure(closure4036, selfslot);
  struct UserObject *uo4036 = (struct UserObject*)block4035;
  uo4036->data[0] = (Object)closure4036;
  Method *meth_meth_ast__apply4036 = addmethod2pos(block4035, "_apply", &meth_ast__apply4036, 0);
int argcv_meth_ast__apply4036[] = {1};
meth_meth_ast__apply4036->type = alloc_MethodType(1, argcv_meth_ast__apply4036);
  meth_meth_ast__apply4036->definitionModule = modulename;
  meth_meth_ast__apply4036->definitionLine = 907;
// compilenode returning block4035
  gc_frame_newslot(block4035);
  params[0] = call4034;
  params[1] = block4035;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4056 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4032);
// compilenode returning call4056
    gc_frame_newslot(call4056);
    if4017 = call4056;
  } else {
  }
// compilenode returning if4017
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4058 == NULL) {
    strlit4058 = alloc_String("Arguments:");
    gc_root(strlit4058);
  }
// compilenode returning strlit4058
  int op_slot_right_4057 = gc_frame_newslot(strlit4058);
// compilenode returning *var_spc
  int op_slot_right_4060 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_4060 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4062 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4062
  int op_slot_left_4057 = gc_frame_newslot(opresult4062);
  params[0] = strlit4058;
  partcv[0] = 1;
  Object opresult4063 = callmethod(opresult4062, "++", 1, partcv, params);
// compilenode returning opresult4063
  *var_s = opresult4063;
  if (opresult4063 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4065 = gc_frame_new();
  int callframe4066 = gc_frame_new();
  partcv[0] = 0;
  Object call4067 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4066);
// compilenode returning call4067
// compilenode returning call4067
  gc_frame_newslot(call4067);
  Object block4068 = alloc_Block(NULL, NULL, "ast", 916);
  gc_frame_newslot(block4068);
  block_savedest(block4068);
  Object closure4069 = createclosure(4, "_apply");
  setclosureframe(closure4069, stackframe);
  addtoclosure(closure4069, var_spc);
  addtoclosure(closure4069, var_s);
  addtoclosure(closure4069, var_depth);
  addtoclosure(closure4069, selfslot);
  struct UserObject *uo4069 = (struct UserObject*)block4068;
  uo4069->data[0] = (Object)closure4069;
  Method *meth_meth_ast__apply4069 = addmethod2pos(block4068, "_apply", &meth_ast__apply4069, 0);
int argcv_meth_ast__apply4069[] = {1};
meth_meth_ast__apply4069->type = alloc_MethodType(1, argcv_meth_ast__apply4069);
  meth_meth_ast__apply4069->definitionModule = modulename;
  meth_meth_ast__apply4069->definitionLine = 916;
// compilenode returning block4068
  gc_frame_newslot(block4068);
  params[0] = call4067;
  params[1] = block4068;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4112 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4065);
// compilenode returning call4112
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply4125(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4127 == NULL) {
    strlit4127 = alloc_String("    ");
    gc_root(strlit4127);
  }
// compilenode returning strlit4127
  int op_slot_right_4126 = gc_frame_newslot(strlit4127);
// compilenode returning *var_spc
  int op_slot_left_4126 = gc_frame_newslot(*var_spc);
  params[0] = strlit4127;
  partcv[0] = 1;
  Object opresult4129 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult4129
  *var_spc = opresult4129;
  if (opresult4129 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4215(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_anr = &(stackframe->slots[0]);
  *var_anr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "arg");
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4216 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4217 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4216);
// compilenode returning call4217
// compilenode returning call4217
// compilenode returning *var_anr
  params[0] = *var_anr;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres4218 = callmethod(call4217, "[]", 1, partcv, params);
// compilenode returning idxres4218
  *var_arg = idxres4218;
  if (idxres4218 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4220 = gc_frame_new();
  Object num4222 = alloc_Float64(1);
// compilenode returning num4222
  int op_slot_right_4221 = gc_frame_newslot(num4222);
// compilenode returning *var_depth
  int op_slot_left_4221 = gc_frame_newslot(*var_depth);
  params[0] = num4222;
  partcv[0] = 1;
  Object sum4224 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4224
  gc_frame_newslot(sum4224);
// compilenode returning *var_arg
  params[0] = sum4224;
  partcv[0] = 1;
  Object call4225 = callmethod(*var_arg, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4220);
// compilenode returning call4225
  int op_slot_right_4219 = gc_frame_newslot(call4225);
// compilenode returning *var_s
  int op_slot_left_4219 = gc_frame_newslot(*var_s);
  params[0] = call4225;
  partcv[0] = 1;
  Object opresult4227 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4227
  *var_s = opresult4227;
  if (opresult4227 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4231 = gc_frame_new();
  int callframe4232 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4233 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4232);
// compilenode returning call4233
// compilenode returning call4233
  partcv[0] = 0;
  Object call4234 = callmethod(call4233, "size",
    1, partcv, params);
  gc_frame_end(callframe4231);
// compilenode returning call4234
// compilenode returning call4234
  int op_slot_right_4230 = gc_frame_newslot(call4234);
// compilenode returning *var_anr
  int op_slot_left_4230 = gc_frame_newslot(*var_anr);
  params[0] = call4234;
  partcv[0] = 1;
  Object opresult4236 = callmethod(*var_anr, "<", 1, partcv, params);
// compilenode returning opresult4236
  Object if4229 = done;
  if (istrue(opresult4236)) {
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4238 == NULL) {
    strlit4238 = alloc_String(", ");
    gc_root(strlit4238);
  }
// compilenode returning strlit4238
  int op_slot_right_4237 = gc_frame_newslot(strlit4238);
// compilenode returning *var_s
  int op_slot_left_4237 = gc_frame_newslot(*var_s);
  params[0] = strlit4238;
  partcv[0] = 1;
  Object opresult4240 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4240
  *var_s = opresult4240;
  if (opresult4240 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4229 = done;
  } else {
  }
// compilenode returning if4229
  gc_frame_end(frame);
  return if4229;
}
Object meth_ast__apply4188(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4190 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4191 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe4190);
// compilenode returning call4191
// compilenode returning call4191
  int op_slot_right_4189 = gc_frame_newslot(call4191);
// compilenode returning *var_s
  int op_slot_left_4189 = gc_frame_newslot(*var_s);
  params[0] = call4191;
  partcv[0] = 1;
  Object opresult4193 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4193
  *var_s = opresult4193;
  if (opresult4193 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num4197 = alloc_Float64(0);
// compilenode returning num4197
  int op_slot_right_4196 = gc_frame_newslot(num4197);
  int callframe4199 = gc_frame_new();
  int callframe4200 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4201 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4200);
// compilenode returning call4201
// compilenode returning call4201
  partcv[0] = 0;
  Object call4202 = callmethod(call4201, "size",
    1, partcv, params);
  gc_frame_end(callframe4199);
// compilenode returning call4202
// compilenode returning call4202
  int op_slot_left_4196 = gc_frame_newslot(call4202);
  params[0] = num4197;
  partcv[0] = 1;
  Object opresult4203 = callmethod(call4202, ">", 1, partcv, params);
// compilenode returning opresult4203
  Object if4195 = done;
  if (istrue(opresult4203)) {
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4205 == NULL) {
    strlit4205 = alloc_String("(");
    gc_root(strlit4205);
  }
// compilenode returning strlit4205
  int op_slot_right_4204 = gc_frame_newslot(strlit4205);
// compilenode returning *var_s
  int op_slot_left_4204 = gc_frame_newslot(*var_s);
  params[0] = strlit4205;
  partcv[0] = 1;
  Object opresult4207 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4207
  *var_s = opresult4207;
  if (opresult4207 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4209 = gc_frame_new();
  int callframe4210 = gc_frame_new();
  int callframe4211 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4212 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4211);
// compilenode returning call4212
// compilenode returning call4212
  partcv[0] = 0;
  Object call4213 = callmethod(call4212, "indices",
    1, partcv, params);
  gc_frame_end(callframe4210);
// compilenode returning call4213
// compilenode returning call4213
  gc_frame_newslot(call4213);
  Object block4214 = alloc_Block(NULL, NULL, "ast", 943);
  gc_frame_newslot(block4214);
  block_savedest(block4214);
  Object closure4215 = createclosure(4, "_apply");
  setclosureframe(closure4215, stackframe);
  addtoclosure(closure4215, var_part);
  addtoclosure(closure4215, var_depth);
  addtoclosure(closure4215, var_s);
  addtoclosure(closure4215, selfslot);
  struct UserObject *uo4215 = (struct UserObject*)block4214;
  uo4215->data[0] = (Object)closure4215;
  Method *meth_meth_ast__apply4215 = addmethod2pos(block4214, "_apply", &meth_ast__apply4215, 0);
int argcv_meth_ast__apply4215[] = {1};
meth_meth_ast__apply4215->type = alloc_MethodType(1, argcv_meth_ast__apply4215);
  meth_meth_ast__apply4215->definitionModule = modulename;
  meth_meth_ast__apply4215->definitionLine = 943;
// compilenode returning block4214
  gc_frame_newslot(block4214);
  params[0] = call4213;
  params[1] = block4214;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4243 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4209);
// compilenode returning call4243
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4245 == NULL) {
    strlit4245 = alloc_String(")");
    gc_root(strlit4245);
  }
// compilenode returning strlit4245
  int op_slot_right_4244 = gc_frame_newslot(strlit4245);
// compilenode returning *var_s
  int op_slot_left_4244 = gc_frame_newslot(*var_s);
  params[0] = strlit4245;
  partcv[0] = 1;
  Object opresult4247 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4247
  *var_s = opresult4247;
  if (opresult4247 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4195 = done;
  } else {
  }
// compilenode returning if4195
  gc_frame_end(frame);
  return if4195;
}
Object meth_ast_toGrace4113(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_member = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "member");
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4114 == NULL) {
    strlit4114 = alloc_String("");
    gc_root(strlit4114);
  }
// compilenode returning strlit4114
  *var_spc = strlit4114;
  if (strlit4114 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4115 = gc_frame_new();
  Object num4118 = alloc_Float64(1);
// compilenode returning num4118
  int op_slot_right_4117 = gc_frame_newslot(num4118);
// compilenode returning *var_depth
  int op_slot_left_4117 = gc_frame_newslot(*var_depth);
  params[0] = num4118;
  partcv[0] = 1;
  Object diff4120 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff4120
  int op_slot_right_4116 = gc_frame_newslot(diff4120);
  Object num4122 = alloc_Float64(0);
// compilenode returning num4122
  int op_slot_left_4116 = gc_frame_newslot(num4122);
  params[0] = diff4120;
  partcv[0] = 1;
  Object opresult4123 = callmethod(num4122, "..", 1, partcv, params);
// compilenode returning opresult4123
  gc_frame_newslot(opresult4123);
  Object block4124 = alloc_Block(NULL, NULL, "ast", 926);
  gc_frame_newslot(block4124);
  block_savedest(block4124);
  Object closure4125 = createclosure(2, "_apply");
  setclosureframe(closure4125, stackframe);
  addtoclosure(closure4125, var_spc);
  addtoclosure(closure4125, selfslot);
  struct UserObject *uo4125 = (struct UserObject*)block4124;
  uo4125->data[0] = (Object)closure4125;
  Method *meth_meth_ast__apply4125 = addmethod2pos(block4124, "_apply", &meth_ast__apply4125, 0);
int argcv_meth_ast__apply4125[] = {1};
meth_meth_ast__apply4125->type = alloc_MethodType(1, argcv_meth_ast__apply4125);
  meth_meth_ast__apply4125->definitionModule = modulename;
  meth_meth_ast__apply4125->definitionLine = 918;
// compilenode returning block4124
  gc_frame_newslot(block4124);
  params[0] = opresult4123;
  params[1] = block4124;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4132 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4115);
// compilenode returning call4132
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4133 == NULL) {
    strlit4133 = alloc_String("");
    gc_root(strlit4133);
  }
// compilenode returning strlit4133
  *var_s = strlit4133;
  if (strlit4133 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4136 == NULL) {
    strlit4136 = alloc_String("member");
    gc_root(strlit4136);
  }
// compilenode returning strlit4136
  int op_slot_right_4135 = gc_frame_newslot(strlit4136);
  int callframe4138 = gc_frame_new();
  int callframe4139 = gc_frame_new();
  partcv[0] = 0;
  Object call4140 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4139);
// compilenode returning call4140
// compilenode returning call4140
  partcv[0] = 0;
  Object call4141 = callmethod(call4140, "kind",
    1, partcv, params);
  gc_frame_end(callframe4138);
// compilenode returning call4141
// compilenode returning call4141
  int op_slot_left_4135 = gc_frame_newslot(call4141);
  params[0] = strlit4136;
  partcv[0] = 1;
  Object opresult4142 = callmethod(call4141, "==", 1, partcv, params);
// compilenode returning opresult4142
  Object if4134 = done;
  if (istrue(opresult4142)) {
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4143 = gc_frame_new();
  partcv[0] = 0;
  Object call4144 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4143);
// compilenode returning call4144
// compilenode returning call4144
  *var_member = call4144;
  if (call4144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4147 == NULL) {
    strlit4147 = alloc_String("prefix");
    gc_root(strlit4147);
  }
// compilenode returning strlit4147
  int op_slot_right_4146 = gc_frame_newslot(strlit4147);
  int callframe4149 = gc_frame_new();
  Object num4150 = alloc_Float64(1);
// compilenode returning num4150
  gc_frame_newslot(num4150);
  Object num4151 = alloc_Float64(6);
// compilenode returning num4151
  gc_frame_newslot(num4151);
  int callframe4152 = gc_frame_new();
// compilenode returning *var_member
  partcv[0] = 0;
  Object call4153 = callmethod(*var_member, "value",
    1, partcv, params);
  gc_frame_end(callframe4152);
// compilenode returning call4153
// compilenode returning call4153
  params[0] = num4150;
  params[1] = num4151;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4154 = callmethod(call4153, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe4149);
// compilenode returning call4154
  int op_slot_left_4146 = gc_frame_newslot(call4154);
  params[0] = strlit4147;
  partcv[0] = 1;
  Object opresult4155 = callmethod(call4154, "==", 1, partcv, params);
// compilenode returning opresult4155
  Object if4145 = done;
  if (istrue(opresult4155)) {
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4156 = gc_frame_new();
  Object num4157 = alloc_Float64(7);
// compilenode returning num4157
  gc_frame_newslot(num4157);
  int callframe4158 = gc_frame_new();
  int callframe4159 = gc_frame_new();
// compilenode returning *var_member
  partcv[0] = 0;
  Object call4160 = callmethod(*var_member, "value",
    1, partcv, params);
  gc_frame_end(callframe4159);
// compilenode returning call4160
// compilenode returning call4160
  partcv[0] = 0;
  Object call4161 = callmethod(call4160, "size",
    1, partcv, params);
  gc_frame_end(callframe4158);
// compilenode returning call4161
// compilenode returning call4161
  gc_frame_newslot(call4161);
  int callframe4162 = gc_frame_new();
// compilenode returning *var_member
  partcv[0] = 0;
  Object call4163 = callmethod(*var_member, "value",
    1, partcv, params);
  gc_frame_end(callframe4162);
// compilenode returning call4163
// compilenode returning call4163
  params[0] = num4157;
  params[1] = call4161;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4164 = callmethod(call4163, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe4156);
// compilenode returning call4164
  *var_s = call4164;
  if (call4164 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4167 = gc_frame_new();
  Object num4168 = alloc_Float64(0);
// compilenode returning num4168
  gc_frame_newslot(num4168);
  int callframe4169 = gc_frame_new();
// compilenode returning *var_member
  partcv[0] = 0;
  Object call4170 = callmethod(*var_member, "in",
    1, partcv, params);
  gc_frame_end(callframe4169);
// compilenode returning call4170
// compilenode returning call4170
  params[0] = num4168;
  partcv[0] = 1;
  Object call4171 = callmethod(call4170, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4167);
// compilenode returning call4171
  int op_slot_right_4166 = gc_frame_newslot(call4171);
// compilenode returning *var_s
  int op_slot_left_4166 = gc_frame_newslot(*var_s);
  params[0] = call4171;
  partcv[0] = 1;
  Object opresult4173 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4173
  return opresult4173;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if4145 = undefined;
  } else {
  }
// compilenode returning if4145
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4175 == NULL) {
    strlit4175 = alloc_String(".");
    gc_root(strlit4175);
  }
// compilenode returning strlit4175
  int op_slot_right_4174 = gc_frame_newslot(strlit4175);
  int callframe4177 = gc_frame_new();
  Object num4178 = alloc_Float64(0);
// compilenode returning num4178
  gc_frame_newslot(num4178);
  int callframe4179 = gc_frame_new();
// compilenode returning *var_member
  partcv[0] = 0;
  Object call4180 = callmethod(*var_member, "in",
    1, partcv, params);
  gc_frame_end(callframe4179);
// compilenode returning call4180
// compilenode returning call4180
  params[0] = num4178;
  partcv[0] = 1;
  Object call4181 = callmethod(call4180, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4177);
// compilenode returning call4181
  int op_slot_left_4174 = gc_frame_newslot(call4181);
  params[0] = strlit4175;
  partcv[0] = 1;
  Object opresult4182 = callmethod(call4181, "++", 1, partcv, params);
// compilenode returning opresult4182
  *var_s = opresult4182;
  if (opresult4182 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4134 = done;
  } else {
  }
// compilenode returning if4134
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4184 = gc_frame_new();
  int callframe4185 = gc_frame_new();
  partcv[0] = 0;
  Object call4186 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4185);
// compilenode returning call4186
// compilenode returning call4186
  gc_frame_newslot(call4186);
  Object block4187 = alloc_Block(NULL, NULL, "ast", 939);
  gc_frame_newslot(block4187);
  block_savedest(block4187);
  Object closure4188 = createclosure(3, "_apply");
  setclosureframe(closure4188, stackframe);
  addtoclosure(closure4188, var_s);
  addtoclosure(closure4188, var_depth);
  addtoclosure(closure4188, selfslot);
  struct UserObject *uo4188 = (struct UserObject*)block4187;
  uo4188->data[0] = (Object)closure4188;
  Method *meth_meth_ast__apply4188 = addmethod2pos(block4187, "_apply", &meth_ast__apply4188, 0);
int argcv_meth_ast__apply4188[] = {1};
meth_meth_ast__apply4188->type = alloc_MethodType(1, argcv_meth_ast__apply4188);
  meth_meth_ast__apply4188->definitionModule = modulename;
  meth_meth_ast__apply4188->definitionLine = 939;
// compilenode returning block4187
  gc_frame_newslot(block4187);
  params[0] = call4186;
  params[1] = block4187;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4250 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4184);
// compilenode returning call4250
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new3884(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_callNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_what = &(stackframe->slots[0]);
  *var_what = args[curarg];
  curarg++;
  Object *var_with_39_ = &(stackframe->slots[1]);
  *var_with_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3885 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3885 = alloc_userobj2(13,12, objclass3885);
  gc_frame_newslot(obj3885);
if (objclass3885 == NULL) {
  glfree(obj3885->class->name);
  obj3885->class->name = "callNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3885, self, 0);
  addmethodreal(obj3885,"outer", &reader_ast_outer_3886);
  Object oldself3885 = self;
  struct StackFrameObject *oldstackframe3885 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3885);
  gc_frame_newslot((Object)stackframe);
  self = obj3885;
  Object *oldselfslot3885 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3885 = (*(struct UserObject *)self).data[0], lowerouter3885 = thisouter3885;
  if (inheritingObject3885) {
    struct UserObject *inho3885 = (struct UserObject *)inheritingObject3885;
    while (inho3885->super != GraceDefaultObject) inho3885 = (struct UserObject *)inho3885->super;
    inho3885->super = obj3885;
    self = inheritingObject3885;
    *selfslot = self;
    lowerouter3885 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3885;
  }
if (objclass3885 == NULL) {
  Method *reader3887 = addmethodrealflags(obj3885, "kind",&reader_ast_kind_3887, MFLAG_DEF);
  reader3887->definitionModule = modulename;
  reader3887->definitionLine = 871;
}
adddatum2(obj3885, alloc_Undefined(), 1);
if (objclass3885 == NULL) {
  Method *reader3888 = addmethodrealflags(obj3885, "value",&reader_ast_value_3888, MFLAG_DEF);
  reader3888->definitionModule = modulename;
  reader3888->definitionLine = 872;
}
adddatum2(obj3885, alloc_Undefined(), 2);
if (objclass3885 == NULL) {
  Method *reader3889 = addmethodrealflags(obj3885, "with",&reader_ast_with_3889, MFLAG_DEF);
  reader3889->definitionModule = modulename;
  reader3889->definitionLine = 873;
}
adddatum2(obj3885, alloc_Undefined(), 3);
if (objclass3885 == NULL) {
  Method *reader3890 = addmethodrealflags(obj3885, "generics",&reader_ast_generics_3890, 0);
  Method *writer3890 = addmethodrealflags(obj3885, "generics:=",&writer_ast_generics_3890, 0);
  reader3890->definitionModule = modulename;
  writer3890->definitionModule = modulename;
  reader3890->definitionLine = 874;
  writer3890->definitionLine = 874;
}
obj3885->flags |= OFLAG_MUTABLE;
adddatum2(obj3885, alloc_Undefined(), 4);
if (objclass3885 == NULL) {
  Method *reader3891 = addmethodrealflags(obj3885, "isPattern",&reader_ast_isPattern_3891, 0);
  Method *writer3891 = addmethodrealflags(obj3885, "isPattern:=",&writer_ast_isPattern_3891, 0);
  reader3891->definitionModule = modulename;
  writer3891->definitionModule = modulename;
  reader3891->definitionLine = 875;
  writer3891->definitionLine = 875;
}
obj3885->flags |= OFLAG_MUTABLE;
adddatum2(obj3885, alloc_Undefined(), 5);
  struct UserObject *uo3892 = (struct UserObject*)obj3885;
  uo3892->data[6] = emptyclosure;
  Method *meth_meth_ast_accept3892 = addmethod2pos(obj3885, "accept", &meth_ast_accept3892, 6);
int argcv_meth_ast_accept3892[] = {1};
meth_meth_ast_accept3892->type = alloc_MethodType(1, argcv_meth_ast_accept3892);
  meth_meth_ast_accept3892->definitionModule = modulename;
  meth_meth_ast_accept3892->definitionLine = 875;
  block_savedest(obj3885);
  Object closure3916 = createclosure(1, "map()before()after");
  setclosureframe(closure3916, stackframe);
  addtoclosure(closure3916, var_callNode);
  struct UserObject *uo3916 = (struct UserObject*)obj3885;
  uo3916->data[7] = (Object)closure3916;
  Method *meth_meth_ast_map_40__41_before_40__41_after3916 = addmethod2pos(obj3885, "map()before()after", &meth_ast_map_40__41_before_40__41_after3916, 7);
int argcv_meth_ast_map_40__41_before_40__41_after3916[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after3916->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after3916);
  meth_meth_ast_map_40__41_before_40__41_after3916->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after3916->definitionLine = 885;
  struct UserObject *uo3963 = (struct UserObject*)obj3885;
  uo3963->data[8] = emptyclosure;
  Method *meth_meth_ast_map3963 = addmethod2pos(obj3885, "map", &meth_ast_map3963, 8);
int argcv_meth_ast_map3963[] = {1};
meth_meth_ast_map3963->type = alloc_MethodType(1, argcv_meth_ast_map3963);
  meth_meth_ast_map3963->definitionModule = modulename;
  meth_meth_ast_map3963->definitionLine = 898;
  struct UserObject *uo3972 = (struct UserObject*)obj3885;
  uo3972->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty3972 = addmethod2pos(obj3885, "pretty", &meth_ast_pretty3972, 9);
int argcv_meth_ast_pretty3972[] = {1};
meth_meth_ast_pretty3972->type = alloc_MethodType(1, argcv_meth_ast_pretty3972);
  meth_meth_ast_pretty3972->definitionModule = modulename;
  meth_meth_ast_pretty3972->definitionLine = 901;
  struct UserObject *uo4113 = (struct UserObject*)obj3885;
  uo4113->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace4113 = addmethod2pos(obj3885, "toGrace", &meth_ast_toGrace4113, 10);
int argcv_meth_ast_toGrace4113[] = {1};
meth_meth_ast_toGrace4113->type = alloc_MethodType(1, argcv_meth_ast_toGrace4113);
meth_meth_ast_toGrace4113->type->types[0] = type_Number;
meth_meth_ast_toGrace4113->type->names[0] = "depth";
  meth_meth_ast_toGrace4113->definitionModule = modulename;
  meth_meth_ast_toGrace4113->definitionLine = 924;
  sourceObject = obj3885;
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4251 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4252 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe4251);
// compilenode returning call4252
  struct UserObject *obj3885_uo = (struct UserObject *)obj3885;
  obj3885_uo->super = call4252;
  sourceObject = obj3885;
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4253 == NULL) {
    strlit4253 = alloc_String("call");
    gc_root(strlit4253);
  }
// compilenode returning strlit4253
  adddatum2(obj3885, strlit4253, 1);
  sourceObject = obj3885;
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_what
  adddatum2(obj3885, *var_what, 2);
  sourceObject = obj3885;
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_with_39_
  adddatum2(obj3885, *var_with_39_, 3);
  sourceObject = obj3885;
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4254 = alloc_Boolean(0);
// compilenode returning bool4254
  adddatum2(obj3885, bool4254, 4);
  sourceObject = obj3885;
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4255 = alloc_Boolean(0);
// compilenode returning bool4255
  adddatum2(obj3885, bool4255, 5);
  sourceObject = obj3885;
  sourceObject = obj3885;
  sourceObject = obj3885;
  sourceObject = obj3885;
  sourceObject = obj3885;
objclass3885 = obj3885->class;
  objclass3885->definitionModule = modulename;
  objclass3885->definitionLine = 708;
  (*(struct UserObject *)self).data[0] = lowerouter3885;
  self = oldself3885;
  selfslot = oldselfslot3885;
  stackframe = oldstackframe3885;
  gc_frame_end(frame);
  return obj3885;
}
Object meth_ast_new3884_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_callNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_what = &(stackframe->slots[0]);
  *var_what = args[curarg];
  curarg++;
  Object *var_with_39_ = &(stackframe->slots[1]);
  *var_with_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3885 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3885 = alloc_userobj2(13,12, objclass3885);
  gc_frame_newslot(obj3885);
if (objclass3885 == NULL) {
  glfree(obj3885->class->name);
  obj3885->class->name = "callNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3885, self, 0);
  addmethodreal(obj3885,"outer", &reader_ast_outer_3886);
  Object oldself3885 = self;
  struct StackFrameObject *oldstackframe3885 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3885);
  gc_frame_newslot((Object)stackframe);
  self = obj3885;
  Object *oldselfslot3885 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3885 = (*(struct UserObject *)self).data[0], lowerouter3885 = thisouter3885;
  if (inheritingObject3885) {
    struct UserObject *inho3885 = (struct UserObject *)inheritingObject3885;
    while (inho3885->super != GraceDefaultObject) inho3885 = (struct UserObject *)inho3885->super;
    inho3885->super = obj3885;
    self = inheritingObject3885;
    *selfslot = self;
    lowerouter3885 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3885;
  }
if (objclass3885 == NULL) {
  Method *reader3887 = addmethodrealflags(obj3885, "kind",&reader_ast_kind_3887, MFLAG_DEF);
  reader3887->definitionModule = modulename;
  reader3887->definitionLine = 871;
}
adddatum2(obj3885, alloc_Undefined(), 1);
if (objclass3885 == NULL) {
  Method *reader3888 = addmethodrealflags(obj3885, "value",&reader_ast_value_3888, MFLAG_DEF);
  reader3888->definitionModule = modulename;
  reader3888->definitionLine = 872;
}
adddatum2(obj3885, alloc_Undefined(), 2);
if (objclass3885 == NULL) {
  Method *reader3889 = addmethodrealflags(obj3885, "with",&reader_ast_with_3889, MFLAG_DEF);
  reader3889->definitionModule = modulename;
  reader3889->definitionLine = 873;
}
adddatum2(obj3885, alloc_Undefined(), 3);
if (objclass3885 == NULL) {
  Method *reader3890 = addmethodrealflags(obj3885, "generics",&reader_ast_generics_3890, 0);
  Method *writer3890 = addmethodrealflags(obj3885, "generics:=",&writer_ast_generics_3890, 0);
  reader3890->definitionModule = modulename;
  writer3890->definitionModule = modulename;
  reader3890->definitionLine = 874;
  writer3890->definitionLine = 874;
}
obj3885->flags |= OFLAG_MUTABLE;
adddatum2(obj3885, alloc_Undefined(), 4);
if (objclass3885 == NULL) {
  Method *reader3891 = addmethodrealflags(obj3885, "isPattern",&reader_ast_isPattern_3891, 0);
  Method *writer3891 = addmethodrealflags(obj3885, "isPattern:=",&writer_ast_isPattern_3891, 0);
  reader3891->definitionModule = modulename;
  writer3891->definitionModule = modulename;
  reader3891->definitionLine = 875;
  writer3891->definitionLine = 875;
}
obj3885->flags |= OFLAG_MUTABLE;
adddatum2(obj3885, alloc_Undefined(), 5);
  struct UserObject *uo3892 = (struct UserObject*)obj3885;
  uo3892->data[6] = emptyclosure;
  Method *meth_meth_ast_accept3892 = addmethod2pos(obj3885, "accept", &meth_ast_accept3892, 6);
int argcv_meth_ast_accept3892[] = {1};
meth_meth_ast_accept3892->type = alloc_MethodType(1, argcv_meth_ast_accept3892);
  meth_meth_ast_accept3892->definitionModule = modulename;
  meth_meth_ast_accept3892->definitionLine = 875;
  block_savedest(obj3885);
  Object closure3916 = createclosure(1, "map()before()after");
  setclosureframe(closure3916, stackframe);
  addtoclosure(closure3916, var_callNode);
  struct UserObject *uo3916 = (struct UserObject*)obj3885;
  uo3916->data[7] = (Object)closure3916;
  Method *meth_meth_ast_map_40__41_before_40__41_after3916 = addmethod2pos(obj3885, "map()before()after", &meth_ast_map_40__41_before_40__41_after3916, 7);
int argcv_meth_ast_map_40__41_before_40__41_after3916[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after3916->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after3916);
  meth_meth_ast_map_40__41_before_40__41_after3916->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after3916->definitionLine = 885;
  struct UserObject *uo3963 = (struct UserObject*)obj3885;
  uo3963->data[8] = emptyclosure;
  Method *meth_meth_ast_map3963 = addmethod2pos(obj3885, "map", &meth_ast_map3963, 8);
int argcv_meth_ast_map3963[] = {1};
meth_meth_ast_map3963->type = alloc_MethodType(1, argcv_meth_ast_map3963);
  meth_meth_ast_map3963->definitionModule = modulename;
  meth_meth_ast_map3963->definitionLine = 898;
  struct UserObject *uo3972 = (struct UserObject*)obj3885;
  uo3972->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty3972 = addmethod2pos(obj3885, "pretty", &meth_ast_pretty3972, 9);
int argcv_meth_ast_pretty3972[] = {1};
meth_meth_ast_pretty3972->type = alloc_MethodType(1, argcv_meth_ast_pretty3972);
  meth_meth_ast_pretty3972->definitionModule = modulename;
  meth_meth_ast_pretty3972->definitionLine = 901;
  struct UserObject *uo4113 = (struct UserObject*)obj3885;
  uo4113->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace4113 = addmethod2pos(obj3885, "toGrace", &meth_ast_toGrace4113, 10);
int argcv_meth_ast_toGrace4113[] = {1};
meth_meth_ast_toGrace4113->type = alloc_MethodType(1, argcv_meth_ast_toGrace4113);
meth_meth_ast_toGrace4113->type->types[0] = type_Number;
meth_meth_ast_toGrace4113->type->names[0] = "depth";
  meth_meth_ast_toGrace4113->definitionModule = modulename;
  meth_meth_ast_toGrace4113->definitionLine = 924;
  sourceObject = obj3885;
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4251 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4252 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe4251);
// compilenode returning call4252
  struct UserObject *obj3885_uo = (struct UserObject *)obj3885;
  obj3885_uo->super = call4252;
  sourceObject = obj3885;
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4253 == NULL) {
    strlit4253 = alloc_String("call");
    gc_root(strlit4253);
  }
// compilenode returning strlit4253
  adddatum2(obj3885, strlit4253, 1);
  sourceObject = obj3885;
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_what
  adddatum2(obj3885, *var_what, 2);
  sourceObject = obj3885;
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_with_39_
  adddatum2(obj3885, *var_with_39_, 3);
  sourceObject = obj3885;
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4254 = alloc_Boolean(0);
// compilenode returning bool4254
  adddatum2(obj3885, bool4254, 4);
  sourceObject = obj3885;
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4255 = alloc_Boolean(0);
// compilenode returning bool4255
  adddatum2(obj3885, bool4255, 5);
  sourceObject = obj3885;
  sourceObject = obj3885;
  sourceObject = obj3885;
  sourceObject = obj3885;
  sourceObject = obj3885;
objclass3885 = obj3885->class;
  objclass3885->definitionModule = modulename;
  objclass3885->definitionLine = 708;
  (*(struct UserObject *)self).data[0] = lowerouter3885;
  self = oldself3885;
  selfslot = oldselfslot3885;
  stackframe = oldstackframe3885;
  gc_frame_end(frame);
  return obj3885;
}
Object meth_ast_classNode4257(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "classNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_classNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for classNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for classNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_classNode
  gc_frame_end(frame);
  return *var_classNode;
}
Object meth_ast_isPublic4275(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num4278 = alloc_Float64(0);
// compilenode returning num4278
  int op_slot_right_4277 = gc_frame_newslot(num4278);
  int callframe4280 = gc_frame_new();
  int callframe4281 = gc_frame_new();
  partcv[0] = 0;
  Object call4282 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4281);
// compilenode returning call4282
  partcv[0] = 0;
  Object call4283 = callmethod(call4282, "size",
    1, partcv, params);
  gc_frame_end(callframe4280);
// compilenode returning call4283
// compilenode returning call4283
  int op_slot_left_4277 = gc_frame_newslot(call4283);
  params[0] = num4278;
  partcv[0] = 1;
  Object opresult4284 = callmethod(call4283, "==", 1, partcv, params);
// compilenode returning opresult4284
  Object if4276 = done;
  if (istrue(opresult4284)) {
  Object bool4285 = alloc_Boolean(1);
// compilenode returning bool4285
  return bool4285;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if4276 = undefined;
  } else {
  }
// compilenode returning if4276
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4286 = gc_frame_new();
  int callframe4287 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit4288 == NULL) {
    strlit4288 = alloc_String("confidential");
    gc_root(strlit4288);
  }
// compilenode returning strlit4288
  gc_frame_newslot(strlit4288);
  int callframe4289 = gc_frame_new();
  int callframe4290 = gc_frame_new();
  Object call4291 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4290);
// compilenode returning call4291
// compilenode returning call4291
  partcv[0] = 0;
  Object call4292 = callmethodflags(call4291, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4289);
// compilenode returning call4292
// compilenode returning call4292
  params[0] = self;
  params[1] = strlit4288;
  partcv[0] = 2;
  Object call4293 = callmethodflags(call4292, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4287);
// compilenode returning call4293
  partcv[0] = 0;
  Object call4294 = callmethod(call4293, "not",
    1, partcv, params);
  gc_frame_end(callframe4286);
// compilenode returning call4294
// compilenode returning call4294
  gc_frame_end(frame);
  return call4294;
}
Object meth_ast_isWritable4295(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4296 = alloc_Boolean(0);
// compilenode returning bool4296
  gc_frame_end(frame);
  return bool4296;
}
Object meth_ast_isReadable4297(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4298 = gc_frame_new();
  partcv[0] = 0;
  Object call4299 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4298);
// compilenode returning call4299
  gc_frame_end(frame);
  return call4299;
}
Object meth_ast__apply4332(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4333 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_p
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call4334 = callmethod(*var_p, "accept",
    1, partcv, params);
  gc_frame_end(callframe4333);
// compilenode returning call4334
  gc_frame_end(frame);
  return call4334;
}
Object meth_ast__apply4327(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4328 = gc_frame_new();
  int callframe4329 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4330 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4329);
// compilenode returning call4330
// compilenode returning call4330
  gc_frame_newslot(call4330);
  Object block4331 = alloc_Block(NULL, NULL, "ast", 1002);
  gc_frame_newslot(block4331);
  block_savedest(block4331);
  Object closure4332 = createclosure(2, "_apply");
  setclosureframe(closure4332, stackframe);
  addtoclosure(closure4332, var_visitor);
  addtoclosure(closure4332, selfslot);
  struct UserObject *uo4332 = (struct UserObject*)block4331;
  uo4332->data[0] = (Object)closure4332;
  Method *meth_meth_ast__apply4332 = addmethod2pos(block4331, "_apply", &meth_ast__apply4332, 0);
int argcv_meth_ast__apply4332[] = {1};
meth_meth_ast__apply4332->type = alloc_MethodType(1, argcv_meth_ast__apply4332);
  meth_meth_ast__apply4332->definitionModule = modulename;
  meth_meth_ast__apply4332->definitionLine = 1002;
// compilenode returning block4331
  gc_frame_newslot(block4331);
  params[0] = call4330;
  params[1] = block4331;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4336 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4328);
// compilenode returning call4336
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4339 = alloc_Boolean(0);
// compilenode returning bool4339
  int op_slot_right_4338 = gc_frame_newslot(bool4339);
  int callframe4341 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4342 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4341);
// compilenode returning call4342
// compilenode returning call4342
  int op_slot_left_4338 = gc_frame_newslot(call4342);
  params[0] = bool4339;
  partcv[0] = 1;
  Object opresult4343 = callmethod(call4342, "!=", 1, partcv, params);
// compilenode returning opresult4343
  Object if4337 = done;
  if (istrue(opresult4343)) {
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4344 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe4345 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4346 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4345);
// compilenode returning call4346
// compilenode returning call4346
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call4347 = callmethod(call4346, "accept",
    1, partcv, params);
  gc_frame_end(callframe4344);
// compilenode returning call4347
    gc_frame_newslot(call4347);
    if4337 = call4347;
  } else {
  }
// compilenode returning if4337
  gc_frame_end(frame);
  return if4337;
}
Object meth_ast__apply4354(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4355 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_x
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call4356 = callmethod(*var_x, "accept",
    1, partcv, params);
  gc_frame_end(callframe4355);
// compilenode returning call4356
  gc_frame_end(frame);
  return call4356;
}
Object meth_ast_accept4300(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4302 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call4303 = callmethod(*var_visitor, "visitClass",
    1, partcv, params);
  gc_frame_end(callframe4302);
// compilenode returning call4303
  Object if4301 = done;
  if (istrue(call4303)) {
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4304 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe4305 = gc_frame_new();
  partcv[0] = 0;
  Object call4306 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4305);
// compilenode returning call4306
// compilenode returning call4306
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call4307 = callmethod(call4306, "accept",
    1, partcv, params);
  gc_frame_end(callframe4304);
// compilenode returning call4307
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4308 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe4309 = gc_frame_new();
  partcv[0] = 0;
  Object call4310 = callmethodflags(self, "constructor", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4309);
// compilenode returning call4310
// compilenode returning call4310
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call4311 = callmethod(call4310, "accept",
    1, partcv, params);
  gc_frame_end(callframe4308);
// compilenode returning call4311
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4314 = alloc_Boolean(0);
// compilenode returning bool4314
  int op_slot_right_4313 = gc_frame_newslot(bool4314);
  int callframe4316 = gc_frame_new();
  partcv[0] = 0;
  Object call4317 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4316);
// compilenode returning call4317
// compilenode returning call4317
  int op_slot_left_4313 = gc_frame_newslot(call4317);
  params[0] = bool4314;
  partcv[0] = 1;
  Object opresult4318 = callmethod(call4317, "!=", 1, partcv, params);
// compilenode returning opresult4318
  Object if4312 = done;
  if (istrue(opresult4318)) {
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4319 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe4320 = gc_frame_new();
  partcv[0] = 0;
  Object call4321 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4320);
// compilenode returning call4321
// compilenode returning call4321
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call4322 = callmethod(call4321, "accept",
    1, partcv, params);
  gc_frame_end(callframe4319);
// compilenode returning call4322
    gc_frame_newslot(call4322);
    if4312 = call4322;
  } else {
  }
// compilenode returning if4312
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4323 = gc_frame_new();
  int callframe4324 = gc_frame_new();
  partcv[0] = 0;
  Object call4325 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4324);
// compilenode returning call4325
// compilenode returning call4325
  gc_frame_newslot(call4325);
  Object block4326 = alloc_Block(NULL, NULL, "ast", 1001);
  gc_frame_newslot(block4326);
  block_savedest(block4326);
  Object closure4327 = createclosure(2, "_apply");
  setclosureframe(closure4327, stackframe);
  addtoclosure(closure4327, var_visitor);
  addtoclosure(closure4327, selfslot);
  struct UserObject *uo4327 = (struct UserObject*)block4326;
  uo4327->data[0] = (Object)closure4327;
  Method *meth_meth_ast__apply4327 = addmethod2pos(block4326, "_apply", &meth_ast__apply4327, 0);
int argcv_meth_ast__apply4327[] = {1};
meth_meth_ast__apply4327->type = alloc_MethodType(1, argcv_meth_ast__apply4327);
  meth_meth_ast__apply4327->definitionModule = modulename;
  meth_meth_ast__apply4327->definitionLine = 1001;
// compilenode returning block4326
  gc_frame_newslot(block4326);
  params[0] = call4325;
  params[1] = block4326;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4349 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4323);
// compilenode returning call4349
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4350 = gc_frame_new();
  int callframe4351 = gc_frame_new();
  partcv[0] = 0;
  Object call4352 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4351);
// compilenode returning call4352
// compilenode returning call4352
  gc_frame_newslot(call4352);
  Object block4353 = alloc_Block(NULL, NULL, "ast", 1009);
  gc_frame_newslot(block4353);
  block_savedest(block4353);
  Object closure4354 = createclosure(2, "_apply");
  setclosureframe(closure4354, stackframe);
  addtoclosure(closure4354, var_visitor);
  addtoclosure(closure4354, selfslot);
  struct UserObject *uo4354 = (struct UserObject*)block4353;
  uo4354->data[0] = (Object)closure4354;
  Method *meth_meth_ast__apply4354 = addmethod2pos(block4353, "_apply", &meth_ast__apply4354, 0);
int argcv_meth_ast__apply4354[] = {1};
meth_meth_ast__apply4354->type = alloc_MethodType(1, argcv_meth_ast__apply4354);
  meth_meth_ast__apply4354->definitionModule = modulename;
  meth_meth_ast__apply4354->definitionLine = 1009;
// compilenode returning block4353
  gc_frame_newslot(block4353);
  params[0] = call4352;
  params[1] = block4353;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4358 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4350);
// compilenode returning call4358
    gc_frame_newslot(call4358);
    if4301 = call4358;
  } else {
  }
// compilenode returning if4301
  gc_frame_end(frame);
  return if4301;
}
Object meth_ast__apply4406(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_blk = getfromclosure(closure, 0);
  Object *var_blkBefore = getfromclosure(closure, 1);
  Object *var_blkAfter = getfromclosure(closure, 2);
  Object *var_n = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4407 = gc_frame_new();
  int callframe4408 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// compilenode returning *var_a
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4409 = callmethod(*var_a, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe4408);
// compilenode returning call4409
  gc_frame_newslot(call4409);
  int callframe4410 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call4411 = callmethod(*var_n, "annotations",
    1, partcv, params);
  gc_frame_end(callframe4410);
// compilenode returning call4411
// compilenode returning call4411
  params[0] = call4409;
  partcv[0] = 1;
  Object call4412 = callmethod(call4411, "push",
    1, partcv, params);
  gc_frame_end(callframe4407);
// compilenode returning call4412
  gc_frame_end(frame);
  return call4412;
}
Object meth_ast_map_40__41_before_40__41_after4359(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[6];
  int partcv[3];
  Object *var_classNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4360 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call4361 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe4360);
// compilenode returning call4361
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4362 = gc_frame_new();
  int callframe4363 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe4364 = gc_frame_new();
  partcv[0] = 0;
  Object call4365 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4364);
// compilenode returning call4365
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4366 = callmethod(call4365, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe4363);
// compilenode returning call4366
  gc_frame_newslot(call4366);
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4367 = gc_frame_new();
  int callframe4368 = gc_frame_new();
  partcv[0] = 0;
  Object call4369 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4368);
// compilenode returning call4369
  gc_frame_newslot(call4369);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe4370 = gc_frame_new();
  int callframe4371 = gc_frame_new();
  Object call4372 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4371);
// compilenode returning call4372
// compilenode returning call4372
  partcv[0] = 0;
  Object call4373 = callmethodflags(call4372, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4370);
// compilenode returning call4373
// compilenode returning call4373
  params[0] = call4369;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4374 = callmethodflags(call4373, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4367);
// compilenode returning call4374
  gc_frame_newslot(call4374);
  int callframe4375 = gc_frame_new();
  int callframe4376 = gc_frame_new();
  partcv[0] = 0;
  Object call4377 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4376);
// compilenode returning call4377
  gc_frame_newslot(call4377);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe4378 = gc_frame_new();
  int callframe4379 = gc_frame_new();
  Object call4380 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4379);
// compilenode returning call4380
// compilenode returning call4380
  partcv[0] = 0;
  Object call4381 = callmethodflags(call4380, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4378);
// compilenode returning call4381
// compilenode returning call4381
  params[0] = call4377;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4382 = callmethodflags(call4381, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4375);
// compilenode returning call4382
  gc_frame_newslot(call4382);
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4383 = gc_frame_new();
  int callframe4384 = gc_frame_new();
  partcv[0] = 0;
  Object call4385 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4384);
// compilenode returning call4385
  gc_frame_newslot(call4385);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe4386 = gc_frame_new();
  int callframe4387 = gc_frame_new();
  Object call4388 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4387);
// compilenode returning call4388
// compilenode returning call4388
  partcv[0] = 0;
  Object call4389 = callmethodflags(call4388, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4386);
// compilenode returning call4389
// compilenode returning call4389
  params[0] = call4385;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 4;
  Object call4390 = callmethodflags(call4389, "maybeMap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4383);
// compilenode returning call4390
  gc_frame_newslot(call4390);
  int callframe4391 = gc_frame_new();
  partcv[0] = 0;
  Object call4392 = callmethodflags(self, "constructor", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4391);
// compilenode returning call4392
  gc_frame_newslot(call4392);
  int callframe4393 = gc_frame_new();
  partcv[0] = 0;
  Object call4394 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4393);
// compilenode returning call4394
  gc_frame_newslot(call4394);
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_classNode
  params[0] = call4366;
  params[1] = call4374;
  params[2] = call4382;
  params[3] = call4390;
  params[4] = call4392;
  params[5] = call4394;
  partcv[0] = 6;
  Object call4395 = callmethod(*var_classNode, "new",
    1, partcv, params);
  gc_frame_end(callframe4362);
// compilenode returning call4395
  *var_n = call4395;
  if (call4395 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4396 = gc_frame_new();
  int callframe4397 = gc_frame_new();
  int callframe4398 = gc_frame_new();
  partcv[0] = 0;
  Object call4399 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4398);
// compilenode returning call4399
  gc_frame_newslot(call4399);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe4400 = gc_frame_new();
  int callframe4401 = gc_frame_new();
  Object call4402 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4401);
// compilenode returning call4402
// compilenode returning call4402
  partcv[0] = 0;
  Object call4403 = callmethodflags(call4402, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4400);
// compilenode returning call4403
// compilenode returning call4403
  params[0] = call4399;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4404 = callmethodflags(call4403, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4397);
// compilenode returning call4404
  gc_frame_newslot(call4404);
  Object block4405 = alloc_Block(NULL, NULL, "ast", 1019);
  gc_frame_newslot(block4405);
  block_savedest(block4405);
  Object closure4406 = createclosure(5, "_apply");
  setclosureframe(closure4406, stackframe);
  addtoclosure(closure4406, var_blk);
  addtoclosure(closure4406, var_blkBefore);
  addtoclosure(closure4406, var_blkAfter);
  addtoclosure(closure4406, var_n);
  addtoclosure(closure4406, selfslot);
  struct UserObject *uo4406 = (struct UserObject*)block4405;
  uo4406->data[0] = (Object)closure4406;
  Method *meth_meth_ast__apply4406 = addmethod2pos(block4405, "_apply", &meth_ast__apply4406, 0);
int argcv_meth_ast__apply4406[] = {1};
meth_meth_ast__apply4406->type = alloc_MethodType(1, argcv_meth_ast__apply4406);
  meth_meth_ast__apply4406->definitionModule = modulename;
  meth_meth_ast__apply4406->definitionLine = 1019;
// compilenode returning block4405
  gc_frame_newslot(block4405);
  params[0] = call4404;
  params[1] = block4405;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4414 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4396);
// compilenode returning call4414
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4415 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4416 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe4415);
// compilenode returning call4416
  *var_n = call4416;
  if (call4416 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4418 = gc_frame_new();
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4419 = gc_frame_new();
  partcv[0] = 0;
  Object call4420 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4419);
// compilenode returning call4420
  gc_frame_newslot(call4420);
// compilenode returning *var_n
  params[0] = call4420;
  partcv[0] = 1;
  Object call4421 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe4418);
// compilenode returning call4421
// compilenode returning done
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4422 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4423 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe4422);
// compilenode returning call4423
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply4427(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4430(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map4424(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4425 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block4426 = alloc_Block(NULL, NULL, "ast", 1028);
  gc_frame_newslot(block4426);
  block_savedest(block4426);
  Object closure4427 = createclosure(1, "_apply");
  setclosureframe(closure4427, stackframe);
  addtoclosure(closure4427, selfslot);
  struct UserObject *uo4427 = (struct UserObject*)block4426;
  uo4427->data[0] = (Object)closure4427;
  Method *meth_meth_ast__apply4427 = addmethod2pos(block4426, "_apply", &meth_ast__apply4427, 0);
int argcv_meth_ast__apply4427[] = {0};
meth_meth_ast__apply4427->type = alloc_MethodType(1, argcv_meth_ast__apply4427);
  meth_meth_ast__apply4427->definitionModule = modulename;
  meth_meth_ast__apply4427->definitionLine = 1020;
// compilenode returning block4426
  gc_frame_newslot(block4426);
  Object block4429 = alloc_Block(NULL, NULL, "ast", 1028);
  gc_frame_newslot(block4429);
  block_savedest(block4429);
  Object closure4430 = createclosure(1, "_apply");
  setclosureframe(closure4430, stackframe);
  addtoclosure(closure4430, selfslot);
  struct UserObject *uo4430 = (struct UserObject*)block4429;
  uo4430->data[0] = (Object)closure4430;
  Method *meth_meth_ast__apply4430 = addmethod2pos(block4429, "_apply", &meth_ast__apply4430, 0);
int argcv_meth_ast__apply4430[] = {0};
meth_meth_ast__apply4430->type = alloc_MethodType(1, argcv_meth_ast__apply4430);
  meth_meth_ast__apply4430->definitionModule = modulename;
  meth_meth_ast__apply4430->definitionLine = 1020;
// compilenode returning block4429
  gc_frame_newslot(block4429);
  params[0] = *var_blk;
  params[1] = block4426;
  params[2] = block4429;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4432 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4425);
// compilenode returning call4432
  gc_frame_end(frame);
  return call4432;
}
Object meth_ast__apply4441(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4443 == NULL) {
    strlit4443 = alloc_String("  ");
    gc_root(strlit4443);
  }
// compilenode returning strlit4443
  int op_slot_right_4442 = gc_frame_newslot(strlit4443);
// compilenode returning *var_spc
  int op_slot_left_4442 = gc_frame_newslot(*var_spc);
  params[0] = strlit4443;
  partcv[0] = 1;
  Object opresult4445 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult4445
  *var_spc = opresult4445;
  if (opresult4445 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4643(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4645 == NULL) {
    strlit4645 = alloc_String("");
    gc_root(strlit4645);
  }
// compilenode returning strlit4645
  int op_slot_right_4644 = gc_frame_newslot(strlit4645);
  int callframe4648 = gc_frame_new();
  Object num4650 = alloc_Float64(4);
// compilenode returning num4650
  int op_slot_right_4649 = gc_frame_newslot(num4650);
// compilenode returning *var_depth
  int op_slot_left_4649 = gc_frame_newslot(*var_depth);
  params[0] = num4650;
  partcv[0] = 1;
  Object sum4652 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4652
  gc_frame_newslot(sum4652);
// compilenode returning *var_p
  params[0] = sum4652;
  partcv[0] = 1;
  Object call4653 = callmethod(*var_p, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4648);
// compilenode returning call4653
  int op_slot_right_4647 = gc_frame_newslot(call4653);
  if (strlit4656 == NULL) {
    strlit4656 = alloc_String("");
    gc_root(strlit4656);
  }
// compilenode returning strlit4656
  int op_slot_right_4655 = gc_frame_newslot(strlit4656);
// compilenode returning *var_spc
  int op_slot_right_4658 = gc_frame_newslot(*var_spc);
  if (strlit4661 == NULL) {
    strlit4661 = alloc_String("""\x0a""      ");
    gc_root(strlit4661);
  }
// compilenode returning strlit4661
  int op_slot_right_4660 = gc_frame_newslot(strlit4661);
// compilenode returning *var_s
  int op_slot_right_4663 = gc_frame_newslot(*var_s);
  if (strlit4665 == NULL) {
    strlit4665 = alloc_String("");
    gc_root(strlit4665);
  }
// compilenode returning strlit4665
  int op_slot_left_4663 = gc_frame_newslot(strlit4665);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4666 = callmethod(strlit4665, "++", 1, partcv, params);
// compilenode returning opresult4666
  int op_slot_left_4660 = gc_frame_newslot(opresult4666);
  params[0] = strlit4661;
  partcv[0] = 1;
  Object opresult4667 = callmethod(opresult4666, "++", 1, partcv, params);
// compilenode returning opresult4667
  int op_slot_left_4658 = gc_frame_newslot(opresult4667);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4668 = callmethod(opresult4667, "++", 1, partcv, params);
// compilenode returning opresult4668
  int op_slot_left_4655 = gc_frame_newslot(opresult4668);
  params[0] = strlit4656;
  partcv[0] = 1;
  Object opresult4669 = callmethod(opresult4668, "++", 1, partcv, params);
// compilenode returning opresult4669
  int op_slot_left_4647 = gc_frame_newslot(opresult4669);
  params[0] = call4653;
  partcv[0] = 1;
  Object opresult4670 = callmethod(opresult4669, "++", 1, partcv, params);
// compilenode returning opresult4670
  int op_slot_left_4644 = gc_frame_newslot(opresult4670);
  params[0] = strlit4645;
  partcv[0] = 1;
  Object opresult4671 = callmethod(opresult4670, "++", 1, partcv, params);
// compilenode returning opresult4671
  *var_s = opresult4671;
  if (opresult4671 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4597(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4599 == NULL) {
    strlit4599 = alloc_String("");
    gc_root(strlit4599);
  }
// compilenode returning strlit4599
  int op_slot_right_4598 = gc_frame_newslot(strlit4599);
  int callframe4602 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4603 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe4602);
// compilenode returning call4603
// compilenode returning call4603
  int op_slot_right_4601 = gc_frame_newslot(call4603);
  if (strlit4606 == NULL) {
    strlit4606 = alloc_String("Part: ");
    gc_root(strlit4606);
  }
// compilenode returning strlit4606
  int op_slot_right_4605 = gc_frame_newslot(strlit4606);
// compilenode returning *var_spc
  int op_slot_right_4608 = gc_frame_newslot(*var_spc);
  if (strlit4611 == NULL) {
    strlit4611 = alloc_String("""\x0a""  ");
    gc_root(strlit4611);
  }
// compilenode returning strlit4611
  int op_slot_right_4610 = gc_frame_newslot(strlit4611);
// compilenode returning *var_s
  int op_slot_right_4613 = gc_frame_newslot(*var_s);
  if (strlit4615 == NULL) {
    strlit4615 = alloc_String("");
    gc_root(strlit4615);
  }
// compilenode returning strlit4615
  int op_slot_left_4613 = gc_frame_newslot(strlit4615);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4616 = callmethod(strlit4615, "++", 1, partcv, params);
// compilenode returning opresult4616
  int op_slot_left_4610 = gc_frame_newslot(opresult4616);
  params[0] = strlit4611;
  partcv[0] = 1;
  Object opresult4617 = callmethod(opresult4616, "++", 1, partcv, params);
// compilenode returning opresult4617
  int op_slot_left_4608 = gc_frame_newslot(opresult4617);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4618 = callmethod(opresult4617, "++", 1, partcv, params);
// compilenode returning opresult4618
  int op_slot_left_4605 = gc_frame_newslot(opresult4618);
  params[0] = strlit4606;
  partcv[0] = 1;
  Object opresult4619 = callmethod(opresult4618, "++", 1, partcv, params);
// compilenode returning opresult4619
  int op_slot_left_4601 = gc_frame_newslot(opresult4619);
  params[0] = call4603;
  partcv[0] = 1;
  Object opresult4620 = callmethod(opresult4619, "++", 1, partcv, params);
// compilenode returning opresult4620
  int op_slot_left_4598 = gc_frame_newslot(opresult4620);
  params[0] = strlit4599;
  partcv[0] = 1;
  Object opresult4621 = callmethod(opresult4620, "++", 1, partcv, params);
// compilenode returning opresult4621
  *var_s = opresult4621;
  if (opresult4621 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4624 == NULL) {
    strlit4624 = alloc_String("Parameters:");
    gc_root(strlit4624);
  }
// compilenode returning strlit4624
  int op_slot_right_4623 = gc_frame_newslot(strlit4624);
// compilenode returning *var_spc
  int op_slot_right_4626 = gc_frame_newslot(*var_spc);
  if (strlit4629 == NULL) {
    strlit4629 = alloc_String("""\x0a""    ");
    gc_root(strlit4629);
  }
// compilenode returning strlit4629
  int op_slot_right_4628 = gc_frame_newslot(strlit4629);
// compilenode returning *var_s
  int op_slot_right_4631 = gc_frame_newslot(*var_s);
  if (strlit4633 == NULL) {
    strlit4633 = alloc_String("");
    gc_root(strlit4633);
  }
// compilenode returning strlit4633
  int op_slot_left_4631 = gc_frame_newslot(strlit4633);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4634 = callmethod(strlit4633, "++", 1, partcv, params);
// compilenode returning opresult4634
  int op_slot_left_4628 = gc_frame_newslot(opresult4634);
  params[0] = strlit4629;
  partcv[0] = 1;
  Object opresult4635 = callmethod(opresult4634, "++", 1, partcv, params);
// compilenode returning opresult4635
  int op_slot_left_4626 = gc_frame_newslot(opresult4635);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4636 = callmethod(opresult4635, "++", 1, partcv, params);
// compilenode returning opresult4636
  int op_slot_left_4623 = gc_frame_newslot(opresult4636);
  params[0] = strlit4624;
  partcv[0] = 1;
  Object opresult4637 = callmethod(opresult4636, "++", 1, partcv, params);
// compilenode returning opresult4637
  *var_s = opresult4637;
  if (opresult4637 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4639 = gc_frame_new();
  int callframe4640 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4641 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4640);
// compilenode returning call4641
// compilenode returning call4641
  gc_frame_newslot(call4641);
  Object block4642 = alloc_Block(NULL, NULL, "ast", 1049);
  gc_frame_newslot(block4642);
  block_savedest(block4642);
  Object closure4643 = createclosure(4, "_apply");
  setclosureframe(closure4643, stackframe);
  addtoclosure(closure4643, var_depth);
  addtoclosure(closure4643, var_spc);
  addtoclosure(closure4643, var_s);
  addtoclosure(closure4643, selfslot);
  struct UserObject *uo4643 = (struct UserObject*)block4642;
  uo4643->data[0] = (Object)closure4643;
  Method *meth_meth_ast__apply4643 = addmethod2pos(block4642, "_apply", &meth_ast__apply4643, 0);
int argcv_meth_ast__apply4643[] = {1};
meth_meth_ast__apply4643->type = alloc_MethodType(1, argcv_meth_ast__apply4643);
  meth_meth_ast__apply4643->definitionModule = modulename;
  meth_meth_ast__apply4643->definitionLine = 1049;
// compilenode returning block4642
  gc_frame_newslot(block4642);
  params[0] = call4641;
  params[1] = block4642;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4674 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4639);
// compilenode returning call4674
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4677 = alloc_Boolean(0);
// compilenode returning bool4677
  int op_slot_right_4676 = gc_frame_newslot(bool4677);
  int callframe4679 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4680 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4679);
// compilenode returning call4680
// compilenode returning call4680
  int op_slot_left_4676 = gc_frame_newslot(call4680);
  params[0] = bool4677;
  partcv[0] = 1;
  Object opresult4681 = callmethod(call4680, "!=", 1, partcv, params);
// compilenode returning opresult4681
  Object if4675 = done;
  if (istrue(opresult4681)) {
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4683 == NULL) {
    strlit4683 = alloc_String("");
    gc_root(strlit4683);
  }
// compilenode returning strlit4683
  int op_slot_right_4682 = gc_frame_newslot(strlit4683);
  int callframe4686 = gc_frame_new();
  Object num4688 = alloc_Float64(3);
// compilenode returning num4688
  int op_slot_right_4687 = gc_frame_newslot(num4688);
// compilenode returning *var_depth
  int op_slot_left_4687 = gc_frame_newslot(*var_depth);
  params[0] = num4688;
  partcv[0] = 1;
  Object sum4690 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4690
  gc_frame_newslot(sum4690);
  int callframe4691 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4692 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4691);
// compilenode returning call4692
// compilenode returning call4692
  params[0] = sum4690;
  partcv[0] = 1;
  Object call4693 = callmethod(call4692, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4686);
// compilenode returning call4693
  int op_slot_right_4685 = gc_frame_newslot(call4693);
  if (strlit4696 == NULL) {
    strlit4696 = alloc_String("Vararg: ");
    gc_root(strlit4696);
  }
// compilenode returning strlit4696
  int op_slot_right_4695 = gc_frame_newslot(strlit4696);
// compilenode returning *var_spc
  int op_slot_right_4698 = gc_frame_newslot(*var_spc);
  if (strlit4701 == NULL) {
    strlit4701 = alloc_String("""\x0a""    ");
    gc_root(strlit4701);
  }
// compilenode returning strlit4701
  int op_slot_right_4700 = gc_frame_newslot(strlit4701);
// compilenode returning *var_s
  int op_slot_right_4703 = gc_frame_newslot(*var_s);
  if (strlit4705 == NULL) {
    strlit4705 = alloc_String("");
    gc_root(strlit4705);
  }
// compilenode returning strlit4705
  int op_slot_left_4703 = gc_frame_newslot(strlit4705);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4706 = callmethod(strlit4705, "++", 1, partcv, params);
// compilenode returning opresult4706
  int op_slot_left_4700 = gc_frame_newslot(opresult4706);
  params[0] = strlit4701;
  partcv[0] = 1;
  Object opresult4707 = callmethod(opresult4706, "++", 1, partcv, params);
// compilenode returning opresult4707
  int op_slot_left_4698 = gc_frame_newslot(opresult4707);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4708 = callmethod(opresult4707, "++", 1, partcv, params);
// compilenode returning opresult4708
  int op_slot_left_4695 = gc_frame_newslot(opresult4708);
  params[0] = strlit4696;
  partcv[0] = 1;
  Object opresult4709 = callmethod(opresult4708, "++", 1, partcv, params);
// compilenode returning opresult4709
  int op_slot_left_4685 = gc_frame_newslot(opresult4709);
  params[0] = call4693;
  partcv[0] = 1;
  Object opresult4710 = callmethod(opresult4709, "++", 1, partcv, params);
// compilenode returning opresult4710
  int op_slot_left_4682 = gc_frame_newslot(opresult4710);
  params[0] = strlit4683;
  partcv[0] = 1;
  Object opresult4711 = callmethod(opresult4710, "++", 1, partcv, params);
// compilenode returning opresult4711
  *var_s = opresult4711;
  if (opresult4711 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4675 = done;
  } else {
  }
// compilenode returning if4675
  gc_frame_end(frame);
  return if4675;
}
Object meth_ast__apply4738(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4741 == NULL) {
    strlit4741 = alloc_String("");
    gc_root(strlit4741);
  }
// compilenode returning strlit4741
  int op_slot_right_4740 = gc_frame_newslot(strlit4741);
  int callframe4744 = gc_frame_new();
  Object num4745 = alloc_Float64(0);
// compilenode returning num4745
  gc_frame_newslot(num4745);
// compilenode returning *var_g
  params[0] = num4745;
  partcv[0] = 1;
  Object call4746 = callmethod(*var_g, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4744);
// compilenode returning call4746
  int op_slot_right_4743 = gc_frame_newslot(call4746);
  if (strlit4749 == NULL) {
    strlit4749 = alloc_String("");
    gc_root(strlit4749);
  }
// compilenode returning strlit4749
  int op_slot_right_4748 = gc_frame_newslot(strlit4749);
// compilenode returning *var_spc
  int op_slot_right_4751 = gc_frame_newslot(*var_spc);
  if (strlit4753 == NULL) {
    strlit4753 = alloc_String("""\x0a""  ");
    gc_root(strlit4753);
  }
// compilenode returning strlit4753
  int op_slot_left_4751 = gc_frame_newslot(strlit4753);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4754 = callmethod(strlit4753, "++", 1, partcv, params);
// compilenode returning opresult4754
  int op_slot_left_4748 = gc_frame_newslot(opresult4754);
  params[0] = strlit4749;
  partcv[0] = 1;
  Object opresult4755 = callmethod(opresult4754, "++", 1, partcv, params);
// compilenode returning opresult4755
  int op_slot_left_4743 = gc_frame_newslot(opresult4755);
  params[0] = call4746;
  partcv[0] = 1;
  Object opresult4756 = callmethod(opresult4755, "++", 1, partcv, params);
// compilenode returning opresult4756
  int op_slot_left_4740 = gc_frame_newslot(opresult4756);
  params[0] = strlit4741;
  partcv[0] = 1;
  Object opresult4757 = callmethod(opresult4756, "++", 1, partcv, params);
// compilenode returning opresult4757
  int op_slot_right_4739 = gc_frame_newslot(opresult4757);
// compilenode returning *var_s
  int op_slot_left_4739 = gc_frame_newslot(*var_s);
  params[0] = opresult4757;
  partcv[0] = 1;
  Object opresult4759 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4759
  *var_s = opresult4759;
  if (opresult4759 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4788(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4791 == NULL) {
    strlit4791 = alloc_String("");
    gc_root(strlit4791);
  }
// compilenode returning strlit4791
  int op_slot_right_4790 = gc_frame_newslot(strlit4791);
  int callframe4794 = gc_frame_new();
  Object num4796 = alloc_Float64(2);
// compilenode returning num4796
  int op_slot_right_4795 = gc_frame_newslot(num4796);
// compilenode returning *var_depth
  int op_slot_left_4795 = gc_frame_newslot(*var_depth);
  params[0] = num4796;
  partcv[0] = 1;
  Object sum4798 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4798
  gc_frame_newslot(sum4798);
// compilenode returning *var_a
  params[0] = sum4798;
  partcv[0] = 1;
  Object call4799 = callmethod(*var_a, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4794);
// compilenode returning call4799
  int op_slot_right_4793 = gc_frame_newslot(call4799);
  if (strlit4802 == NULL) {
    strlit4802 = alloc_String("");
    gc_root(strlit4802);
  }
// compilenode returning strlit4802
  int op_slot_right_4801 = gc_frame_newslot(strlit4802);
// compilenode returning *var_spc
  int op_slot_right_4804 = gc_frame_newslot(*var_spc);
  if (strlit4806 == NULL) {
    strlit4806 = alloc_String("""\x0a""  ");
    gc_root(strlit4806);
  }
// compilenode returning strlit4806
  int op_slot_left_4804 = gc_frame_newslot(strlit4806);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4807 = callmethod(strlit4806, "++", 1, partcv, params);
// compilenode returning opresult4807
  int op_slot_left_4801 = gc_frame_newslot(opresult4807);
  params[0] = strlit4802;
  partcv[0] = 1;
  Object opresult4808 = callmethod(opresult4807, "++", 1, partcv, params);
// compilenode returning opresult4808
  int op_slot_left_4793 = gc_frame_newslot(opresult4808);
  params[0] = call4799;
  partcv[0] = 1;
  Object opresult4809 = callmethod(opresult4808, "++", 1, partcv, params);
// compilenode returning opresult4809
  int op_slot_left_4790 = gc_frame_newslot(opresult4809);
  params[0] = strlit4791;
  partcv[0] = 1;
  Object opresult4810 = callmethod(opresult4809, "++", 1, partcv, params);
// compilenode returning opresult4810
  int op_slot_right_4789 = gc_frame_newslot(opresult4810);
// compilenode returning *var_s
  int op_slot_left_4789 = gc_frame_newslot(*var_s);
  params[0] = opresult4810;
  partcv[0] = 1;
  Object opresult4812 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4812
  *var_s = opresult4812;
  if (opresult4812 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4832(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4834 = gc_frame_new();
  Object num4836 = alloc_Float64(2);
// compilenode returning num4836
  int op_slot_right_4835 = gc_frame_newslot(num4836);
// compilenode returning *var_depth
  int op_slot_left_4835 = gc_frame_newslot(*var_depth);
  params[0] = num4836;
  partcv[0] = 1;
  Object sum4838 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4838
  gc_frame_newslot(sum4838);
// compilenode returning *var_x
  params[0] = sum4838;
  partcv[0] = 1;
  Object call4839 = callmethod(*var_x, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4834);
// compilenode returning call4839
  int op_slot_right_4833 = gc_frame_newslot(call4839);
// compilenode returning *var_spc
  int op_slot_right_4841 = gc_frame_newslot(*var_spc);
  if (strlit4844 == NULL) {
    strlit4844 = alloc_String("""\x0a""  ");
    gc_root(strlit4844);
  }
// compilenode returning strlit4844
  int op_slot_right_4843 = gc_frame_newslot(strlit4844);
// compilenode returning *var_s
  int op_slot_left_4843 = gc_frame_newslot(*var_s);
  params[0] = strlit4844;
  partcv[0] = 1;
  Object opresult4846 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4846
  int op_slot_left_4841 = gc_frame_newslot(opresult4846);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4847 = callmethod(opresult4846, "++", 1, partcv, params);
// compilenode returning opresult4847
  int op_slot_left_4833 = gc_frame_newslot(opresult4847);
  params[0] = call4839;
  partcv[0] = 1;
  Object opresult4848 = callmethod(opresult4847, "++", 1, partcv, params);
// compilenode returning opresult4848
  *var_s = opresult4848;
  if (opresult4848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty4433(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4434 == NULL) {
    strlit4434 = alloc_String("");
    gc_root(strlit4434);
  }
// compilenode returning strlit4434
  *var_spc = strlit4434;
  if (strlit4434 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4435 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_4436 = gc_frame_newslot(*var_depth);
  Object num4438 = alloc_Float64(0);
// compilenode returning num4438
  int op_slot_left_4436 = gc_frame_newslot(num4438);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult4439 = callmethod(num4438, "..", 1, partcv, params);
// compilenode returning opresult4439
  gc_frame_newslot(opresult4439);
  Object block4440 = alloc_Block(NULL, NULL, "ast", 1032);
  gc_frame_newslot(block4440);
  block_savedest(block4440);
  Object closure4441 = createclosure(2, "_apply");
  setclosureframe(closure4441, stackframe);
  addtoclosure(closure4441, var_spc);
  addtoclosure(closure4441, selfslot);
  struct UserObject *uo4441 = (struct UserObject*)block4440;
  uo4441->data[0] = (Object)closure4441;
  Method *meth_meth_ast__apply4441 = addmethod2pos(block4440, "_apply", &meth_ast__apply4441, 0);
int argcv_meth_ast__apply4441[] = {1};
meth_meth_ast__apply4441->type = alloc_MethodType(1, argcv_meth_ast__apply4441);
  meth_meth_ast__apply4441->definitionModule = modulename;
  meth_meth_ast__apply4441->definitionLine = 1020;
// compilenode returning block4440
  gc_frame_newslot(block4440);
  params[0] = opresult4439;
  params[1] = block4440;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4448 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4435);
// compilenode returning call4448
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4450 == NULL) {
    strlit4450 = alloc_String(")");
    gc_root(strlit4450);
  }
// compilenode returning strlit4450
  int op_slot_right_4449 = gc_frame_newslot(strlit4450);
  int callframe4453 = gc_frame_new();
  Object num4454 = alloc_Float64(0);
// compilenode returning num4454
  gc_frame_newslot(num4454);
  int callframe4455 = gc_frame_new();
  partcv[0] = 0;
  Object call4456 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4455);
// compilenode returning call4456
// compilenode returning call4456
  params[0] = num4454;
  partcv[0] = 1;
  Object call4457 = callmethod(call4456, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4453);
// compilenode returning call4457
  int op_slot_right_4452 = gc_frame_newslot(call4457);
  if (strlit4459 == NULL) {
    strlit4459 = alloc_String("Class(");
    gc_root(strlit4459);
  }
// compilenode returning strlit4459
  int op_slot_left_4452 = gc_frame_newslot(strlit4459);
  params[0] = call4457;
  partcv[0] = 1;
  Object opresult4460 = callmethod(strlit4459, "++", 1, partcv, params);
// compilenode returning opresult4460
  int op_slot_left_4449 = gc_frame_newslot(opresult4460);
  params[0] = strlit4450;
  partcv[0] = 1;
  Object opresult4461 = callmethod(opresult4460, "++", 1, partcv, params);
// compilenode returning opresult4461
  *var_s = opresult4461;
  if (opresult4461 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4464 = alloc_Boolean(0);
// compilenode returning bool4464
  int op_slot_right_4463 = gc_frame_newslot(bool4464);
  int callframe4466 = gc_frame_new();
  partcv[0] = 0;
  Object call4467 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4466);
// compilenode returning call4467
// compilenode returning call4467
  int op_slot_left_4463 = gc_frame_newslot(call4467);
  params[0] = bool4464;
  partcv[0] = 1;
  Object opresult4468 = callmethod(call4467, "!=", 1, partcv, params);
// compilenode returning opresult4468
  Object if4462 = done;
  if (istrue(opresult4468)) {
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4470 == NULL) {
    strlit4470 = alloc_String("Superclass:");
    gc_root(strlit4470);
  }
// compilenode returning strlit4470
  int op_slot_right_4469 = gc_frame_newslot(strlit4470);
// compilenode returning *var_spc
  int op_slot_right_4472 = gc_frame_newslot(*var_spc);
  if (strlit4475 == NULL) {
    strlit4475 = alloc_String("""\x0a""");
    gc_root(strlit4475);
  }
// compilenode returning strlit4475
  int op_slot_right_4474 = gc_frame_newslot(strlit4475);
// compilenode returning *var_s
  int op_slot_left_4474 = gc_frame_newslot(*var_s);
  params[0] = strlit4475;
  partcv[0] = 1;
  Object opresult4477 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4477
  int op_slot_left_4472 = gc_frame_newslot(opresult4477);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4478 = callmethod(opresult4477, "++", 1, partcv, params);
// compilenode returning opresult4478
  int op_slot_left_4469 = gc_frame_newslot(opresult4478);
  params[0] = strlit4470;
  partcv[0] = 1;
  Object opresult4479 = callmethod(opresult4478, "++", 1, partcv, params);
// compilenode returning opresult4479
  *var_s = opresult4479;
  if (opresult4479 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4482 = gc_frame_new();
  Object num4484 = alloc_Float64(2);
// compilenode returning num4484
  int op_slot_right_4483 = gc_frame_newslot(num4484);
// compilenode returning *var_depth
  int op_slot_left_4483 = gc_frame_newslot(*var_depth);
  params[0] = num4484;
  partcv[0] = 1;
  Object sum4486 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4486
  gc_frame_newslot(sum4486);
  int callframe4487 = gc_frame_new();
  partcv[0] = 0;
  Object call4488 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4487);
// compilenode returning call4488
// compilenode returning call4488
  params[0] = sum4486;
  partcv[0] = 1;
  Object call4489 = callmethod(call4488, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4482);
// compilenode returning call4489
  int op_slot_right_4481 = gc_frame_newslot(call4489);
// compilenode returning *var_spc
  int op_slot_right_4491 = gc_frame_newslot(*var_spc);
  if (strlit4494 == NULL) {
    strlit4494 = alloc_String("""\x0a""  ");
    gc_root(strlit4494);
  }
// compilenode returning strlit4494
  int op_slot_right_4493 = gc_frame_newslot(strlit4494);
// compilenode returning *var_s
  int op_slot_left_4493 = gc_frame_newslot(*var_s);
  params[0] = strlit4494;
  partcv[0] = 1;
  Object opresult4496 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4496
  int op_slot_left_4491 = gc_frame_newslot(opresult4496);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4497 = callmethod(opresult4496, "++", 1, partcv, params);
// compilenode returning opresult4497
  int op_slot_left_4481 = gc_frame_newslot(opresult4497);
  params[0] = call4489;
  partcv[0] = 1;
  Object opresult4498 = callmethod(opresult4497, "++", 1, partcv, params);
// compilenode returning opresult4498
  *var_s = opresult4498;
  if (opresult4498 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4462 = done;
  } else {
  }
// compilenode returning if4462
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4501 == NULL) {
    strlit4501 = alloc_String("""\x0a""");
    gc_root(strlit4501);
  }
// compilenode returning strlit4501
  int op_slot_right_4500 = gc_frame_newslot(strlit4501);
// compilenode returning *var_s
  int op_slot_left_4500 = gc_frame_newslot(*var_s);
  params[0] = strlit4501;
  partcv[0] = 1;
  Object opresult4503 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4503
  *var_s = opresult4503;
  if (opresult4503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4506 == NULL) {
    strlit4506 = alloc_String("""\x0a""");
    gc_root(strlit4506);
  }
// compilenode returning strlit4506
  int op_slot_right_4505 = gc_frame_newslot(strlit4506);
  int callframe4509 = gc_frame_new();
  int callframe4510 = gc_frame_new();
  partcv[0] = 0;
  Object call4511 = callmethodflags(self, "constructor", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4510);
// compilenode returning call4511
  partcv[0] = 0;
  Object call4512 = callmethod(call4511, "value",
    1, partcv, params);
  gc_frame_end(callframe4509);
// compilenode returning call4512
// compilenode returning call4512
  int op_slot_right_4508 = gc_frame_newslot(call4512);
  if (strlit4515 == NULL) {
    strlit4515 = alloc_String("Constructor: ");
    gc_root(strlit4515);
  }
// compilenode returning strlit4515
  int op_slot_right_4514 = gc_frame_newslot(strlit4515);
// compilenode returning *var_spc
  int op_slot_right_4517 = gc_frame_newslot(*var_spc);
  if (strlit4520 == NULL) {
    strlit4520 = alloc_String("");
    gc_root(strlit4520);
  }
// compilenode returning strlit4520
  int op_slot_right_4519 = gc_frame_newslot(strlit4520);
// compilenode returning *var_s
  int op_slot_right_4522 = gc_frame_newslot(*var_s);
  if (strlit4524 == NULL) {
    strlit4524 = alloc_String("");
    gc_root(strlit4524);
  }
// compilenode returning strlit4524
  int op_slot_left_4522 = gc_frame_newslot(strlit4524);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4525 = callmethod(strlit4524, "++", 1, partcv, params);
// compilenode returning opresult4525
  int op_slot_left_4519 = gc_frame_newslot(opresult4525);
  params[0] = strlit4520;
  partcv[0] = 1;
  Object opresult4526 = callmethod(opresult4525, "++", 1, partcv, params);
// compilenode returning opresult4526
  int op_slot_left_4517 = gc_frame_newslot(opresult4526);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4527 = callmethod(opresult4526, "++", 1, partcv, params);
// compilenode returning opresult4527
  int op_slot_left_4514 = gc_frame_newslot(opresult4527);
  params[0] = strlit4515;
  partcv[0] = 1;
  Object opresult4528 = callmethod(opresult4527, "++", 1, partcv, params);
// compilenode returning opresult4528
  int op_slot_left_4508 = gc_frame_newslot(opresult4528);
  params[0] = call4512;
  partcv[0] = 1;
  Object opresult4529 = callmethod(opresult4528, "++", 1, partcv, params);
// compilenode returning opresult4529
  int op_slot_left_4505 = gc_frame_newslot(opresult4529);
  params[0] = strlit4506;
  partcv[0] = 1;
  Object opresult4530 = callmethod(opresult4529, "++", 1, partcv, params);
// compilenode returning opresult4530
  *var_s = opresult4530;
  if (opresult4530 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4534 = gc_frame_new();
  partcv[0] = 0;
  Object call4535 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4534);
// compilenode returning call4535
  int op_slot_right_4533 = gc_frame_newslot(call4535);
  Object bool4537 = alloc_Boolean(0);
// compilenode returning bool4537
  int op_slot_left_4533 = gc_frame_newslot(bool4537);
  params[0] = call4535;
  partcv[0] = 1;
  Object opresult4538 = callmethod(bool4537, "!=", 1, partcv, params);
// compilenode returning opresult4538
  Object if4532 = done;
  if (istrue(opresult4538)) {
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4540 == NULL) {
    strlit4540 = alloc_String("""\x0a""");
    gc_root(strlit4540);
  }
// compilenode returning strlit4540
  int op_slot_right_4539 = gc_frame_newslot(strlit4540);
  int callframe4543 = gc_frame_new();
  Object num4545 = alloc_Float64(2);
// compilenode returning num4545
  int op_slot_right_4544 = gc_frame_newslot(num4545);
// compilenode returning *var_depth
  int op_slot_left_4544 = gc_frame_newslot(*var_depth);
  params[0] = num4545;
  partcv[0] = 1;
  Object sum4547 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4547
  gc_frame_newslot(sum4547);
  int callframe4548 = gc_frame_new();
  partcv[0] = 0;
  Object call4549 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4548);
// compilenode returning call4549
  params[0] = sum4547;
  partcv[0] = 1;
  Object call4550 = callmethod(call4549, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4543);
// compilenode returning call4550
  int op_slot_right_4542 = gc_frame_newslot(call4550);
  if (strlit4553 == NULL) {
    strlit4553 = alloc_String("");
    gc_root(strlit4553);
  }
// compilenode returning strlit4553
  int op_slot_right_4552 = gc_frame_newslot(strlit4553);
// compilenode returning *var_spc
  int op_slot_right_4555 = gc_frame_newslot(*var_spc);
  if (strlit4558 == NULL) {
    strlit4558 = alloc_String("Returns:""\x0a""  ");
    gc_root(strlit4558);
  }
// compilenode returning strlit4558
  int op_slot_right_4557 = gc_frame_newslot(strlit4558);
// compilenode returning *var_spc
  int op_slot_right_4560 = gc_frame_newslot(*var_spc);
  if (strlit4563 == NULL) {
    strlit4563 = alloc_String("");
    gc_root(strlit4563);
  }
// compilenode returning strlit4563
  int op_slot_right_4562 = gc_frame_newslot(strlit4563);
// compilenode returning *var_s
  int op_slot_right_4565 = gc_frame_newslot(*var_s);
  if (strlit4567 == NULL) {
    strlit4567 = alloc_String("");
    gc_root(strlit4567);
  }
// compilenode returning strlit4567
  int op_slot_left_4565 = gc_frame_newslot(strlit4567);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4568 = callmethod(strlit4567, "++", 1, partcv, params);
// compilenode returning opresult4568
  int op_slot_left_4562 = gc_frame_newslot(opresult4568);
  params[0] = strlit4563;
  partcv[0] = 1;
  Object opresult4569 = callmethod(opresult4568, "++", 1, partcv, params);
// compilenode returning opresult4569
  int op_slot_left_4560 = gc_frame_newslot(opresult4569);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4570 = callmethod(opresult4569, "++", 1, partcv, params);
// compilenode returning opresult4570
  int op_slot_left_4557 = gc_frame_newslot(opresult4570);
  params[0] = strlit4558;
  partcv[0] = 1;
  Object opresult4571 = callmethod(opresult4570, "++", 1, partcv, params);
// compilenode returning opresult4571
  int op_slot_left_4555 = gc_frame_newslot(opresult4571);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4572 = callmethod(opresult4571, "++", 1, partcv, params);
// compilenode returning opresult4572
  int op_slot_left_4552 = gc_frame_newslot(opresult4572);
  params[0] = strlit4553;
  partcv[0] = 1;
  Object opresult4573 = callmethod(opresult4572, "++", 1, partcv, params);
// compilenode returning opresult4573
  int op_slot_left_4542 = gc_frame_newslot(opresult4573);
  params[0] = call4550;
  partcv[0] = 1;
  Object opresult4574 = callmethod(opresult4573, "++", 1, partcv, params);
// compilenode returning opresult4574
  int op_slot_left_4539 = gc_frame_newslot(opresult4574);
  params[0] = strlit4540;
  partcv[0] = 1;
  Object opresult4575 = callmethod(opresult4574, "++", 1, partcv, params);
// compilenode returning opresult4575
  *var_s = opresult4575;
  if (opresult4575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4532 = done;
  } else {
  }
// compilenode returning if4532
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4578 == NULL) {
    strlit4578 = alloc_String("Signature:");
    gc_root(strlit4578);
  }
// compilenode returning strlit4578
  int op_slot_right_4577 = gc_frame_newslot(strlit4578);
// compilenode returning *var_spc
  int op_slot_right_4580 = gc_frame_newslot(*var_spc);
  if (strlit4583 == NULL) {
    strlit4583 = alloc_String("");
    gc_root(strlit4583);
  }
// compilenode returning strlit4583
  int op_slot_right_4582 = gc_frame_newslot(strlit4583);
// compilenode returning *var_s
  int op_slot_right_4585 = gc_frame_newslot(*var_s);
  if (strlit4587 == NULL) {
    strlit4587 = alloc_String("");
    gc_root(strlit4587);
  }
// compilenode returning strlit4587
  int op_slot_left_4585 = gc_frame_newslot(strlit4587);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4588 = callmethod(strlit4587, "++", 1, partcv, params);
// compilenode returning opresult4588
  int op_slot_left_4582 = gc_frame_newslot(opresult4588);
  params[0] = strlit4583;
  partcv[0] = 1;
  Object opresult4589 = callmethod(opresult4588, "++", 1, partcv, params);
// compilenode returning opresult4589
  int op_slot_left_4580 = gc_frame_newslot(opresult4589);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4590 = callmethod(opresult4589, "++", 1, partcv, params);
// compilenode returning opresult4590
  int op_slot_left_4577 = gc_frame_newslot(opresult4590);
  params[0] = strlit4578;
  partcv[0] = 1;
  Object opresult4591 = callmethod(opresult4590, "++", 1, partcv, params);
// compilenode returning opresult4591
  *var_s = opresult4591;
  if (opresult4591 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4593 = gc_frame_new();
  int callframe4594 = gc_frame_new();
  partcv[0] = 0;
  Object call4595 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4594);
// compilenode returning call4595
  gc_frame_newslot(call4595);
  Object block4596 = alloc_Block(NULL, NULL, "ast", 1046);
  gc_frame_newslot(block4596);
  block_savedest(block4596);
  Object closure4597 = createclosure(4, "_apply");
  setclosureframe(closure4597, stackframe);
  addtoclosure(closure4597, var_spc);
  addtoclosure(closure4597, var_s);
  addtoclosure(closure4597, var_depth);
  addtoclosure(closure4597, selfslot);
  struct UserObject *uo4597 = (struct UserObject*)block4596;
  uo4597->data[0] = (Object)closure4597;
  Method *meth_meth_ast__apply4597 = addmethod2pos(block4596, "_apply", &meth_ast__apply4597, 0);
int argcv_meth_ast__apply4597[] = {1};
meth_meth_ast__apply4597->type = alloc_MethodType(1, argcv_meth_ast__apply4597);
  meth_meth_ast__apply4597->definitionModule = modulename;
  meth_meth_ast__apply4597->definitionLine = 1041;
// compilenode returning block4596
  gc_frame_newslot(block4596);
  params[0] = call4595;
  params[1] = block4596;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4714 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4593);
// compilenode returning call4714
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4717 = gc_frame_new();
  partcv[0] = 0;
  Object call4718 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4717);
// compilenode returning call4718
  int op_slot_right_4716 = gc_frame_newslot(call4718);
  Object bool4720 = alloc_Boolean(0);
// compilenode returning bool4720
  int op_slot_left_4716 = gc_frame_newslot(bool4720);
  params[0] = call4718;
  partcv[0] = 1;
  Object opresult4721 = callmethod(bool4720, "!=", 1, partcv, params);
// compilenode returning opresult4721
  Object if4715 = done;
  if (istrue(opresult4721)) {
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4723 == NULL) {
    strlit4723 = alloc_String("Generics:");
    gc_root(strlit4723);
  }
// compilenode returning strlit4723
  int op_slot_right_4722 = gc_frame_newslot(strlit4723);
// compilenode returning *var_spc
  int op_slot_right_4725 = gc_frame_newslot(*var_spc);
  if (strlit4728 == NULL) {
    strlit4728 = alloc_String("""\x0a""");
    gc_root(strlit4728);
  }
// compilenode returning strlit4728
  int op_slot_right_4727 = gc_frame_newslot(strlit4728);
// compilenode returning *var_s
  int op_slot_left_4727 = gc_frame_newslot(*var_s);
  params[0] = strlit4728;
  partcv[0] = 1;
  Object opresult4730 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4730
  int op_slot_left_4725 = gc_frame_newslot(opresult4730);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4731 = callmethod(opresult4730, "++", 1, partcv, params);
// compilenode returning opresult4731
  int op_slot_left_4722 = gc_frame_newslot(opresult4731);
  params[0] = strlit4723;
  partcv[0] = 1;
  Object opresult4732 = callmethod(opresult4731, "++", 1, partcv, params);
// compilenode returning opresult4732
  *var_s = opresult4732;
  if (opresult4732 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4734 = gc_frame_new();
  int callframe4735 = gc_frame_new();
  partcv[0] = 0;
  Object call4736 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4735);
// compilenode returning call4736
  gc_frame_newslot(call4736);
  Object block4737 = alloc_Block(NULL, NULL, "ast", 1058);
  gc_frame_newslot(block4737);
  block_savedest(block4737);
  Object closure4738 = createclosure(3, "_apply");
  setclosureframe(closure4738, stackframe);
  addtoclosure(closure4738, var_spc);
  addtoclosure(closure4738, var_s);
  addtoclosure(closure4738, selfslot);
  struct UserObject *uo4738 = (struct UserObject*)block4737;
  uo4738->data[0] = (Object)closure4738;
  Method *meth_meth_ast__apply4738 = addmethod2pos(block4737, "_apply", &meth_ast__apply4738, 0);
int argcv_meth_ast__apply4738[] = {1};
meth_meth_ast__apply4738->type = alloc_MethodType(1, argcv_meth_ast__apply4738);
  meth_meth_ast__apply4738->definitionModule = modulename;
  meth_meth_ast__apply4738->definitionLine = 1053;
// compilenode returning block4737
  gc_frame_newslot(block4737);
  params[0] = call4736;
  params[1] = block4737;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4762 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4734);
// compilenode returning call4762
    gc_frame_newslot(call4762);
    if4715 = call4762;
  } else {
  }
// compilenode returning if4715
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num4765 = alloc_Float64(0);
// compilenode returning num4765
  int op_slot_right_4764 = gc_frame_newslot(num4765);
  int callframe4767 = gc_frame_new();
  int callframe4768 = gc_frame_new();
  partcv[0] = 0;
  Object call4769 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4768);
// compilenode returning call4769
  partcv[0] = 0;
  Object call4770 = callmethod(call4769, "size",
    1, partcv, params);
  gc_frame_end(callframe4767);
// compilenode returning call4770
// compilenode returning call4770
  int op_slot_left_4764 = gc_frame_newslot(call4770);
  params[0] = num4765;
  partcv[0] = 1;
  Object opresult4771 = callmethod(call4770, ">", 1, partcv, params);
// compilenode returning opresult4771
  Object if4763 = done;
  if (istrue(opresult4771)) {
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4773 == NULL) {
    strlit4773 = alloc_String("Annotations:");
    gc_root(strlit4773);
  }
// compilenode returning strlit4773
  int op_slot_right_4772 = gc_frame_newslot(strlit4773);
// compilenode returning *var_spc
  int op_slot_right_4775 = gc_frame_newslot(*var_spc);
  if (strlit4778 == NULL) {
    strlit4778 = alloc_String("""\x0a""");
    gc_root(strlit4778);
  }
// compilenode returning strlit4778
  int op_slot_right_4777 = gc_frame_newslot(strlit4778);
// compilenode returning *var_s
  int op_slot_left_4777 = gc_frame_newslot(*var_s);
  params[0] = strlit4778;
  partcv[0] = 1;
  Object opresult4780 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4780
  int op_slot_left_4775 = gc_frame_newslot(opresult4780);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4781 = callmethod(opresult4780, "++", 1, partcv, params);
// compilenode returning opresult4781
  int op_slot_left_4772 = gc_frame_newslot(opresult4781);
  params[0] = strlit4773;
  partcv[0] = 1;
  Object opresult4782 = callmethod(opresult4781, "++", 1, partcv, params);
// compilenode returning opresult4782
  *var_s = opresult4782;
  if (opresult4782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4784 = gc_frame_new();
  int callframe4785 = gc_frame_new();
  partcv[0] = 0;
  Object call4786 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4785);
// compilenode returning call4786
  gc_frame_newslot(call4786);
  Object block4787 = alloc_Block(NULL, NULL, "ast", 1064);
  gc_frame_newslot(block4787);
  block_savedest(block4787);
  Object closure4788 = createclosure(4, "_apply");
  setclosureframe(closure4788, stackframe);
  addtoclosure(closure4788, var_depth);
  addtoclosure(closure4788, var_spc);
  addtoclosure(closure4788, var_s);
  addtoclosure(closure4788, selfslot);
  struct UserObject *uo4788 = (struct UserObject*)block4787;
  uo4788->data[0] = (Object)closure4788;
  Method *meth_meth_ast__apply4788 = addmethod2pos(block4787, "_apply", &meth_ast__apply4788, 0);
int argcv_meth_ast__apply4788[] = {1};
meth_meth_ast__apply4788->type = alloc_MethodType(1, argcv_meth_ast__apply4788);
  meth_meth_ast__apply4788->definitionModule = modulename;
  meth_meth_ast__apply4788->definitionLine = 1062;
// compilenode returning block4787
  gc_frame_newslot(block4787);
  params[0] = call4786;
  params[1] = block4787;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4815 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4784);
// compilenode returning call4815
    gc_frame_newslot(call4815);
    if4763 = call4815;
  } else {
  }
// compilenode returning if4763
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4817 == NULL) {
    strlit4817 = alloc_String("Body:");
    gc_root(strlit4817);
  }
// compilenode returning strlit4817
  int op_slot_right_4816 = gc_frame_newslot(strlit4817);
// compilenode returning *var_spc
  int op_slot_right_4819 = gc_frame_newslot(*var_spc);
  if (strlit4822 == NULL) {
    strlit4822 = alloc_String("""\x0a""");
    gc_root(strlit4822);
  }
// compilenode returning strlit4822
  int op_slot_right_4821 = gc_frame_newslot(strlit4822);
// compilenode returning *var_s
  int op_slot_left_4821 = gc_frame_newslot(*var_s);
  params[0] = strlit4822;
  partcv[0] = 1;
  Object opresult4824 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4824
  int op_slot_left_4819 = gc_frame_newslot(opresult4824);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4825 = callmethod(opresult4824, "++", 1, partcv, params);
// compilenode returning opresult4825
  int op_slot_left_4816 = gc_frame_newslot(opresult4825);
  params[0] = strlit4817;
  partcv[0] = 1;
  Object opresult4826 = callmethod(opresult4825, "++", 1, partcv, params);
// compilenode returning opresult4826
  *var_s = opresult4826;
  if (opresult4826 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4828 = gc_frame_new();
  int callframe4829 = gc_frame_new();
  partcv[0] = 0;
  Object call4830 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4829);
// compilenode returning call4830
// compilenode returning call4830
  gc_frame_newslot(call4830);
  Object block4831 = alloc_Block(NULL, NULL, "ast", 1069);
  gc_frame_newslot(block4831);
  block_savedest(block4831);
  Object closure4832 = createclosure(4, "_apply");
  setclosureframe(closure4832, stackframe);
  addtoclosure(closure4832, var_depth);
  addtoclosure(closure4832, var_spc);
  addtoclosure(closure4832, var_s);
  addtoclosure(closure4832, selfslot);
  struct UserObject *uo4832 = (struct UserObject*)block4831;
  uo4832->data[0] = (Object)closure4832;
  Method *meth_meth_ast__apply4832 = addmethod2pos(block4831, "_apply", &meth_ast__apply4832, 0);
int argcv_meth_ast__apply4832[] = {1};
meth_meth_ast__apply4832->type = alloc_MethodType(1, argcv_meth_ast__apply4832);
  meth_meth_ast__apply4832->definitionModule = modulename;
  meth_meth_ast__apply4832->definitionLine = 1069;
// compilenode returning block4831
  gc_frame_newslot(block4831);
  params[0] = call4830;
  params[1] = block4831;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4851 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4828);
// compilenode returning call4851
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_decType4852(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for decType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for decType");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4855 = alloc_Boolean(0);
// compilenode returning bool4855
  int op_slot_right_4854 = gc_frame_newslot(bool4855);
  int callframe4857 = gc_frame_new();
  partcv[0] = 0;
  Object call4858 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4857);
// compilenode returning call4858
  int op_slot_left_4854 = gc_frame_newslot(call4858);
  params[0] = bool4855;
  partcv[0] = 1;
  Object opresult4859 = callmethod(call4858, "==", 1, partcv, params);
// compilenode returning opresult4859
  Object if4853 = done;
  if (istrue(opresult4859)) {
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4860 = gc_frame_new();
  if (strlit4861 == NULL) {
    strlit4861 = alloc_String("Unknown");
    gc_root(strlit4861);
  }
// compilenode returning strlit4861
  gc_frame_newslot(strlit4861);
  Object bool4862 = alloc_Boolean(0);
// compilenode returning bool4862
  gc_frame_newslot(bool4862);
// compilenode returning *var_identifierNode
  params[0] = strlit4861;
  params[1] = bool4862;
  partcv[0] = 2;
  Object call4863 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe4860);
// compilenode returning call4863
  return call4863;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if4853 = undefined;
  } else {
  }
// compilenode returning if4853
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4864 = gc_frame_new();
  partcv[0] = 0;
  Object call4865 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4864);
// compilenode returning call4865
  return call4865;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast__apply4878(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4880 == NULL) {
    strlit4880 = alloc_String("    ");
    gc_root(strlit4880);
  }
// compilenode returning strlit4880
  int op_slot_right_4879 = gc_frame_newslot(strlit4880);
// compilenode returning *var_spc
  int op_slot_left_4879 = gc_frame_newslot(*var_spc);
  params[0] = strlit4880;
  partcv[0] = 1;
  Object opresult4882 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult4882
  *var_spc = opresult4882;
  if (opresult4882 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4953(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4954 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4955 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4954);
// compilenode returning call4955
// compilenode returning call4955
// compilenode returning *var_pnr
  params[0] = *var_pnr;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres4956 = callmethod(call4955, "[]", 1, partcv, params);
// compilenode returning idxres4956
  *var_p = idxres4956;
  if (idxres4956 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4958 = gc_frame_new();
  Object num4960 = alloc_Float64(1);
// compilenode returning num4960
  int op_slot_right_4959 = gc_frame_newslot(num4960);
// compilenode returning *var_depth
  int op_slot_left_4959 = gc_frame_newslot(*var_depth);
  params[0] = num4960;
  partcv[0] = 1;
  Object sum4962 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum4962
  gc_frame_newslot(sum4962);
// compilenode returning *var_p
  params[0] = sum4962;
  partcv[0] = 1;
  Object call4963 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4958);
// compilenode returning call4963
  int op_slot_right_4957 = gc_frame_newslot(call4963);
// compilenode returning *var_s
  int op_slot_left_4957 = gc_frame_newslot(*var_s);
  params[0] = call4963;
  partcv[0] = 1;
  Object opresult4965 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4965
  *var_s = opresult4965;
  if (opresult4965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4970 = alloc_Boolean(0);
// compilenode returning bool4970
  int op_slot_right_4969 = gc_frame_newslot(bool4970);
  int callframe4972 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4973 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4972);
// compilenode returning call4973
// compilenode returning call4973
  int op_slot_left_4969 = gc_frame_newslot(call4973);
  params[0] = bool4970;
  partcv[0] = 1;
  Object opresult4974 = callmethod(call4973, "!=", 1, partcv, params);
// compilenode returning opresult4974
  int op_slot_right_4968 = gc_frame_newslot(opresult4974);
  int callframe4977 = gc_frame_new();
  int callframe4978 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4979 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4978);
// compilenode returning call4979
// compilenode returning call4979
  partcv[0] = 0;
  Object call4980 = callmethod(call4979, "size",
    1, partcv, params);
  gc_frame_end(callframe4977);
// compilenode returning call4980
// compilenode returning call4980
  int op_slot_right_4976 = gc_frame_newslot(call4980);
// compilenode returning *var_pnr
  int op_slot_left_4976 = gc_frame_newslot(*var_pnr);
  params[0] = call4980;
  partcv[0] = 1;
  Object opresult4982 = callmethod(*var_pnr, "<", 1, partcv, params);
// compilenode returning opresult4982
  int op_slot_left_4968 = gc_frame_newslot(opresult4982);
  params[0] = opresult4974;
  partcv[0] = 1;
  Object opresult4983 = callmethod(opresult4982, "||", 1, partcv, params);
// compilenode returning opresult4983
  Object if4967 = done;
  if (istrue(opresult4983)) {
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4985 == NULL) {
    strlit4985 = alloc_String(", ");
    gc_root(strlit4985);
  }
// compilenode returning strlit4985
  int op_slot_right_4984 = gc_frame_newslot(strlit4985);
// compilenode returning *var_s
  int op_slot_left_4984 = gc_frame_newslot(*var_s);
  params[0] = strlit4985;
  partcv[0] = 1;
  Object opresult4987 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4987
  *var_s = opresult4987;
  if (opresult4987 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4967 = done;
  } else {
  }
// compilenode returning if4967
  gc_frame_end(frame);
  return if4967;
}
Object meth_ast__apply4917(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4919 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4920 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe4919);
// compilenode returning call4920
// compilenode returning call4920
  int op_slot_right_4918 = gc_frame_newslot(call4920);
// compilenode returning *var_s
  int op_slot_left_4918 = gc_frame_newslot(*var_s);
  params[0] = call4920;
  partcv[0] = 1;
  Object opresult4922 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4922
  *var_s = opresult4922;
  if (opresult4922 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4927 = alloc_Boolean(0);
// compilenode returning bool4927
  int op_slot_right_4926 = gc_frame_newslot(bool4927);
  int callframe4929 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4930 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4929);
// compilenode returning call4930
// compilenode returning call4930
  int op_slot_left_4926 = gc_frame_newslot(call4930);
  params[0] = bool4927;
  partcv[0] = 1;
  Object opresult4931 = callmethod(call4930, "!=", 1, partcv, params);
// compilenode returning opresult4931
  int op_slot_right_4925 = gc_frame_newslot(opresult4931);
  Object num4934 = alloc_Float64(0);
// compilenode returning num4934
  int op_slot_right_4933 = gc_frame_newslot(num4934);
  int callframe4936 = gc_frame_new();
  int callframe4937 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4938 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4937);
// compilenode returning call4938
// compilenode returning call4938
  partcv[0] = 0;
  Object call4939 = callmethod(call4938, "size",
    1, partcv, params);
  gc_frame_end(callframe4936);
// compilenode returning call4939
// compilenode returning call4939
  int op_slot_left_4933 = gc_frame_newslot(call4939);
  params[0] = num4934;
  partcv[0] = 1;
  Object opresult4940 = callmethod(call4939, ">", 1, partcv, params);
// compilenode returning opresult4940
  int op_slot_left_4925 = gc_frame_newslot(opresult4940);
  params[0] = opresult4931;
  partcv[0] = 1;
  Object opresult4941 = callmethod(opresult4940, "||", 1, partcv, params);
// compilenode returning opresult4941
  Object if4924 = done;
  if (istrue(opresult4941)) {
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4943 == NULL) {
    strlit4943 = alloc_String("(");
    gc_root(strlit4943);
  }
// compilenode returning strlit4943
  int op_slot_right_4942 = gc_frame_newslot(strlit4943);
// compilenode returning *var_s
  int op_slot_left_4942 = gc_frame_newslot(*var_s);
  params[0] = strlit4943;
  partcv[0] = 1;
  Object opresult4945 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4945
  *var_s = opresult4945;
  if (opresult4945 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4947 = gc_frame_new();
  int callframe4948 = gc_frame_new();
  int callframe4949 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4950 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4949);
// compilenode returning call4950
// compilenode returning call4950
  partcv[0] = 0;
  Object call4951 = callmethod(call4950, "indices",
    1, partcv, params);
  gc_frame_end(callframe4948);
// compilenode returning call4951
// compilenode returning call4951
  gc_frame_newslot(call4951);
  Object block4952 = alloc_Block(NULL, NULL, "ast", 1095);
  gc_frame_newslot(block4952);
  block_savedest(block4952);
  Object closure4953 = createclosure(4, "_apply");
  setclosureframe(closure4953, stackframe);
  addtoclosure(closure4953, var_part);
  addtoclosure(closure4953, var_depth);
  addtoclosure(closure4953, var_s);
  addtoclosure(closure4953, selfslot);
  struct UserObject *uo4953 = (struct UserObject*)block4952;
  uo4953->data[0] = (Object)closure4953;
  Method *meth_meth_ast__apply4953 = addmethod2pos(block4952, "_apply", &meth_ast__apply4953, 0);
int argcv_meth_ast__apply4953[] = {1};
meth_meth_ast__apply4953->type = alloc_MethodType(1, argcv_meth_ast__apply4953);
  meth_meth_ast__apply4953->definitionModule = modulename;
  meth_meth_ast__apply4953->definitionLine = 1095;
// compilenode returning block4952
  gc_frame_newslot(block4952);
  params[0] = call4951;
  params[1] = block4952;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4990 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4947);
// compilenode returning call4990
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4993 = alloc_Boolean(0);
// compilenode returning bool4993
  int op_slot_right_4992 = gc_frame_newslot(bool4993);
  int callframe4995 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call4996 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4995);
// compilenode returning call4996
// compilenode returning call4996
  int op_slot_left_4992 = gc_frame_newslot(call4996);
  params[0] = bool4993;
  partcv[0] = 1;
  Object opresult4997 = callmethod(call4996, "!=", 1, partcv, params);
// compilenode returning opresult4997
  Object if4991 = done;
  if (istrue(opresult4997)) {
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4999 = gc_frame_new();
  int callframe5000 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call5001 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe5000);
// compilenode returning call5001
// compilenode returning call5001
  partcv[0] = 0;
  Object call5002 = callmethod(call5001, "value",
    1, partcv, params);
  gc_frame_end(callframe4999);
// compilenode returning call5002
// compilenode returning call5002
  int op_slot_right_4998 = gc_frame_newslot(call5002);
  if (strlit5005 == NULL) {
    strlit5005 = alloc_String("*");
    gc_root(strlit5005);
  }
// compilenode returning strlit5005
  int op_slot_right_5004 = gc_frame_newslot(strlit5005);
// compilenode returning *var_s
  int op_slot_left_5004 = gc_frame_newslot(*var_s);
  params[0] = strlit5005;
  partcv[0] = 1;
  Object opresult5007 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5007
  int op_slot_left_4998 = gc_frame_newslot(opresult5007);
  params[0] = call5002;
  partcv[0] = 1;
  Object opresult5008 = callmethod(opresult5007, "++", 1, partcv, params);
// compilenode returning opresult5008
  *var_s = opresult5008;
  if (opresult5008 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4991 = done;
  } else {
  }
// compilenode returning if4991
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5011 == NULL) {
    strlit5011 = alloc_String(")");
    gc_root(strlit5011);
  }
// compilenode returning strlit5011
  int op_slot_right_5010 = gc_frame_newslot(strlit5011);
// compilenode returning *var_s
  int op_slot_left_5010 = gc_frame_newslot(*var_s);
  params[0] = strlit5011;
  partcv[0] = 1;
  Object opresult5013 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5013
  *var_s = opresult5013;
  if (opresult5013 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4924 = done;
  } else {
  }
// compilenode returning if4924
  gc_frame_end(frame);
  return if4924;
}
Object meth_ast__apply5057(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5059 = gc_frame_new();
  Object num5061 = alloc_Float64(1);
// compilenode returning num5061
  int op_slot_right_5060 = gc_frame_newslot(num5061);
// compilenode returning *var_depth
  int op_slot_left_5060 = gc_frame_newslot(*var_depth);
  params[0] = num5061;
  partcv[0] = 1;
  Object sum5063 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5063
  gc_frame_newslot(sum5063);
// compilenode returning *var_mx
  params[0] = sum5063;
  partcv[0] = 1;
  Object call5064 = callmethod(*var_mx, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5059);
// compilenode returning call5064
  int op_slot_right_5058 = gc_frame_newslot(call5064);
  if (strlit5067 == NULL) {
    strlit5067 = alloc_String("    ");
    gc_root(strlit5067);
  }
// compilenode returning strlit5067
  int op_slot_right_5066 = gc_frame_newslot(strlit5067);
// compilenode returning *var_spc
  int op_slot_right_5069 = gc_frame_newslot(*var_spc);
  if (strlit5072 == NULL) {
    strlit5072 = alloc_String("""\x0a""");
    gc_root(strlit5072);
  }
// compilenode returning strlit5072
  int op_slot_right_5071 = gc_frame_newslot(strlit5072);
// compilenode returning *var_s
  int op_slot_left_5071 = gc_frame_newslot(*var_s);
  params[0] = strlit5072;
  partcv[0] = 1;
  Object opresult5074 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5074
  int op_slot_left_5069 = gc_frame_newslot(opresult5074);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5075 = callmethod(opresult5074, "++", 1, partcv, params);
// compilenode returning opresult5075
  int op_slot_left_5066 = gc_frame_newslot(opresult5075);
  params[0] = strlit5067;
  partcv[0] = 1;
  Object opresult5076 = callmethod(opresult5075, "++", 1, partcv, params);
// compilenode returning opresult5076
  int op_slot_left_5058 = gc_frame_newslot(opresult5076);
  params[0] = call5064;
  partcv[0] = 1;
  Object opresult5077 = callmethod(opresult5076, "++", 1, partcv, params);
// compilenode returning opresult5077
  *var_s = opresult5077;
  if (opresult5077 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace4866(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4867 == NULL) {
    strlit4867 = alloc_String("");
    gc_root(strlit4867);
  }
// compilenode returning strlit4867
  *var_spc = strlit4867;
  if (strlit4867 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4868 = gc_frame_new();
  Object num4871 = alloc_Float64(1);
// compilenode returning num4871
  int op_slot_right_4870 = gc_frame_newslot(num4871);
// compilenode returning *var_depth
  int op_slot_left_4870 = gc_frame_newslot(*var_depth);
  params[0] = num4871;
  partcv[0] = 1;
  Object diff4873 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff4873
  int op_slot_right_4869 = gc_frame_newslot(diff4873);
  Object num4875 = alloc_Float64(0);
// compilenode returning num4875
  int op_slot_left_4869 = gc_frame_newslot(num4875);
  params[0] = diff4873;
  partcv[0] = 1;
  Object opresult4876 = callmethod(num4875, "..", 1, partcv, params);
// compilenode returning opresult4876
  gc_frame_newslot(opresult4876);
  Object block4877 = alloc_Block(NULL, NULL, "ast", 1084);
  gc_frame_newslot(block4877);
  block_savedest(block4877);
  Object closure4878 = createclosure(2, "_apply");
  setclosureframe(closure4878, stackframe);
  addtoclosure(closure4878, var_spc);
  addtoclosure(closure4878, selfslot);
  struct UserObject *uo4878 = (struct UserObject*)block4877;
  uo4878->data[0] = (Object)closure4878;
  Method *meth_meth_ast__apply4878 = addmethod2pos(block4877, "_apply", &meth_ast__apply4878, 0);
int argcv_meth_ast__apply4878[] = {1};
meth_meth_ast__apply4878->type = alloc_MethodType(1, argcv_meth_ast__apply4878);
  meth_meth_ast__apply4878->definitionModule = modulename;
  meth_meth_ast__apply4878->definitionLine = 1069;
// compilenode returning block4877
  gc_frame_newslot(block4877);
  params[0] = opresult4876;
  params[1] = block4877;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4885 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4868);
// compilenode returning call4885
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4887 == NULL) {
    strlit4887 = alloc_String("");
    gc_root(strlit4887);
  }
// compilenode returning strlit4887
  int op_slot_right_4886 = gc_frame_newslot(strlit4887);
  int callframe4890 = gc_frame_new();
  Object num4891 = alloc_Float64(0);
// compilenode returning num4891
  gc_frame_newslot(num4891);
  int callframe4892 = gc_frame_new();
  partcv[0] = 0;
  Object call4893 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4892);
// compilenode returning call4893
// compilenode returning call4893
  params[0] = num4891;
  partcv[0] = 1;
  Object call4894 = callmethod(call4893, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4890);
// compilenode returning call4894
  int op_slot_right_4889 = gc_frame_newslot(call4894);
  if (strlit4896 == NULL) {
    strlit4896 = alloc_String("class ");
    gc_root(strlit4896);
  }
// compilenode returning strlit4896
  int op_slot_left_4889 = gc_frame_newslot(strlit4896);
  params[0] = call4894;
  partcv[0] = 1;
  Object opresult4897 = callmethod(strlit4896, "++", 1, partcv, params);
// compilenode returning opresult4897
  int op_slot_left_4886 = gc_frame_newslot(opresult4897);
  params[0] = strlit4887;
  partcv[0] = 1;
  Object opresult4898 = callmethod(opresult4897, "++", 1, partcv, params);
// compilenode returning opresult4898
  *var_s = opresult4898;
  if (opresult4898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4901 == NULL) {
    strlit4901 = alloc_String("generic");
    gc_root(strlit4901);
  }
// compilenode returning strlit4901
  int op_slot_right_4900 = gc_frame_newslot(strlit4901);
  int callframe4903 = gc_frame_new();
  int callframe4904 = gc_frame_new();
  partcv[0] = 0;
  Object call4905 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4904);
// compilenode returning call4905
// compilenode returning call4905
  partcv[0] = 0;
  Object call4906 = callmethod(call4905, "kind",
    1, partcv, params);
  gc_frame_end(callframe4903);
// compilenode returning call4906
// compilenode returning call4906
  int op_slot_left_4900 = gc_frame_newslot(call4906);
  params[0] = strlit4901;
  partcv[0] = 1;
  Object opresult4907 = callmethod(call4906, "!=", 1, partcv, params);
// compilenode returning opresult4907
  Object if4899 = done;
  if (istrue(opresult4907)) {
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4909 == NULL) {
    strlit4909 = alloc_String(".");
    gc_root(strlit4909);
  }
// compilenode returning strlit4909
  int op_slot_right_4908 = gc_frame_newslot(strlit4909);
// compilenode returning *var_s
  int op_slot_left_4908 = gc_frame_newslot(*var_s);
  params[0] = strlit4909;
  partcv[0] = 1;
  Object opresult4911 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult4911
  *var_s = opresult4911;
  if (opresult4911 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4913 = gc_frame_new();
  int callframe4914 = gc_frame_new();
  partcv[0] = 0;
  Object call4915 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4914);
// compilenode returning call4915
// compilenode returning call4915
  gc_frame_newslot(call4915);
  Object block4916 = alloc_Block(NULL, NULL, "ast", 1091);
  gc_frame_newslot(block4916);
  block_savedest(block4916);
  Object closure4917 = createclosure(3, "_apply");
  setclosureframe(closure4917, stackframe);
  addtoclosure(closure4917, var_s);
  addtoclosure(closure4917, var_depth);
  addtoclosure(closure4917, selfslot);
  struct UserObject *uo4917 = (struct UserObject*)block4916;
  uo4917->data[0] = (Object)closure4917;
  Method *meth_meth_ast__apply4917 = addmethod2pos(block4916, "_apply", &meth_ast__apply4917, 0);
int argcv_meth_ast__apply4917[] = {1};
meth_meth_ast__apply4917->type = alloc_MethodType(1, argcv_meth_ast__apply4917);
  meth_meth_ast__apply4917->definitionModule = modulename;
  meth_meth_ast__apply4917->definitionLine = 1091;
// compilenode returning block4916
  gc_frame_newslot(block4916);
  params[0] = call4915;
  params[1] = block4916;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5016 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4913);
// compilenode returning call5016
    gc_frame_newslot(call5016);
    if4899 = call5016;
  } else {
  }
// compilenode returning if4899
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5019 = gc_frame_new();
  partcv[0] = 0;
  Object call5020 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5019);
// compilenode returning call5020
  int op_slot_right_5018 = gc_frame_newslot(call5020);
  Object bool5022 = alloc_Boolean(0);
// compilenode returning bool5022
  int op_slot_left_5018 = gc_frame_newslot(bool5022);
  params[0] = call5020;
  partcv[0] = 1;
  Object opresult5023 = callmethod(bool5022, "!=", 1, partcv, params);
// compilenode returning opresult5023
  Object if5017 = done;
  if (istrue(opresult5023)) {
// Begin line 1111
  setline(1111);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5025 == NULL) {
    strlit5025 = alloc_String("");
    gc_root(strlit5025);
  }
// compilenode returning strlit5025
  int op_slot_right_5024 = gc_frame_newslot(strlit5025);
  int callframe5028 = gc_frame_new();
  Object num5030 = alloc_Float64(1);
// compilenode returning num5030
  int op_slot_right_5029 = gc_frame_newslot(num5030);
// compilenode returning *var_depth
  int op_slot_left_5029 = gc_frame_newslot(*var_depth);
  params[0] = num5030;
  partcv[0] = 1;
  Object sum5032 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5032
  gc_frame_newslot(sum5032);
  int callframe5033 = gc_frame_new();
  partcv[0] = 0;
  Object call5034 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5033);
// compilenode returning call5034
  params[0] = sum5032;
  partcv[0] = 1;
  Object call5035 = callmethod(call5034, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5028);
// compilenode returning call5035
  int op_slot_right_5027 = gc_frame_newslot(call5035);
  if (strlit5038 == NULL) {
    strlit5038 = alloc_String(" -> ");
    gc_root(strlit5038);
  }
// compilenode returning strlit5038
  int op_slot_right_5037 = gc_frame_newslot(strlit5038);
// compilenode returning *var_s
  int op_slot_right_5040 = gc_frame_newslot(*var_s);
  if (strlit5042 == NULL) {
    strlit5042 = alloc_String("");
    gc_root(strlit5042);
  }
// compilenode returning strlit5042
  int op_slot_left_5040 = gc_frame_newslot(strlit5042);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5043 = callmethod(strlit5042, "++", 1, partcv, params);
// compilenode returning opresult5043
  int op_slot_left_5037 = gc_frame_newslot(opresult5043);
  params[0] = strlit5038;
  partcv[0] = 1;
  Object opresult5044 = callmethod(opresult5043, "++", 1, partcv, params);
// compilenode returning opresult5044
  int op_slot_left_5027 = gc_frame_newslot(opresult5044);
  params[0] = call5035;
  partcv[0] = 1;
  Object opresult5045 = callmethod(opresult5044, "++", 1, partcv, params);
// compilenode returning opresult5045
  int op_slot_left_5024 = gc_frame_newslot(opresult5045);
  params[0] = strlit5025;
  partcv[0] = 1;
  Object opresult5046 = callmethod(opresult5045, "++", 1, partcv, params);
// compilenode returning opresult5046
  *var_s = opresult5046;
  if (opresult5046 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5017 = done;
  } else {
  }
// compilenode returning if5017
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5049 == NULL) {
    strlit5049 = alloc_String(" {");
    gc_root(strlit5049);
  }
// compilenode returning strlit5049
  int op_slot_right_5048 = gc_frame_newslot(strlit5049);
// compilenode returning *var_s
  int op_slot_left_5048 = gc_frame_newslot(*var_s);
  params[0] = strlit5049;
  partcv[0] = 1;
  Object opresult5051 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5051
  *var_s = opresult5051;
  if (opresult5051 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5053 = gc_frame_new();
  int callframe5054 = gc_frame_new();
  partcv[0] = 0;
  Object call5055 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5054);
// compilenode returning call5055
// compilenode returning call5055
  gc_frame_newslot(call5055);
  Object block5056 = alloc_Block(NULL, NULL, "ast", 1113);
  gc_frame_newslot(block5056);
  block_savedest(block5056);
  Object closure5057 = createclosure(4, "_apply");
  setclosureframe(closure5057, stackframe);
  addtoclosure(closure5057, var_depth);
  addtoclosure(closure5057, var_spc);
  addtoclosure(closure5057, var_s);
  addtoclosure(closure5057, selfslot);
  struct UserObject *uo5057 = (struct UserObject*)block5056;
  uo5057->data[0] = (Object)closure5057;
  Method *meth_meth_ast__apply5057 = addmethod2pos(block5056, "_apply", &meth_ast__apply5057, 0);
int argcv_meth_ast__apply5057[] = {1};
meth_meth_ast__apply5057->type = alloc_MethodType(1, argcv_meth_ast__apply5057);
  meth_meth_ast__apply5057->definitionModule = modulename;
  meth_meth_ast__apply5057->definitionLine = 1113;
// compilenode returning block5056
  gc_frame_newslot(block5056);
  params[0] = call5055;
  params[1] = block5056;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5080 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5053);
// compilenode returning call5080
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5082 == NULL) {
    strlit5082 = alloc_String("}");
    gc_root(strlit5082);
  }
// compilenode returning strlit5082
  int op_slot_right_5081 = gc_frame_newslot(strlit5082);
// compilenode returning *var_spc
  int op_slot_right_5084 = gc_frame_newslot(*var_spc);
  if (strlit5087 == NULL) {
    strlit5087 = alloc_String("""\x0a""");
    gc_root(strlit5087);
  }
// compilenode returning strlit5087
  int op_slot_right_5086 = gc_frame_newslot(strlit5087);
// compilenode returning *var_s
  int op_slot_left_5086 = gc_frame_newslot(*var_s);
  params[0] = strlit5087;
  partcv[0] = 1;
  Object opresult5089 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5089
  int op_slot_left_5084 = gc_frame_newslot(opresult5089);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5090 = callmethod(opresult5089, "++", 1, partcv, params);
// compilenode returning opresult5090
  int op_slot_left_5081 = gc_frame_newslot(opresult5090);
  params[0] = strlit5082;
  partcv[0] = 1;
  Object opresult5091 = callmethod(opresult5090, "++", 1, partcv, params);
// compilenode returning opresult5091
  *var_s = opresult5091;
  if (opresult5091 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new4260(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 6)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_classNode = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  Object *var_collections = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[2]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[3]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  Object *var_constructor_39_ = &(stackframe->slots[4]);
  *var_constructor_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[5]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 6)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[6]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4261 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4261 = alloc_userobj2(26,23, objclass4261);
  gc_frame_newslot(obj4261);
if (objclass4261 == NULL) {
  glfree(obj4261->class->name);
  obj4261->class->name = "classNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4261, self, 0);
  addmethodreal(obj4261,"outer", &reader_ast_outer_4262);
  Object oldself4261 = self;
  struct StackFrameObject *oldstackframe4261 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4261);
  gc_frame_newslot((Object)stackframe);
  self = obj4261;
  Object *oldselfslot4261 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4261 = (*(struct UserObject *)self).data[0], lowerouter4261 = thisouter4261;
  if (inheritingObject4261) {
    struct UserObject *inho4261 = (struct UserObject *)inheritingObject4261;
    while (inho4261->super != GraceDefaultObject) inho4261 = (struct UserObject *)inho4261->super;
    inho4261->super = obj4261;
    self = inheritingObject4261;
    *selfslot = self;
    lowerouter4261 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4261;
  }
if (objclass4261 == NULL) {
  Method *reader4263 = addmethodrealflags(obj4261, "kind",&reader_ast_kind_4263, MFLAG_DEF);
  reader4263->definitionModule = modulename;
  reader4263->definitionLine = 974;
}
adddatum2(obj4261, alloc_Undefined(), 1);
if (objclass4261 == NULL) {
  Method *reader4264 = addmethodrealflags(obj4261, "value",&reader_ast_value_4264, MFLAG_DEF);
  reader4264->definitionModule = modulename;
  reader4264->definitionLine = 975;
}
adddatum2(obj4261, alloc_Undefined(), 2);
if (objclass4261 == NULL) {
  Method *reader4265 = addmethodrealflags(obj4261, "name",&reader_ast_name_4265, MFLAG_DEF);
  reader4265->definitionModule = modulename;
  reader4265->definitionLine = 976;
}
adddatum2(obj4261, alloc_Undefined(), 3);
if (objclass4261 == NULL) {
  Method *reader4266 = addmethodrealflags(obj4261, "constructor",&reader_ast_constructor_4266, MFLAG_DEF);
  reader4266->definitionModule = modulename;
  reader4266->definitionLine = 977;
}
adddatum2(obj4261, alloc_Undefined(), 4);
if (objclass4261 == NULL) {
  Method *reader4267 = addmethodrealflags(obj4261, "signature",&reader_ast_signature_4267, MFLAG_DEF);
  reader4267->definitionModule = modulename;
  reader4267->definitionLine = 978;
}
adddatum2(obj4261, alloc_Undefined(), 5);
if (objclass4261 == NULL) {
  Method *reader4268 = addmethodrealflags(obj4261, "dtype",&reader_ast_dtype_4268, 0);
  Method *writer4268 = addmethodrealflags(obj4261, "dtype:=",&writer_ast_dtype_4268, 0);
  reader4268->definitionModule = modulename;
  writer4268->definitionModule = modulename;
  reader4268->definitionLine = 979;
  writer4268->definitionLine = 979;
}
obj4261->flags |= OFLAG_MUTABLE;
adddatum2(obj4261, alloc_Undefined(), 6);
if (objclass4261 == NULL) {
  Method *reader4269 = addmethodrealflags(obj4261, "generics",&reader_ast_generics_4269, 0);
  Method *writer4269 = addmethodrealflags(obj4261, "generics:=",&writer_ast_generics_4269, 0);
  reader4269->definitionModule = modulename;
  writer4269->definitionModule = modulename;
  reader4269->definitionLine = 980;
  writer4269->definitionLine = 980;
}
obj4261->flags |= OFLAG_MUTABLE;
adddatum2(obj4261, alloc_Undefined(), 7);
if (objclass4261 == NULL) {
  Method *reader4270 = addmethodrealflags(obj4261, "superclass",&reader_ast_superclass_4270, MFLAG_DEF);
  reader4270->definitionModule = modulename;
  reader4270->definitionLine = 981;
}
adddatum2(obj4261, alloc_Undefined(), 8);
if (objclass4261 == NULL) {
  Method *reader4271 = addmethodrealflags(obj4261, "annotations",&reader_ast_annotations_4271, MFLAG_DEF);
  reader4271->definitionModule = modulename;
  reader4271->definitionLine = 982;
}
adddatum2(obj4261, alloc_Undefined(), 9);
if (objclass4261 == NULL) {
  Method *reader4272 = addmethodrealflags(obj4261, "nameString",&reader_ast_nameString_4272, MFLAG_DEF);
  reader4272->definitionModule = modulename;
  reader4272->definitionLine = 983;
}
adddatum2(obj4261, alloc_Undefined(), 10);
if (objclass4261 == NULL) {
  Method *reader4273 = addmethodrealflags(obj4261, "instanceMethods",&reader_ast_instanceMethods_4273, 0);
  Method *writer4273 = addmethodrealflags(obj4261, "instanceMethods:=",&writer_ast_instanceMethods_4273, 0);
  reader4273->definitionModule = modulename;
  writer4273->definitionModule = modulename;
  reader4273->definitionLine = 984;
  writer4273->definitionLine = 984;
}
obj4261->flags |= OFLAG_MUTABLE;
adddatum2(obj4261, alloc_Undefined(), 11);
if (objclass4261 == NULL) {
  Method *reader4274 = addmethodrealflags(obj4261, "data",&reader_ast_data_4274, 0);
  Method *writer4274 = addmethodrealflags(obj4261, "data:=",&writer_ast_data_4274, 0);
  reader4274->definitionModule = modulename;
  writer4274->definitionModule = modulename;
  reader4274->definitionLine = 986;
  writer4274->definitionLine = 986;
}
obj4261->flags |= OFLAG_MUTABLE;
adddatum2(obj4261, alloc_Undefined(), 12);
  struct UserObject *uo4275 = (struct UserObject*)obj4261;
  uo4275->data[13] = emptyclosure;
  Method *meth_meth_ast_isPublic4275 = addmethod2pos(obj4261, "isPublic", &meth_ast_isPublic4275, 13);
int argcv_meth_ast_isPublic4275[] = {0};
meth_meth_ast_isPublic4275->type = alloc_MethodType(1, argcv_meth_ast_isPublic4275);
  meth_meth_ast_isPublic4275->definitionModule = modulename;
  meth_meth_ast_isPublic4275->definitionLine = 986;
  struct UserObject *uo4295 = (struct UserObject*)obj4261;
  uo4295->data[14] = emptyclosure;
  Method *meth_meth_ast_isWritable4295 = addmethod2pos(obj4261, "isWritable", &meth_ast_isWritable4295, 14);
int argcv_meth_ast_isWritable4295[] = {0};
meth_meth_ast_isWritable4295->type = alloc_MethodType(1, argcv_meth_ast_isWritable4295);
  meth_meth_ast_isWritable4295->definitionModule = modulename;
  meth_meth_ast_isWritable4295->definitionLine = 991;
  struct UserObject *uo4297 = (struct UserObject*)obj4261;
  uo4297->data[15] = emptyclosure;
  Method *meth_meth_ast_isReadable4297 = addmethod2pos(obj4261, "isReadable", &meth_ast_isReadable4297, 15);
int argcv_meth_ast_isReadable4297[] = {0};
meth_meth_ast_isReadable4297->type = alloc_MethodType(1, argcv_meth_ast_isReadable4297);
  meth_meth_ast_isReadable4297->definitionModule = modulename;
  meth_meth_ast_isReadable4297->definitionLine = 992;
  struct UserObject *uo4300 = (struct UserObject*)obj4261;
  uo4300->data[16] = emptyclosure;
  Method *meth_meth_ast_accept4300 = addmethod2pos(obj4261, "accept", &meth_ast_accept4300, 16);
int argcv_meth_ast_accept4300[] = {1};
meth_meth_ast_accept4300->type = alloc_MethodType(1, argcv_meth_ast_accept4300);
  meth_meth_ast_accept4300->definitionModule = modulename;
  meth_meth_ast_accept4300->definitionLine = 994;
  block_savedest(obj4261);
  Object closure4359 = createclosure(1, "map()before()after");
  setclosureframe(closure4359, stackframe);
  addtoclosure(closure4359, var_classNode);
  struct UserObject *uo4359 = (struct UserObject*)obj4261;
  uo4359->data[17] = (Object)closure4359;
  Method *meth_meth_ast_map_40__41_before_40__41_after4359 = addmethod2pos(obj4261, "map()before()after", &meth_ast_map_40__41_before_40__41_after4359, 17);
int argcv_meth_ast_map_40__41_before_40__41_after4359[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after4359->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after4359);
  meth_meth_ast_map_40__41_before_40__41_after4359->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after4359->definitionLine = 1014;
  struct UserObject *uo4424 = (struct UserObject*)obj4261;
  uo4424->data[18] = emptyclosure;
  Method *meth_meth_ast_map4424 = addmethod2pos(obj4261, "map", &meth_ast_map4424, 18);
int argcv_meth_ast_map4424[] = {1};
meth_meth_ast_map4424->type = alloc_MethodType(1, argcv_meth_ast_map4424);
  meth_meth_ast_map4424->definitionModule = modulename;
  meth_meth_ast_map4424->definitionLine = 1027;
  struct UserObject *uo4433 = (struct UserObject*)obj4261;
  uo4433->data[19] = emptyclosure;
  Method *meth_meth_ast_pretty4433 = addmethod2pos(obj4261, "pretty", &meth_ast_pretty4433, 19);
int argcv_meth_ast_pretty4433[] = {1};
meth_meth_ast_pretty4433->type = alloc_MethodType(1, argcv_meth_ast_pretty4433);
  meth_meth_ast_pretty4433->definitionModule = modulename;
  meth_meth_ast_pretty4433->definitionLine = 1030;
  block_savedest(obj4261);
  Object closure4852 = createclosure(1, "decType");
  setclosureframe(closure4852, stackframe);
  addtoclosure(closure4852, var_identifierNode);
  struct UserObject *uo4852 = (struct UserObject*)obj4261;
  uo4852->data[20] = (Object)closure4852;
  Method *meth_meth_ast_decType4852 = addmethod2pos(obj4261, "decType", &meth_ast_decType4852, 20);
int argcv_meth_ast_decType4852[] = {0};
meth_meth_ast_decType4852->type = alloc_MethodType(1, argcv_meth_ast_decType4852);
  meth_meth_ast_decType4852->definitionModule = modulename;
  meth_meth_ast_decType4852->definitionLine = 1075;
  struct UserObject *uo4866 = (struct UserObject*)obj4261;
  uo4866->data[21] = emptyclosure;
  Method *meth_meth_ast_toGrace4866 = addmethod2pos(obj4261, "toGrace", &meth_ast_toGrace4866, 21);
int argcv_meth_ast_toGrace4866[] = {1};
meth_meth_ast_toGrace4866->type = alloc_MethodType(1, argcv_meth_ast_toGrace4866);
meth_meth_ast_toGrace4866->type->types[0] = type_Number;
meth_meth_ast_toGrace4866->type->names[0] = "depth";
  meth_meth_ast_toGrace4866->definitionModule = modulename;
  meth_meth_ast_toGrace4866->definitionLine = 1082;
  sourceObject = obj4261;
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5093 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5094 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5093);
// compilenode returning call5094
  struct UserObject *obj4261_uo = (struct UserObject *)obj4261;
  obj4261_uo->super = call5094;
  sourceObject = obj4261;
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5095 == NULL) {
    strlit5095 = alloc_String("class");
    gc_root(strlit5095);
  }
// compilenode returning strlit5095
  adddatum2(obj4261, strlit5095, 1);
  sourceObject = obj4261;
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj4261, *var_body_39_, 2);
  sourceObject = obj4261;
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj4261, *var_name_39_, 3);
  sourceObject = obj4261;
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_constructor_39_
  adddatum2(obj4261, *var_constructor_39_, 4);
  sourceObject = obj4261;
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature_39_
  adddatum2(obj4261, *var_signature_39_, 5);
  sourceObject = obj4261;
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj4261, *var_dtype_39_, 6);
  sourceObject = obj4261;
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5096 = alloc_Boolean(0);
// compilenode returning bool5096
  adddatum2(obj4261, bool5096, 7);
  sourceObject = obj4261;
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_superclass_39_
  adddatum2(obj4261, *var_superclass_39_, 8);
  sourceObject = obj4261;
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5097 = gc_frame_new();
  int callframe5098 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call5099 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe5098);
// compilenode returning call5099
// compilenode returning call5099
  partcv[0] = 0;
  Object call5100 = callmethod(call5099, "new",
    1, partcv, params);
  gc_frame_end(callframe5097);
// compilenode returning call5100
// compilenode returning call5100
  adddatum2(obj4261, call5100, 9);
  sourceObject = obj4261;
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5101 = gc_frame_new();
  int callframe5102 = gc_frame_new();
  partcv[0] = 0;
  Object call5103 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5102);
// compilenode returning call5103
  partcv[0] = 0;
  Object call5104 = callmethod(call5103, "value",
    1, partcv, params);
  gc_frame_end(callframe5101);
// compilenode returning call5104
// compilenode returning call5104
  adddatum2(obj4261, call5104, 10);
  sourceObject = obj4261;
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5105 = gc_frame_new();
  int callframe5106 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call5107 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe5106);
// compilenode returning call5107
// compilenode returning call5107
  partcv[0] = 0;
  Object call5108 = callmethod(call5107, "new",
    1, partcv, params);
  gc_frame_end(callframe5105);
// compilenode returning call5108
// compilenode returning call5108
  adddatum2(obj4261, call5108, 11);
  sourceObject = obj4261;
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5109 = alloc_Boolean(0);
// compilenode returning bool5109
  adddatum2(obj4261, bool5109, 12);
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
objclass4261 = obj4261->class;
  objclass4261->definitionModule = modulename;
  objclass4261->definitionLine = 946;
  (*(struct UserObject *)self).data[0] = lowerouter4261;
  self = oldself4261;
  selfslot = oldselfslot4261;
  stackframe = oldstackframe4261;
  gc_frame_end(frame);
  return obj4261;
}
Object meth_ast_new4260_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 6)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_classNode = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  Object *var_collections = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[2]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[3]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  Object *var_constructor_39_ = &(stackframe->slots[4]);
  *var_constructor_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[5]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 6)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[6]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4261 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4261 = alloc_userobj2(26,23, objclass4261);
  gc_frame_newslot(obj4261);
if (objclass4261 == NULL) {
  glfree(obj4261->class->name);
  obj4261->class->name = "classNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4261, self, 0);
  addmethodreal(obj4261,"outer", &reader_ast_outer_4262);
  Object oldself4261 = self;
  struct StackFrameObject *oldstackframe4261 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4261);
  gc_frame_newslot((Object)stackframe);
  self = obj4261;
  Object *oldselfslot4261 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4261 = (*(struct UserObject *)self).data[0], lowerouter4261 = thisouter4261;
  if (inheritingObject4261) {
    struct UserObject *inho4261 = (struct UserObject *)inheritingObject4261;
    while (inho4261->super != GraceDefaultObject) inho4261 = (struct UserObject *)inho4261->super;
    inho4261->super = obj4261;
    self = inheritingObject4261;
    *selfslot = self;
    lowerouter4261 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4261;
  }
if (objclass4261 == NULL) {
  Method *reader4263 = addmethodrealflags(obj4261, "kind",&reader_ast_kind_4263, MFLAG_DEF);
  reader4263->definitionModule = modulename;
  reader4263->definitionLine = 974;
}
adddatum2(obj4261, alloc_Undefined(), 1);
if (objclass4261 == NULL) {
  Method *reader4264 = addmethodrealflags(obj4261, "value",&reader_ast_value_4264, MFLAG_DEF);
  reader4264->definitionModule = modulename;
  reader4264->definitionLine = 975;
}
adddatum2(obj4261, alloc_Undefined(), 2);
if (objclass4261 == NULL) {
  Method *reader4265 = addmethodrealflags(obj4261, "name",&reader_ast_name_4265, MFLAG_DEF);
  reader4265->definitionModule = modulename;
  reader4265->definitionLine = 976;
}
adddatum2(obj4261, alloc_Undefined(), 3);
if (objclass4261 == NULL) {
  Method *reader4266 = addmethodrealflags(obj4261, "constructor",&reader_ast_constructor_4266, MFLAG_DEF);
  reader4266->definitionModule = modulename;
  reader4266->definitionLine = 977;
}
adddatum2(obj4261, alloc_Undefined(), 4);
if (objclass4261 == NULL) {
  Method *reader4267 = addmethodrealflags(obj4261, "signature",&reader_ast_signature_4267, MFLAG_DEF);
  reader4267->definitionModule = modulename;
  reader4267->definitionLine = 978;
}
adddatum2(obj4261, alloc_Undefined(), 5);
if (objclass4261 == NULL) {
  Method *reader4268 = addmethodrealflags(obj4261, "dtype",&reader_ast_dtype_4268, 0);
  Method *writer4268 = addmethodrealflags(obj4261, "dtype:=",&writer_ast_dtype_4268, 0);
  reader4268->definitionModule = modulename;
  writer4268->definitionModule = modulename;
  reader4268->definitionLine = 979;
  writer4268->definitionLine = 979;
}
obj4261->flags |= OFLAG_MUTABLE;
adddatum2(obj4261, alloc_Undefined(), 6);
if (objclass4261 == NULL) {
  Method *reader4269 = addmethodrealflags(obj4261, "generics",&reader_ast_generics_4269, 0);
  Method *writer4269 = addmethodrealflags(obj4261, "generics:=",&writer_ast_generics_4269, 0);
  reader4269->definitionModule = modulename;
  writer4269->definitionModule = modulename;
  reader4269->definitionLine = 980;
  writer4269->definitionLine = 980;
}
obj4261->flags |= OFLAG_MUTABLE;
adddatum2(obj4261, alloc_Undefined(), 7);
if (objclass4261 == NULL) {
  Method *reader4270 = addmethodrealflags(obj4261, "superclass",&reader_ast_superclass_4270, MFLAG_DEF);
  reader4270->definitionModule = modulename;
  reader4270->definitionLine = 981;
}
adddatum2(obj4261, alloc_Undefined(), 8);
if (objclass4261 == NULL) {
  Method *reader4271 = addmethodrealflags(obj4261, "annotations",&reader_ast_annotations_4271, MFLAG_DEF);
  reader4271->definitionModule = modulename;
  reader4271->definitionLine = 982;
}
adddatum2(obj4261, alloc_Undefined(), 9);
if (objclass4261 == NULL) {
  Method *reader4272 = addmethodrealflags(obj4261, "nameString",&reader_ast_nameString_4272, MFLAG_DEF);
  reader4272->definitionModule = modulename;
  reader4272->definitionLine = 983;
}
adddatum2(obj4261, alloc_Undefined(), 10);
if (objclass4261 == NULL) {
  Method *reader4273 = addmethodrealflags(obj4261, "instanceMethods",&reader_ast_instanceMethods_4273, 0);
  Method *writer4273 = addmethodrealflags(obj4261, "instanceMethods:=",&writer_ast_instanceMethods_4273, 0);
  reader4273->definitionModule = modulename;
  writer4273->definitionModule = modulename;
  reader4273->definitionLine = 984;
  writer4273->definitionLine = 984;
}
obj4261->flags |= OFLAG_MUTABLE;
adddatum2(obj4261, alloc_Undefined(), 11);
if (objclass4261 == NULL) {
  Method *reader4274 = addmethodrealflags(obj4261, "data",&reader_ast_data_4274, 0);
  Method *writer4274 = addmethodrealflags(obj4261, "data:=",&writer_ast_data_4274, 0);
  reader4274->definitionModule = modulename;
  writer4274->definitionModule = modulename;
  reader4274->definitionLine = 986;
  writer4274->definitionLine = 986;
}
obj4261->flags |= OFLAG_MUTABLE;
adddatum2(obj4261, alloc_Undefined(), 12);
  struct UserObject *uo4275 = (struct UserObject*)obj4261;
  uo4275->data[13] = emptyclosure;
  Method *meth_meth_ast_isPublic4275 = addmethod2pos(obj4261, "isPublic", &meth_ast_isPublic4275, 13);
int argcv_meth_ast_isPublic4275[] = {0};
meth_meth_ast_isPublic4275->type = alloc_MethodType(1, argcv_meth_ast_isPublic4275);
  meth_meth_ast_isPublic4275->definitionModule = modulename;
  meth_meth_ast_isPublic4275->definitionLine = 986;
  struct UserObject *uo4295 = (struct UserObject*)obj4261;
  uo4295->data[14] = emptyclosure;
  Method *meth_meth_ast_isWritable4295 = addmethod2pos(obj4261, "isWritable", &meth_ast_isWritable4295, 14);
int argcv_meth_ast_isWritable4295[] = {0};
meth_meth_ast_isWritable4295->type = alloc_MethodType(1, argcv_meth_ast_isWritable4295);
  meth_meth_ast_isWritable4295->definitionModule = modulename;
  meth_meth_ast_isWritable4295->definitionLine = 991;
  struct UserObject *uo4297 = (struct UserObject*)obj4261;
  uo4297->data[15] = emptyclosure;
  Method *meth_meth_ast_isReadable4297 = addmethod2pos(obj4261, "isReadable", &meth_ast_isReadable4297, 15);
int argcv_meth_ast_isReadable4297[] = {0};
meth_meth_ast_isReadable4297->type = alloc_MethodType(1, argcv_meth_ast_isReadable4297);
  meth_meth_ast_isReadable4297->definitionModule = modulename;
  meth_meth_ast_isReadable4297->definitionLine = 992;
  struct UserObject *uo4300 = (struct UserObject*)obj4261;
  uo4300->data[16] = emptyclosure;
  Method *meth_meth_ast_accept4300 = addmethod2pos(obj4261, "accept", &meth_ast_accept4300, 16);
int argcv_meth_ast_accept4300[] = {1};
meth_meth_ast_accept4300->type = alloc_MethodType(1, argcv_meth_ast_accept4300);
  meth_meth_ast_accept4300->definitionModule = modulename;
  meth_meth_ast_accept4300->definitionLine = 994;
  block_savedest(obj4261);
  Object closure4359 = createclosure(1, "map()before()after");
  setclosureframe(closure4359, stackframe);
  addtoclosure(closure4359, var_classNode);
  struct UserObject *uo4359 = (struct UserObject*)obj4261;
  uo4359->data[17] = (Object)closure4359;
  Method *meth_meth_ast_map_40__41_before_40__41_after4359 = addmethod2pos(obj4261, "map()before()after", &meth_ast_map_40__41_before_40__41_after4359, 17);
int argcv_meth_ast_map_40__41_before_40__41_after4359[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after4359->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after4359);
  meth_meth_ast_map_40__41_before_40__41_after4359->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after4359->definitionLine = 1014;
  struct UserObject *uo4424 = (struct UserObject*)obj4261;
  uo4424->data[18] = emptyclosure;
  Method *meth_meth_ast_map4424 = addmethod2pos(obj4261, "map", &meth_ast_map4424, 18);
int argcv_meth_ast_map4424[] = {1};
meth_meth_ast_map4424->type = alloc_MethodType(1, argcv_meth_ast_map4424);
  meth_meth_ast_map4424->definitionModule = modulename;
  meth_meth_ast_map4424->definitionLine = 1027;
  struct UserObject *uo4433 = (struct UserObject*)obj4261;
  uo4433->data[19] = emptyclosure;
  Method *meth_meth_ast_pretty4433 = addmethod2pos(obj4261, "pretty", &meth_ast_pretty4433, 19);
int argcv_meth_ast_pretty4433[] = {1};
meth_meth_ast_pretty4433->type = alloc_MethodType(1, argcv_meth_ast_pretty4433);
  meth_meth_ast_pretty4433->definitionModule = modulename;
  meth_meth_ast_pretty4433->definitionLine = 1030;
  block_savedest(obj4261);
  Object closure4852 = createclosure(1, "decType");
  setclosureframe(closure4852, stackframe);
  addtoclosure(closure4852, var_identifierNode);
  struct UserObject *uo4852 = (struct UserObject*)obj4261;
  uo4852->data[20] = (Object)closure4852;
  Method *meth_meth_ast_decType4852 = addmethod2pos(obj4261, "decType", &meth_ast_decType4852, 20);
int argcv_meth_ast_decType4852[] = {0};
meth_meth_ast_decType4852->type = alloc_MethodType(1, argcv_meth_ast_decType4852);
  meth_meth_ast_decType4852->definitionModule = modulename;
  meth_meth_ast_decType4852->definitionLine = 1075;
  struct UserObject *uo4866 = (struct UserObject*)obj4261;
  uo4866->data[21] = emptyclosure;
  Method *meth_meth_ast_toGrace4866 = addmethod2pos(obj4261, "toGrace", &meth_ast_toGrace4866, 21);
int argcv_meth_ast_toGrace4866[] = {1};
meth_meth_ast_toGrace4866->type = alloc_MethodType(1, argcv_meth_ast_toGrace4866);
meth_meth_ast_toGrace4866->type->types[0] = type_Number;
meth_meth_ast_toGrace4866->type->names[0] = "depth";
  meth_meth_ast_toGrace4866->definitionModule = modulename;
  meth_meth_ast_toGrace4866->definitionLine = 1082;
  sourceObject = obj4261;
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5093 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5094 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5093);
// compilenode returning call5094
  struct UserObject *obj4261_uo = (struct UserObject *)obj4261;
  obj4261_uo->super = call5094;
  sourceObject = obj4261;
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5095 == NULL) {
    strlit5095 = alloc_String("class");
    gc_root(strlit5095);
  }
// compilenode returning strlit5095
  adddatum2(obj4261, strlit5095, 1);
  sourceObject = obj4261;
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body_39_
  adddatum2(obj4261, *var_body_39_, 2);
  sourceObject = obj4261;
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj4261, *var_name_39_, 3);
  sourceObject = obj4261;
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_constructor_39_
  adddatum2(obj4261, *var_constructor_39_, 4);
  sourceObject = obj4261;
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature_39_
  adddatum2(obj4261, *var_signature_39_, 5);
  sourceObject = obj4261;
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj4261, *var_dtype_39_, 6);
  sourceObject = obj4261;
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5096 = alloc_Boolean(0);
// compilenode returning bool5096
  adddatum2(obj4261, bool5096, 7);
  sourceObject = obj4261;
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_superclass_39_
  adddatum2(obj4261, *var_superclass_39_, 8);
  sourceObject = obj4261;
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5097 = gc_frame_new();
  int callframe5098 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call5099 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe5098);
// compilenode returning call5099
// compilenode returning call5099
  partcv[0] = 0;
  Object call5100 = callmethod(call5099, "new",
    1, partcv, params);
  gc_frame_end(callframe5097);
// compilenode returning call5100
// compilenode returning call5100
  adddatum2(obj4261, call5100, 9);
  sourceObject = obj4261;
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5101 = gc_frame_new();
  int callframe5102 = gc_frame_new();
  partcv[0] = 0;
  Object call5103 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5102);
// compilenode returning call5103
  partcv[0] = 0;
  Object call5104 = callmethod(call5103, "value",
    1, partcv, params);
  gc_frame_end(callframe5101);
// compilenode returning call5104
// compilenode returning call5104
  adddatum2(obj4261, call5104, 10);
  sourceObject = obj4261;
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5105 = gc_frame_new();
  int callframe5106 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call5107 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe5106);
// compilenode returning call5107
// compilenode returning call5107
  partcv[0] = 0;
  Object call5108 = callmethod(call5107, "new",
    1, partcv, params);
  gc_frame_end(callframe5105);
// compilenode returning call5108
// compilenode returning call5108
  adddatum2(obj4261, call5108, 11);
  sourceObject = obj4261;
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5109 = alloc_Boolean(0);
// compilenode returning bool5109
  adddatum2(obj4261, bool5109, 12);
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
  sourceObject = obj4261;
objclass4261 = obj4261->class;
  objclass4261->definitionModule = modulename;
  objclass4261->definitionLine = 946;
  (*(struct UserObject *)self).data[0] = lowerouter4261;
  self = oldself4261;
  selfslot = oldselfslot4261;
  stackframe = oldstackframe4261;
  gc_frame_end(frame);
  return obj4261;
}
Object meth_ast_objectNode5111(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "objectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_objectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for objectNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for objectNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_objectNode
  gc_frame_end(frame);
  return *var_objectNode;
}
Object meth_ast__apply5142(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5143 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_x
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call5144 = callmethod(*var_x, "accept",
    1, partcv, params);
  gc_frame_end(callframe5143);
// compilenode returning call5144
  gc_frame_end(frame);
  return call5144;
}
Object meth_ast_accept5123(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5125 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call5126 = callmethod(*var_visitor, "visitObject",
    1, partcv, params);
  gc_frame_end(callframe5125);
// compilenode returning call5126
  Object if5124 = done;
  if (istrue(call5126)) {
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5129 = alloc_Boolean(0);
// compilenode returning bool5129
  int op_slot_right_5128 = gc_frame_newslot(bool5129);
  int callframe5131 = gc_frame_new();
  partcv[0] = 0;
  Object call5132 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5131);
// compilenode returning call5132
// compilenode returning call5132
  int op_slot_left_5128 = gc_frame_newslot(call5132);
  params[0] = bool5129;
  partcv[0] = 1;
  Object opresult5133 = callmethod(call5132, "!=", 1, partcv, params);
// compilenode returning opresult5133
  Object if5127 = done;
  if (istrue(opresult5133)) {
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5134 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe5135 = gc_frame_new();
  partcv[0] = 0;
  Object call5136 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5135);
// compilenode returning call5136
// compilenode returning call5136
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call5137 = callmethod(call5136, "accept",
    1, partcv, params);
  gc_frame_end(callframe5134);
// compilenode returning call5137
    gc_frame_newslot(call5137);
    if5127 = call5137;
  } else {
  }
// compilenode returning if5127
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5138 = gc_frame_new();
  int callframe5139 = gc_frame_new();
  partcv[0] = 0;
  Object call5140 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5139);
// compilenode returning call5140
// compilenode returning call5140
  gc_frame_newslot(call5140);
  Object block5141 = alloc_Block(NULL, NULL, "ast", 1133);
  gc_frame_newslot(block5141);
  block_savedest(block5141);
  Object closure5142 = createclosure(2, "_apply");
  setclosureframe(closure5142, stackframe);
  addtoclosure(closure5142, var_visitor);
  addtoclosure(closure5142, selfslot);
  struct UserObject *uo5142 = (struct UserObject*)block5141;
  uo5142->data[0] = (Object)closure5142;
  Method *meth_meth_ast__apply5142 = addmethod2pos(block5141, "_apply", &meth_ast__apply5142, 0);
int argcv_meth_ast__apply5142[] = {1};
meth_meth_ast__apply5142->type = alloc_MethodType(1, argcv_meth_ast__apply5142);
  meth_meth_ast__apply5142->definitionModule = modulename;
  meth_meth_ast__apply5142->definitionLine = 1133;
// compilenode returning block5141
  gc_frame_newslot(block5141);
  params[0] = call5140;
  params[1] = block5141;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5146 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5138);
// compilenode returning call5146
    gc_frame_newslot(call5146);
    if5124 = call5146;
  } else {
  }
// compilenode returning if5124
  gc_frame_end(frame);
  return if5124;
}
Object meth_ast_map_40__41_before_40__41_after5147(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_objectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5148 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call5149 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe5148);
// compilenode returning call5149
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5150 = gc_frame_new();
  int callframe5151 = gc_frame_new();
  int callframe5152 = gc_frame_new();
  partcv[0] = 0;
  Object call5153 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5152);
// compilenode returning call5153
  gc_frame_newslot(call5153);
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5154 = gc_frame_new();
  int callframe5155 = gc_frame_new();
  Object call5156 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5155);
// compilenode returning call5156
// compilenode returning call5156
  partcv[0] = 0;
  Object call5157 = callmethodflags(call5156, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5154);
// compilenode returning call5157
// compilenode returning call5157
  params[0] = call5153;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5158 = callmethodflags(call5157, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5151);
// compilenode returning call5158
  gc_frame_newslot(call5158);
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5159 = gc_frame_new();
  int callframe5160 = gc_frame_new();
  partcv[0] = 0;
  Object call5161 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5160);
// compilenode returning call5161
  gc_frame_newslot(call5161);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5162 = gc_frame_new();
  int callframe5163 = gc_frame_new();
  Object call5164 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5163);
// compilenode returning call5164
// compilenode returning call5164
  partcv[0] = 0;
  Object call5165 = callmethodflags(call5164, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5162);
// compilenode returning call5165
// compilenode returning call5165
  params[0] = call5161;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 4;
  Object call5166 = callmethodflags(call5165, "maybeMap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5159);
// compilenode returning call5166
  gc_frame_newslot(call5166);
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_objectNode
  params[0] = call5158;
  params[1] = call5166;
  partcv[0] = 2;
  Object call5167 = callmethod(*var_objectNode, "new",
    1, partcv, params);
  gc_frame_end(callframe5150);
// compilenode returning call5167
  *var_n = call5167;
  if (call5167 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5168 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5169 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe5168);
// compilenode returning call5169
  *var_n = call5169;
  if (call5169 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5171 = gc_frame_new();
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5172 = gc_frame_new();
  partcv[0] = 0;
  Object call5173 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5172);
// compilenode returning call5173
  gc_frame_newslot(call5173);
// compilenode returning *var_n
  params[0] = call5173;
  partcv[0] = 1;
  Object call5174 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe5171);
// compilenode returning call5174
// compilenode returning done
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5175 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5176 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe5175);
// compilenode returning call5176
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply5180(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5183(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map5177(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5178 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block5179 = alloc_Block(NULL, NULL, "ast", 1149);
  gc_frame_newslot(block5179);
  block_savedest(block5179);
  Object closure5180 = createclosure(1, "_apply");
  setclosureframe(closure5180, stackframe);
  addtoclosure(closure5180, selfslot);
  struct UserObject *uo5180 = (struct UserObject*)block5179;
  uo5180->data[0] = (Object)closure5180;
  Method *meth_meth_ast__apply5180 = addmethod2pos(block5179, "_apply", &meth_ast__apply5180, 0);
int argcv_meth_ast__apply5180[] = {0};
meth_meth_ast__apply5180->type = alloc_MethodType(1, argcv_meth_ast__apply5180);
  meth_meth_ast__apply5180->definitionModule = modulename;
  meth_meth_ast__apply5180->definitionLine = 1141;
// compilenode returning block5179
  gc_frame_newslot(block5179);
  Object block5182 = alloc_Block(NULL, NULL, "ast", 1149);
  gc_frame_newslot(block5182);
  block_savedest(block5182);
  Object closure5183 = createclosure(1, "_apply");
  setclosureframe(closure5183, stackframe);
  addtoclosure(closure5183, selfslot);
  struct UserObject *uo5183 = (struct UserObject*)block5182;
  uo5183->data[0] = (Object)closure5183;
  Method *meth_meth_ast__apply5183 = addmethod2pos(block5182, "_apply", &meth_ast__apply5183, 0);
int argcv_meth_ast__apply5183[] = {0};
meth_meth_ast__apply5183->type = alloc_MethodType(1, argcv_meth_ast__apply5183);
  meth_meth_ast__apply5183->definitionModule = modulename;
  meth_meth_ast__apply5183->definitionLine = 1141;
// compilenode returning block5182
  gc_frame_newslot(block5182);
  params[0] = *var_blk;
  params[1] = block5179;
  params[2] = block5182;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5185 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5178);
// compilenode returning call5185
  gc_frame_end(frame);
  return call5185;
}
Object meth_ast__apply5194(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5196 == NULL) {
    strlit5196 = alloc_String("  ");
    gc_root(strlit5196);
  }
// compilenode returning strlit5196
  int op_slot_right_5195 = gc_frame_newslot(strlit5196);
// compilenode returning *var_spc
  int op_slot_left_5195 = gc_frame_newslot(*var_spc);
  params[0] = strlit5196;
  partcv[0] = 1;
  Object opresult5198 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult5198
  *var_spc = opresult5198;
  if (opresult5198 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5262(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5264 = gc_frame_new();
  Object num5266 = alloc_Float64(1);
// compilenode returning num5266
  int op_slot_right_5265 = gc_frame_newslot(num5266);
// compilenode returning *var_depth
  int op_slot_left_5265 = gc_frame_newslot(*var_depth);
  params[0] = num5266;
  partcv[0] = 1;
  Object sum5268 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5268
  gc_frame_newslot(sum5268);
// compilenode returning *var_x
  params[0] = sum5268;
  partcv[0] = 1;
  Object call5269 = callmethod(*var_x, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5264);
// compilenode returning call5269
  int op_slot_right_5263 = gc_frame_newslot(call5269);
// compilenode returning *var_spc
  int op_slot_right_5271 = gc_frame_newslot(*var_spc);
  if (strlit5274 == NULL) {
    strlit5274 = alloc_String("""\x0a""");
    gc_root(strlit5274);
  }
// compilenode returning strlit5274
  int op_slot_right_5273 = gc_frame_newslot(strlit5274);
// compilenode returning *var_s
  int op_slot_left_5273 = gc_frame_newslot(*var_s);
  params[0] = strlit5274;
  partcv[0] = 1;
  Object opresult5276 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5276
  int op_slot_left_5271 = gc_frame_newslot(opresult5276);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5277 = callmethod(opresult5276, "++", 1, partcv, params);
// compilenode returning opresult5277
  int op_slot_left_5263 = gc_frame_newslot(opresult5277);
  params[0] = call5269;
  partcv[0] = 1;
  Object opresult5278 = callmethod(opresult5277, "++", 1, partcv, params);
// compilenode returning opresult5278
  *var_s = opresult5278;
  if (opresult5278 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty5186(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth_39_ = &(stackframe->slots[0]);
  *var_depth_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_depth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "depth");
  Object *var_spc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "spc");
  Object *var_s = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s");
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1152
  setline(1152);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_depth_39_
  *var_depth = *var_depth_39_;
  if (*var_depth_39_ == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5187 == NULL) {
    strlit5187 = alloc_String("");
    gc_root(strlit5187);
  }
// compilenode returning strlit5187
  *var_spc = strlit5187;
  if (strlit5187 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5188 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_5189 = gc_frame_newslot(*var_depth);
  Object num5191 = alloc_Float64(0);
// compilenode returning num5191
  int op_slot_left_5189 = gc_frame_newslot(num5191);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5192 = callmethod(num5191, "..", 1, partcv, params);
// compilenode returning opresult5192
  gc_frame_newslot(opresult5192);
  Object block5193 = alloc_Block(NULL, NULL, "ast", 1154);
  gc_frame_newslot(block5193);
  block_savedest(block5193);
  Object closure5194 = createclosure(2, "_apply");
  setclosureframe(closure5194, stackframe);
  addtoclosure(closure5194, var_spc);
  addtoclosure(closure5194, selfslot);
  struct UserObject *uo5194 = (struct UserObject*)block5193;
  uo5194->data[0] = (Object)closure5194;
  Method *meth_meth_ast__apply5194 = addmethod2pos(block5193, "_apply", &meth_ast__apply5194, 0);
int argcv_meth_ast__apply5194[] = {1};
meth_meth_ast__apply5194->type = alloc_MethodType(1, argcv_meth_ast__apply5194);
  meth_meth_ast__apply5194->definitionModule = modulename;
  meth_meth_ast__apply5194->definitionLine = 1141;
// compilenode returning block5193
  gc_frame_newslot(block5193);
  params[0] = opresult5192;
  params[1] = block5193;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5201 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5188);
// compilenode returning call5201
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5202 == NULL) {
    strlit5202 = alloc_String("Object");
    gc_root(strlit5202);
  }
// compilenode returning strlit5202
  *var_s = strlit5202;
  if (strlit5202 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5205 = alloc_Boolean(0);
// compilenode returning bool5205
  int op_slot_right_5204 = gc_frame_newslot(bool5205);
  int callframe5207 = gc_frame_new();
  partcv[0] = 0;
  Object call5208 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5207);
// compilenode returning call5208
// compilenode returning call5208
  int op_slot_left_5204 = gc_frame_newslot(call5208);
  params[0] = bool5205;
  partcv[0] = 1;
  Object opresult5209 = callmethod(call5208, "!=", 1, partcv, params);
// compilenode returning opresult5209
  Object if5203 = done;
  if (istrue(opresult5209)) {
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5211 == NULL) {
    strlit5211 = alloc_String("Superclass:");
    gc_root(strlit5211);
  }
// compilenode returning strlit5211
  int op_slot_right_5210 = gc_frame_newslot(strlit5211);
// compilenode returning *var_spc
  int op_slot_right_5213 = gc_frame_newslot(*var_spc);
  if (strlit5216 == NULL) {
    strlit5216 = alloc_String("""\x0a""");
    gc_root(strlit5216);
  }
// compilenode returning strlit5216
  int op_slot_right_5215 = gc_frame_newslot(strlit5216);
// compilenode returning *var_s
  int op_slot_left_5215 = gc_frame_newslot(*var_s);
  params[0] = strlit5216;
  partcv[0] = 1;
  Object opresult5218 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5218
  int op_slot_left_5213 = gc_frame_newslot(opresult5218);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5219 = callmethod(opresult5218, "++", 1, partcv, params);
// compilenode returning opresult5219
  int op_slot_left_5210 = gc_frame_newslot(opresult5219);
  params[0] = strlit5211;
  partcv[0] = 1;
  Object opresult5220 = callmethod(opresult5219, "++", 1, partcv, params);
// compilenode returning opresult5220
  *var_s = opresult5220;
  if (opresult5220 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5223 = gc_frame_new();
  Object num5225 = alloc_Float64(1);
// compilenode returning num5225
  int op_slot_right_5224 = gc_frame_newslot(num5225);
// compilenode returning *var_depth
  int op_slot_left_5224 = gc_frame_newslot(*var_depth);
  params[0] = num5225;
  partcv[0] = 1;
  Object sum5227 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5227
  gc_frame_newslot(sum5227);
  int callframe5228 = gc_frame_new();
  partcv[0] = 0;
  Object call5229 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5228);
// compilenode returning call5229
// compilenode returning call5229
  params[0] = sum5227;
  partcv[0] = 1;
  Object call5230 = callmethod(call5229, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5223);
// compilenode returning call5230
  int op_slot_right_5222 = gc_frame_newslot(call5230);
// compilenode returning *var_spc
  int op_slot_right_5232 = gc_frame_newslot(*var_spc);
  if (strlit5235 == NULL) {
    strlit5235 = alloc_String("""\x0a""  ");
    gc_root(strlit5235);
  }
// compilenode returning strlit5235
  int op_slot_right_5234 = gc_frame_newslot(strlit5235);
// compilenode returning *var_s
  int op_slot_left_5234 = gc_frame_newslot(*var_s);
  params[0] = strlit5235;
  partcv[0] = 1;
  Object opresult5237 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5237
  int op_slot_left_5232 = gc_frame_newslot(opresult5237);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5238 = callmethod(opresult5237, "++", 1, partcv, params);
// compilenode returning opresult5238
  int op_slot_left_5222 = gc_frame_newslot(opresult5238);
  params[0] = call5230;
  partcv[0] = 1;
  Object opresult5239 = callmethod(opresult5238, "++", 1, partcv, params);
// compilenode returning opresult5239
  *var_s = opresult5239;
  if (opresult5239 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5242 == NULL) {
    strlit5242 = alloc_String("Body:");
    gc_root(strlit5242);
  }
// compilenode returning strlit5242
  int op_slot_right_5241 = gc_frame_newslot(strlit5242);
// compilenode returning *var_spc
  int op_slot_right_5244 = gc_frame_newslot(*var_spc);
  if (strlit5247 == NULL) {
    strlit5247 = alloc_String("""\x0a""");
    gc_root(strlit5247);
  }
// compilenode returning strlit5247
  int op_slot_right_5246 = gc_frame_newslot(strlit5247);
// compilenode returning *var_s
  int op_slot_left_5246 = gc_frame_newslot(*var_s);
  params[0] = strlit5247;
  partcv[0] = 1;
  Object opresult5249 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5249
  int op_slot_left_5244 = gc_frame_newslot(opresult5249);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5250 = callmethod(opresult5249, "++", 1, partcv, params);
// compilenode returning opresult5250
  int op_slot_left_5241 = gc_frame_newslot(opresult5250);
  params[0] = strlit5242;
  partcv[0] = 1;
  Object opresult5251 = callmethod(opresult5250, "++", 1, partcv, params);
// compilenode returning opresult5251
  *var_s = opresult5251;
  if (opresult5251 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5254 = alloc_Float64(1);
// compilenode returning num5254
  int op_slot_right_5253 = gc_frame_newslot(num5254);
// compilenode returning *var_depth
  int op_slot_left_5253 = gc_frame_newslot(*var_depth);
  params[0] = num5254;
  partcv[0] = 1;
  Object sum5256 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5256
  *var_depth = sum5256;
  if (sum5256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5203 = done;
  } else {
  }
// compilenode returning if5203
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5258 = gc_frame_new();
  int callframe5259 = gc_frame_new();
  partcv[0] = 0;
  Object call5260 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5259);
// compilenode returning call5260
// compilenode returning call5260
  gc_frame_newslot(call5260);
  Object block5261 = alloc_Block(NULL, NULL, "ast", 1164);
  gc_frame_newslot(block5261);
  block_savedest(block5261);
  Object closure5262 = createclosure(4, "_apply");
  setclosureframe(closure5262, stackframe);
  addtoclosure(closure5262, var_depth);
  addtoclosure(closure5262, var_spc);
  addtoclosure(closure5262, var_s);
  addtoclosure(closure5262, selfslot);
  struct UserObject *uo5262 = (struct UserObject*)block5261;
  uo5262->data[0] = (Object)closure5262;
  Method *meth_meth_ast__apply5262 = addmethod2pos(block5261, "_apply", &meth_ast__apply5262, 0);
int argcv_meth_ast__apply5262[] = {1};
meth_meth_ast__apply5262->type = alloc_MethodType(1, argcv_meth_ast__apply5262);
  meth_meth_ast__apply5262->definitionModule = modulename;
  meth_meth_ast__apply5262->definitionLine = 1164;
// compilenode returning block5261
  gc_frame_newslot(block5261);
  params[0] = call5260;
  params[1] = block5261;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5281 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5258);
// compilenode returning call5281
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply5294(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5296 == NULL) {
    strlit5296 = alloc_String("    ");
    gc_root(strlit5296);
  }
// compilenode returning strlit5296
  int op_slot_right_5295 = gc_frame_newslot(strlit5296);
// compilenode returning *var_spc
  int op_slot_left_5295 = gc_frame_newslot(*var_spc);
  params[0] = strlit5296;
  partcv[0] = 1;
  Object opresult5298 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult5298
  *var_spc = opresult5298;
  if (opresult5298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5307(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5309 = gc_frame_new();
  Object num5311 = alloc_Float64(1);
// compilenode returning num5311
  int op_slot_right_5310 = gc_frame_newslot(num5311);
// compilenode returning *var_depth
  int op_slot_left_5310 = gc_frame_newslot(*var_depth);
  params[0] = num5311;
  partcv[0] = 1;
  Object sum5313 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5313
  gc_frame_newslot(sum5313);
// compilenode returning *var_x
  params[0] = sum5313;
  partcv[0] = 1;
  Object call5314 = callmethod(*var_x, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5309);
// compilenode returning call5314
  int op_slot_right_5308 = gc_frame_newslot(call5314);
  if (strlit5317 == NULL) {
    strlit5317 = alloc_String("    ");
    gc_root(strlit5317);
  }
// compilenode returning strlit5317
  int op_slot_right_5316 = gc_frame_newslot(strlit5317);
// compilenode returning *var_spc
  int op_slot_right_5319 = gc_frame_newslot(*var_spc);
  if (strlit5322 == NULL) {
    strlit5322 = alloc_String("""\x0a""");
    gc_root(strlit5322);
  }
// compilenode returning strlit5322
  int op_slot_right_5321 = gc_frame_newslot(strlit5322);
// compilenode returning *var_s
  int op_slot_left_5321 = gc_frame_newslot(*var_s);
  params[0] = strlit5322;
  partcv[0] = 1;
  Object opresult5324 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5324
  int op_slot_left_5319 = gc_frame_newslot(opresult5324);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5325 = callmethod(opresult5324, "++", 1, partcv, params);
// compilenode returning opresult5325
  int op_slot_left_5316 = gc_frame_newslot(opresult5325);
  params[0] = strlit5317;
  partcv[0] = 1;
  Object opresult5326 = callmethod(opresult5325, "++", 1, partcv, params);
// compilenode returning opresult5326
  int op_slot_left_5308 = gc_frame_newslot(opresult5326);
  params[0] = call5314;
  partcv[0] = 1;
  Object opresult5327 = callmethod(opresult5326, "++", 1, partcv, params);
// compilenode returning opresult5327
  *var_s = opresult5327;
  if (opresult5327 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace5282(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5283 == NULL) {
    strlit5283 = alloc_String("");
    gc_root(strlit5283);
  }
// compilenode returning strlit5283
  *var_spc = strlit5283;
  if (strlit5283 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5284 = gc_frame_new();
  Object num5287 = alloc_Float64(1);
// compilenode returning num5287
  int op_slot_right_5286 = gc_frame_newslot(num5287);
// compilenode returning *var_depth
  int op_slot_left_5286 = gc_frame_newslot(*var_depth);
  params[0] = num5287;
  partcv[0] = 1;
  Object diff5289 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff5289
  int op_slot_right_5285 = gc_frame_newslot(diff5289);
  Object num5291 = alloc_Float64(0);
// compilenode returning num5291
  int op_slot_left_5285 = gc_frame_newslot(num5291);
  params[0] = diff5289;
  partcv[0] = 1;
  Object opresult5292 = callmethod(num5291, "..", 1, partcv, params);
// compilenode returning opresult5292
  gc_frame_newslot(opresult5292);
  Object block5293 = alloc_Block(NULL, NULL, "ast", 1171);
  gc_frame_newslot(block5293);
  block_savedest(block5293);
  Object closure5294 = createclosure(2, "_apply");
  setclosureframe(closure5294, stackframe);
  addtoclosure(closure5294, var_spc);
  addtoclosure(closure5294, selfslot);
  struct UserObject *uo5294 = (struct UserObject*)block5293;
  uo5294->data[0] = (Object)closure5294;
  Method *meth_meth_ast__apply5294 = addmethod2pos(block5293, "_apply", &meth_ast__apply5294, 0);
int argcv_meth_ast__apply5294[] = {1};
meth_meth_ast__apply5294->type = alloc_MethodType(1, argcv_meth_ast__apply5294);
  meth_meth_ast__apply5294->definitionModule = modulename;
  meth_meth_ast__apply5294->definitionLine = 1164;
// compilenode returning block5293
  gc_frame_newslot(block5293);
  params[0] = opresult5292;
  params[1] = block5293;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5301 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5284);
// compilenode returning call5301
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5302 == NULL) {
    strlit5302 = alloc_String("object {");
    gc_root(strlit5302);
  }
// compilenode returning strlit5302
  *var_s = strlit5302;
  if (strlit5302 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5303 = gc_frame_new();
  int callframe5304 = gc_frame_new();
  partcv[0] = 0;
  Object call5305 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5304);
// compilenode returning call5305
// compilenode returning call5305
  gc_frame_newslot(call5305);
  Object block5306 = alloc_Block(NULL, NULL, "ast", 1175);
  gc_frame_newslot(block5306);
  block_savedest(block5306);
  Object closure5307 = createclosure(4, "_apply");
  setclosureframe(closure5307, stackframe);
  addtoclosure(closure5307, var_depth);
  addtoclosure(closure5307, var_spc);
  addtoclosure(closure5307, var_s);
  addtoclosure(closure5307, selfslot);
  struct UserObject *uo5307 = (struct UserObject*)block5306;
  uo5307->data[0] = (Object)closure5307;
  Method *meth_meth_ast__apply5307 = addmethod2pos(block5306, "_apply", &meth_ast__apply5307, 0);
int argcv_meth_ast__apply5307[] = {1};
meth_meth_ast__apply5307->type = alloc_MethodType(1, argcv_meth_ast__apply5307);
  meth_meth_ast__apply5307->definitionModule = modulename;
  meth_meth_ast__apply5307->definitionLine = 1175;
// compilenode returning block5306
  gc_frame_newslot(block5306);
  params[0] = call5305;
  params[1] = block5306;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5330 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5303);
// compilenode returning call5330
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5332 == NULL) {
    strlit5332 = alloc_String("}");
    gc_root(strlit5332);
  }
// compilenode returning strlit5332
  int op_slot_right_5331 = gc_frame_newslot(strlit5332);
// compilenode returning *var_spc
  int op_slot_right_5334 = gc_frame_newslot(*var_spc);
  if (strlit5337 == NULL) {
    strlit5337 = alloc_String("""\x0a""");
    gc_root(strlit5337);
  }
// compilenode returning strlit5337
  int op_slot_right_5336 = gc_frame_newslot(strlit5337);
// compilenode returning *var_s
  int op_slot_left_5336 = gc_frame_newslot(*var_s);
  params[0] = strlit5337;
  partcv[0] = 1;
  Object opresult5339 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5339
  int op_slot_left_5334 = gc_frame_newslot(opresult5339);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5340 = callmethod(opresult5339, "++", 1, partcv, params);
// compilenode returning opresult5340
  int op_slot_left_5331 = gc_frame_newslot(opresult5340);
  params[0] = strlit5332;
  partcv[0] = 1;
  Object opresult5341 = callmethod(opresult5340, "++", 1, partcv, params);
// compilenode returning opresult5341
  *var_s = opresult5341;
  if (opresult5341 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new5114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_objectNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_body = &(stackframe->slots[0]);
  *var_body = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5115 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5115 = alloc_userobj2(15,13, objclass5115);
  gc_frame_newslot(obj5115);
if (objclass5115 == NULL) {
  glfree(obj5115->class->name);
  obj5115->class->name = "objectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5115, self, 0);
  addmethodreal(obj5115,"outer", &reader_ast_outer_5116);
  Object oldself5115 = self;
  struct StackFrameObject *oldstackframe5115 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5115);
  gc_frame_newslot((Object)stackframe);
  self = obj5115;
  Object *oldselfslot5115 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5115 = (*(struct UserObject *)self).data[0], lowerouter5115 = thisouter5115;
  if (inheritingObject5115) {
    struct UserObject *inho5115 = (struct UserObject *)inheritingObject5115;
    while (inho5115->super != GraceDefaultObject) inho5115 = (struct UserObject *)inho5115->super;
    inho5115->super = obj5115;
    self = inheritingObject5115;
    *selfslot = self;
    lowerouter5115 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5115;
  }
if (objclass5115 == NULL) {
  Method *reader5117 = addmethodrealflags(obj5115, "kind",&reader_ast_kind_5117, MFLAG_DEF);
  reader5117->definitionModule = modulename;
  reader5117->definitionLine = 1123;
}
adddatum2(obj5115, alloc_Undefined(), 1);
if (objclass5115 == NULL) {
  Method *reader5118 = addmethodrealflags(obj5115, "value",&reader_ast_value_5118, MFLAG_DEF);
  reader5118->definitionModule = modulename;
  reader5118->definitionLine = 1124;
}
adddatum2(obj5115, alloc_Undefined(), 2);
if (objclass5115 == NULL) {
  Method *reader5119 = addmethodrealflags(obj5115, "superclass",&reader_ast_superclass_5119, MFLAG_DEF);
  reader5119->definitionModule = modulename;
  reader5119->definitionLine = 1125;
}
adddatum2(obj5115, alloc_Undefined(), 3);
if (objclass5115 == NULL) {
  Method *reader5120 = addmethodrealflags(obj5115, "otype",&reader_ast_otype_5120, 0);
  Method *writer5120 = addmethodrealflags(obj5115, "otype:=",&writer_ast_otype_5120, 0);
  reader5120->definitionModule = modulename;
  writer5120->definitionModule = modulename;
  reader5120->definitionLine = 1126;
  writer5120->definitionLine = 1126;
}
obj5115->flags |= OFLAG_MUTABLE;
adddatum2(obj5115, alloc_Undefined(), 4);
if (objclass5115 == NULL) {
  Method *reader5121 = addmethodrealflags(obj5115, "classname",&reader_ast_classname_5121, 0);
  Method *writer5121 = addmethodrealflags(obj5115, "classname:=",&writer_ast_classname_5121, 0);
  reader5121->definitionModule = modulename;
  writer5121->definitionModule = modulename;
  reader5121->definitionLine = 1127;
  writer5121->definitionLine = 1127;
}
obj5115->flags |= OFLAG_MUTABLE;
adddatum2(obj5115, alloc_Undefined(), 5);
if (objclass5115 == NULL) {
  Method *reader5122 = addmethodrealflags(obj5115, "data",&reader_ast_data_5122, 0);
  Method *writer5122 = addmethodrealflags(obj5115, "data:=",&writer_ast_data_5122, 0);
  reader5122->definitionModule = modulename;
  writer5122->definitionModule = modulename;
  reader5122->definitionLine = 1128;
  writer5122->definitionLine = 1128;
}
obj5115->flags |= OFLAG_MUTABLE;
adddatum2(obj5115, alloc_Undefined(), 6);
  struct UserObject *uo5123 = (struct UserObject*)obj5115;
  uo5123->data[7] = emptyclosure;
  Method *meth_meth_ast_accept5123 = addmethod2pos(obj5115, "accept", &meth_ast_accept5123, 7);
int argcv_meth_ast_accept5123[] = {1};
meth_meth_ast_accept5123->type = alloc_MethodType(1, argcv_meth_ast_accept5123);
  meth_meth_ast_accept5123->definitionModule = modulename;
  meth_meth_ast_accept5123->definitionLine = 1128;
  block_savedest(obj5115);
  Object closure5147 = createclosure(1, "map()before()after");
  setclosureframe(closure5147, stackframe);
  addtoclosure(closure5147, var_objectNode);
  struct UserObject *uo5147 = (struct UserObject*)obj5115;
  uo5147->data[8] = (Object)closure5147;
  Method *meth_meth_ast_map_40__41_before_40__41_after5147 = addmethod2pos(obj5115, "map()before()after", &meth_ast_map_40__41_before_40__41_after5147, 8);
int argcv_meth_ast_map_40__41_before_40__41_after5147[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5147->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5147);
  meth_meth_ast_map_40__41_before_40__41_after5147->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5147->definitionLine = 1138;
  struct UserObject *uo5177 = (struct UserObject*)obj5115;
  uo5177->data[9] = emptyclosure;
  Method *meth_meth_ast_map5177 = addmethod2pos(obj5115, "map", &meth_ast_map5177, 9);
int argcv_meth_ast_map5177[] = {1};
meth_meth_ast_map5177->type = alloc_MethodType(1, argcv_meth_ast_map5177);
  meth_meth_ast_map5177->definitionModule = modulename;
  meth_meth_ast_map5177->definitionLine = 1148;
  struct UserObject *uo5186 = (struct UserObject*)obj5115;
  uo5186->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty5186 = addmethod2pos(obj5115, "pretty", &meth_ast_pretty5186, 10);
int argcv_meth_ast_pretty5186[] = {1};
meth_meth_ast_pretty5186->type = alloc_MethodType(1, argcv_meth_ast_pretty5186);
  meth_meth_ast_pretty5186->definitionModule = modulename;
  meth_meth_ast_pretty5186->definitionLine = 1151;
  struct UserObject *uo5282 = (struct UserObject*)obj5115;
  uo5282->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace5282 = addmethod2pos(obj5115, "toGrace", &meth_ast_toGrace5282, 11);
int argcv_meth_ast_toGrace5282[] = {1};
meth_meth_ast_toGrace5282->type = alloc_MethodType(1, argcv_meth_ast_toGrace5282);
meth_meth_ast_toGrace5282->type->types[0] = type_Number;
meth_meth_ast_toGrace5282->type->names[0] = "depth";
  meth_meth_ast_toGrace5282->definitionModule = modulename;
  meth_meth_ast_toGrace5282->definitionLine = 1169;
  sourceObject = obj5115;
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5343 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5344 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5343);
// compilenode returning call5344
  struct UserObject *obj5115_uo = (struct UserObject *)obj5115;
  obj5115_uo->super = call5344;
  sourceObject = obj5115;
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5345 == NULL) {
    strlit5345 = alloc_String("object");
    gc_root(strlit5345);
  }
// compilenode returning strlit5345
  adddatum2(obj5115, strlit5345, 1);
  sourceObject = obj5115;
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body
  adddatum2(obj5115, *var_body, 2);
  sourceObject = obj5115;
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_superclass_39_
  adddatum2(obj5115, *var_superclass_39_, 3);
  sourceObject = obj5115;
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5346 = alloc_Boolean(0);
// compilenode returning bool5346
  adddatum2(obj5115, bool5346, 4);
  sourceObject = obj5115;
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5347 == NULL) {
    strlit5347 = alloc_String("object");
    gc_root(strlit5347);
  }
// compilenode returning strlit5347
  adddatum2(obj5115, strlit5347, 5);
  sourceObject = obj5115;
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5348 = alloc_Boolean(0);
// compilenode returning bool5348
  adddatum2(obj5115, bool5348, 6);
  sourceObject = obj5115;
  sourceObject = obj5115;
  sourceObject = obj5115;
  sourceObject = obj5115;
  sourceObject = obj5115;
objclass5115 = obj5115->class;
  objclass5115->definitionModule = modulename;
  objclass5115->definitionLine = 983;
  (*(struct UserObject *)self).data[0] = lowerouter5115;
  self = oldself5115;
  selfslot = oldselfslot5115;
  stackframe = oldstackframe5115;
  gc_frame_end(frame);
  return obj5115;
}
Object meth_ast_new5114_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_objectNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_body = &(stackframe->slots[0]);
  *var_body = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5115 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5115 = alloc_userobj2(15,13, objclass5115);
  gc_frame_newslot(obj5115);
if (objclass5115 == NULL) {
  glfree(obj5115->class->name);
  obj5115->class->name = "objectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5115, self, 0);
  addmethodreal(obj5115,"outer", &reader_ast_outer_5116);
  Object oldself5115 = self;
  struct StackFrameObject *oldstackframe5115 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5115);
  gc_frame_newslot((Object)stackframe);
  self = obj5115;
  Object *oldselfslot5115 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5115 = (*(struct UserObject *)self).data[0], lowerouter5115 = thisouter5115;
  if (inheritingObject5115) {
    struct UserObject *inho5115 = (struct UserObject *)inheritingObject5115;
    while (inho5115->super != GraceDefaultObject) inho5115 = (struct UserObject *)inho5115->super;
    inho5115->super = obj5115;
    self = inheritingObject5115;
    *selfslot = self;
    lowerouter5115 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5115;
  }
if (objclass5115 == NULL) {
  Method *reader5117 = addmethodrealflags(obj5115, "kind",&reader_ast_kind_5117, MFLAG_DEF);
  reader5117->definitionModule = modulename;
  reader5117->definitionLine = 1123;
}
adddatum2(obj5115, alloc_Undefined(), 1);
if (objclass5115 == NULL) {
  Method *reader5118 = addmethodrealflags(obj5115, "value",&reader_ast_value_5118, MFLAG_DEF);
  reader5118->definitionModule = modulename;
  reader5118->definitionLine = 1124;
}
adddatum2(obj5115, alloc_Undefined(), 2);
if (objclass5115 == NULL) {
  Method *reader5119 = addmethodrealflags(obj5115, "superclass",&reader_ast_superclass_5119, MFLAG_DEF);
  reader5119->definitionModule = modulename;
  reader5119->definitionLine = 1125;
}
adddatum2(obj5115, alloc_Undefined(), 3);
if (objclass5115 == NULL) {
  Method *reader5120 = addmethodrealflags(obj5115, "otype",&reader_ast_otype_5120, 0);
  Method *writer5120 = addmethodrealflags(obj5115, "otype:=",&writer_ast_otype_5120, 0);
  reader5120->definitionModule = modulename;
  writer5120->definitionModule = modulename;
  reader5120->definitionLine = 1126;
  writer5120->definitionLine = 1126;
}
obj5115->flags |= OFLAG_MUTABLE;
adddatum2(obj5115, alloc_Undefined(), 4);
if (objclass5115 == NULL) {
  Method *reader5121 = addmethodrealflags(obj5115, "classname",&reader_ast_classname_5121, 0);
  Method *writer5121 = addmethodrealflags(obj5115, "classname:=",&writer_ast_classname_5121, 0);
  reader5121->definitionModule = modulename;
  writer5121->definitionModule = modulename;
  reader5121->definitionLine = 1127;
  writer5121->definitionLine = 1127;
}
obj5115->flags |= OFLAG_MUTABLE;
adddatum2(obj5115, alloc_Undefined(), 5);
if (objclass5115 == NULL) {
  Method *reader5122 = addmethodrealflags(obj5115, "data",&reader_ast_data_5122, 0);
  Method *writer5122 = addmethodrealflags(obj5115, "data:=",&writer_ast_data_5122, 0);
  reader5122->definitionModule = modulename;
  writer5122->definitionModule = modulename;
  reader5122->definitionLine = 1128;
  writer5122->definitionLine = 1128;
}
obj5115->flags |= OFLAG_MUTABLE;
adddatum2(obj5115, alloc_Undefined(), 6);
  struct UserObject *uo5123 = (struct UserObject*)obj5115;
  uo5123->data[7] = emptyclosure;
  Method *meth_meth_ast_accept5123 = addmethod2pos(obj5115, "accept", &meth_ast_accept5123, 7);
int argcv_meth_ast_accept5123[] = {1};
meth_meth_ast_accept5123->type = alloc_MethodType(1, argcv_meth_ast_accept5123);
  meth_meth_ast_accept5123->definitionModule = modulename;
  meth_meth_ast_accept5123->definitionLine = 1128;
  block_savedest(obj5115);
  Object closure5147 = createclosure(1, "map()before()after");
  setclosureframe(closure5147, stackframe);
  addtoclosure(closure5147, var_objectNode);
  struct UserObject *uo5147 = (struct UserObject*)obj5115;
  uo5147->data[8] = (Object)closure5147;
  Method *meth_meth_ast_map_40__41_before_40__41_after5147 = addmethod2pos(obj5115, "map()before()after", &meth_ast_map_40__41_before_40__41_after5147, 8);
int argcv_meth_ast_map_40__41_before_40__41_after5147[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5147->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5147);
  meth_meth_ast_map_40__41_before_40__41_after5147->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5147->definitionLine = 1138;
  struct UserObject *uo5177 = (struct UserObject*)obj5115;
  uo5177->data[9] = emptyclosure;
  Method *meth_meth_ast_map5177 = addmethod2pos(obj5115, "map", &meth_ast_map5177, 9);
int argcv_meth_ast_map5177[] = {1};
meth_meth_ast_map5177->type = alloc_MethodType(1, argcv_meth_ast_map5177);
  meth_meth_ast_map5177->definitionModule = modulename;
  meth_meth_ast_map5177->definitionLine = 1148;
  struct UserObject *uo5186 = (struct UserObject*)obj5115;
  uo5186->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty5186 = addmethod2pos(obj5115, "pretty", &meth_ast_pretty5186, 10);
int argcv_meth_ast_pretty5186[] = {1};
meth_meth_ast_pretty5186->type = alloc_MethodType(1, argcv_meth_ast_pretty5186);
  meth_meth_ast_pretty5186->definitionModule = modulename;
  meth_meth_ast_pretty5186->definitionLine = 1151;
  struct UserObject *uo5282 = (struct UserObject*)obj5115;
  uo5282->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace5282 = addmethod2pos(obj5115, "toGrace", &meth_ast_toGrace5282, 11);
int argcv_meth_ast_toGrace5282[] = {1};
meth_meth_ast_toGrace5282->type = alloc_MethodType(1, argcv_meth_ast_toGrace5282);
meth_meth_ast_toGrace5282->type->types[0] = type_Number;
meth_meth_ast_toGrace5282->type->names[0] = "depth";
  meth_meth_ast_toGrace5282->definitionModule = modulename;
  meth_meth_ast_toGrace5282->definitionLine = 1169;
  sourceObject = obj5115;
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5343 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5344 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5343);
// compilenode returning call5344
  struct UserObject *obj5115_uo = (struct UserObject *)obj5115;
  obj5115_uo->super = call5344;
  sourceObject = obj5115;
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5345 == NULL) {
    strlit5345 = alloc_String("object");
    gc_root(strlit5345);
  }
// compilenode returning strlit5345
  adddatum2(obj5115, strlit5345, 1);
  sourceObject = obj5115;
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_body
  adddatum2(obj5115, *var_body, 2);
  sourceObject = obj5115;
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_superclass_39_
  adddatum2(obj5115, *var_superclass_39_, 3);
  sourceObject = obj5115;
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5346 = alloc_Boolean(0);
// compilenode returning bool5346
  adddatum2(obj5115, bool5346, 4);
  sourceObject = obj5115;
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5347 == NULL) {
    strlit5347 = alloc_String("object");
    gc_root(strlit5347);
  }
// compilenode returning strlit5347
  adddatum2(obj5115, strlit5347, 5);
  sourceObject = obj5115;
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5348 = alloc_Boolean(0);
// compilenode returning bool5348
  adddatum2(obj5115, bool5348, 6);
  sourceObject = obj5115;
  sourceObject = obj5115;
  sourceObject = obj5115;
  sourceObject = obj5115;
  sourceObject = obj5115;
objclass5115 = obj5115->class;
  objclass5115->definitionModule = modulename;
  objclass5115->definitionLine = 983;
  (*(struct UserObject *)self).data[0] = lowerouter5115;
  self = oldself5115;
  selfslot = oldselfslot5115;
  stackframe = oldstackframe5115;
  gc_frame_end(frame);
  return obj5115;
}
Object meth_ast_arrayNode5350(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "arrayNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arrayNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for arrayNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for arrayNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_arrayNode
  gc_frame_end(frame);
  return *var_arrayNode;
}
Object meth_ast__apply5366(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5367 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_ax
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call5368 = callmethod(*var_ax, "accept",
    1, partcv, params);
  gc_frame_end(callframe5367);
// compilenode returning call5368
  gc_frame_end(frame);
  return call5368;
}
Object meth_ast_accept5358(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1187
  setline(1187);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5360 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call5361 = callmethod(*var_visitor, "visitArray",
    1, partcv, params);
  gc_frame_end(callframe5360);
// compilenode returning call5361
  Object if5359 = done;
  if (istrue(call5361)) {
// Begin line 1188
  setline(1188);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5362 = gc_frame_new();
  int callframe5363 = gc_frame_new();
  partcv[0] = 0;
  Object call5364 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5363);
// compilenode returning call5364
// compilenode returning call5364
  gc_frame_newslot(call5364);
  Object block5365 = alloc_Block(NULL, NULL, "ast", 1188);
  gc_frame_newslot(block5365);
  block_savedest(block5365);
  Object closure5366 = createclosure(2, "_apply");
  setclosureframe(closure5366, stackframe);
  addtoclosure(closure5366, var_visitor);
  addtoclosure(closure5366, selfslot);
  struct UserObject *uo5366 = (struct UserObject*)block5365;
  uo5366->data[0] = (Object)closure5366;
  Method *meth_meth_ast__apply5366 = addmethod2pos(block5365, "_apply", &meth_ast__apply5366, 0);
int argcv_meth_ast__apply5366[] = {1};
meth_meth_ast__apply5366->type = alloc_MethodType(1, argcv_meth_ast__apply5366);
  meth_meth_ast__apply5366->definitionModule = modulename;
  meth_meth_ast__apply5366->definitionLine = 1188;
// compilenode returning block5365
  gc_frame_newslot(block5365);
  params[0] = call5364;
  params[1] = block5365;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5370 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5362);
// compilenode returning call5370
    gc_frame_newslot(call5370);
    if5359 = call5370;
  } else {
  }
// compilenode returning if5359
  gc_frame_end(frame);
  return if5359;
}
Object meth_ast_map_40__41_before_40__41_after5371(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_arrayNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5372 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call5373 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe5372);
// compilenode returning call5373
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5374 = gc_frame_new();
  int callframe5375 = gc_frame_new();
  int callframe5376 = gc_frame_new();
  partcv[0] = 0;
  Object call5377 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5376);
// compilenode returning call5377
  gc_frame_newslot(call5377);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe5378 = gc_frame_new();
  int callframe5379 = gc_frame_new();
  Object call5380 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5379);
// compilenode returning call5380
// compilenode returning call5380
  partcv[0] = 0;
  Object call5381 = callmethodflags(call5380, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5378);
// compilenode returning call5381
// compilenode returning call5381
  params[0] = call5377;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5382 = callmethodflags(call5381, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5375);
// compilenode returning call5382
  gc_frame_newslot(call5382);
// compilenode returning *var_arrayNode
  params[0] = call5382;
  partcv[0] = 1;
  Object call5383 = callmethod(*var_arrayNode, "new",
    1, partcv, params);
  gc_frame_end(callframe5374);
// compilenode returning call5383
  *var_n = call5383;
  if (call5383 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5384 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5385 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe5384);
// compilenode returning call5385
  *var_n = call5385;
  if (call5385 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5387 = gc_frame_new();
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5388 = gc_frame_new();
  partcv[0] = 0;
  Object call5389 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5388);
// compilenode returning call5389
  gc_frame_newslot(call5389);
// compilenode returning *var_n
  params[0] = call5389;
  partcv[0] = 1;
  Object call5390 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe5387);
// compilenode returning call5390
// compilenode returning done
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5391 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5392 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe5391);
// compilenode returning call5392
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply5396(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5399(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map5393(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5394 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block5395 = alloc_Block(NULL, NULL, "ast", 1202);
  gc_frame_newslot(block5395);
  block_savedest(block5395);
  Object closure5396 = createclosure(1, "_apply");
  setclosureframe(closure5396, stackframe);
  addtoclosure(closure5396, selfslot);
  struct UserObject *uo5396 = (struct UserObject*)block5395;
  uo5396->data[0] = (Object)closure5396;
  Method *meth_meth_ast__apply5396 = addmethod2pos(block5395, "_apply", &meth_ast__apply5396, 0);
int argcv_meth_ast__apply5396[] = {0};
meth_meth_ast__apply5396->type = alloc_MethodType(1, argcv_meth_ast__apply5396);
  meth_meth_ast__apply5396->definitionModule = modulename;
  meth_meth_ast__apply5396->definitionLine = 1195;
// compilenode returning block5395
  gc_frame_newslot(block5395);
  Object block5398 = alloc_Block(NULL, NULL, "ast", 1202);
  gc_frame_newslot(block5398);
  block_savedest(block5398);
  Object closure5399 = createclosure(1, "_apply");
  setclosureframe(closure5399, stackframe);
  addtoclosure(closure5399, selfslot);
  struct UserObject *uo5399 = (struct UserObject*)block5398;
  uo5399->data[0] = (Object)closure5399;
  Method *meth_meth_ast__apply5399 = addmethod2pos(block5398, "_apply", &meth_ast__apply5399, 0);
int argcv_meth_ast__apply5399[] = {0};
meth_meth_ast__apply5399->type = alloc_MethodType(1, argcv_meth_ast__apply5399);
  meth_meth_ast__apply5399->definitionModule = modulename;
  meth_meth_ast__apply5399->definitionLine = 1195;
// compilenode returning block5398
  gc_frame_newslot(block5398);
  params[0] = *var_blk;
  params[1] = block5395;
  params[2] = block5398;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5401 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5394);
// compilenode returning call5401
  gc_frame_end(frame);
  return call5401;
}
Object meth_ast__apply5410(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ai = &(stackframe->slots[0]);
  *var_ai = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1208
  setline(1208);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5412 == NULL) {
    strlit5412 = alloc_String("  ");
    gc_root(strlit5412);
  }
// compilenode returning strlit5412
  int op_slot_right_5411 = gc_frame_newslot(strlit5412);
// compilenode returning *var_spc
  int op_slot_left_5411 = gc_frame_newslot(*var_spc);
  params[0] = strlit5412;
  partcv[0] = 1;
  Object opresult5414 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult5414
  *var_spc = opresult5414;
  if (opresult5414 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5423(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5425 = gc_frame_new();
  Object num5427 = alloc_Float64(1);
// compilenode returning num5427
  int op_slot_right_5426 = gc_frame_newslot(num5427);
// compilenode returning *var_depth
  int op_slot_left_5426 = gc_frame_newslot(*var_depth);
  params[0] = num5427;
  partcv[0] = 1;
  Object sum5429 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5429
  gc_frame_newslot(sum5429);
// compilenode returning *var_ax
  params[0] = sum5429;
  partcv[0] = 1;
  Object call5430 = callmethod(*var_ax, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5425);
// compilenode returning call5430
  int op_slot_right_5424 = gc_frame_newslot(call5430);
// compilenode returning *var_spc
  int op_slot_right_5432 = gc_frame_newslot(*var_spc);
  if (strlit5435 == NULL) {
    strlit5435 = alloc_String("""\x0a""");
    gc_root(strlit5435);
  }
// compilenode returning strlit5435
  int op_slot_right_5434 = gc_frame_newslot(strlit5435);
// compilenode returning *var_s
  int op_slot_left_5434 = gc_frame_newslot(*var_s);
  params[0] = strlit5435;
  partcv[0] = 1;
  Object opresult5437 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5437
  int op_slot_left_5432 = gc_frame_newslot(opresult5437);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5438 = callmethod(opresult5437, "++", 1, partcv, params);
// compilenode returning opresult5438
  int op_slot_left_5424 = gc_frame_newslot(opresult5438);
  params[0] = call5430;
  partcv[0] = 1;
  Object opresult5439 = callmethod(opresult5438, "++", 1, partcv, params);
// compilenode returning opresult5439
  *var_s = opresult5439;
  if (opresult5439 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty5402(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1205
  setline(1205);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5403 == NULL) {
    strlit5403 = alloc_String("");
    gc_root(strlit5403);
  }
// compilenode returning strlit5403
  *var_spc = strlit5403;
  if (strlit5403 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5404 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_5405 = gc_frame_newslot(*var_depth);
  Object num5407 = alloc_Float64(0);
// compilenode returning num5407
  int op_slot_left_5405 = gc_frame_newslot(num5407);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5408 = callmethod(num5407, "..", 1, partcv, params);
// compilenode returning opresult5408
  gc_frame_newslot(opresult5408);
  Object block5409 = alloc_Block(NULL, NULL, "ast", 1206);
  gc_frame_newslot(block5409);
  block_savedest(block5409);
  Object closure5410 = createclosure(2, "_apply");
  setclosureframe(closure5410, stackframe);
  addtoclosure(closure5410, var_spc);
  addtoclosure(closure5410, selfslot);
  struct UserObject *uo5410 = (struct UserObject*)block5409;
  uo5410->data[0] = (Object)closure5410;
  Method *meth_meth_ast__apply5410 = addmethod2pos(block5409, "_apply", &meth_ast__apply5410, 0);
int argcv_meth_ast__apply5410[] = {1};
meth_meth_ast__apply5410->type = alloc_MethodType(1, argcv_meth_ast__apply5410);
  meth_meth_ast__apply5410->definitionModule = modulename;
  meth_meth_ast__apply5410->definitionLine = 1195;
// compilenode returning block5409
  gc_frame_newslot(block5409);
  params[0] = opresult5408;
  params[1] = block5409;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5417 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5404);
// compilenode returning call5417
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5418 == NULL) {
    strlit5418 = alloc_String("Array");
    gc_root(strlit5418);
  }
// compilenode returning strlit5418
  *var_s = strlit5418;
  if (strlit5418 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5419 = gc_frame_new();
  int callframe5420 = gc_frame_new();
  partcv[0] = 0;
  Object call5421 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5420);
// compilenode returning call5421
// compilenode returning call5421
  gc_frame_newslot(call5421);
  Object block5422 = alloc_Block(NULL, NULL, "ast", 1210);
  gc_frame_newslot(block5422);
  block_savedest(block5422);
  Object closure5423 = createclosure(4, "_apply");
  setclosureframe(closure5423, stackframe);
  addtoclosure(closure5423, var_depth);
  addtoclosure(closure5423, var_spc);
  addtoclosure(closure5423, var_s);
  addtoclosure(closure5423, selfslot);
  struct UserObject *uo5423 = (struct UserObject*)block5422;
  uo5423->data[0] = (Object)closure5423;
  Method *meth_meth_ast__apply5423 = addmethod2pos(block5422, "_apply", &meth_ast__apply5423, 0);
int argcv_meth_ast__apply5423[] = {1};
meth_meth_ast__apply5423->type = alloc_MethodType(1, argcv_meth_ast__apply5423);
  meth_meth_ast__apply5423->definitionModule = modulename;
  meth_meth_ast__apply5423->definitionLine = 1210;
// compilenode returning block5422
  gc_frame_newslot(block5422);
  params[0] = call5421;
  params[1] = block5422;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5442 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5419);
// compilenode returning call5442
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply5451(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5453 = gc_frame_new();
  Object num5454 = alloc_Float64(0);
// compilenode returning num5454
  gc_frame_newslot(num5454);
  int callframe5455 = gc_frame_new();
  partcv[0] = 0;
  Object call5456 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5455);
// compilenode returning call5456
// compilenode returning call5456
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres5457 = callmethod(call5456, "[]", 1, partcv, params);
// compilenode returning idxres5457
  params[0] = num5454;
  partcv[0] = 1;
  Object call5458 = callmethod(idxres5457, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5453);
// compilenode returning call5458
  int op_slot_right_5452 = gc_frame_newslot(call5458);
// compilenode returning *var_s
  int op_slot_left_5452 = gc_frame_newslot(*var_s);
  params[0] = call5458;
  partcv[0] = 1;
  Object opresult5460 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5460
  *var_s = opresult5460;
  if (opresult5460 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5464 = gc_frame_new();
  int callframe5465 = gc_frame_new();
  partcv[0] = 0;
  Object call5466 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5465);
// compilenode returning call5466
// compilenode returning call5466
  partcv[0] = 0;
  Object call5467 = callmethod(call5466, "size",
    1, partcv, params);
  gc_frame_end(callframe5464);
// compilenode returning call5467
// compilenode returning call5467
  int op_slot_right_5463 = gc_frame_newslot(call5467);
// compilenode returning *var_i
  int op_slot_left_5463 = gc_frame_newslot(*var_i);
  params[0] = call5467;
  partcv[0] = 1;
  Object opresult5469 = callmethod(*var_i, "<", 1, partcv, params);
// compilenode returning opresult5469
  Object if5462 = done;
  if (istrue(opresult5469)) {
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1220
  setline(1220);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5471 == NULL) {
    strlit5471 = alloc_String(", ");
    gc_root(strlit5471);
  }
// compilenode returning strlit5471
  int op_slot_right_5470 = gc_frame_newslot(strlit5471);
// compilenode returning *var_s
  int op_slot_left_5470 = gc_frame_newslot(*var_s);
  params[0] = strlit5471;
  partcv[0] = 1;
  Object opresult5473 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5473
  *var_s = opresult5473;
  if (opresult5473 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5462 = done;
  } else {
  }
// compilenode returning if5462
  gc_frame_end(frame);
  return if5462;
}
Object meth_ast_toGrace5443(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5444 == NULL) {
    strlit5444 = alloc_String("[");
    gc_root(strlit5444);
  }
// compilenode returning strlit5444
  *var_s = strlit5444;
  if (strlit5444 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5445 = gc_frame_new();
  int callframe5446 = gc_frame_new();
  int callframe5447 = gc_frame_new();
  partcv[0] = 0;
  Object call5448 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5447);
// compilenode returning call5448
// compilenode returning call5448
  partcv[0] = 0;
  Object call5449 = callmethod(call5448, "indices",
    1, partcv, params);
  gc_frame_end(callframe5446);
// compilenode returning call5449
// compilenode returning call5449
  gc_frame_newslot(call5449);
  Object block5450 = alloc_Block(NULL, NULL, "ast", 1217);
  gc_frame_newslot(block5450);
  block_savedest(block5450);
  Object closure5451 = createclosure(2, "_apply");
  setclosureframe(closure5451, stackframe);
  addtoclosure(closure5451, var_s);
  addtoclosure(closure5451, selfslot);
  struct UserObject *uo5451 = (struct UserObject*)block5450;
  uo5451->data[0] = (Object)closure5451;
  Method *meth_meth_ast__apply5451 = addmethod2pos(block5450, "_apply", &meth_ast__apply5451, 0);
int argcv_meth_ast__apply5451[] = {1};
meth_meth_ast__apply5451->type = alloc_MethodType(1, argcv_meth_ast__apply5451);
  meth_meth_ast__apply5451->definitionModule = modulename;
  meth_meth_ast__apply5451->definitionLine = 1217;
// compilenode returning block5450
  gc_frame_newslot(block5450);
  params[0] = call5449;
  params[1] = block5450;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5476 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5445);
// compilenode returning call5476
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5478 == NULL) {
    strlit5478 = alloc_String("]");
    gc_root(strlit5478);
  }
// compilenode returning strlit5478
  int op_slot_right_5477 = gc_frame_newslot(strlit5478);
// compilenode returning *var_s
  int op_slot_left_5477 = gc_frame_newslot(*var_s);
  params[0] = strlit5478;
  partcv[0] = 1;
  Object opresult5480 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5480
  *var_s = opresult5480;
  if (opresult5480 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new5353(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_arrayNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5354 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5354 = alloc_userobj2(8,9, objclass5354);
  gc_frame_newslot(obj5354);
if (objclass5354 == NULL) {
  glfree(obj5354->class->name);
  obj5354->class->name = "arrayNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5354, self, 0);
  addmethodreal(obj5354,"outer", &reader_ast_outer_5355);
  Object oldself5354 = self;
  struct StackFrameObject *oldstackframe5354 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5354);
  gc_frame_newslot((Object)stackframe);
  self = obj5354;
  Object *oldselfslot5354 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5354 = (*(struct UserObject *)self).data[0], lowerouter5354 = thisouter5354;
  if (inheritingObject5354) {
    struct UserObject *inho5354 = (struct UserObject *)inheritingObject5354;
    while (inho5354->super != GraceDefaultObject) inho5354 = (struct UserObject *)inho5354->super;
    inho5354->super = obj5354;
    self = inheritingObject5354;
    *selfslot = self;
    lowerouter5354 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5354;
  }
if (objclass5354 == NULL) {
  Method *reader5356 = addmethodrealflags(obj5354, "kind",&reader_ast_kind_5356, MFLAG_DEF);
  reader5356->definitionModule = modulename;
  reader5356->definitionLine = 1185;
}
adddatum2(obj5354, alloc_Undefined(), 1);
if (objclass5354 == NULL) {
  Method *reader5357 = addmethodrealflags(obj5354, "value",&reader_ast_value_5357, MFLAG_DEF);
  reader5357->definitionModule = modulename;
  reader5357->definitionLine = 1186;
}
adddatum2(obj5354, alloc_Undefined(), 2);
  struct UserObject *uo5358 = (struct UserObject*)obj5354;
  uo5358->data[3] = emptyclosure;
  Method *meth_meth_ast_accept5358 = addmethod2pos(obj5354, "accept", &meth_ast_accept5358, 3);
int argcv_meth_ast_accept5358[] = {1};
meth_meth_ast_accept5358->type = alloc_MethodType(1, argcv_meth_ast_accept5358);
  meth_meth_ast_accept5358->definitionModule = modulename;
  meth_meth_ast_accept5358->definitionLine = 1186;
  block_savedest(obj5354);
  Object closure5371 = createclosure(1, "map()before()after");
  setclosureframe(closure5371, stackframe);
  addtoclosure(closure5371, var_arrayNode);
  struct UserObject *uo5371 = (struct UserObject*)obj5354;
  uo5371->data[4] = (Object)closure5371;
  Method *meth_meth_ast_map_40__41_before_40__41_after5371 = addmethod2pos(obj5354, "map()before()after", &meth_ast_map_40__41_before_40__41_after5371, 4);
int argcv_meth_ast_map_40__41_before_40__41_after5371[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5371->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5371);
  meth_meth_ast_map_40__41_before_40__41_after5371->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5371->definitionLine = 1193;
  struct UserObject *uo5393 = (struct UserObject*)obj5354;
  uo5393->data[5] = emptyclosure;
  Method *meth_meth_ast_map5393 = addmethod2pos(obj5354, "map", &meth_ast_map5393, 5);
int argcv_meth_ast_map5393[] = {1};
meth_meth_ast_map5393->type = alloc_MethodType(1, argcv_meth_ast_map5393);
  meth_meth_ast_map5393->definitionModule = modulename;
  meth_meth_ast_map5393->definitionLine = 1201;
  struct UserObject *uo5402 = (struct UserObject*)obj5354;
  uo5402->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty5402 = addmethod2pos(obj5354, "pretty", &meth_ast_pretty5402, 6);
int argcv_meth_ast_pretty5402[] = {1};
meth_meth_ast_pretty5402->type = alloc_MethodType(1, argcv_meth_ast_pretty5402);
  meth_meth_ast_pretty5402->definitionModule = modulename;
  meth_meth_ast_pretty5402->definitionLine = 1204;
  struct UserObject *uo5443 = (struct UserObject*)obj5354;
  uo5443->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace5443 = addmethod2pos(obj5354, "toGrace", &meth_ast_toGrace5443, 7);
int argcv_meth_ast_toGrace5443[] = {1};
meth_meth_ast_toGrace5443->type = alloc_MethodType(1, argcv_meth_ast_toGrace5443);
meth_meth_ast_toGrace5443->type->types[0] = type_Number;
meth_meth_ast_toGrace5443->type->names[0] = "depth";
  meth_meth_ast_toGrace5443->definitionModule = modulename;
  meth_meth_ast_toGrace5443->definitionLine = 1215;
  sourceObject = obj5354;
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5482 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5483 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5482);
// compilenode returning call5483
  struct UserObject *obj5354_uo = (struct UserObject *)obj5354;
  obj5354_uo->super = call5483;
  sourceObject = obj5354;
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5484 == NULL) {
    strlit5484 = alloc_String("array");
    gc_root(strlit5484);
  }
// compilenode returning strlit5484
  adddatum2(obj5354, strlit5484, 1);
  sourceObject = obj5354;
// Begin line 1185
  setline(1185);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  adddatum2(obj5354, *var_values, 2);
  sourceObject = obj5354;
  sourceObject = obj5354;
  sourceObject = obj5354;
  sourceObject = obj5354;
  sourceObject = obj5354;
objclass5354 = obj5354->class;
  objclass5354->definitionModule = modulename;
  objclass5354->definitionLine = 1175;
  (*(struct UserObject *)self).data[0] = lowerouter5354;
  self = oldself5354;
  selfslot = oldselfslot5354;
  stackframe = oldstackframe5354;
  gc_frame_end(frame);
  return obj5354;
}
Object meth_ast_new5353_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_arrayNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5354 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5354 = alloc_userobj2(8,9, objclass5354);
  gc_frame_newslot(obj5354);
if (objclass5354 == NULL) {
  glfree(obj5354->class->name);
  obj5354->class->name = "arrayNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5354, self, 0);
  addmethodreal(obj5354,"outer", &reader_ast_outer_5355);
  Object oldself5354 = self;
  struct StackFrameObject *oldstackframe5354 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5354);
  gc_frame_newslot((Object)stackframe);
  self = obj5354;
  Object *oldselfslot5354 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5354 = (*(struct UserObject *)self).data[0], lowerouter5354 = thisouter5354;
  if (inheritingObject5354) {
    struct UserObject *inho5354 = (struct UserObject *)inheritingObject5354;
    while (inho5354->super != GraceDefaultObject) inho5354 = (struct UserObject *)inho5354->super;
    inho5354->super = obj5354;
    self = inheritingObject5354;
    *selfslot = self;
    lowerouter5354 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5354;
  }
if (objclass5354 == NULL) {
  Method *reader5356 = addmethodrealflags(obj5354, "kind",&reader_ast_kind_5356, MFLAG_DEF);
  reader5356->definitionModule = modulename;
  reader5356->definitionLine = 1185;
}
adddatum2(obj5354, alloc_Undefined(), 1);
if (objclass5354 == NULL) {
  Method *reader5357 = addmethodrealflags(obj5354, "value",&reader_ast_value_5357, MFLAG_DEF);
  reader5357->definitionModule = modulename;
  reader5357->definitionLine = 1186;
}
adddatum2(obj5354, alloc_Undefined(), 2);
  struct UserObject *uo5358 = (struct UserObject*)obj5354;
  uo5358->data[3] = emptyclosure;
  Method *meth_meth_ast_accept5358 = addmethod2pos(obj5354, "accept", &meth_ast_accept5358, 3);
int argcv_meth_ast_accept5358[] = {1};
meth_meth_ast_accept5358->type = alloc_MethodType(1, argcv_meth_ast_accept5358);
  meth_meth_ast_accept5358->definitionModule = modulename;
  meth_meth_ast_accept5358->definitionLine = 1186;
  block_savedest(obj5354);
  Object closure5371 = createclosure(1, "map()before()after");
  setclosureframe(closure5371, stackframe);
  addtoclosure(closure5371, var_arrayNode);
  struct UserObject *uo5371 = (struct UserObject*)obj5354;
  uo5371->data[4] = (Object)closure5371;
  Method *meth_meth_ast_map_40__41_before_40__41_after5371 = addmethod2pos(obj5354, "map()before()after", &meth_ast_map_40__41_before_40__41_after5371, 4);
int argcv_meth_ast_map_40__41_before_40__41_after5371[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5371->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5371);
  meth_meth_ast_map_40__41_before_40__41_after5371->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5371->definitionLine = 1193;
  struct UserObject *uo5393 = (struct UserObject*)obj5354;
  uo5393->data[5] = emptyclosure;
  Method *meth_meth_ast_map5393 = addmethod2pos(obj5354, "map", &meth_ast_map5393, 5);
int argcv_meth_ast_map5393[] = {1};
meth_meth_ast_map5393->type = alloc_MethodType(1, argcv_meth_ast_map5393);
  meth_meth_ast_map5393->definitionModule = modulename;
  meth_meth_ast_map5393->definitionLine = 1201;
  struct UserObject *uo5402 = (struct UserObject*)obj5354;
  uo5402->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty5402 = addmethod2pos(obj5354, "pretty", &meth_ast_pretty5402, 6);
int argcv_meth_ast_pretty5402[] = {1};
meth_meth_ast_pretty5402->type = alloc_MethodType(1, argcv_meth_ast_pretty5402);
  meth_meth_ast_pretty5402->definitionModule = modulename;
  meth_meth_ast_pretty5402->definitionLine = 1204;
  struct UserObject *uo5443 = (struct UserObject*)obj5354;
  uo5443->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace5443 = addmethod2pos(obj5354, "toGrace", &meth_ast_toGrace5443, 7);
int argcv_meth_ast_toGrace5443[] = {1};
meth_meth_ast_toGrace5443->type = alloc_MethodType(1, argcv_meth_ast_toGrace5443);
meth_meth_ast_toGrace5443->type->types[0] = type_Number;
meth_meth_ast_toGrace5443->type->names[0] = "depth";
  meth_meth_ast_toGrace5443->definitionModule = modulename;
  meth_meth_ast_toGrace5443->definitionLine = 1215;
  sourceObject = obj5354;
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5482 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5483 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5482);
// compilenode returning call5483
  struct UserObject *obj5354_uo = (struct UserObject *)obj5354;
  obj5354_uo->super = call5483;
  sourceObject = obj5354;
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5484 == NULL) {
    strlit5484 = alloc_String("array");
    gc_root(strlit5484);
  }
// compilenode returning strlit5484
  adddatum2(obj5354, strlit5484, 1);
  sourceObject = obj5354;
// Begin line 1185
  setline(1185);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  adddatum2(obj5354, *var_values, 2);
  sourceObject = obj5354;
  sourceObject = obj5354;
  sourceObject = obj5354;
  sourceObject = obj5354;
  sourceObject = obj5354;
objclass5354 = obj5354->class;
  objclass5354->definitionModule = modulename;
  objclass5354->definitionLine = 1175;
  (*(struct UserObject *)self).data[0] = lowerouter5354;
  self = oldself5354;
  selfslot = oldselfslot5354;
  stackframe = oldstackframe5354;
  gc_frame_end(frame);
  return obj5354;
}
Object meth_ast_memberNode5486(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "memberNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for memberNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for memberNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_memberNode
  gc_frame_end(frame);
  return *var_memberNode;
}
Object meth_ast_accept5495(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1234
  setline(1234);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5497 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call5498 = callmethod(*var_visitor, "visitMember",
    1, partcv, params);
  gc_frame_end(callframe5497);
// compilenode returning call5498
  Object if5496 = done;
  if (istrue(call5498)) {
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5499 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe5500 = gc_frame_new();
  partcv[0] = 0;
  Object call5501 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5500);
// compilenode returning call5501
// compilenode returning call5501
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call5502 = callmethod(call5501, "accept",
    1, partcv, params);
  gc_frame_end(callframe5499);
// compilenode returning call5502
    gc_frame_newslot(call5502);
    if5496 = call5502;
  } else {
  }
// compilenode returning if5496
  gc_frame_end(frame);
  return if5496;
}
Object meth_ast_map_40__41_before_40__41_after5503(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[3];
  int partcv[3];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5504 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call5505 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe5504);
// compilenode returning call5505
// Begin line 1240
  setline(1240);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5506 = gc_frame_new();
  int callframe5507 = gc_frame_new();
  partcv[0] = 0;
  Object call5508 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5507);
// compilenode returning call5508
  gc_frame_newslot(call5508);
  int callframe5509 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe5510 = gc_frame_new();
  partcv[0] = 0;
  Object call5511 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5510);
// compilenode returning call5511
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5512 = callmethod(call5511, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe5509);
// compilenode returning call5512
  gc_frame_newslot(call5512);
// compilenode returning *var_memberNode
  params[0] = call5508;
  params[1] = call5512;
  partcv[0] = 2;
  Object call5513 = callmethod(*var_memberNode, "new",
    1, partcv, params);
  gc_frame_end(callframe5506);
// compilenode returning call5513
  *var_n = call5513;
  if (call5513 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5514 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5515 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe5514);
// compilenode returning call5515
  *var_n = call5515;
  if (call5515 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5517 = gc_frame_new();
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5518 = gc_frame_new();
  partcv[0] = 0;
  Object call5519 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5518);
// compilenode returning call5519
  gc_frame_newslot(call5519);
// compilenode returning *var_n
  params[0] = call5519;
  partcv[0] = 1;
  Object call5520 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe5517);
// compilenode returning call5520
// compilenode returning done
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5521 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5522 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe5521);
// compilenode returning call5522
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply5526(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5529(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map5523(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5524 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block5525 = alloc_Block(NULL, NULL, "ast", 1247);
  gc_frame_newslot(block5525);
  block_savedest(block5525);
  Object closure5526 = createclosure(1, "_apply");
  setclosureframe(closure5526, stackframe);
  addtoclosure(closure5526, selfslot);
  struct UserObject *uo5526 = (struct UserObject*)block5525;
  uo5526->data[0] = (Object)closure5526;
  Method *meth_meth_ast__apply5526 = addmethod2pos(block5525, "_apply", &meth_ast__apply5526, 0);
int argcv_meth_ast__apply5526[] = {0};
meth_meth_ast__apply5526->type = alloc_MethodType(1, argcv_meth_ast__apply5526);
  meth_meth_ast__apply5526->definitionModule = modulename;
  meth_meth_ast__apply5526->definitionLine = 1235;
// compilenode returning block5525
  gc_frame_newslot(block5525);
  Object block5528 = alloc_Block(NULL, NULL, "ast", 1247);
  gc_frame_newslot(block5528);
  block_savedest(block5528);
  Object closure5529 = createclosure(1, "_apply");
  setclosureframe(closure5529, stackframe);
  addtoclosure(closure5529, selfslot);
  struct UserObject *uo5529 = (struct UserObject*)block5528;
  uo5529->data[0] = (Object)closure5529;
  Method *meth_meth_ast__apply5529 = addmethod2pos(block5528, "_apply", &meth_ast__apply5529, 0);
int argcv_meth_ast__apply5529[] = {0};
meth_meth_ast__apply5529->type = alloc_MethodType(1, argcv_meth_ast__apply5529);
  meth_meth_ast__apply5529->definitionModule = modulename;
  meth_meth_ast__apply5529->definitionLine = 1235;
// compilenode returning block5528
  gc_frame_newslot(block5528);
  params[0] = *var_blk;
  params[1] = block5525;
  params[2] = block5528;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5531 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5524);
// compilenode returning call5531
  gc_frame_end(frame);
  return call5531;
}
Object meth_ast__apply5540(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1253
  setline(1253);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5542 == NULL) {
    strlit5542 = alloc_String("  ");
    gc_root(strlit5542);
  }
// compilenode returning strlit5542
  int op_slot_right_5541 = gc_frame_newslot(strlit5542);
// compilenode returning *var_spc
  int op_slot_left_5541 = gc_frame_newslot(*var_spc);
  params[0] = strlit5542;
  partcv[0] = 1;
  Object opresult5544 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult5544
  *var_spc = opresult5544;
  if (opresult5544 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty5532(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5533 == NULL) {
    strlit5533 = alloc_String("");
    gc_root(strlit5533);
  }
// compilenode returning strlit5533
  *var_spc = strlit5533;
  if (strlit5533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5534 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_5535 = gc_frame_newslot(*var_depth);
  Object num5537 = alloc_Float64(0);
// compilenode returning num5537
  int op_slot_left_5535 = gc_frame_newslot(num5537);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5538 = callmethod(num5537, "..", 1, partcv, params);
// compilenode returning opresult5538
  gc_frame_newslot(opresult5538);
  Object block5539 = alloc_Block(NULL, NULL, "ast", 1251);
  gc_frame_newslot(block5539);
  block_savedest(block5539);
  Object closure5540 = createclosure(2, "_apply");
  setclosureframe(closure5540, stackframe);
  addtoclosure(closure5540, var_spc);
  addtoclosure(closure5540, selfslot);
  struct UserObject *uo5540 = (struct UserObject*)block5539;
  uo5540->data[0] = (Object)closure5540;
  Method *meth_meth_ast__apply5540 = addmethod2pos(block5539, "_apply", &meth_ast__apply5540, 0);
int argcv_meth_ast__apply5540[] = {1};
meth_meth_ast__apply5540->type = alloc_MethodType(1, argcv_meth_ast__apply5540);
  meth_meth_ast__apply5540->definitionModule = modulename;
  meth_meth_ast__apply5540->definitionLine = 1235;
// compilenode returning block5539
  gc_frame_newslot(block5539);
  params[0] = opresult5538;
  params[1] = block5539;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5547 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5534);
// compilenode returning call5547
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5549 == NULL) {
    strlit5549 = alloc_String(")""\x0a""");
    gc_root(strlit5549);
  }
// compilenode returning strlit5549
  int op_slot_right_5548 = gc_frame_newslot(strlit5549);
  int callframe5552 = gc_frame_new();
  partcv[0] = 0;
  Object call5553 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5552);
// compilenode returning call5553
// compilenode returning call5553
  int op_slot_right_5551 = gc_frame_newslot(call5553);
  if (strlit5555 == NULL) {
    strlit5555 = alloc_String("Member(");
    gc_root(strlit5555);
  }
// compilenode returning strlit5555
  int op_slot_left_5551 = gc_frame_newslot(strlit5555);
  params[0] = call5553;
  partcv[0] = 1;
  Object opresult5556 = callmethod(strlit5555, "++", 1, partcv, params);
// compilenode returning opresult5556
  int op_slot_left_5548 = gc_frame_newslot(opresult5556);
  params[0] = strlit5549;
  partcv[0] = 1;
  Object opresult5557 = callmethod(opresult5556, "++", 1, partcv, params);
// compilenode returning opresult5557
  *var_s = opresult5557;
  if (opresult5557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5559 = gc_frame_new();
  Object num5561 = alloc_Float64(1);
// compilenode returning num5561
  int op_slot_right_5560 = gc_frame_newslot(num5561);
// compilenode returning *var_depth
  int op_slot_left_5560 = gc_frame_newslot(*var_depth);
  params[0] = num5561;
  partcv[0] = 1;
  Object sum5563 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5563
  gc_frame_newslot(sum5563);
  int callframe5564 = gc_frame_new();
  partcv[0] = 0;
  Object call5565 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5564);
// compilenode returning call5565
// compilenode returning call5565
  params[0] = sum5563;
  partcv[0] = 1;
  Object call5566 = callmethod(call5565, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5559);
// compilenode returning call5566
  int op_slot_right_5558 = gc_frame_newslot(call5566);
// compilenode returning *var_spc
  int op_slot_right_5568 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_5568 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5570 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5570
  int op_slot_left_5558 = gc_frame_newslot(opresult5570);
  params[0] = call5566;
  partcv[0] = 1;
  Object opresult5571 = callmethod(opresult5570, "++", 1, partcv, params);
// compilenode returning opresult5571
  *var_s = opresult5571;
  if (opresult5571 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace5573(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5574 == NULL) {
    strlit5574 = alloc_String("");
    gc_root(strlit5574);
  }
// compilenode returning strlit5574
  *var_s = strlit5574;
  if (strlit5574 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5577 == NULL) {
    strlit5577 = alloc_String("prefix");
    gc_root(strlit5577);
  }
// compilenode returning strlit5577
  int op_slot_right_5576 = gc_frame_newslot(strlit5577);
  int callframe5579 = gc_frame_new();
  Object num5580 = alloc_Float64(1);
// compilenode returning num5580
  gc_frame_newslot(num5580);
  Object num5581 = alloc_Float64(6);
// compilenode returning num5581
  gc_frame_newslot(num5581);
  int callframe5582 = gc_frame_new();
  partcv[0] = 0;
  Object call5583 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5582);
// compilenode returning call5583
// compilenode returning call5583
  params[0] = num5580;
  params[1] = num5581;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5584 = callmethod(call5583, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe5579);
// compilenode returning call5584
  int op_slot_left_5576 = gc_frame_newslot(call5584);
  params[0] = strlit5577;
  partcv[0] = 1;
  Object opresult5585 = callmethod(call5584, "==", 1, partcv, params);
// compilenode returning opresult5585
  Object if5575 = done;
  if (istrue(opresult5585)) {
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5586 = gc_frame_new();
  Object num5587 = alloc_Float64(7);
// compilenode returning num5587
  gc_frame_newslot(num5587);
  int callframe5588 = gc_frame_new();
  int callframe5589 = gc_frame_new();
  partcv[0] = 0;
  Object call5590 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5589);
// compilenode returning call5590
// compilenode returning call5590
  partcv[0] = 0;
  Object call5591 = callmethod(call5590, "size",
    1, partcv, params);
  gc_frame_end(callframe5588);
// compilenode returning call5591
// compilenode returning call5591
  gc_frame_newslot(call5591);
  int callframe5592 = gc_frame_new();
  partcv[0] = 0;
  Object call5593 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5592);
// compilenode returning call5593
// compilenode returning call5593
  params[0] = num5587;
  params[1] = call5591;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5594 = callmethod(call5593, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe5586);
// compilenode returning call5594
  *var_s = call5594;
  if (call5594 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1262
  setline(1262);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5597 = gc_frame_new();
  Object num5598 = alloc_Float64(0);
// compilenode returning num5598
  gc_frame_newslot(num5598);
  int callframe5599 = gc_frame_new();
  partcv[0] = 0;
  Object call5600 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5599);
// compilenode returning call5600
// compilenode returning call5600
  params[0] = num5598;
  partcv[0] = 1;
  Object call5601 = callmethod(call5600, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5597);
// compilenode returning call5601
  int op_slot_right_5596 = gc_frame_newslot(call5601);
  if (strlit5604 == NULL) {
    strlit5604 = alloc_String(" ");
    gc_root(strlit5604);
  }
// compilenode returning strlit5604
  int op_slot_right_5603 = gc_frame_newslot(strlit5604);
// compilenode returning *var_s
  int op_slot_left_5603 = gc_frame_newslot(*var_s);
  params[0] = strlit5604;
  partcv[0] = 1;
  Object opresult5606 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5606
  int op_slot_left_5596 = gc_frame_newslot(opresult5606);
  params[0] = call5601;
  partcv[0] = 1;
  Object opresult5607 = callmethod(opresult5606, "++", 1, partcv, params);
// compilenode returning opresult5607
  *var_s = opresult5607;
  if (opresult5607 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5575 = done;
  } else {
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5610 = gc_frame_new();
  partcv[0] = 0;
  Object call5611 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5610);
// compilenode returning call5611
// compilenode returning call5611
  int op_slot_right_5609 = gc_frame_newslot(call5611);
  if (strlit5614 == NULL) {
    strlit5614 = alloc_String(".");
    gc_root(strlit5614);
  }
// compilenode returning strlit5614
  int op_slot_right_5613 = gc_frame_newslot(strlit5614);
  int callframe5616 = gc_frame_new();
// compilenode returning *var_depth
  gc_frame_newslot(*var_depth);
  int callframe5617 = gc_frame_new();
  partcv[0] = 0;
  Object call5618 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5617);
// compilenode returning call5618
// compilenode returning call5618
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call5619 = callmethod(call5618, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5616);
// compilenode returning call5619
  int op_slot_left_5613 = gc_frame_newslot(call5619);
  params[0] = strlit5614;
  partcv[0] = 1;
  Object opresult5620 = callmethod(call5619, "++", 1, partcv, params);
// compilenode returning opresult5620
  int op_slot_left_5609 = gc_frame_newslot(opresult5620);
  params[0] = call5611;
  partcv[0] = 1;
  Object opresult5621 = callmethod(opresult5620, "++", 1, partcv, params);
// compilenode returning opresult5621
  *var_s = opresult5621;
  if (opresult5621 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5575 = done;
  }
// compilenode returning if5575
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString5623(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5625 == NULL) {
    strlit5625 = alloc_String(")");
    gc_root(strlit5625);
  }
// compilenode returning strlit5625
  int op_slot_right_5624 = gc_frame_newslot(strlit5625);
  int callframe5628 = gc_frame_new();
  partcv[0] = 0;
  Object call5629 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5628);
// compilenode returning call5629
// compilenode returning call5629
  int op_slot_right_5627 = gc_frame_newslot(call5629);
  if (strlit5631 == NULL) {
    strlit5631 = alloc_String("Member(");
    gc_root(strlit5631);
  }
// compilenode returning strlit5631
  int op_slot_left_5627 = gc_frame_newslot(strlit5631);
  params[0] = call5629;
  partcv[0] = 1;
  Object opresult5632 = callmethod(strlit5631, "++", 1, partcv, params);
// compilenode returning opresult5632
  int op_slot_left_5624 = gc_frame_newslot(opresult5632);
  params[0] = strlit5625;
  partcv[0] = 1;
  Object opresult5633 = callmethod(opresult5632, "++", 1, partcv, params);
// compilenode returning opresult5633
  gc_frame_end(frame);
  return opresult5633;
}
Object meth_ast_new5489(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_memberNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_what = &(stackframe->slots[0]);
  *var_what = args[curarg];
  curarg++;
  Object *var_in_39_ = &(stackframe->slots[1]);
  *var_in_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5490 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5490 = alloc_userobj2(11,11, objclass5490);
  gc_frame_newslot(obj5490);
if (objclass5490 == NULL) {
  glfree(obj5490->class->name);
  obj5490->class->name = "memberNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5490, self, 0);
  addmethodreal(obj5490,"outer", &reader_ast_outer_5491);
  Object oldself5490 = self;
  struct StackFrameObject *oldstackframe5490 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5490);
  gc_frame_newslot((Object)stackframe);
  self = obj5490;
  Object *oldselfslot5490 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5490 = (*(struct UserObject *)self).data[0], lowerouter5490 = thisouter5490;
  if (inheritingObject5490) {
    struct UserObject *inho5490 = (struct UserObject *)inheritingObject5490;
    while (inho5490->super != GraceDefaultObject) inho5490 = (struct UserObject *)inho5490->super;
    inho5490->super = obj5490;
    self = inheritingObject5490;
    *selfslot = self;
    lowerouter5490 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5490;
  }
if (objclass5490 == NULL) {
  Method *reader5492 = addmethodrealflags(obj5490, "kind",&reader_ast_kind_5492, MFLAG_DEF);
  reader5492->definitionModule = modulename;
  reader5492->definitionLine = 1230;
}
adddatum2(obj5490, alloc_Undefined(), 1);
if (objclass5490 == NULL) {
  Method *reader5493 = addmethodrealflags(obj5490, "value",&reader_ast_value_5493, 0);
  Method *writer5493 = addmethodrealflags(obj5490, "value:=",&writer_ast_value_5493, 0);
  reader5493->definitionModule = modulename;
  writer5493->definitionModule = modulename;
  reader5493->definitionLine = 1231;
  writer5493->definitionLine = 1231;
}
obj5490->flags |= OFLAG_MUTABLE;
adddatum2(obj5490, alloc_Undefined(), 2);
if (objclass5490 == NULL) {
  Method *reader5494 = addmethodrealflags(obj5490, "in",&reader_ast_in_5494, MFLAG_DEF);
  reader5494->definitionModule = modulename;
  reader5494->definitionLine = 1233;
}
adddatum2(obj5490, alloc_Undefined(), 3);
  struct UserObject *uo5495 = (struct UserObject*)obj5490;
  uo5495->data[4] = emptyclosure;
  Method *meth_meth_ast_accept5495 = addmethod2pos(obj5490, "accept", &meth_ast_accept5495, 4);
int argcv_meth_ast_accept5495[] = {1};
meth_meth_ast_accept5495->type = alloc_MethodType(1, argcv_meth_ast_accept5495);
  meth_meth_ast_accept5495->definitionModule = modulename;
  meth_meth_ast_accept5495->definitionLine = 1233;
  block_savedest(obj5490);
  Object closure5503 = createclosure(1, "map()before()after");
  setclosureframe(closure5503, stackframe);
  addtoclosure(closure5503, var_memberNode);
  struct UserObject *uo5503 = (struct UserObject*)obj5490;
  uo5503->data[5] = (Object)closure5503;
  Method *meth_meth_ast_map_40__41_before_40__41_after5503 = addmethod2pos(obj5490, "map()before()after", &meth_ast_map_40__41_before_40__41_after5503, 5);
int argcv_meth_ast_map_40__41_before_40__41_after5503[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5503->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5503);
  meth_meth_ast_map_40__41_before_40__41_after5503->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5503->definitionLine = 1238;
  struct UserObject *uo5523 = (struct UserObject*)obj5490;
  uo5523->data[6] = emptyclosure;
  Method *meth_meth_ast_map5523 = addmethod2pos(obj5490, "map", &meth_ast_map5523, 6);
int argcv_meth_ast_map5523[] = {1};
meth_meth_ast_map5523->type = alloc_MethodType(1, argcv_meth_ast_map5523);
  meth_meth_ast_map5523->definitionModule = modulename;
  meth_meth_ast_map5523->definitionLine = 1246;
  struct UserObject *uo5532 = (struct UserObject*)obj5490;
  uo5532->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty5532 = addmethod2pos(obj5490, "pretty", &meth_ast_pretty5532, 7);
int argcv_meth_ast_pretty5532[] = {1};
meth_meth_ast_pretty5532->type = alloc_MethodType(1, argcv_meth_ast_pretty5532);
  meth_meth_ast_pretty5532->definitionModule = modulename;
  meth_meth_ast_pretty5532->definitionLine = 1249;
  struct UserObject *uo5573 = (struct UserObject*)obj5490;
  uo5573->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace5573 = addmethod2pos(obj5490, "toGrace", &meth_ast_toGrace5573, 8);
int argcv_meth_ast_toGrace5573[] = {1};
meth_meth_ast_toGrace5573->type = alloc_MethodType(1, argcv_meth_ast_toGrace5573);
meth_meth_ast_toGrace5573->type->types[0] = type_Number;
meth_meth_ast_toGrace5573->type->names[0] = "depth";
  meth_meth_ast_toGrace5573->definitionModule = modulename;
  meth_meth_ast_toGrace5573->definitionLine = 1258;
  struct UserObject *uo5623 = (struct UserObject*)obj5490;
  uo5623->data[9] = emptyclosure;
  Method *meth_meth_ast_asString5623 = addmethod2pos(obj5490, "asString", &meth_ast_asString5623, 9);
int argcv_meth_ast_asString5623[] = {0};
meth_meth_ast_asString5623->type = alloc_MethodType(1, argcv_meth_ast_asString5623);
  meth_meth_ast_asString5623->definitionModule = modulename;
  meth_meth_ast_asString5623->definitionLine = 1268;
  sourceObject = obj5490;
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5634 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5635 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5634);
// compilenode returning call5635
  struct UserObject *obj5490_uo = (struct UserObject *)obj5490;
  obj5490_uo->super = call5635;
  sourceObject = obj5490;
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5636 == NULL) {
    strlit5636 = alloc_String("member");
    gc_root(strlit5636);
  }
// compilenode returning strlit5636
  adddatum2(obj5490, strlit5636, 1);
  sourceObject = obj5490;
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_what
  adddatum2(obj5490, *var_what, 2);
  sourceObject = obj5490;
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_in_39_
  adddatum2(obj5490, *var_in_39_, 3);
  sourceObject = obj5490;
  sourceObject = obj5490;
  sourceObject = obj5490;
  sourceObject = obj5490;
  sourceObject = obj5490;
  sourceObject = obj5490;
objclass5490 = obj5490->class;
  objclass5490->definitionModule = modulename;
  objclass5490->definitionLine = 1219;
  (*(struct UserObject *)self).data[0] = lowerouter5490;
  self = oldself5490;
  selfslot = oldselfslot5490;
  stackframe = oldstackframe5490;
  gc_frame_end(frame);
  return obj5490;
}
Object meth_ast_new5489_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_memberNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_what = &(stackframe->slots[0]);
  *var_what = args[curarg];
  curarg++;
  Object *var_in_39_ = &(stackframe->slots[1]);
  *var_in_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5490 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5490 = alloc_userobj2(11,11, objclass5490);
  gc_frame_newslot(obj5490);
if (objclass5490 == NULL) {
  glfree(obj5490->class->name);
  obj5490->class->name = "memberNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5490, self, 0);
  addmethodreal(obj5490,"outer", &reader_ast_outer_5491);
  Object oldself5490 = self;
  struct StackFrameObject *oldstackframe5490 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5490);
  gc_frame_newslot((Object)stackframe);
  self = obj5490;
  Object *oldselfslot5490 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5490 = (*(struct UserObject *)self).data[0], lowerouter5490 = thisouter5490;
  if (inheritingObject5490) {
    struct UserObject *inho5490 = (struct UserObject *)inheritingObject5490;
    while (inho5490->super != GraceDefaultObject) inho5490 = (struct UserObject *)inho5490->super;
    inho5490->super = obj5490;
    self = inheritingObject5490;
    *selfslot = self;
    lowerouter5490 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5490;
  }
if (objclass5490 == NULL) {
  Method *reader5492 = addmethodrealflags(obj5490, "kind",&reader_ast_kind_5492, MFLAG_DEF);
  reader5492->definitionModule = modulename;
  reader5492->definitionLine = 1230;
}
adddatum2(obj5490, alloc_Undefined(), 1);
if (objclass5490 == NULL) {
  Method *reader5493 = addmethodrealflags(obj5490, "value",&reader_ast_value_5493, 0);
  Method *writer5493 = addmethodrealflags(obj5490, "value:=",&writer_ast_value_5493, 0);
  reader5493->definitionModule = modulename;
  writer5493->definitionModule = modulename;
  reader5493->definitionLine = 1231;
  writer5493->definitionLine = 1231;
}
obj5490->flags |= OFLAG_MUTABLE;
adddatum2(obj5490, alloc_Undefined(), 2);
if (objclass5490 == NULL) {
  Method *reader5494 = addmethodrealflags(obj5490, "in",&reader_ast_in_5494, MFLAG_DEF);
  reader5494->definitionModule = modulename;
  reader5494->definitionLine = 1233;
}
adddatum2(obj5490, alloc_Undefined(), 3);
  struct UserObject *uo5495 = (struct UserObject*)obj5490;
  uo5495->data[4] = emptyclosure;
  Method *meth_meth_ast_accept5495 = addmethod2pos(obj5490, "accept", &meth_ast_accept5495, 4);
int argcv_meth_ast_accept5495[] = {1};
meth_meth_ast_accept5495->type = alloc_MethodType(1, argcv_meth_ast_accept5495);
  meth_meth_ast_accept5495->definitionModule = modulename;
  meth_meth_ast_accept5495->definitionLine = 1233;
  block_savedest(obj5490);
  Object closure5503 = createclosure(1, "map()before()after");
  setclosureframe(closure5503, stackframe);
  addtoclosure(closure5503, var_memberNode);
  struct UserObject *uo5503 = (struct UserObject*)obj5490;
  uo5503->data[5] = (Object)closure5503;
  Method *meth_meth_ast_map_40__41_before_40__41_after5503 = addmethod2pos(obj5490, "map()before()after", &meth_ast_map_40__41_before_40__41_after5503, 5);
int argcv_meth_ast_map_40__41_before_40__41_after5503[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5503->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5503);
  meth_meth_ast_map_40__41_before_40__41_after5503->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5503->definitionLine = 1238;
  struct UserObject *uo5523 = (struct UserObject*)obj5490;
  uo5523->data[6] = emptyclosure;
  Method *meth_meth_ast_map5523 = addmethod2pos(obj5490, "map", &meth_ast_map5523, 6);
int argcv_meth_ast_map5523[] = {1};
meth_meth_ast_map5523->type = alloc_MethodType(1, argcv_meth_ast_map5523);
  meth_meth_ast_map5523->definitionModule = modulename;
  meth_meth_ast_map5523->definitionLine = 1246;
  struct UserObject *uo5532 = (struct UserObject*)obj5490;
  uo5532->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty5532 = addmethod2pos(obj5490, "pretty", &meth_ast_pretty5532, 7);
int argcv_meth_ast_pretty5532[] = {1};
meth_meth_ast_pretty5532->type = alloc_MethodType(1, argcv_meth_ast_pretty5532);
  meth_meth_ast_pretty5532->definitionModule = modulename;
  meth_meth_ast_pretty5532->definitionLine = 1249;
  struct UserObject *uo5573 = (struct UserObject*)obj5490;
  uo5573->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace5573 = addmethod2pos(obj5490, "toGrace", &meth_ast_toGrace5573, 8);
int argcv_meth_ast_toGrace5573[] = {1};
meth_meth_ast_toGrace5573->type = alloc_MethodType(1, argcv_meth_ast_toGrace5573);
meth_meth_ast_toGrace5573->type->types[0] = type_Number;
meth_meth_ast_toGrace5573->type->names[0] = "depth";
  meth_meth_ast_toGrace5573->definitionModule = modulename;
  meth_meth_ast_toGrace5573->definitionLine = 1258;
  struct UserObject *uo5623 = (struct UserObject*)obj5490;
  uo5623->data[9] = emptyclosure;
  Method *meth_meth_ast_asString5623 = addmethod2pos(obj5490, "asString", &meth_ast_asString5623, 9);
int argcv_meth_ast_asString5623[] = {0};
meth_meth_ast_asString5623->type = alloc_MethodType(1, argcv_meth_ast_asString5623);
  meth_meth_ast_asString5623->definitionModule = modulename;
  meth_meth_ast_asString5623->definitionLine = 1268;
  sourceObject = obj5490;
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5634 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5635 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5634);
// compilenode returning call5635
  struct UserObject *obj5490_uo = (struct UserObject *)obj5490;
  obj5490_uo->super = call5635;
  sourceObject = obj5490;
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5636 == NULL) {
    strlit5636 = alloc_String("member");
    gc_root(strlit5636);
  }
// compilenode returning strlit5636
  adddatum2(obj5490, strlit5636, 1);
  sourceObject = obj5490;
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_what
  adddatum2(obj5490, *var_what, 2);
  sourceObject = obj5490;
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_in_39_
  adddatum2(obj5490, *var_in_39_, 3);
  sourceObject = obj5490;
  sourceObject = obj5490;
  sourceObject = obj5490;
  sourceObject = obj5490;
  sourceObject = obj5490;
  sourceObject = obj5490;
objclass5490 = obj5490->class;
  objclass5490->definitionModule = modulename;
  objclass5490->definitionLine = 1219;
  (*(struct UserObject *)self).data[0] = lowerouter5490;
  self = oldself5490;
  selfslot = oldselfslot5490;
  stackframe = oldstackframe5490;
  gc_frame_end(frame);
  return obj5490;
}
Object meth_ast_genericNode5638(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "genericNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for genericNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for genericNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_genericNode
  gc_frame_end(frame);
  return *var_genericNode;
}
Object meth_ast__apply5659(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5660 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
// compilenode returning *var_p
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call5661 = callmethod(*var_p, "accept",
    1, partcv, params);
  gc_frame_end(callframe5660);
// compilenode returning call5661
  gc_frame_end(frame);
  return call5661;
}
Object meth_ast_accept5647(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1276
  setline(1276);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5649 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call5650 = callmethod(*var_visitor, "visitGeneric",
    1, partcv, params);
  gc_frame_end(callframe5649);
// compilenode returning call5650
  Object if5648 = done;
  if (istrue(call5650)) {
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5651 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe5652 = gc_frame_new();
  partcv[0] = 0;
  Object call5653 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5652);
// compilenode returning call5653
// compilenode returning call5653
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call5654 = callmethod(call5653, "accept",
    1, partcv, params);
  gc_frame_end(callframe5651);
// compilenode returning call5654
// Begin line 1278
  setline(1278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5655 = gc_frame_new();
  int callframe5656 = gc_frame_new();
  partcv[0] = 0;
  Object call5657 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5656);
// compilenode returning call5657
// compilenode returning call5657
  gc_frame_newslot(call5657);
  Object block5658 = alloc_Block(NULL, NULL, "ast", 1278);
  gc_frame_newslot(block5658);
  block_savedest(block5658);
  Object closure5659 = createclosure(2, "_apply");
  setclosureframe(closure5659, stackframe);
  addtoclosure(closure5659, var_visitor);
  addtoclosure(closure5659, selfslot);
  struct UserObject *uo5659 = (struct UserObject*)block5658;
  uo5659->data[0] = (Object)closure5659;
  Method *meth_meth_ast__apply5659 = addmethod2pos(block5658, "_apply", &meth_ast__apply5659, 0);
int argcv_meth_ast__apply5659[] = {1};
meth_meth_ast__apply5659->type = alloc_MethodType(1, argcv_meth_ast__apply5659);
  meth_meth_ast__apply5659->definitionModule = modulename;
  meth_meth_ast__apply5659->definitionLine = 1278;
// compilenode returning block5658
  gc_frame_newslot(block5658);
  params[0] = call5657;
  params[1] = block5658;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5663 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5655);
// compilenode returning call5663
    gc_frame_newslot(call5663);
    if5648 = call5663;
  } else {
  }
// compilenode returning if5648
  gc_frame_end(frame);
  return if5648;
}
Object meth_ast_map_40__41_before_40__41_after5664(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5665 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call5666 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe5665);
// compilenode returning call5666
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5667 = gc_frame_new();
  int callframe5668 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe5669 = gc_frame_new();
  partcv[0] = 0;
  Object call5670 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5669);
// compilenode returning call5670
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5671 = callmethod(call5670, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe5668);
// compilenode returning call5671
  gc_frame_newslot(call5671);
  int callframe5672 = gc_frame_new();
  int callframe5673 = gc_frame_new();
  partcv[0] = 0;
  Object call5674 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5673);
// compilenode returning call5674
  gc_frame_newslot(call5674);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe5675 = gc_frame_new();
  int callframe5676 = gc_frame_new();
  Object call5677 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5676);
// compilenode returning call5677
// compilenode returning call5677
  partcv[0] = 0;
  Object call5678 = callmethodflags(call5677, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5675);
// compilenode returning call5678
// compilenode returning call5678
  params[0] = call5674;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5679 = callmethodflags(call5678, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5672);
// compilenode returning call5679
  gc_frame_newslot(call5679);
// compilenode returning *var_genericNode
  params[0] = call5671;
  params[1] = call5679;
  partcv[0] = 2;
  Object call5680 = callmethod(*var_genericNode, "new",
    1, partcv, params);
  gc_frame_end(callframe5667);
// compilenode returning call5680
  *var_n = call5680;
  if (call5680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5681 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5682 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe5681);
// compilenode returning call5682
  *var_n = call5682;
  if (call5682 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5684 = gc_frame_new();
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5685 = gc_frame_new();
  partcv[0] = 0;
  Object call5686 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5685);
// compilenode returning call5686
  gc_frame_newslot(call5686);
// compilenode returning *var_n
  params[0] = call5686;
  partcv[0] = 1;
  Object call5687 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe5684);
// compilenode returning call5687
// compilenode returning done
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5688 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5689 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe5688);
// compilenode returning call5689
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply5693(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5696(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map5690(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5691 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block5692 = alloc_Block(NULL, NULL, "ast", 1292);
  gc_frame_newslot(block5692);
  block_savedest(block5692);
  Object closure5693 = createclosure(1, "_apply");
  setclosureframe(closure5693, stackframe);
  addtoclosure(closure5693, selfslot);
  struct UserObject *uo5693 = (struct UserObject*)block5692;
  uo5693->data[0] = (Object)closure5693;
  Method *meth_meth_ast__apply5693 = addmethod2pos(block5692, "_apply", &meth_ast__apply5693, 0);
int argcv_meth_ast__apply5693[] = {0};
meth_meth_ast__apply5693->type = alloc_MethodType(1, argcv_meth_ast__apply5693);
  meth_meth_ast__apply5693->definitionModule = modulename;
  meth_meth_ast__apply5693->definitionLine = 1285;
// compilenode returning block5692
  gc_frame_newslot(block5692);
  Object block5695 = alloc_Block(NULL, NULL, "ast", 1292);
  gc_frame_newslot(block5695);
  block_savedest(block5695);
  Object closure5696 = createclosure(1, "_apply");
  setclosureframe(closure5696, stackframe);
  addtoclosure(closure5696, selfslot);
  struct UserObject *uo5696 = (struct UserObject*)block5695;
  uo5696->data[0] = (Object)closure5696;
  Method *meth_meth_ast__apply5696 = addmethod2pos(block5695, "_apply", &meth_ast__apply5696, 0);
int argcv_meth_ast__apply5696[] = {0};
meth_meth_ast__apply5696->type = alloc_MethodType(1, argcv_meth_ast__apply5696);
  meth_meth_ast__apply5696->definitionModule = modulename;
  meth_meth_ast__apply5696->definitionLine = 1285;
// compilenode returning block5695
  gc_frame_newslot(block5695);
  params[0] = *var_blk;
  params[1] = block5692;
  params[2] = block5695;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5698 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5691);
// compilenode returning call5698
  gc_frame_end(frame);
  return call5698;
}
Object meth_ast__apply5716(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5718 = gc_frame_new();
  Object num5719 = alloc_Float64(0);
// compilenode returning num5719
  gc_frame_newslot(num5719);
// compilenode returning *var_p
  params[0] = num5719;
  partcv[0] = 1;
  Object call5720 = callmethod(*var_p, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5718);
// compilenode returning call5720
  int op_slot_right_5717 = gc_frame_newslot(call5720);
// compilenode returning *var_s
  int op_slot_left_5717 = gc_frame_newslot(*var_s);
  params[0] = call5720;
  partcv[0] = 1;
  Object opresult5722 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5722
  *var_s = opresult5722;
  if (opresult5722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1299
  setline(1299);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5725 == NULL) {
    strlit5725 = alloc_String(",");
    gc_root(strlit5725);
  }
// compilenode returning strlit5725
  int op_slot_right_5724 = gc_frame_newslot(strlit5725);
// compilenode returning *var_s
  int op_slot_left_5724 = gc_frame_newslot(*var_s);
  params[0] = strlit5725;
  partcv[0] = 1;
  Object opresult5727 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5727
  *var_s = opresult5727;
  if (opresult5727 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty5699(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1296
  setline(1296);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5701 == NULL) {
    strlit5701 = alloc_String("<");
    gc_root(strlit5701);
  }
// compilenode returning strlit5701
  int op_slot_right_5700 = gc_frame_newslot(strlit5701);
  int callframe5704 = gc_frame_new();
  int callframe5705 = gc_frame_new();
  partcv[0] = 0;
  Object call5706 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5705);
// compilenode returning call5706
// compilenode returning call5706
  partcv[0] = 0;
  Object call5707 = callmethod(call5706, "value",
    1, partcv, params);
  gc_frame_end(callframe5704);
// compilenode returning call5707
// compilenode returning call5707
  int op_slot_right_5703 = gc_frame_newslot(call5707);
  if (strlit5709 == NULL) {
    strlit5709 = alloc_String("Generic(");
    gc_root(strlit5709);
  }
// compilenode returning strlit5709
  int op_slot_left_5703 = gc_frame_newslot(strlit5709);
  params[0] = call5707;
  partcv[0] = 1;
  Object opresult5710 = callmethod(strlit5709, "++", 1, partcv, params);
// compilenode returning opresult5710
  int op_slot_left_5700 = gc_frame_newslot(opresult5710);
  params[0] = strlit5701;
  partcv[0] = 1;
  Object opresult5711 = callmethod(opresult5710, "++", 1, partcv, params);
// compilenode returning opresult5711
  *var_s = opresult5711;
  if (opresult5711 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1296
  setline(1296);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5712 = gc_frame_new();
  int callframe5713 = gc_frame_new();
  partcv[0] = 0;
  Object call5714 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5713);
// compilenode returning call5714
  gc_frame_newslot(call5714);
  Object block5715 = alloc_Block(NULL, NULL, "ast", 1296);
  gc_frame_newslot(block5715);
  block_savedest(block5715);
  Object closure5716 = createclosure(2, "_apply");
  setclosureframe(closure5716, stackframe);
  addtoclosure(closure5716, var_s);
  addtoclosure(closure5716, selfslot);
  struct UserObject *uo5716 = (struct UserObject*)block5715;
  uo5716->data[0] = (Object)closure5716;
  Method *meth_meth_ast__apply5716 = addmethod2pos(block5715, "_apply", &meth_ast__apply5716, 0);
int argcv_meth_ast__apply5716[] = {1};
meth_meth_ast__apply5716->type = alloc_MethodType(1, argcv_meth_ast__apply5716);
  meth_meth_ast__apply5716->definitionModule = modulename;
  meth_meth_ast__apply5716->definitionLine = 1295;
// compilenode returning block5715
  gc_frame_newslot(block5715);
  params[0] = call5714;
  params[1] = block5715;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5730 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5712);
// compilenode returning call5730
// Begin line 1301
  setline(1301);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5732 == NULL) {
    strlit5732 = alloc_String(">)");
    gc_root(strlit5732);
  }
// compilenode returning strlit5732
  int op_slot_right_5731 = gc_frame_newslot(strlit5732);
// compilenode returning *var_s
  int op_slot_left_5731 = gc_frame_newslot(*var_s);
  params[0] = strlit5732;
  partcv[0] = 1;
  Object opresult5734 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5734
  gc_frame_end(frame);
  return opresult5734;
}
Object meth_ast__apply5750(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5752 = gc_frame_new();
  Object num5753 = alloc_Float64(0);
// compilenode returning num5753
  gc_frame_newslot(num5753);
  int callframe5754 = gc_frame_new();
  partcv[0] = 0;
  Object call5755 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5754);
// compilenode returning call5755
// compilenode returning call5755
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres5756 = callmethod(call5755, "[]", 1, partcv, params);
// compilenode returning idxres5756
  params[0] = num5753;
  partcv[0] = 1;
  Object call5757 = callmethod(idxres5756, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5752);
// compilenode returning call5757
  int op_slot_right_5751 = gc_frame_newslot(call5757);
// compilenode returning *var_s
  int op_slot_left_5751 = gc_frame_newslot(*var_s);
  params[0] = call5757;
  partcv[0] = 1;
  Object opresult5759 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5759
  *var_s = opresult5759;
  if (opresult5759 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5763 = gc_frame_new();
  int callframe5764 = gc_frame_new();
  partcv[0] = 0;
  Object call5765 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5764);
// compilenode returning call5765
// compilenode returning call5765
  partcv[0] = 0;
  Object call5766 = callmethod(call5765, "size",
    1, partcv, params);
  gc_frame_end(callframe5763);
// compilenode returning call5766
// compilenode returning call5766
  int op_slot_right_5762 = gc_frame_newslot(call5766);
// compilenode returning *var_i
  int op_slot_left_5762 = gc_frame_newslot(*var_i);
  params[0] = call5766;
  partcv[0] = 1;
  Object opresult5768 = callmethod(*var_i, "<", 1, partcv, params);
// compilenode returning opresult5768
  Object if5761 = done;
  if (istrue(opresult5768)) {
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5770 == NULL) {
    strlit5770 = alloc_String(", ");
    gc_root(strlit5770);
  }
// compilenode returning strlit5770
  int op_slot_right_5769 = gc_frame_newslot(strlit5770);
// compilenode returning *var_s
  int op_slot_left_5769 = gc_frame_newslot(*var_s);
  params[0] = strlit5770;
  partcv[0] = 1;
  Object opresult5772 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5772
  *var_s = opresult5772;
  if (opresult5772 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5761 = done;
  } else {
  }
// compilenode returning if5761
  gc_frame_end(frame);
  return if5761;
}
Object meth_ast_toGrace5735(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5737 == NULL) {
    strlit5737 = alloc_String("<");
    gc_root(strlit5737);
  }
// compilenode returning strlit5737
  int op_slot_right_5736 = gc_frame_newslot(strlit5737);
  int callframe5739 = gc_frame_new();
  int callframe5740 = gc_frame_new();
  partcv[0] = 0;
  Object call5741 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5740);
// compilenode returning call5741
// compilenode returning call5741
  partcv[0] = 0;
  Object call5742 = callmethod(call5741, "value",
    1, partcv, params);
  gc_frame_end(callframe5739);
// compilenode returning call5742
// compilenode returning call5742
  int op_slot_left_5736 = gc_frame_newslot(call5742);
  params[0] = strlit5737;
  partcv[0] = 1;
  Object opresult5743 = callmethod(call5742, "++", 1, partcv, params);
// compilenode returning opresult5743
  *var_s = opresult5743;
  if (opresult5743 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5744 = gc_frame_new();
  int callframe5745 = gc_frame_new();
  int callframe5746 = gc_frame_new();
  partcv[0] = 0;
  Object call5747 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5746);
// compilenode returning call5747
// compilenode returning call5747
  partcv[0] = 0;
  Object call5748 = callmethod(call5747, "indices",
    1, partcv, params);
  gc_frame_end(callframe5745);
// compilenode returning call5748
// compilenode returning call5748
  gc_frame_newslot(call5748);
  Object block5749 = alloc_Block(NULL, NULL, "ast", 1304);
  gc_frame_newslot(block5749);
  block_savedest(block5749);
  Object closure5750 = createclosure(2, "_apply");
  setclosureframe(closure5750, stackframe);
  addtoclosure(closure5750, var_s);
  addtoclosure(closure5750, selfslot);
  struct UserObject *uo5750 = (struct UserObject*)block5749;
  uo5750->data[0] = (Object)closure5750;
  Method *meth_meth_ast__apply5750 = addmethod2pos(block5749, "_apply", &meth_ast__apply5750, 0);
int argcv_meth_ast__apply5750[] = {1};
meth_meth_ast__apply5750->type = alloc_MethodType(1, argcv_meth_ast__apply5750);
  meth_meth_ast__apply5750->definitionModule = modulename;
  meth_meth_ast__apply5750->definitionLine = 1304;
// compilenode returning block5749
  gc_frame_newslot(block5749);
  params[0] = call5748;
  params[1] = block5749;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5775 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5744);
// compilenode returning call5775
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5777 == NULL) {
    strlit5777 = alloc_String(">");
    gc_root(strlit5777);
  }
// compilenode returning strlit5777
  int op_slot_right_5776 = gc_frame_newslot(strlit5777);
// compilenode returning *var_s
  int op_slot_left_5776 = gc_frame_newslot(*var_s);
  params[0] = strlit5777;
  partcv[0] = 1;
  Object opresult5779 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5779
  *var_s = opresult5779;
  if (opresult5779 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new5641(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_genericNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_params_39_ = &(stackframe->slots[1]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5642 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5642 = alloc_userobj2(9,10, objclass5642);
  gc_frame_newslot(obj5642);
if (objclass5642 == NULL) {
  glfree(obj5642->class->name);
  obj5642->class->name = "genericNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5642, self, 0);
  addmethodreal(obj5642,"outer", &reader_ast_outer_5643);
  Object oldself5642 = self;
  struct StackFrameObject *oldstackframe5642 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5642);
  gc_frame_newslot((Object)stackframe);
  self = obj5642;
  Object *oldselfslot5642 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5642 = (*(struct UserObject *)self).data[0], lowerouter5642 = thisouter5642;
  if (inheritingObject5642) {
    struct UserObject *inho5642 = (struct UserObject *)inheritingObject5642;
    while (inho5642->super != GraceDefaultObject) inho5642 = (struct UserObject *)inho5642->super;
    inho5642->super = obj5642;
    self = inheritingObject5642;
    *selfslot = self;
    lowerouter5642 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5642;
  }
if (objclass5642 == NULL) {
  Method *reader5644 = addmethodrealflags(obj5642, "kind",&reader_ast_kind_5644, MFLAG_DEF);
  reader5644->definitionModule = modulename;
  reader5644->definitionLine = 1273;
}
adddatum2(obj5642, alloc_Undefined(), 1);
if (objclass5642 == NULL) {
  Method *reader5645 = addmethodrealflags(obj5642, "value",&reader_ast_value_5645, MFLAG_DEF);
  reader5645->definitionModule = modulename;
  reader5645->definitionLine = 1274;
}
adddatum2(obj5642, alloc_Undefined(), 2);
if (objclass5642 == NULL) {
  Method *reader5646 = addmethodrealflags(obj5642, "params",&reader_ast_params_5646, MFLAG_DEF);
  reader5646->definitionModule = modulename;
  reader5646->definitionLine = 1275;
}
adddatum2(obj5642, alloc_Undefined(), 3);
  struct UserObject *uo5647 = (struct UserObject*)obj5642;
  uo5647->data[4] = emptyclosure;
  Method *meth_meth_ast_accept5647 = addmethod2pos(obj5642, "accept", &meth_ast_accept5647, 4);
int argcv_meth_ast_accept5647[] = {1};
meth_meth_ast_accept5647->type = alloc_MethodType(1, argcv_meth_ast_accept5647);
  meth_meth_ast_accept5647->definitionModule = modulename;
  meth_meth_ast_accept5647->definitionLine = 1275;
  block_savedest(obj5642);
  Object closure5664 = createclosure(1, "map()before()after");
  setclosureframe(closure5664, stackframe);
  addtoclosure(closure5664, var_genericNode);
  struct UserObject *uo5664 = (struct UserObject*)obj5642;
  uo5664->data[5] = (Object)closure5664;
  Method *meth_meth_ast_map_40__41_before_40__41_after5664 = addmethod2pos(obj5642, "map()before()after", &meth_ast_map_40__41_before_40__41_after5664, 5);
int argcv_meth_ast_map_40__41_before_40__41_after5664[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5664->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5664);
  meth_meth_ast_map_40__41_before_40__41_after5664->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5664->definitionLine = 1283;
  struct UserObject *uo5690 = (struct UserObject*)obj5642;
  uo5690->data[6] = emptyclosure;
  Method *meth_meth_ast_map5690 = addmethod2pos(obj5642, "map", &meth_ast_map5690, 6);
int argcv_meth_ast_map5690[] = {1};
meth_meth_ast_map5690->type = alloc_MethodType(1, argcv_meth_ast_map5690);
  meth_meth_ast_map5690->definitionModule = modulename;
  meth_meth_ast_map5690->definitionLine = 1291;
  struct UserObject *uo5699 = (struct UserObject*)obj5642;
  uo5699->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty5699 = addmethod2pos(obj5642, "pretty", &meth_ast_pretty5699, 7);
int argcv_meth_ast_pretty5699[] = {1};
meth_meth_ast_pretty5699->type = alloc_MethodType(1, argcv_meth_ast_pretty5699);
  meth_meth_ast_pretty5699->definitionModule = modulename;
  meth_meth_ast_pretty5699->definitionLine = 1294;
  struct UserObject *uo5735 = (struct UserObject*)obj5642;
  uo5735->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace5735 = addmethod2pos(obj5642, "toGrace", &meth_ast_toGrace5735, 8);
int argcv_meth_ast_toGrace5735[] = {1};
meth_meth_ast_toGrace5735->type = alloc_MethodType(1, argcv_meth_ast_toGrace5735);
meth_meth_ast_toGrace5735->type->types[0] = type_Number;
meth_meth_ast_toGrace5735->type->names[0] = "depth";
  meth_meth_ast_toGrace5735->definitionModule = modulename;
  meth_meth_ast_toGrace5735->definitionLine = 1302;
  sourceObject = obj5642;
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5781 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5782 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5781);
// compilenode returning call5782
  struct UserObject *obj5642_uo = (struct UserObject *)obj5642;
  obj5642_uo->super = call5782;
  sourceObject = obj5642;
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5783 == NULL) {
    strlit5783 = alloc_String("generic");
    gc_root(strlit5783);
  }
// compilenode returning strlit5783
  adddatum2(obj5642, strlit5783, 1);
  sourceObject = obj5642;
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_base
  adddatum2(obj5642, *var_base, 2);
  sourceObject = obj5642;
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_params_39_
  adddatum2(obj5642, *var_params_39_, 3);
  sourceObject = obj5642;
  sourceObject = obj5642;
  sourceObject = obj5642;
  sourceObject = obj5642;
  sourceObject = obj5642;
objclass5642 = obj5642->class;
  objclass5642->definitionModule = modulename;
  objclass5642->definitionLine = 1268;
  (*(struct UserObject *)self).data[0] = lowerouter5642;
  self = oldself5642;
  selfslot = oldselfslot5642;
  stackframe = oldstackframe5642;
  gc_frame_end(frame);
  return obj5642;
}
Object meth_ast_new5641_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_genericNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_params_39_ = &(stackframe->slots[1]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5642 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5642 = alloc_userobj2(9,10, objclass5642);
  gc_frame_newslot(obj5642);
if (objclass5642 == NULL) {
  glfree(obj5642->class->name);
  obj5642->class->name = "genericNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5642, self, 0);
  addmethodreal(obj5642,"outer", &reader_ast_outer_5643);
  Object oldself5642 = self;
  struct StackFrameObject *oldstackframe5642 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5642);
  gc_frame_newslot((Object)stackframe);
  self = obj5642;
  Object *oldselfslot5642 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5642 = (*(struct UserObject *)self).data[0], lowerouter5642 = thisouter5642;
  if (inheritingObject5642) {
    struct UserObject *inho5642 = (struct UserObject *)inheritingObject5642;
    while (inho5642->super != GraceDefaultObject) inho5642 = (struct UserObject *)inho5642->super;
    inho5642->super = obj5642;
    self = inheritingObject5642;
    *selfslot = self;
    lowerouter5642 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5642;
  }
if (objclass5642 == NULL) {
  Method *reader5644 = addmethodrealflags(obj5642, "kind",&reader_ast_kind_5644, MFLAG_DEF);
  reader5644->definitionModule = modulename;
  reader5644->definitionLine = 1273;
}
adddatum2(obj5642, alloc_Undefined(), 1);
if (objclass5642 == NULL) {
  Method *reader5645 = addmethodrealflags(obj5642, "value",&reader_ast_value_5645, MFLAG_DEF);
  reader5645->definitionModule = modulename;
  reader5645->definitionLine = 1274;
}
adddatum2(obj5642, alloc_Undefined(), 2);
if (objclass5642 == NULL) {
  Method *reader5646 = addmethodrealflags(obj5642, "params",&reader_ast_params_5646, MFLAG_DEF);
  reader5646->definitionModule = modulename;
  reader5646->definitionLine = 1275;
}
adddatum2(obj5642, alloc_Undefined(), 3);
  struct UserObject *uo5647 = (struct UserObject*)obj5642;
  uo5647->data[4] = emptyclosure;
  Method *meth_meth_ast_accept5647 = addmethod2pos(obj5642, "accept", &meth_ast_accept5647, 4);
int argcv_meth_ast_accept5647[] = {1};
meth_meth_ast_accept5647->type = alloc_MethodType(1, argcv_meth_ast_accept5647);
  meth_meth_ast_accept5647->definitionModule = modulename;
  meth_meth_ast_accept5647->definitionLine = 1275;
  block_savedest(obj5642);
  Object closure5664 = createclosure(1, "map()before()after");
  setclosureframe(closure5664, stackframe);
  addtoclosure(closure5664, var_genericNode);
  struct UserObject *uo5664 = (struct UserObject*)obj5642;
  uo5664->data[5] = (Object)closure5664;
  Method *meth_meth_ast_map_40__41_before_40__41_after5664 = addmethod2pos(obj5642, "map()before()after", &meth_ast_map_40__41_before_40__41_after5664, 5);
int argcv_meth_ast_map_40__41_before_40__41_after5664[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5664->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5664);
  meth_meth_ast_map_40__41_before_40__41_after5664->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5664->definitionLine = 1283;
  struct UserObject *uo5690 = (struct UserObject*)obj5642;
  uo5690->data[6] = emptyclosure;
  Method *meth_meth_ast_map5690 = addmethod2pos(obj5642, "map", &meth_ast_map5690, 6);
int argcv_meth_ast_map5690[] = {1};
meth_meth_ast_map5690->type = alloc_MethodType(1, argcv_meth_ast_map5690);
  meth_meth_ast_map5690->definitionModule = modulename;
  meth_meth_ast_map5690->definitionLine = 1291;
  struct UserObject *uo5699 = (struct UserObject*)obj5642;
  uo5699->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty5699 = addmethod2pos(obj5642, "pretty", &meth_ast_pretty5699, 7);
int argcv_meth_ast_pretty5699[] = {1};
meth_meth_ast_pretty5699->type = alloc_MethodType(1, argcv_meth_ast_pretty5699);
  meth_meth_ast_pretty5699->definitionModule = modulename;
  meth_meth_ast_pretty5699->definitionLine = 1294;
  struct UserObject *uo5735 = (struct UserObject*)obj5642;
  uo5735->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace5735 = addmethod2pos(obj5642, "toGrace", &meth_ast_toGrace5735, 8);
int argcv_meth_ast_toGrace5735[] = {1};
meth_meth_ast_toGrace5735->type = alloc_MethodType(1, argcv_meth_ast_toGrace5735);
meth_meth_ast_toGrace5735->type->types[0] = type_Number;
meth_meth_ast_toGrace5735->type->names[0] = "depth";
  meth_meth_ast_toGrace5735->definitionModule = modulename;
  meth_meth_ast_toGrace5735->definitionLine = 1302;
  sourceObject = obj5642;
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5781 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5782 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5781);
// compilenode returning call5782
  struct UserObject *obj5642_uo = (struct UserObject *)obj5642;
  obj5642_uo->super = call5782;
  sourceObject = obj5642;
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5783 == NULL) {
    strlit5783 = alloc_String("generic");
    gc_root(strlit5783);
  }
// compilenode returning strlit5783
  adddatum2(obj5642, strlit5783, 1);
  sourceObject = obj5642;
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_base
  adddatum2(obj5642, *var_base, 2);
  sourceObject = obj5642;
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_params_39_
  adddatum2(obj5642, *var_params_39_, 3);
  sourceObject = obj5642;
  sourceObject = obj5642;
  sourceObject = obj5642;
  sourceObject = obj5642;
  sourceObject = obj5642;
objclass5642 = obj5642->class;
  objclass5642->definitionModule = modulename;
  objclass5642->definitionLine = 1268;
  (*(struct UserObject *)self).data[0] = lowerouter5642;
  self = oldself5642;
  selfslot = oldselfslot5642;
  stackframe = oldstackframe5642;
  gc_frame_end(frame);
  return obj5642;
}
Object meth_ast_identifierNode5785(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifierNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for identifierNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for identifierNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1314
  setline(1314);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_identifierNode
  gc_frame_end(frame);
  return *var_identifierNode;
}
Object meth_ast_accept5798(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5800 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call5801 = callmethod(*var_visitor, "visitIdentifier",
    1, partcv, params);
  gc_frame_end(callframe5800);
// compilenode returning call5801
  Object if5799 = done;
  if (istrue(call5801)) {
// Begin line 1328
  setline(1328);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1325
  setline(1325);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5804 = alloc_Boolean(0);
// compilenode returning bool5804
  int op_slot_right_5803 = gc_frame_newslot(bool5804);
  int callframe5806 = gc_frame_new();
  partcv[0] = 0;
  Object call5807 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5806);
// compilenode returning call5807
// compilenode returning call5807
  int op_slot_left_5803 = gc_frame_newslot(call5807);
  params[0] = bool5804;
  partcv[0] = 1;
  Object opresult5808 = callmethod(call5807, "!=", 1, partcv, params);
// compilenode returning opresult5808
  Object if5802 = done;
  if (istrue(opresult5808)) {
// Begin line 1326
  setline(1326);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5809 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe5810 = gc_frame_new();
  partcv[0] = 0;
  Object call5811 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5810);
// compilenode returning call5811
// compilenode returning call5811
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call5812 = callmethod(call5811, "accept",
    1, partcv, params);
  gc_frame_end(callframe5809);
// compilenode returning call5812
    gc_frame_newslot(call5812);
    if5802 = call5812;
  } else {
  }
// compilenode returning if5802
    gc_frame_newslot(if5802);
    if5799 = if5802;
  } else {
  }
// compilenode returning if5799
  gc_frame_end(frame);
  return if5799;
}
Object meth_ast_map_40__41_before_40__41_after5813(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1331
  setline(1331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5814 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call5815 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe5814);
// compilenode returning call5815
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5816 = gc_frame_new();
  int callframe5817 = gc_frame_new();
  partcv[0] = 0;
  Object call5818 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5817);
// compilenode returning call5818
  gc_frame_newslot(call5818);
  int callframe5819 = gc_frame_new();
  partcv[0] = 0;
  Object call5820 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5819);
// compilenode returning call5820
  gc_frame_newslot(call5820);
// compilenode returning *var_util
  params[0] = call5818;
  params[1] = call5820;
  partcv[0] = 2;
  Object call5821 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe5816);
// compilenode returning call5821
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5822 = gc_frame_new();
  int callframe5823 = gc_frame_new();
  partcv[0] = 0;
  Object call5824 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5823);
// compilenode returning call5824
  gc_frame_newslot(call5824);
  int callframe5825 = gc_frame_new();
  int callframe5826 = gc_frame_new();
  partcv[0] = 0;
  Object call5827 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5826);
// compilenode returning call5827
  gc_frame_newslot(call5827);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// Begin line 1334
  setline(1334);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5828 = gc_frame_new();
  int callframe5829 = gc_frame_new();
  Object call5830 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5829);
// compilenode returning call5830
// compilenode returning call5830
  partcv[0] = 0;
  Object call5831 = callmethodflags(call5830, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5828);
// compilenode returning call5831
// compilenode returning call5831
  params[0] = call5827;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 4;
  Object call5832 = callmethodflags(call5831, "maybeMap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5825);
// compilenode returning call5832
  gc_frame_newslot(call5832);
// compilenode returning *var_identifierNode
  params[0] = call5824;
  params[1] = call5832;
  partcv[0] = 2;
  Object call5833 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe5822);
// compilenode returning call5833
  *var_n = call5833;
  if (call5833 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5834 = gc_frame_new();
// Begin line 1335
  setline(1335);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5835 = gc_frame_new();
  partcv[0] = 0;
  Object call5836 = callmethodflags(self, "wildcard", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5835);
// compilenode returning call5836
  gc_frame_newslot(call5836);
// compilenode returning *var_n
  params[0] = call5836;
  partcv[0] = 1;
  Object call5837 = callmethod(*var_n, "wildcard:=",
    1, partcv, params);
  gc_frame_end(callframe5834);
// compilenode returning call5837
// compilenode returning done
// Begin line 1337
  setline(1337);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5838 = gc_frame_new();
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5839 = gc_frame_new();
  partcv[0] = 0;
  Object call5840 = callmethodflags(self, "inBind", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5839);
// compilenode returning call5840
  gc_frame_newslot(call5840);
// compilenode returning *var_n
  params[0] = call5840;
  partcv[0] = 1;
  Object call5841 = callmethod(*var_n, "inBind:=",
    1, partcv, params);
  gc_frame_end(callframe5838);
// compilenode returning call5841
// compilenode returning done
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5842 = gc_frame_new();
// Begin line 1337
  setline(1337);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5843 = gc_frame_new();
  partcv[0] = 0;
  Object call5844 = callmethodflags(self, "inRequest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5843);
// compilenode returning call5844
  gc_frame_newslot(call5844);
// compilenode returning *var_n
  params[0] = call5844;
  partcv[0] = 1;
  Object call5845 = callmethod(*var_n, "inRequest:=",
    1, partcv, params);
  gc_frame_end(callframe5842);
// compilenode returning call5845
// compilenode returning done
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5846 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5847 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe5846);
// compilenode returning call5847
  *var_n = call5847;
  if (call5847 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5849 = gc_frame_new();
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5850 = gc_frame_new();
  partcv[0] = 0;
  Object call5851 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5850);
// compilenode returning call5851
  gc_frame_newslot(call5851);
// compilenode returning *var_n
  params[0] = call5851;
  partcv[0] = 1;
  Object call5852 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe5849);
// compilenode returning call5852
// compilenode returning done
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5855 == NULL) {
    strlit5855 = alloc_String("identifier");
    gc_root(strlit5855);
  }
// compilenode returning strlit5855
  int op_slot_right_5854 = gc_frame_newslot(strlit5855);
  int callframe5857 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call5858 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe5857);
// compilenode returning call5858
// compilenode returning call5858
  int op_slot_left_5854 = gc_frame_newslot(call5858);
  params[0] = strlit5855;
  partcv[0] = 1;
  Object opresult5859 = callmethod(call5858, "==", 1, partcv, params);
// compilenode returning opresult5859
  Object if5853 = done;
  if (istrue(opresult5859)) {
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5860 = gc_frame_new();
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5861 = gc_frame_new();
  partcv[0] = 0;
  Object call5862 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5861);
// compilenode returning call5862
  gc_frame_newslot(call5862);
// compilenode returning *var_n
  params[0] = call5862;
  partcv[0] = 1;
  Object call5863 = callmethod(*var_n, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe5860);
// compilenode returning call5863
// compilenode returning done
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5864 = gc_frame_new();
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5865 = gc_frame_new();
  partcv[0] = 0;
  Object call5866 = callmethodflags(self, "wildcard", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5865);
// compilenode returning call5866
  gc_frame_newslot(call5866);
// compilenode returning *var_n
  params[0] = call5866;
  partcv[0] = 1;
  Object call5867 = callmethod(*var_n, "wildcard:=",
    1, partcv, params);
  gc_frame_end(callframe5864);
// compilenode returning call5867
// compilenode returning done
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5868 = gc_frame_new();
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5869 = gc_frame_new();
  partcv[0] = 0;
  Object call5870 = callmethodflags(self, "inBind", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5869);
// compilenode returning call5870
  gc_frame_newslot(call5870);
// compilenode returning *var_n
  params[0] = call5870;
  partcv[0] = 1;
  Object call5871 = callmethod(*var_n, "inBind:=",
    1, partcv, params);
  gc_frame_end(callframe5868);
// compilenode returning call5871
// compilenode returning done
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5872 = gc_frame_new();
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5873 = gc_frame_new();
  partcv[0] = 0;
  Object call5874 = callmethodflags(self, "inRequest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5873);
// compilenode returning call5874
  gc_frame_newslot(call5874);
// compilenode returning *var_n
  params[0] = call5874;
  partcv[0] = 1;
  Object call5875 = callmethod(*var_n, "inRequest:=",
    1, partcv, params);
  gc_frame_end(callframe5872);
// compilenode returning call5875
// compilenode returning done
    gc_frame_newslot(done);
    if5853 = done;
  } else {
  }
// compilenode returning if5853
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5876 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5877 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe5876);
// compilenode returning call5877
// Begin line 1347
  setline(1347);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply5881(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5884(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map5878(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5879 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block5880 = alloc_Block(NULL, NULL, "ast", 1350);
  gc_frame_newslot(block5880);
  block_savedest(block5880);
  Object closure5881 = createclosure(1, "_apply");
  setclosureframe(closure5881, stackframe);
  addtoclosure(closure5881, selfslot);
  struct UserObject *uo5881 = (struct UserObject*)block5880;
  uo5881->data[0] = (Object)closure5881;
  Method *meth_meth_ast__apply5881 = addmethod2pos(block5880, "_apply", &meth_ast__apply5881, 0);
int argcv_meth_ast__apply5881[] = {0};
meth_meth_ast__apply5881->type = alloc_MethodType(1, argcv_meth_ast__apply5881);
  meth_meth_ast__apply5881->definitionModule = modulename;
  meth_meth_ast__apply5881->definitionLine = 1340;
// compilenode returning block5880
  gc_frame_newslot(block5880);
  Object block5883 = alloc_Block(NULL, NULL, "ast", 1350);
  gc_frame_newslot(block5883);
  block_savedest(block5883);
  Object closure5884 = createclosure(1, "_apply");
  setclosureframe(closure5884, stackframe);
  addtoclosure(closure5884, selfslot);
  struct UserObject *uo5884 = (struct UserObject*)block5883;
  uo5884->data[0] = (Object)closure5884;
  Method *meth_meth_ast__apply5884 = addmethod2pos(block5883, "_apply", &meth_ast__apply5884, 0);
int argcv_meth_ast__apply5884[] = {0};
meth_meth_ast__apply5884->type = alloc_MethodType(1, argcv_meth_ast__apply5884);
  meth_meth_ast__apply5884->definitionModule = modulename;
  meth_meth_ast__apply5884->definitionLine = 1340;
// compilenode returning block5883
  gc_frame_newslot(block5883);
  params[0] = *var_blk;
  params[1] = block5880;
  params[2] = block5883;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5886 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5879);
// compilenode returning call5886
  gc_frame_end(frame);
  return call5886;
}
Object meth_ast__apply5895(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1355
  setline(1355);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5897 == NULL) {
    strlit5897 = alloc_String("  ");
    gc_root(strlit5897);
  }
// compilenode returning strlit5897
  int op_slot_right_5896 = gc_frame_newslot(strlit5897);
// compilenode returning *var_spc
  int op_slot_left_5896 = gc_frame_newslot(*var_spc);
  params[0] = strlit5897;
  partcv[0] = 1;
  Object opresult5899 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult5899
  *var_spc = opresult5899;
  if (opresult5899 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty5887(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1354
  setline(1354);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5888 == NULL) {
    strlit5888 = alloc_String("");
    gc_root(strlit5888);
  }
// compilenode returning strlit5888
  *var_spc = strlit5888;
  if (strlit5888 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1354
  setline(1354);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5889 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_5890 = gc_frame_newslot(*var_depth);
  Object num5892 = alloc_Float64(0);
// compilenode returning num5892
  int op_slot_left_5890 = gc_frame_newslot(num5892);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5893 = callmethod(num5892, "..", 1, partcv, params);
// compilenode returning opresult5893
  gc_frame_newslot(opresult5893);
  Object block5894 = alloc_Block(NULL, NULL, "ast", 1354);
  gc_frame_newslot(block5894);
  block_savedest(block5894);
  Object closure5895 = createclosure(2, "_apply");
  setclosureframe(closure5895, stackframe);
  addtoclosure(closure5895, var_spc);
  addtoclosure(closure5895, selfslot);
  struct UserObject *uo5895 = (struct UserObject*)block5894;
  uo5895->data[0] = (Object)closure5895;
  Method *meth_meth_ast__apply5895 = addmethod2pos(block5894, "_apply", &meth_ast__apply5895, 0);
int argcv_meth_ast__apply5895[] = {1};
meth_meth_ast__apply5895->type = alloc_MethodType(1, argcv_meth_ast__apply5895);
  meth_meth_ast__apply5895->definitionModule = modulename;
  meth_meth_ast__apply5895->definitionLine = 1340;
// compilenode returning block5894
  gc_frame_newslot(block5894);
  params[0] = opresult5893;
  params[1] = block5894;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5902 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5889);
// compilenode returning call5902
// Begin line 1358
  setline(1358);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_s = undefined;
// compilenode returning done
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1358
  setline(1358);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5904 = gc_frame_new();
  partcv[0] = 0;
  Object call5905 = callmethodflags(self, "wildcard", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5904);
// compilenode returning call5905
// compilenode returning call5905
  Object if5903 = done;
  if (istrue(call5905)) {
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5906 == NULL) {
    strlit5906 = alloc_String("WildcardIdentifier");
    gc_root(strlit5906);
  }
// compilenode returning strlit5906
  *var_s = strlit5906;
  if (strlit5906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5903 = done;
  } else {
// Begin line 1362
  setline(1362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1361
  setline(1361);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5909 == NULL) {
    strlit5909 = alloc_String(")");
    gc_root(strlit5909);
  }
// compilenode returning strlit5909
  int op_slot_right_5908 = gc_frame_newslot(strlit5909);
  int callframe5912 = gc_frame_new();
  partcv[0] = 0;
  Object call5913 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5912);
// compilenode returning call5913
// compilenode returning call5913
  int op_slot_right_5911 = gc_frame_newslot(call5913);
  if (strlit5915 == NULL) {
    strlit5915 = alloc_String("Identifier(");
    gc_root(strlit5915);
  }
// compilenode returning strlit5915
  int op_slot_left_5911 = gc_frame_newslot(strlit5915);
  params[0] = call5913;
  partcv[0] = 1;
  Object opresult5916 = callmethod(strlit5915, "++", 1, partcv, params);
// compilenode returning opresult5916
  int op_slot_left_5908 = gc_frame_newslot(opresult5916);
  params[0] = strlit5909;
  partcv[0] = 1;
  Object opresult5917 = callmethod(opresult5916, "++", 1, partcv, params);
// compilenode returning opresult5917
  *var_s = opresult5917;
  if (opresult5917 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5903 = done;
  }
// compilenode returning if5903
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5921 = alloc_Boolean(0);
// compilenode returning bool5921
  int op_slot_right_5920 = gc_frame_newslot(bool5921);
  int callframe5923 = gc_frame_new();
  partcv[0] = 0;
  Object call5924 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5923);
// compilenode returning call5924
// compilenode returning call5924
  int op_slot_left_5920 = gc_frame_newslot(call5924);
  params[0] = bool5921;
  partcv[0] = 1;
  Object opresult5925 = callmethod(call5924, "!=", 1, partcv, params);
// compilenode returning opresult5925
  Object if5919 = done;
  if (istrue(opresult5925)) {
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5927 == NULL) {
    strlit5927 = alloc_String("Type:");
    gc_root(strlit5927);
  }
// compilenode returning strlit5927
  int op_slot_right_5926 = gc_frame_newslot(strlit5927);
// compilenode returning *var_spc
  int op_slot_right_5929 = gc_frame_newslot(*var_spc);
  if (strlit5932 == NULL) {
    strlit5932 = alloc_String("""\x0a""");
    gc_root(strlit5932);
  }
// compilenode returning strlit5932
  int op_slot_right_5931 = gc_frame_newslot(strlit5932);
// compilenode returning *var_s
  int op_slot_left_5931 = gc_frame_newslot(*var_s);
  params[0] = strlit5932;
  partcv[0] = 1;
  Object opresult5934 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5934
  int op_slot_left_5929 = gc_frame_newslot(opresult5934);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5935 = callmethod(opresult5934, "++", 1, partcv, params);
// compilenode returning opresult5935
  int op_slot_left_5926 = gc_frame_newslot(opresult5935);
  params[0] = strlit5927;
  partcv[0] = 1;
  Object opresult5936 = callmethod(opresult5935, "++", 1, partcv, params);
// compilenode returning opresult5936
  *var_s = opresult5936;
  if (opresult5936 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5939 = gc_frame_new();
  Object num5941 = alloc_Float64(2);
// compilenode returning num5941
  int op_slot_right_5940 = gc_frame_newslot(num5941);
// compilenode returning *var_depth
  int op_slot_left_5940 = gc_frame_newslot(*var_depth);
  params[0] = num5941;
  partcv[0] = 1;
  Object sum5943 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5943
  gc_frame_newslot(sum5943);
  int callframe5944 = gc_frame_new();
  partcv[0] = 0;
  Object call5945 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5944);
// compilenode returning call5945
// compilenode returning call5945
  params[0] = sum5943;
  partcv[0] = 1;
  Object call5946 = callmethod(call5945, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5939);
// compilenode returning call5946
  int op_slot_right_5938 = gc_frame_newslot(call5946);
  if (strlit5949 == NULL) {
    strlit5949 = alloc_String("  ");
    gc_root(strlit5949);
  }
// compilenode returning strlit5949
  int op_slot_right_5948 = gc_frame_newslot(strlit5949);
// compilenode returning *var_spc
  int op_slot_right_5951 = gc_frame_newslot(*var_spc);
  if (strlit5954 == NULL) {
    strlit5954 = alloc_String("""\x0a""");
    gc_root(strlit5954);
  }
// compilenode returning strlit5954
  int op_slot_right_5953 = gc_frame_newslot(strlit5954);
// compilenode returning *var_s
  int op_slot_left_5953 = gc_frame_newslot(*var_s);
  params[0] = strlit5954;
  partcv[0] = 1;
  Object opresult5956 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult5956
  int op_slot_left_5951 = gc_frame_newslot(opresult5956);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5957 = callmethod(opresult5956, "++", 1, partcv, params);
// compilenode returning opresult5957
  int op_slot_left_5948 = gc_frame_newslot(opresult5957);
  params[0] = strlit5949;
  partcv[0] = 1;
  Object opresult5958 = callmethod(opresult5957, "++", 1, partcv, params);
// compilenode returning opresult5958
  int op_slot_left_5938 = gc_frame_newslot(opresult5958);
  params[0] = call5946;
  partcv[0] = 1;
  Object opresult5959 = callmethod(opresult5958, "++", 1, partcv, params);
// compilenode returning opresult5959
  *var_s = opresult5959;
  if (opresult5959 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5919 = done;
  } else {
  }
// compilenode returning if5919
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_decType5961(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for decType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for decType");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5964 = alloc_Boolean(0);
// compilenode returning bool5964
  int op_slot_right_5963 = gc_frame_newslot(bool5964);
  int callframe5966 = gc_frame_new();
  partcv[0] = 0;
  Object call5967 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5966);
// compilenode returning call5967
  int op_slot_left_5963 = gc_frame_newslot(call5967);
  params[0] = bool5964;
  partcv[0] = 1;
  Object opresult5968 = callmethod(call5967, "==", 1, partcv, params);
// compilenode returning opresult5968
  Object if5962 = done;
  if (istrue(opresult5968)) {
// Begin line 1371
  setline(1371);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5969 = gc_frame_new();
  if (strlit5970 == NULL) {
    strlit5970 = alloc_String("Unknown");
    gc_root(strlit5970);
  }
// compilenode returning strlit5970
  gc_frame_newslot(strlit5970);
  Object bool5971 = alloc_Boolean(0);
// compilenode returning bool5971
  gc_frame_newslot(bool5971);
// compilenode returning *var_identifierNode
  params[0] = strlit5970;
  params[1] = bool5971;
  partcv[0] = 2;
  Object call5972 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe5969);
// compilenode returning call5972
  return call5972;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5962 = undefined;
  } else {
  }
// compilenode returning if5962
// Begin line 1374
  setline(1374);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5973 = gc_frame_new();
  partcv[0] = 0;
  Object call5974 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5973);
// compilenode returning call5974
  return call5974;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_toGrace5975(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_s = undefined;
// compilenode returning done
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5977 = gc_frame_new();
  partcv[0] = 0;
  Object call5978 = callmethodflags(self, "wildcard", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5977);
// compilenode returning call5978
// compilenode returning call5978
  Object if5976 = done;
  if (istrue(call5978)) {
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5979 == NULL) {
    strlit5979 = alloc_String("_");
    gc_root(strlit5979);
  }
// compilenode returning strlit5979
  *var_s = strlit5979;
  if (strlit5979 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5976 = done;
  } else {
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5981 = gc_frame_new();
  partcv[0] = 0;
  Object call5982 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5981);
// compilenode returning call5982
// compilenode returning call5982
  *var_s = call5982;
  if (call5982 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5976 = done;
  }
// compilenode returning if5976
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5986 = alloc_Boolean(0);
// compilenode returning bool5986
  int op_slot_right_5985 = gc_frame_newslot(bool5986);
  int callframe5988 = gc_frame_new();
  partcv[0] = 0;
  Object call5989 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5988);
// compilenode returning call5989
// compilenode returning call5989
  int op_slot_left_5985 = gc_frame_newslot(call5989);
  params[0] = bool5986;
  partcv[0] = 1;
  Object opresult5990 = callmethod(call5989, "!=", 1, partcv, params);
// compilenode returning opresult5990
  Object if5984 = done;
  if (istrue(opresult5990)) {
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5992 = gc_frame_new();
  Object num5994 = alloc_Float64(1);
// compilenode returning num5994
  int op_slot_right_5993 = gc_frame_newslot(num5994);
// compilenode returning *var_depth
  int op_slot_left_5993 = gc_frame_newslot(*var_depth);
  params[0] = num5994;
  partcv[0] = 1;
  Object sum5996 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum5996
  gc_frame_newslot(sum5996);
  int callframe5997 = gc_frame_new();
  partcv[0] = 0;
  Object call5998 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5997);
// compilenode returning call5998
// compilenode returning call5998
  params[0] = sum5996;
  partcv[0] = 1;
  Object call5999 = callmethod(call5998, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5992);
// compilenode returning call5999
  int op_slot_right_5991 = gc_frame_newslot(call5999);
  if (strlit6002 == NULL) {
    strlit6002 = alloc_String(" : ");
    gc_root(strlit6002);
  }
// compilenode returning strlit6002
  int op_slot_right_6001 = gc_frame_newslot(strlit6002);
// compilenode returning *var_s
  int op_slot_left_6001 = gc_frame_newslot(*var_s);
  params[0] = strlit6002;
  partcv[0] = 1;
  Object opresult6004 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6004
  int op_slot_left_5991 = gc_frame_newslot(opresult6004);
  params[0] = call5999;
  partcv[0] = 1;
  Object opresult6005 = callmethod(opresult6004, "++", 1, partcv, params);
// compilenode returning opresult6005
  *var_s = opresult6005;
  if (opresult6005 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5984 = done;
  } else {
  }
// compilenode returning if5984
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString6007(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6009 == NULL) {
    strlit6009 = alloc_String("]>");
    gc_root(strlit6009);
  }
// compilenode returning strlit6009
  int op_slot_right_6008 = gc_frame_newslot(strlit6009);
  int callframe6012 = gc_frame_new();
  partcv[0] = 0;
  Object call6013 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6012);
// compilenode returning call6013
  int op_slot_right_6011 = gc_frame_newslot(call6013);
  if (strlit6015 == NULL) {
    strlit6015 = alloc_String("<Identifier[");
    gc_root(strlit6015);
  }
// compilenode returning strlit6015
  int op_slot_left_6011 = gc_frame_newslot(strlit6015);
  params[0] = call6013;
  partcv[0] = 1;
  Object opresult6016 = callmethod(strlit6015, "++", 1, partcv, params);
// compilenode returning opresult6016
  int op_slot_left_6008 = gc_frame_newslot(opresult6016);
  params[0] = strlit6009;
  partcv[0] = 1;
  Object opresult6017 = callmethod(opresult6016, "++", 1, partcv, params);
// compilenode returning opresult6017
  gc_frame_end(frame);
  return opresult6017;
}
Object meth_ast_new5788(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5789 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5789 = alloc_userobj2(20,16, objclass5789);
  gc_frame_newslot(obj5789);
if (objclass5789 == NULL) {
  glfree(obj5789->class->name);
  obj5789->class->name = "identifierNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5789, self, 0);
  addmethodreal(obj5789,"outer", &reader_ast_outer_5790);
  Object oldself5789 = self;
  struct StackFrameObject *oldstackframe5789 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5789);
  gc_frame_newslot((Object)stackframe);
  self = obj5789;
  Object *oldselfslot5789 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5789 = (*(struct UserObject *)self).data[0], lowerouter5789 = thisouter5789;
  if (inheritingObject5789) {
    struct UserObject *inho5789 = (struct UserObject *)inheritingObject5789;
    while (inho5789->super != GraceDefaultObject) inho5789 = (struct UserObject *)inho5789->super;
    inho5789->super = obj5789;
    self = inheritingObject5789;
    *selfslot = self;
    lowerouter5789 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5789;
  }
if (objclass5789 == NULL) {
  Method *reader5791 = addmethodrealflags(obj5789, "kind",&reader_ast_kind_5791, MFLAG_DEF);
  reader5791->definitionModule = modulename;
  reader5791->definitionLine = 1317;
}
adddatum2(obj5789, alloc_Undefined(), 1);
if (objclass5789 == NULL) {
  Method *reader5792 = addmethodrealflags(obj5789, "value",&reader_ast_value_5792, 0);
  Method *writer5792 = addmethodrealflags(obj5789, "value:=",&writer_ast_value_5792, 0);
  reader5792->definitionModule = modulename;
  writer5792->definitionModule = modulename;
  reader5792->definitionLine = 1318;
  writer5792->definitionLine = 1318;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 2);
if (objclass5789 == NULL) {
  Method *reader5793 = addmethodrealflags(obj5789, "wildcard",&reader_ast_wildcard_5793, 0);
  Method *writer5793 = addmethodrealflags(obj5789, "wildcard:=",&writer_ast_wildcard_5793, 0);
  reader5793->definitionModule = modulename;
  writer5793->definitionModule = modulename;
  reader5793->definitionLine = 1319;
  writer5793->definitionLine = 1319;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 3);
if (objclass5789 == NULL) {
  Method *reader5794 = addmethodrealflags(obj5789, "dtype",&reader_ast_dtype_5794, 0);
  Method *writer5794 = addmethodrealflags(obj5789, "dtype:=",&writer_ast_dtype_5794, 0);
  reader5794->definitionModule = modulename;
  writer5794->definitionModule = modulename;
  reader5794->definitionLine = 1320;
  writer5794->definitionLine = 1320;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 4);
if (objclass5789 == NULL) {
  Method *reader5795 = addmethodrealflags(obj5789, "inBind",&reader_ast_inBind_5795, 0);
  Method *writer5795 = addmethodrealflags(obj5789, "inBind:=",&writer_ast_inBind_5795, 0);
  reader5795->definitionModule = modulename;
  writer5795->definitionModule = modulename;
  reader5795->definitionLine = 1321;
  writer5795->definitionLine = 1321;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 5);
if (objclass5789 == NULL) {
  Method *reader5796 = addmethodrealflags(obj5789, "inRequest",&reader_ast_inRequest_5796, 0);
  Method *writer5796 = addmethodrealflags(obj5789, "inRequest:=",&writer_ast_inRequest_5796, 0);
  reader5796->definitionModule = modulename;
  writer5796->definitionModule = modulename;
  reader5796->definitionLine = 1322;
  writer5796->definitionLine = 1322;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 6);
if (objclass5789 == NULL) {
  Method *reader5797 = addmethodrealflags(obj5789, "nameString",&reader_ast_nameString_5797, MFLAG_DEF);
  reader5797->definitionModule = modulename;
  reader5797->definitionLine = 1323;
}
adddatum2(obj5789, alloc_Undefined(), 7);
  struct UserObject *uo5798 = (struct UserObject*)obj5789;
  uo5798->data[8] = emptyclosure;
  Method *meth_meth_ast_accept5798 = addmethod2pos(obj5789, "accept", &meth_ast_accept5798, 8);
int argcv_meth_ast_accept5798[] = {1};
meth_meth_ast_accept5798->type = alloc_MethodType(1, argcv_meth_ast_accept5798);
  meth_meth_ast_accept5798->definitionModule = modulename;
  meth_meth_ast_accept5798->definitionLine = 1323;
  block_savedest(obj5789);
  Object closure5813 = createclosure(2, "map()before()after");
  setclosureframe(closure5813, stackframe);
  addtoclosure(closure5813, var_util);
  addtoclosure(closure5813, var_identifierNode);
  struct UserObject *uo5813 = (struct UserObject*)obj5789;
  uo5813->data[9] = (Object)closure5813;
  Method *meth_meth_ast_map_40__41_before_40__41_after5813 = addmethod2pos(obj5789, "map()before()after", &meth_ast_map_40__41_before_40__41_after5813, 9);
int argcv_meth_ast_map_40__41_before_40__41_after5813[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5813->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5813);
  meth_meth_ast_map_40__41_before_40__41_after5813->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5813->definitionLine = 1330;
  struct UserObject *uo5878 = (struct UserObject*)obj5789;
  uo5878->data[10] = emptyclosure;
  Method *meth_meth_ast_map5878 = addmethod2pos(obj5789, "map", &meth_ast_map5878, 10);
int argcv_meth_ast_map5878[] = {1};
meth_meth_ast_map5878->type = alloc_MethodType(1, argcv_meth_ast_map5878);
  meth_meth_ast_map5878->definitionModule = modulename;
  meth_meth_ast_map5878->definitionLine = 1349;
  struct UserObject *uo5887 = (struct UserObject*)obj5789;
  uo5887->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty5887 = addmethod2pos(obj5789, "pretty", &meth_ast_pretty5887, 11);
int argcv_meth_ast_pretty5887[] = {1};
meth_meth_ast_pretty5887->type = alloc_MethodType(1, argcv_meth_ast_pretty5887);
  meth_meth_ast_pretty5887->definitionModule = modulename;
  meth_meth_ast_pretty5887->definitionLine = 1352;
  block_savedest(obj5789);
  Object closure5961 = createclosure(1, "decType");
  setclosureframe(closure5961, stackframe);
  addtoclosure(closure5961, var_identifierNode);
  struct UserObject *uo5961 = (struct UserObject*)obj5789;
  uo5961->data[12] = (Object)closure5961;
  Method *meth_meth_ast_decType5961 = addmethod2pos(obj5789, "decType", &meth_ast_decType5961, 12);
int argcv_meth_ast_decType5961[] = {0};
meth_meth_ast_decType5961->type = alloc_MethodType(1, argcv_meth_ast_decType5961);
  meth_meth_ast_decType5961->definitionModule = modulename;
  meth_meth_ast_decType5961->definitionLine = 1369;
  struct UserObject *uo5975 = (struct UserObject*)obj5789;
  uo5975->data[13] = emptyclosure;
  Method *meth_meth_ast_toGrace5975 = addmethod2pos(obj5789, "toGrace", &meth_ast_toGrace5975, 13);
int argcv_meth_ast_toGrace5975[] = {1};
meth_meth_ast_toGrace5975->type = alloc_MethodType(1, argcv_meth_ast_toGrace5975);
meth_meth_ast_toGrace5975->type->types[0] = type_Number;
meth_meth_ast_toGrace5975->type->names[0] = "depth";
  meth_meth_ast_toGrace5975->definitionModule = modulename;
  meth_meth_ast_toGrace5975->definitionLine = 1375;
  struct UserObject *uo6007 = (struct UserObject*)obj5789;
  uo6007->data[14] = emptyclosure;
  Method *meth_meth_ast_asString6007 = addmethod2pos(obj5789, "asString", &meth_ast_asString6007, 14);
int argcv_meth_ast_asString6007[] = {0};
meth_meth_ast_asString6007->type = alloc_MethodType(1, argcv_meth_ast_asString6007);
  meth_meth_ast_asString6007->definitionModule = modulename;
  meth_meth_ast_asString6007->definitionLine = 1387;
  sourceObject = obj5789;
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6018 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6019 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6018);
// compilenode returning call6019
  struct UserObject *obj5789_uo = (struct UserObject *)obj5789;
  obj5789_uo->super = call6019;
  sourceObject = obj5789;
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6020 == NULL) {
    strlit6020 = alloc_String("identifier");
    gc_root(strlit6020);
  }
// compilenode returning strlit6020
  adddatum2(obj5789, strlit6020, 1);
  sourceObject = obj5789;
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name
  adddatum2(obj5789, *var_name, 2);
  sourceObject = obj5789;
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6021 = alloc_Boolean(0);
// compilenode returning bool6021
  adddatum2(obj5789, bool6021, 3);
  sourceObject = obj5789;
// Begin line 1319
  setline(1319);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj5789, *var_dtype_39_, 4);
  sourceObject = obj5789;
// Begin line 1320
  setline(1320);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6022 = alloc_Boolean(0);
// compilenode returning bool6022
  adddatum2(obj5789, bool6022, 5);
  sourceObject = obj5789;
// Begin line 1321
  setline(1321);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6023 = alloc_Boolean(0);
// compilenode returning bool6023
  adddatum2(obj5789, bool6023, 6);
  sourceObject = obj5789;
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name
  adddatum2(obj5789, *var_name, 7);
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
objclass5789 = obj5789->class;
  objclass5789->definitionModule = modulename;
  objclass5789->definitionLine = 1306;
  (*(struct UserObject *)self).data[0] = lowerouter5789;
  self = oldself5789;
  selfslot = oldselfslot5789;
  stackframe = oldstackframe5789;
  gc_frame_end(frame);
  return obj5789;
}
Object meth_ast_new5788_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5789 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5789 = alloc_userobj2(20,16, objclass5789);
  gc_frame_newslot(obj5789);
if (objclass5789 == NULL) {
  glfree(obj5789->class->name);
  obj5789->class->name = "identifierNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5789, self, 0);
  addmethodreal(obj5789,"outer", &reader_ast_outer_5790);
  Object oldself5789 = self;
  struct StackFrameObject *oldstackframe5789 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5789);
  gc_frame_newslot((Object)stackframe);
  self = obj5789;
  Object *oldselfslot5789 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5789 = (*(struct UserObject *)self).data[0], lowerouter5789 = thisouter5789;
  if (inheritingObject5789) {
    struct UserObject *inho5789 = (struct UserObject *)inheritingObject5789;
    while (inho5789->super != GraceDefaultObject) inho5789 = (struct UserObject *)inho5789->super;
    inho5789->super = obj5789;
    self = inheritingObject5789;
    *selfslot = self;
    lowerouter5789 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5789;
  }
if (objclass5789 == NULL) {
  Method *reader5791 = addmethodrealflags(obj5789, "kind",&reader_ast_kind_5791, MFLAG_DEF);
  reader5791->definitionModule = modulename;
  reader5791->definitionLine = 1317;
}
adddatum2(obj5789, alloc_Undefined(), 1);
if (objclass5789 == NULL) {
  Method *reader5792 = addmethodrealflags(obj5789, "value",&reader_ast_value_5792, 0);
  Method *writer5792 = addmethodrealflags(obj5789, "value:=",&writer_ast_value_5792, 0);
  reader5792->definitionModule = modulename;
  writer5792->definitionModule = modulename;
  reader5792->definitionLine = 1318;
  writer5792->definitionLine = 1318;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 2);
if (objclass5789 == NULL) {
  Method *reader5793 = addmethodrealflags(obj5789, "wildcard",&reader_ast_wildcard_5793, 0);
  Method *writer5793 = addmethodrealflags(obj5789, "wildcard:=",&writer_ast_wildcard_5793, 0);
  reader5793->definitionModule = modulename;
  writer5793->definitionModule = modulename;
  reader5793->definitionLine = 1319;
  writer5793->definitionLine = 1319;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 3);
if (objclass5789 == NULL) {
  Method *reader5794 = addmethodrealflags(obj5789, "dtype",&reader_ast_dtype_5794, 0);
  Method *writer5794 = addmethodrealflags(obj5789, "dtype:=",&writer_ast_dtype_5794, 0);
  reader5794->definitionModule = modulename;
  writer5794->definitionModule = modulename;
  reader5794->definitionLine = 1320;
  writer5794->definitionLine = 1320;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 4);
if (objclass5789 == NULL) {
  Method *reader5795 = addmethodrealflags(obj5789, "inBind",&reader_ast_inBind_5795, 0);
  Method *writer5795 = addmethodrealflags(obj5789, "inBind:=",&writer_ast_inBind_5795, 0);
  reader5795->definitionModule = modulename;
  writer5795->definitionModule = modulename;
  reader5795->definitionLine = 1321;
  writer5795->definitionLine = 1321;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 5);
if (objclass5789 == NULL) {
  Method *reader5796 = addmethodrealflags(obj5789, "inRequest",&reader_ast_inRequest_5796, 0);
  Method *writer5796 = addmethodrealflags(obj5789, "inRequest:=",&writer_ast_inRequest_5796, 0);
  reader5796->definitionModule = modulename;
  writer5796->definitionModule = modulename;
  reader5796->definitionLine = 1322;
  writer5796->definitionLine = 1322;
}
obj5789->flags |= OFLAG_MUTABLE;
adddatum2(obj5789, alloc_Undefined(), 6);
if (objclass5789 == NULL) {
  Method *reader5797 = addmethodrealflags(obj5789, "nameString",&reader_ast_nameString_5797, MFLAG_DEF);
  reader5797->definitionModule = modulename;
  reader5797->definitionLine = 1323;
}
adddatum2(obj5789, alloc_Undefined(), 7);
  struct UserObject *uo5798 = (struct UserObject*)obj5789;
  uo5798->data[8] = emptyclosure;
  Method *meth_meth_ast_accept5798 = addmethod2pos(obj5789, "accept", &meth_ast_accept5798, 8);
int argcv_meth_ast_accept5798[] = {1};
meth_meth_ast_accept5798->type = alloc_MethodType(1, argcv_meth_ast_accept5798);
  meth_meth_ast_accept5798->definitionModule = modulename;
  meth_meth_ast_accept5798->definitionLine = 1323;
  block_savedest(obj5789);
  Object closure5813 = createclosure(2, "map()before()after");
  setclosureframe(closure5813, stackframe);
  addtoclosure(closure5813, var_util);
  addtoclosure(closure5813, var_identifierNode);
  struct UserObject *uo5813 = (struct UserObject*)obj5789;
  uo5813->data[9] = (Object)closure5813;
  Method *meth_meth_ast_map_40__41_before_40__41_after5813 = addmethod2pos(obj5789, "map()before()after", &meth_ast_map_40__41_before_40__41_after5813, 9);
int argcv_meth_ast_map_40__41_before_40__41_after5813[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after5813->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after5813);
  meth_meth_ast_map_40__41_before_40__41_after5813->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after5813->definitionLine = 1330;
  struct UserObject *uo5878 = (struct UserObject*)obj5789;
  uo5878->data[10] = emptyclosure;
  Method *meth_meth_ast_map5878 = addmethod2pos(obj5789, "map", &meth_ast_map5878, 10);
int argcv_meth_ast_map5878[] = {1};
meth_meth_ast_map5878->type = alloc_MethodType(1, argcv_meth_ast_map5878);
  meth_meth_ast_map5878->definitionModule = modulename;
  meth_meth_ast_map5878->definitionLine = 1349;
  struct UserObject *uo5887 = (struct UserObject*)obj5789;
  uo5887->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty5887 = addmethod2pos(obj5789, "pretty", &meth_ast_pretty5887, 11);
int argcv_meth_ast_pretty5887[] = {1};
meth_meth_ast_pretty5887->type = alloc_MethodType(1, argcv_meth_ast_pretty5887);
  meth_meth_ast_pretty5887->definitionModule = modulename;
  meth_meth_ast_pretty5887->definitionLine = 1352;
  block_savedest(obj5789);
  Object closure5961 = createclosure(1, "decType");
  setclosureframe(closure5961, stackframe);
  addtoclosure(closure5961, var_identifierNode);
  struct UserObject *uo5961 = (struct UserObject*)obj5789;
  uo5961->data[12] = (Object)closure5961;
  Method *meth_meth_ast_decType5961 = addmethod2pos(obj5789, "decType", &meth_ast_decType5961, 12);
int argcv_meth_ast_decType5961[] = {0};
meth_meth_ast_decType5961->type = alloc_MethodType(1, argcv_meth_ast_decType5961);
  meth_meth_ast_decType5961->definitionModule = modulename;
  meth_meth_ast_decType5961->definitionLine = 1369;
  struct UserObject *uo5975 = (struct UserObject*)obj5789;
  uo5975->data[13] = emptyclosure;
  Method *meth_meth_ast_toGrace5975 = addmethod2pos(obj5789, "toGrace", &meth_ast_toGrace5975, 13);
int argcv_meth_ast_toGrace5975[] = {1};
meth_meth_ast_toGrace5975->type = alloc_MethodType(1, argcv_meth_ast_toGrace5975);
meth_meth_ast_toGrace5975->type->types[0] = type_Number;
meth_meth_ast_toGrace5975->type->names[0] = "depth";
  meth_meth_ast_toGrace5975->definitionModule = modulename;
  meth_meth_ast_toGrace5975->definitionLine = 1375;
  struct UserObject *uo6007 = (struct UserObject*)obj5789;
  uo6007->data[14] = emptyclosure;
  Method *meth_meth_ast_asString6007 = addmethod2pos(obj5789, "asString", &meth_ast_asString6007, 14);
int argcv_meth_ast_asString6007[] = {0};
meth_meth_ast_asString6007->type = alloc_MethodType(1, argcv_meth_ast_asString6007);
  meth_meth_ast_asString6007->definitionModule = modulename;
  meth_meth_ast_asString6007->definitionLine = 1387;
  sourceObject = obj5789;
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6018 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6019 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6018);
// compilenode returning call6019
  struct UserObject *obj5789_uo = (struct UserObject *)obj5789;
  obj5789_uo->super = call6019;
  sourceObject = obj5789;
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6020 == NULL) {
    strlit6020 = alloc_String("identifier");
    gc_root(strlit6020);
  }
// compilenode returning strlit6020
  adddatum2(obj5789, strlit6020, 1);
  sourceObject = obj5789;
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name
  adddatum2(obj5789, *var_name, 2);
  sourceObject = obj5789;
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6021 = alloc_Boolean(0);
// compilenode returning bool6021
  adddatum2(obj5789, bool6021, 3);
  sourceObject = obj5789;
// Begin line 1319
  setline(1319);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj5789, *var_dtype_39_, 4);
  sourceObject = obj5789;
// Begin line 1320
  setline(1320);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6022 = alloc_Boolean(0);
// compilenode returning bool6022
  adddatum2(obj5789, bool6022, 5);
  sourceObject = obj5789;
// Begin line 1321
  setline(1321);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6023 = alloc_Boolean(0);
// compilenode returning bool6023
  adddatum2(obj5789, bool6023, 6);
  sourceObject = obj5789;
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name
  adddatum2(obj5789, *var_name, 7);
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
  sourceObject = obj5789;
objclass5789 = obj5789->class;
  objclass5789->definitionModule = modulename;
  objclass5789->definitionLine = 1306;
  (*(struct UserObject *)self).data[0] = lowerouter5789;
  self = oldself5789;
  selfslot = oldselfslot5789;
  stackframe = oldstackframe5789;
  gc_frame_end(frame);
  return obj5789;
}
Object meth_ast_octetsNode6025(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "octetsNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_octetsNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for octetsNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for octetsNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_octetsNode
  gc_frame_end(frame);
  return *var_octetsNode;
}
Object meth_ast_accept6033(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6034 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call6035 = callmethod(*var_visitor, "visitOctets",
    1, partcv, params);
  gc_frame_end(callframe6034);
// compilenode returning call6035
  gc_frame_end(frame);
  return call6035;
}
Object meth_ast_pretty6036(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1400
  setline(1400);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6038 == NULL) {
    strlit6038 = alloc_String(")");
    gc_root(strlit6038);
  }
// compilenode returning strlit6038
  int op_slot_right_6037 = gc_frame_newslot(strlit6038);
  int callframe6041 = gc_frame_new();
  partcv[0] = 0;
  Object call6042 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6041);
// compilenode returning call6042
// compilenode returning call6042
  int op_slot_right_6040 = gc_frame_newslot(call6042);
  if (strlit6044 == NULL) {
    strlit6044 = alloc_String("Octets(");
    gc_root(strlit6044);
  }
// compilenode returning strlit6044
  int op_slot_left_6040 = gc_frame_newslot(strlit6044);
  params[0] = call6042;
  partcv[0] = 1;
  Object opresult6045 = callmethod(strlit6044, "++", 1, partcv, params);
// compilenode returning opresult6045
  int op_slot_left_6037 = gc_frame_newslot(opresult6045);
  params[0] = strlit6038;
  partcv[0] = 1;
  Object opresult6046 = callmethod(opresult6045, "++", 1, partcv, params);
// compilenode returning opresult6046
  gc_frame_end(frame);
  return opresult6046;
}
Object meth_ast_toGrace6047(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6048 = gc_frame_new();
  partcv[0] = 0;
  Object call6049 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6048);
// compilenode returning call6049
// compilenode returning call6049
  gc_frame_end(frame);
  return call6049;
}
Object meth_ast_new6028(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6029 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6029 = alloc_userobj2(6,7, objclass6029);
  gc_frame_newslot(obj6029);
if (objclass6029 == NULL) {
  glfree(obj6029->class->name);
  obj6029->class->name = "octetsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6029, self, 0);
  addmethodreal(obj6029,"outer", &reader_ast_outer_6030);
  Object oldself6029 = self;
  struct StackFrameObject *oldstackframe6029 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6029);
  gc_frame_newslot((Object)stackframe);
  self = obj6029;
  Object *oldselfslot6029 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6029 = (*(struct UserObject *)self).data[0], lowerouter6029 = thisouter6029;
  if (inheritingObject6029) {
    struct UserObject *inho6029 = (struct UserObject *)inheritingObject6029;
    while (inho6029->super != GraceDefaultObject) inho6029 = (struct UserObject *)inho6029->super;
    inho6029->super = obj6029;
    self = inheritingObject6029;
    *selfslot = self;
    lowerouter6029 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6029;
  }
if (objclass6029 == NULL) {
  Method *reader6031 = addmethodrealflags(obj6029, "kind",&reader_ast_kind_6031, MFLAG_DEF);
  reader6031->definitionModule = modulename;
  reader6031->definitionLine = 1394;
}
adddatum2(obj6029, alloc_Undefined(), 1);
if (objclass6029 == NULL) {
  Method *reader6032 = addmethodrealflags(obj6029, "value",&reader_ast_value_6032, MFLAG_DEF);
  reader6032->definitionModule = modulename;
  reader6032->definitionLine = 1395;
}
adddatum2(obj6029, alloc_Undefined(), 2);
  struct UserObject *uo6033 = (struct UserObject*)obj6029;
  uo6033->data[3] = emptyclosure;
  Method *meth_meth_ast_accept6033 = addmethod2pos(obj6029, "accept", &meth_ast_accept6033, 3);
int argcv_meth_ast_accept6033[] = {1};
meth_meth_ast_accept6033->type = alloc_MethodType(1, argcv_meth_ast_accept6033);
  meth_meth_ast_accept6033->definitionModule = modulename;
  meth_meth_ast_accept6033->definitionLine = 1395;
  struct UserObject *uo6036 = (struct UserObject*)obj6029;
  uo6036->data[4] = emptyclosure;
  Method *meth_meth_ast_pretty6036 = addmethod2pos(obj6029, "pretty", &meth_ast_pretty6036, 4);
int argcv_meth_ast_pretty6036[] = {1};
meth_meth_ast_pretty6036->type = alloc_MethodType(1, argcv_meth_ast_pretty6036);
  meth_meth_ast_pretty6036->definitionModule = modulename;
  meth_meth_ast_pretty6036->definitionLine = 1398;
  struct UserObject *uo6047 = (struct UserObject*)obj6029;
  uo6047->data[5] = emptyclosure;
  Method *meth_meth_ast_toGrace6047 = addmethod2pos(obj6029, "toGrace", &meth_ast_toGrace6047, 5);
int argcv_meth_ast_toGrace6047[] = {1};
meth_meth_ast_toGrace6047->type = alloc_MethodType(1, argcv_meth_ast_toGrace6047);
meth_meth_ast_toGrace6047->type->types[0] = type_Number;
meth_meth_ast_toGrace6047->type->names[0] = "depth";
  meth_meth_ast_toGrace6047->definitionModule = modulename;
  meth_meth_ast_toGrace6047->definitionLine = 1401;
  sourceObject = obj6029;
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6050 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6051 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6050);
// compilenode returning call6051
  struct UserObject *obj6029_uo = (struct UserObject *)obj6029;
  obj6029_uo->super = call6051;
  sourceObject = obj6029;
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6052 == NULL) {
    strlit6052 = alloc_String("octets");
    gc_root(strlit6052);
  }
// compilenode returning strlit6052
  adddatum2(obj6029, strlit6052, 1);
  sourceObject = obj6029;
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  adddatum2(obj6029, *var_n, 2);
  sourceObject = obj6029;
  sourceObject = obj6029;
  sourceObject = obj6029;
objclass6029 = obj6029->class;
  objclass6029->definitionModule = modulename;
  objclass6029->definitionLine = 1383;
  (*(struct UserObject *)self).data[0] = lowerouter6029;
  self = oldself6029;
  selfslot = oldselfslot6029;
  stackframe = oldstackframe6029;
  gc_frame_end(frame);
  return obj6029;
}
Object meth_ast_new6028_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6029 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6029 = alloc_userobj2(6,7, objclass6029);
  gc_frame_newslot(obj6029);
if (objclass6029 == NULL) {
  glfree(obj6029->class->name);
  obj6029->class->name = "octetsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6029, self, 0);
  addmethodreal(obj6029,"outer", &reader_ast_outer_6030);
  Object oldself6029 = self;
  struct StackFrameObject *oldstackframe6029 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6029);
  gc_frame_newslot((Object)stackframe);
  self = obj6029;
  Object *oldselfslot6029 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6029 = (*(struct UserObject *)self).data[0], lowerouter6029 = thisouter6029;
  if (inheritingObject6029) {
    struct UserObject *inho6029 = (struct UserObject *)inheritingObject6029;
    while (inho6029->super != GraceDefaultObject) inho6029 = (struct UserObject *)inho6029->super;
    inho6029->super = obj6029;
    self = inheritingObject6029;
    *selfslot = self;
    lowerouter6029 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6029;
  }
if (objclass6029 == NULL) {
  Method *reader6031 = addmethodrealflags(obj6029, "kind",&reader_ast_kind_6031, MFLAG_DEF);
  reader6031->definitionModule = modulename;
  reader6031->definitionLine = 1394;
}
adddatum2(obj6029, alloc_Undefined(), 1);
if (objclass6029 == NULL) {
  Method *reader6032 = addmethodrealflags(obj6029, "value",&reader_ast_value_6032, MFLAG_DEF);
  reader6032->definitionModule = modulename;
  reader6032->definitionLine = 1395;
}
adddatum2(obj6029, alloc_Undefined(), 2);
  struct UserObject *uo6033 = (struct UserObject*)obj6029;
  uo6033->data[3] = emptyclosure;
  Method *meth_meth_ast_accept6033 = addmethod2pos(obj6029, "accept", &meth_ast_accept6033, 3);
int argcv_meth_ast_accept6033[] = {1};
meth_meth_ast_accept6033->type = alloc_MethodType(1, argcv_meth_ast_accept6033);
  meth_meth_ast_accept6033->definitionModule = modulename;
  meth_meth_ast_accept6033->definitionLine = 1395;
  struct UserObject *uo6036 = (struct UserObject*)obj6029;
  uo6036->data[4] = emptyclosure;
  Method *meth_meth_ast_pretty6036 = addmethod2pos(obj6029, "pretty", &meth_ast_pretty6036, 4);
int argcv_meth_ast_pretty6036[] = {1};
meth_meth_ast_pretty6036->type = alloc_MethodType(1, argcv_meth_ast_pretty6036);
  meth_meth_ast_pretty6036->definitionModule = modulename;
  meth_meth_ast_pretty6036->definitionLine = 1398;
  struct UserObject *uo6047 = (struct UserObject*)obj6029;
  uo6047->data[5] = emptyclosure;
  Method *meth_meth_ast_toGrace6047 = addmethod2pos(obj6029, "toGrace", &meth_ast_toGrace6047, 5);
int argcv_meth_ast_toGrace6047[] = {1};
meth_meth_ast_toGrace6047->type = alloc_MethodType(1, argcv_meth_ast_toGrace6047);
meth_meth_ast_toGrace6047->type->types[0] = type_Number;
meth_meth_ast_toGrace6047->type->names[0] = "depth";
  meth_meth_ast_toGrace6047->definitionModule = modulename;
  meth_meth_ast_toGrace6047->definitionLine = 1401;
  sourceObject = obj6029;
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6050 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6051 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6050);
// compilenode returning call6051
  struct UserObject *obj6029_uo = (struct UserObject *)obj6029;
  obj6029_uo->super = call6051;
  sourceObject = obj6029;
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6052 == NULL) {
    strlit6052 = alloc_String("octets");
    gc_root(strlit6052);
  }
// compilenode returning strlit6052
  adddatum2(obj6029, strlit6052, 1);
  sourceObject = obj6029;
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  adddatum2(obj6029, *var_n, 2);
  sourceObject = obj6029;
  sourceObject = obj6029;
  sourceObject = obj6029;
objclass6029 = obj6029->class;
  objclass6029->definitionModule = modulename;
  objclass6029->definitionLine = 1383;
  (*(struct UserObject *)self).data[0] = lowerouter6029;
  self = oldself6029;
  selfslot = oldselfslot6029;
  stackframe = oldstackframe6029;
  gc_frame_end(frame);
  return obj6029;
}
Object meth_ast_stringNode6054(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "stringNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for stringNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for stringNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_stringNode
  gc_frame_end(frame);
  return *var_stringNode;
}
Object meth_ast_accept6062(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6063 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call6064 = callmethod(*var_visitor, "visitString",
    1, partcv, params);
  gc_frame_end(callframe6063);
// compilenode returning call6064
  gc_frame_end(frame);
  return call6064;
}
Object meth_ast_map_40__41_before_40__41_after6065(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6066 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call6067 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe6066);
// compilenode returning call6067
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6068 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blk
  params[0] = self;
  partcv[0] = 1;
  Object call6069 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6068);
// compilenode returning call6069
  *var_n = call6069;
  if (call6069 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6070 = gc_frame_new();
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6071 = gc_frame_new();
  partcv[0] = 0;
  Object call6072 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6071);
// compilenode returning call6072
  gc_frame_newslot(call6072);
// compilenode returning *var_n
  params[0] = call6072;
  partcv[0] = 1;
  Object call6073 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6070);
// compilenode returning call6073
// compilenode returning done
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6074 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6075 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe6074);
// compilenode returning call6075
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6079(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6082(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map6076(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6077 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block6078 = alloc_Block(NULL, NULL, "ast", 1420);
  gc_frame_newslot(block6078);
  block_savedest(block6078);
  Object closure6079 = createclosure(1, "_apply");
  setclosureframe(closure6079, stackframe);
  addtoclosure(closure6079, selfslot);
  struct UserObject *uo6079 = (struct UserObject*)block6078;
  uo6079->data[0] = (Object)closure6079;
  Method *meth_meth_ast__apply6079 = addmethod2pos(block6078, "_apply", &meth_ast__apply6079, 0);
int argcv_meth_ast__apply6079[] = {0};
meth_meth_ast__apply6079->type = alloc_MethodType(1, argcv_meth_ast__apply6079);
  meth_meth_ast__apply6079->definitionModule = modulename;
  meth_meth_ast__apply6079->definitionLine = 1402;
// compilenode returning block6078
  gc_frame_newslot(block6078);
  Object block6081 = alloc_Block(NULL, NULL, "ast", 1420);
  gc_frame_newslot(block6081);
  block_savedest(block6081);
  Object closure6082 = createclosure(1, "_apply");
  setclosureframe(closure6082, stackframe);
  addtoclosure(closure6082, selfslot);
  struct UserObject *uo6082 = (struct UserObject*)block6081;
  uo6082->data[0] = (Object)closure6082;
  Method *meth_meth_ast__apply6082 = addmethod2pos(block6081, "_apply", &meth_ast__apply6082, 0);
int argcv_meth_ast__apply6082[] = {0};
meth_meth_ast__apply6082->type = alloc_MethodType(1, argcv_meth_ast__apply6082);
  meth_meth_ast__apply6082->definitionModule = modulename;
  meth_meth_ast__apply6082->definitionLine = 1402;
// compilenode returning block6081
  gc_frame_newslot(block6081);
  params[0] = *var_blk;
  params[1] = block6078;
  params[2] = block6081;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6084 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6077);
// compilenode returning call6084
  gc_frame_end(frame);
  return call6084;
}
Object meth_ast_pretty6085(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6087 == NULL) {
    strlit6087 = alloc_String(")");
    gc_root(strlit6087);
  }
// compilenode returning strlit6087
  int op_slot_right_6086 = gc_frame_newslot(strlit6087);
  int callframe6090 = gc_frame_new();
  partcv[0] = 0;
  Object call6091 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6090);
// compilenode returning call6091
// compilenode returning call6091
  int op_slot_right_6089 = gc_frame_newslot(call6091);
  if (strlit6093 == NULL) {
    strlit6093 = alloc_String("String(");
    gc_root(strlit6093);
  }
// compilenode returning strlit6093
  int op_slot_left_6089 = gc_frame_newslot(strlit6093);
  params[0] = call6091;
  partcv[0] = 1;
  Object opresult6094 = callmethod(strlit6093, "++", 1, partcv, params);
// compilenode returning opresult6094
  int op_slot_left_6086 = gc_frame_newslot(opresult6094);
  params[0] = strlit6087;
  partcv[0] = 1;
  Object opresult6095 = callmethod(opresult6094, "++", 1, partcv, params);
// compilenode returning opresult6095
  gc_frame_end(frame);
  return opresult6095;
}
Object meth_ast__apply6102(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1429
  setline(1429);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6105 == NULL) {
    strlit6105 = alloc_String("""\x0a""");
    gc_root(strlit6105);
  }
// compilenode returning strlit6105
  int op_slot_right_6104 = gc_frame_newslot(strlit6105);
// compilenode returning *var_c
  int op_slot_left_6104 = gc_frame_newslot(*var_c);
  params[0] = strlit6105;
  partcv[0] = 1;
  Object opresult6107 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult6107
  Object if6103 = done;
  if (istrue(opresult6107)) {
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6109 == NULL) {
    strlit6109 = alloc_String("\\n");
    gc_root(strlit6109);
  }
// compilenode returning strlit6109
  int op_slot_right_6108 = gc_frame_newslot(strlit6109);
// compilenode returning *var_s
  int op_slot_left_6108 = gc_frame_newslot(*var_s);
  params[0] = strlit6109;
  partcv[0] = 1;
  Object opresult6111 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6111
  *var_s = opresult6111;
  if (opresult6111 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6103 = done;
  } else {
// Begin line 1433
  setline(1433);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6115 == NULL) {
    strlit6115 = alloc_String("""\x09""");
    gc_root(strlit6115);
  }
// compilenode returning strlit6115
  int op_slot_right_6114 = gc_frame_newslot(strlit6115);
// compilenode returning *var_c
  int op_slot_left_6114 = gc_frame_newslot(*var_c);
  params[0] = strlit6115;
  partcv[0] = 1;
  Object opresult6117 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult6117
  Object if6113 = done;
  if (istrue(opresult6117)) {
// Begin line 1433
  setline(1433);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1432
  setline(1432);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6119 == NULL) {
    strlit6119 = alloc_String("\\t");
    gc_root(strlit6119);
  }
// compilenode returning strlit6119
  int op_slot_right_6118 = gc_frame_newslot(strlit6119);
// compilenode returning *var_s
  int op_slot_left_6118 = gc_frame_newslot(*var_s);
  params[0] = strlit6119;
  partcv[0] = 1;
  Object opresult6121 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6121
  *var_s = opresult6121;
  if (opresult6121 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6113 = done;
  } else {
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1433
  setline(1433);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6125 == NULL) {
    strlit6125 = alloc_String("""\x22""");
    gc_root(strlit6125);
  }
// compilenode returning strlit6125
  int op_slot_right_6124 = gc_frame_newslot(strlit6125);
// compilenode returning *var_c
  int op_slot_left_6124 = gc_frame_newslot(*var_c);
  params[0] = strlit6125;
  partcv[0] = 1;
  Object opresult6127 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult6127
  Object if6123 = done;
  if (istrue(opresult6127)) {
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6129 == NULL) {
    strlit6129 = alloc_String("\\""\x22""");
    gc_root(strlit6129);
  }
// compilenode returning strlit6129
  int op_slot_right_6128 = gc_frame_newslot(strlit6129);
// compilenode returning *var_s
  int op_slot_left_6128 = gc_frame_newslot(*var_s);
  params[0] = strlit6129;
  partcv[0] = 1;
  Object opresult6131 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6131
  *var_s = opresult6131;
  if (opresult6131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6123 = done;
  } else {
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6135 == NULL) {
    strlit6135 = alloc_String("\\");
    gc_root(strlit6135);
  }
// compilenode returning strlit6135
  int op_slot_right_6134 = gc_frame_newslot(strlit6135);
// compilenode returning *var_c
  int op_slot_left_6134 = gc_frame_newslot(*var_c);
  params[0] = strlit6135;
  partcv[0] = 1;
  Object opresult6137 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult6137
  Object if6133 = done;
  if (istrue(opresult6137)) {
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6139 == NULL) {
    strlit6139 = alloc_String("\\\\");
    gc_root(strlit6139);
  }
// compilenode returning strlit6139
  int op_slot_right_6138 = gc_frame_newslot(strlit6139);
// compilenode returning *var_s
  int op_slot_left_6138 = gc_frame_newslot(*var_s);
  params[0] = strlit6139;
  partcv[0] = 1;
  Object opresult6141 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6141
  *var_s = opresult6141;
  if (opresult6141 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6133 = done;
  } else {
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_6143 = gc_frame_newslot(*var_c);
// compilenode returning *var_s
  int op_slot_left_6143 = gc_frame_newslot(*var_s);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult6145 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6145
  *var_s = opresult6145;
  if (opresult6145 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6133 = done;
  }
// compilenode returning if6133
    gc_frame_newslot(if6133);
    if6123 = if6133;
  }
// compilenode returning if6123
    gc_frame_newslot(if6123);
    if6113 = if6123;
  }
// compilenode returning if6113
    gc_frame_newslot(if6113);
    if6103 = if6113;
  }
// compilenode returning if6103
  gc_frame_end(frame);
  return if6103;
}
Object meth_ast_toGrace6096(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6097 == NULL) {
    strlit6097 = alloc_String("""\x22""");
    gc_root(strlit6097);
  }
// compilenode returning strlit6097
  *var_s = strlit6097;
  if (strlit6097 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6098 = gc_frame_new();
  int callframe6099 = gc_frame_new();
  partcv[0] = 0;
  Object call6100 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6099);
// compilenode returning call6100
// compilenode returning call6100
  gc_frame_newslot(call6100);
  Object block6101 = alloc_Block(NULL, NULL, "ast", 1427);
  gc_frame_newslot(block6101);
  block_savedest(block6101);
  Object closure6102 = createclosure(2, "_apply");
  setclosureframe(closure6102, stackframe);
  addtoclosure(closure6102, var_s);
  addtoclosure(closure6102, selfslot);
  struct UserObject *uo6102 = (struct UserObject*)block6101;
  uo6102->data[0] = (Object)closure6102;
  Method *meth_meth_ast__apply6102 = addmethod2pos(block6101, "_apply", &meth_ast__apply6102, 0);
int argcv_meth_ast__apply6102[] = {1};
meth_meth_ast__apply6102->type = alloc_MethodType(1, argcv_meth_ast__apply6102);
  meth_meth_ast__apply6102->definitionModule = modulename;
  meth_meth_ast__apply6102->definitionLine = 1427;
// compilenode returning block6101
  gc_frame_newslot(block6101);
  params[0] = call6100;
  params[1] = block6101;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6148 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6098);
// compilenode returning call6148
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6150 == NULL) {
    strlit6150 = alloc_String("""\x22""");
    gc_root(strlit6150);
  }
// compilenode returning strlit6150
  int op_slot_right_6149 = gc_frame_newslot(strlit6150);
// compilenode returning *var_s
  int op_slot_left_6149 = gc_frame_newslot(*var_s);
  params[0] = strlit6150;
  partcv[0] = 1;
  Object opresult6152 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6152
  *var_s = opresult6152;
  if (opresult6152 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new6057(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6058 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6058 = alloc_userobj2(9,9, objclass6058);
  gc_frame_newslot(obj6058);
if (objclass6058 == NULL) {
  glfree(obj6058->class->name);
  obj6058->class->name = "stringNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6058, self, 0);
  addmethodreal(obj6058,"outer", &reader_ast_outer_6059);
  Object oldself6058 = self;
  struct StackFrameObject *oldstackframe6058 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6058);
  gc_frame_newslot((Object)stackframe);
  self = obj6058;
  Object *oldselfslot6058 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6058 = (*(struct UserObject *)self).data[0], lowerouter6058 = thisouter6058;
  if (inheritingObject6058) {
    struct UserObject *inho6058 = (struct UserObject *)inheritingObject6058;
    while (inho6058->super != GraceDefaultObject) inho6058 = (struct UserObject *)inho6058->super;
    inho6058->super = obj6058;
    self = inheritingObject6058;
    *selfslot = self;
    lowerouter6058 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6058;
  }
if (objclass6058 == NULL) {
  Method *reader6060 = addmethodrealflags(obj6058, "kind",&reader_ast_kind_6060, MFLAG_DEF);
  reader6060->definitionModule = modulename;
  reader6060->definitionLine = 1408;
}
adddatum2(obj6058, alloc_Undefined(), 1);
if (objclass6058 == NULL) {
  Method *reader6061 = addmethodrealflags(obj6058, "value",&reader_ast_value_6061, 0);
  Method *writer6061 = addmethodrealflags(obj6058, "value:=",&writer_ast_value_6061, 0);
  reader6061->definitionModule = modulename;
  writer6061->definitionModule = modulename;
  reader6061->definitionLine = 1409;
  writer6061->definitionLine = 1409;
}
obj6058->flags |= OFLAG_MUTABLE;
adddatum2(obj6058, alloc_Undefined(), 2);
  struct UserObject *uo6062 = (struct UserObject*)obj6058;
  uo6062->data[3] = emptyclosure;
  Method *meth_meth_ast_accept6062 = addmethod2pos(obj6058, "accept", &meth_ast_accept6062, 3);
int argcv_meth_ast_accept6062[] = {1};
meth_meth_ast_accept6062->type = alloc_MethodType(1, argcv_meth_ast_accept6062);
  meth_meth_ast_accept6062->definitionModule = modulename;
  meth_meth_ast_accept6062->definitionLine = 1409;
  struct UserObject *uo6065 = (struct UserObject*)obj6058;
  uo6065->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after6065 = addmethod2pos(obj6058, "map()before()after", &meth_ast_map_40__41_before_40__41_after6065, 4);
int argcv_meth_ast_map_40__41_before_40__41_after6065[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6065->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6065);
  meth_meth_ast_map_40__41_before_40__41_after6065->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6065->definitionLine = 1412;
  struct UserObject *uo6076 = (struct UserObject*)obj6058;
  uo6076->data[5] = emptyclosure;
  Method *meth_meth_ast_map6076 = addmethod2pos(obj6058, "map", &meth_ast_map6076, 5);
int argcv_meth_ast_map6076[] = {1};
meth_meth_ast_map6076->type = alloc_MethodType(1, argcv_meth_ast_map6076);
  meth_meth_ast_map6076->definitionModule = modulename;
  meth_meth_ast_map6076->definitionLine = 1419;
  struct UserObject *uo6085 = (struct UserObject*)obj6058;
  uo6085->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty6085 = addmethod2pos(obj6058, "pretty", &meth_ast_pretty6085, 6);
int argcv_meth_ast_pretty6085[] = {1};
meth_meth_ast_pretty6085->type = alloc_MethodType(1, argcv_meth_ast_pretty6085);
  meth_meth_ast_pretty6085->definitionModule = modulename;
  meth_meth_ast_pretty6085->definitionLine = 1422;
  struct UserObject *uo6096 = (struct UserObject*)obj6058;
  uo6096->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace6096 = addmethod2pos(obj6058, "toGrace", &meth_ast_toGrace6096, 7);
int argcv_meth_ast_toGrace6096[] = {1};
meth_meth_ast_toGrace6096->type = alloc_MethodType(1, argcv_meth_ast_toGrace6096);
meth_meth_ast_toGrace6096->type->types[0] = type_Number;
meth_meth_ast_toGrace6096->type->names[0] = "depth";
  meth_meth_ast_toGrace6096->definitionModule = modulename;
  meth_meth_ast_toGrace6096->definitionLine = 1425;
  sourceObject = obj6058;
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6154 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6155 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6154);
// compilenode returning call6155
  struct UserObject *obj6058_uo = (struct UserObject *)obj6058;
  obj6058_uo->super = call6155;
  sourceObject = obj6058;
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6156 == NULL) {
    strlit6156 = alloc_String("string");
    gc_root(strlit6156);
  }
// compilenode returning strlit6156
  adddatum2(obj6058, strlit6156, 1);
  sourceObject = obj6058;
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj6058, *var_v, 2);
  sourceObject = obj6058;
  sourceObject = obj6058;
  sourceObject = obj6058;
  sourceObject = obj6058;
  sourceObject = obj6058;
objclass6058 = obj6058->class;
  objclass6058->definitionModule = modulename;
  objclass6058->definitionLine = 1402;
  (*(struct UserObject *)self).data[0] = lowerouter6058;
  self = oldself6058;
  selfslot = oldselfslot6058;
  stackframe = oldstackframe6058;
  gc_frame_end(frame);
  return obj6058;
}
Object meth_ast_new6057_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6058 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6058 = alloc_userobj2(9,9, objclass6058);
  gc_frame_newslot(obj6058);
if (objclass6058 == NULL) {
  glfree(obj6058->class->name);
  obj6058->class->name = "stringNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6058, self, 0);
  addmethodreal(obj6058,"outer", &reader_ast_outer_6059);
  Object oldself6058 = self;
  struct StackFrameObject *oldstackframe6058 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6058);
  gc_frame_newslot((Object)stackframe);
  self = obj6058;
  Object *oldselfslot6058 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6058 = (*(struct UserObject *)self).data[0], lowerouter6058 = thisouter6058;
  if (inheritingObject6058) {
    struct UserObject *inho6058 = (struct UserObject *)inheritingObject6058;
    while (inho6058->super != GraceDefaultObject) inho6058 = (struct UserObject *)inho6058->super;
    inho6058->super = obj6058;
    self = inheritingObject6058;
    *selfslot = self;
    lowerouter6058 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6058;
  }
if (objclass6058 == NULL) {
  Method *reader6060 = addmethodrealflags(obj6058, "kind",&reader_ast_kind_6060, MFLAG_DEF);
  reader6060->definitionModule = modulename;
  reader6060->definitionLine = 1408;
}
adddatum2(obj6058, alloc_Undefined(), 1);
if (objclass6058 == NULL) {
  Method *reader6061 = addmethodrealflags(obj6058, "value",&reader_ast_value_6061, 0);
  Method *writer6061 = addmethodrealflags(obj6058, "value:=",&writer_ast_value_6061, 0);
  reader6061->definitionModule = modulename;
  writer6061->definitionModule = modulename;
  reader6061->definitionLine = 1409;
  writer6061->definitionLine = 1409;
}
obj6058->flags |= OFLAG_MUTABLE;
adddatum2(obj6058, alloc_Undefined(), 2);
  struct UserObject *uo6062 = (struct UserObject*)obj6058;
  uo6062->data[3] = emptyclosure;
  Method *meth_meth_ast_accept6062 = addmethod2pos(obj6058, "accept", &meth_ast_accept6062, 3);
int argcv_meth_ast_accept6062[] = {1};
meth_meth_ast_accept6062->type = alloc_MethodType(1, argcv_meth_ast_accept6062);
  meth_meth_ast_accept6062->definitionModule = modulename;
  meth_meth_ast_accept6062->definitionLine = 1409;
  struct UserObject *uo6065 = (struct UserObject*)obj6058;
  uo6065->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after6065 = addmethod2pos(obj6058, "map()before()after", &meth_ast_map_40__41_before_40__41_after6065, 4);
int argcv_meth_ast_map_40__41_before_40__41_after6065[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6065->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6065);
  meth_meth_ast_map_40__41_before_40__41_after6065->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6065->definitionLine = 1412;
  struct UserObject *uo6076 = (struct UserObject*)obj6058;
  uo6076->data[5] = emptyclosure;
  Method *meth_meth_ast_map6076 = addmethod2pos(obj6058, "map", &meth_ast_map6076, 5);
int argcv_meth_ast_map6076[] = {1};
meth_meth_ast_map6076->type = alloc_MethodType(1, argcv_meth_ast_map6076);
  meth_meth_ast_map6076->definitionModule = modulename;
  meth_meth_ast_map6076->definitionLine = 1419;
  struct UserObject *uo6085 = (struct UserObject*)obj6058;
  uo6085->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty6085 = addmethod2pos(obj6058, "pretty", &meth_ast_pretty6085, 6);
int argcv_meth_ast_pretty6085[] = {1};
meth_meth_ast_pretty6085->type = alloc_MethodType(1, argcv_meth_ast_pretty6085);
  meth_meth_ast_pretty6085->definitionModule = modulename;
  meth_meth_ast_pretty6085->definitionLine = 1422;
  struct UserObject *uo6096 = (struct UserObject*)obj6058;
  uo6096->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace6096 = addmethod2pos(obj6058, "toGrace", &meth_ast_toGrace6096, 7);
int argcv_meth_ast_toGrace6096[] = {1};
meth_meth_ast_toGrace6096->type = alloc_MethodType(1, argcv_meth_ast_toGrace6096);
meth_meth_ast_toGrace6096->type->types[0] = type_Number;
meth_meth_ast_toGrace6096->type->names[0] = "depth";
  meth_meth_ast_toGrace6096->definitionModule = modulename;
  meth_meth_ast_toGrace6096->definitionLine = 1425;
  sourceObject = obj6058;
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6154 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6155 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6154);
// compilenode returning call6155
  struct UserObject *obj6058_uo = (struct UserObject *)obj6058;
  obj6058_uo->super = call6155;
  sourceObject = obj6058;
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6156 == NULL) {
    strlit6156 = alloc_String("string");
    gc_root(strlit6156);
  }
// compilenode returning strlit6156
  adddatum2(obj6058, strlit6156, 1);
  sourceObject = obj6058;
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj6058, *var_v, 2);
  sourceObject = obj6058;
  sourceObject = obj6058;
  sourceObject = obj6058;
  sourceObject = obj6058;
  sourceObject = obj6058;
objclass6058 = obj6058->class;
  objclass6058->definitionModule = modulename;
  objclass6058->definitionLine = 1402;
  (*(struct UserObject *)self).data[0] = lowerouter6058;
  self = oldself6058;
  selfslot = oldselfslot6058;
  stackframe = oldstackframe6058;
  gc_frame_end(frame);
  return obj6058;
}
Object meth_ast_numNode6158(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "numNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for numNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for numNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_numNode
  gc_frame_end(frame);
  return *var_numNode;
}
Object meth_ast_accept6166(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6167 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call6168 = callmethod(*var_visitor, "visitNum",
    1, partcv, params);
  gc_frame_end(callframe6167);
// compilenode returning call6168
  gc_frame_end(frame);
  return call6168;
}
Object meth_ast_map_40__41_before_40__41_after6169(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6170 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call6171 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe6170);
// compilenode returning call6171
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6172 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blk
  params[0] = self;
  partcv[0] = 1;
  Object call6173 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6172);
// compilenode returning call6173
  *var_n = call6173;
  if (call6173 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6174 = gc_frame_new();
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6175 = gc_frame_new();
  partcv[0] = 0;
  Object call6176 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6175);
// compilenode returning call6176
  gc_frame_newslot(call6176);
// compilenode returning *var_n
  params[0] = call6176;
  partcv[0] = 1;
  Object call6177 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6174);
// compilenode returning call6177
// compilenode returning done
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6178 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6179 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe6178);
// compilenode returning call6179
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6183(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6186(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map6180(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6181 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block6182 = alloc_Block(NULL, NULL, "ast", 1460);
  gc_frame_newslot(block6182);
  block_savedest(block6182);
  Object closure6183 = createclosure(1, "_apply");
  setclosureframe(closure6183, stackframe);
  addtoclosure(closure6183, selfslot);
  struct UserObject *uo6183 = (struct UserObject*)block6182;
  uo6183->data[0] = (Object)closure6183;
  Method *meth_meth_ast__apply6183 = addmethod2pos(block6182, "_apply", &meth_ast__apply6183, 0);
int argcv_meth_ast__apply6183[] = {0};
meth_meth_ast__apply6183->type = alloc_MethodType(1, argcv_meth_ast__apply6183);
  meth_meth_ast__apply6183->definitionModule = modulename;
  meth_meth_ast__apply6183->definitionLine = 1427;
// compilenode returning block6182
  gc_frame_newslot(block6182);
  Object block6185 = alloc_Block(NULL, NULL, "ast", 1460);
  gc_frame_newslot(block6185);
  block_savedest(block6185);
  Object closure6186 = createclosure(1, "_apply");
  setclosureframe(closure6186, stackframe);
  addtoclosure(closure6186, selfslot);
  struct UserObject *uo6186 = (struct UserObject*)block6185;
  uo6186->data[0] = (Object)closure6186;
  Method *meth_meth_ast__apply6186 = addmethod2pos(block6185, "_apply", &meth_ast__apply6186, 0);
int argcv_meth_ast__apply6186[] = {0};
meth_meth_ast__apply6186->type = alloc_MethodType(1, argcv_meth_ast__apply6186);
  meth_meth_ast__apply6186->definitionModule = modulename;
  meth_meth_ast__apply6186->definitionLine = 1427;
// compilenode returning block6185
  gc_frame_newslot(block6185);
  params[0] = *var_blk;
  params[1] = block6182;
  params[2] = block6185;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6188 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6181);
// compilenode returning call6188
  gc_frame_end(frame);
  return call6188;
}
Object meth_ast_pretty6189(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1463
  setline(1463);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6191 == NULL) {
    strlit6191 = alloc_String(")");
    gc_root(strlit6191);
  }
// compilenode returning strlit6191
  int op_slot_right_6190 = gc_frame_newslot(strlit6191);
  int callframe6194 = gc_frame_new();
  partcv[0] = 0;
  Object call6195 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6194);
// compilenode returning call6195
// compilenode returning call6195
  int op_slot_right_6193 = gc_frame_newslot(call6195);
  if (strlit6197 == NULL) {
    strlit6197 = alloc_String("Num(");
    gc_root(strlit6197);
  }
// compilenode returning strlit6197
  int op_slot_left_6193 = gc_frame_newslot(strlit6197);
  params[0] = call6195;
  partcv[0] = 1;
  Object opresult6198 = callmethod(strlit6197, "++", 1, partcv, params);
// compilenode returning opresult6198
  int op_slot_left_6190 = gc_frame_newslot(opresult6198);
  params[0] = strlit6191;
  partcv[0] = 1;
  Object opresult6199 = callmethod(opresult6198, "++", 1, partcv, params);
// compilenode returning opresult6199
  gc_frame_end(frame);
  return opresult6199;
}
Object meth_ast_toGrace6200(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6201 = gc_frame_new();
  int callframe6202 = gc_frame_new();
  partcv[0] = 0;
  Object call6203 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6202);
// compilenode returning call6203
// compilenode returning call6203
  partcv[0] = 0;
  Object call6204 = callmethod(call6203, "asString",
    1, partcv, params);
  gc_frame_end(callframe6201);
// compilenode returning call6204
// compilenode returning call6204
  gc_frame_end(frame);
  return call6204;
}
Object meth_ast_new6161(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6162 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6162 = alloc_userobj2(8,9, objclass6162);
  gc_frame_newslot(obj6162);
if (objclass6162 == NULL) {
  glfree(obj6162->class->name);
  obj6162->class->name = "numNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6162, self, 0);
  addmethodreal(obj6162,"outer", &reader_ast_outer_6163);
  Object oldself6162 = self;
  struct StackFrameObject *oldstackframe6162 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6162);
  gc_frame_newslot((Object)stackframe);
  self = obj6162;
  Object *oldselfslot6162 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6162 = (*(struct UserObject *)self).data[0], lowerouter6162 = thisouter6162;
  if (inheritingObject6162) {
    struct UserObject *inho6162 = (struct UserObject *)inheritingObject6162;
    while (inho6162->super != GraceDefaultObject) inho6162 = (struct UserObject *)inho6162->super;
    inho6162->super = obj6162;
    self = inheritingObject6162;
    *selfslot = self;
    lowerouter6162 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6162;
  }
if (objclass6162 == NULL) {
  Method *reader6164 = addmethodrealflags(obj6162, "kind",&reader_ast_kind_6164, MFLAG_DEF);
  reader6164->definitionModule = modulename;
  reader6164->definitionLine = 1448;
}
adddatum2(obj6162, alloc_Undefined(), 1);
if (objclass6162 == NULL) {
  Method *reader6165 = addmethodrealflags(obj6162, "value",&reader_ast_value_6165, MFLAG_DEF);
  reader6165->definitionModule = modulename;
  reader6165->definitionLine = 1449;
}
adddatum2(obj6162, alloc_Undefined(), 2);
  struct UserObject *uo6166 = (struct UserObject*)obj6162;
  uo6166->data[3] = emptyclosure;
  Method *meth_meth_ast_accept6166 = addmethod2pos(obj6162, "accept", &meth_ast_accept6166, 3);
int argcv_meth_ast_accept6166[] = {1};
meth_meth_ast_accept6166->type = alloc_MethodType(1, argcv_meth_ast_accept6166);
  meth_meth_ast_accept6166->definitionModule = modulename;
  meth_meth_ast_accept6166->definitionLine = 1449;
  struct UserObject *uo6169 = (struct UserObject*)obj6162;
  uo6169->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after6169 = addmethod2pos(obj6162, "map()before()after", &meth_ast_map_40__41_before_40__41_after6169, 4);
int argcv_meth_ast_map_40__41_before_40__41_after6169[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6169->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6169);
  meth_meth_ast_map_40__41_before_40__41_after6169->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6169->definitionLine = 1452;
  struct UserObject *uo6180 = (struct UserObject*)obj6162;
  uo6180->data[5] = emptyclosure;
  Method *meth_meth_ast_map6180 = addmethod2pos(obj6162, "map", &meth_ast_map6180, 5);
int argcv_meth_ast_map6180[] = {1};
meth_meth_ast_map6180->type = alloc_MethodType(1, argcv_meth_ast_map6180);
  meth_meth_ast_map6180->definitionModule = modulename;
  meth_meth_ast_map6180->definitionLine = 1459;
  struct UserObject *uo6189 = (struct UserObject*)obj6162;
  uo6189->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty6189 = addmethod2pos(obj6162, "pretty", &meth_ast_pretty6189, 6);
int argcv_meth_ast_pretty6189[] = {1};
meth_meth_ast_pretty6189->type = alloc_MethodType(1, argcv_meth_ast_pretty6189);
  meth_meth_ast_pretty6189->definitionModule = modulename;
  meth_meth_ast_pretty6189->definitionLine = 1462;
  struct UserObject *uo6200 = (struct UserObject*)obj6162;
  uo6200->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace6200 = addmethod2pos(obj6162, "toGrace", &meth_ast_toGrace6200, 7);
int argcv_meth_ast_toGrace6200[] = {1};
meth_meth_ast_toGrace6200->type = alloc_MethodType(1, argcv_meth_ast_toGrace6200);
meth_meth_ast_toGrace6200->type->types[0] = type_Number;
meth_meth_ast_toGrace6200->type->names[0] = "depth";
  meth_meth_ast_toGrace6200->definitionModule = modulename;
  meth_meth_ast_toGrace6200->definitionLine = 1465;
  sourceObject = obj6162;
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6205 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6206 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6205);
// compilenode returning call6206
  struct UserObject *obj6162_uo = (struct UserObject *)obj6162;
  obj6162_uo->super = call6206;
  sourceObject = obj6162;
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6207 == NULL) {
    strlit6207 = alloc_String("num");
    gc_root(strlit6207);
  }
// compilenode returning strlit6207
  adddatum2(obj6162, strlit6207, 1);
  sourceObject = obj6162;
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val
  adddatum2(obj6162, *var_val, 2);
  sourceObject = obj6162;
  sourceObject = obj6162;
  sourceObject = obj6162;
  sourceObject = obj6162;
  sourceObject = obj6162;
objclass6162 = obj6162->class;
  objclass6162->definitionModule = modulename;
  objclass6162->definitionLine = 1427;
  (*(struct UserObject *)self).data[0] = lowerouter6162;
  self = oldself6162;
  selfslot = oldselfslot6162;
  stackframe = oldstackframe6162;
  gc_frame_end(frame);
  return obj6162;
}
Object meth_ast_new6161_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6162 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6162 = alloc_userobj2(8,9, objclass6162);
  gc_frame_newslot(obj6162);
if (objclass6162 == NULL) {
  glfree(obj6162->class->name);
  obj6162->class->name = "numNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6162, self, 0);
  addmethodreal(obj6162,"outer", &reader_ast_outer_6163);
  Object oldself6162 = self;
  struct StackFrameObject *oldstackframe6162 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6162);
  gc_frame_newslot((Object)stackframe);
  self = obj6162;
  Object *oldselfslot6162 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6162 = (*(struct UserObject *)self).data[0], lowerouter6162 = thisouter6162;
  if (inheritingObject6162) {
    struct UserObject *inho6162 = (struct UserObject *)inheritingObject6162;
    while (inho6162->super != GraceDefaultObject) inho6162 = (struct UserObject *)inho6162->super;
    inho6162->super = obj6162;
    self = inheritingObject6162;
    *selfslot = self;
    lowerouter6162 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6162;
  }
if (objclass6162 == NULL) {
  Method *reader6164 = addmethodrealflags(obj6162, "kind",&reader_ast_kind_6164, MFLAG_DEF);
  reader6164->definitionModule = modulename;
  reader6164->definitionLine = 1448;
}
adddatum2(obj6162, alloc_Undefined(), 1);
if (objclass6162 == NULL) {
  Method *reader6165 = addmethodrealflags(obj6162, "value",&reader_ast_value_6165, MFLAG_DEF);
  reader6165->definitionModule = modulename;
  reader6165->definitionLine = 1449;
}
adddatum2(obj6162, alloc_Undefined(), 2);
  struct UserObject *uo6166 = (struct UserObject*)obj6162;
  uo6166->data[3] = emptyclosure;
  Method *meth_meth_ast_accept6166 = addmethod2pos(obj6162, "accept", &meth_ast_accept6166, 3);
int argcv_meth_ast_accept6166[] = {1};
meth_meth_ast_accept6166->type = alloc_MethodType(1, argcv_meth_ast_accept6166);
  meth_meth_ast_accept6166->definitionModule = modulename;
  meth_meth_ast_accept6166->definitionLine = 1449;
  struct UserObject *uo6169 = (struct UserObject*)obj6162;
  uo6169->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after6169 = addmethod2pos(obj6162, "map()before()after", &meth_ast_map_40__41_before_40__41_after6169, 4);
int argcv_meth_ast_map_40__41_before_40__41_after6169[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6169->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6169);
  meth_meth_ast_map_40__41_before_40__41_after6169->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6169->definitionLine = 1452;
  struct UserObject *uo6180 = (struct UserObject*)obj6162;
  uo6180->data[5] = emptyclosure;
  Method *meth_meth_ast_map6180 = addmethod2pos(obj6162, "map", &meth_ast_map6180, 5);
int argcv_meth_ast_map6180[] = {1};
meth_meth_ast_map6180->type = alloc_MethodType(1, argcv_meth_ast_map6180);
  meth_meth_ast_map6180->definitionModule = modulename;
  meth_meth_ast_map6180->definitionLine = 1459;
  struct UserObject *uo6189 = (struct UserObject*)obj6162;
  uo6189->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty6189 = addmethod2pos(obj6162, "pretty", &meth_ast_pretty6189, 6);
int argcv_meth_ast_pretty6189[] = {1};
meth_meth_ast_pretty6189->type = alloc_MethodType(1, argcv_meth_ast_pretty6189);
  meth_meth_ast_pretty6189->definitionModule = modulename;
  meth_meth_ast_pretty6189->definitionLine = 1462;
  struct UserObject *uo6200 = (struct UserObject*)obj6162;
  uo6200->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace6200 = addmethod2pos(obj6162, "toGrace", &meth_ast_toGrace6200, 7);
int argcv_meth_ast_toGrace6200[] = {1};
meth_meth_ast_toGrace6200->type = alloc_MethodType(1, argcv_meth_ast_toGrace6200);
meth_meth_ast_toGrace6200->type->types[0] = type_Number;
meth_meth_ast_toGrace6200->type->names[0] = "depth";
  meth_meth_ast_toGrace6200->definitionModule = modulename;
  meth_meth_ast_toGrace6200->definitionLine = 1465;
  sourceObject = obj6162;
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6205 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6206 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6205);
// compilenode returning call6206
  struct UserObject *obj6162_uo = (struct UserObject *)obj6162;
  obj6162_uo->super = call6206;
  sourceObject = obj6162;
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6207 == NULL) {
    strlit6207 = alloc_String("num");
    gc_root(strlit6207);
  }
// compilenode returning strlit6207
  adddatum2(obj6162, strlit6207, 1);
  sourceObject = obj6162;
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val
  adddatum2(obj6162, *var_val, 2);
  sourceObject = obj6162;
  sourceObject = obj6162;
  sourceObject = obj6162;
  sourceObject = obj6162;
  sourceObject = obj6162;
objclass6162 = obj6162->class;
  objclass6162->definitionModule = modulename;
  objclass6162->definitionLine = 1427;
  (*(struct UserObject *)self).data[0] = lowerouter6162;
  self = oldself6162;
  selfslot = oldselfslot6162;
  stackframe = oldstackframe6162;
  gc_frame_end(frame);
  return obj6162;
}
Object meth_ast_opNode6209(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "opNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_opNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for opNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for opNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_opNode
  gc_frame_end(frame);
  return *var_opNode;
}
Object meth_ast_accept6219(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1476
  setline(1476);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6221 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call6222 = callmethod(*var_visitor, "visitOp",
    1, partcv, params);
  gc_frame_end(callframe6221);
// compilenode returning call6222
  Object if6220 = done;
  if (istrue(call6222)) {
// Begin line 1477
  setline(1477);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6223 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6224 = gc_frame_new();
  partcv[0] = 0;
  Object call6225 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6224);
// compilenode returning call6225
// compilenode returning call6225
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6226 = callmethod(call6225, "accept",
    1, partcv, params);
  gc_frame_end(callframe6223);
// compilenode returning call6226
// Begin line 1478
  setline(1478);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6227 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6228 = gc_frame_new();
  partcv[0] = 0;
  Object call6229 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6228);
// compilenode returning call6229
// compilenode returning call6229
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6230 = callmethod(call6229, "accept",
    1, partcv, params);
  gc_frame_end(callframe6227);
// compilenode returning call6230
    gc_frame_newslot(call6230);
    if6220 = call6230;
  } else {
  }
// compilenode returning if6220
  gc_frame_end(frame);
  return if6220;
}
Object meth_ast_map_40__41_before_40__41_after6231(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[3];
  int partcv[3];
  Object *var_opNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1482
  setline(1482);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6232 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call6233 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe6232);
// compilenode returning call6233
// Begin line 1483
  setline(1483);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6234 = gc_frame_new();
  int callframe6235 = gc_frame_new();
  partcv[0] = 0;
  Object call6236 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6235);
// compilenode returning call6236
  gc_frame_newslot(call6236);
  int callframe6237 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6238 = gc_frame_new();
  partcv[0] = 0;
  Object call6239 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6238);
// compilenode returning call6239
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6240 = callmethod(call6239, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe6237);
// compilenode returning call6240
  gc_frame_newslot(call6240);
  int callframe6241 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6242 = gc_frame_new();
  partcv[0] = 0;
  Object call6243 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6242);
// compilenode returning call6243
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6244 = callmethod(call6243, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe6241);
// compilenode returning call6244
  gc_frame_newslot(call6244);
// compilenode returning *var_opNode
  params[0] = call6236;
  params[1] = call6240;
  params[2] = call6244;
  partcv[0] = 3;
  Object call6245 = callmethod(*var_opNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6234);
// compilenode returning call6245
  *var_n = call6245;
  if (call6245 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6246 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6247 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6246);
// compilenode returning call6247
  *var_n = call6247;
  if (call6247 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1486
  setline(1486);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1478
  setline(1478);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6249 = gc_frame_new();
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6250 = gc_frame_new();
  partcv[0] = 0;
  Object call6251 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6250);
// compilenode returning call6251
  gc_frame_newslot(call6251);
// compilenode returning *var_n
  params[0] = call6251;
  partcv[0] = 1;
  Object call6252 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6249);
// compilenode returning call6252
// compilenode returning done
// Begin line 1486
  setline(1486);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6253 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6254 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe6253);
// compilenode returning call6254
// Begin line 1487
  setline(1487);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6258(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6261(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map6255(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6256 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block6257 = alloc_Block(NULL, NULL, "ast", 1490);
  gc_frame_newslot(block6257);
  block_savedest(block6257);
  Object closure6258 = createclosure(1, "_apply");
  setclosureframe(closure6258, stackframe);
  addtoclosure(closure6258, selfslot);
  struct UserObject *uo6258 = (struct UserObject*)block6257;
  uo6258->data[0] = (Object)closure6258;
  Method *meth_meth_ast__apply6258 = addmethod2pos(block6257, "_apply", &meth_ast__apply6258, 0);
int argcv_meth_ast__apply6258[] = {0};
meth_meth_ast__apply6258->type = alloc_MethodType(1, argcv_meth_ast__apply6258);
  meth_meth_ast__apply6258->definitionModule = modulename;
  meth_meth_ast__apply6258->definitionLine = 1478;
// compilenode returning block6257
  gc_frame_newslot(block6257);
  Object block6260 = alloc_Block(NULL, NULL, "ast", 1490);
  gc_frame_newslot(block6260);
  block_savedest(block6260);
  Object closure6261 = createclosure(1, "_apply");
  setclosureframe(closure6261, stackframe);
  addtoclosure(closure6261, selfslot);
  struct UserObject *uo6261 = (struct UserObject*)block6260;
  uo6261->data[0] = (Object)closure6261;
  Method *meth_meth_ast__apply6261 = addmethod2pos(block6260, "_apply", &meth_ast__apply6261, 0);
int argcv_meth_ast__apply6261[] = {0};
meth_meth_ast__apply6261->type = alloc_MethodType(1, argcv_meth_ast__apply6261);
  meth_meth_ast__apply6261->definitionModule = modulename;
  meth_meth_ast__apply6261->definitionLine = 1478;
// compilenode returning block6260
  gc_frame_newslot(block6260);
  params[0] = *var_blk;
  params[1] = block6257;
  params[2] = block6260;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6263 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6256);
// compilenode returning call6263
  gc_frame_end(frame);
  return call6263;
}
Object meth_ast__apply6272(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1496
  setline(1496);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1495
  setline(1495);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6274 == NULL) {
    strlit6274 = alloc_String("  ");
    gc_root(strlit6274);
  }
// compilenode returning strlit6274
  int op_slot_right_6273 = gc_frame_newslot(strlit6274);
// compilenode returning *var_spc
  int op_slot_left_6273 = gc_frame_newslot(*var_spc);
  params[0] = strlit6274;
  partcv[0] = 1;
  Object opresult6276 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult6276
  *var_spc = opresult6276;
  if (opresult6276 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty6264(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1493
  setline(1493);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6265 == NULL) {
    strlit6265 = alloc_String("");
    gc_root(strlit6265);
  }
// compilenode returning strlit6265
  *var_spc = strlit6265;
  if (strlit6265 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6266 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_6267 = gc_frame_newslot(*var_depth);
  Object num6269 = alloc_Float64(0);
// compilenode returning num6269
  int op_slot_left_6267 = gc_frame_newslot(num6269);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6270 = callmethod(num6269, "..", 1, partcv, params);
// compilenode returning opresult6270
  gc_frame_newslot(opresult6270);
  Object block6271 = alloc_Block(NULL, NULL, "ast", 1494);
  gc_frame_newslot(block6271);
  block_savedest(block6271);
  Object closure6272 = createclosure(2, "_apply");
  setclosureframe(closure6272, stackframe);
  addtoclosure(closure6272, var_spc);
  addtoclosure(closure6272, selfslot);
  struct UserObject *uo6272 = (struct UserObject*)block6271;
  uo6272->data[0] = (Object)closure6272;
  Method *meth_meth_ast__apply6272 = addmethod2pos(block6271, "_apply", &meth_ast__apply6272, 0);
int argcv_meth_ast__apply6272[] = {1};
meth_meth_ast__apply6272->type = alloc_MethodType(1, argcv_meth_ast__apply6272);
  meth_meth_ast__apply6272->definitionModule = modulename;
  meth_meth_ast__apply6272->definitionLine = 1478;
// compilenode returning block6271
  gc_frame_newslot(block6271);
  params[0] = opresult6270;
  params[1] = block6271;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6279 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6266);
// compilenode returning call6279
// Begin line 1498
  setline(1498);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6281 == NULL) {
    strlit6281 = alloc_String(")");
    gc_root(strlit6281);
  }
// compilenode returning strlit6281
  int op_slot_right_6280 = gc_frame_newslot(strlit6281);
  int callframe6284 = gc_frame_new();
  partcv[0] = 0;
  Object call6285 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6284);
// compilenode returning call6285
// compilenode returning call6285
  int op_slot_right_6283 = gc_frame_newslot(call6285);
  if (strlit6287 == NULL) {
    strlit6287 = alloc_String("Op(");
    gc_root(strlit6287);
  }
// compilenode returning strlit6287
  int op_slot_left_6283 = gc_frame_newslot(strlit6287);
  params[0] = call6285;
  partcv[0] = 1;
  Object opresult6288 = callmethod(strlit6287, "++", 1, partcv, params);
// compilenode returning opresult6288
  int op_slot_left_6280 = gc_frame_newslot(opresult6288);
  params[0] = strlit6281;
  partcv[0] = 1;
  Object opresult6289 = callmethod(opresult6288, "++", 1, partcv, params);
// compilenode returning opresult6289
  *var_s = opresult6289;
  if (opresult6289 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1499
  setline(1499);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1498
  setline(1498);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6291 == NULL) {
    strlit6291 = alloc_String("""\x0a""");
    gc_root(strlit6291);
  }
// compilenode returning strlit6291
  int op_slot_right_6290 = gc_frame_newslot(strlit6291);
// compilenode returning *var_s
  int op_slot_left_6290 = gc_frame_newslot(*var_s);
  params[0] = strlit6291;
  partcv[0] = 1;
  Object opresult6293 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6293
  *var_s = opresult6293;
  if (opresult6293 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1499
  setline(1499);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6296 = gc_frame_new();
  Object num6298 = alloc_Float64(1);
// compilenode returning num6298
  int op_slot_right_6297 = gc_frame_newslot(num6298);
// compilenode returning *var_depth
  int op_slot_left_6297 = gc_frame_newslot(*var_depth);
  params[0] = num6298;
  partcv[0] = 1;
  Object sum6300 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6300
  gc_frame_newslot(sum6300);
  int callframe6301 = gc_frame_new();
  partcv[0] = 0;
  Object call6302 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6301);
// compilenode returning call6302
// compilenode returning call6302
  params[0] = sum6300;
  partcv[0] = 1;
  Object call6303 = callmethod(call6302, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6296);
// compilenode returning call6303
  int op_slot_right_6295 = gc_frame_newslot(call6303);
// compilenode returning *var_spc
  int op_slot_right_6305 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_6305 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6307 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6307
  int op_slot_left_6295 = gc_frame_newslot(opresult6307);
  params[0] = call6303;
  partcv[0] = 1;
  Object opresult6308 = callmethod(opresult6307, "++", 1, partcv, params);
// compilenode returning opresult6308
  *var_s = opresult6308;
  if (opresult6308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1501
  setline(1501);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1500
  setline(1500);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6311 == NULL) {
    strlit6311 = alloc_String("""\x0a""");
    gc_root(strlit6311);
  }
// compilenode returning strlit6311
  int op_slot_right_6310 = gc_frame_newslot(strlit6311);
// compilenode returning *var_s
  int op_slot_left_6310 = gc_frame_newslot(*var_s);
  params[0] = strlit6311;
  partcv[0] = 1;
  Object opresult6313 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6313
  *var_s = opresult6313;
  if (opresult6313 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1501
  setline(1501);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6316 = gc_frame_new();
  Object num6318 = alloc_Float64(1);
// compilenode returning num6318
  int op_slot_right_6317 = gc_frame_newslot(num6318);
// compilenode returning *var_depth
  int op_slot_left_6317 = gc_frame_newslot(*var_depth);
  params[0] = num6318;
  partcv[0] = 1;
  Object sum6320 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6320
  gc_frame_newslot(sum6320);
  int callframe6321 = gc_frame_new();
  partcv[0] = 0;
  Object call6322 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6321);
// compilenode returning call6322
// compilenode returning call6322
  params[0] = sum6320;
  partcv[0] = 1;
  Object call6323 = callmethod(call6322, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6316);
// compilenode returning call6323
  int op_slot_right_6315 = gc_frame_newslot(call6323);
// compilenode returning *var_spc
  int op_slot_right_6325 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_6325 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6327 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6327
  int op_slot_left_6315 = gc_frame_newslot(opresult6327);
  params[0] = call6323;
  partcv[0] = 1;
  Object opresult6328 = callmethod(opresult6327, "++", 1, partcv, params);
// compilenode returning opresult6328
  *var_s = opresult6328;
  if (opresult6328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1502
  setline(1502);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace6330(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1506
  setline(1506);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1505
  setline(1505);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6331 == NULL) {
    strlit6331 = alloc_String("");
    gc_root(strlit6331);
  }
// compilenode returning strlit6331
  *var_s = strlit6331;
  if (strlit6331 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1511
  setline(1511);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1506
  setline(1506);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6335 = gc_frame_new();
  partcv[0] = 0;
  Object call6336 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6335);
// compilenode returning call6336
// compilenode returning call6336
  int op_slot_right_6334 = gc_frame_newslot(call6336);
  int callframe6338 = gc_frame_new();
  int callframe6339 = gc_frame_new();
  partcv[0] = 0;
  Object call6340 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6339);
// compilenode returning call6340
// compilenode returning call6340
  partcv[0] = 0;
  Object call6341 = callmethod(call6340, "value",
    1, partcv, params);
  gc_frame_end(callframe6338);
// compilenode returning call6341
// compilenode returning call6341
  int op_slot_left_6334 = gc_frame_newslot(call6341);
  params[0] = call6336;
  partcv[0] = 1;
  Object opresult6342 = callmethod(call6341, "!=", 1, partcv, params);
// compilenode returning opresult6342
  int op_slot_right_6333 = gc_frame_newslot(opresult6342);
  if (strlit6345 == NULL) {
    strlit6345 = alloc_String("op");
    gc_root(strlit6345);
  }
// compilenode returning strlit6345
  int op_slot_right_6344 = gc_frame_newslot(strlit6345);
  int callframe6347 = gc_frame_new();
  int callframe6348 = gc_frame_new();
  partcv[0] = 0;
  Object call6349 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6348);
// compilenode returning call6349
// compilenode returning call6349
  partcv[0] = 0;
  Object call6350 = callmethod(call6349, "kind",
    1, partcv, params);
  gc_frame_end(callframe6347);
// compilenode returning call6350
// compilenode returning call6350
  int op_slot_left_6344 = gc_frame_newslot(call6350);
  params[0] = strlit6345;
  partcv[0] = 1;
  Object opresult6351 = callmethod(call6350, "==", 1, partcv, params);
// compilenode returning opresult6351
  int op_slot_left_6333 = gc_frame_newslot(opresult6351);
  params[0] = opresult6342;
  partcv[0] = 1;
  Object opresult6352 = callmethod(opresult6351, "&&", 1, partcv, params);
// compilenode returning opresult6352
  Object if6332 = done;
  if (istrue(opresult6352)) {
// Begin line 1508
  setline(1508);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1507
  setline(1507);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6354 == NULL) {
    strlit6354 = alloc_String(")");
    gc_root(strlit6354);
  }
// compilenode returning strlit6354
  int op_slot_right_6353 = gc_frame_newslot(strlit6354);
  int callframe6357 = gc_frame_new();
  Object num6358 = alloc_Float64(0);
// compilenode returning num6358
  gc_frame_newslot(num6358);
  int callframe6359 = gc_frame_new();
  partcv[0] = 0;
  Object call6360 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6359);
// compilenode returning call6360
// compilenode returning call6360
  params[0] = num6358;
  partcv[0] = 1;
  Object call6361 = callmethod(call6360, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6357);
// compilenode returning call6361
  int op_slot_right_6356 = gc_frame_newslot(call6361);
  if (strlit6363 == NULL) {
    strlit6363 = alloc_String("(");
    gc_root(strlit6363);
  }
// compilenode returning strlit6363
  int op_slot_left_6356 = gc_frame_newslot(strlit6363);
  params[0] = call6361;
  partcv[0] = 1;
  Object opresult6364 = callmethod(strlit6363, "++", 1, partcv, params);
// compilenode returning opresult6364
  int op_slot_left_6353 = gc_frame_newslot(opresult6364);
  params[0] = strlit6354;
  partcv[0] = 1;
  Object opresult6365 = callmethod(opresult6364, "++", 1, partcv, params);
// compilenode returning opresult6365
  *var_s = opresult6365;
  if (opresult6365 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6332 = done;
  } else {
// Begin line 1509
  setline(1509);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6367 = gc_frame_new();
  Object num6368 = alloc_Float64(0);
// compilenode returning num6368
  gc_frame_newslot(num6368);
  int callframe6369 = gc_frame_new();
  partcv[0] = 0;
  Object call6370 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6369);
// compilenode returning call6370
// compilenode returning call6370
  params[0] = num6368;
  partcv[0] = 1;
  Object call6371 = callmethod(call6370, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6367);
// compilenode returning call6371
  *var_s = call6371;
  if (call6371 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6332 = done;
  }
// compilenode returning if6332
// Begin line 1516
  setline(1516);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1511
  setline(1511);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6375 == NULL) {
    strlit6375 = alloc_String("..");
    gc_root(strlit6375);
  }
// compilenode returning strlit6375
  int op_slot_right_6374 = gc_frame_newslot(strlit6375);
  int callframe6377 = gc_frame_new();
  partcv[0] = 0;
  Object call6378 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6377);
// compilenode returning call6378
// compilenode returning call6378
  int op_slot_left_6374 = gc_frame_newslot(call6378);
  params[0] = strlit6375;
  partcv[0] = 1;
  Object opresult6379 = callmethod(call6378, "==", 1, partcv, params);
// compilenode returning opresult6379
  Object if6373 = done;
  if (istrue(opresult6379)) {
// Begin line 1513
  setline(1513);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1512
  setline(1512);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6381 = gc_frame_new();
  partcv[0] = 0;
  Object call6382 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6381);
// compilenode returning call6382
// compilenode returning call6382
  int op_slot_right_6380 = gc_frame_newslot(call6382);
// compilenode returning *var_s
  int op_slot_left_6380 = gc_frame_newslot(*var_s);
  params[0] = call6382;
  partcv[0] = 1;
  Object opresult6384 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6384
  *var_s = opresult6384;
  if (opresult6384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6373 = done;
  } else {
// Begin line 1515
  setline(1515);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1514
  setline(1514);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6387 == NULL) {
    strlit6387 = alloc_String(" ");
    gc_root(strlit6387);
  }
// compilenode returning strlit6387
  int op_slot_right_6386 = gc_frame_newslot(strlit6387);
  int callframe6390 = gc_frame_new();
  partcv[0] = 0;
  Object call6391 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6390);
// compilenode returning call6391
// compilenode returning call6391
  int op_slot_right_6389 = gc_frame_newslot(call6391);
  if (strlit6394 == NULL) {
    strlit6394 = alloc_String(" ");
    gc_root(strlit6394);
  }
// compilenode returning strlit6394
  int op_slot_right_6393 = gc_frame_newslot(strlit6394);
// compilenode returning *var_s
  int op_slot_left_6393 = gc_frame_newslot(*var_s);
  params[0] = strlit6394;
  partcv[0] = 1;
  Object opresult6396 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6396
  int op_slot_left_6389 = gc_frame_newslot(opresult6396);
  params[0] = call6391;
  partcv[0] = 1;
  Object opresult6397 = callmethod(opresult6396, "++", 1, partcv, params);
// compilenode returning opresult6397
  int op_slot_left_6386 = gc_frame_newslot(opresult6397);
  params[0] = strlit6387;
  partcv[0] = 1;
  Object opresult6398 = callmethod(opresult6397, "++", 1, partcv, params);
// compilenode returning opresult6398
  *var_s = opresult6398;
  if (opresult6398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6373 = done;
  }
// compilenode returning if6373
// Begin line 1521
  setline(1521);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1516
  setline(1516);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6403 = gc_frame_new();
  partcv[0] = 0;
  Object call6404 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6403);
// compilenode returning call6404
// compilenode returning call6404
  int op_slot_right_6402 = gc_frame_newslot(call6404);
  int callframe6406 = gc_frame_new();
  int callframe6407 = gc_frame_new();
  partcv[0] = 0;
  Object call6408 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6407);
// compilenode returning call6408
// compilenode returning call6408
  partcv[0] = 0;
  Object call6409 = callmethod(call6408, "value",
    1, partcv, params);
  gc_frame_end(callframe6406);
// compilenode returning call6409
// compilenode returning call6409
  int op_slot_left_6402 = gc_frame_newslot(call6409);
  params[0] = call6404;
  partcv[0] = 1;
  Object opresult6410 = callmethod(call6409, "!=", 1, partcv, params);
// compilenode returning opresult6410
  int op_slot_right_6401 = gc_frame_newslot(opresult6410);
  if (strlit6413 == NULL) {
    strlit6413 = alloc_String("op");
    gc_root(strlit6413);
  }
// compilenode returning strlit6413
  int op_slot_right_6412 = gc_frame_newslot(strlit6413);
  int callframe6415 = gc_frame_new();
  int callframe6416 = gc_frame_new();
  partcv[0] = 0;
  Object call6417 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6416);
// compilenode returning call6417
// compilenode returning call6417
  partcv[0] = 0;
  Object call6418 = callmethod(call6417, "kind",
    1, partcv, params);
  gc_frame_end(callframe6415);
// compilenode returning call6418
// compilenode returning call6418
  int op_slot_left_6412 = gc_frame_newslot(call6418);
  params[0] = strlit6413;
  partcv[0] = 1;
  Object opresult6419 = callmethod(call6418, "==", 1, partcv, params);
// compilenode returning opresult6419
  int op_slot_left_6401 = gc_frame_newslot(opresult6419);
  params[0] = opresult6410;
  partcv[0] = 1;
  Object opresult6420 = callmethod(opresult6419, "&&", 1, partcv, params);
// compilenode returning opresult6420
  Object if6400 = done;
  if (istrue(opresult6420)) {
// Begin line 1518
  setline(1518);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1517
  setline(1517);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6422 == NULL) {
    strlit6422 = alloc_String(")");
    gc_root(strlit6422);
  }
// compilenode returning strlit6422
  int op_slot_right_6421 = gc_frame_newslot(strlit6422);
  int callframe6425 = gc_frame_new();
  Object num6426 = alloc_Float64(0);
// compilenode returning num6426
  gc_frame_newslot(num6426);
  int callframe6427 = gc_frame_new();
  partcv[0] = 0;
  Object call6428 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6427);
// compilenode returning call6428
// compilenode returning call6428
  params[0] = num6426;
  partcv[0] = 1;
  Object call6429 = callmethod(call6428, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6425);
// compilenode returning call6429
  int op_slot_right_6424 = gc_frame_newslot(call6429);
  if (strlit6432 == NULL) {
    strlit6432 = alloc_String("(");
    gc_root(strlit6432);
  }
// compilenode returning strlit6432
  int op_slot_right_6431 = gc_frame_newslot(strlit6432);
// compilenode returning *var_s
  int op_slot_left_6431 = gc_frame_newslot(*var_s);
  params[0] = strlit6432;
  partcv[0] = 1;
  Object opresult6434 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6434
  int op_slot_left_6424 = gc_frame_newslot(opresult6434);
  params[0] = call6429;
  partcv[0] = 1;
  Object opresult6435 = callmethod(opresult6434, "++", 1, partcv, params);
// compilenode returning opresult6435
  int op_slot_left_6421 = gc_frame_newslot(opresult6435);
  params[0] = strlit6422;
  partcv[0] = 1;
  Object opresult6436 = callmethod(opresult6435, "++", 1, partcv, params);
// compilenode returning opresult6436
  *var_s = opresult6436;
  if (opresult6436 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6400 = done;
  } else {
// Begin line 1519
  setline(1519);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6439 = gc_frame_new();
  Object num6440 = alloc_Float64(0);
// compilenode returning num6440
  gc_frame_newslot(num6440);
  int callframe6441 = gc_frame_new();
  partcv[0] = 0;
  Object call6442 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6441);
// compilenode returning call6442
// compilenode returning call6442
  params[0] = num6440;
  partcv[0] = 1;
  Object call6443 = callmethod(call6442, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6439);
// compilenode returning call6443
  int op_slot_right_6438 = gc_frame_newslot(call6443);
// compilenode returning *var_s
  int op_slot_left_6438 = gc_frame_newslot(*var_s);
  params[0] = call6443;
  partcv[0] = 1;
  Object opresult6445 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6445
  *var_s = opresult6445;
  if (opresult6445 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6400 = done;
  }
// compilenode returning if6400
// Begin line 1521
  setline(1521);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new6212(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_opNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6213 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6213 = alloc_userobj2(10,11, objclass6213);
  gc_frame_newslot(obj6213);
if (objclass6213 == NULL) {
  glfree(obj6213->class->name);
  obj6213->class->name = "opNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6213, self, 0);
  addmethodreal(obj6213,"outer", &reader_ast_outer_6214);
  Object oldself6213 = self;
  struct StackFrameObject *oldstackframe6213 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6213);
  gc_frame_newslot((Object)stackframe);
  self = obj6213;
  Object *oldselfslot6213 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6213 = (*(struct UserObject *)self).data[0], lowerouter6213 = thisouter6213;
  if (inheritingObject6213) {
    struct UserObject *inho6213 = (struct UserObject *)inheritingObject6213;
    while (inho6213->super != GraceDefaultObject) inho6213 = (struct UserObject *)inho6213->super;
    inho6213->super = obj6213;
    self = inheritingObject6213;
    *selfslot = self;
    lowerouter6213 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6213;
  }
if (objclass6213 == NULL) {
  Method *reader6215 = addmethodrealflags(obj6213, "kind",&reader_ast_kind_6215, MFLAG_DEF);
  reader6215->definitionModule = modulename;
  reader6215->definitionLine = 1472;
}
adddatum2(obj6213, alloc_Undefined(), 1);
if (objclass6213 == NULL) {
  Method *reader6216 = addmethodrealflags(obj6213, "value",&reader_ast_value_6216, MFLAG_DEF);
  reader6216->definitionModule = modulename;
  reader6216->definitionLine = 1473;
}
adddatum2(obj6213, alloc_Undefined(), 2);
if (objclass6213 == NULL) {
  Method *reader6217 = addmethodrealflags(obj6213, "left",&reader_ast_left_6217, MFLAG_DEF);
  reader6217->definitionModule = modulename;
  reader6217->definitionLine = 1474;
}
adddatum2(obj6213, alloc_Undefined(), 3);
if (objclass6213 == NULL) {
  Method *reader6218 = addmethodrealflags(obj6213, "right",&reader_ast_right_6218, MFLAG_DEF);
  reader6218->definitionModule = modulename;
  reader6218->definitionLine = 1475;
}
adddatum2(obj6213, alloc_Undefined(), 4);
  struct UserObject *uo6219 = (struct UserObject*)obj6213;
  uo6219->data[5] = emptyclosure;
  Method *meth_meth_ast_accept6219 = addmethod2pos(obj6213, "accept", &meth_ast_accept6219, 5);
int argcv_meth_ast_accept6219[] = {1};
meth_meth_ast_accept6219->type = alloc_MethodType(1, argcv_meth_ast_accept6219);
  meth_meth_ast_accept6219->definitionModule = modulename;
  meth_meth_ast_accept6219->definitionLine = 1475;
  block_savedest(obj6213);
  Object closure6231 = createclosure(1, "map()before()after");
  setclosureframe(closure6231, stackframe);
  addtoclosure(closure6231, var_opNode);
  struct UserObject *uo6231 = (struct UserObject*)obj6213;
  uo6231->data[6] = (Object)closure6231;
  Method *meth_meth_ast_map_40__41_before_40__41_after6231 = addmethod2pos(obj6213, "map()before()after", &meth_ast_map_40__41_before_40__41_after6231, 6);
int argcv_meth_ast_map_40__41_before_40__41_after6231[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6231->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6231);
  meth_meth_ast_map_40__41_before_40__41_after6231->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6231->definitionLine = 1481;
  struct UserObject *uo6255 = (struct UserObject*)obj6213;
  uo6255->data[7] = emptyclosure;
  Method *meth_meth_ast_map6255 = addmethod2pos(obj6213, "map", &meth_ast_map6255, 7);
int argcv_meth_ast_map6255[] = {1};
meth_meth_ast_map6255->type = alloc_MethodType(1, argcv_meth_ast_map6255);
  meth_meth_ast_map6255->definitionModule = modulename;
  meth_meth_ast_map6255->definitionLine = 1489;
  struct UserObject *uo6264 = (struct UserObject*)obj6213;
  uo6264->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty6264 = addmethod2pos(obj6213, "pretty", &meth_ast_pretty6264, 8);
int argcv_meth_ast_pretty6264[] = {1};
meth_meth_ast_pretty6264->type = alloc_MethodType(1, argcv_meth_ast_pretty6264);
  meth_meth_ast_pretty6264->definitionModule = modulename;
  meth_meth_ast_pretty6264->definitionLine = 1492;
  struct UserObject *uo6330 = (struct UserObject*)obj6213;
  uo6330->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace6330 = addmethod2pos(obj6213, "toGrace", &meth_ast_toGrace6330, 9);
int argcv_meth_ast_toGrace6330[] = {1};
meth_meth_ast_toGrace6330->type = alloc_MethodType(1, argcv_meth_ast_toGrace6330);
meth_meth_ast_toGrace6330->type->types[0] = type_Number;
meth_meth_ast_toGrace6330->type->names[0] = "depth";
  meth_meth_ast_toGrace6330->definitionModule = modulename;
  meth_meth_ast_toGrace6330->definitionLine = 1504;
  sourceObject = obj6213;
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6447 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6448 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6447);
// compilenode returning call6448
  struct UserObject *obj6213_uo = (struct UserObject *)obj6213;
  obj6213_uo->super = call6448;
  sourceObject = obj6213;
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6449 == NULL) {
    strlit6449 = alloc_String("op");
    gc_root(strlit6449);
  }
// compilenode returning strlit6449
  adddatum2(obj6213, strlit6449, 1);
  sourceObject = obj6213;
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_op
  adddatum2(obj6213, *var_op, 2);
  sourceObject = obj6213;
// Begin line 1473
  setline(1473);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_l
  adddatum2(obj6213, *var_l, 3);
  sourceObject = obj6213;
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_r
  adddatum2(obj6213, *var_r, 4);
  sourceObject = obj6213;
  sourceObject = obj6213;
  sourceObject = obj6213;
  sourceObject = obj6213;
  sourceObject = obj6213;
objclass6213 = obj6213->class;
  objclass6213->definitionModule = modulename;
  objclass6213->definitionLine = 1466;
  (*(struct UserObject *)self).data[0] = lowerouter6213;
  self = oldself6213;
  selfslot = oldselfslot6213;
  stackframe = oldstackframe6213;
  gc_frame_end(frame);
  return obj6213;
}
Object meth_ast_new6212_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_opNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6213 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6213 = alloc_userobj2(10,11, objclass6213);
  gc_frame_newslot(obj6213);
if (objclass6213 == NULL) {
  glfree(obj6213->class->name);
  obj6213->class->name = "opNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6213, self, 0);
  addmethodreal(obj6213,"outer", &reader_ast_outer_6214);
  Object oldself6213 = self;
  struct StackFrameObject *oldstackframe6213 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6213);
  gc_frame_newslot((Object)stackframe);
  self = obj6213;
  Object *oldselfslot6213 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6213 = (*(struct UserObject *)self).data[0], lowerouter6213 = thisouter6213;
  if (inheritingObject6213) {
    struct UserObject *inho6213 = (struct UserObject *)inheritingObject6213;
    while (inho6213->super != GraceDefaultObject) inho6213 = (struct UserObject *)inho6213->super;
    inho6213->super = obj6213;
    self = inheritingObject6213;
    *selfslot = self;
    lowerouter6213 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6213;
  }
if (objclass6213 == NULL) {
  Method *reader6215 = addmethodrealflags(obj6213, "kind",&reader_ast_kind_6215, MFLAG_DEF);
  reader6215->definitionModule = modulename;
  reader6215->definitionLine = 1472;
}
adddatum2(obj6213, alloc_Undefined(), 1);
if (objclass6213 == NULL) {
  Method *reader6216 = addmethodrealflags(obj6213, "value",&reader_ast_value_6216, MFLAG_DEF);
  reader6216->definitionModule = modulename;
  reader6216->definitionLine = 1473;
}
adddatum2(obj6213, alloc_Undefined(), 2);
if (objclass6213 == NULL) {
  Method *reader6217 = addmethodrealflags(obj6213, "left",&reader_ast_left_6217, MFLAG_DEF);
  reader6217->definitionModule = modulename;
  reader6217->definitionLine = 1474;
}
adddatum2(obj6213, alloc_Undefined(), 3);
if (objclass6213 == NULL) {
  Method *reader6218 = addmethodrealflags(obj6213, "right",&reader_ast_right_6218, MFLAG_DEF);
  reader6218->definitionModule = modulename;
  reader6218->definitionLine = 1475;
}
adddatum2(obj6213, alloc_Undefined(), 4);
  struct UserObject *uo6219 = (struct UserObject*)obj6213;
  uo6219->data[5] = emptyclosure;
  Method *meth_meth_ast_accept6219 = addmethod2pos(obj6213, "accept", &meth_ast_accept6219, 5);
int argcv_meth_ast_accept6219[] = {1};
meth_meth_ast_accept6219->type = alloc_MethodType(1, argcv_meth_ast_accept6219);
  meth_meth_ast_accept6219->definitionModule = modulename;
  meth_meth_ast_accept6219->definitionLine = 1475;
  block_savedest(obj6213);
  Object closure6231 = createclosure(1, "map()before()after");
  setclosureframe(closure6231, stackframe);
  addtoclosure(closure6231, var_opNode);
  struct UserObject *uo6231 = (struct UserObject*)obj6213;
  uo6231->data[6] = (Object)closure6231;
  Method *meth_meth_ast_map_40__41_before_40__41_after6231 = addmethod2pos(obj6213, "map()before()after", &meth_ast_map_40__41_before_40__41_after6231, 6);
int argcv_meth_ast_map_40__41_before_40__41_after6231[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6231->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6231);
  meth_meth_ast_map_40__41_before_40__41_after6231->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6231->definitionLine = 1481;
  struct UserObject *uo6255 = (struct UserObject*)obj6213;
  uo6255->data[7] = emptyclosure;
  Method *meth_meth_ast_map6255 = addmethod2pos(obj6213, "map", &meth_ast_map6255, 7);
int argcv_meth_ast_map6255[] = {1};
meth_meth_ast_map6255->type = alloc_MethodType(1, argcv_meth_ast_map6255);
  meth_meth_ast_map6255->definitionModule = modulename;
  meth_meth_ast_map6255->definitionLine = 1489;
  struct UserObject *uo6264 = (struct UserObject*)obj6213;
  uo6264->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty6264 = addmethod2pos(obj6213, "pretty", &meth_ast_pretty6264, 8);
int argcv_meth_ast_pretty6264[] = {1};
meth_meth_ast_pretty6264->type = alloc_MethodType(1, argcv_meth_ast_pretty6264);
  meth_meth_ast_pretty6264->definitionModule = modulename;
  meth_meth_ast_pretty6264->definitionLine = 1492;
  struct UserObject *uo6330 = (struct UserObject*)obj6213;
  uo6330->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace6330 = addmethod2pos(obj6213, "toGrace", &meth_ast_toGrace6330, 9);
int argcv_meth_ast_toGrace6330[] = {1};
meth_meth_ast_toGrace6330->type = alloc_MethodType(1, argcv_meth_ast_toGrace6330);
meth_meth_ast_toGrace6330->type->types[0] = type_Number;
meth_meth_ast_toGrace6330->type->names[0] = "depth";
  meth_meth_ast_toGrace6330->definitionModule = modulename;
  meth_meth_ast_toGrace6330->definitionLine = 1504;
  sourceObject = obj6213;
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6447 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6448 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6447);
// compilenode returning call6448
  struct UserObject *obj6213_uo = (struct UserObject *)obj6213;
  obj6213_uo->super = call6448;
  sourceObject = obj6213;
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6449 == NULL) {
    strlit6449 = alloc_String("op");
    gc_root(strlit6449);
  }
// compilenode returning strlit6449
  adddatum2(obj6213, strlit6449, 1);
  sourceObject = obj6213;
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_op
  adddatum2(obj6213, *var_op, 2);
  sourceObject = obj6213;
// Begin line 1473
  setline(1473);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_l
  adddatum2(obj6213, *var_l, 3);
  sourceObject = obj6213;
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_r
  adddatum2(obj6213, *var_r, 4);
  sourceObject = obj6213;
  sourceObject = obj6213;
  sourceObject = obj6213;
  sourceObject = obj6213;
  sourceObject = obj6213;
objclass6213 = obj6213->class;
  objclass6213->definitionModule = modulename;
  objclass6213->definitionLine = 1466;
  (*(struct UserObject *)self).data[0] = lowerouter6213;
  self = oldself6213;
  selfslot = oldselfslot6213;
  stackframe = oldstackframe6213;
  gc_frame_end(frame);
  return obj6213;
}
Object meth_ast_indexNode6451(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indexNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_indexNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indexNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for indexNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indexNode
  gc_frame_end(frame);
  return *var_indexNode;
}
Object meth_ast_accept6460(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1531
  setline(1531);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6462 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call6463 = callmethod(*var_visitor, "visitIndex",
    1, partcv, params);
  gc_frame_end(callframe6462);
// compilenode returning call6463
  Object if6461 = done;
  if (istrue(call6463)) {
// Begin line 1532
  setline(1532);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6464 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6465 = gc_frame_new();
  partcv[0] = 0;
  Object call6466 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6465);
// compilenode returning call6466
// compilenode returning call6466
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6467 = callmethod(call6466, "accept",
    1, partcv, params);
  gc_frame_end(callframe6464);
// compilenode returning call6467
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6468 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6469 = gc_frame_new();
  partcv[0] = 0;
  Object call6470 = callmethodflags(self, "index", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6469);
// compilenode returning call6470
// compilenode returning call6470
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6471 = callmethod(call6470, "accept",
    1, partcv, params);
  gc_frame_end(callframe6468);
// compilenode returning call6471
    gc_frame_newslot(call6471);
    if6461 = call6471;
  } else {
  }
// compilenode returning if6461
  gc_frame_end(frame);
  return if6461;
}
Object meth_ast_map_40__41_before_40__41_after6472(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[3];
  int partcv[3];
  Object *var_indexNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1537
  setline(1537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6473 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call6474 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe6473);
// compilenode returning call6474
// Begin line 1538
  setline(1538);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6475 = gc_frame_new();
  int callframe6476 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6477 = gc_frame_new();
  partcv[0] = 0;
  Object call6478 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6477);
// compilenode returning call6478
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6479 = callmethod(call6478, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe6476);
// compilenode returning call6479
  gc_frame_newslot(call6479);
  int callframe6480 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6481 = gc_frame_new();
  partcv[0] = 0;
  Object call6482 = callmethodflags(self, "index", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6481);
// compilenode returning call6482
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6483 = callmethod(call6482, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe6480);
// compilenode returning call6483
  gc_frame_newslot(call6483);
// compilenode returning *var_indexNode
  params[0] = call6479;
  params[1] = call6483;
  partcv[0] = 2;
  Object call6484 = callmethod(*var_indexNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6475);
// compilenode returning call6484
  *var_n = call6484;
  if (call6484 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6485 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6486 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6485);
// compilenode returning call6486
  *var_n = call6486;
  if (call6486 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1541
  setline(1541);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6488 = gc_frame_new();
// Begin line 1540
  setline(1540);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6489 = gc_frame_new();
  partcv[0] = 0;
  Object call6490 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6489);
// compilenode returning call6490
  gc_frame_newslot(call6490);
// compilenode returning *var_n
  params[0] = call6490;
  partcv[0] = 1;
  Object call6491 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6488);
// compilenode returning call6491
// compilenode returning done
// Begin line 1541
  setline(1541);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6492 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6493 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe6492);
// compilenode returning call6493
// Begin line 1542
  setline(1542);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6497(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6500(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map6494(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6495 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block6496 = alloc_Block(NULL, NULL, "ast", 1545);
  gc_frame_newslot(block6496);
  block_savedest(block6496);
  Object closure6497 = createclosure(1, "_apply");
  setclosureframe(closure6497, stackframe);
  addtoclosure(closure6497, selfslot);
  struct UserObject *uo6497 = (struct UserObject*)block6496;
  uo6497->data[0] = (Object)closure6497;
  Method *meth_meth_ast__apply6497 = addmethod2pos(block6496, "_apply", &meth_ast__apply6497, 0);
int argcv_meth_ast__apply6497[] = {0};
meth_meth_ast__apply6497->type = alloc_MethodType(1, argcv_meth_ast__apply6497);
  meth_meth_ast__apply6497->definitionModule = modulename;
  meth_meth_ast__apply6497->definitionLine = 1533;
// compilenode returning block6496
  gc_frame_newslot(block6496);
  Object block6499 = alloc_Block(NULL, NULL, "ast", 1545);
  gc_frame_newslot(block6499);
  block_savedest(block6499);
  Object closure6500 = createclosure(1, "_apply");
  setclosureframe(closure6500, stackframe);
  addtoclosure(closure6500, selfslot);
  struct UserObject *uo6500 = (struct UserObject*)block6499;
  uo6500->data[0] = (Object)closure6500;
  Method *meth_meth_ast__apply6500 = addmethod2pos(block6499, "_apply", &meth_ast__apply6500, 0);
int argcv_meth_ast__apply6500[] = {0};
meth_meth_ast__apply6500->type = alloc_MethodType(1, argcv_meth_ast__apply6500);
  meth_meth_ast__apply6500->definitionModule = modulename;
  meth_meth_ast__apply6500->definitionLine = 1533;
// compilenode returning block6499
  gc_frame_newslot(block6499);
  params[0] = *var_blk;
  params[1] = block6496;
  params[2] = block6499;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6502 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6495);
// compilenode returning call6502
  gc_frame_end(frame);
  return call6502;
}
Object meth_ast__apply6511(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1551
  setline(1551);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1550
  setline(1550);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6513 == NULL) {
    strlit6513 = alloc_String("  ");
    gc_root(strlit6513);
  }
// compilenode returning strlit6513
  int op_slot_right_6512 = gc_frame_newslot(strlit6513);
// compilenode returning *var_spc
  int op_slot_left_6512 = gc_frame_newslot(*var_spc);
  params[0] = strlit6513;
  partcv[0] = 1;
  Object opresult6515 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult6515
  *var_spc = opresult6515;
  if (opresult6515 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty6503(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1549
  setline(1549);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1548
  setline(1548);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6504 == NULL) {
    strlit6504 = alloc_String("");
    gc_root(strlit6504);
  }
// compilenode returning strlit6504
  *var_spc = strlit6504;
  if (strlit6504 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1549
  setline(1549);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6505 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_6506 = gc_frame_newslot(*var_depth);
  Object num6508 = alloc_Float64(0);
// compilenode returning num6508
  int op_slot_left_6506 = gc_frame_newslot(num6508);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6509 = callmethod(num6508, "..", 1, partcv, params);
// compilenode returning opresult6509
  gc_frame_newslot(opresult6509);
  Object block6510 = alloc_Block(NULL, NULL, "ast", 1549);
  gc_frame_newslot(block6510);
  block_savedest(block6510);
  Object closure6511 = createclosure(2, "_apply");
  setclosureframe(closure6511, stackframe);
  addtoclosure(closure6511, var_spc);
  addtoclosure(closure6511, selfslot);
  struct UserObject *uo6511 = (struct UserObject*)block6510;
  uo6511->data[0] = (Object)closure6511;
  Method *meth_meth_ast__apply6511 = addmethod2pos(block6510, "_apply", &meth_ast__apply6511, 0);
int argcv_meth_ast__apply6511[] = {1};
meth_meth_ast__apply6511->type = alloc_MethodType(1, argcv_meth_ast__apply6511);
  meth_meth_ast__apply6511->definitionModule = modulename;
  meth_meth_ast__apply6511->definitionLine = 1533;
// compilenode returning block6510
  gc_frame_newslot(block6510);
  params[0] = opresult6509;
  params[1] = block6510;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6518 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6505);
// compilenode returning call6518
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1552
  setline(1552);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6519 == NULL) {
    strlit6519 = alloc_String("Index");
    gc_root(strlit6519);
  }
// compilenode returning strlit6519
  *var_s = strlit6519;
  if (strlit6519 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6521 == NULL) {
    strlit6521 = alloc_String("""\x0a""");
    gc_root(strlit6521);
  }
// compilenode returning strlit6521
  int op_slot_right_6520 = gc_frame_newslot(strlit6521);
// compilenode returning *var_s
  int op_slot_left_6520 = gc_frame_newslot(*var_s);
  params[0] = strlit6521;
  partcv[0] = 1;
  Object opresult6523 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6523
  *var_s = opresult6523;
  if (opresult6523 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6526 = gc_frame_new();
  Object num6528 = alloc_Float64(1);
// compilenode returning num6528
  int op_slot_right_6527 = gc_frame_newslot(num6528);
// compilenode returning *var_depth
  int op_slot_left_6527 = gc_frame_newslot(*var_depth);
  params[0] = num6528;
  partcv[0] = 1;
  Object sum6530 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6530
  gc_frame_newslot(sum6530);
  int callframe6531 = gc_frame_new();
  partcv[0] = 0;
  Object call6532 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6531);
// compilenode returning call6532
// compilenode returning call6532
  params[0] = sum6530;
  partcv[0] = 1;
  Object call6533 = callmethod(call6532, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6526);
// compilenode returning call6533
  int op_slot_right_6525 = gc_frame_newslot(call6533);
// compilenode returning *var_spc
  int op_slot_right_6535 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_6535 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6537 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6537
  int op_slot_left_6525 = gc_frame_newslot(opresult6537);
  params[0] = call6533;
  partcv[0] = 1;
  Object opresult6538 = callmethod(opresult6537, "++", 1, partcv, params);
// compilenode returning opresult6538
  *var_s = opresult6538;
  if (opresult6538 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1555
  setline(1555);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6541 == NULL) {
    strlit6541 = alloc_String("""\x0a""");
    gc_root(strlit6541);
  }
// compilenode returning strlit6541
  int op_slot_right_6540 = gc_frame_newslot(strlit6541);
// compilenode returning *var_s
  int op_slot_left_6540 = gc_frame_newslot(*var_s);
  params[0] = strlit6541;
  partcv[0] = 1;
  Object opresult6543 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6543
  *var_s = opresult6543;
  if (opresult6543 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6546 = gc_frame_new();
  Object num6548 = alloc_Float64(1);
// compilenode returning num6548
  int op_slot_right_6547 = gc_frame_newslot(num6548);
// compilenode returning *var_depth
  int op_slot_left_6547 = gc_frame_newslot(*var_depth);
  params[0] = num6548;
  partcv[0] = 1;
  Object sum6550 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6550
  gc_frame_newslot(sum6550);
  int callframe6551 = gc_frame_new();
  partcv[0] = 0;
  Object call6552 = callmethodflags(self, "index", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6551);
// compilenode returning call6552
// compilenode returning call6552
  params[0] = sum6550;
  partcv[0] = 1;
  Object call6553 = callmethod(call6552, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6546);
// compilenode returning call6553
  int op_slot_right_6545 = gc_frame_newslot(call6553);
// compilenode returning *var_spc
  int op_slot_right_6555 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_6555 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6557 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6557
  int op_slot_left_6545 = gc_frame_newslot(opresult6557);
  params[0] = call6553;
  partcv[0] = 1;
  Object opresult6558 = callmethod(opresult6557, "++", 1, partcv, params);
// compilenode returning opresult6558
  *var_s = opresult6558;
  if (opresult6558 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply6572(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1562
  setline(1562);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6574 == NULL) {
    strlit6574 = alloc_String("    ");
    gc_root(strlit6574);
  }
// compilenode returning strlit6574
  int op_slot_right_6573 = gc_frame_newslot(strlit6574);
// compilenode returning *var_spc
  int op_slot_left_6573 = gc_frame_newslot(*var_spc);
  params[0] = strlit6574;
  partcv[0] = 1;
  Object opresult6576 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult6576
  *var_spc = opresult6576;
  if (opresult6576 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace6560(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6561 == NULL) {
    strlit6561 = alloc_String("");
    gc_root(strlit6561);
  }
// compilenode returning strlit6561
  *var_spc = strlit6561;
  if (strlit6561 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6562 = gc_frame_new();
  Object num6565 = alloc_Float64(1);
// compilenode returning num6565
  int op_slot_right_6564 = gc_frame_newslot(num6565);
// compilenode returning *var_depth
  int op_slot_left_6564 = gc_frame_newslot(*var_depth);
  params[0] = num6565;
  partcv[0] = 1;
  Object diff6567 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff6567
  int op_slot_right_6563 = gc_frame_newslot(diff6567);
  Object num6569 = alloc_Float64(0);
// compilenode returning num6569
  int op_slot_left_6563 = gc_frame_newslot(num6569);
  params[0] = diff6567;
  partcv[0] = 1;
  Object opresult6570 = callmethod(num6569, "..", 1, partcv, params);
// compilenode returning opresult6570
  gc_frame_newslot(opresult6570);
  Object block6571 = alloc_Block(NULL, NULL, "ast", 1561);
  gc_frame_newslot(block6571);
  block_savedest(block6571);
  Object closure6572 = createclosure(2, "_apply");
  setclosureframe(closure6572, stackframe);
  addtoclosure(closure6572, var_spc);
  addtoclosure(closure6572, selfslot);
  struct UserObject *uo6572 = (struct UserObject*)block6571;
  uo6572->data[0] = (Object)closure6572;
  Method *meth_meth_ast__apply6572 = addmethod2pos(block6571, "_apply", &meth_ast__apply6572, 0);
int argcv_meth_ast__apply6572[] = {1};
meth_meth_ast__apply6572->type = alloc_MethodType(1, argcv_meth_ast__apply6572);
  meth_meth_ast__apply6572->definitionModule = modulename;
  meth_meth_ast__apply6572->definitionLine = 1556;
// compilenode returning block6571
  gc_frame_newslot(block6571);
  params[0] = opresult6570;
  params[1] = block6571;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6579 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6562);
// compilenode returning call6579
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6580 = gc_frame_new();
  Object num6582 = alloc_Float64(1);
// compilenode returning num6582
  int op_slot_right_6581 = gc_frame_newslot(num6582);
// compilenode returning *var_depth
  int op_slot_left_6581 = gc_frame_newslot(*var_depth);
  params[0] = num6582;
  partcv[0] = 1;
  Object sum6584 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6584
  gc_frame_newslot(sum6584);
  int callframe6585 = gc_frame_new();
  partcv[0] = 0;
  Object call6586 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6585);
// compilenode returning call6586
// compilenode returning call6586
  params[0] = sum6584;
  partcv[0] = 1;
  Object call6587 = callmethod(call6586, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6580);
// compilenode returning call6587
  *var_s = call6587;
  if (call6587 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6589 == NULL) {
    strlit6589 = alloc_String("]");
    gc_root(strlit6589);
  }
// compilenode returning strlit6589
  int op_slot_right_6588 = gc_frame_newslot(strlit6589);
  int callframe6592 = gc_frame_new();
  Object num6594 = alloc_Float64(1);
// compilenode returning num6594
  int op_slot_right_6593 = gc_frame_newslot(num6594);
// compilenode returning *var_depth
  int op_slot_left_6593 = gc_frame_newslot(*var_depth);
  params[0] = num6594;
  partcv[0] = 1;
  Object sum6596 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6596
  gc_frame_newslot(sum6596);
  int callframe6597 = gc_frame_new();
  partcv[0] = 0;
  Object call6598 = callmethodflags(self, "index", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6597);
// compilenode returning call6598
// compilenode returning call6598
  params[0] = sum6596;
  partcv[0] = 1;
  Object call6599 = callmethod(call6598, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6592);
// compilenode returning call6599
  int op_slot_right_6591 = gc_frame_newslot(call6599);
  if (strlit6602 == NULL) {
    strlit6602 = alloc_String("[");
    gc_root(strlit6602);
  }
// compilenode returning strlit6602
  int op_slot_right_6601 = gc_frame_newslot(strlit6602);
// compilenode returning *var_s
  int op_slot_left_6601 = gc_frame_newslot(*var_s);
  params[0] = strlit6602;
  partcv[0] = 1;
  Object opresult6604 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6604
  int op_slot_left_6591 = gc_frame_newslot(opresult6604);
  params[0] = call6599;
  partcv[0] = 1;
  Object opresult6605 = callmethod(opresult6604, "++", 1, partcv, params);
// compilenode returning opresult6605
  int op_slot_left_6588 = gc_frame_newslot(opresult6605);
  params[0] = strlit6589;
  partcv[0] = 1;
  Object opresult6606 = callmethod(opresult6605, "++", 1, partcv, params);
// compilenode returning opresult6606
  *var_s = opresult6606;
  if (opresult6606 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new6454(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_indexNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  Object *var_index_39_ = &(stackframe->slots[1]);
  *var_index_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6455 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6455 = alloc_userobj2(9,10, objclass6455);
  gc_frame_newslot(obj6455);
if (objclass6455 == NULL) {
  glfree(obj6455->class->name);
  obj6455->class->name = "indexNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6455, self, 0);
  addmethodreal(obj6455,"outer", &reader_ast_outer_6456);
  Object oldself6455 = self;
  struct StackFrameObject *oldstackframe6455 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6455);
  gc_frame_newslot((Object)stackframe);
  self = obj6455;
  Object *oldselfslot6455 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6455 = (*(struct UserObject *)self).data[0], lowerouter6455 = thisouter6455;
  if (inheritingObject6455) {
    struct UserObject *inho6455 = (struct UserObject *)inheritingObject6455;
    while (inho6455->super != GraceDefaultObject) inho6455 = (struct UserObject *)inho6455->super;
    inho6455->super = obj6455;
    self = inheritingObject6455;
    *selfslot = self;
    lowerouter6455 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6455;
  }
if (objclass6455 == NULL) {
  Method *reader6457 = addmethodrealflags(obj6455, "kind",&reader_ast_kind_6457, MFLAG_DEF);
  reader6457->definitionModule = modulename;
  reader6457->definitionLine = 1528;
}
adddatum2(obj6455, alloc_Undefined(), 1);
if (objclass6455 == NULL) {
  Method *reader6458 = addmethodrealflags(obj6455, "value",&reader_ast_value_6458, MFLAG_DEF);
  reader6458->definitionModule = modulename;
  reader6458->definitionLine = 1529;
}
adddatum2(obj6455, alloc_Undefined(), 2);
if (objclass6455 == NULL) {
  Method *reader6459 = addmethodrealflags(obj6455, "index",&reader_ast_index_6459, MFLAG_DEF);
  reader6459->definitionModule = modulename;
  reader6459->definitionLine = 1530;
}
adddatum2(obj6455, alloc_Undefined(), 3);
  struct UserObject *uo6460 = (struct UserObject*)obj6455;
  uo6460->data[4] = emptyclosure;
  Method *meth_meth_ast_accept6460 = addmethod2pos(obj6455, "accept", &meth_ast_accept6460, 4);
int argcv_meth_ast_accept6460[] = {1};
meth_meth_ast_accept6460->type = alloc_MethodType(1, argcv_meth_ast_accept6460);
  meth_meth_ast_accept6460->definitionModule = modulename;
  meth_meth_ast_accept6460->definitionLine = 1530;
  block_savedest(obj6455);
  Object closure6472 = createclosure(1, "map()before()after");
  setclosureframe(closure6472, stackframe);
  addtoclosure(closure6472, var_indexNode);
  struct UserObject *uo6472 = (struct UserObject*)obj6455;
  uo6472->data[5] = (Object)closure6472;
  Method *meth_meth_ast_map_40__41_before_40__41_after6472 = addmethod2pos(obj6455, "map()before()after", &meth_ast_map_40__41_before_40__41_after6472, 5);
int argcv_meth_ast_map_40__41_before_40__41_after6472[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6472->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6472);
  meth_meth_ast_map_40__41_before_40__41_after6472->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6472->definitionLine = 1536;
  struct UserObject *uo6494 = (struct UserObject*)obj6455;
  uo6494->data[6] = emptyclosure;
  Method *meth_meth_ast_map6494 = addmethod2pos(obj6455, "map", &meth_ast_map6494, 6);
int argcv_meth_ast_map6494[] = {1};
meth_meth_ast_map6494->type = alloc_MethodType(1, argcv_meth_ast_map6494);
  meth_meth_ast_map6494->definitionModule = modulename;
  meth_meth_ast_map6494->definitionLine = 1544;
  struct UserObject *uo6503 = (struct UserObject*)obj6455;
  uo6503->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty6503 = addmethod2pos(obj6455, "pretty", &meth_ast_pretty6503, 7);
int argcv_meth_ast_pretty6503[] = {1};
meth_meth_ast_pretty6503->type = alloc_MethodType(1, argcv_meth_ast_pretty6503);
  meth_meth_ast_pretty6503->definitionModule = modulename;
  meth_meth_ast_pretty6503->definitionLine = 1547;
  struct UserObject *uo6560 = (struct UserObject*)obj6455;
  uo6560->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace6560 = addmethod2pos(obj6455, "toGrace", &meth_ast_toGrace6560, 8);
int argcv_meth_ast_toGrace6560[] = {1};
meth_meth_ast_toGrace6560->type = alloc_MethodType(1, argcv_meth_ast_toGrace6560);
meth_meth_ast_toGrace6560->type->types[0] = type_Number;
meth_meth_ast_toGrace6560->type->names[0] = "depth";
  meth_meth_ast_toGrace6560->definitionModule = modulename;
  meth_meth_ast_toGrace6560->definitionLine = 1559;
  sourceObject = obj6455;
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6608 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6609 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6608);
// compilenode returning call6609
  struct UserObject *obj6455_uo = (struct UserObject *)obj6455;
  obj6455_uo->super = call6609;
  sourceObject = obj6455;
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6610 == NULL) {
    strlit6610 = alloc_String("index");
    gc_root(strlit6610);
  }
// compilenode returning strlit6610
  adddatum2(obj6455, strlit6610, 1);
  sourceObject = obj6455;
// Begin line 1528
  setline(1528);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_expr
  adddatum2(obj6455, *var_expr, 2);
  sourceObject = obj6455;
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_index_39_
  adddatum2(obj6455, *var_index_39_, 3);
  sourceObject = obj6455;
  sourceObject = obj6455;
  sourceObject = obj6455;
  sourceObject = obj6455;
  sourceObject = obj6455;
objclass6455 = obj6455->class;
  objclass6455->definitionModule = modulename;
  objclass6455->definitionLine = 1519;
  (*(struct UserObject *)self).data[0] = lowerouter6455;
  self = oldself6455;
  selfslot = oldselfslot6455;
  stackframe = oldstackframe6455;
  gc_frame_end(frame);
  return obj6455;
}
Object meth_ast_new6454_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_indexNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  Object *var_index_39_ = &(stackframe->slots[1]);
  *var_index_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6455 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6455 = alloc_userobj2(9,10, objclass6455);
  gc_frame_newslot(obj6455);
if (objclass6455 == NULL) {
  glfree(obj6455->class->name);
  obj6455->class->name = "indexNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6455, self, 0);
  addmethodreal(obj6455,"outer", &reader_ast_outer_6456);
  Object oldself6455 = self;
  struct StackFrameObject *oldstackframe6455 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6455);
  gc_frame_newslot((Object)stackframe);
  self = obj6455;
  Object *oldselfslot6455 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6455 = (*(struct UserObject *)self).data[0], lowerouter6455 = thisouter6455;
  if (inheritingObject6455) {
    struct UserObject *inho6455 = (struct UserObject *)inheritingObject6455;
    while (inho6455->super != GraceDefaultObject) inho6455 = (struct UserObject *)inho6455->super;
    inho6455->super = obj6455;
    self = inheritingObject6455;
    *selfslot = self;
    lowerouter6455 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6455;
  }
if (objclass6455 == NULL) {
  Method *reader6457 = addmethodrealflags(obj6455, "kind",&reader_ast_kind_6457, MFLAG_DEF);
  reader6457->definitionModule = modulename;
  reader6457->definitionLine = 1528;
}
adddatum2(obj6455, alloc_Undefined(), 1);
if (objclass6455 == NULL) {
  Method *reader6458 = addmethodrealflags(obj6455, "value",&reader_ast_value_6458, MFLAG_DEF);
  reader6458->definitionModule = modulename;
  reader6458->definitionLine = 1529;
}
adddatum2(obj6455, alloc_Undefined(), 2);
if (objclass6455 == NULL) {
  Method *reader6459 = addmethodrealflags(obj6455, "index",&reader_ast_index_6459, MFLAG_DEF);
  reader6459->definitionModule = modulename;
  reader6459->definitionLine = 1530;
}
adddatum2(obj6455, alloc_Undefined(), 3);
  struct UserObject *uo6460 = (struct UserObject*)obj6455;
  uo6460->data[4] = emptyclosure;
  Method *meth_meth_ast_accept6460 = addmethod2pos(obj6455, "accept", &meth_ast_accept6460, 4);
int argcv_meth_ast_accept6460[] = {1};
meth_meth_ast_accept6460->type = alloc_MethodType(1, argcv_meth_ast_accept6460);
  meth_meth_ast_accept6460->definitionModule = modulename;
  meth_meth_ast_accept6460->definitionLine = 1530;
  block_savedest(obj6455);
  Object closure6472 = createclosure(1, "map()before()after");
  setclosureframe(closure6472, stackframe);
  addtoclosure(closure6472, var_indexNode);
  struct UserObject *uo6472 = (struct UserObject*)obj6455;
  uo6472->data[5] = (Object)closure6472;
  Method *meth_meth_ast_map_40__41_before_40__41_after6472 = addmethod2pos(obj6455, "map()before()after", &meth_ast_map_40__41_before_40__41_after6472, 5);
int argcv_meth_ast_map_40__41_before_40__41_after6472[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6472->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6472);
  meth_meth_ast_map_40__41_before_40__41_after6472->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6472->definitionLine = 1536;
  struct UserObject *uo6494 = (struct UserObject*)obj6455;
  uo6494->data[6] = emptyclosure;
  Method *meth_meth_ast_map6494 = addmethod2pos(obj6455, "map", &meth_ast_map6494, 6);
int argcv_meth_ast_map6494[] = {1};
meth_meth_ast_map6494->type = alloc_MethodType(1, argcv_meth_ast_map6494);
  meth_meth_ast_map6494->definitionModule = modulename;
  meth_meth_ast_map6494->definitionLine = 1544;
  struct UserObject *uo6503 = (struct UserObject*)obj6455;
  uo6503->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty6503 = addmethod2pos(obj6455, "pretty", &meth_ast_pretty6503, 7);
int argcv_meth_ast_pretty6503[] = {1};
meth_meth_ast_pretty6503->type = alloc_MethodType(1, argcv_meth_ast_pretty6503);
  meth_meth_ast_pretty6503->definitionModule = modulename;
  meth_meth_ast_pretty6503->definitionLine = 1547;
  struct UserObject *uo6560 = (struct UserObject*)obj6455;
  uo6560->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace6560 = addmethod2pos(obj6455, "toGrace", &meth_ast_toGrace6560, 8);
int argcv_meth_ast_toGrace6560[] = {1};
meth_meth_ast_toGrace6560->type = alloc_MethodType(1, argcv_meth_ast_toGrace6560);
meth_meth_ast_toGrace6560->type->types[0] = type_Number;
meth_meth_ast_toGrace6560->type->names[0] = "depth";
  meth_meth_ast_toGrace6560->definitionModule = modulename;
  meth_meth_ast_toGrace6560->definitionLine = 1559;
  sourceObject = obj6455;
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6608 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6609 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6608);
// compilenode returning call6609
  struct UserObject *obj6455_uo = (struct UserObject *)obj6455;
  obj6455_uo->super = call6609;
  sourceObject = obj6455;
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6610 == NULL) {
    strlit6610 = alloc_String("index");
    gc_root(strlit6610);
  }
// compilenode returning strlit6610
  adddatum2(obj6455, strlit6610, 1);
  sourceObject = obj6455;
// Begin line 1528
  setline(1528);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_expr
  adddatum2(obj6455, *var_expr, 2);
  sourceObject = obj6455;
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_index_39_
  adddatum2(obj6455, *var_index_39_, 3);
  sourceObject = obj6455;
  sourceObject = obj6455;
  sourceObject = obj6455;
  sourceObject = obj6455;
  sourceObject = obj6455;
objclass6455 = obj6455->class;
  objclass6455->definitionModule = modulename;
  objclass6455->definitionLine = 1519;
  (*(struct UserObject *)self).data[0] = lowerouter6455;
  self = oldself6455;
  selfslot = oldselfslot6455;
  stackframe = oldstackframe6455;
  gc_frame_end(frame);
  return obj6455;
}
Object meth_ast_bindNode6612(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for bindNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for bindNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_bindNode
  gc_frame_end(frame);
  return *var_bindNode;
}
Object meth_ast_accept6621(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6623 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call6624 = callmethod(*var_visitor, "visitBind",
    1, partcv, params);
  gc_frame_end(callframe6623);
// compilenode returning call6624
  Object if6622 = done;
  if (istrue(call6624)) {
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6625 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6626 = gc_frame_new();
  partcv[0] = 0;
  Object call6627 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6626);
// compilenode returning call6627
// compilenode returning call6627
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6628 = callmethod(call6627, "accept",
    1, partcv, params);
  gc_frame_end(callframe6625);
// compilenode returning call6628
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6629 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6630 = gc_frame_new();
  partcv[0] = 0;
  Object call6631 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6630);
// compilenode returning call6631
// compilenode returning call6631
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6632 = callmethod(call6631, "accept",
    1, partcv, params);
  gc_frame_end(callframe6629);
// compilenode returning call6632
    gc_frame_newslot(call6632);
    if6622 = call6632;
  } else {
  }
// compilenode returning if6622
  gc_frame_end(frame);
  return if6622;
}
Object meth_ast_map_40__41_before_40__41_after6633(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[3];
  int partcv[3];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6634 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call6635 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe6634);
// compilenode returning call6635
// Begin line 1583
  setline(1583);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6636 = gc_frame_new();
  int callframe6637 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6638 = gc_frame_new();
  partcv[0] = 0;
  Object call6639 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6638);
// compilenode returning call6639
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6640 = callmethod(call6639, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe6637);
// compilenode returning call6640
  gc_frame_newslot(call6640);
  int callframe6641 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6642 = gc_frame_new();
  partcv[0] = 0;
  Object call6643 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6642);
// compilenode returning call6643
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6644 = callmethod(call6643, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe6641);
// compilenode returning call6644
  gc_frame_newslot(call6644);
// compilenode returning *var_bindNode
  params[0] = call6640;
  params[1] = call6644;
  partcv[0] = 2;
  Object call6645 = callmethod(*var_bindNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6636);
// compilenode returning call6645
  *var_n = call6645;
  if (call6645 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1584
  setline(1584);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6646 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6647 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6646);
// compilenode returning call6647
  *var_n = call6647;
  if (call6647 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6649 = gc_frame_new();
// Begin line 1585
  setline(1585);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6650 = gc_frame_new();
  partcv[0] = 0;
  Object call6651 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6650);
// compilenode returning call6651
  gc_frame_newslot(call6651);
// compilenode returning *var_n
  params[0] = call6651;
  partcv[0] = 1;
  Object call6652 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6649);
// compilenode returning call6652
// compilenode returning done
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6653 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6654 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe6653);
// compilenode returning call6654
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6658(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6661(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map6655(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6656 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block6657 = alloc_Block(NULL, NULL, "ast", 1590);
  gc_frame_newslot(block6657);
  block_savedest(block6657);
  Object closure6658 = createclosure(1, "_apply");
  setclosureframe(closure6658, stackframe);
  addtoclosure(closure6658, selfslot);
  struct UserObject *uo6658 = (struct UserObject*)block6657;
  uo6658->data[0] = (Object)closure6658;
  Method *meth_meth_ast__apply6658 = addmethod2pos(block6657, "_apply", &meth_ast__apply6658, 0);
int argcv_meth_ast__apply6658[] = {0};
meth_meth_ast__apply6658->type = alloc_MethodType(1, argcv_meth_ast__apply6658);
  meth_meth_ast__apply6658->definitionModule = modulename;
  meth_meth_ast__apply6658->definitionLine = 1578;
// compilenode returning block6657
  gc_frame_newslot(block6657);
  Object block6660 = alloc_Block(NULL, NULL, "ast", 1590);
  gc_frame_newslot(block6660);
  block_savedest(block6660);
  Object closure6661 = createclosure(1, "_apply");
  setclosureframe(closure6661, stackframe);
  addtoclosure(closure6661, selfslot);
  struct UserObject *uo6661 = (struct UserObject*)block6660;
  uo6661->data[0] = (Object)closure6661;
  Method *meth_meth_ast__apply6661 = addmethod2pos(block6660, "_apply", &meth_ast__apply6661, 0);
int argcv_meth_ast__apply6661[] = {0};
meth_meth_ast__apply6661->type = alloc_MethodType(1, argcv_meth_ast__apply6661);
  meth_meth_ast__apply6661->definitionModule = modulename;
  meth_meth_ast__apply6661->definitionLine = 1578;
// compilenode returning block6660
  gc_frame_newslot(block6660);
  params[0] = *var_blk;
  params[1] = block6657;
  params[2] = block6660;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6663 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6656);
// compilenode returning call6663
  gc_frame_end(frame);
  return call6663;
}
Object meth_ast__apply6672(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1595
  setline(1595);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6674 == NULL) {
    strlit6674 = alloc_String("  ");
    gc_root(strlit6674);
  }
// compilenode returning strlit6674
  int op_slot_right_6673 = gc_frame_newslot(strlit6674);
// compilenode returning *var_spc
  int op_slot_left_6673 = gc_frame_newslot(*var_spc);
  params[0] = strlit6674;
  partcv[0] = 1;
  Object opresult6676 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult6676
  *var_spc = opresult6676;
  if (opresult6676 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty6664(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1593
  setline(1593);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6665 == NULL) {
    strlit6665 = alloc_String("");
    gc_root(strlit6665);
  }
// compilenode returning strlit6665
  *var_spc = strlit6665;
  if (strlit6665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6666 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_6667 = gc_frame_newslot(*var_depth);
  Object num6669 = alloc_Float64(0);
// compilenode returning num6669
  int op_slot_left_6667 = gc_frame_newslot(num6669);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6670 = callmethod(num6669, "..", 1, partcv, params);
// compilenode returning opresult6670
  gc_frame_newslot(opresult6670);
  Object block6671 = alloc_Block(NULL, NULL, "ast", 1594);
  gc_frame_newslot(block6671);
  block_savedest(block6671);
  Object closure6672 = createclosure(2, "_apply");
  setclosureframe(closure6672, stackframe);
  addtoclosure(closure6672, var_spc);
  addtoclosure(closure6672, selfslot);
  struct UserObject *uo6672 = (struct UserObject*)block6671;
  uo6672->data[0] = (Object)closure6672;
  Method *meth_meth_ast__apply6672 = addmethod2pos(block6671, "_apply", &meth_ast__apply6672, 0);
int argcv_meth_ast__apply6672[] = {1};
meth_meth_ast__apply6672->type = alloc_MethodType(1, argcv_meth_ast__apply6672);
  meth_meth_ast__apply6672->definitionModule = modulename;
  meth_meth_ast__apply6672->definitionLine = 1578;
// compilenode returning block6671
  gc_frame_newslot(block6671);
  params[0] = opresult6670;
  params[1] = block6671;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6679 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6666);
// compilenode returning call6679
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1597
  setline(1597);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6680 == NULL) {
    strlit6680 = alloc_String("Bind");
    gc_root(strlit6680);
  }
// compilenode returning strlit6680
  *var_s = strlit6680;
  if (strlit6680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6682 == NULL) {
    strlit6682 = alloc_String("""\x0a""");
    gc_root(strlit6682);
  }
// compilenode returning strlit6682
  int op_slot_right_6681 = gc_frame_newslot(strlit6682);
// compilenode returning *var_s
  int op_slot_left_6681 = gc_frame_newslot(*var_s);
  params[0] = strlit6682;
  partcv[0] = 1;
  Object opresult6684 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6684
  *var_s = opresult6684;
  if (opresult6684 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6687 = gc_frame_new();
  Object num6689 = alloc_Float64(1);
// compilenode returning num6689
  int op_slot_right_6688 = gc_frame_newslot(num6689);
// compilenode returning *var_depth
  int op_slot_left_6688 = gc_frame_newslot(*var_depth);
  params[0] = num6689;
  partcv[0] = 1;
  Object sum6691 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6691
  gc_frame_newslot(sum6691);
  int callframe6692 = gc_frame_new();
  partcv[0] = 0;
  Object call6693 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6692);
// compilenode returning call6693
// compilenode returning call6693
  params[0] = sum6691;
  partcv[0] = 1;
  Object call6694 = callmethod(call6693, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6687);
// compilenode returning call6694
  int op_slot_right_6686 = gc_frame_newslot(call6694);
// compilenode returning *var_spc
  int op_slot_right_6696 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_6696 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6698 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6698
  int op_slot_left_6686 = gc_frame_newslot(opresult6698);
  params[0] = call6694;
  partcv[0] = 1;
  Object opresult6699 = callmethod(opresult6698, "++", 1, partcv, params);
// compilenode returning opresult6699
  *var_s = opresult6699;
  if (opresult6699 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1600
  setline(1600);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6702 == NULL) {
    strlit6702 = alloc_String("""\x0a""");
    gc_root(strlit6702);
  }
// compilenode returning strlit6702
  int op_slot_right_6701 = gc_frame_newslot(strlit6702);
// compilenode returning *var_s
  int op_slot_left_6701 = gc_frame_newslot(*var_s);
  params[0] = strlit6702;
  partcv[0] = 1;
  Object opresult6704 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6704
  *var_s = opresult6704;
  if (opresult6704 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6707 = gc_frame_new();
  Object num6709 = alloc_Float64(1);
// compilenode returning num6709
  int op_slot_right_6708 = gc_frame_newslot(num6709);
// compilenode returning *var_depth
  int op_slot_left_6708 = gc_frame_newslot(*var_depth);
  params[0] = num6709;
  partcv[0] = 1;
  Object sum6711 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6711
  gc_frame_newslot(sum6711);
  int callframe6712 = gc_frame_new();
  partcv[0] = 0;
  Object call6713 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6712);
// compilenode returning call6713
// compilenode returning call6713
  params[0] = sum6711;
  partcv[0] = 1;
  Object call6714 = callmethod(call6713, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6707);
// compilenode returning call6714
  int op_slot_right_6706 = gc_frame_newslot(call6714);
// compilenode returning *var_spc
  int op_slot_right_6716 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_6716 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6718 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6718
  int op_slot_left_6706 = gc_frame_newslot(opresult6718);
  params[0] = call6714;
  partcv[0] = 1;
  Object opresult6719 = callmethod(opresult6718, "++", 1, partcv, params);
// compilenode returning opresult6719
  *var_s = opresult6719;
  if (opresult6719 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1602
  setline(1602);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply6733(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1607
  setline(1607);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6735 == NULL) {
    strlit6735 = alloc_String("    ");
    gc_root(strlit6735);
  }
// compilenode returning strlit6735
  int op_slot_right_6734 = gc_frame_newslot(strlit6735);
// compilenode returning *var_spc
  int op_slot_left_6734 = gc_frame_newslot(*var_spc);
  params[0] = strlit6735;
  partcv[0] = 1;
  Object opresult6737 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult6737
  *var_spc = opresult6737;
  if (opresult6737 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace6721(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6722 == NULL) {
    strlit6722 = alloc_String("");
    gc_root(strlit6722);
  }
// compilenode returning strlit6722
  *var_spc = strlit6722;
  if (strlit6722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6723 = gc_frame_new();
  Object num6726 = alloc_Float64(1);
// compilenode returning num6726
  int op_slot_right_6725 = gc_frame_newslot(num6726);
// compilenode returning *var_depth
  int op_slot_left_6725 = gc_frame_newslot(*var_depth);
  params[0] = num6726;
  partcv[0] = 1;
  Object diff6728 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff6728
  int op_slot_right_6724 = gc_frame_newslot(diff6728);
  Object num6730 = alloc_Float64(0);
// compilenode returning num6730
  int op_slot_left_6724 = gc_frame_newslot(num6730);
  params[0] = diff6728;
  partcv[0] = 1;
  Object opresult6731 = callmethod(num6730, "..", 1, partcv, params);
// compilenode returning opresult6731
  gc_frame_newslot(opresult6731);
  Object block6732 = alloc_Block(NULL, NULL, "ast", 1606);
  gc_frame_newslot(block6732);
  block_savedest(block6732);
  Object closure6733 = createclosure(2, "_apply");
  setclosureframe(closure6733, stackframe);
  addtoclosure(closure6733, var_spc);
  addtoclosure(closure6733, selfslot);
  struct UserObject *uo6733 = (struct UserObject*)block6732;
  uo6733->data[0] = (Object)closure6733;
  Method *meth_meth_ast__apply6733 = addmethod2pos(block6732, "_apply", &meth_ast__apply6733, 0);
int argcv_meth_ast__apply6733[] = {1};
meth_meth_ast__apply6733->type = alloc_MethodType(1, argcv_meth_ast__apply6733);
  meth_meth_ast__apply6733->definitionModule = modulename;
  meth_meth_ast__apply6733->definitionLine = 1601;
// compilenode returning block6732
  gc_frame_newslot(block6732);
  params[0] = opresult6731;
  params[1] = block6732;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6740 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6723);
// compilenode returning call6740
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6741 = gc_frame_new();
  Object num6743 = alloc_Float64(1);
// compilenode returning num6743
  int op_slot_right_6742 = gc_frame_newslot(num6743);
// compilenode returning *var_depth
  int op_slot_left_6742 = gc_frame_newslot(*var_depth);
  params[0] = num6743;
  partcv[0] = 1;
  Object sum6745 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6745
  gc_frame_newslot(sum6745);
  int callframe6746 = gc_frame_new();
  partcv[0] = 0;
  Object call6747 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6746);
// compilenode returning call6747
// compilenode returning call6747
  params[0] = sum6745;
  partcv[0] = 1;
  Object call6748 = callmethod(call6747, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6741);
// compilenode returning call6748
  *var_s = call6748;
  if (call6748 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6750 = gc_frame_new();
  Object num6752 = alloc_Float64(1);
// compilenode returning num6752
  int op_slot_right_6751 = gc_frame_newslot(num6752);
// compilenode returning *var_depth
  int op_slot_left_6751 = gc_frame_newslot(*var_depth);
  params[0] = num6752;
  partcv[0] = 1;
  Object sum6754 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6754
  gc_frame_newslot(sum6754);
  int callframe6755 = gc_frame_new();
  partcv[0] = 0;
  Object call6756 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6755);
// compilenode returning call6756
// compilenode returning call6756
  params[0] = sum6754;
  partcv[0] = 1;
  Object call6757 = callmethod(call6756, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6750);
// compilenode returning call6757
  int op_slot_right_6749 = gc_frame_newslot(call6757);
  if (strlit6760 == NULL) {
    strlit6760 = alloc_String(" := ");
    gc_root(strlit6760);
  }
// compilenode returning strlit6760
  int op_slot_right_6759 = gc_frame_newslot(strlit6760);
// compilenode returning *var_s
  int op_slot_left_6759 = gc_frame_newslot(*var_s);
  params[0] = strlit6760;
  partcv[0] = 1;
  Object opresult6762 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6762
  int op_slot_left_6749 = gc_frame_newslot(opresult6762);
  params[0] = call6757;
  partcv[0] = 1;
  Object opresult6763 = callmethod(opresult6762, "++", 1, partcv, params);
// compilenode returning opresult6763
  *var_s = opresult6763;
  if (opresult6763 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new6615(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6616 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6616 = alloc_userobj2(9,10, objclass6616);
  gc_frame_newslot(obj6616);
if (objclass6616 == NULL) {
  glfree(obj6616->class->name);
  obj6616->class->name = "bindNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6616, self, 0);
  addmethodreal(obj6616,"outer", &reader_ast_outer_6617);
  Object oldself6616 = self;
  struct StackFrameObject *oldstackframe6616 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6616);
  gc_frame_newslot((Object)stackframe);
  self = obj6616;
  Object *oldselfslot6616 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6616 = (*(struct UserObject *)self).data[0], lowerouter6616 = thisouter6616;
  if (inheritingObject6616) {
    struct UserObject *inho6616 = (struct UserObject *)inheritingObject6616;
    while (inho6616->super != GraceDefaultObject) inho6616 = (struct UserObject *)inho6616->super;
    inho6616->super = obj6616;
    self = inheritingObject6616;
    *selfslot = self;
    lowerouter6616 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6616;
  }
if (objclass6616 == NULL) {
  Method *reader6618 = addmethodrealflags(obj6616, "kind",&reader_ast_kind_6618, MFLAG_DEF);
  reader6618->definitionModule = modulename;
  reader6618->definitionLine = 1573;
}
adddatum2(obj6616, alloc_Undefined(), 1);
if (objclass6616 == NULL) {
  Method *reader6619 = addmethodrealflags(obj6616, "dest",&reader_ast_dest_6619, MFLAG_DEF);
  reader6619->definitionModule = modulename;
  reader6619->definitionLine = 1574;
}
adddatum2(obj6616, alloc_Undefined(), 2);
if (objclass6616 == NULL) {
  Method *reader6620 = addmethodrealflags(obj6616, "value",&reader_ast_value_6620, MFLAG_DEF);
  reader6620->definitionModule = modulename;
  reader6620->definitionLine = 1575;
}
adddatum2(obj6616, alloc_Undefined(), 3);
  struct UserObject *uo6621 = (struct UserObject*)obj6616;
  uo6621->data[4] = emptyclosure;
  Method *meth_meth_ast_accept6621 = addmethod2pos(obj6616, "accept", &meth_ast_accept6621, 4);
int argcv_meth_ast_accept6621[] = {1};
meth_meth_ast_accept6621->type = alloc_MethodType(1, argcv_meth_ast_accept6621);
  meth_meth_ast_accept6621->definitionModule = modulename;
  meth_meth_ast_accept6621->definitionLine = 1575;
  block_savedest(obj6616);
  Object closure6633 = createclosure(1, "map()before()after");
  setclosureframe(closure6633, stackframe);
  addtoclosure(closure6633, var_bindNode);
  struct UserObject *uo6633 = (struct UserObject*)obj6616;
  uo6633->data[5] = (Object)closure6633;
  Method *meth_meth_ast_map_40__41_before_40__41_after6633 = addmethod2pos(obj6616, "map()before()after", &meth_ast_map_40__41_before_40__41_after6633, 5);
int argcv_meth_ast_map_40__41_before_40__41_after6633[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6633->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6633);
  meth_meth_ast_map_40__41_before_40__41_after6633->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6633->definitionLine = 1581;
  struct UserObject *uo6655 = (struct UserObject*)obj6616;
  uo6655->data[6] = emptyclosure;
  Method *meth_meth_ast_map6655 = addmethod2pos(obj6616, "map", &meth_ast_map6655, 6);
int argcv_meth_ast_map6655[] = {1};
meth_meth_ast_map6655->type = alloc_MethodType(1, argcv_meth_ast_map6655);
  meth_meth_ast_map6655->definitionModule = modulename;
  meth_meth_ast_map6655->definitionLine = 1589;
  struct UserObject *uo6664 = (struct UserObject*)obj6616;
  uo6664->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty6664 = addmethod2pos(obj6616, "pretty", &meth_ast_pretty6664, 7);
int argcv_meth_ast_pretty6664[] = {1};
meth_meth_ast_pretty6664->type = alloc_MethodType(1, argcv_meth_ast_pretty6664);
  meth_meth_ast_pretty6664->definitionModule = modulename;
  meth_meth_ast_pretty6664->definitionLine = 1592;
  struct UserObject *uo6721 = (struct UserObject*)obj6616;
  uo6721->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace6721 = addmethod2pos(obj6616, "toGrace", &meth_ast_toGrace6721, 8);
int argcv_meth_ast_toGrace6721[] = {1};
meth_meth_ast_toGrace6721->type = alloc_MethodType(1, argcv_meth_ast_toGrace6721);
meth_meth_ast_toGrace6721->type->types[0] = type_Number;
meth_meth_ast_toGrace6721->type->names[0] = "depth";
  meth_meth_ast_toGrace6721->definitionModule = modulename;
  meth_meth_ast_toGrace6721->definitionLine = 1604;
  sourceObject = obj6616;
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6765 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6766 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6765);
// compilenode returning call6766
  struct UserObject *obj6616_uo = (struct UserObject *)obj6616;
  obj6616_uo->super = call6766;
  sourceObject = obj6616;
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6767 == NULL) {
    strlit6767 = alloc_String("bind");
    gc_root(strlit6767);
  }
// compilenode returning strlit6767
  adddatum2(obj6616, strlit6767, 1);
  sourceObject = obj6616;
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dest_39_
  adddatum2(obj6616, *var_dest_39_, 2);
  sourceObject = obj6616;
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val_39_
  adddatum2(obj6616, *var_val_39_, 3);
  sourceObject = obj6616;
  sourceObject = obj6616;
  sourceObject = obj6616;
  sourceObject = obj6616;
  sourceObject = obj6616;
objclass6616 = obj6616->class;
  objclass6616->definitionModule = modulename;
  objclass6616->definitionLine = 1565;
  (*(struct UserObject *)self).data[0] = lowerouter6616;
  self = oldself6616;
  selfslot = oldselfslot6616;
  stackframe = oldstackframe6616;
  gc_frame_end(frame);
  return obj6616;
}
Object meth_ast_new6615_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6616 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6616 = alloc_userobj2(9,10, objclass6616);
  gc_frame_newslot(obj6616);
if (objclass6616 == NULL) {
  glfree(obj6616->class->name);
  obj6616->class->name = "bindNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6616, self, 0);
  addmethodreal(obj6616,"outer", &reader_ast_outer_6617);
  Object oldself6616 = self;
  struct StackFrameObject *oldstackframe6616 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6616);
  gc_frame_newslot((Object)stackframe);
  self = obj6616;
  Object *oldselfslot6616 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6616 = (*(struct UserObject *)self).data[0], lowerouter6616 = thisouter6616;
  if (inheritingObject6616) {
    struct UserObject *inho6616 = (struct UserObject *)inheritingObject6616;
    while (inho6616->super != GraceDefaultObject) inho6616 = (struct UserObject *)inho6616->super;
    inho6616->super = obj6616;
    self = inheritingObject6616;
    *selfslot = self;
    lowerouter6616 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6616;
  }
if (objclass6616 == NULL) {
  Method *reader6618 = addmethodrealflags(obj6616, "kind",&reader_ast_kind_6618, MFLAG_DEF);
  reader6618->definitionModule = modulename;
  reader6618->definitionLine = 1573;
}
adddatum2(obj6616, alloc_Undefined(), 1);
if (objclass6616 == NULL) {
  Method *reader6619 = addmethodrealflags(obj6616, "dest",&reader_ast_dest_6619, MFLAG_DEF);
  reader6619->definitionModule = modulename;
  reader6619->definitionLine = 1574;
}
adddatum2(obj6616, alloc_Undefined(), 2);
if (objclass6616 == NULL) {
  Method *reader6620 = addmethodrealflags(obj6616, "value",&reader_ast_value_6620, MFLAG_DEF);
  reader6620->definitionModule = modulename;
  reader6620->definitionLine = 1575;
}
adddatum2(obj6616, alloc_Undefined(), 3);
  struct UserObject *uo6621 = (struct UserObject*)obj6616;
  uo6621->data[4] = emptyclosure;
  Method *meth_meth_ast_accept6621 = addmethod2pos(obj6616, "accept", &meth_ast_accept6621, 4);
int argcv_meth_ast_accept6621[] = {1};
meth_meth_ast_accept6621->type = alloc_MethodType(1, argcv_meth_ast_accept6621);
  meth_meth_ast_accept6621->definitionModule = modulename;
  meth_meth_ast_accept6621->definitionLine = 1575;
  block_savedest(obj6616);
  Object closure6633 = createclosure(1, "map()before()after");
  setclosureframe(closure6633, stackframe);
  addtoclosure(closure6633, var_bindNode);
  struct UserObject *uo6633 = (struct UserObject*)obj6616;
  uo6633->data[5] = (Object)closure6633;
  Method *meth_meth_ast_map_40__41_before_40__41_after6633 = addmethod2pos(obj6616, "map()before()after", &meth_ast_map_40__41_before_40__41_after6633, 5);
int argcv_meth_ast_map_40__41_before_40__41_after6633[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6633->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6633);
  meth_meth_ast_map_40__41_before_40__41_after6633->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6633->definitionLine = 1581;
  struct UserObject *uo6655 = (struct UserObject*)obj6616;
  uo6655->data[6] = emptyclosure;
  Method *meth_meth_ast_map6655 = addmethod2pos(obj6616, "map", &meth_ast_map6655, 6);
int argcv_meth_ast_map6655[] = {1};
meth_meth_ast_map6655->type = alloc_MethodType(1, argcv_meth_ast_map6655);
  meth_meth_ast_map6655->definitionModule = modulename;
  meth_meth_ast_map6655->definitionLine = 1589;
  struct UserObject *uo6664 = (struct UserObject*)obj6616;
  uo6664->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty6664 = addmethod2pos(obj6616, "pretty", &meth_ast_pretty6664, 7);
int argcv_meth_ast_pretty6664[] = {1};
meth_meth_ast_pretty6664->type = alloc_MethodType(1, argcv_meth_ast_pretty6664);
  meth_meth_ast_pretty6664->definitionModule = modulename;
  meth_meth_ast_pretty6664->definitionLine = 1592;
  struct UserObject *uo6721 = (struct UserObject*)obj6616;
  uo6721->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace6721 = addmethod2pos(obj6616, "toGrace", &meth_ast_toGrace6721, 8);
int argcv_meth_ast_toGrace6721[] = {1};
meth_meth_ast_toGrace6721->type = alloc_MethodType(1, argcv_meth_ast_toGrace6721);
meth_meth_ast_toGrace6721->type->types[0] = type_Number;
meth_meth_ast_toGrace6721->type->names[0] = "depth";
  meth_meth_ast_toGrace6721->definitionModule = modulename;
  meth_meth_ast_toGrace6721->definitionLine = 1604;
  sourceObject = obj6616;
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6765 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6766 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6765);
// compilenode returning call6766
  struct UserObject *obj6616_uo = (struct UserObject *)obj6616;
  obj6616_uo->super = call6766;
  sourceObject = obj6616;
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6767 == NULL) {
    strlit6767 = alloc_String("bind");
    gc_root(strlit6767);
  }
// compilenode returning strlit6767
  adddatum2(obj6616, strlit6767, 1);
  sourceObject = obj6616;
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dest_39_
  adddatum2(obj6616, *var_dest_39_, 2);
  sourceObject = obj6616;
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val_39_
  adddatum2(obj6616, *var_val_39_, 3);
  sourceObject = obj6616;
  sourceObject = obj6616;
  sourceObject = obj6616;
  sourceObject = obj6616;
  sourceObject = obj6616;
objclass6616 = obj6616->class;
  objclass6616->definitionModule = modulename;
  objclass6616->definitionLine = 1565;
  (*(struct UserObject *)self).data[0] = lowerouter6616;
  self = oldself6616;
  selfslot = oldselfslot6616;
  stackframe = oldstackframe6616;
  gc_frame_end(frame);
  return obj6616;
}
Object meth_ast_defDecNode6769(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defDecNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for defDecNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defDecNode
  gc_frame_end(frame);
  return *var_defDecNode;
}
Object meth_ast_isPublic6783(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1626
  setline(1626);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num6786 = alloc_Float64(0);
// compilenode returning num6786
  int op_slot_right_6785 = gc_frame_newslot(num6786);
  int callframe6788 = gc_frame_new();
  int callframe6789 = gc_frame_new();
  partcv[0] = 0;
  Object call6790 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6789);
// compilenode returning call6790
  partcv[0] = 0;
  Object call6791 = callmethod(call6790, "size",
    1, partcv, params);
  gc_frame_end(callframe6788);
// compilenode returning call6791
// compilenode returning call6791
  int op_slot_left_6785 = gc_frame_newslot(call6791);
  params[0] = num6786;
  partcv[0] = 1;
  Object opresult6792 = callmethod(call6791, "==", 1, partcv, params);
// compilenode returning opresult6792
  Object if6784 = done;
  if (istrue(opresult6792)) {
  Object bool6793 = alloc_Boolean(0);
// compilenode returning bool6793
  return bool6793;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if6784 = undefined;
  } else {
  }
// compilenode returning if6784
// Begin line 1628
  setline(1628);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6795 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit6796 == NULL) {
    strlit6796 = alloc_String("public");
    gc_root(strlit6796);
  }
// compilenode returning strlit6796
  gc_frame_newslot(strlit6796);
  int callframe6797 = gc_frame_new();
  int callframe6798 = gc_frame_new();
  Object call6799 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6798);
// compilenode returning call6799
// compilenode returning call6799
  partcv[0] = 0;
  Object call6800 = callmethodflags(call6799, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6797);
// compilenode returning call6800
// compilenode returning call6800
  params[0] = self;
  params[1] = strlit6796;
  partcv[0] = 2;
  Object call6801 = callmethodflags(call6800, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6795);
// compilenode returning call6801
  Object if6794 = done;
  if (istrue(call6801)) {
  Object bool6802 = alloc_Boolean(1);
// compilenode returning bool6802
  return bool6802;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if6794 = undefined;
  } else {
  }
// compilenode returning if6794
// Begin line 1628
  setline(1628);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6803 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit6804 == NULL) {
    strlit6804 = alloc_String("readable");
    gc_root(strlit6804);
  }
// compilenode returning strlit6804
  gc_frame_newslot(strlit6804);
  int callframe6805 = gc_frame_new();
  int callframe6806 = gc_frame_new();
  Object call6807 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6806);
// compilenode returning call6807
// compilenode returning call6807
  partcv[0] = 0;
  Object call6808 = callmethodflags(call6807, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6805);
// compilenode returning call6808
// compilenode returning call6808
  params[0] = self;
  params[1] = strlit6804;
  partcv[0] = 2;
  Object call6809 = callmethodflags(call6808, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6803);
// compilenode returning call6809
  gc_frame_end(frame);
  return call6809;
}
Object meth_ast_isWritable6810(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6811 = alloc_Boolean(0);
// compilenode returning bool6811
  gc_frame_end(frame);
  return bool6811;
}
Object meth_ast_isReadable6812(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6813 = gc_frame_new();
  partcv[0] = 0;
  Object call6814 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6813);
// compilenode returning call6814
  gc_frame_end(frame);
  return call6814;
}
Object meth_ast_accept6815(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1643
  setline(1643);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6817 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call6818 = callmethod(*var_visitor, "visitDefDec",
    1, partcv, params);
  gc_frame_end(callframe6817);
// compilenode returning call6818
  Object if6816 = done;
  if (istrue(call6818)) {
// Begin line 1635
  setline(1635);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6819 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6820 = gc_frame_new();
  partcv[0] = 0;
  Object call6821 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6820);
// compilenode returning call6821
// compilenode returning call6821
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6822 = callmethod(call6821, "accept",
    1, partcv, params);
  gc_frame_end(callframe6819);
// compilenode returning call6822
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6825 = alloc_Boolean(0);
// compilenode returning bool6825
  int op_slot_right_6824 = gc_frame_newslot(bool6825);
  int callframe6827 = gc_frame_new();
  partcv[0] = 0;
  Object call6828 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6827);
// compilenode returning call6828
// compilenode returning call6828
  int op_slot_left_6824 = gc_frame_newslot(call6828);
  params[0] = bool6825;
  partcv[0] = 1;
  Object opresult6829 = callmethod(call6828, "!=", 1, partcv, params);
// compilenode returning opresult6829
  Object if6823 = done;
  if (istrue(opresult6829)) {
// Begin line 1637
  setline(1637);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6830 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6831 = gc_frame_new();
  partcv[0] = 0;
  Object call6832 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6831);
// compilenode returning call6832
// compilenode returning call6832
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6833 = callmethod(call6832, "accept",
    1, partcv, params);
  gc_frame_end(callframe6830);
// compilenode returning call6833
    gc_frame_newslot(call6833);
    if6823 = call6833;
  } else {
  }
// compilenode returning if6823
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6836 = alloc_Boolean(0);
// compilenode returning bool6836
  int op_slot_right_6835 = gc_frame_newslot(bool6836);
  int callframe6838 = gc_frame_new();
  partcv[0] = 0;
  Object call6839 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6838);
// compilenode returning call6839
// compilenode returning call6839
  int op_slot_left_6835 = gc_frame_newslot(call6839);
  params[0] = bool6836;
  partcv[0] = 1;
  Object opresult6840 = callmethod(call6839, "!=", 1, partcv, params);
// compilenode returning opresult6840
  Object if6834 = done;
  if (istrue(opresult6840)) {
// Begin line 1640
  setline(1640);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6841 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe6842 = gc_frame_new();
  partcv[0] = 0;
  Object call6843 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6842);
// compilenode returning call6843
// compilenode returning call6843
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call6844 = callmethod(call6843, "accept",
    1, partcv, params);
  gc_frame_end(callframe6841);
// compilenode returning call6844
    gc_frame_newslot(call6844);
    if6834 = call6844;
  } else {
  }
// compilenode returning if6834
    gc_frame_newslot(if6834);
    if6816 = if6834;
  } else {
  }
// compilenode returning if6816
  gc_frame_end(frame);
  return if6816;
}
Object meth_ast__apply6874(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_blk = getfromclosure(closure, 0);
  Object *var_blkBefore = getfromclosure(closure, 1);
  Object *var_blkAfter = getfromclosure(closure, 2);
  Object *var_n = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6875 = gc_frame_new();
  int callframe6876 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// compilenode returning *var_a
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6877 = callmethod(*var_a, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe6876);
// compilenode returning call6877
  gc_frame_newslot(call6877);
  int callframe6878 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call6879 = callmethod(*var_n, "annotations",
    1, partcv, params);
  gc_frame_end(callframe6878);
// compilenode returning call6879
// compilenode returning call6879
  params[0] = call6877;
  partcv[0] = 1;
  Object call6880 = callmethod(call6879, "push",
    1, partcv, params);
  gc_frame_end(callframe6875);
// compilenode returning call6880
  gc_frame_end(frame);
  return call6880;
}
Object meth_ast_map_40__41_before_40__41_after6845(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1645
  setline(1645);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6846 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call6847 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe6846);
// compilenode returning call6847
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6848 = gc_frame_new();
  int callframe6849 = gc_frame_new();
  partcv[0] = 0;
  Object call6850 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6849);
// compilenode returning call6850
  gc_frame_newslot(call6850);
  int callframe6851 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6852 = gc_frame_new();
  partcv[0] = 0;
  Object call6853 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6852);
// compilenode returning call6853
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6854 = callmethod(call6853, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe6851);
// compilenode returning call6854
  gc_frame_newslot(call6854);
// Begin line 1647
  setline(1647);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6855 = gc_frame_new();
  int callframe6856 = gc_frame_new();
  partcv[0] = 0;
  Object call6857 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6856);
// compilenode returning call6857
  gc_frame_newslot(call6857);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6858 = gc_frame_new();
  int callframe6859 = gc_frame_new();
  Object call6860 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6859);
// compilenode returning call6860
// compilenode returning call6860
  partcv[0] = 0;
  Object call6861 = callmethodflags(call6860, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6858);
// compilenode returning call6861
// compilenode returning call6861
  params[0] = call6857;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 4;
  Object call6862 = callmethodflags(call6861, "maybeMap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6855);
// compilenode returning call6862
  gc_frame_newslot(call6862);
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defDecNode
  params[0] = call6850;
  params[1] = call6854;
  params[2] = call6862;
  partcv[0] = 3;
  Object call6863 = callmethod(*var_defDecNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6848);
// compilenode returning call6863
  *var_n = call6863;
  if (call6863 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6864 = gc_frame_new();
  int callframe6865 = gc_frame_new();
  int callframe6866 = gc_frame_new();
  partcv[0] = 0;
  Object call6867 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6866);
// compilenode returning call6867
  gc_frame_newslot(call6867);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe6868 = gc_frame_new();
  int callframe6869 = gc_frame_new();
  Object call6870 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6869);
// compilenode returning call6870
// compilenode returning call6870
  partcv[0] = 0;
  Object call6871 = callmethodflags(call6870, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6868);
// compilenode returning call6871
// compilenode returning call6871
  params[0] = call6867;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6872 = callmethodflags(call6871, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6865);
// compilenode returning call6872
  gc_frame_newslot(call6872);
  Object block6873 = alloc_Block(NULL, NULL, "ast", 1648);
  gc_frame_newslot(block6873);
  block_savedest(block6873);
  Object closure6874 = createclosure(5, "_apply");
  setclosureframe(closure6874, stackframe);
  addtoclosure(closure6874, var_blk);
  addtoclosure(closure6874, var_blkBefore);
  addtoclosure(closure6874, var_blkAfter);
  addtoclosure(closure6874, var_n);
  addtoclosure(closure6874, selfslot);
  struct UserObject *uo6874 = (struct UserObject*)block6873;
  uo6874->data[0] = (Object)closure6874;
  Method *meth_meth_ast__apply6874 = addmethod2pos(block6873, "_apply", &meth_ast__apply6874, 0);
int argcv_meth_ast__apply6874[] = {1};
meth_meth_ast__apply6874->type = alloc_MethodType(1, argcv_meth_ast__apply6874);
  meth_meth_ast__apply6874->definitionModule = modulename;
  meth_meth_ast__apply6874->definitionLine = 1648;
// compilenode returning block6873
  gc_frame_newslot(block6873);
  params[0] = call6872;
  params[1] = block6873;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6882 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6864);
// compilenode returning call6882
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6883 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6884 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6883);
// compilenode returning call6884
  *var_n = call6884;
  if (call6884 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6886 = gc_frame_new();
// Begin line 1652
  setline(1652);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6887 = gc_frame_new();
  partcv[0] = 0;
  Object call6888 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6887);
// compilenode returning call6888
  gc_frame_newslot(call6888);
// compilenode returning *var_n
  params[0] = call6888;
  partcv[0] = 1;
  Object call6889 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6886);
// compilenode returning call6889
// compilenode returning done
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6890 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6891 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe6890);
// compilenode returning call6891
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6895(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6898(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map6892(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1657
  setline(1657);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6893 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block6894 = alloc_Block(NULL, NULL, "ast", 1657);
  gc_frame_newslot(block6894);
  block_savedest(block6894);
  Object closure6895 = createclosure(1, "_apply");
  setclosureframe(closure6895, stackframe);
  addtoclosure(closure6895, selfslot);
  struct UserObject *uo6895 = (struct UserObject*)block6894;
  uo6895->data[0] = (Object)closure6895;
  Method *meth_meth_ast__apply6895 = addmethod2pos(block6894, "_apply", &meth_ast__apply6895, 0);
int argcv_meth_ast__apply6895[] = {0};
meth_meth_ast__apply6895->type = alloc_MethodType(1, argcv_meth_ast__apply6895);
  meth_meth_ast__apply6895->definitionModule = modulename;
  meth_meth_ast__apply6895->definitionLine = 1649;
// compilenode returning block6894
  gc_frame_newslot(block6894);
  Object block6897 = alloc_Block(NULL, NULL, "ast", 1657);
  gc_frame_newslot(block6897);
  block_savedest(block6897);
  Object closure6898 = createclosure(1, "_apply");
  setclosureframe(closure6898, stackframe);
  addtoclosure(closure6898, selfslot);
  struct UserObject *uo6898 = (struct UserObject*)block6897;
  uo6898->data[0] = (Object)closure6898;
  Method *meth_meth_ast__apply6898 = addmethod2pos(block6897, "_apply", &meth_ast__apply6898, 0);
int argcv_meth_ast__apply6898[] = {0};
meth_meth_ast__apply6898->type = alloc_MethodType(1, argcv_meth_ast__apply6898);
  meth_meth_ast__apply6898->definitionModule = modulename;
  meth_meth_ast__apply6898->definitionLine = 1649;
// compilenode returning block6897
  gc_frame_newslot(block6897);
  params[0] = *var_blk;
  params[1] = block6894;
  params[2] = block6897;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6900 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6893);
// compilenode returning call6900
  gc_frame_end(frame);
  return call6900;
}
Object meth_ast__apply6909(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1663
  setline(1663);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1662
  setline(1662);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6911 == NULL) {
    strlit6911 = alloc_String("  ");
    gc_root(strlit6911);
  }
// compilenode returning strlit6911
  int op_slot_right_6910 = gc_frame_newslot(strlit6911);
// compilenode returning *var_spc
  int op_slot_left_6910 = gc_frame_newslot(*var_spc);
  params[0] = strlit6911;
  partcv[0] = 1;
  Object opresult6913 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult6913
  *var_spc = opresult6913;
  if (opresult6913 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty6901(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1661
  setline(1661);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6902 == NULL) {
    strlit6902 = alloc_String("");
    gc_root(strlit6902);
  }
// compilenode returning strlit6902
  *var_spc = strlit6902;
  if (strlit6902 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1661
  setline(1661);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6903 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_6904 = gc_frame_newslot(*var_depth);
  Object num6906 = alloc_Float64(0);
// compilenode returning num6906
  int op_slot_left_6904 = gc_frame_newslot(num6906);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6907 = callmethod(num6906, "..", 1, partcv, params);
// compilenode returning opresult6907
  gc_frame_newslot(opresult6907);
  Object block6908 = alloc_Block(NULL, NULL, "ast", 1661);
  gc_frame_newslot(block6908);
  block_savedest(block6908);
  Object closure6909 = createclosure(2, "_apply");
  setclosureframe(closure6909, stackframe);
  addtoclosure(closure6909, var_spc);
  addtoclosure(closure6909, selfslot);
  struct UserObject *uo6909 = (struct UserObject*)block6908;
  uo6909->data[0] = (Object)closure6909;
  Method *meth_meth_ast__apply6909 = addmethod2pos(block6908, "_apply", &meth_ast__apply6909, 0);
int argcv_meth_ast__apply6909[] = {1};
meth_meth_ast__apply6909->type = alloc_MethodType(1, argcv_meth_ast__apply6909);
  meth_meth_ast__apply6909->definitionModule = modulename;
  meth_meth_ast__apply6909->definitionLine = 1649;
// compilenode returning block6908
  gc_frame_newslot(block6908);
  params[0] = opresult6907;
  params[1] = block6908;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6916 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6903);
// compilenode returning call6916
// Begin line 1665
  setline(1665);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6917 == NULL) {
    strlit6917 = alloc_String("DefDec");
    gc_root(strlit6917);
  }
// compilenode returning strlit6917
  *var_s = strlit6917;
  if (strlit6917 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1665
  setline(1665);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6919 == NULL) {
    strlit6919 = alloc_String("""\x0a""");
    gc_root(strlit6919);
  }
// compilenode returning strlit6919
  int op_slot_right_6918 = gc_frame_newslot(strlit6919);
// compilenode returning *var_s
  int op_slot_left_6918 = gc_frame_newslot(*var_s);
  params[0] = strlit6919;
  partcv[0] = 1;
  Object opresult6921 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6921
  *var_s = opresult6921;
  if (opresult6921 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6924 = gc_frame_new();
// compilenode returning *var_depth
  gc_frame_newslot(*var_depth);
  int callframe6925 = gc_frame_new();
  partcv[0] = 0;
  Object call6926 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6925);
// compilenode returning call6926
// compilenode returning call6926
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6927 = callmethod(call6926, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6924);
// compilenode returning call6927
  int op_slot_right_6923 = gc_frame_newslot(call6927);
// compilenode returning *var_spc
  int op_slot_right_6929 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_6929 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6931 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6931
  int op_slot_left_6923 = gc_frame_newslot(opresult6931);
  params[0] = call6927;
  partcv[0] = 1;
  Object opresult6932 = callmethod(opresult6931, "++", 1, partcv, params);
// compilenode returning opresult6932
  *var_s = opresult6932;
  if (opresult6932 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6936 = alloc_Boolean(0);
// compilenode returning bool6936
  int op_slot_right_6935 = gc_frame_newslot(bool6936);
  int callframe6938 = gc_frame_new();
  partcv[0] = 0;
  Object call6939 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6938);
// compilenode returning call6939
// compilenode returning call6939
  int op_slot_left_6935 = gc_frame_newslot(call6939);
  params[0] = bool6936;
  partcv[0] = 1;
  Object opresult6940 = callmethod(call6939, "!=", 1, partcv, params);
// compilenode returning opresult6940
  Object if6934 = done;
  if (istrue(opresult6940)) {
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6942 == NULL) {
    strlit6942 = alloc_String("Type:");
    gc_root(strlit6942);
  }
// compilenode returning strlit6942
  int op_slot_right_6941 = gc_frame_newslot(strlit6942);
// compilenode returning *var_spc
  int op_slot_right_6944 = gc_frame_newslot(*var_spc);
  if (strlit6947 == NULL) {
    strlit6947 = alloc_String("""\x0a""");
    gc_root(strlit6947);
  }
// compilenode returning strlit6947
  int op_slot_right_6946 = gc_frame_newslot(strlit6947);
// compilenode returning *var_s
  int op_slot_left_6946 = gc_frame_newslot(*var_s);
  params[0] = strlit6947;
  partcv[0] = 1;
  Object opresult6949 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6949
  int op_slot_left_6944 = gc_frame_newslot(opresult6949);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6950 = callmethod(opresult6949, "++", 1, partcv, params);
// compilenode returning opresult6950
  int op_slot_left_6941 = gc_frame_newslot(opresult6950);
  params[0] = strlit6942;
  partcv[0] = 1;
  Object opresult6951 = callmethod(opresult6950, "++", 1, partcv, params);
// compilenode returning opresult6951
  *var_s = opresult6951;
  if (opresult6951 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6954 = gc_frame_new();
  Object num6956 = alloc_Float64(2);
// compilenode returning num6956
  int op_slot_right_6955 = gc_frame_newslot(num6956);
// compilenode returning *var_depth
  int op_slot_left_6955 = gc_frame_newslot(*var_depth);
  params[0] = num6956;
  partcv[0] = 1;
  Object sum6958 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6958
  gc_frame_newslot(sum6958);
  int callframe6959 = gc_frame_new();
  partcv[0] = 0;
  Object call6960 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6959);
// compilenode returning call6960
// compilenode returning call6960
  params[0] = sum6958;
  partcv[0] = 1;
  Object call6961 = callmethod(call6960, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6954);
// compilenode returning call6961
  int op_slot_right_6953 = gc_frame_newslot(call6961);
  if (strlit6964 == NULL) {
    strlit6964 = alloc_String("  ");
    gc_root(strlit6964);
  }
// compilenode returning strlit6964
  int op_slot_right_6963 = gc_frame_newslot(strlit6964);
// compilenode returning *var_spc
  int op_slot_right_6966 = gc_frame_newslot(*var_spc);
  if (strlit6969 == NULL) {
    strlit6969 = alloc_String("""\x0a""");
    gc_root(strlit6969);
  }
// compilenode returning strlit6969
  int op_slot_right_6968 = gc_frame_newslot(strlit6969);
// compilenode returning *var_s
  int op_slot_left_6968 = gc_frame_newslot(*var_s);
  params[0] = strlit6969;
  partcv[0] = 1;
  Object opresult6971 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6971
  int op_slot_left_6966 = gc_frame_newslot(opresult6971);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6972 = callmethod(opresult6971, "++", 1, partcv, params);
// compilenode returning opresult6972
  int op_slot_left_6963 = gc_frame_newslot(opresult6972);
  params[0] = strlit6964;
  partcv[0] = 1;
  Object opresult6973 = callmethod(opresult6972, "++", 1, partcv, params);
// compilenode returning opresult6973
  int op_slot_left_6953 = gc_frame_newslot(opresult6973);
  params[0] = call6961;
  partcv[0] = 1;
  Object opresult6974 = callmethod(opresult6973, "++", 1, partcv, params);
// compilenode returning opresult6974
  *var_s = opresult6974;
  if (opresult6974 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6934 = done;
  } else {
  }
// compilenode returning if6934
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6978 = gc_frame_new();
  partcv[0] = 0;
  Object call6979 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6978);
// compilenode returning call6979
// compilenode returning call6979
  int op_slot_right_6977 = gc_frame_newslot(call6979);
  Object bool6981 = alloc_Boolean(0);
// compilenode returning bool6981
  int op_slot_left_6977 = gc_frame_newslot(bool6981);
  params[0] = call6979;
  partcv[0] = 1;
  Object opresult6982 = callmethod(bool6981, "!=", 1, partcv, params);
// compilenode returning opresult6982
  Object if6976 = done;
  if (istrue(opresult6982)) {
// Begin line 1673
  setline(1673);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1672
  setline(1672);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6984 == NULL) {
    strlit6984 = alloc_String("""\x0a""");
    gc_root(strlit6984);
  }
// compilenode returning strlit6984
  int op_slot_right_6983 = gc_frame_newslot(strlit6984);
// compilenode returning *var_s
  int op_slot_left_6983 = gc_frame_newslot(*var_s);
  params[0] = strlit6984;
  partcv[0] = 1;
  Object opresult6986 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult6986
  *var_s = opresult6986;
  if (opresult6986 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1673
  setline(1673);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6989 = gc_frame_new();
  Object num6991 = alloc_Float64(1);
// compilenode returning num6991
  int op_slot_right_6990 = gc_frame_newslot(num6991);
// compilenode returning *var_depth
  int op_slot_left_6990 = gc_frame_newslot(*var_depth);
  params[0] = num6991;
  partcv[0] = 1;
  Object sum6993 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum6993
  gc_frame_newslot(sum6993);
  int callframe6994 = gc_frame_new();
  partcv[0] = 0;
  Object call6995 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6994);
// compilenode returning call6995
// compilenode returning call6995
  params[0] = sum6993;
  partcv[0] = 1;
  Object call6996 = callmethod(call6995, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6989);
// compilenode returning call6996
  int op_slot_right_6988 = gc_frame_newslot(call6996);
// compilenode returning *var_spc
  int op_slot_right_6998 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_6998 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7000 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7000
  int op_slot_left_6988 = gc_frame_newslot(opresult7000);
  params[0] = call6996;
  partcv[0] = 1;
  Object opresult7001 = callmethod(opresult7000, "++", 1, partcv, params);
// compilenode returning opresult7001
  *var_s = opresult7001;
  if (opresult7001 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6976 = done;
  } else {
  }
// compilenode returning if6976
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_decType7003(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for decType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for decType");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1681
  setline(1681);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1678
  setline(1678);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7006 = alloc_Boolean(0);
// compilenode returning bool7006
  int op_slot_right_7005 = gc_frame_newslot(bool7006);
  int callframe7008 = gc_frame_new();
  partcv[0] = 0;
  Object call7009 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7008);
// compilenode returning call7009
  int op_slot_left_7005 = gc_frame_newslot(call7009);
  params[0] = bool7006;
  partcv[0] = 1;
  Object opresult7010 = callmethod(call7009, "==", 1, partcv, params);
// compilenode returning opresult7010
  Object if7004 = done;
  if (istrue(opresult7010)) {
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7011 = gc_frame_new();
  if (strlit7012 == NULL) {
    strlit7012 = alloc_String("Unknown");
    gc_root(strlit7012);
  }
// compilenode returning strlit7012
  gc_frame_newslot(strlit7012);
  Object bool7013 = alloc_Boolean(0);
// compilenode returning bool7013
  gc_frame_newslot(bool7013);
// compilenode returning *var_identifierNode
  params[0] = strlit7012;
  params[1] = bool7013;
  partcv[0] = 2;
  Object call7014 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7011);
// compilenode returning call7014
  return call7014;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7004 = undefined;
  } else {
  }
// compilenode returning if7004
// Begin line 1682
  setline(1682);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1681
  setline(1681);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7015 = gc_frame_new();
  partcv[0] = 0;
  Object call7016 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7015);
// compilenode returning call7016
  return call7016;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast__apply7029(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7031 == NULL) {
    strlit7031 = alloc_String("    ");
    gc_root(strlit7031);
  }
// compilenode returning strlit7031
  int op_slot_right_7030 = gc_frame_newslot(strlit7031);
// compilenode returning *var_spc
  int op_slot_left_7030 = gc_frame_newslot(*var_spc);
  params[0] = strlit7031;
  partcv[0] = 1;
  Object opresult7033 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult7033
  *var_spc = opresult7033;
  if (opresult7033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply7090(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7092 = gc_frame_new();
  Object num7093 = alloc_Float64(0);
// compilenode returning num7093
  gc_frame_newslot(num7093);
// compilenode returning *var_b
  params[0] = num7093;
  partcv[0] = 1;
  Object call7094 = callmethod(*var_b, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7092);
// compilenode returning call7094
  int op_slot_right_7091 = gc_frame_newslot(call7094);
  if (strlit7098 == NULL) {
    strlit7098 = alloc_String("");
    gc_root(strlit7098);
  }
// compilenode returning strlit7098
  int op_slot_right_7097 = gc_frame_newslot(strlit7098);
// compilenode returning *var_a
  int op_slot_left_7097 = gc_frame_newslot(*var_a);
  params[0] = strlit7098;
  partcv[0] = 1;
  Object opresult7100 = callmethod(*var_a, "!=", 1, partcv, params);
// compilenode returning opresult7100
  Object if7096 = done;
struct StackFrameObject *iftmpstackframe7096 = stackframe;
  if (istrue(opresult7100)) {
stackframe = alloc_StackFrame(0, iftmpstackframe7096);
gc_frame_newslot((Object)stackframe);
  if (strlit7102 == NULL) {
    strlit7102 = alloc_String(", ");
    gc_root(strlit7102);
  }
// compilenode returning strlit7102
  int op_slot_right_7101 = gc_frame_newslot(strlit7102);
// compilenode returning *var_a
  int op_slot_left_7101 = gc_frame_newslot(*var_a);
  params[0] = strlit7102;
  partcv[0] = 1;
  Object opresult7104 = callmethod(*var_a, "++", 1, partcv, params);
// compilenode returning opresult7104
    gc_frame_newslot(opresult7104);
    if7096 = opresult7104;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe7096);
gc_frame_newslot((Object)stackframe);
  if (strlit7105 == NULL) {
    strlit7105 = alloc_String("");
    gc_root(strlit7105);
  }
// compilenode returning strlit7105
    gc_frame_newslot(strlit7105);
    if7096 = strlit7105;
  }
stackframe = iftmpstackframe7096;
// compilenode returning if7096
  int op_slot_left_7091 = gc_frame_newslot(if7096);
  params[0] = call7094;
  partcv[0] = 1;
  Object opresult7106 = callmethod(if7096, "++", 1, partcv, params);
// compilenode returning opresult7106
  gc_frame_end(frame);
  return opresult7106;
}
Object meth_ast_toGrace7017(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1684
  setline(1684);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7018 == NULL) {
    strlit7018 = alloc_String("");
    gc_root(strlit7018);
  }
// compilenode returning strlit7018
  *var_spc = strlit7018;
  if (strlit7018 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7019 = gc_frame_new();
  Object num7022 = alloc_Float64(1);
// compilenode returning num7022
  int op_slot_right_7021 = gc_frame_newslot(num7022);
// compilenode returning *var_depth
  int op_slot_left_7021 = gc_frame_newslot(*var_depth);
  params[0] = num7022;
  partcv[0] = 1;
  Object diff7024 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff7024
  int op_slot_right_7020 = gc_frame_newslot(diff7024);
  Object num7026 = alloc_Float64(0);
// compilenode returning num7026
  int op_slot_left_7020 = gc_frame_newslot(num7026);
  params[0] = diff7024;
  partcv[0] = 1;
  Object opresult7027 = callmethod(num7026, "..", 1, partcv, params);
// compilenode returning opresult7027
  gc_frame_newslot(opresult7027);
  Object block7028 = alloc_Block(NULL, NULL, "ast", 1685);
  gc_frame_newslot(block7028);
  block_savedest(block7028);
  Object closure7029 = createclosure(2, "_apply");
  setclosureframe(closure7029, stackframe);
  addtoclosure(closure7029, var_spc);
  addtoclosure(closure7029, selfslot);
  struct UserObject *uo7029 = (struct UserObject*)block7028;
  uo7029->data[0] = (Object)closure7029;
  Method *meth_meth_ast__apply7029 = addmethod2pos(block7028, "_apply", &meth_ast__apply7029, 0);
int argcv_meth_ast__apply7029[] = {1};
meth_meth_ast__apply7029->type = alloc_MethodType(1, argcv_meth_ast__apply7029);
  meth_meth_ast__apply7029->definitionModule = modulename;
  meth_meth_ast__apply7029->definitionLine = 1673;
// compilenode returning block7028
  gc_frame_newslot(block7028);
  params[0] = opresult7027;
  params[1] = block7028;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7036 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7019);
// compilenode returning call7036
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7038 == NULL) {
    strlit7038 = alloc_String("");
    gc_root(strlit7038);
  }
// compilenode returning strlit7038
  int op_slot_right_7037 = gc_frame_newslot(strlit7038);
  int callframe7041 = gc_frame_new();
  Object num7042 = alloc_Float64(0);
// compilenode returning num7042
  gc_frame_newslot(num7042);
  int callframe7043 = gc_frame_new();
  partcv[0] = 0;
  Object call7044 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7043);
// compilenode returning call7044
// compilenode returning call7044
  params[0] = num7042;
  partcv[0] = 1;
  Object call7045 = callmethod(call7044, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7041);
// compilenode returning call7045
  int op_slot_right_7040 = gc_frame_newslot(call7045);
  if (strlit7047 == NULL) {
    strlit7047 = alloc_String("def ");
    gc_root(strlit7047);
  }
// compilenode returning strlit7047
  int op_slot_left_7040 = gc_frame_newslot(strlit7047);
  params[0] = call7045;
  partcv[0] = 1;
  Object opresult7048 = callmethod(strlit7047, "++", 1, partcv, params);
// compilenode returning opresult7048
  int op_slot_left_7037 = gc_frame_newslot(opresult7048);
  params[0] = strlit7038;
  partcv[0] = 1;
  Object opresult7049 = callmethod(opresult7048, "++", 1, partcv, params);
// compilenode returning opresult7049
  *var_s = opresult7049;
  if (opresult7049 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7052 == NULL) {
    strlit7052 = alloc_String("Unknown");
    gc_root(strlit7052);
  }
// compilenode returning strlit7052
  int op_slot_right_7051 = gc_frame_newslot(strlit7052);
  int callframe7054 = gc_frame_new();
  int callframe7055 = gc_frame_new();
  partcv[0] = 0;
  Object call7056 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7055);
// compilenode returning call7056
// compilenode returning call7056
  partcv[0] = 0;
  Object call7057 = callmethod(call7056, "value",
    1, partcv, params);
  gc_frame_end(callframe7054);
// compilenode returning call7057
// compilenode returning call7057
  int op_slot_left_7051 = gc_frame_newslot(call7057);
  params[0] = strlit7052;
  partcv[0] = 1;
  Object opresult7058 = callmethod(call7057, "!=", 1, partcv, params);
// compilenode returning opresult7058
  Object if7050 = done;
  if (istrue(opresult7058)) {
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7060 = gc_frame_new();
  Object num7061 = alloc_Float64(0);
// compilenode returning num7061
  gc_frame_newslot(num7061);
  int callframe7062 = gc_frame_new();
  partcv[0] = 0;
  Object call7063 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7062);
// compilenode returning call7063
// compilenode returning call7063
  params[0] = num7061;
  partcv[0] = 1;
  Object call7064 = callmethod(call7063, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7060);
// compilenode returning call7064
  int op_slot_right_7059 = gc_frame_newslot(call7064);
  if (strlit7067 == NULL) {
    strlit7067 = alloc_String(" : ");
    gc_root(strlit7067);
  }
// compilenode returning strlit7067
  int op_slot_right_7066 = gc_frame_newslot(strlit7067);
// compilenode returning *var_s
  int op_slot_left_7066 = gc_frame_newslot(*var_s);
  params[0] = strlit7067;
  partcv[0] = 1;
  Object opresult7069 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7069
  int op_slot_left_7059 = gc_frame_newslot(opresult7069);
  params[0] = call7064;
  partcv[0] = 1;
  Object opresult7070 = callmethod(opresult7069, "++", 1, partcv, params);
// compilenode returning opresult7070
  *var_s = opresult7070;
  if (opresult7070 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7050 = done;
  } else {
  }
// compilenode returning if7050
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7074 = alloc_Float64(0);
// compilenode returning num7074
  int op_slot_right_7073 = gc_frame_newslot(num7074);
  int callframe7076 = gc_frame_new();
  int callframe7077 = gc_frame_new();
  partcv[0] = 0;
  Object call7078 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7077);
// compilenode returning call7078
// compilenode returning call7078
  partcv[0] = 0;
  Object call7079 = callmethod(call7078, "size",
    1, partcv, params);
  gc_frame_end(callframe7076);
// compilenode returning call7079
// compilenode returning call7079
  int op_slot_left_7073 = gc_frame_newslot(call7079);
  params[0] = num7074;
  partcv[0] = 1;
  Object opresult7080 = callmethod(call7079, ">", 1, partcv, params);
// compilenode returning opresult7080
  Object if7072 = done;
  if (istrue(opresult7080)) {
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1693
  setline(1693);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7082 == NULL) {
    strlit7082 = alloc_String(" is ");
    gc_root(strlit7082);
  }
// compilenode returning strlit7082
  int op_slot_right_7081 = gc_frame_newslot(strlit7082);
// compilenode returning *var_s
  int op_slot_left_7081 = gc_frame_newslot(*var_s);
  params[0] = strlit7082;
  partcv[0] = 1;
  Object opresult7084 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7084
  *var_s = opresult7084;
  if (opresult7084 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7087 = gc_frame_new();
  if (strlit7088 == NULL) {
    strlit7088 = alloc_String("");
    gc_root(strlit7088);
  }
// compilenode returning strlit7088
  gc_frame_newslot(strlit7088);
  Object block7089 = alloc_Block(NULL, NULL, "ast", 1694);
  gc_frame_newslot(block7089);
  block_savedest(block7089);
  Object closure7090 = createclosure(1, "_apply");
  setclosureframe(closure7090, stackframe);
  addtoclosure(closure7090, selfslot);
  struct UserObject *uo7090 = (struct UserObject*)block7089;
  uo7090->data[0] = (Object)closure7090;
  Method *meth_meth_ast__apply7090 = addmethod2pos(block7089, "_apply", &meth_ast__apply7090, 0);
int argcv_meth_ast__apply7090[] = {2};
meth_meth_ast__apply7090->type = alloc_MethodType(1, argcv_meth_ast__apply7090);
  meth_meth_ast__apply7090->definitionModule = modulename;
  meth_meth_ast__apply7090->definitionLine = 1692;
// compilenode returning block7089
  gc_frame_newslot(block7089);
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7108 = gc_frame_new();
  partcv[0] = 0;
  Object call7109 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7108);
// compilenode returning call7109
// compilenode returning call7109
  params[0] = strlit7088;
  params[1] = block7089;
  partcv[0] = 2;
  Object call7110 = callmethod(call7109, "reduce",
    1, partcv, params);
  gc_frame_end(callframe7087);
// compilenode returning call7110
  int op_slot_right_7086 = gc_frame_newslot(call7110);
// compilenode returning *var_s
  int op_slot_left_7086 = gc_frame_newslot(*var_s);
  params[0] = call7110;
  partcv[0] = 1;
  Object opresult7112 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7112
  *var_s = opresult7112;
  if (opresult7112 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7072 = done;
  } else {
  }
// compilenode returning if7072
// Begin line 1700
  setline(1700);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7116 = alloc_Boolean(0);
// compilenode returning bool7116
  int op_slot_right_7115 = gc_frame_newslot(bool7116);
  int callframe7118 = gc_frame_new();
  partcv[0] = 0;
  Object call7119 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7118);
// compilenode returning call7119
// compilenode returning call7119
  int op_slot_left_7115 = gc_frame_newslot(call7119);
  params[0] = bool7116;
  partcv[0] = 1;
  Object opresult7120 = callmethod(call7119, "!=", 1, partcv, params);
// compilenode returning opresult7120
  Object if7114 = done;
  if (istrue(opresult7120)) {
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7122 = gc_frame_new();
// compilenode returning *var_depth
  gc_frame_newslot(*var_depth);
  int callframe7123 = gc_frame_new();
  partcv[0] = 0;
  Object call7124 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7123);
// compilenode returning call7124
// compilenode returning call7124
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7125 = callmethod(call7124, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7122);
// compilenode returning call7125
  int op_slot_right_7121 = gc_frame_newslot(call7125);
  if (strlit7128 == NULL) {
    strlit7128 = alloc_String(" = ");
    gc_root(strlit7128);
  }
// compilenode returning strlit7128
  int op_slot_right_7127 = gc_frame_newslot(strlit7128);
// compilenode returning *var_s
  int op_slot_left_7127 = gc_frame_newslot(*var_s);
  params[0] = strlit7128;
  partcv[0] = 1;
  Object opresult7130 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7130
  int op_slot_left_7121 = gc_frame_newslot(opresult7130);
  params[0] = call7125;
  partcv[0] = 1;
  Object opresult7131 = callmethod(opresult7130, "++", 1, partcv, params);
// compilenode returning opresult7131
  *var_s = opresult7131;
  if (opresult7131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7114 = done;
  } else {
  }
// compilenode returning if7114
// Begin line 1700
  setline(1700);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new6772(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_defDecNode = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  Object *var_collections = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6773 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6773 = alloc_userobj2(21,19, objclass6773);
  gc_frame_newslot(obj6773);
if (objclass6773 == NULL) {
  glfree(obj6773->class->name);
  obj6773->class->name = "defDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6773, self, 0);
  addmethodreal(obj6773,"outer", &reader_ast_outer_6774);
  Object oldself6773 = self;
  struct StackFrameObject *oldstackframe6773 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6773);
  gc_frame_newslot((Object)stackframe);
  self = obj6773;
  Object *oldselfslot6773 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6773 = (*(struct UserObject *)self).data[0], lowerouter6773 = thisouter6773;
  if (inheritingObject6773) {
    struct UserObject *inho6773 = (struct UserObject *)inheritingObject6773;
    while (inho6773->super != GraceDefaultObject) inho6773 = (struct UserObject *)inho6773->super;
    inho6773->super = obj6773;
    self = inheritingObject6773;
    *selfslot = self;
    lowerouter6773 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6773;
  }
if (objclass6773 == NULL) {
  Method *reader6775 = addmethodrealflags(obj6773, "kind",&reader_ast_kind_6775, MFLAG_DEF);
  reader6775->definitionModule = modulename;
  reader6775->definitionLine = 1617;
}
adddatum2(obj6773, alloc_Undefined(), 1);
if (objclass6773 == NULL) {
  Method *reader6776 = addmethodrealflags(obj6773, "name",&reader_ast_name_6776, MFLAG_DEF);
  reader6776->definitionModule = modulename;
  reader6776->definitionLine = 1618;
}
adddatum2(obj6773, alloc_Undefined(), 2);
if (objclass6773 == NULL) {
  Method *reader6777 = addmethodrealflags(obj6773, "value",&reader_ast_value_6777, MFLAG_DEF);
  reader6777->definitionModule = modulename;
  reader6777->definitionLine = 1619;
}
adddatum2(obj6773, alloc_Undefined(), 3);
if (objclass6773 == NULL) {
  Method *reader6778 = addmethodrealflags(obj6773, "dtype",&reader_ast_dtype_6778, 0);
  Method *writer6778 = addmethodrealflags(obj6773, "dtype:=",&writer_ast_dtype_6778, 0);
  reader6778->definitionModule = modulename;
  writer6778->definitionModule = modulename;
  reader6778->definitionLine = 1620;
  writer6778->definitionLine = 1620;
}
obj6773->flags |= OFLAG_MUTABLE;
adddatum2(obj6773, alloc_Undefined(), 4);
if (objclass6773 == NULL) {
  Method *reader6779 = addmethodrealflags(obj6773, "nameString",&reader_ast_nameString_6779, MFLAG_DEF);
  reader6779->definitionModule = modulename;
  reader6779->definitionLine = 1621;
}
adddatum2(obj6773, alloc_Undefined(), 5);
if (objclass6773 == NULL) {
  Method *reader6780 = addmethodrealflags(obj6773, "annotations",&reader_ast_annotations_6780, MFLAG_DEF);
  reader6780->definitionModule = modulename;
  reader6780->definitionLine = 1622;
}
adddatum2(obj6773, alloc_Undefined(), 6);
if (objclass6773 == NULL) {
  Method *reader6781 = addmethodrealflags(obj6773, "data",&reader_ast_data_6781, 0);
  Method *writer6781 = addmethodrealflags(obj6773, "data:=",&writer_ast_data_6781, 0);
  reader6781->definitionModule = modulename;
  writer6781->definitionModule = modulename;
  reader6781->definitionLine = 1623;
  writer6781->definitionLine = 1623;
}
obj6773->flags |= OFLAG_MUTABLE;
adddatum2(obj6773, alloc_Undefined(), 7);
if (objclass6773 == NULL) {
  Method *reader6782 = addmethodrealflags(obj6773, "startToken",&reader_ast_startToken_6782, 0);
  Method *writer6782 = addmethodrealflags(obj6773, "startToken:=",&writer_ast_startToken_6782, 0);
  reader6782->definitionModule = modulename;
  writer6782->definitionModule = modulename;
  reader6782->definitionLine = 1624;
  writer6782->definitionLine = 1624;
}
obj6773->flags |= OFLAG_MUTABLE;
adddatum2(obj6773, alloc_Undefined(), 8);
  struct UserObject *uo6783 = (struct UserObject*)obj6773;
  uo6783->data[9] = emptyclosure;
  Method *meth_meth_ast_isPublic6783 = addmethod2pos(obj6773, "isPublic", &meth_ast_isPublic6783, 9);
int argcv_meth_ast_isPublic6783[] = {0};
meth_meth_ast_isPublic6783->type = alloc_MethodType(1, argcv_meth_ast_isPublic6783);
  meth_meth_ast_isPublic6783->definitionModule = modulename;
  meth_meth_ast_isPublic6783->definitionLine = 1624;
  struct UserObject *uo6810 = (struct UserObject*)obj6773;
  uo6810->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable6810 = addmethod2pos(obj6773, "isWritable", &meth_ast_isWritable6810, 10);
int argcv_meth_ast_isWritable6810[] = {0};
meth_meth_ast_isWritable6810->type = alloc_MethodType(1, argcv_meth_ast_isWritable6810);
  meth_meth_ast_isWritable6810->definitionModule = modulename;
  meth_meth_ast_isWritable6810->definitionLine = 1630;
  struct UserObject *uo6812 = (struct UserObject*)obj6773;
  uo6812->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable6812 = addmethod2pos(obj6773, "isReadable", &meth_ast_isReadable6812, 11);
int argcv_meth_ast_isReadable6812[] = {0};
meth_meth_ast_isReadable6812->type = alloc_MethodType(1, argcv_meth_ast_isReadable6812);
  meth_meth_ast_isReadable6812->definitionModule = modulename;
  meth_meth_ast_isReadable6812->definitionLine = 1631;
  struct UserObject *uo6815 = (struct UserObject*)obj6773;
  uo6815->data[12] = emptyclosure;
  Method *meth_meth_ast_accept6815 = addmethod2pos(obj6773, "accept", &meth_ast_accept6815, 12);
int argcv_meth_ast_accept6815[] = {1};
meth_meth_ast_accept6815->type = alloc_MethodType(1, argcv_meth_ast_accept6815);
  meth_meth_ast_accept6815->definitionModule = modulename;
  meth_meth_ast_accept6815->definitionLine = 1633;
  block_savedest(obj6773);
  Object closure6845 = createclosure(1, "map()before()after");
  setclosureframe(closure6845, stackframe);
  addtoclosure(closure6845, var_defDecNode);
  struct UserObject *uo6845 = (struct UserObject*)obj6773;
  uo6845->data[13] = (Object)closure6845;
  Method *meth_meth_ast_map_40__41_before_40__41_after6845 = addmethod2pos(obj6773, "map()before()after", &meth_ast_map_40__41_before_40__41_after6845, 13);
int argcv_meth_ast_map_40__41_before_40__41_after6845[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6845->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6845);
  meth_meth_ast_map_40__41_before_40__41_after6845->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6845->definitionLine = 1644;
  struct UserObject *uo6892 = (struct UserObject*)obj6773;
  uo6892->data[14] = emptyclosure;
  Method *meth_meth_ast_map6892 = addmethod2pos(obj6773, "map", &meth_ast_map6892, 14);
int argcv_meth_ast_map6892[] = {1};
meth_meth_ast_map6892->type = alloc_MethodType(1, argcv_meth_ast_map6892);
  meth_meth_ast_map6892->definitionModule = modulename;
  meth_meth_ast_map6892->definitionLine = 1656;
  struct UserObject *uo6901 = (struct UserObject*)obj6773;
  uo6901->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty6901 = addmethod2pos(obj6773, "pretty", &meth_ast_pretty6901, 15);
int argcv_meth_ast_pretty6901[] = {1};
meth_meth_ast_pretty6901->type = alloc_MethodType(1, argcv_meth_ast_pretty6901);
  meth_meth_ast_pretty6901->definitionModule = modulename;
  meth_meth_ast_pretty6901->definitionLine = 1659;
  block_savedest(obj6773);
  Object closure7003 = createclosure(1, "decType");
  setclosureframe(closure7003, stackframe);
  addtoclosure(closure7003, var_identifierNode);
  struct UserObject *uo7003 = (struct UserObject*)obj6773;
  uo7003->data[16] = (Object)closure7003;
  Method *meth_meth_ast_decType7003 = addmethod2pos(obj6773, "decType", &meth_ast_decType7003, 16);
int argcv_meth_ast_decType7003[] = {0};
meth_meth_ast_decType7003->type = alloc_MethodType(1, argcv_meth_ast_decType7003);
  meth_meth_ast_decType7003->definitionModule = modulename;
  meth_meth_ast_decType7003->definitionLine = 1677;
  struct UserObject *uo7017 = (struct UserObject*)obj6773;
  uo7017->data[17] = emptyclosure;
  Method *meth_meth_ast_toGrace7017 = addmethod2pos(obj6773, "toGrace", &meth_ast_toGrace7017, 17);
int argcv_meth_ast_toGrace7017[] = {1};
meth_meth_ast_toGrace7017->type = alloc_MethodType(1, argcv_meth_ast_toGrace7017);
meth_meth_ast_toGrace7017->type->types[0] = type_Number;
meth_meth_ast_toGrace7017->type->names[0] = "depth";
  meth_meth_ast_toGrace7017->definitionModule = modulename;
  meth_meth_ast_toGrace7017->definitionLine = 1683;
  sourceObject = obj6773;
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7133 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7134 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7133);
// compilenode returning call7134
  struct UserObject *obj6773_uo = (struct UserObject *)obj6773;
  obj6773_uo->super = call7134;
  sourceObject = obj6773;
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7135 == NULL) {
    strlit7135 = alloc_String("defdec");
    gc_root(strlit7135);
  }
// compilenode returning strlit7135
  adddatum2(obj6773, strlit7135, 1);
  sourceObject = obj6773;
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj6773, *var_name_39_, 2);
  sourceObject = obj6773;
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val
  adddatum2(obj6773, *var_val, 3);
  sourceObject = obj6773;
// Begin line 1619
  setline(1619);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj6773, *var_dtype_39_, 4);
  sourceObject = obj6773;
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7136 = gc_frame_new();
  int callframe7137 = gc_frame_new();
  partcv[0] = 0;
  Object call7138 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7137);
// compilenode returning call7138
  partcv[0] = 0;
  Object call7139 = callmethod(call7138, "value",
    1, partcv, params);
  gc_frame_end(callframe7136);
// compilenode returning call7139
// compilenode returning call7139
  adddatum2(obj6773, call7139, 5);
  sourceObject = obj6773;
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7140 = gc_frame_new();
  int callframe7141 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call7142 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe7141);
// compilenode returning call7142
// compilenode returning call7142
  partcv[0] = 0;
  Object call7143 = callmethod(call7142, "new",
    1, partcv, params);
  gc_frame_end(callframe7140);
// compilenode returning call7143
// compilenode returning call7143
  adddatum2(obj6773, call7143, 6);
  sourceObject = obj6773;
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7144 = alloc_Boolean(0);
// compilenode returning bool7144
  adddatum2(obj6773, bool7144, 7);
  sourceObject = obj6773;
// Begin line 1623
  setline(1623);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7145 = alloc_Boolean(0);
// compilenode returning bool7145
  adddatum2(obj6773, bool7145, 8);
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
objclass6773 = obj6773->class;
  objclass6773->definitionModule = modulename;
  objclass6773->definitionLine = 1610;
  (*(struct UserObject *)self).data[0] = lowerouter6773;
  self = oldself6773;
  selfslot = oldselfslot6773;
  stackframe = oldstackframe6773;
  gc_frame_end(frame);
  return obj6773;
}
Object meth_ast_new6772_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_defDecNode = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  Object *var_collections = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6773 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6773 = alloc_userobj2(21,19, objclass6773);
  gc_frame_newslot(obj6773);
if (objclass6773 == NULL) {
  glfree(obj6773->class->name);
  obj6773->class->name = "defDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6773, self, 0);
  addmethodreal(obj6773,"outer", &reader_ast_outer_6774);
  Object oldself6773 = self;
  struct StackFrameObject *oldstackframe6773 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6773);
  gc_frame_newslot((Object)stackframe);
  self = obj6773;
  Object *oldselfslot6773 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6773 = (*(struct UserObject *)self).data[0], lowerouter6773 = thisouter6773;
  if (inheritingObject6773) {
    struct UserObject *inho6773 = (struct UserObject *)inheritingObject6773;
    while (inho6773->super != GraceDefaultObject) inho6773 = (struct UserObject *)inho6773->super;
    inho6773->super = obj6773;
    self = inheritingObject6773;
    *selfslot = self;
    lowerouter6773 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6773;
  }
if (objclass6773 == NULL) {
  Method *reader6775 = addmethodrealflags(obj6773, "kind",&reader_ast_kind_6775, MFLAG_DEF);
  reader6775->definitionModule = modulename;
  reader6775->definitionLine = 1617;
}
adddatum2(obj6773, alloc_Undefined(), 1);
if (objclass6773 == NULL) {
  Method *reader6776 = addmethodrealflags(obj6773, "name",&reader_ast_name_6776, MFLAG_DEF);
  reader6776->definitionModule = modulename;
  reader6776->definitionLine = 1618;
}
adddatum2(obj6773, alloc_Undefined(), 2);
if (objclass6773 == NULL) {
  Method *reader6777 = addmethodrealflags(obj6773, "value",&reader_ast_value_6777, MFLAG_DEF);
  reader6777->definitionModule = modulename;
  reader6777->definitionLine = 1619;
}
adddatum2(obj6773, alloc_Undefined(), 3);
if (objclass6773 == NULL) {
  Method *reader6778 = addmethodrealflags(obj6773, "dtype",&reader_ast_dtype_6778, 0);
  Method *writer6778 = addmethodrealflags(obj6773, "dtype:=",&writer_ast_dtype_6778, 0);
  reader6778->definitionModule = modulename;
  writer6778->definitionModule = modulename;
  reader6778->definitionLine = 1620;
  writer6778->definitionLine = 1620;
}
obj6773->flags |= OFLAG_MUTABLE;
adddatum2(obj6773, alloc_Undefined(), 4);
if (objclass6773 == NULL) {
  Method *reader6779 = addmethodrealflags(obj6773, "nameString",&reader_ast_nameString_6779, MFLAG_DEF);
  reader6779->definitionModule = modulename;
  reader6779->definitionLine = 1621;
}
adddatum2(obj6773, alloc_Undefined(), 5);
if (objclass6773 == NULL) {
  Method *reader6780 = addmethodrealflags(obj6773, "annotations",&reader_ast_annotations_6780, MFLAG_DEF);
  reader6780->definitionModule = modulename;
  reader6780->definitionLine = 1622;
}
adddatum2(obj6773, alloc_Undefined(), 6);
if (objclass6773 == NULL) {
  Method *reader6781 = addmethodrealflags(obj6773, "data",&reader_ast_data_6781, 0);
  Method *writer6781 = addmethodrealflags(obj6773, "data:=",&writer_ast_data_6781, 0);
  reader6781->definitionModule = modulename;
  writer6781->definitionModule = modulename;
  reader6781->definitionLine = 1623;
  writer6781->definitionLine = 1623;
}
obj6773->flags |= OFLAG_MUTABLE;
adddatum2(obj6773, alloc_Undefined(), 7);
if (objclass6773 == NULL) {
  Method *reader6782 = addmethodrealflags(obj6773, "startToken",&reader_ast_startToken_6782, 0);
  Method *writer6782 = addmethodrealflags(obj6773, "startToken:=",&writer_ast_startToken_6782, 0);
  reader6782->definitionModule = modulename;
  writer6782->definitionModule = modulename;
  reader6782->definitionLine = 1624;
  writer6782->definitionLine = 1624;
}
obj6773->flags |= OFLAG_MUTABLE;
adddatum2(obj6773, alloc_Undefined(), 8);
  struct UserObject *uo6783 = (struct UserObject*)obj6773;
  uo6783->data[9] = emptyclosure;
  Method *meth_meth_ast_isPublic6783 = addmethod2pos(obj6773, "isPublic", &meth_ast_isPublic6783, 9);
int argcv_meth_ast_isPublic6783[] = {0};
meth_meth_ast_isPublic6783->type = alloc_MethodType(1, argcv_meth_ast_isPublic6783);
  meth_meth_ast_isPublic6783->definitionModule = modulename;
  meth_meth_ast_isPublic6783->definitionLine = 1624;
  struct UserObject *uo6810 = (struct UserObject*)obj6773;
  uo6810->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable6810 = addmethod2pos(obj6773, "isWritable", &meth_ast_isWritable6810, 10);
int argcv_meth_ast_isWritable6810[] = {0};
meth_meth_ast_isWritable6810->type = alloc_MethodType(1, argcv_meth_ast_isWritable6810);
  meth_meth_ast_isWritable6810->definitionModule = modulename;
  meth_meth_ast_isWritable6810->definitionLine = 1630;
  struct UserObject *uo6812 = (struct UserObject*)obj6773;
  uo6812->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable6812 = addmethod2pos(obj6773, "isReadable", &meth_ast_isReadable6812, 11);
int argcv_meth_ast_isReadable6812[] = {0};
meth_meth_ast_isReadable6812->type = alloc_MethodType(1, argcv_meth_ast_isReadable6812);
  meth_meth_ast_isReadable6812->definitionModule = modulename;
  meth_meth_ast_isReadable6812->definitionLine = 1631;
  struct UserObject *uo6815 = (struct UserObject*)obj6773;
  uo6815->data[12] = emptyclosure;
  Method *meth_meth_ast_accept6815 = addmethod2pos(obj6773, "accept", &meth_ast_accept6815, 12);
int argcv_meth_ast_accept6815[] = {1};
meth_meth_ast_accept6815->type = alloc_MethodType(1, argcv_meth_ast_accept6815);
  meth_meth_ast_accept6815->definitionModule = modulename;
  meth_meth_ast_accept6815->definitionLine = 1633;
  block_savedest(obj6773);
  Object closure6845 = createclosure(1, "map()before()after");
  setclosureframe(closure6845, stackframe);
  addtoclosure(closure6845, var_defDecNode);
  struct UserObject *uo6845 = (struct UserObject*)obj6773;
  uo6845->data[13] = (Object)closure6845;
  Method *meth_meth_ast_map_40__41_before_40__41_after6845 = addmethod2pos(obj6773, "map()before()after", &meth_ast_map_40__41_before_40__41_after6845, 13);
int argcv_meth_ast_map_40__41_before_40__41_after6845[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after6845->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after6845);
  meth_meth_ast_map_40__41_before_40__41_after6845->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after6845->definitionLine = 1644;
  struct UserObject *uo6892 = (struct UserObject*)obj6773;
  uo6892->data[14] = emptyclosure;
  Method *meth_meth_ast_map6892 = addmethod2pos(obj6773, "map", &meth_ast_map6892, 14);
int argcv_meth_ast_map6892[] = {1};
meth_meth_ast_map6892->type = alloc_MethodType(1, argcv_meth_ast_map6892);
  meth_meth_ast_map6892->definitionModule = modulename;
  meth_meth_ast_map6892->definitionLine = 1656;
  struct UserObject *uo6901 = (struct UserObject*)obj6773;
  uo6901->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty6901 = addmethod2pos(obj6773, "pretty", &meth_ast_pretty6901, 15);
int argcv_meth_ast_pretty6901[] = {1};
meth_meth_ast_pretty6901->type = alloc_MethodType(1, argcv_meth_ast_pretty6901);
  meth_meth_ast_pretty6901->definitionModule = modulename;
  meth_meth_ast_pretty6901->definitionLine = 1659;
  block_savedest(obj6773);
  Object closure7003 = createclosure(1, "decType");
  setclosureframe(closure7003, stackframe);
  addtoclosure(closure7003, var_identifierNode);
  struct UserObject *uo7003 = (struct UserObject*)obj6773;
  uo7003->data[16] = (Object)closure7003;
  Method *meth_meth_ast_decType7003 = addmethod2pos(obj6773, "decType", &meth_ast_decType7003, 16);
int argcv_meth_ast_decType7003[] = {0};
meth_meth_ast_decType7003->type = alloc_MethodType(1, argcv_meth_ast_decType7003);
  meth_meth_ast_decType7003->definitionModule = modulename;
  meth_meth_ast_decType7003->definitionLine = 1677;
  struct UserObject *uo7017 = (struct UserObject*)obj6773;
  uo7017->data[17] = emptyclosure;
  Method *meth_meth_ast_toGrace7017 = addmethod2pos(obj6773, "toGrace", &meth_ast_toGrace7017, 17);
int argcv_meth_ast_toGrace7017[] = {1};
meth_meth_ast_toGrace7017->type = alloc_MethodType(1, argcv_meth_ast_toGrace7017);
meth_meth_ast_toGrace7017->type->types[0] = type_Number;
meth_meth_ast_toGrace7017->type->names[0] = "depth";
  meth_meth_ast_toGrace7017->definitionModule = modulename;
  meth_meth_ast_toGrace7017->definitionLine = 1683;
  sourceObject = obj6773;
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7133 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7134 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7133);
// compilenode returning call7134
  struct UserObject *obj6773_uo = (struct UserObject *)obj6773;
  obj6773_uo->super = call7134;
  sourceObject = obj6773;
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7135 == NULL) {
    strlit7135 = alloc_String("defdec");
    gc_root(strlit7135);
  }
// compilenode returning strlit7135
  adddatum2(obj6773, strlit7135, 1);
  sourceObject = obj6773;
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj6773, *var_name_39_, 2);
  sourceObject = obj6773;
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val
  adddatum2(obj6773, *var_val, 3);
  sourceObject = obj6773;
// Begin line 1619
  setline(1619);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj6773, *var_dtype_39_, 4);
  sourceObject = obj6773;
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7136 = gc_frame_new();
  int callframe7137 = gc_frame_new();
  partcv[0] = 0;
  Object call7138 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7137);
// compilenode returning call7138
  partcv[0] = 0;
  Object call7139 = callmethod(call7138, "value",
    1, partcv, params);
  gc_frame_end(callframe7136);
// compilenode returning call7139
// compilenode returning call7139
  adddatum2(obj6773, call7139, 5);
  sourceObject = obj6773;
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7140 = gc_frame_new();
  int callframe7141 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call7142 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe7141);
// compilenode returning call7142
// compilenode returning call7142
  partcv[0] = 0;
  Object call7143 = callmethod(call7142, "new",
    1, partcv, params);
  gc_frame_end(callframe7140);
// compilenode returning call7143
// compilenode returning call7143
  adddatum2(obj6773, call7143, 6);
  sourceObject = obj6773;
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7144 = alloc_Boolean(0);
// compilenode returning bool7144
  adddatum2(obj6773, bool7144, 7);
  sourceObject = obj6773;
// Begin line 1623
  setline(1623);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7145 = alloc_Boolean(0);
// compilenode returning bool7145
  adddatum2(obj6773, bool7145, 8);
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
  sourceObject = obj6773;
objclass6773 = obj6773->class;
  objclass6773->definitionModule = modulename;
  objclass6773->definitionLine = 1610;
  (*(struct UserObject *)self).data[0] = lowerouter6773;
  self = oldself6773;
  selfslot = oldselfslot6773;
  stackframe = oldstackframe6773;
  gc_frame_end(frame);
  return obj6773;
}
Object meth_ast_varDecNode7147(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "varDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for varDecNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for varDecNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_varDecNode
  gc_frame_end(frame);
  return *var_varDecNode;
}
Object meth_ast_isPublic7159(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7162 = alloc_Float64(0);
// compilenode returning num7162
  int op_slot_right_7161 = gc_frame_newslot(num7162);
  int callframe7164 = gc_frame_new();
  int callframe7165 = gc_frame_new();
  partcv[0] = 0;
  Object call7166 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7165);
// compilenode returning call7166
  partcv[0] = 0;
  Object call7167 = callmethod(call7166, "size",
    1, partcv, params);
  gc_frame_end(callframe7164);
// compilenode returning call7167
// compilenode returning call7167
  int op_slot_left_7161 = gc_frame_newslot(call7167);
  params[0] = num7162;
  partcv[0] = 1;
  Object opresult7168 = callmethod(call7167, "==", 1, partcv, params);
// compilenode returning opresult7168
  Object if7160 = done;
  if (istrue(opresult7168)) {
  Object bool7169 = alloc_Boolean(0);
// compilenode returning bool7169
  return bool7169;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7160 = undefined;
  } else {
  }
// compilenode returning if7160
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7171 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit7172 == NULL) {
    strlit7172 = alloc_String("public");
    gc_root(strlit7172);
  }
// compilenode returning strlit7172
  gc_frame_newslot(strlit7172);
  int callframe7173 = gc_frame_new();
  int callframe7174 = gc_frame_new();
  Object call7175 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7174);
// compilenode returning call7175
// compilenode returning call7175
  partcv[0] = 0;
  Object call7176 = callmethodflags(call7175, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7173);
// compilenode returning call7176
// compilenode returning call7176
  params[0] = self;
  params[1] = strlit7172;
  partcv[0] = 2;
  Object call7177 = callmethodflags(call7176, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7171);
// compilenode returning call7177
  Object if7170 = done;
  if (istrue(call7177)) {
  Object bool7178 = alloc_Boolean(1);
// compilenode returning bool7178
  return bool7178;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7170 = undefined;
  } else {
  }
// compilenode returning if7170
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7179 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit7180 == NULL) {
    strlit7180 = alloc_String("readable");
    gc_root(strlit7180);
  }
// compilenode returning strlit7180
  gc_frame_newslot(strlit7180);
  int callframe7181 = gc_frame_new();
  int callframe7182 = gc_frame_new();
  Object call7183 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7182);
// compilenode returning call7183
// compilenode returning call7183
  partcv[0] = 0;
  Object call7184 = callmethodflags(call7183, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7181);
// compilenode returning call7184
// compilenode returning call7184
  params[0] = self;
  params[1] = strlit7180;
  partcv[0] = 2;
  Object call7185 = callmethodflags(call7184, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7179);
// compilenode returning call7185
  gc_frame_end(frame);
  return call7185;
}
Object meth_ast_isWritable7186(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1719
  setline(1719);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7189 = alloc_Float64(0);
// compilenode returning num7189
  int op_slot_right_7188 = gc_frame_newslot(num7189);
  int callframe7191 = gc_frame_new();
  int callframe7192 = gc_frame_new();
  partcv[0] = 0;
  Object call7193 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7192);
// compilenode returning call7193
  partcv[0] = 0;
  Object call7194 = callmethod(call7193, "size",
    1, partcv, params);
  gc_frame_end(callframe7191);
// compilenode returning call7194
// compilenode returning call7194
  int op_slot_left_7188 = gc_frame_newslot(call7194);
  params[0] = num7189;
  partcv[0] = 1;
  Object opresult7195 = callmethod(call7194, "==", 1, partcv, params);
// compilenode returning opresult7195
  Object if7187 = done;
  if (istrue(opresult7195)) {
  Object bool7196 = alloc_Boolean(0);
// compilenode returning bool7196
  return bool7196;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7187 = undefined;
  } else {
  }
// compilenode returning if7187
// Begin line 1721
  setline(1721);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7198 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit7199 == NULL) {
    strlit7199 = alloc_String("public");
    gc_root(strlit7199);
  }
// compilenode returning strlit7199
  gc_frame_newslot(strlit7199);
  int callframe7200 = gc_frame_new();
  int callframe7201 = gc_frame_new();
  Object call7202 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7201);
// compilenode returning call7202
// compilenode returning call7202
  partcv[0] = 0;
  Object call7203 = callmethodflags(call7202, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7200);
// compilenode returning call7203
// compilenode returning call7203
  params[0] = self;
  params[1] = strlit7199;
  partcv[0] = 2;
  Object call7204 = callmethodflags(call7203, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7198);
// compilenode returning call7204
  Object if7197 = done;
  if (istrue(call7204)) {
  Object bool7205 = alloc_Boolean(1);
// compilenode returning bool7205
  return bool7205;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7197 = undefined;
  } else {
  }
// compilenode returning if7197
// Begin line 1722
  setline(1722);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1721
  setline(1721);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7207 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit7208 == NULL) {
    strlit7208 = alloc_String("writable");
    gc_root(strlit7208);
  }
// compilenode returning strlit7208
  gc_frame_newslot(strlit7208);
  int callframe7209 = gc_frame_new();
  int callframe7210 = gc_frame_new();
  Object call7211 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7210);
// compilenode returning call7211
// compilenode returning call7211
  partcv[0] = 0;
  Object call7212 = callmethodflags(call7211, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7209);
// compilenode returning call7212
// compilenode returning call7212
  params[0] = self;
  params[1] = strlit7208;
  partcv[0] = 2;
  Object call7213 = callmethodflags(call7212, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7207);
// compilenode returning call7213
  Object if7206 = done;
  if (istrue(call7213)) {
  Object bool7214 = alloc_Boolean(1);
// compilenode returning bool7214
  return bool7214;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7206 = undefined;
  } else {
  }
// compilenode returning if7206
// Begin line 1722
  setline(1722);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7215 = alloc_Boolean(0);
// compilenode returning bool7215
  gc_frame_end(frame);
  return bool7215;
}
Object meth_ast_isReadable7216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7219 = alloc_Float64(0);
// compilenode returning num7219
  int op_slot_right_7218 = gc_frame_newslot(num7219);
  int callframe7221 = gc_frame_new();
  int callframe7222 = gc_frame_new();
  partcv[0] = 0;
  Object call7223 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7222);
// compilenode returning call7223
  partcv[0] = 0;
  Object call7224 = callmethod(call7223, "size",
    1, partcv, params);
  gc_frame_end(callframe7221);
// compilenode returning call7224
// compilenode returning call7224
  int op_slot_left_7218 = gc_frame_newslot(call7224);
  params[0] = num7219;
  partcv[0] = 1;
  Object opresult7225 = callmethod(call7224, "==", 1, partcv, params);
// compilenode returning opresult7225
  Object if7217 = done;
  if (istrue(opresult7225)) {
  Object bool7226 = alloc_Boolean(0);
// compilenode returning bool7226
  return bool7226;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7217 = undefined;
  } else {
  }
// compilenode returning if7217
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7228 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit7229 == NULL) {
    strlit7229 = alloc_String("public");
    gc_root(strlit7229);
  }
// compilenode returning strlit7229
  gc_frame_newslot(strlit7229);
  int callframe7230 = gc_frame_new();
  int callframe7231 = gc_frame_new();
  Object call7232 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7231);
// compilenode returning call7232
// compilenode returning call7232
  partcv[0] = 0;
  Object call7233 = callmethodflags(call7232, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7230);
// compilenode returning call7233
// compilenode returning call7233
  params[0] = self;
  params[1] = strlit7229;
  partcv[0] = 2;
  Object call7234 = callmethodflags(call7233, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7228);
// compilenode returning call7234
  Object if7227 = done;
  if (istrue(call7234)) {
  Object bool7235 = alloc_Boolean(1);
// compilenode returning bool7235
  return bool7235;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7227 = undefined;
  } else {
  }
// compilenode returning if7227
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7237 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit7238 == NULL) {
    strlit7238 = alloc_String("readable");
    gc_root(strlit7238);
  }
// compilenode returning strlit7238
  gc_frame_newslot(strlit7238);
  int callframe7239 = gc_frame_new();
  int callframe7240 = gc_frame_new();
  Object call7241 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7240);
// compilenode returning call7241
// compilenode returning call7241
  partcv[0] = 0;
  Object call7242 = callmethodflags(call7241, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7239);
// compilenode returning call7242
// compilenode returning call7242
  params[0] = self;
  params[1] = strlit7238;
  partcv[0] = 2;
  Object call7243 = callmethodflags(call7242, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7237);
// compilenode returning call7243
  Object if7236 = done;
  if (istrue(call7243)) {
  Object bool7244 = alloc_Boolean(1);
// compilenode returning bool7244
  return bool7244;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7236 = undefined;
  } else {
  }
// compilenode returning if7236
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7245 = alloc_Boolean(0);
// compilenode returning bool7245
  gc_frame_end(frame);
  return bool7245;
}
Object meth_ast_accept7246(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1740
  setline(1740);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7248 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call7249 = callmethod(*var_visitor, "visitVarDec",
    1, partcv, params);
  gc_frame_end(callframe7248);
// compilenode returning call7249
  Object if7247 = done;
  if (istrue(call7249)) {
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7250 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe7251 = gc_frame_new();
  partcv[0] = 0;
  Object call7252 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7251);
// compilenode returning call7252
// compilenode returning call7252
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call7253 = callmethod(call7252, "accept",
    1, partcv, params);
  gc_frame_end(callframe7250);
// compilenode returning call7253
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7256 = alloc_Boolean(0);
// compilenode returning bool7256
  int op_slot_right_7255 = gc_frame_newslot(bool7256);
  int callframe7258 = gc_frame_new();
  partcv[0] = 0;
  Object call7259 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7258);
// compilenode returning call7259
// compilenode returning call7259
  int op_slot_left_7255 = gc_frame_newslot(call7259);
  params[0] = bool7256;
  partcv[0] = 1;
  Object opresult7260 = callmethod(call7259, "!=", 1, partcv, params);
// compilenode returning opresult7260
  Object if7254 = done;
  if (istrue(opresult7260)) {
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7261 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe7262 = gc_frame_new();
  partcv[0] = 0;
  Object call7263 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7262);
// compilenode returning call7263
// compilenode returning call7263
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call7264 = callmethod(call7263, "accept",
    1, partcv, params);
  gc_frame_end(callframe7261);
// compilenode returning call7264
    gc_frame_newslot(call7264);
    if7254 = call7264;
  } else {
  }
// compilenode returning if7254
// Begin line 1739
  setline(1739);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7267 = alloc_Boolean(0);
// compilenode returning bool7267
  int op_slot_right_7266 = gc_frame_newslot(bool7267);
  int callframe7269 = gc_frame_new();
  partcv[0] = 0;
  Object call7270 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7269);
// compilenode returning call7270
// compilenode returning call7270
  int op_slot_left_7266 = gc_frame_newslot(call7270);
  params[0] = bool7267;
  partcv[0] = 1;
  Object opresult7271 = callmethod(call7270, "!=", 1, partcv, params);
// compilenode returning opresult7271
  Object if7265 = done;
  if (istrue(opresult7271)) {
// Begin line 1737
  setline(1737);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7272 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe7273 = gc_frame_new();
  partcv[0] = 0;
  Object call7274 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7273);
// compilenode returning call7274
// compilenode returning call7274
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call7275 = callmethod(call7274, "accept",
    1, partcv, params);
  gc_frame_end(callframe7272);
// compilenode returning call7275
    gc_frame_newslot(call7275);
    if7265 = call7275;
  } else {
  }
// compilenode returning if7265
    gc_frame_newslot(if7265);
    if7247 = if7265;
  } else {
  }
// compilenode returning if7247
  gc_frame_end(frame);
  return if7247;
}
Object meth_ast__apply7309(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_blk = getfromclosure(closure, 0);
  Object *var_blkBefore = getfromclosure(closure, 1);
  Object *var_blkAfter = getfromclosure(closure, 2);
  Object *var_n = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7310 = gc_frame_new();
  int callframe7311 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// compilenode returning *var_a
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7312 = callmethod(*var_a, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe7311);
// compilenode returning call7312
  gc_frame_newslot(call7312);
  int callframe7313 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call7314 = callmethod(*var_n, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7313);
// compilenode returning call7314
// compilenode returning call7314
  params[0] = call7312;
  partcv[0] = 1;
  Object call7315 = callmethod(call7314, "push",
    1, partcv, params);
  gc_frame_end(callframe7310);
// compilenode returning call7315
  gc_frame_end(frame);
  return call7315;
}
Object meth_ast_map_40__41_before_40__41_after7276(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7277 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call7278 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe7277);
// compilenode returning call7278
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7279 = gc_frame_new();
  int callframe7280 = gc_frame_new();
  partcv[0] = 0;
  Object call7281 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7280);
// compilenode returning call7281
  gc_frame_newslot(call7281);
  int callframe7282 = gc_frame_new();
  int callframe7283 = gc_frame_new();
  partcv[0] = 0;
  Object call7284 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7283);
// compilenode returning call7284
  gc_frame_newslot(call7284);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7285 = gc_frame_new();
  int callframe7286 = gc_frame_new();
  Object call7287 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7286);
// compilenode returning call7287
// compilenode returning call7287
  partcv[0] = 0;
  Object call7288 = callmethodflags(call7287, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7285);
// compilenode returning call7288
// compilenode returning call7288
  params[0] = call7284;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 4;
  Object call7289 = callmethodflags(call7288, "maybeMap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7282);
// compilenode returning call7289
  gc_frame_newslot(call7289);
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7290 = gc_frame_new();
  int callframe7291 = gc_frame_new();
  partcv[0] = 0;
  Object call7292 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7291);
// compilenode returning call7292
  gc_frame_newslot(call7292);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe7293 = gc_frame_new();
  int callframe7294 = gc_frame_new();
  Object call7295 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7294);
// compilenode returning call7295
// compilenode returning call7295
  partcv[0] = 0;
  Object call7296 = callmethodflags(call7295, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7293);
// compilenode returning call7296
// compilenode returning call7296
  params[0] = call7292;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 4;
  Object call7297 = callmethodflags(call7296, "maybeMap", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7290);
// compilenode returning call7297
  gc_frame_newslot(call7297);
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_varDecNode
  params[0] = call7281;
  params[1] = call7289;
  params[2] = call7297;
  partcv[0] = 3;
  Object call7298 = callmethod(*var_varDecNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7279);
// compilenode returning call7298
  *var_n = call7298;
  if (call7298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7299 = gc_frame_new();
  int callframe7300 = gc_frame_new();
  int callframe7301 = gc_frame_new();
  partcv[0] = 0;
  Object call7302 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7301);
// compilenode returning call7302
  gc_frame_newslot(call7302);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe7303 = gc_frame_new();
  int callframe7304 = gc_frame_new();
  Object call7305 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7304);
// compilenode returning call7305
// compilenode returning call7305
  partcv[0] = 0;
  Object call7306 = callmethodflags(call7305, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7303);
// compilenode returning call7306
// compilenode returning call7306
  params[0] = call7302;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7307 = callmethodflags(call7306, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7300);
// compilenode returning call7307
  gc_frame_newslot(call7307);
  Object block7308 = alloc_Block(NULL, NULL, "ast", 1746);
  gc_frame_newslot(block7308);
  block_savedest(block7308);
  Object closure7309 = createclosure(5, "_apply");
  setclosureframe(closure7309, stackframe);
  addtoclosure(closure7309, var_blk);
  addtoclosure(closure7309, var_blkBefore);
  addtoclosure(closure7309, var_blkAfter);
  addtoclosure(closure7309, var_n);
  addtoclosure(closure7309, selfslot);
  struct UserObject *uo7309 = (struct UserObject*)block7308;
  uo7309->data[0] = (Object)closure7309;
  Method *meth_meth_ast__apply7309 = addmethod2pos(block7308, "_apply", &meth_ast__apply7309, 0);
int argcv_meth_ast__apply7309[] = {1};
meth_meth_ast__apply7309->type = alloc_MethodType(1, argcv_meth_ast__apply7309);
  meth_meth_ast__apply7309->definitionModule = modulename;
  meth_meth_ast__apply7309->definitionLine = 1746;
// compilenode returning block7308
  gc_frame_newslot(block7308);
  params[0] = call7307;
  params[1] = block7308;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7317 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7299);
// compilenode returning call7317
// Begin line 1749
  setline(1749);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7318 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7319 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7318);
// compilenode returning call7319
  *var_n = call7319;
  if (call7319 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7321 = gc_frame_new();
// Begin line 1750
  setline(1750);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7322 = gc_frame_new();
  partcv[0] = 0;
  Object call7323 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7322);
// compilenode returning call7323
  gc_frame_newslot(call7323);
// compilenode returning *var_n
  params[0] = call7323;
  partcv[0] = 1;
  Object call7324 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe7321);
// compilenode returning call7324
// compilenode returning done
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7325 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7326 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe7325);
// compilenode returning call7326
// Begin line 1752
  setline(1752);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply7330(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply7333(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map7327(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1755
  setline(1755);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7328 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block7329 = alloc_Block(NULL, NULL, "ast", 1755);
  gc_frame_newslot(block7329);
  block_savedest(block7329);
  Object closure7330 = createclosure(1, "_apply");
  setclosureframe(closure7330, stackframe);
  addtoclosure(closure7330, selfslot);
  struct UserObject *uo7330 = (struct UserObject*)block7329;
  uo7330->data[0] = (Object)closure7330;
  Method *meth_meth_ast__apply7330 = addmethod2pos(block7329, "_apply", &meth_ast__apply7330, 0);
int argcv_meth_ast__apply7330[] = {0};
meth_meth_ast__apply7330->type = alloc_MethodType(1, argcv_meth_ast__apply7330);
  meth_meth_ast__apply7330->definitionModule = modulename;
  meth_meth_ast__apply7330->definitionLine = 1747;
// compilenode returning block7329
  gc_frame_newslot(block7329);
  Object block7332 = alloc_Block(NULL, NULL, "ast", 1755);
  gc_frame_newslot(block7332);
  block_savedest(block7332);
  Object closure7333 = createclosure(1, "_apply");
  setclosureframe(closure7333, stackframe);
  addtoclosure(closure7333, selfslot);
  struct UserObject *uo7333 = (struct UserObject*)block7332;
  uo7333->data[0] = (Object)closure7333;
  Method *meth_meth_ast__apply7333 = addmethod2pos(block7332, "_apply", &meth_ast__apply7333, 0);
int argcv_meth_ast__apply7333[] = {0};
meth_meth_ast__apply7333->type = alloc_MethodType(1, argcv_meth_ast__apply7333);
  meth_meth_ast__apply7333->definitionModule = modulename;
  meth_meth_ast__apply7333->definitionLine = 1747;
// compilenode returning block7332
  gc_frame_newslot(block7332);
  params[0] = *var_blk;
  params[1] = block7329;
  params[2] = block7332;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7335 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7328);
// compilenode returning call7335
  gc_frame_end(frame);
  return call7335;
}
Object meth_ast__apply7344(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7346 == NULL) {
    strlit7346 = alloc_String("  ");
    gc_root(strlit7346);
  }
// compilenode returning strlit7346
  int op_slot_right_7345 = gc_frame_newslot(strlit7346);
// compilenode returning *var_spc
  int op_slot_left_7345 = gc_frame_newslot(*var_spc);
  params[0] = strlit7346;
  partcv[0] = 1;
  Object opresult7348 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult7348
  *var_spc = opresult7348;
  if (opresult7348 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty7336(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1759
  setline(1759);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7337 == NULL) {
    strlit7337 = alloc_String("");
    gc_root(strlit7337);
  }
// compilenode returning strlit7337
  *var_spc = strlit7337;
  if (strlit7337 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1759
  setline(1759);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7338 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_7339 = gc_frame_newslot(*var_depth);
  Object num7341 = alloc_Float64(0);
// compilenode returning num7341
  int op_slot_left_7339 = gc_frame_newslot(num7341);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7342 = callmethod(num7341, "..", 1, partcv, params);
// compilenode returning opresult7342
  gc_frame_newslot(opresult7342);
  Object block7343 = alloc_Block(NULL, NULL, "ast", 1759);
  gc_frame_newslot(block7343);
  block_savedest(block7343);
  Object closure7344 = createclosure(2, "_apply");
  setclosureframe(closure7344, stackframe);
  addtoclosure(closure7344, var_spc);
  addtoclosure(closure7344, selfslot);
  struct UserObject *uo7344 = (struct UserObject*)block7343;
  uo7344->data[0] = (Object)closure7344;
  Method *meth_meth_ast__apply7344 = addmethod2pos(block7343, "_apply", &meth_ast__apply7344, 0);
int argcv_meth_ast__apply7344[] = {1};
meth_meth_ast__apply7344->type = alloc_MethodType(1, argcv_meth_ast__apply7344);
  meth_meth_ast__apply7344->definitionModule = modulename;
  meth_meth_ast__apply7344->definitionLine = 1747;
// compilenode returning block7343
  gc_frame_newslot(block7343);
  params[0] = opresult7342;
  params[1] = block7343;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7351 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7338);
// compilenode returning call7351
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1762
  setline(1762);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7352 == NULL) {
    strlit7352 = alloc_String("VarDec");
    gc_root(strlit7352);
  }
// compilenode returning strlit7352
  *var_s = strlit7352;
  if (strlit7352 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1764
  setline(1764);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7354 == NULL) {
    strlit7354 = alloc_String("""\x0a""");
    gc_root(strlit7354);
  }
// compilenode returning strlit7354
  int op_slot_right_7353 = gc_frame_newslot(strlit7354);
// compilenode returning *var_s
  int op_slot_left_7353 = gc_frame_newslot(*var_s);
  params[0] = strlit7354;
  partcv[0] = 1;
  Object opresult7356 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7356
  *var_s = opresult7356;
  if (opresult7356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1764
  setline(1764);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7359 = gc_frame_new();
  Object num7361 = alloc_Float64(1);
// compilenode returning num7361
  int op_slot_right_7360 = gc_frame_newslot(num7361);
// compilenode returning *var_depth
  int op_slot_left_7360 = gc_frame_newslot(*var_depth);
  params[0] = num7361;
  partcv[0] = 1;
  Object sum7363 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum7363
  gc_frame_newslot(sum7363);
  int callframe7364 = gc_frame_new();
  partcv[0] = 0;
  Object call7365 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7364);
// compilenode returning call7365
// compilenode returning call7365
  params[0] = sum7363;
  partcv[0] = 1;
  Object call7366 = callmethod(call7365, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7359);
// compilenode returning call7366
  int op_slot_right_7358 = gc_frame_newslot(call7366);
// compilenode returning *var_spc
  int op_slot_right_7368 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_7368 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7370 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7370
  int op_slot_left_7358 = gc_frame_newslot(opresult7370);
  params[0] = call7366;
  partcv[0] = 1;
  Object opresult7371 = callmethod(opresult7370, "++", 1, partcv, params);
// compilenode returning opresult7371
  *var_s = opresult7371;
  if (opresult7371 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7375 = alloc_Boolean(0);
// compilenode returning bool7375
  int op_slot_right_7374 = gc_frame_newslot(bool7375);
  int callframe7377 = gc_frame_new();
  partcv[0] = 0;
  Object call7378 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7377);
// compilenode returning call7378
// compilenode returning call7378
  int op_slot_left_7374 = gc_frame_newslot(call7378);
  params[0] = bool7375;
  partcv[0] = 1;
  Object opresult7379 = callmethod(call7378, "!=", 1, partcv, params);
// compilenode returning opresult7379
  Object if7373 = done;
  if (istrue(opresult7379)) {
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7381 == NULL) {
    strlit7381 = alloc_String("Type: ");
    gc_root(strlit7381);
  }
// compilenode returning strlit7381
  int op_slot_right_7380 = gc_frame_newslot(strlit7381);
// compilenode returning *var_spc
  int op_slot_right_7383 = gc_frame_newslot(*var_spc);
  if (strlit7386 == NULL) {
    strlit7386 = alloc_String("""\x0a""");
    gc_root(strlit7386);
  }
// compilenode returning strlit7386
  int op_slot_right_7385 = gc_frame_newslot(strlit7386);
// compilenode returning *var_s
  int op_slot_left_7385 = gc_frame_newslot(*var_s);
  params[0] = strlit7386;
  partcv[0] = 1;
  Object opresult7388 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7388
  int op_slot_left_7383 = gc_frame_newslot(opresult7388);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7389 = callmethod(opresult7388, "++", 1, partcv, params);
// compilenode returning opresult7389
  int op_slot_left_7380 = gc_frame_newslot(opresult7389);
  params[0] = strlit7381;
  partcv[0] = 1;
  Object opresult7390 = callmethod(opresult7389, "++", 1, partcv, params);
// compilenode returning opresult7390
  *var_s = opresult7390;
  if (opresult7390 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7393 = gc_frame_new();
  Object num7395 = alloc_Float64(2);
// compilenode returning num7395
  int op_slot_right_7394 = gc_frame_newslot(num7395);
// compilenode returning *var_depth
  int op_slot_left_7394 = gc_frame_newslot(*var_depth);
  params[0] = num7395;
  partcv[0] = 1;
  Object sum7397 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum7397
  gc_frame_newslot(sum7397);
  int callframe7398 = gc_frame_new();
  partcv[0] = 0;
  Object call7399 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7398);
// compilenode returning call7399
// compilenode returning call7399
  params[0] = sum7397;
  partcv[0] = 1;
  Object call7400 = callmethod(call7399, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7393);
// compilenode returning call7400
  int op_slot_right_7392 = gc_frame_newslot(call7400);
// compilenode returning *var_s
  int op_slot_left_7392 = gc_frame_newslot(*var_s);
  params[0] = call7400;
  partcv[0] = 1;
  Object opresult7402 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7402
  *var_s = opresult7402;
  if (opresult7402 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7373 = done;
  } else {
  }
// compilenode returning if7373
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7406 = gc_frame_new();
  partcv[0] = 0;
  Object call7407 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7406);
// compilenode returning call7407
// compilenode returning call7407
  int op_slot_right_7405 = gc_frame_newslot(call7407);
  Object bool7409 = alloc_Boolean(0);
// compilenode returning bool7409
  int op_slot_left_7405 = gc_frame_newslot(bool7409);
  params[0] = call7407;
  partcv[0] = 1;
  Object opresult7410 = callmethod(bool7409, "!=", 1, partcv, params);
// compilenode returning opresult7410
  Object if7404 = done;
  if (istrue(opresult7410)) {
// Begin line 1771
  setline(1771);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7412 == NULL) {
    strlit7412 = alloc_String("Value: ");
    gc_root(strlit7412);
  }
// compilenode returning strlit7412
  int op_slot_right_7411 = gc_frame_newslot(strlit7412);
// compilenode returning *var_spc
  int op_slot_right_7414 = gc_frame_newslot(*var_spc);
  if (strlit7417 == NULL) {
    strlit7417 = alloc_String("""\x0a""");
    gc_root(strlit7417);
  }
// compilenode returning strlit7417
  int op_slot_right_7416 = gc_frame_newslot(strlit7417);
// compilenode returning *var_s
  int op_slot_left_7416 = gc_frame_newslot(*var_s);
  params[0] = strlit7417;
  partcv[0] = 1;
  Object opresult7419 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7419
  int op_slot_left_7414 = gc_frame_newslot(opresult7419);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7420 = callmethod(opresult7419, "++", 1, partcv, params);
// compilenode returning opresult7420
  int op_slot_left_7411 = gc_frame_newslot(opresult7420);
  params[0] = strlit7412;
  partcv[0] = 1;
  Object opresult7421 = callmethod(opresult7420, "++", 1, partcv, params);
// compilenode returning opresult7421
  *var_s = opresult7421;
  if (opresult7421 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1771
  setline(1771);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7424 = gc_frame_new();
  Object num7426 = alloc_Float64(2);
// compilenode returning num7426
  int op_slot_right_7425 = gc_frame_newslot(num7426);
// compilenode returning *var_depth
  int op_slot_left_7425 = gc_frame_newslot(*var_depth);
  params[0] = num7426;
  partcv[0] = 1;
  Object sum7428 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum7428
  gc_frame_newslot(sum7428);
  int callframe7429 = gc_frame_new();
  partcv[0] = 0;
  Object call7430 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7429);
// compilenode returning call7430
// compilenode returning call7430
  params[0] = sum7428;
  partcv[0] = 1;
  Object call7431 = callmethod(call7430, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7424);
// compilenode returning call7431
  int op_slot_right_7423 = gc_frame_newslot(call7431);
// compilenode returning *var_s
  int op_slot_left_7423 = gc_frame_newslot(*var_s);
  params[0] = call7431;
  partcv[0] = 1;
  Object opresult7433 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7433
  *var_s = opresult7433;
  if (opresult7433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7404 = done;
  } else {
  }
// compilenode returning if7404
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_decType7435(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for decType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for decType");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7438 = alloc_Boolean(0);
// compilenode returning bool7438
  int op_slot_right_7437 = gc_frame_newslot(bool7438);
  int callframe7440 = gc_frame_new();
  partcv[0] = 0;
  Object call7441 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7440);
// compilenode returning call7441
  int op_slot_left_7437 = gc_frame_newslot(call7441);
  params[0] = bool7438;
  partcv[0] = 1;
  Object opresult7442 = callmethod(call7441, "==", 1, partcv, params);
// compilenode returning opresult7442
  Object if7436 = done;
  if (istrue(opresult7442)) {
// Begin line 1777
  setline(1777);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7443 = gc_frame_new();
  if (strlit7444 == NULL) {
    strlit7444 = alloc_String("Unknown");
    gc_root(strlit7444);
  }
// compilenode returning strlit7444
  gc_frame_newslot(strlit7444);
  Object bool7445 = alloc_Boolean(0);
// compilenode returning bool7445
  gc_frame_newslot(bool7445);
// compilenode returning *var_identifierNode
  params[0] = strlit7444;
  params[1] = bool7445;
  partcv[0] = 2;
  Object call7446 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7443);
// compilenode returning call7446
  return call7446;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7436 = undefined;
  } else {
  }
// compilenode returning if7436
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7447 = gc_frame_new();
  partcv[0] = 0;
  Object call7448 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7447);
// compilenode returning call7448
  return call7448;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast__apply7461(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1784
  setline(1784);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7463 == NULL) {
    strlit7463 = alloc_String("    ");
    gc_root(strlit7463);
  }
// compilenode returning strlit7463
  int op_slot_right_7462 = gc_frame_newslot(strlit7463);
// compilenode returning *var_spc
  int op_slot_left_7462 = gc_frame_newslot(*var_spc);
  params[0] = strlit7463;
  partcv[0] = 1;
  Object opresult7465 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult7465
  *var_spc = opresult7465;
  if (opresult7465 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply7522(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1793
  setline(1793);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7524 = gc_frame_new();
  Object num7525 = alloc_Float64(0);
// compilenode returning num7525
  gc_frame_newslot(num7525);
// compilenode returning *var_b
  params[0] = num7525;
  partcv[0] = 1;
  Object call7526 = callmethod(*var_b, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7524);
// compilenode returning call7526
  int op_slot_right_7523 = gc_frame_newslot(call7526);
  if (strlit7530 == NULL) {
    strlit7530 = alloc_String("");
    gc_root(strlit7530);
  }
// compilenode returning strlit7530
  int op_slot_right_7529 = gc_frame_newslot(strlit7530);
// compilenode returning *var_a
  int op_slot_left_7529 = gc_frame_newslot(*var_a);
  params[0] = strlit7530;
  partcv[0] = 1;
  Object opresult7532 = callmethod(*var_a, "!=", 1, partcv, params);
// compilenode returning opresult7532
  Object if7528 = done;
struct StackFrameObject *iftmpstackframe7528 = stackframe;
  if (istrue(opresult7532)) {
stackframe = alloc_StackFrame(0, iftmpstackframe7528);
gc_frame_newslot((Object)stackframe);
  if (strlit7534 == NULL) {
    strlit7534 = alloc_String(", ");
    gc_root(strlit7534);
  }
// compilenode returning strlit7534
  int op_slot_right_7533 = gc_frame_newslot(strlit7534);
// compilenode returning *var_a
  int op_slot_left_7533 = gc_frame_newslot(*var_a);
  params[0] = strlit7534;
  partcv[0] = 1;
  Object opresult7536 = callmethod(*var_a, "++", 1, partcv, params);
// compilenode returning opresult7536
    gc_frame_newslot(opresult7536);
    if7528 = opresult7536;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe7528);
gc_frame_newslot((Object)stackframe);
  if (strlit7537 == NULL) {
    strlit7537 = alloc_String("");
    gc_root(strlit7537);
  }
// compilenode returning strlit7537
    gc_frame_newslot(strlit7537);
    if7528 = strlit7537;
  }
stackframe = iftmpstackframe7528;
// compilenode returning if7528
  int op_slot_left_7523 = gc_frame_newslot(if7528);
  params[0] = call7526;
  partcv[0] = 1;
  Object opresult7538 = callmethod(if7528, "++", 1, partcv, params);
// compilenode returning opresult7538
  gc_frame_end(frame);
  return opresult7538;
}
Object meth_ast_toGrace7449(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1783
  setline(1783);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7450 == NULL) {
    strlit7450 = alloc_String("");
    gc_root(strlit7450);
  }
// compilenode returning strlit7450
  *var_spc = strlit7450;
  if (strlit7450 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1783
  setline(1783);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7451 = gc_frame_new();
  Object num7454 = alloc_Float64(1);
// compilenode returning num7454
  int op_slot_right_7453 = gc_frame_newslot(num7454);
// compilenode returning *var_depth
  int op_slot_left_7453 = gc_frame_newslot(*var_depth);
  params[0] = num7454;
  partcv[0] = 1;
  Object diff7456 = callmethod(*var_depth, "-", 1, partcv, params);
// compilenode returning diff7456
  int op_slot_right_7452 = gc_frame_newslot(diff7456);
  Object num7458 = alloc_Float64(0);
// compilenode returning num7458
  int op_slot_left_7452 = gc_frame_newslot(num7458);
  params[0] = diff7456;
  partcv[0] = 1;
  Object opresult7459 = callmethod(num7458, "..", 1, partcv, params);
// compilenode returning opresult7459
  gc_frame_newslot(opresult7459);
  Object block7460 = alloc_Block(NULL, NULL, "ast", 1783);
  gc_frame_newslot(block7460);
  block_savedest(block7460);
  Object closure7461 = createclosure(2, "_apply");
  setclosureframe(closure7461, stackframe);
  addtoclosure(closure7461, var_spc);
  addtoclosure(closure7461, selfslot);
  struct UserObject *uo7461 = (struct UserObject*)block7460;
  uo7461->data[0] = (Object)closure7461;
  Method *meth_meth_ast__apply7461 = addmethod2pos(block7460, "_apply", &meth_ast__apply7461, 0);
int argcv_meth_ast__apply7461[] = {1};
meth_meth_ast__apply7461->type = alloc_MethodType(1, argcv_meth_ast__apply7461);
  meth_meth_ast__apply7461->definitionModule = modulename;
  meth_meth_ast__apply7461->definitionLine = 1771;
// compilenode returning block7460
  gc_frame_newslot(block7460);
  params[0] = opresult7459;
  params[1] = block7460;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7468 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7451);
// compilenode returning call7468
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1786
  setline(1786);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7470 == NULL) {
    strlit7470 = alloc_String("");
    gc_root(strlit7470);
  }
// compilenode returning strlit7470
  int op_slot_right_7469 = gc_frame_newslot(strlit7470);
  int callframe7473 = gc_frame_new();
  Object num7474 = alloc_Float64(0);
// compilenode returning num7474
  gc_frame_newslot(num7474);
  int callframe7475 = gc_frame_new();
  partcv[0] = 0;
  Object call7476 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7475);
// compilenode returning call7476
// compilenode returning call7476
  params[0] = num7474;
  partcv[0] = 1;
  Object call7477 = callmethod(call7476, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7473);
// compilenode returning call7477
  int op_slot_right_7472 = gc_frame_newslot(call7477);
  if (strlit7479 == NULL) {
    strlit7479 = alloc_String("var ");
    gc_root(strlit7479);
  }
// compilenode returning strlit7479
  int op_slot_left_7472 = gc_frame_newslot(strlit7479);
  params[0] = call7477;
  partcv[0] = 1;
  Object opresult7480 = callmethod(strlit7479, "++", 1, partcv, params);
// compilenode returning opresult7480
  int op_slot_left_7469 = gc_frame_newslot(opresult7480);
  params[0] = strlit7470;
  partcv[0] = 1;
  Object opresult7481 = callmethod(opresult7480, "++", 1, partcv, params);
// compilenode returning opresult7481
  *var_s = opresult7481;
  if (opresult7481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1790
  setline(1790);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7484 == NULL) {
    strlit7484 = alloc_String("Unknown");
    gc_root(strlit7484);
  }
// compilenode returning strlit7484
  int op_slot_right_7483 = gc_frame_newslot(strlit7484);
  int callframe7486 = gc_frame_new();
  int callframe7487 = gc_frame_new();
  partcv[0] = 0;
  Object call7488 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7487);
// compilenode returning call7488
// compilenode returning call7488
  partcv[0] = 0;
  Object call7489 = callmethod(call7488, "value",
    1, partcv, params);
  gc_frame_end(callframe7486);
// compilenode returning call7489
// compilenode returning call7489
  int op_slot_left_7483 = gc_frame_newslot(call7489);
  params[0] = strlit7484;
  partcv[0] = 1;
  Object opresult7490 = callmethod(call7489, "!=", 1, partcv, params);
// compilenode returning opresult7490
  Object if7482 = done;
  if (istrue(opresult7490)) {
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7492 = gc_frame_new();
  Object num7493 = alloc_Float64(0);
// compilenode returning num7493
  gc_frame_newslot(num7493);
  int callframe7494 = gc_frame_new();
  partcv[0] = 0;
  Object call7495 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7494);
// compilenode returning call7495
// compilenode returning call7495
  params[0] = num7493;
  partcv[0] = 1;
  Object call7496 = callmethod(call7495, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7492);
// compilenode returning call7496
  int op_slot_right_7491 = gc_frame_newslot(call7496);
  if (strlit7499 == NULL) {
    strlit7499 = alloc_String(" : ");
    gc_root(strlit7499);
  }
// compilenode returning strlit7499
  int op_slot_right_7498 = gc_frame_newslot(strlit7499);
// compilenode returning *var_s
  int op_slot_left_7498 = gc_frame_newslot(*var_s);
  params[0] = strlit7499;
  partcv[0] = 1;
  Object opresult7501 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7501
  int op_slot_left_7491 = gc_frame_newslot(opresult7501);
  params[0] = call7496;
  partcv[0] = 1;
  Object opresult7502 = callmethod(opresult7501, "++", 1, partcv, params);
// compilenode returning opresult7502
  *var_s = opresult7502;
  if (opresult7502 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7482 = done;
  } else {
  }
// compilenode returning if7482
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1790
  setline(1790);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7506 = alloc_Float64(0);
// compilenode returning num7506
  int op_slot_right_7505 = gc_frame_newslot(num7506);
  int callframe7508 = gc_frame_new();
  int callframe7509 = gc_frame_new();
  partcv[0] = 0;
  Object call7510 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7509);
// compilenode returning call7510
// compilenode returning call7510
  partcv[0] = 0;
  Object call7511 = callmethod(call7510, "size",
    1, partcv, params);
  gc_frame_end(callframe7508);
// compilenode returning call7511
// compilenode returning call7511
  int op_slot_left_7505 = gc_frame_newslot(call7511);
  params[0] = num7506;
  partcv[0] = 1;
  Object opresult7512 = callmethod(call7511, ">", 1, partcv, params);
// compilenode returning opresult7512
  Object if7504 = done;
  if (istrue(opresult7512)) {
// Begin line 1792
  setline(1792);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7514 == NULL) {
    strlit7514 = alloc_String(" is ");
    gc_root(strlit7514);
  }
// compilenode returning strlit7514
  int op_slot_right_7513 = gc_frame_newslot(strlit7514);
// compilenode returning *var_s
  int op_slot_left_7513 = gc_frame_newslot(*var_s);
  params[0] = strlit7514;
  partcv[0] = 1;
  Object opresult7516 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7516
  *var_s = opresult7516;
  if (opresult7516 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1792
  setline(1792);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7519 = gc_frame_new();
  if (strlit7520 == NULL) {
    strlit7520 = alloc_String("");
    gc_root(strlit7520);
  }
// compilenode returning strlit7520
  gc_frame_newslot(strlit7520);
  Object block7521 = alloc_Block(NULL, NULL, "ast", 1792);
  gc_frame_newslot(block7521);
  block_savedest(block7521);
  Object closure7522 = createclosure(1, "_apply");
  setclosureframe(closure7522, stackframe);
  addtoclosure(closure7522, selfslot);
  struct UserObject *uo7522 = (struct UserObject*)block7521;
  uo7522->data[0] = (Object)closure7522;
  Method *meth_meth_ast__apply7522 = addmethod2pos(block7521, "_apply", &meth_ast__apply7522, 0);
int argcv_meth_ast__apply7522[] = {2};
meth_meth_ast__apply7522->type = alloc_MethodType(1, argcv_meth_ast__apply7522);
  meth_meth_ast__apply7522->definitionModule = modulename;
  meth_meth_ast__apply7522->definitionLine = 1790;
// compilenode returning block7521
  gc_frame_newslot(block7521);
// Begin line 1792
  setline(1792);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7540 = gc_frame_new();
  partcv[0] = 0;
  Object call7541 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7540);
// compilenode returning call7541
// compilenode returning call7541
  params[0] = strlit7520;
  params[1] = block7521;
  partcv[0] = 2;
  Object call7542 = callmethod(call7541, "reduce",
    1, partcv, params);
  gc_frame_end(callframe7519);
// compilenode returning call7542
  int op_slot_right_7518 = gc_frame_newslot(call7542);
// compilenode returning *var_s
  int op_slot_left_7518 = gc_frame_newslot(*var_s);
  params[0] = call7542;
  partcv[0] = 1;
  Object opresult7544 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7544
  *var_s = opresult7544;
  if (opresult7544 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7504 = done;
  } else {
  }
// compilenode returning if7504
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7548 = alloc_Boolean(0);
// compilenode returning bool7548
  int op_slot_right_7547 = gc_frame_newslot(bool7548);
  int callframe7550 = gc_frame_new();
  partcv[0] = 0;
  Object call7551 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7550);
// compilenode returning call7551
// compilenode returning call7551
  int op_slot_left_7547 = gc_frame_newslot(call7551);
  params[0] = bool7548;
  partcv[0] = 1;
  Object opresult7552 = callmethod(call7551, "!=", 1, partcv, params);
// compilenode returning opresult7552
  Object if7546 = done;
  if (istrue(opresult7552)) {
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7554 = gc_frame_new();
// compilenode returning *var_depth
  gc_frame_newslot(*var_depth);
  int callframe7555 = gc_frame_new();
  partcv[0] = 0;
  Object call7556 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7555);
// compilenode returning call7556
// compilenode returning call7556
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7557 = callmethod(call7556, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7554);
// compilenode returning call7557
  int op_slot_right_7553 = gc_frame_newslot(call7557);
  if (strlit7560 == NULL) {
    strlit7560 = alloc_String(" := ");
    gc_root(strlit7560);
  }
// compilenode returning strlit7560
  int op_slot_right_7559 = gc_frame_newslot(strlit7560);
// compilenode returning *var_s
  int op_slot_left_7559 = gc_frame_newslot(*var_s);
  params[0] = strlit7560;
  partcv[0] = 1;
  Object opresult7562 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7562
  int op_slot_left_7553 = gc_frame_newslot(opresult7562);
  params[0] = call7557;
  partcv[0] = 1;
  Object opresult7563 = callmethod(opresult7562, "++", 1, partcv, params);
// compilenode returning opresult7563
  *var_s = opresult7563;
  if (opresult7563 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7546 = done;
  } else {
  }
// compilenode returning if7546
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_new7150(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_varDecNode = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  Object *var_collections = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7151 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7151 = alloc_userobj2(17,17, objclass7151);
  gc_frame_newslot(obj7151);
if (objclass7151 == NULL) {
  glfree(obj7151->class->name);
  obj7151->class->name = "varDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7151, self, 0);
  addmethodreal(obj7151,"outer", &reader_ast_outer_7152);
  Object oldself7151 = self;
  struct StackFrameObject *oldstackframe7151 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7151);
  gc_frame_newslot((Object)stackframe);
  self = obj7151;
  Object *oldselfslot7151 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7151 = (*(struct UserObject *)self).data[0], lowerouter7151 = thisouter7151;
  if (inheritingObject7151) {
    struct UserObject *inho7151 = (struct UserObject *)inheritingObject7151;
    while (inho7151->super != GraceDefaultObject) inho7151 = (struct UserObject *)inho7151->super;
    inho7151->super = obj7151;
    self = inheritingObject7151;
    *selfslot = self;
    lowerouter7151 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7151;
  }
if (objclass7151 == NULL) {
  Method *reader7153 = addmethodrealflags(obj7151, "kind",&reader_ast_kind_7153, MFLAG_DEF);
  reader7153->definitionModule = modulename;
  reader7153->definitionLine = 1706;
}
adddatum2(obj7151, alloc_Undefined(), 1);
if (objclass7151 == NULL) {
  Method *reader7154 = addmethodrealflags(obj7151, "name",&reader_ast_name_7154, MFLAG_DEF);
  reader7154->definitionModule = modulename;
  reader7154->definitionLine = 1707;
}
adddatum2(obj7151, alloc_Undefined(), 2);
if (objclass7151 == NULL) {
  Method *reader7155 = addmethodrealflags(obj7151, "value",&reader_ast_value_7155, MFLAG_DEF);
  reader7155->definitionModule = modulename;
  reader7155->definitionLine = 1708;
}
adddatum2(obj7151, alloc_Undefined(), 3);
if (objclass7151 == NULL) {
  Method *reader7156 = addmethodrealflags(obj7151, "dtype",&reader_ast_dtype_7156, 0);
  Method *writer7156 = addmethodrealflags(obj7151, "dtype:=",&writer_ast_dtype_7156, 0);
  reader7156->definitionModule = modulename;
  writer7156->definitionModule = modulename;
  reader7156->definitionLine = 1709;
  writer7156->definitionLine = 1709;
}
obj7151->flags |= OFLAG_MUTABLE;
adddatum2(obj7151, alloc_Undefined(), 4);
if (objclass7151 == NULL) {
  Method *reader7157 = addmethodrealflags(obj7151, "nameString",&reader_ast_nameString_7157, MFLAG_DEF);
  reader7157->definitionModule = modulename;
  reader7157->definitionLine = 1710;
}
adddatum2(obj7151, alloc_Undefined(), 5);
if (objclass7151 == NULL) {
  Method *reader7158 = addmethodrealflags(obj7151, "annotations",&reader_ast_annotations_7158, MFLAG_DEF);
  reader7158->definitionModule = modulename;
  reader7158->definitionLine = 1712;
}
adddatum2(obj7151, alloc_Undefined(), 6);
  struct UserObject *uo7159 = (struct UserObject*)obj7151;
  uo7159->data[7] = emptyclosure;
  Method *meth_meth_ast_isPublic7159 = addmethod2pos(obj7151, "isPublic", &meth_ast_isPublic7159, 7);
int argcv_meth_ast_isPublic7159[] = {0};
meth_meth_ast_isPublic7159->type = alloc_MethodType(1, argcv_meth_ast_isPublic7159);
  meth_meth_ast_isPublic7159->definitionModule = modulename;
  meth_meth_ast_isPublic7159->definitionLine = 1712;
  struct UserObject *uo7186 = (struct UserObject*)obj7151;
  uo7186->data[8] = emptyclosure;
  Method *meth_meth_ast_isWritable7186 = addmethod2pos(obj7151, "isWritable", &meth_ast_isWritable7186, 8);
int argcv_meth_ast_isWritable7186[] = {0};
meth_meth_ast_isWritable7186->type = alloc_MethodType(1, argcv_meth_ast_isWritable7186);
  meth_meth_ast_isWritable7186->definitionModule = modulename;
  meth_meth_ast_isWritable7186->definitionLine = 1718;
  struct UserObject *uo7216 = (struct UserObject*)obj7151;
  uo7216->data[9] = emptyclosure;
  Method *meth_meth_ast_isReadable7216 = addmethod2pos(obj7151, "isReadable", &meth_ast_isReadable7216, 9);
int argcv_meth_ast_isReadable7216[] = {0};
meth_meth_ast_isReadable7216->type = alloc_MethodType(1, argcv_meth_ast_isReadable7216);
  meth_meth_ast_isReadable7216->definitionModule = modulename;
  meth_meth_ast_isReadable7216->definitionLine = 1724;
  struct UserObject *uo7246 = (struct UserObject*)obj7151;
  uo7246->data[10] = emptyclosure;
  Method *meth_meth_ast_accept7246 = addmethod2pos(obj7151, "accept", &meth_ast_accept7246, 10);
int argcv_meth_ast_accept7246[] = {1};
meth_meth_ast_accept7246->type = alloc_MethodType(1, argcv_meth_ast_accept7246);
  meth_meth_ast_accept7246->definitionModule = modulename;
  meth_meth_ast_accept7246->definitionLine = 1730;
  block_savedest(obj7151);
  Object closure7276 = createclosure(1, "map()before()after");
  setclosureframe(closure7276, stackframe);
  addtoclosure(closure7276, var_varDecNode);
  struct UserObject *uo7276 = (struct UserObject*)obj7151;
  uo7276->data[11] = (Object)closure7276;
  Method *meth_meth_ast_map_40__41_before_40__41_after7276 = addmethod2pos(obj7151, "map()before()after", &meth_ast_map_40__41_before_40__41_after7276, 11);
int argcv_meth_ast_map_40__41_before_40__41_after7276[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7276->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7276);
  meth_meth_ast_map_40__41_before_40__41_after7276->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7276->definitionLine = 1741;
  struct UserObject *uo7327 = (struct UserObject*)obj7151;
  uo7327->data[12] = emptyclosure;
  Method *meth_meth_ast_map7327 = addmethod2pos(obj7151, "map", &meth_ast_map7327, 12);
int argcv_meth_ast_map7327[] = {1};
meth_meth_ast_map7327->type = alloc_MethodType(1, argcv_meth_ast_map7327);
  meth_meth_ast_map7327->definitionModule = modulename;
  meth_meth_ast_map7327->definitionLine = 1754;
  struct UserObject *uo7336 = (struct UserObject*)obj7151;
  uo7336->data[13] = emptyclosure;
  Method *meth_meth_ast_pretty7336 = addmethod2pos(obj7151, "pretty", &meth_ast_pretty7336, 13);
int argcv_meth_ast_pretty7336[] = {1};
meth_meth_ast_pretty7336->type = alloc_MethodType(1, argcv_meth_ast_pretty7336);
  meth_meth_ast_pretty7336->definitionModule = modulename;
  meth_meth_ast_pretty7336->definitionLine = 1757;
  block_savedest(obj7151);
  Object closure7435 = createclosure(1, "decType");
  setclosureframe(closure7435, stackframe);
  addtoclosure(closure7435, var_identifierNode);
  struct UserObject *uo7435 = (struct UserObject*)obj7151;
  uo7435->data[14] = (Object)closure7435;
  Method *meth_meth_ast_decType7435 = addmethod2pos(obj7151, "decType", &meth_ast_decType7435, 14);
int argcv_meth_ast_decType7435[] = {0};
meth_meth_ast_decType7435->type = alloc_MethodType(1, argcv_meth_ast_decType7435);
  meth_meth_ast_decType7435->definitionModule = modulename;
  meth_meth_ast_decType7435->definitionLine = 1775;
  struct UserObject *uo7449 = (struct UserObject*)obj7151;
  uo7449->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace7449 = addmethod2pos(obj7151, "toGrace", &meth_ast_toGrace7449, 15);
int argcv_meth_ast_toGrace7449[] = {1};
meth_meth_ast_toGrace7449->type = alloc_MethodType(1, argcv_meth_ast_toGrace7449);
meth_meth_ast_toGrace7449->type->types[0] = type_Number;
meth_meth_ast_toGrace7449->type->names[0] = "depth";
  meth_meth_ast_toGrace7449->definitionModule = modulename;
  meth_meth_ast_toGrace7449->definitionLine = 1781;
  sourceObject = obj7151;
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7565 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7566 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7565);
// compilenode returning call7566
  struct UserObject *obj7151_uo = (struct UserObject *)obj7151;
  obj7151_uo->super = call7566;
  sourceObject = obj7151;
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7567 == NULL) {
    strlit7567 = alloc_String("vardec");
    gc_root(strlit7567);
  }
// compilenode returning strlit7567
  adddatum2(obj7151, strlit7567, 1);
  sourceObject = obj7151;
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj7151, *var_name_39_, 2);
  sourceObject = obj7151;
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val_39_
  adddatum2(obj7151, *var_val_39_, 3);
  sourceObject = obj7151;
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj7151, *var_dtype_39_, 4);
  sourceObject = obj7151;
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7568 = gc_frame_new();
  int callframe7569 = gc_frame_new();
  partcv[0] = 0;
  Object call7570 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7569);
// compilenode returning call7570
  partcv[0] = 0;
  Object call7571 = callmethod(call7570, "value",
    1, partcv, params);
  gc_frame_end(callframe7568);
// compilenode returning call7571
// compilenode returning call7571
  adddatum2(obj7151, call7571, 5);
  sourceObject = obj7151;
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7572 = gc_frame_new();
  int callframe7573 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call7574 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe7573);
// compilenode returning call7574
// compilenode returning call7574
  partcv[0] = 0;
  Object call7575 = callmethod(call7574, "new",
    1, partcv, params);
  gc_frame_end(callframe7572);
// compilenode returning call7575
// compilenode returning call7575
  adddatum2(obj7151, call7575, 6);
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
objclass7151 = obj7151->class;
  objclass7151->definitionModule = modulename;
  objclass7151->definitionLine = 1621;
  (*(struct UserObject *)self).data[0] = lowerouter7151;
  self = oldself7151;
  selfslot = oldselfslot7151;
  stackframe = oldstackframe7151;
  gc_frame_end(frame);
  return obj7151;
}
Object meth_ast_new7150_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_varDecNode = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  Object *var_collections = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7151 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7151 = alloc_userobj2(17,17, objclass7151);
  gc_frame_newslot(obj7151);
if (objclass7151 == NULL) {
  glfree(obj7151->class->name);
  obj7151->class->name = "varDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7151, self, 0);
  addmethodreal(obj7151,"outer", &reader_ast_outer_7152);
  Object oldself7151 = self;
  struct StackFrameObject *oldstackframe7151 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7151);
  gc_frame_newslot((Object)stackframe);
  self = obj7151;
  Object *oldselfslot7151 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7151 = (*(struct UserObject *)self).data[0], lowerouter7151 = thisouter7151;
  if (inheritingObject7151) {
    struct UserObject *inho7151 = (struct UserObject *)inheritingObject7151;
    while (inho7151->super != GraceDefaultObject) inho7151 = (struct UserObject *)inho7151->super;
    inho7151->super = obj7151;
    self = inheritingObject7151;
    *selfslot = self;
    lowerouter7151 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7151;
  }
if (objclass7151 == NULL) {
  Method *reader7153 = addmethodrealflags(obj7151, "kind",&reader_ast_kind_7153, MFLAG_DEF);
  reader7153->definitionModule = modulename;
  reader7153->definitionLine = 1706;
}
adddatum2(obj7151, alloc_Undefined(), 1);
if (objclass7151 == NULL) {
  Method *reader7154 = addmethodrealflags(obj7151, "name",&reader_ast_name_7154, MFLAG_DEF);
  reader7154->definitionModule = modulename;
  reader7154->definitionLine = 1707;
}
adddatum2(obj7151, alloc_Undefined(), 2);
if (objclass7151 == NULL) {
  Method *reader7155 = addmethodrealflags(obj7151, "value",&reader_ast_value_7155, MFLAG_DEF);
  reader7155->definitionModule = modulename;
  reader7155->definitionLine = 1708;
}
adddatum2(obj7151, alloc_Undefined(), 3);
if (objclass7151 == NULL) {
  Method *reader7156 = addmethodrealflags(obj7151, "dtype",&reader_ast_dtype_7156, 0);
  Method *writer7156 = addmethodrealflags(obj7151, "dtype:=",&writer_ast_dtype_7156, 0);
  reader7156->definitionModule = modulename;
  writer7156->definitionModule = modulename;
  reader7156->definitionLine = 1709;
  writer7156->definitionLine = 1709;
}
obj7151->flags |= OFLAG_MUTABLE;
adddatum2(obj7151, alloc_Undefined(), 4);
if (objclass7151 == NULL) {
  Method *reader7157 = addmethodrealflags(obj7151, "nameString",&reader_ast_nameString_7157, MFLAG_DEF);
  reader7157->definitionModule = modulename;
  reader7157->definitionLine = 1710;
}
adddatum2(obj7151, alloc_Undefined(), 5);
if (objclass7151 == NULL) {
  Method *reader7158 = addmethodrealflags(obj7151, "annotations",&reader_ast_annotations_7158, MFLAG_DEF);
  reader7158->definitionModule = modulename;
  reader7158->definitionLine = 1712;
}
adddatum2(obj7151, alloc_Undefined(), 6);
  struct UserObject *uo7159 = (struct UserObject*)obj7151;
  uo7159->data[7] = emptyclosure;
  Method *meth_meth_ast_isPublic7159 = addmethod2pos(obj7151, "isPublic", &meth_ast_isPublic7159, 7);
int argcv_meth_ast_isPublic7159[] = {0};
meth_meth_ast_isPublic7159->type = alloc_MethodType(1, argcv_meth_ast_isPublic7159);
  meth_meth_ast_isPublic7159->definitionModule = modulename;
  meth_meth_ast_isPublic7159->definitionLine = 1712;
  struct UserObject *uo7186 = (struct UserObject*)obj7151;
  uo7186->data[8] = emptyclosure;
  Method *meth_meth_ast_isWritable7186 = addmethod2pos(obj7151, "isWritable", &meth_ast_isWritable7186, 8);
int argcv_meth_ast_isWritable7186[] = {0};
meth_meth_ast_isWritable7186->type = alloc_MethodType(1, argcv_meth_ast_isWritable7186);
  meth_meth_ast_isWritable7186->definitionModule = modulename;
  meth_meth_ast_isWritable7186->definitionLine = 1718;
  struct UserObject *uo7216 = (struct UserObject*)obj7151;
  uo7216->data[9] = emptyclosure;
  Method *meth_meth_ast_isReadable7216 = addmethod2pos(obj7151, "isReadable", &meth_ast_isReadable7216, 9);
int argcv_meth_ast_isReadable7216[] = {0};
meth_meth_ast_isReadable7216->type = alloc_MethodType(1, argcv_meth_ast_isReadable7216);
  meth_meth_ast_isReadable7216->definitionModule = modulename;
  meth_meth_ast_isReadable7216->definitionLine = 1724;
  struct UserObject *uo7246 = (struct UserObject*)obj7151;
  uo7246->data[10] = emptyclosure;
  Method *meth_meth_ast_accept7246 = addmethod2pos(obj7151, "accept", &meth_ast_accept7246, 10);
int argcv_meth_ast_accept7246[] = {1};
meth_meth_ast_accept7246->type = alloc_MethodType(1, argcv_meth_ast_accept7246);
  meth_meth_ast_accept7246->definitionModule = modulename;
  meth_meth_ast_accept7246->definitionLine = 1730;
  block_savedest(obj7151);
  Object closure7276 = createclosure(1, "map()before()after");
  setclosureframe(closure7276, stackframe);
  addtoclosure(closure7276, var_varDecNode);
  struct UserObject *uo7276 = (struct UserObject*)obj7151;
  uo7276->data[11] = (Object)closure7276;
  Method *meth_meth_ast_map_40__41_before_40__41_after7276 = addmethod2pos(obj7151, "map()before()after", &meth_ast_map_40__41_before_40__41_after7276, 11);
int argcv_meth_ast_map_40__41_before_40__41_after7276[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7276->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7276);
  meth_meth_ast_map_40__41_before_40__41_after7276->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7276->definitionLine = 1741;
  struct UserObject *uo7327 = (struct UserObject*)obj7151;
  uo7327->data[12] = emptyclosure;
  Method *meth_meth_ast_map7327 = addmethod2pos(obj7151, "map", &meth_ast_map7327, 12);
int argcv_meth_ast_map7327[] = {1};
meth_meth_ast_map7327->type = alloc_MethodType(1, argcv_meth_ast_map7327);
  meth_meth_ast_map7327->definitionModule = modulename;
  meth_meth_ast_map7327->definitionLine = 1754;
  struct UserObject *uo7336 = (struct UserObject*)obj7151;
  uo7336->data[13] = emptyclosure;
  Method *meth_meth_ast_pretty7336 = addmethod2pos(obj7151, "pretty", &meth_ast_pretty7336, 13);
int argcv_meth_ast_pretty7336[] = {1};
meth_meth_ast_pretty7336->type = alloc_MethodType(1, argcv_meth_ast_pretty7336);
  meth_meth_ast_pretty7336->definitionModule = modulename;
  meth_meth_ast_pretty7336->definitionLine = 1757;
  block_savedest(obj7151);
  Object closure7435 = createclosure(1, "decType");
  setclosureframe(closure7435, stackframe);
  addtoclosure(closure7435, var_identifierNode);
  struct UserObject *uo7435 = (struct UserObject*)obj7151;
  uo7435->data[14] = (Object)closure7435;
  Method *meth_meth_ast_decType7435 = addmethod2pos(obj7151, "decType", &meth_ast_decType7435, 14);
int argcv_meth_ast_decType7435[] = {0};
meth_meth_ast_decType7435->type = alloc_MethodType(1, argcv_meth_ast_decType7435);
  meth_meth_ast_decType7435->definitionModule = modulename;
  meth_meth_ast_decType7435->definitionLine = 1775;
  struct UserObject *uo7449 = (struct UserObject*)obj7151;
  uo7449->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace7449 = addmethod2pos(obj7151, "toGrace", &meth_ast_toGrace7449, 15);
int argcv_meth_ast_toGrace7449[] = {1};
meth_meth_ast_toGrace7449->type = alloc_MethodType(1, argcv_meth_ast_toGrace7449);
meth_meth_ast_toGrace7449->type->types[0] = type_Number;
meth_meth_ast_toGrace7449->type->names[0] = "depth";
  meth_meth_ast_toGrace7449->definitionModule = modulename;
  meth_meth_ast_toGrace7449->definitionLine = 1781;
  sourceObject = obj7151;
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7565 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7566 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7565);
// compilenode returning call7566
  struct UserObject *obj7151_uo = (struct UserObject *)obj7151;
  obj7151_uo->super = call7566;
  sourceObject = obj7151;
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7567 == NULL) {
    strlit7567 = alloc_String("vardec");
    gc_root(strlit7567);
  }
// compilenode returning strlit7567
  adddatum2(obj7151, strlit7567, 1);
  sourceObject = obj7151;
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name_39_
  adddatum2(obj7151, *var_name_39_, 2);
  sourceObject = obj7151;
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val_39_
  adddatum2(obj7151, *var_val_39_, 3);
  sourceObject = obj7151;
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype_39_
  adddatum2(obj7151, *var_dtype_39_, 4);
  sourceObject = obj7151;
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7568 = gc_frame_new();
  int callframe7569 = gc_frame_new();
  partcv[0] = 0;
  Object call7570 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7569);
// compilenode returning call7570
  partcv[0] = 0;
  Object call7571 = callmethod(call7570, "value",
    1, partcv, params);
  gc_frame_end(callframe7568);
// compilenode returning call7571
// compilenode returning call7571
  adddatum2(obj7151, call7571, 5);
  sourceObject = obj7151;
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7572 = gc_frame_new();
  int callframe7573 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call7574 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe7573);
// compilenode returning call7574
// compilenode returning call7574
  partcv[0] = 0;
  Object call7575 = callmethod(call7574, "new",
    1, partcv, params);
  gc_frame_end(callframe7572);
// compilenode returning call7575
// compilenode returning call7575
  adddatum2(obj7151, call7575, 6);
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
  sourceObject = obj7151;
objclass7151 = obj7151->class;
  objclass7151->definitionModule = modulename;
  objclass7151->definitionLine = 1621;
  (*(struct UserObject *)self).data[0] = lowerouter7151;
  self = oldself7151;
  selfslot = oldselfslot7151;
  stackframe = oldstackframe7151;
  gc_frame_end(frame);
  return obj7151;
}
Object meth_ast_importNode7577(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "importNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_importNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for importNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for importNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1801
  setline(1801);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_importNode
  gc_frame_end(frame);
  return *var_importNode;
}
Object meth_ast_isPublic7590(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1814
  setline(1814);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1813
  setline(1813);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7593 = alloc_Float64(0);
// compilenode returning num7593
  int op_slot_right_7592 = gc_frame_newslot(num7593);
  int callframe7595 = gc_frame_new();
  int callframe7596 = gc_frame_new();
  partcv[0] = 0;
  Object call7597 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7596);
// compilenode returning call7597
  partcv[0] = 0;
  Object call7598 = callmethod(call7597, "size",
    1, partcv, params);
  gc_frame_end(callframe7595);
// compilenode returning call7598
// compilenode returning call7598
  int op_slot_left_7592 = gc_frame_newslot(call7598);
  params[0] = num7593;
  partcv[0] = 1;
  Object opresult7599 = callmethod(call7598, "==", 1, partcv, params);
// compilenode returning opresult7599
  Object if7591 = done;
  if (istrue(opresult7599)) {
  Object bool7600 = alloc_Boolean(0);
// compilenode returning bool7600
  return bool7600;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7591 = undefined;
  } else {
  }
// compilenode returning if7591
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1814
  setline(1814);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7602 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit7603 == NULL) {
    strlit7603 = alloc_String("public");
    gc_root(strlit7603);
  }
// compilenode returning strlit7603
  gc_frame_newslot(strlit7603);
  int callframe7604 = gc_frame_new();
  int callframe7605 = gc_frame_new();
  Object call7606 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7605);
// compilenode returning call7606
// compilenode returning call7606
  partcv[0] = 0;
  Object call7607 = callmethodflags(call7606, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7604);
// compilenode returning call7607
// compilenode returning call7607
  params[0] = self;
  params[1] = strlit7603;
  partcv[0] = 2;
  Object call7608 = callmethodflags(call7607, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7602);
// compilenode returning call7608
  Object if7601 = done;
  if (istrue(call7608)) {
  Object bool7609 = alloc_Boolean(1);
// compilenode returning bool7609
  return bool7609;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if7601 = undefined;
  } else {
  }
// compilenode returning if7601
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7610 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
  if (strlit7611 == NULL) {
    strlit7611 = alloc_String("readable");
    gc_root(strlit7611);
  }
// compilenode returning strlit7611
  gc_frame_newslot(strlit7611);
  int callframe7612 = gc_frame_new();
  int callframe7613 = gc_frame_new();
  Object call7614 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7613);
// compilenode returning call7614
// compilenode returning call7614
  partcv[0] = 0;
  Object call7615 = callmethodflags(call7614, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7612);
// compilenode returning call7615
// compilenode returning call7615
  params[0] = self;
  params[1] = strlit7611;
  partcv[0] = 2;
  Object call7616 = callmethodflags(call7615, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7610);
// compilenode returning call7616
  gc_frame_end(frame);
  return call7616;
}
Object meth_ast_isWritable7617(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7618 = alloc_Boolean(0);
// compilenode returning bool7618
  gc_frame_end(frame);
  return bool7618;
}
Object meth_ast_isReadable7619(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7620 = gc_frame_new();
  partcv[0] = 0;
  Object call7621 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7620);
// compilenode returning call7621
  gc_frame_end(frame);
  return call7621;
}
Object meth_ast_accept7622(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7623 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call7624 = callmethod(*var_visitor, "visitImport",
    1, partcv, params);
  gc_frame_end(callframe7623);
// compilenode returning call7624
  gc_frame_end(frame);
  return call7624;
}
Object meth_ast_map_40__41_before_40__41_after7625(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1824
  setline(1824);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7626 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call7627 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe7626);
// compilenode returning call7627
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7628 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blk
  params[0] = self;
  partcv[0] = 1;
  Object call7629 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7628);
// compilenode returning call7629
  *var_n = call7629;
  if (call7629 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7630 = gc_frame_new();
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7631 = gc_frame_new();
  partcv[0] = 0;
  Object call7632 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7631);
// compilenode returning call7632
  gc_frame_newslot(call7632);
// compilenode returning *var_n
  params[0] = call7632;
  partcv[0] = 1;
  Object call7633 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe7630);
// compilenode returning call7633
// compilenode returning done
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7634 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7635 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe7634);
// compilenode returning call7635
// Begin line 1828
  setline(1828);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply7639(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply7642(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map7636(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7637 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block7638 = alloc_Block(NULL, NULL, "ast", 1831);
  gc_frame_newslot(block7638);
  block_savedest(block7638);
  Object closure7639 = createclosure(1, "_apply");
  setclosureframe(closure7639, stackframe);
  addtoclosure(closure7639, selfslot);
  struct UserObject *uo7639 = (struct UserObject*)block7638;
  uo7639->data[0] = (Object)closure7639;
  Method *meth_meth_ast__apply7639 = addmethod2pos(block7638, "_apply", &meth_ast__apply7639, 0);
int argcv_meth_ast__apply7639[] = {0};
meth_meth_ast__apply7639->type = alloc_MethodType(1, argcv_meth_ast__apply7639);
  meth_meth_ast__apply7639->definitionModule = modulename;
  meth_meth_ast__apply7639->definitionLine = 1815;
// compilenode returning block7638
  gc_frame_newslot(block7638);
  Object block7641 = alloc_Block(NULL, NULL, "ast", 1831);
  gc_frame_newslot(block7641);
  block_savedest(block7641);
  Object closure7642 = createclosure(1, "_apply");
  setclosureframe(closure7642, stackframe);
  addtoclosure(closure7642, selfslot);
  struct UserObject *uo7642 = (struct UserObject*)block7641;
  uo7642->data[0] = (Object)closure7642;
  Method *meth_meth_ast__apply7642 = addmethod2pos(block7641, "_apply", &meth_ast__apply7642, 0);
int argcv_meth_ast__apply7642[] = {0};
meth_meth_ast__apply7642->type = alloc_MethodType(1, argcv_meth_ast__apply7642);
  meth_meth_ast__apply7642->definitionModule = modulename;
  meth_meth_ast__apply7642->definitionLine = 1815;
// compilenode returning block7641
  gc_frame_newslot(block7641);
  params[0] = *var_blk;
  params[1] = block7638;
  params[2] = block7641;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7644 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7637);
// compilenode returning call7644
  gc_frame_end(frame);
  return call7644;
}
Object meth_ast__apply7653(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1837
  setline(1837);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1836
  setline(1836);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7655 == NULL) {
    strlit7655 = alloc_String("  ");
    gc_root(strlit7655);
  }
// compilenode returning strlit7655
  int op_slot_right_7654 = gc_frame_newslot(strlit7655);
// compilenode returning *var_spc
  int op_slot_left_7654 = gc_frame_newslot(*var_spc);
  params[0] = strlit7655;
  partcv[0] = 1;
  Object opresult7657 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult7657
  *var_spc = opresult7657;
  if (opresult7657 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty7645(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1834
  setline(1834);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7646 == NULL) {
    strlit7646 = alloc_String("");
    gc_root(strlit7646);
  }
// compilenode returning strlit7646
  *var_spc = strlit7646;
  if (strlit7646 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7647 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_7648 = gc_frame_newslot(*var_depth);
  Object num7650 = alloc_Float64(0);
// compilenode returning num7650
  int op_slot_left_7648 = gc_frame_newslot(num7650);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7651 = callmethod(num7650, "..", 1, partcv, params);
// compilenode returning opresult7651
  gc_frame_newslot(opresult7651);
  Object block7652 = alloc_Block(NULL, NULL, "ast", 1835);
  gc_frame_newslot(block7652);
  block_savedest(block7652);
  Object closure7653 = createclosure(2, "_apply");
  setclosureframe(closure7653, stackframe);
  addtoclosure(closure7653, var_spc);
  addtoclosure(closure7653, selfslot);
  struct UserObject *uo7653 = (struct UserObject*)block7652;
  uo7653->data[0] = (Object)closure7653;
  Method *meth_meth_ast__apply7653 = addmethod2pos(block7652, "_apply", &meth_ast__apply7653, 0);
int argcv_meth_ast__apply7653[] = {1};
meth_meth_ast__apply7653->type = alloc_MethodType(1, argcv_meth_ast__apply7653);
  meth_meth_ast__apply7653->definitionModule = modulename;
  meth_meth_ast__apply7653->definitionLine = 1815;
// compilenode returning block7652
  gc_frame_newslot(block7652);
  params[0] = opresult7651;
  params[1] = block7652;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7660 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7647);
// compilenode returning call7660
// Begin line 1839
  setline(1839);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1838
  setline(1838);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7661 == NULL) {
    strlit7661 = alloc_String("Import");
    gc_root(strlit7661);
  }
// compilenode returning strlit7661
  *var_s = strlit7661;
  if (strlit7661 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1839
  setline(1839);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7663 == NULL) {
    strlit7663 = alloc_String("""\x0a""");
    gc_root(strlit7663);
  }
// compilenode returning strlit7663
  int op_slot_right_7662 = gc_frame_newslot(strlit7663);
// compilenode returning *var_s
  int op_slot_left_7662 = gc_frame_newslot(*var_s);
  params[0] = strlit7663;
  partcv[0] = 1;
  Object opresult7665 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7665
  *var_s = opresult7665;
  if (opresult7665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1841
  setline(1841);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7669 == NULL) {
    strlit7669 = alloc_String("""\x0a""");
    gc_root(strlit7669);
  }
// compilenode returning strlit7669
  int op_slot_right_7668 = gc_frame_newslot(strlit7669);
  int callframe7672 = gc_frame_new();
  partcv[0] = 0;
  Object call7673 = callmethodflags(self, "path", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7672);
// compilenode returning call7673
// compilenode returning call7673
  int op_slot_right_7671 = gc_frame_newslot(call7673);
  if (strlit7676 == NULL) {
    strlit7676 = alloc_String("Path: ");
    gc_root(strlit7676);
  }
// compilenode returning strlit7676
  int op_slot_right_7675 = gc_frame_newslot(strlit7676);
// compilenode returning *var_spc
  int op_slot_right_7678 = gc_frame_newslot(*var_spc);
  if (strlit7680 == NULL) {
    strlit7680 = alloc_String("");
    gc_root(strlit7680);
  }
// compilenode returning strlit7680
  int op_slot_left_7678 = gc_frame_newslot(strlit7680);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7681 = callmethod(strlit7680, "++", 1, partcv, params);
// compilenode returning opresult7681
  int op_slot_left_7675 = gc_frame_newslot(opresult7681);
  params[0] = strlit7676;
  partcv[0] = 1;
  Object opresult7682 = callmethod(opresult7681, "++", 1, partcv, params);
// compilenode returning opresult7682
  int op_slot_left_7671 = gc_frame_newslot(opresult7682);
  params[0] = call7673;
  partcv[0] = 1;
  Object opresult7683 = callmethod(opresult7682, "++", 1, partcv, params);
// compilenode returning opresult7683
  int op_slot_left_7668 = gc_frame_newslot(opresult7683);
  params[0] = strlit7669;
  partcv[0] = 1;
  Object opresult7684 = callmethod(opresult7683, "++", 1, partcv, params);
// compilenode returning opresult7684
  int op_slot_right_7667 = gc_frame_newslot(opresult7684);
// compilenode returning *var_s
  int op_slot_left_7667 = gc_frame_newslot(*var_s);
  params[0] = opresult7684;
  partcv[0] = 1;
  Object opresult7686 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7686
  *var_s = opresult7686;
  if (opresult7686 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1841
  setline(1841);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7690 == NULL) {
    strlit7690 = alloc_String("""\x0a""");
    gc_root(strlit7690);
  }
// compilenode returning strlit7690
  int op_slot_right_7689 = gc_frame_newslot(strlit7690);
  int callframe7693 = gc_frame_new();
  partcv[0] = 0;
  Object call7694 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7693);
// compilenode returning call7694
// compilenode returning call7694
  int op_slot_right_7692 = gc_frame_newslot(call7694);
  if (strlit7697 == NULL) {
    strlit7697 = alloc_String("Identifier: ");
    gc_root(strlit7697);
  }
// compilenode returning strlit7697
  int op_slot_right_7696 = gc_frame_newslot(strlit7697);
// compilenode returning *var_spc
  int op_slot_right_7699 = gc_frame_newslot(*var_spc);
  if (strlit7701 == NULL) {
    strlit7701 = alloc_String("");
    gc_root(strlit7701);
  }
// compilenode returning strlit7701
  int op_slot_left_7699 = gc_frame_newslot(strlit7701);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7702 = callmethod(strlit7701, "++", 1, partcv, params);
// compilenode returning opresult7702
  int op_slot_left_7696 = gc_frame_newslot(opresult7702);
  params[0] = strlit7697;
  partcv[0] = 1;
  Object opresult7703 = callmethod(opresult7702, "++", 1, partcv, params);
// compilenode returning opresult7703
  int op_slot_left_7692 = gc_frame_newslot(opresult7703);
  params[0] = call7694;
  partcv[0] = 1;
  Object opresult7704 = callmethod(opresult7703, "++", 1, partcv, params);
// compilenode returning opresult7704
  int op_slot_left_7689 = gc_frame_newslot(opresult7704);
  params[0] = strlit7690;
  partcv[0] = 1;
  Object opresult7705 = callmethod(opresult7704, "++", 1, partcv, params);
// compilenode returning opresult7705
  int op_slot_right_7688 = gc_frame_newslot(opresult7705);
// compilenode returning *var_s
  int op_slot_left_7688 = gc_frame_newslot(*var_s);
  params[0] = opresult7705;
  partcv[0] = 1;
  Object opresult7707 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7707
  *var_s = opresult7707;
  if (opresult7707 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7711 = alloc_Float64(0);
// compilenode returning num7711
  int op_slot_right_7710 = gc_frame_newslot(num7711);
  int callframe7713 = gc_frame_new();
  int callframe7714 = gc_frame_new();
  partcv[0] = 0;
  Object call7715 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7714);
// compilenode returning call7715
// compilenode returning call7715
  partcv[0] = 0;
  Object call7716 = callmethod(call7715, "size",
    1, partcv, params);
  gc_frame_end(callframe7713);
// compilenode returning call7716
// compilenode returning call7716
  int op_slot_left_7710 = gc_frame_newslot(call7716);
  params[0] = num7711;
  partcv[0] = 1;
  Object opresult7717 = callmethod(call7716, ">", 1, partcv, params);
// compilenode returning opresult7717
  Object if7709 = done;
  if (istrue(opresult7717)) {
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7720 == NULL) {
    strlit7720 = alloc_String("""\x0a""");
    gc_root(strlit7720);
  }
// compilenode returning strlit7720
  int op_slot_right_7719 = gc_frame_newslot(strlit7720);
  int callframe7723 = gc_frame_new();
  partcv[0] = 0;
  Object call7724 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7723);
// compilenode returning call7724
// compilenode returning call7724
  int op_slot_right_7722 = gc_frame_newslot(call7724);
  if (strlit7727 == NULL) {
    strlit7727 = alloc_String("Anotations: ");
    gc_root(strlit7727);
  }
// compilenode returning strlit7727
  int op_slot_right_7726 = gc_frame_newslot(strlit7727);
// compilenode returning *var_spc
  int op_slot_right_7729 = gc_frame_newslot(*var_spc);
  if (strlit7731 == NULL) {
    strlit7731 = alloc_String("");
    gc_root(strlit7731);
  }
// compilenode returning strlit7731
  int op_slot_left_7729 = gc_frame_newslot(strlit7731);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7732 = callmethod(strlit7731, "++", 1, partcv, params);
// compilenode returning opresult7732
  int op_slot_left_7726 = gc_frame_newslot(opresult7732);
  params[0] = strlit7727;
  partcv[0] = 1;
  Object opresult7733 = callmethod(opresult7732, "++", 1, partcv, params);
// compilenode returning opresult7733
  int op_slot_left_7722 = gc_frame_newslot(opresult7733);
  params[0] = call7724;
  partcv[0] = 1;
  Object opresult7734 = callmethod(opresult7733, "++", 1, partcv, params);
// compilenode returning opresult7734
  int op_slot_left_7719 = gc_frame_newslot(opresult7734);
  params[0] = strlit7720;
  partcv[0] = 1;
  Object opresult7735 = callmethod(opresult7734, "++", 1, partcv, params);
// compilenode returning opresult7735
  int op_slot_right_7718 = gc_frame_newslot(opresult7735);
// compilenode returning *var_s
  int op_slot_left_7718 = gc_frame_newslot(*var_s);
  params[0] = opresult7735;
  partcv[0] = 1;
  Object opresult7737 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7737
  *var_s = opresult7737;
  if (opresult7737 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7709 = done;
  } else {
  }
// compilenode returning if7709
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace7739(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7741 == NULL) {
    strlit7741 = alloc_String("");
    gc_root(strlit7741);
  }
// compilenode returning strlit7741
  int op_slot_right_7740 = gc_frame_newslot(strlit7741);
  int callframe7744 = gc_frame_new();
  partcv[0] = 0;
  Object call7745 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7744);
// compilenode returning call7745
// compilenode returning call7745
  int op_slot_right_7743 = gc_frame_newslot(call7745);
  if (strlit7748 == NULL) {
    strlit7748 = alloc_String("""\x22"" as ");
    gc_root(strlit7748);
  }
// compilenode returning strlit7748
  int op_slot_right_7747 = gc_frame_newslot(strlit7748);
  int callframe7751 = gc_frame_new();
  partcv[0] = 0;
  Object call7752 = callmethodflags(self, "path", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7751);
// compilenode returning call7752
// compilenode returning call7752
  int op_slot_right_7750 = gc_frame_newslot(call7752);
  if (strlit7754 == NULL) {
    strlit7754 = alloc_String("import ""\x22""");
    gc_root(strlit7754);
  }
// compilenode returning strlit7754
  int op_slot_left_7750 = gc_frame_newslot(strlit7754);
  params[0] = call7752;
  partcv[0] = 1;
  Object opresult7755 = callmethod(strlit7754, "++", 1, partcv, params);
// compilenode returning opresult7755
  int op_slot_left_7747 = gc_frame_newslot(opresult7755);
  params[0] = strlit7748;
  partcv[0] = 1;
  Object opresult7756 = callmethod(opresult7755, "++", 1, partcv, params);
// compilenode returning opresult7756
  int op_slot_left_7743 = gc_frame_newslot(opresult7756);
  params[0] = call7745;
  partcv[0] = 1;
  Object opresult7757 = callmethod(opresult7756, "++", 1, partcv, params);
// compilenode returning opresult7757
  int op_slot_left_7740 = gc_frame_newslot(opresult7757);
  params[0] = strlit7741;
  partcv[0] = 1;
  Object opresult7758 = callmethod(opresult7757, "++", 1, partcv, params);
// compilenode returning opresult7758
  gc_frame_end(frame);
  return opresult7758;
}
Object meth_ast_new7580(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  Object *var_collections = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name = &(stackframe->slots[1]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7581 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7581 = alloc_userobj2(17,17, objclass7581);
  gc_frame_newslot(obj7581);
if (objclass7581 == NULL) {
  glfree(obj7581->class->name);
  obj7581->class->name = "importNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7581, self, 0);
  addmethodreal(obj7581,"outer", &reader_ast_outer_7582);
  Object oldself7581 = self;
  struct StackFrameObject *oldstackframe7581 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7581);
  gc_frame_newslot((Object)stackframe);
  self = obj7581;
  Object *oldselfslot7581 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7581 = (*(struct UserObject *)self).data[0], lowerouter7581 = thisouter7581;
  if (inheritingObject7581) {
    struct UserObject *inho7581 = (struct UserObject *)inheritingObject7581;
    while (inho7581->super != GraceDefaultObject) inho7581 = (struct UserObject *)inho7581->super;
    inho7581->super = obj7581;
    self = inheritingObject7581;
    *selfslot = self;
    lowerouter7581 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7581;
  }
if (objclass7581 == NULL) {
  Method *reader7583 = addmethodrealflags(obj7581, "kind",&reader_ast_kind_7583, MFLAG_DEF);
  reader7583->definitionModule = modulename;
  reader7583->definitionLine = 1804;
}
adddatum2(obj7581, alloc_Undefined(), 1);
if (objclass7581 == NULL) {
  Method *reader7584 = addmethodrealflags(obj7581, "value",&reader_ast_value_7584, MFLAG_DEF);
  reader7584->definitionModule = modulename;
  reader7584->definitionLine = 1805;
}
adddatum2(obj7581, alloc_Undefined(), 2);
if (objclass7581 == NULL) {
  Method *reader7585 = addmethodrealflags(obj7581, "path",&reader_ast_path_7585, MFLAG_DEF);
  reader7585->definitionModule = modulename;
  reader7585->definitionLine = 1806;
}
adddatum2(obj7581, alloc_Undefined(), 3);
if (objclass7581 == NULL) {
  Method *reader7586 = addmethodrealflags(obj7581, "annotations",&reader_ast_annotations_7586, MFLAG_DEF);
  reader7586->definitionModule = modulename;
  reader7586->definitionLine = 1807;
}
adddatum2(obj7581, alloc_Undefined(), 4);
if (objclass7581 == NULL) {
  Method *reader7587 = addmethodrealflags(obj7581, "dtype",&reader_ast_dtype_7587, 0);
  Method *writer7587 = addmethodrealflags(obj7581, "dtype:=",&writer_ast_dtype_7587, 0);
  reader7587->definitionModule = modulename;
  writer7587->definitionModule = modulename;
  reader7587->definitionLine = 1808;
  writer7587->definitionLine = 1808;
}
obj7581->flags |= OFLAG_MUTABLE;
adddatum2(obj7581, alloc_Undefined(), 5);
if (objclass7581 == NULL) {
  Method *reader7588 = addmethodrealflags(obj7581, "linePos",&reader_ast_linePos_7588, MFLAG_DEF);
  reader7588->definitionModule = modulename;
  reader7588->definitionLine = 1809;
}
adddatum2(obj7581, alloc_Undefined(), 6);
if (objclass7581 == NULL) {
  Method *reader7589 = addmethodrealflags(obj7581, "nameString",&reader_ast_nameString_7589, MFLAG_DEF);
  reader7589->definitionModule = modulename;
  reader7589->definitionLine = 1811;
}
adddatum2(obj7581, alloc_Undefined(), 7);
  struct UserObject *uo7590 = (struct UserObject*)obj7581;
  uo7590->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic7590 = addmethod2pos(obj7581, "isPublic", &meth_ast_isPublic7590, 8);
int argcv_meth_ast_isPublic7590[] = {0};
meth_meth_ast_isPublic7590->type = alloc_MethodType(1, argcv_meth_ast_isPublic7590);
  meth_meth_ast_isPublic7590->definitionModule = modulename;
  meth_meth_ast_isPublic7590->definitionLine = 1811;
  struct UserObject *uo7617 = (struct UserObject*)obj7581;
  uo7617->data[9] = emptyclosure;
  Method *meth_meth_ast_isWritable7617 = addmethod2pos(obj7581, "isWritable", &meth_ast_isWritable7617, 9);
int argcv_meth_ast_isWritable7617[] = {0};
meth_meth_ast_isWritable7617->type = alloc_MethodType(1, argcv_meth_ast_isWritable7617);
  meth_meth_ast_isWritable7617->definitionModule = modulename;
  meth_meth_ast_isWritable7617->definitionLine = 1817;
  struct UserObject *uo7619 = (struct UserObject*)obj7581;
  uo7619->data[10] = emptyclosure;
  Method *meth_meth_ast_isReadable7619 = addmethod2pos(obj7581, "isReadable", &meth_ast_isReadable7619, 10);
int argcv_meth_ast_isReadable7619[] = {0};
meth_meth_ast_isReadable7619->type = alloc_MethodType(1, argcv_meth_ast_isReadable7619);
  meth_meth_ast_isReadable7619->definitionModule = modulename;
  meth_meth_ast_isReadable7619->definitionLine = 1818;
  struct UserObject *uo7622 = (struct UserObject*)obj7581;
  uo7622->data[11] = emptyclosure;
  Method *meth_meth_ast_accept7622 = addmethod2pos(obj7581, "accept", &meth_ast_accept7622, 11);
int argcv_meth_ast_accept7622[] = {1};
meth_meth_ast_accept7622->type = alloc_MethodType(1, argcv_meth_ast_accept7622);
  meth_meth_ast_accept7622->definitionModule = modulename;
  meth_meth_ast_accept7622->definitionLine = 1820;
  struct UserObject *uo7625 = (struct UserObject*)obj7581;
  uo7625->data[12] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after7625 = addmethod2pos(obj7581, "map()before()after", &meth_ast_map_40__41_before_40__41_after7625, 12);
int argcv_meth_ast_map_40__41_before_40__41_after7625[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7625->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7625);
  meth_meth_ast_map_40__41_before_40__41_after7625->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7625->definitionLine = 1823;
  struct UserObject *uo7636 = (struct UserObject*)obj7581;
  uo7636->data[13] = emptyclosure;
  Method *meth_meth_ast_map7636 = addmethod2pos(obj7581, "map", &meth_ast_map7636, 13);
int argcv_meth_ast_map7636[] = {1};
meth_meth_ast_map7636->type = alloc_MethodType(1, argcv_meth_ast_map7636);
  meth_meth_ast_map7636->definitionModule = modulename;
  meth_meth_ast_map7636->definitionLine = 1830;
  struct UserObject *uo7645 = (struct UserObject*)obj7581;
  uo7645->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty7645 = addmethod2pos(obj7581, "pretty", &meth_ast_pretty7645, 14);
int argcv_meth_ast_pretty7645[] = {1};
meth_meth_ast_pretty7645->type = alloc_MethodType(1, argcv_meth_ast_pretty7645);
  meth_meth_ast_pretty7645->definitionModule = modulename;
  meth_meth_ast_pretty7645->definitionLine = 1833;
  struct UserObject *uo7739 = (struct UserObject*)obj7581;
  uo7739->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace7739 = addmethod2pos(obj7581, "toGrace", &meth_ast_toGrace7739, 15);
int argcv_meth_ast_toGrace7739[] = {1};
meth_meth_ast_toGrace7739->type = alloc_MethodType(1, argcv_meth_ast_toGrace7739);
meth_meth_ast_toGrace7739->type->types[0] = type_Number;
meth_meth_ast_toGrace7739->type->names[0] = "depth";
  meth_meth_ast_toGrace7739->definitionModule = modulename;
  meth_meth_ast_toGrace7739->definitionLine = 1847;
  sourceObject = obj7581;
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7759 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7760 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7759);
// compilenode returning call7760
  struct UserObject *obj7581_uo = (struct UserObject *)obj7581;
  obj7581_uo->super = call7760;
  sourceObject = obj7581;
// Begin line 1803
  setline(1803);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7761 == NULL) {
    strlit7761 = alloc_String("import");
    gc_root(strlit7761);
  }
// compilenode returning strlit7761
  adddatum2(obj7581, strlit7761, 1);
  sourceObject = obj7581;
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name
  adddatum2(obj7581, *var_name, 2);
  sourceObject = obj7581;
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_path_39_
  adddatum2(obj7581, *var_path_39_, 3);
  sourceObject = obj7581;
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7762 = gc_frame_new();
  int callframe7763 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call7764 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe7763);
// compilenode returning call7764
// compilenode returning call7764
  partcv[0] = 0;
  Object call7765 = callmethod(call7764, "new",
    1, partcv, params);
  gc_frame_end(callframe7762);
// compilenode returning call7765
// compilenode returning call7765
  adddatum2(obj7581, call7765, 4);
  sourceObject = obj7581;
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7766 = alloc_Boolean(0);
// compilenode returning bool7766
  adddatum2(obj7581, bool7766, 5);
  sourceObject = obj7581;
// Begin line 1808
  setline(1808);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7767 = alloc_Float64(1);
// compilenode returning num7767
  adddatum2(obj7581, num7767, 6);
  sourceObject = obj7581;
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7768 = gc_frame_new();
  partcv[0] = 0;
  Object call7769 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7768);
// compilenode returning call7769
  adddatum2(obj7581, call7769, 7);
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
objclass7581 = obj7581->class;
  objclass7581->definitionModule = modulename;
  objclass7581->definitionLine = 1710;
  (*(struct UserObject *)self).data[0] = lowerouter7581;
  self = oldself7581;
  selfslot = oldselfslot7581;
  stackframe = oldstackframe7581;
  gc_frame_end(frame);
  return obj7581;
}
Object meth_ast_new7580_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  Object *var_collections = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name = &(stackframe->slots[1]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7581 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7581 = alloc_userobj2(17,17, objclass7581);
  gc_frame_newslot(obj7581);
if (objclass7581 == NULL) {
  glfree(obj7581->class->name);
  obj7581->class->name = "importNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7581, self, 0);
  addmethodreal(obj7581,"outer", &reader_ast_outer_7582);
  Object oldself7581 = self;
  struct StackFrameObject *oldstackframe7581 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7581);
  gc_frame_newslot((Object)stackframe);
  self = obj7581;
  Object *oldselfslot7581 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7581 = (*(struct UserObject *)self).data[0], lowerouter7581 = thisouter7581;
  if (inheritingObject7581) {
    struct UserObject *inho7581 = (struct UserObject *)inheritingObject7581;
    while (inho7581->super != GraceDefaultObject) inho7581 = (struct UserObject *)inho7581->super;
    inho7581->super = obj7581;
    self = inheritingObject7581;
    *selfslot = self;
    lowerouter7581 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7581;
  }
if (objclass7581 == NULL) {
  Method *reader7583 = addmethodrealflags(obj7581, "kind",&reader_ast_kind_7583, MFLAG_DEF);
  reader7583->definitionModule = modulename;
  reader7583->definitionLine = 1804;
}
adddatum2(obj7581, alloc_Undefined(), 1);
if (objclass7581 == NULL) {
  Method *reader7584 = addmethodrealflags(obj7581, "value",&reader_ast_value_7584, MFLAG_DEF);
  reader7584->definitionModule = modulename;
  reader7584->definitionLine = 1805;
}
adddatum2(obj7581, alloc_Undefined(), 2);
if (objclass7581 == NULL) {
  Method *reader7585 = addmethodrealflags(obj7581, "path",&reader_ast_path_7585, MFLAG_DEF);
  reader7585->definitionModule = modulename;
  reader7585->definitionLine = 1806;
}
adddatum2(obj7581, alloc_Undefined(), 3);
if (objclass7581 == NULL) {
  Method *reader7586 = addmethodrealflags(obj7581, "annotations",&reader_ast_annotations_7586, MFLAG_DEF);
  reader7586->definitionModule = modulename;
  reader7586->definitionLine = 1807;
}
adddatum2(obj7581, alloc_Undefined(), 4);
if (objclass7581 == NULL) {
  Method *reader7587 = addmethodrealflags(obj7581, "dtype",&reader_ast_dtype_7587, 0);
  Method *writer7587 = addmethodrealflags(obj7581, "dtype:=",&writer_ast_dtype_7587, 0);
  reader7587->definitionModule = modulename;
  writer7587->definitionModule = modulename;
  reader7587->definitionLine = 1808;
  writer7587->definitionLine = 1808;
}
obj7581->flags |= OFLAG_MUTABLE;
adddatum2(obj7581, alloc_Undefined(), 5);
if (objclass7581 == NULL) {
  Method *reader7588 = addmethodrealflags(obj7581, "linePos",&reader_ast_linePos_7588, MFLAG_DEF);
  reader7588->definitionModule = modulename;
  reader7588->definitionLine = 1809;
}
adddatum2(obj7581, alloc_Undefined(), 6);
if (objclass7581 == NULL) {
  Method *reader7589 = addmethodrealflags(obj7581, "nameString",&reader_ast_nameString_7589, MFLAG_DEF);
  reader7589->definitionModule = modulename;
  reader7589->definitionLine = 1811;
}
adddatum2(obj7581, alloc_Undefined(), 7);
  struct UserObject *uo7590 = (struct UserObject*)obj7581;
  uo7590->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic7590 = addmethod2pos(obj7581, "isPublic", &meth_ast_isPublic7590, 8);
int argcv_meth_ast_isPublic7590[] = {0};
meth_meth_ast_isPublic7590->type = alloc_MethodType(1, argcv_meth_ast_isPublic7590);
  meth_meth_ast_isPublic7590->definitionModule = modulename;
  meth_meth_ast_isPublic7590->definitionLine = 1811;
  struct UserObject *uo7617 = (struct UserObject*)obj7581;
  uo7617->data[9] = emptyclosure;
  Method *meth_meth_ast_isWritable7617 = addmethod2pos(obj7581, "isWritable", &meth_ast_isWritable7617, 9);
int argcv_meth_ast_isWritable7617[] = {0};
meth_meth_ast_isWritable7617->type = alloc_MethodType(1, argcv_meth_ast_isWritable7617);
  meth_meth_ast_isWritable7617->definitionModule = modulename;
  meth_meth_ast_isWritable7617->definitionLine = 1817;
  struct UserObject *uo7619 = (struct UserObject*)obj7581;
  uo7619->data[10] = emptyclosure;
  Method *meth_meth_ast_isReadable7619 = addmethod2pos(obj7581, "isReadable", &meth_ast_isReadable7619, 10);
int argcv_meth_ast_isReadable7619[] = {0};
meth_meth_ast_isReadable7619->type = alloc_MethodType(1, argcv_meth_ast_isReadable7619);
  meth_meth_ast_isReadable7619->definitionModule = modulename;
  meth_meth_ast_isReadable7619->definitionLine = 1818;
  struct UserObject *uo7622 = (struct UserObject*)obj7581;
  uo7622->data[11] = emptyclosure;
  Method *meth_meth_ast_accept7622 = addmethod2pos(obj7581, "accept", &meth_ast_accept7622, 11);
int argcv_meth_ast_accept7622[] = {1};
meth_meth_ast_accept7622->type = alloc_MethodType(1, argcv_meth_ast_accept7622);
  meth_meth_ast_accept7622->definitionModule = modulename;
  meth_meth_ast_accept7622->definitionLine = 1820;
  struct UserObject *uo7625 = (struct UserObject*)obj7581;
  uo7625->data[12] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after7625 = addmethod2pos(obj7581, "map()before()after", &meth_ast_map_40__41_before_40__41_after7625, 12);
int argcv_meth_ast_map_40__41_before_40__41_after7625[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7625->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7625);
  meth_meth_ast_map_40__41_before_40__41_after7625->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7625->definitionLine = 1823;
  struct UserObject *uo7636 = (struct UserObject*)obj7581;
  uo7636->data[13] = emptyclosure;
  Method *meth_meth_ast_map7636 = addmethod2pos(obj7581, "map", &meth_ast_map7636, 13);
int argcv_meth_ast_map7636[] = {1};
meth_meth_ast_map7636->type = alloc_MethodType(1, argcv_meth_ast_map7636);
  meth_meth_ast_map7636->definitionModule = modulename;
  meth_meth_ast_map7636->definitionLine = 1830;
  struct UserObject *uo7645 = (struct UserObject*)obj7581;
  uo7645->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty7645 = addmethod2pos(obj7581, "pretty", &meth_ast_pretty7645, 14);
int argcv_meth_ast_pretty7645[] = {1};
meth_meth_ast_pretty7645->type = alloc_MethodType(1, argcv_meth_ast_pretty7645);
  meth_meth_ast_pretty7645->definitionModule = modulename;
  meth_meth_ast_pretty7645->definitionLine = 1833;
  struct UserObject *uo7739 = (struct UserObject*)obj7581;
  uo7739->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace7739 = addmethod2pos(obj7581, "toGrace", &meth_ast_toGrace7739, 15);
int argcv_meth_ast_toGrace7739[] = {1};
meth_meth_ast_toGrace7739->type = alloc_MethodType(1, argcv_meth_ast_toGrace7739);
meth_meth_ast_toGrace7739->type->types[0] = type_Number;
meth_meth_ast_toGrace7739->type->names[0] = "depth";
  meth_meth_ast_toGrace7739->definitionModule = modulename;
  meth_meth_ast_toGrace7739->definitionLine = 1847;
  sourceObject = obj7581;
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7759 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7760 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7759);
// compilenode returning call7760
  struct UserObject *obj7581_uo = (struct UserObject *)obj7581;
  obj7581_uo->super = call7760;
  sourceObject = obj7581;
// Begin line 1803
  setline(1803);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7761 == NULL) {
    strlit7761 = alloc_String("import");
    gc_root(strlit7761);
  }
// compilenode returning strlit7761
  adddatum2(obj7581, strlit7761, 1);
  sourceObject = obj7581;
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_name
  adddatum2(obj7581, *var_name, 2);
  sourceObject = obj7581;
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_path_39_
  adddatum2(obj7581, *var_path_39_, 3);
  sourceObject = obj7581;
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7762 = gc_frame_new();
  int callframe7763 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call7764 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe7763);
// compilenode returning call7764
// compilenode returning call7764
  partcv[0] = 0;
  Object call7765 = callmethod(call7764, "new",
    1, partcv, params);
  gc_frame_end(callframe7762);
// compilenode returning call7765
// compilenode returning call7765
  adddatum2(obj7581, call7765, 4);
  sourceObject = obj7581;
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7766 = alloc_Boolean(0);
// compilenode returning bool7766
  adddatum2(obj7581, bool7766, 5);
  sourceObject = obj7581;
// Begin line 1808
  setline(1808);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7767 = alloc_Float64(1);
// compilenode returning num7767
  adddatum2(obj7581, num7767, 6);
  sourceObject = obj7581;
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7768 = gc_frame_new();
  partcv[0] = 0;
  Object call7769 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7768);
// compilenode returning call7769
  adddatum2(obj7581, call7769, 7);
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
  sourceObject = obj7581;
objclass7581 = obj7581->class;
  objclass7581->definitionModule = modulename;
  objclass7581->definitionLine = 1710;
  (*(struct UserObject *)self).data[0] = lowerouter7581;
  self = oldself7581;
  selfslot = oldselfslot7581;
  stackframe = oldstackframe7581;
  gc_frame_end(frame);
  return obj7581;
}
Object meth_ast_dialectNode7771(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dialectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dialectNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dialectNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dialectNode
  gc_frame_end(frame);
  return *var_dialectNode;
}
Object meth_ast_accept7779(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1856
  setline(1856);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7780 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call7781 = callmethod(*var_visitor, "visitDialect",
    1, partcv, params);
  gc_frame_end(callframe7780);
// compilenode returning call7781
  gc_frame_end(frame);
  return call7781;
}
Object meth_ast_map_40__41_before_40__41_after7782(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7783 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call7784 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe7783);
// compilenode returning call7784
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7785 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blk
  params[0] = self;
  partcv[0] = 1;
  Object call7786 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7785);
// compilenode returning call7786
  *var_n = call7786;
  if (call7786 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7787 = gc_frame_new();
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7788 = gc_frame_new();
  partcv[0] = 0;
  Object call7789 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7788);
// compilenode returning call7789
  gc_frame_newslot(call7789);
// compilenode returning *var_n
  params[0] = call7789;
  partcv[0] = 1;
  Object call7790 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe7787);
// compilenode returning call7790
// compilenode returning done
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7791 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7792 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe7791);
// compilenode returning call7792
// Begin line 1863
  setline(1863);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply7796(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply7799(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map7793(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7794 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block7795 = alloc_Block(NULL, NULL, "ast", 1866);
  gc_frame_newslot(block7795);
  block_savedest(block7795);
  Object closure7796 = createclosure(1, "_apply");
  setclosureframe(closure7796, stackframe);
  addtoclosure(closure7796, selfslot);
  struct UserObject *uo7796 = (struct UserObject*)block7795;
  uo7796->data[0] = (Object)closure7796;
  Method *meth_meth_ast__apply7796 = addmethod2pos(block7795, "_apply", &meth_ast__apply7796, 0);
int argcv_meth_ast__apply7796[] = {0};
meth_meth_ast__apply7796->type = alloc_MethodType(1, argcv_meth_ast__apply7796);
  meth_meth_ast__apply7796->definitionModule = modulename;
  meth_meth_ast__apply7796->definitionLine = 1806;
// compilenode returning block7795
  gc_frame_newslot(block7795);
  Object block7798 = alloc_Block(NULL, NULL, "ast", 1866);
  gc_frame_newslot(block7798);
  block_savedest(block7798);
  Object closure7799 = createclosure(1, "_apply");
  setclosureframe(closure7799, stackframe);
  addtoclosure(closure7799, selfslot);
  struct UserObject *uo7799 = (struct UserObject*)block7798;
  uo7799->data[0] = (Object)closure7799;
  Method *meth_meth_ast__apply7799 = addmethod2pos(block7798, "_apply", &meth_ast__apply7799, 0);
int argcv_meth_ast__apply7799[] = {0};
meth_meth_ast__apply7799->type = alloc_MethodType(1, argcv_meth_ast__apply7799);
  meth_meth_ast__apply7799->definitionModule = modulename;
  meth_meth_ast__apply7799->definitionLine = 1806;
// compilenode returning block7798
  gc_frame_newslot(block7798);
  params[0] = *var_blk;
  params[1] = block7795;
  params[2] = block7798;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7801 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7794);
// compilenode returning call7801
  gc_frame_end(frame);
  return call7801;
}
Object meth_ast__apply7810(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1872
  setline(1872);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1871
  setline(1871);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7812 == NULL) {
    strlit7812 = alloc_String("  ");
    gc_root(strlit7812);
  }
// compilenode returning strlit7812
  int op_slot_right_7811 = gc_frame_newslot(strlit7812);
// compilenode returning *var_spc
  int op_slot_left_7811 = gc_frame_newslot(*var_spc);
  params[0] = strlit7812;
  partcv[0] = 1;
  Object opresult7814 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult7814
  *var_spc = opresult7814;
  if (opresult7814 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty7802(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1869
  setline(1869);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7803 == NULL) {
    strlit7803 = alloc_String("");
    gc_root(strlit7803);
  }
// compilenode returning strlit7803
  *var_spc = strlit7803;
  if (strlit7803 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7804 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_7805 = gc_frame_newslot(*var_depth);
  Object num7807 = alloc_Float64(0);
// compilenode returning num7807
  int op_slot_left_7805 = gc_frame_newslot(num7807);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7808 = callmethod(num7807, "..", 1, partcv, params);
// compilenode returning opresult7808
  gc_frame_newslot(opresult7808);
  Object block7809 = alloc_Block(NULL, NULL, "ast", 1870);
  gc_frame_newslot(block7809);
  block_savedest(block7809);
  Object closure7810 = createclosure(2, "_apply");
  setclosureframe(closure7810, stackframe);
  addtoclosure(closure7810, var_spc);
  addtoclosure(closure7810, selfslot);
  struct UserObject *uo7810 = (struct UserObject*)block7809;
  uo7810->data[0] = (Object)closure7810;
  Method *meth_meth_ast__apply7810 = addmethod2pos(block7809, "_apply", &meth_ast__apply7810, 0);
int argcv_meth_ast__apply7810[] = {1};
meth_meth_ast__apply7810->type = alloc_MethodType(1, argcv_meth_ast__apply7810);
  meth_meth_ast__apply7810->definitionModule = modulename;
  meth_meth_ast__apply7810->definitionLine = 1806;
// compilenode returning block7809
  gc_frame_newslot(block7809);
  params[0] = opresult7808;
  params[1] = block7809;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7817 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7804);
// compilenode returning call7817
// Begin line 1874
  setline(1874);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7818 == NULL) {
    strlit7818 = alloc_String("Dialect");
    gc_root(strlit7818);
  }
// compilenode returning strlit7818
  *var_s = strlit7818;
  if (strlit7818 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1874
  setline(1874);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7820 == NULL) {
    strlit7820 = alloc_String("""\x0a""");
    gc_root(strlit7820);
  }
// compilenode returning strlit7820
  int op_slot_right_7819 = gc_frame_newslot(strlit7820);
// compilenode returning *var_s
  int op_slot_left_7819 = gc_frame_newslot(*var_s);
  params[0] = strlit7820;
  partcv[0] = 1;
  Object opresult7822 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7822
  *var_s = opresult7822;
  if (opresult7822 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7826 == NULL) {
    strlit7826 = alloc_String("""\x0a""");
    gc_root(strlit7826);
  }
// compilenode returning strlit7826
  int op_slot_right_7825 = gc_frame_newslot(strlit7826);
  int callframe7829 = gc_frame_new();
  partcv[0] = 0;
  Object call7830 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7829);
// compilenode returning call7830
// compilenode returning call7830
  int op_slot_right_7828 = gc_frame_newslot(call7830);
  if (strlit7833 == NULL) {
    strlit7833 = alloc_String("Path: ");
    gc_root(strlit7833);
  }
// compilenode returning strlit7833
  int op_slot_right_7832 = gc_frame_newslot(strlit7833);
// compilenode returning *var_spc
  int op_slot_right_7835 = gc_frame_newslot(*var_spc);
  if (strlit7837 == NULL) {
    strlit7837 = alloc_String("");
    gc_root(strlit7837);
  }
// compilenode returning strlit7837
  int op_slot_left_7835 = gc_frame_newslot(strlit7837);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7838 = callmethod(strlit7837, "++", 1, partcv, params);
// compilenode returning opresult7838
  int op_slot_left_7832 = gc_frame_newslot(opresult7838);
  params[0] = strlit7833;
  partcv[0] = 1;
  Object opresult7839 = callmethod(opresult7838, "++", 1, partcv, params);
// compilenode returning opresult7839
  int op_slot_left_7828 = gc_frame_newslot(opresult7839);
  params[0] = call7830;
  partcv[0] = 1;
  Object opresult7840 = callmethod(opresult7839, "++", 1, partcv, params);
// compilenode returning opresult7840
  int op_slot_left_7825 = gc_frame_newslot(opresult7840);
  params[0] = strlit7826;
  partcv[0] = 1;
  Object opresult7841 = callmethod(opresult7840, "++", 1, partcv, params);
// compilenode returning opresult7841
  int op_slot_right_7824 = gc_frame_newslot(opresult7841);
// compilenode returning *var_s
  int op_slot_left_7824 = gc_frame_newslot(*var_s);
  params[0] = opresult7841;
  partcv[0] = 1;
  Object opresult7843 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7843
  *var_s = opresult7843;
  if (opresult7843 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace7845(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7847 == NULL) {
    strlit7847 = alloc_String("""\x22""");
    gc_root(strlit7847);
  }
// compilenode returning strlit7847
  int op_slot_right_7846 = gc_frame_newslot(strlit7847);
  int callframe7850 = gc_frame_new();
  partcv[0] = 0;
  Object call7851 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7850);
// compilenode returning call7851
// compilenode returning call7851
  int op_slot_right_7849 = gc_frame_newslot(call7851);
  if (strlit7853 == NULL) {
    strlit7853 = alloc_String("dialect ""\x22""");
    gc_root(strlit7853);
  }
// compilenode returning strlit7853
  int op_slot_left_7849 = gc_frame_newslot(strlit7853);
  params[0] = call7851;
  partcv[0] = 1;
  Object opresult7854 = callmethod(strlit7853, "++", 1, partcv, params);
// compilenode returning opresult7854
  int op_slot_left_7846 = gc_frame_newslot(opresult7854);
  params[0] = strlit7847;
  partcv[0] = 1;
  Object opresult7855 = callmethod(opresult7854, "++", 1, partcv, params);
// compilenode returning opresult7855
  gc_frame_end(frame);
  return opresult7855;
}
Object meth_ast_new7774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7775 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7775 = alloc_userobj2(8,9, objclass7775);
  gc_frame_newslot(obj7775);
if (objclass7775 == NULL) {
  glfree(obj7775->class->name);
  obj7775->class->name = "dialectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7775, self, 0);
  addmethodreal(obj7775,"outer", &reader_ast_outer_7776);
  Object oldself7775 = self;
  struct StackFrameObject *oldstackframe7775 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7775);
  gc_frame_newslot((Object)stackframe);
  self = obj7775;
  Object *oldselfslot7775 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7775 = (*(struct UserObject *)self).data[0], lowerouter7775 = thisouter7775;
  if (inheritingObject7775) {
    struct UserObject *inho7775 = (struct UserObject *)inheritingObject7775;
    while (inho7775->super != GraceDefaultObject) inho7775 = (struct UserObject *)inho7775->super;
    inho7775->super = obj7775;
    self = inheritingObject7775;
    *selfslot = self;
    lowerouter7775 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7775;
  }
if (objclass7775 == NULL) {
  Method *reader7777 = addmethodrealflags(obj7775, "kind",&reader_ast_kind_7777, MFLAG_DEF);
  reader7777->definitionModule = modulename;
  reader7777->definitionLine = 1854;
}
adddatum2(obj7775, alloc_Undefined(), 1);
if (objclass7775 == NULL) {
  Method *reader7778 = addmethodrealflags(obj7775, "value",&reader_ast_value_7778, MFLAG_DEF);
  reader7778->definitionModule = modulename;
  reader7778->definitionLine = 1855;
}
adddatum2(obj7775, alloc_Undefined(), 2);
  struct UserObject *uo7779 = (struct UserObject*)obj7775;
  uo7779->data[3] = emptyclosure;
  Method *meth_meth_ast_accept7779 = addmethod2pos(obj7775, "accept", &meth_ast_accept7779, 3);
int argcv_meth_ast_accept7779[] = {1};
meth_meth_ast_accept7779->type = alloc_MethodType(1, argcv_meth_ast_accept7779);
  meth_meth_ast_accept7779->definitionModule = modulename;
  meth_meth_ast_accept7779->definitionLine = 1855;
  struct UserObject *uo7782 = (struct UserObject*)obj7775;
  uo7782->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after7782 = addmethod2pos(obj7775, "map()before()after", &meth_ast_map_40__41_before_40__41_after7782, 4);
int argcv_meth_ast_map_40__41_before_40__41_after7782[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7782->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7782);
  meth_meth_ast_map_40__41_before_40__41_after7782->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7782->definitionLine = 1858;
  struct UserObject *uo7793 = (struct UserObject*)obj7775;
  uo7793->data[5] = emptyclosure;
  Method *meth_meth_ast_map7793 = addmethod2pos(obj7775, "map", &meth_ast_map7793, 5);
int argcv_meth_ast_map7793[] = {1};
meth_meth_ast_map7793->type = alloc_MethodType(1, argcv_meth_ast_map7793);
  meth_meth_ast_map7793->definitionModule = modulename;
  meth_meth_ast_map7793->definitionLine = 1865;
  struct UserObject *uo7802 = (struct UserObject*)obj7775;
  uo7802->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty7802 = addmethod2pos(obj7775, "pretty", &meth_ast_pretty7802, 6);
int argcv_meth_ast_pretty7802[] = {1};
meth_meth_ast_pretty7802->type = alloc_MethodType(1, argcv_meth_ast_pretty7802);
  meth_meth_ast_pretty7802->definitionModule = modulename;
  meth_meth_ast_pretty7802->definitionLine = 1868;
  struct UserObject *uo7845 = (struct UserObject*)obj7775;
  uo7845->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace7845 = addmethod2pos(obj7775, "toGrace", &meth_ast_toGrace7845, 7);
int argcv_meth_ast_toGrace7845[] = {1};
meth_meth_ast_toGrace7845->type = alloc_MethodType(1, argcv_meth_ast_toGrace7845);
meth_meth_ast_toGrace7845->type->types[0] = type_Number;
meth_meth_ast_toGrace7845->type->names[0] = "depth";
  meth_meth_ast_toGrace7845->definitionModule = modulename;
  meth_meth_ast_toGrace7845->definitionLine = 1878;
  sourceObject = obj7775;
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7856 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7857 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7856);
// compilenode returning call7857
  struct UserObject *obj7775_uo = (struct UserObject *)obj7775;
  obj7775_uo->super = call7857;
  sourceObject = obj7775;
// Begin line 1853
  setline(1853);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7858 == NULL) {
    strlit7858 = alloc_String("dialect");
    gc_root(strlit7858);
  }
// compilenode returning strlit7858
  adddatum2(obj7775, strlit7858, 1);
  sourceObject = obj7775;
// Begin line 1854
  setline(1854);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_path_39_
  adddatum2(obj7775, *var_path_39_, 2);
  sourceObject = obj7775;
  sourceObject = obj7775;
  sourceObject = obj7775;
  sourceObject = obj7775;
  sourceObject = obj7775;
objclass7775 = obj7775->class;
  objclass7775->definitionModule = modulename;
  objclass7775->definitionLine = 1806;
  (*(struct UserObject *)self).data[0] = lowerouter7775;
  self = oldself7775;
  selfslot = oldselfslot7775;
  stackframe = oldstackframe7775;
  gc_frame_end(frame);
  return obj7775;
}
Object meth_ast_new7774_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7775 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7775 = alloc_userobj2(8,9, objclass7775);
  gc_frame_newslot(obj7775);
if (objclass7775 == NULL) {
  glfree(obj7775->class->name);
  obj7775->class->name = "dialectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7775, self, 0);
  addmethodreal(obj7775,"outer", &reader_ast_outer_7776);
  Object oldself7775 = self;
  struct StackFrameObject *oldstackframe7775 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7775);
  gc_frame_newslot((Object)stackframe);
  self = obj7775;
  Object *oldselfslot7775 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7775 = (*(struct UserObject *)self).data[0], lowerouter7775 = thisouter7775;
  if (inheritingObject7775) {
    struct UserObject *inho7775 = (struct UserObject *)inheritingObject7775;
    while (inho7775->super != GraceDefaultObject) inho7775 = (struct UserObject *)inho7775->super;
    inho7775->super = obj7775;
    self = inheritingObject7775;
    *selfslot = self;
    lowerouter7775 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7775;
  }
if (objclass7775 == NULL) {
  Method *reader7777 = addmethodrealflags(obj7775, "kind",&reader_ast_kind_7777, MFLAG_DEF);
  reader7777->definitionModule = modulename;
  reader7777->definitionLine = 1854;
}
adddatum2(obj7775, alloc_Undefined(), 1);
if (objclass7775 == NULL) {
  Method *reader7778 = addmethodrealflags(obj7775, "value",&reader_ast_value_7778, MFLAG_DEF);
  reader7778->definitionModule = modulename;
  reader7778->definitionLine = 1855;
}
adddatum2(obj7775, alloc_Undefined(), 2);
  struct UserObject *uo7779 = (struct UserObject*)obj7775;
  uo7779->data[3] = emptyclosure;
  Method *meth_meth_ast_accept7779 = addmethod2pos(obj7775, "accept", &meth_ast_accept7779, 3);
int argcv_meth_ast_accept7779[] = {1};
meth_meth_ast_accept7779->type = alloc_MethodType(1, argcv_meth_ast_accept7779);
  meth_meth_ast_accept7779->definitionModule = modulename;
  meth_meth_ast_accept7779->definitionLine = 1855;
  struct UserObject *uo7782 = (struct UserObject*)obj7775;
  uo7782->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after7782 = addmethod2pos(obj7775, "map()before()after", &meth_ast_map_40__41_before_40__41_after7782, 4);
int argcv_meth_ast_map_40__41_before_40__41_after7782[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7782->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7782);
  meth_meth_ast_map_40__41_before_40__41_after7782->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7782->definitionLine = 1858;
  struct UserObject *uo7793 = (struct UserObject*)obj7775;
  uo7793->data[5] = emptyclosure;
  Method *meth_meth_ast_map7793 = addmethod2pos(obj7775, "map", &meth_ast_map7793, 5);
int argcv_meth_ast_map7793[] = {1};
meth_meth_ast_map7793->type = alloc_MethodType(1, argcv_meth_ast_map7793);
  meth_meth_ast_map7793->definitionModule = modulename;
  meth_meth_ast_map7793->definitionLine = 1865;
  struct UserObject *uo7802 = (struct UserObject*)obj7775;
  uo7802->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty7802 = addmethod2pos(obj7775, "pretty", &meth_ast_pretty7802, 6);
int argcv_meth_ast_pretty7802[] = {1};
meth_meth_ast_pretty7802->type = alloc_MethodType(1, argcv_meth_ast_pretty7802);
  meth_meth_ast_pretty7802->definitionModule = modulename;
  meth_meth_ast_pretty7802->definitionLine = 1868;
  struct UserObject *uo7845 = (struct UserObject*)obj7775;
  uo7845->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace7845 = addmethod2pos(obj7775, "toGrace", &meth_ast_toGrace7845, 7);
int argcv_meth_ast_toGrace7845[] = {1};
meth_meth_ast_toGrace7845->type = alloc_MethodType(1, argcv_meth_ast_toGrace7845);
meth_meth_ast_toGrace7845->type->types[0] = type_Number;
meth_meth_ast_toGrace7845->type->names[0] = "depth";
  meth_meth_ast_toGrace7845->definitionModule = modulename;
  meth_meth_ast_toGrace7845->definitionLine = 1878;
  sourceObject = obj7775;
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7856 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7857 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7856);
// compilenode returning call7857
  struct UserObject *obj7775_uo = (struct UserObject *)obj7775;
  obj7775_uo->super = call7857;
  sourceObject = obj7775;
// Begin line 1853
  setline(1853);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7858 == NULL) {
    strlit7858 = alloc_String("dialect");
    gc_root(strlit7858);
  }
// compilenode returning strlit7858
  adddatum2(obj7775, strlit7858, 1);
  sourceObject = obj7775;
// Begin line 1854
  setline(1854);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_path_39_
  adddatum2(obj7775, *var_path_39_, 2);
  sourceObject = obj7775;
  sourceObject = obj7775;
  sourceObject = obj7775;
  sourceObject = obj7775;
  sourceObject = obj7775;
objclass7775 = obj7775->class;
  objclass7775->definitionModule = modulename;
  objclass7775->definitionLine = 1806;
  (*(struct UserObject *)self).data[0] = lowerouter7775;
  self = oldself7775;
  selfslot = oldselfslot7775;
  stackframe = oldstackframe7775;
  gc_frame_end(frame);
  return obj7775;
}
Object meth_ast_returnNode7860(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "returnNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_returnNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for returnNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for returnNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_returnNode
  gc_frame_end(frame);
  return *var_returnNode;
}
Object meth_ast_accept7868(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7870 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call7871 = callmethod(*var_visitor, "visitReturn",
    1, partcv, params);
  gc_frame_end(callframe7870);
// compilenode returning call7871
  Object if7869 = done;
  if (istrue(call7871)) {
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7872 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe7873 = gc_frame_new();
  partcv[0] = 0;
  Object call7874 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7873);
// compilenode returning call7874
// compilenode returning call7874
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call7875 = callmethod(call7874, "accept",
    1, partcv, params);
  gc_frame_end(callframe7872);
// compilenode returning call7875
    gc_frame_newslot(call7875);
    if7869 = call7875;
  } else {
  }
// compilenode returning if7869
  gc_frame_end(frame);
  return if7869;
}
Object meth_ast_map_40__41_before_40__41_after7876(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[3];
  int partcv[3];
  Object *var_returnNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7877 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call7878 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe7877);
// compilenode returning call7878
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7879 = gc_frame_new();
  int callframe7880 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe7881 = gc_frame_new();
  partcv[0] = 0;
  Object call7882 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7881);
// compilenode returning call7882
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7883 = callmethod(call7882, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe7880);
// compilenode returning call7883
  gc_frame_newslot(call7883);
// compilenode returning *var_returnNode
  params[0] = call7883;
  partcv[0] = 1;
  Object call7884 = callmethod(*var_returnNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7879);
// compilenode returning call7884
  *var_n = call7884;
  if (call7884 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7885 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7886 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7885);
// compilenode returning call7886
  *var_n = call7886;
  if (call7886 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7888 = gc_frame_new();
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7889 = gc_frame_new();
  partcv[0] = 0;
  Object call7890 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7889);
// compilenode returning call7890
  gc_frame_newslot(call7890);
// compilenode returning *var_n
  params[0] = call7890;
  partcv[0] = 1;
  Object call7891 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe7888);
// compilenode returning call7891
// compilenode returning done
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7892 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7893 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe7892);
// compilenode returning call7893
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply7897(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply7900(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map7894(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7895 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block7896 = alloc_Block(NULL, NULL, "ast", 1900);
  gc_frame_newslot(block7896);
  block_savedest(block7896);
  Object closure7897 = createclosure(1, "_apply");
  setclosureframe(closure7897, stackframe);
  addtoclosure(closure7897, selfslot);
  struct UserObject *uo7897 = (struct UserObject*)block7896;
  uo7897->data[0] = (Object)closure7897;
  Method *meth_meth_ast__apply7897 = addmethod2pos(block7896, "_apply", &meth_ast__apply7897, 0);
int argcv_meth_ast__apply7897[] = {0};
meth_meth_ast__apply7897->type = alloc_MethodType(1, argcv_meth_ast__apply7897);
  meth_meth_ast__apply7897->definitionModule = modulename;
  meth_meth_ast__apply7897->definitionLine = 1888;
// compilenode returning block7896
  gc_frame_newslot(block7896);
  Object block7899 = alloc_Block(NULL, NULL, "ast", 1900);
  gc_frame_newslot(block7899);
  block_savedest(block7899);
  Object closure7900 = createclosure(1, "_apply");
  setclosureframe(closure7900, stackframe);
  addtoclosure(closure7900, selfslot);
  struct UserObject *uo7900 = (struct UserObject*)block7899;
  uo7900->data[0] = (Object)closure7900;
  Method *meth_meth_ast__apply7900 = addmethod2pos(block7899, "_apply", &meth_ast__apply7900, 0);
int argcv_meth_ast__apply7900[] = {0};
meth_meth_ast__apply7900->type = alloc_MethodType(1, argcv_meth_ast__apply7900);
  meth_meth_ast__apply7900->definitionModule = modulename;
  meth_meth_ast__apply7900->definitionLine = 1888;
// compilenode returning block7899
  gc_frame_newslot(block7899);
  params[0] = *var_blk;
  params[1] = block7896;
  params[2] = block7899;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7902 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7895);
// compilenode returning call7902
  gc_frame_end(frame);
  return call7902;
}
Object meth_ast__apply7911(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1905
  setline(1905);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7913 == NULL) {
    strlit7913 = alloc_String("  ");
    gc_root(strlit7913);
  }
// compilenode returning strlit7913
  int op_slot_right_7912 = gc_frame_newslot(strlit7913);
// compilenode returning *var_spc
  int op_slot_left_7912 = gc_frame_newslot(*var_spc);
  params[0] = strlit7913;
  partcv[0] = 1;
  Object opresult7915 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult7915
  *var_spc = opresult7915;
  if (opresult7915 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty7903(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7904 == NULL) {
    strlit7904 = alloc_String("");
    gc_root(strlit7904);
  }
// compilenode returning strlit7904
  *var_spc = strlit7904;
  if (strlit7904 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7905 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_7906 = gc_frame_newslot(*var_depth);
  Object num7908 = alloc_Float64(0);
// compilenode returning num7908
  int op_slot_left_7906 = gc_frame_newslot(num7908);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7909 = callmethod(num7908, "..", 1, partcv, params);
// compilenode returning opresult7909
  gc_frame_newslot(opresult7909);
  Object block7910 = alloc_Block(NULL, NULL, "ast", 1904);
  gc_frame_newslot(block7910);
  block_savedest(block7910);
  Object closure7911 = createclosure(2, "_apply");
  setclosureframe(closure7911, stackframe);
  addtoclosure(closure7911, var_spc);
  addtoclosure(closure7911, selfslot);
  struct UserObject *uo7911 = (struct UserObject*)block7910;
  uo7911->data[0] = (Object)closure7911;
  Method *meth_meth_ast__apply7911 = addmethod2pos(block7910, "_apply", &meth_ast__apply7911, 0);
int argcv_meth_ast__apply7911[] = {1};
meth_meth_ast__apply7911->type = alloc_MethodType(1, argcv_meth_ast__apply7911);
  meth_meth_ast__apply7911->definitionModule = modulename;
  meth_meth_ast__apply7911->definitionLine = 1888;
// compilenode returning block7910
  gc_frame_newslot(block7910);
  params[0] = opresult7909;
  params[1] = block7910;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7918 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7905);
// compilenode returning call7918
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7919 == NULL) {
    strlit7919 = alloc_String("Return");
    gc_root(strlit7919);
  }
// compilenode returning strlit7919
  *var_s = strlit7919;
  if (strlit7919 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1909
  setline(1909);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7921 == NULL) {
    strlit7921 = alloc_String("""\x0a""");
    gc_root(strlit7921);
  }
// compilenode returning strlit7921
  int op_slot_right_7920 = gc_frame_newslot(strlit7921);
// compilenode returning *var_s
  int op_slot_left_7920 = gc_frame_newslot(*var_s);
  params[0] = strlit7921;
  partcv[0] = 1;
  Object opresult7923 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7923
  *var_s = opresult7923;
  if (opresult7923 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1909
  setline(1909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7926 = gc_frame_new();
  Object num7928 = alloc_Float64(1);
// compilenode returning num7928
  int op_slot_right_7927 = gc_frame_newslot(num7928);
// compilenode returning *var_depth
  int op_slot_left_7927 = gc_frame_newslot(*var_depth);
  params[0] = num7928;
  partcv[0] = 1;
  Object sum7930 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum7930
  gc_frame_newslot(sum7930);
  int callframe7931 = gc_frame_new();
  partcv[0] = 0;
  Object call7932 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7931);
// compilenode returning call7932
// compilenode returning call7932
  params[0] = sum7930;
  partcv[0] = 1;
  Object call7933 = callmethod(call7932, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7926);
// compilenode returning call7933
  int op_slot_right_7925 = gc_frame_newslot(call7933);
// compilenode returning *var_spc
  int op_slot_right_7935 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_7935 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7937 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult7937
  int op_slot_left_7925 = gc_frame_newslot(opresult7937);
  params[0] = call7933;
  partcv[0] = 1;
  Object opresult7938 = callmethod(opresult7937, "++", 1, partcv, params);
// compilenode returning opresult7938
  *var_s = opresult7938;
  if (opresult7938 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace7940(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7942 = gc_frame_new();
// compilenode returning *var_depth
  gc_frame_newslot(*var_depth);
  int callframe7943 = gc_frame_new();
  partcv[0] = 0;
  Object call7944 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7943);
// compilenode returning call7944
// compilenode returning call7944
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7945 = callmethod(call7944, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7942);
// compilenode returning call7945
  int op_slot_right_7941 = gc_frame_newslot(call7945);
  if (strlit7947 == NULL) {
    strlit7947 = alloc_String("return ");
    gc_root(strlit7947);
  }
// compilenode returning strlit7947
  int op_slot_left_7941 = gc_frame_newslot(strlit7947);
  params[0] = call7945;
  partcv[0] = 1;
  Object opresult7948 = callmethod(strlit7947, "++", 1, partcv, params);
// compilenode returning opresult7948
  gc_frame_end(frame);
  return opresult7948;
}
Object meth_ast_new7863(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_returnNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7864 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7864 = alloc_userobj2(8,9, objclass7864);
  gc_frame_newslot(obj7864);
if (objclass7864 == NULL) {
  glfree(obj7864->class->name);
  obj7864->class->name = "returnNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7864, self, 0);
  addmethodreal(obj7864,"outer", &reader_ast_outer_7865);
  Object oldself7864 = self;
  struct StackFrameObject *oldstackframe7864 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7864);
  gc_frame_newslot((Object)stackframe);
  self = obj7864;
  Object *oldselfslot7864 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7864 = (*(struct UserObject *)self).data[0], lowerouter7864 = thisouter7864;
  if (inheritingObject7864) {
    struct UserObject *inho7864 = (struct UserObject *)inheritingObject7864;
    while (inho7864->super != GraceDefaultObject) inho7864 = (struct UserObject *)inho7864->super;
    inho7864->super = obj7864;
    self = inheritingObject7864;
    *selfslot = self;
    lowerouter7864 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7864;
  }
if (objclass7864 == NULL) {
  Method *reader7866 = addmethodrealflags(obj7864, "kind",&reader_ast_kind_7866, MFLAG_DEF);
  reader7866->definitionModule = modulename;
  reader7866->definitionLine = 1885;
}
adddatum2(obj7864, alloc_Undefined(), 1);
if (objclass7864 == NULL) {
  Method *reader7867 = addmethodrealflags(obj7864, "value",&reader_ast_value_7867, MFLAG_DEF);
  reader7867->definitionModule = modulename;
  reader7867->definitionLine = 1886;
}
adddatum2(obj7864, alloc_Undefined(), 2);
  struct UserObject *uo7868 = (struct UserObject*)obj7864;
  uo7868->data[3] = emptyclosure;
  Method *meth_meth_ast_accept7868 = addmethod2pos(obj7864, "accept", &meth_ast_accept7868, 3);
int argcv_meth_ast_accept7868[] = {1};
meth_meth_ast_accept7868->type = alloc_MethodType(1, argcv_meth_ast_accept7868);
  meth_meth_ast_accept7868->definitionModule = modulename;
  meth_meth_ast_accept7868->definitionLine = 1886;
  block_savedest(obj7864);
  Object closure7876 = createclosure(1, "map()before()after");
  setclosureframe(closure7876, stackframe);
  addtoclosure(closure7876, var_returnNode);
  struct UserObject *uo7876 = (struct UserObject*)obj7864;
  uo7876->data[4] = (Object)closure7876;
  Method *meth_meth_ast_map_40__41_before_40__41_after7876 = addmethod2pos(obj7864, "map()before()after", &meth_ast_map_40__41_before_40__41_after7876, 4);
int argcv_meth_ast_map_40__41_before_40__41_after7876[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7876->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7876);
  meth_meth_ast_map_40__41_before_40__41_after7876->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7876->definitionLine = 1891;
  struct UserObject *uo7894 = (struct UserObject*)obj7864;
  uo7894->data[5] = emptyclosure;
  Method *meth_meth_ast_map7894 = addmethod2pos(obj7864, "map", &meth_ast_map7894, 5);
int argcv_meth_ast_map7894[] = {1};
meth_meth_ast_map7894->type = alloc_MethodType(1, argcv_meth_ast_map7894);
  meth_meth_ast_map7894->definitionModule = modulename;
  meth_meth_ast_map7894->definitionLine = 1899;
  struct UserObject *uo7903 = (struct UserObject*)obj7864;
  uo7903->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty7903 = addmethod2pos(obj7864, "pretty", &meth_ast_pretty7903, 6);
int argcv_meth_ast_pretty7903[] = {1};
meth_meth_ast_pretty7903->type = alloc_MethodType(1, argcv_meth_ast_pretty7903);
  meth_meth_ast_pretty7903->definitionModule = modulename;
  meth_meth_ast_pretty7903->definitionLine = 1902;
  struct UserObject *uo7940 = (struct UserObject*)obj7864;
  uo7940->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace7940 = addmethod2pos(obj7864, "toGrace", &meth_ast_toGrace7940, 7);
int argcv_meth_ast_toGrace7940[] = {1};
meth_meth_ast_toGrace7940->type = alloc_MethodType(1, argcv_meth_ast_toGrace7940);
meth_meth_ast_toGrace7940->type->types[0] = type_Number;
meth_meth_ast_toGrace7940->type->names[0] = "depth";
  meth_meth_ast_toGrace7940->definitionModule = modulename;
  meth_meth_ast_toGrace7940->definitionLine = 1912;
  sourceObject = obj7864;
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7949 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7950 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7949);
// compilenode returning call7950
  struct UserObject *obj7864_uo = (struct UserObject *)obj7864;
  obj7864_uo->super = call7950;
  sourceObject = obj7864;
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7951 == NULL) {
    strlit7951 = alloc_String("return");
    gc_root(strlit7951);
  }
// compilenode returning strlit7951
  adddatum2(obj7864, strlit7951, 1);
  sourceObject = obj7864;
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_expr
  adddatum2(obj7864, *var_expr, 2);
  sourceObject = obj7864;
  sourceObject = obj7864;
  sourceObject = obj7864;
  sourceObject = obj7864;
  sourceObject = obj7864;
objclass7864 = obj7864->class;
  objclass7864->definitionModule = modulename;
  objclass7864->definitionLine = 1879;
  (*(struct UserObject *)self).data[0] = lowerouter7864;
  self = oldself7864;
  selfslot = oldselfslot7864;
  stackframe = oldstackframe7864;
  gc_frame_end(frame);
  return obj7864;
}
Object meth_ast_new7863_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_returnNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7864 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7864 = alloc_userobj2(8,9, objclass7864);
  gc_frame_newslot(obj7864);
if (objclass7864 == NULL) {
  glfree(obj7864->class->name);
  obj7864->class->name = "returnNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7864, self, 0);
  addmethodreal(obj7864,"outer", &reader_ast_outer_7865);
  Object oldself7864 = self;
  struct StackFrameObject *oldstackframe7864 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7864);
  gc_frame_newslot((Object)stackframe);
  self = obj7864;
  Object *oldselfslot7864 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7864 = (*(struct UserObject *)self).data[0], lowerouter7864 = thisouter7864;
  if (inheritingObject7864) {
    struct UserObject *inho7864 = (struct UserObject *)inheritingObject7864;
    while (inho7864->super != GraceDefaultObject) inho7864 = (struct UserObject *)inho7864->super;
    inho7864->super = obj7864;
    self = inheritingObject7864;
    *selfslot = self;
    lowerouter7864 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7864;
  }
if (objclass7864 == NULL) {
  Method *reader7866 = addmethodrealflags(obj7864, "kind",&reader_ast_kind_7866, MFLAG_DEF);
  reader7866->definitionModule = modulename;
  reader7866->definitionLine = 1885;
}
adddatum2(obj7864, alloc_Undefined(), 1);
if (objclass7864 == NULL) {
  Method *reader7867 = addmethodrealflags(obj7864, "value",&reader_ast_value_7867, MFLAG_DEF);
  reader7867->definitionModule = modulename;
  reader7867->definitionLine = 1886;
}
adddatum2(obj7864, alloc_Undefined(), 2);
  struct UserObject *uo7868 = (struct UserObject*)obj7864;
  uo7868->data[3] = emptyclosure;
  Method *meth_meth_ast_accept7868 = addmethod2pos(obj7864, "accept", &meth_ast_accept7868, 3);
int argcv_meth_ast_accept7868[] = {1};
meth_meth_ast_accept7868->type = alloc_MethodType(1, argcv_meth_ast_accept7868);
  meth_meth_ast_accept7868->definitionModule = modulename;
  meth_meth_ast_accept7868->definitionLine = 1886;
  block_savedest(obj7864);
  Object closure7876 = createclosure(1, "map()before()after");
  setclosureframe(closure7876, stackframe);
  addtoclosure(closure7876, var_returnNode);
  struct UserObject *uo7876 = (struct UserObject*)obj7864;
  uo7876->data[4] = (Object)closure7876;
  Method *meth_meth_ast_map_40__41_before_40__41_after7876 = addmethod2pos(obj7864, "map()before()after", &meth_ast_map_40__41_before_40__41_after7876, 4);
int argcv_meth_ast_map_40__41_before_40__41_after7876[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7876->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7876);
  meth_meth_ast_map_40__41_before_40__41_after7876->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7876->definitionLine = 1891;
  struct UserObject *uo7894 = (struct UserObject*)obj7864;
  uo7894->data[5] = emptyclosure;
  Method *meth_meth_ast_map7894 = addmethod2pos(obj7864, "map", &meth_ast_map7894, 5);
int argcv_meth_ast_map7894[] = {1};
meth_meth_ast_map7894->type = alloc_MethodType(1, argcv_meth_ast_map7894);
  meth_meth_ast_map7894->definitionModule = modulename;
  meth_meth_ast_map7894->definitionLine = 1899;
  struct UserObject *uo7903 = (struct UserObject*)obj7864;
  uo7903->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty7903 = addmethod2pos(obj7864, "pretty", &meth_ast_pretty7903, 6);
int argcv_meth_ast_pretty7903[] = {1};
meth_meth_ast_pretty7903->type = alloc_MethodType(1, argcv_meth_ast_pretty7903);
  meth_meth_ast_pretty7903->definitionModule = modulename;
  meth_meth_ast_pretty7903->definitionLine = 1902;
  struct UserObject *uo7940 = (struct UserObject*)obj7864;
  uo7940->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace7940 = addmethod2pos(obj7864, "toGrace", &meth_ast_toGrace7940, 7);
int argcv_meth_ast_toGrace7940[] = {1};
meth_meth_ast_toGrace7940->type = alloc_MethodType(1, argcv_meth_ast_toGrace7940);
meth_meth_ast_toGrace7940->type->types[0] = type_Number;
meth_meth_ast_toGrace7940->type->names[0] = "depth";
  meth_meth_ast_toGrace7940->definitionModule = modulename;
  meth_meth_ast_toGrace7940->definitionLine = 1912;
  sourceObject = obj7864;
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7949 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7950 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7949);
// compilenode returning call7950
  struct UserObject *obj7864_uo = (struct UserObject *)obj7864;
  obj7864_uo->super = call7950;
  sourceObject = obj7864;
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7951 == NULL) {
    strlit7951 = alloc_String("return");
    gc_root(strlit7951);
  }
// compilenode returning strlit7951
  adddatum2(obj7864, strlit7951, 1);
  sourceObject = obj7864;
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_expr
  adddatum2(obj7864, *var_expr, 2);
  sourceObject = obj7864;
  sourceObject = obj7864;
  sourceObject = obj7864;
  sourceObject = obj7864;
  sourceObject = obj7864;
objclass7864 = obj7864->class;
  objclass7864->definitionModule = modulename;
  objclass7864->definitionLine = 1879;
  (*(struct UserObject *)self).data[0] = lowerouter7864;
  self = oldself7864;
  selfslot = oldselfslot7864;
  stackframe = oldstackframe7864;
  gc_frame_end(frame);
  return obj7864;
}
Object meth_ast_inheritsNode7953(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritsNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_inheritsNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for inheritsNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for inheritsNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_inheritsNode
  gc_frame_end(frame);
  return *var_inheritsNode;
}
Object meth_ast_accept7962(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7964 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_visitor
  params[0] = self;
  partcv[0] = 1;
  Object call7965 = callmethod(*var_visitor, "visitInherits",
    1, partcv, params);
  gc_frame_end(callframe7964);
// compilenode returning call7965
  Object if7963 = done;
  if (istrue(call7965)) {
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7966 = gc_frame_new();
// compilenode returning *var_visitor
  gc_frame_newslot(*var_visitor);
  int callframe7967 = gc_frame_new();
  partcv[0] = 0;
  Object call7968 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7967);
// compilenode returning call7968
// compilenode returning call7968
  params[0] = *var_visitor;
  partcv[0] = 1;
  Object call7969 = callmethod(call7968, "accept",
    1, partcv, params);
  gc_frame_end(callframe7966);
// compilenode returning call7969
    gc_frame_newslot(call7969);
    if7963 = call7969;
  } else {
  }
// compilenode returning if7963
  gc_frame_end(frame);
  return if7963;
}
Object meth_ast_map_40__41_before_40__41_after7970(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[3];
  int partcv[3];
  Object *var_inheritsNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7971 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call7972 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe7971);
// compilenode returning call7972
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7973 = gc_frame_new();
  int callframe7974 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe7975 = gc_frame_new();
  partcv[0] = 0;
  Object call7976 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7975);
// compilenode returning call7976
  params[0] = *var_blk;
  params[1] = *var_blkBefore;
  params[2] = *var_blkAfter;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7977 = callmethod(call7976, "map()before()after",
    3, partcv, params);
  gc_frame_end(callframe7974);
// compilenode returning call7977
  gc_frame_newslot(call7977);
// compilenode returning *var_inheritsNode
  params[0] = call7977;
  partcv[0] = 1;
  Object call7978 = callmethod(*var_inheritsNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7973);
// compilenode returning call7978
  *var_n = call7978;
  if (call7978 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7979 = gc_frame_new();
  int callframe7980 = gc_frame_new();
  partcv[0] = 0;
  Object call7981 = callmethodflags(self, "providedNames", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7980);
// compilenode returning call7981
  gc_frame_newslot(call7981);
  int callframe7982 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call7983 = callmethod(*var_n, "providedNames",
    1, partcv, params);
  gc_frame_end(callframe7982);
// compilenode returning call7983
// compilenode returning call7983
  params[0] = call7981;
  partcv[0] = 1;
  Object call7984 = callmethod(call7983, "addAll",
    1, partcv, params);
  gc_frame_end(callframe7979);
// compilenode returning call7984
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7985 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7986 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7985);
// compilenode returning call7986
  *var_n = call7986;
  if (call7986 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7988 = gc_frame_new();
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7989 = gc_frame_new();
  partcv[0] = 0;
  Object call7990 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7989);
// compilenode returning call7990
  gc_frame_newslot(call7990);
// compilenode returning *var_n
  params[0] = call7990;
  partcv[0] = 1;
  Object call7991 = callmethod(*var_n, "line:=",
    1, partcv, params);
  gc_frame_end(callframe7988);
// compilenode returning call7991
// compilenode returning done
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7992 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7993 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe7992);
// compilenode returning call7993
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply7997(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8000(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map7994(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7995 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block7996 = alloc_Block(NULL, NULL, "ast", 1936);
  gc_frame_newslot(block7996);
  block_savedest(block7996);
  Object closure7997 = createclosure(1, "_apply");
  setclosureframe(closure7997, stackframe);
  addtoclosure(closure7997, selfslot);
  struct UserObject *uo7997 = (struct UserObject*)block7996;
  uo7997->data[0] = (Object)closure7997;
  Method *meth_meth_ast__apply7997 = addmethod2pos(block7996, "_apply", &meth_ast__apply7997, 0);
int argcv_meth_ast__apply7997[] = {0};
meth_meth_ast__apply7997->type = alloc_MethodType(1, argcv_meth_ast__apply7997);
  meth_meth_ast__apply7997->definitionModule = modulename;
  meth_meth_ast__apply7997->definitionLine = 1929;
// compilenode returning block7996
  gc_frame_newslot(block7996);
  Object block7999 = alloc_Block(NULL, NULL, "ast", 1936);
  gc_frame_newslot(block7999);
  block_savedest(block7999);
  Object closure8000 = createclosure(1, "_apply");
  setclosureframe(closure8000, stackframe);
  addtoclosure(closure8000, selfslot);
  struct UserObject *uo8000 = (struct UserObject*)block7999;
  uo8000->data[0] = (Object)closure8000;
  Method *meth_meth_ast__apply8000 = addmethod2pos(block7999, "_apply", &meth_ast__apply8000, 0);
int argcv_meth_ast__apply8000[] = {0};
meth_meth_ast__apply8000->type = alloc_MethodType(1, argcv_meth_ast__apply8000);
  meth_meth_ast__apply8000->definitionModule = modulename;
  meth_meth_ast__apply8000->definitionLine = 1929;
// compilenode returning block7999
  gc_frame_newslot(block7999);
  params[0] = *var_blk;
  params[1] = block7996;
  params[2] = block7999;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8002 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7995);
// compilenode returning call8002
  gc_frame_end(frame);
  return call8002;
}
Object meth_ast__apply8011(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8013 == NULL) {
    strlit8013 = alloc_String("  ");
    gc_root(strlit8013);
  }
// compilenode returning strlit8013
  int op_slot_right_8012 = gc_frame_newslot(strlit8013);
// compilenode returning *var_spc
  int op_slot_left_8012 = gc_frame_newslot(*var_spc);
  params[0] = strlit8013;
  partcv[0] = 1;
  Object opresult8015 = callmethod(*var_spc, "++", 1, partcv, params);
// compilenode returning opresult8015
  *var_spc = opresult8015;
  if (opresult8015 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty8003(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8004 == NULL) {
    strlit8004 = alloc_String("");
    gc_root(strlit8004);
  }
// compilenode returning strlit8004
  *var_spc = strlit8004;
  if (strlit8004 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8005 = gc_frame_new();
// compilenode returning *var_depth
  int op_slot_right_8006 = gc_frame_newslot(*var_depth);
  Object num8008 = alloc_Float64(0);
// compilenode returning num8008
  int op_slot_left_8006 = gc_frame_newslot(num8008);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult8009 = callmethod(num8008, "..", 1, partcv, params);
// compilenode returning opresult8009
  gc_frame_newslot(opresult8009);
  Object block8010 = alloc_Block(NULL, NULL, "ast", 1940);
  gc_frame_newslot(block8010);
  block_savedest(block8010);
  Object closure8011 = createclosure(2, "_apply");
  setclosureframe(closure8011, stackframe);
  addtoclosure(closure8011, var_spc);
  addtoclosure(closure8011, selfslot);
  struct UserObject *uo8011 = (struct UserObject*)block8010;
  uo8011->data[0] = (Object)closure8011;
  Method *meth_meth_ast__apply8011 = addmethod2pos(block8010, "_apply", &meth_ast__apply8011, 0);
int argcv_meth_ast__apply8011[] = {1};
meth_meth_ast__apply8011->type = alloc_MethodType(1, argcv_meth_ast__apply8011);
  meth_meth_ast__apply8011->definitionModule = modulename;
  meth_meth_ast__apply8011->definitionLine = 1929;
// compilenode returning block8010
  gc_frame_newslot(block8010);
  params[0] = opresult8009;
  params[1] = block8010;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8018 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8005);
// compilenode returning call8018
// Begin line 1944
  setline(1944);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8019 == NULL) {
    strlit8019 = alloc_String("Inherits");
    gc_root(strlit8019);
  }
// compilenode returning strlit8019
  *var_s = strlit8019;
  if (strlit8019 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1944
  setline(1944);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8021 == NULL) {
    strlit8021 = alloc_String("""\x0a""");
    gc_root(strlit8021);
  }
// compilenode returning strlit8021
  int op_slot_right_8020 = gc_frame_newslot(strlit8021);
// compilenode returning *var_s
  int op_slot_left_8020 = gc_frame_newslot(*var_s);
  params[0] = strlit8021;
  partcv[0] = 1;
  Object opresult8023 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult8023
  *var_s = opresult8023;
  if (opresult8023 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8026 = gc_frame_new();
  Object num8028 = alloc_Float64(1);
// compilenode returning num8028
  int op_slot_right_8027 = gc_frame_newslot(num8028);
// compilenode returning *var_depth
  int op_slot_left_8027 = gc_frame_newslot(*var_depth);
  params[0] = num8028;
  partcv[0] = 1;
  Object sum8030 = callmethod(*var_depth, "+", 1, partcv, params);
// compilenode returning sum8030
  gc_frame_newslot(sum8030);
  int callframe8031 = gc_frame_new();
  partcv[0] = 0;
  Object call8032 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8031);
// compilenode returning call8032
// compilenode returning call8032
  params[0] = sum8030;
  partcv[0] = 1;
  Object call8033 = callmethod(call8032, "pretty",
    1, partcv, params);
  gc_frame_end(callframe8026);
// compilenode returning call8033
  int op_slot_right_8025 = gc_frame_newslot(call8033);
// compilenode returning *var_spc
  int op_slot_right_8035 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_8035 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8037 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult8037
  int op_slot_left_8025 = gc_frame_newslot(opresult8037);
  params[0] = call8033;
  partcv[0] = 1;
  Object opresult8038 = callmethod(opresult8037, "++", 1, partcv, params);
// compilenode returning opresult8038
  *var_s = opresult8038;
  if (opresult8038 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8041 = gc_frame_new();
  int callframe8042 = gc_frame_new();
  int callframe8043 = gc_frame_new();
  partcv[0] = 0;
  Object call8044 = callmethodflags(self, "providedNames", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8043);
// compilenode returning call8044
  partcv[0] = 0;
  Object call8045 = callmethod(call8044, "isEmpty",
    1, partcv, params);
  gc_frame_end(callframe8042);
// compilenode returning call8045
// compilenode returning call8045
  partcv[0] = 0;
  Object call8046 = callmethod(call8045, "not",
    1, partcv, params);
  gc_frame_end(callframe8041);
// compilenode returning call8046
// compilenode returning call8046
  Object if8040 = done;
  if (istrue(call8046)) {
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1947
  setline(1947);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8048 == NULL) {
    strlit8048 = alloc_String("""\x0a"" Provided names: ");
    gc_root(strlit8048);
  }
// compilenode returning strlit8048
  int op_slot_right_8047 = gc_frame_newslot(strlit8048);
// compilenode returning *var_s
  int op_slot_left_8047 = gc_frame_newslot(*var_s);
  params[0] = strlit8048;
  partcv[0] = 1;
  Object opresult8050 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult8050
  *var_s = opresult8050;
  if (opresult8050 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1949
  setline(1949);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8053 = gc_frame_new();
  int callframe8054 = gc_frame_new();
  partcv[0] = 0;
  Object call8055 = callmethodflags(self, "providedNames", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8054);
// compilenode returning call8055
  partcv[0] = 0;
  Object call8056 = callmethod(call8055, "asString",
    1, partcv, params);
  gc_frame_end(callframe8053);
// compilenode returning call8056
// compilenode returning call8056
  int op_slot_right_8052 = gc_frame_newslot(call8056);
// compilenode returning *var_spc
  int op_slot_right_8058 = gc_frame_newslot(*var_spc);
// compilenode returning *var_s
  int op_slot_left_8058 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8060 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult8060
  int op_slot_left_8052 = gc_frame_newslot(opresult8060);
  params[0] = call8056;
  partcv[0] = 1;
  Object opresult8061 = callmethod(opresult8060, "++", 1, partcv, params);
// compilenode returning opresult8061
  *var_s = opresult8061;
  if (opresult8061 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8040 = done;
  } else {
  }
// compilenode returning if8040
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace8063(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8065 == NULL) {
    strlit8065 = alloc_String("");
    gc_root(strlit8065);
  }
// compilenode returning strlit8065
  int op_slot_right_8064 = gc_frame_newslot(strlit8065);
  int callframe8068 = gc_frame_new();
  Object num8069 = alloc_Float64(0);
// compilenode returning num8069
  gc_frame_newslot(num8069);
  int callframe8070 = gc_frame_new();
  partcv[0] = 0;
  Object call8071 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8070);
// compilenode returning call8071
// compilenode returning call8071
  params[0] = num8069;
  partcv[0] = 1;
  Object call8072 = callmethod(call8071, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8068);
// compilenode returning call8072
  int op_slot_right_8067 = gc_frame_newslot(call8072);
  if (strlit8074 == NULL) {
    strlit8074 = alloc_String("inherits ");
    gc_root(strlit8074);
  }
// compilenode returning strlit8074
  int op_slot_left_8067 = gc_frame_newslot(strlit8074);
  params[0] = call8072;
  partcv[0] = 1;
  Object opresult8075 = callmethod(strlit8074, "++", 1, partcv, params);
// compilenode returning opresult8075
  int op_slot_left_8064 = gc_frame_newslot(opresult8075);
  params[0] = strlit8065;
  partcv[0] = 1;
  Object opresult8076 = callmethod(opresult8075, "++", 1, partcv, params);
// compilenode returning opresult8076
  gc_frame_end(frame);
  return opresult8076;
}
Object meth_ast_nameString8077(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nameString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for nameString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8078 = gc_frame_new();
  Object num8079 = alloc_Float64(0);
// compilenode returning num8079
  gc_frame_newslot(num8079);
  int callframe8080 = gc_frame_new();
  partcv[0] = 0;
  Object call8081 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8080);
// compilenode returning call8081
  params[0] = num8079;
  partcv[0] = 1;
  Object call8082 = callmethod(call8081, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8078);
// compilenode returning call8082
  gc_frame_end(frame);
  return call8082;
}
Object meth_ast_new7956(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_inheritsNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7957 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7957 = alloc_userobj2(10,11, objclass7957);
  gc_frame_newslot(obj7957);
if (objclass7957 == NULL) {
  glfree(obj7957->class->name);
  obj7957->class->name = "inheritsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7957, self, 0);
  addmethodreal(obj7957,"outer", &reader_ast_outer_7958);
  Object oldself7957 = self;
  struct StackFrameObject *oldstackframe7957 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7957);
  gc_frame_newslot((Object)stackframe);
  self = obj7957;
  Object *oldselfslot7957 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7957 = (*(struct UserObject *)self).data[0], lowerouter7957 = thisouter7957;
  if (inheritingObject7957) {
    struct UserObject *inho7957 = (struct UserObject *)inheritingObject7957;
    while (inho7957->super != GraceDefaultObject) inho7957 = (struct UserObject *)inho7957->super;
    inho7957->super = obj7957;
    self = inheritingObject7957;
    *selfslot = self;
    lowerouter7957 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7957;
  }
if (objclass7957 == NULL) {
  Method *reader7959 = addmethodrealflags(obj7957, "kind",&reader_ast_kind_7959, MFLAG_DEF);
  reader7959->definitionModule = modulename;
  reader7959->definitionLine = 1919;
}
adddatum2(obj7957, alloc_Undefined(), 1);
if (objclass7957 == NULL) {
  Method *reader7960 = addmethodrealflags(obj7957, "value",&reader_ast_value_7960, MFLAG_DEF);
  reader7960->definitionModule = modulename;
  reader7960->definitionLine = 1920;
}
adddatum2(obj7957, alloc_Undefined(), 2);
if (objclass7957 == NULL) {
  Method *reader7961 = addmethodrealflags(obj7957, "providedNames",&reader_ast_providedNames_7961, MFLAG_DEF);
  reader7961->definitionModule = modulename;
  reader7961->definitionLine = 1921;
}
adddatum2(obj7957, alloc_Undefined(), 3);
  struct UserObject *uo7962 = (struct UserObject*)obj7957;
  uo7962->data[4] = emptyclosure;
  Method *meth_meth_ast_accept7962 = addmethod2pos(obj7957, "accept", &meth_ast_accept7962, 4);
int argcv_meth_ast_accept7962[] = {1};
meth_meth_ast_accept7962->type = alloc_MethodType(1, argcv_meth_ast_accept7962);
  meth_meth_ast_accept7962->definitionModule = modulename;
  meth_meth_ast_accept7962->definitionLine = 1921;
  block_savedest(obj7957);
  Object closure7970 = createclosure(1, "map()before()after");
  setclosureframe(closure7970, stackframe);
  addtoclosure(closure7970, var_inheritsNode);
  struct UserObject *uo7970 = (struct UserObject*)obj7957;
  uo7970->data[5] = (Object)closure7970;
  Method *meth_meth_ast_map_40__41_before_40__41_after7970 = addmethod2pos(obj7957, "map()before()after", &meth_ast_map_40__41_before_40__41_after7970, 5);
int argcv_meth_ast_map_40__41_before_40__41_after7970[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7970->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7970);
  meth_meth_ast_map_40__41_before_40__41_after7970->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7970->definitionLine = 1926;
  struct UserObject *uo7994 = (struct UserObject*)obj7957;
  uo7994->data[6] = emptyclosure;
  Method *meth_meth_ast_map7994 = addmethod2pos(obj7957, "map", &meth_ast_map7994, 6);
int argcv_meth_ast_map7994[] = {1};
meth_meth_ast_map7994->type = alloc_MethodType(1, argcv_meth_ast_map7994);
  meth_meth_ast_map7994->definitionModule = modulename;
  meth_meth_ast_map7994->definitionLine = 1935;
  struct UserObject *uo8003 = (struct UserObject*)obj7957;
  uo8003->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty8003 = addmethod2pos(obj7957, "pretty", &meth_ast_pretty8003, 7);
int argcv_meth_ast_pretty8003[] = {1};
meth_meth_ast_pretty8003->type = alloc_MethodType(1, argcv_meth_ast_pretty8003);
  meth_meth_ast_pretty8003->definitionModule = modulename;
  meth_meth_ast_pretty8003->definitionLine = 1938;
  struct UserObject *uo8063 = (struct UserObject*)obj7957;
  uo8063->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace8063 = addmethod2pos(obj7957, "toGrace", &meth_ast_toGrace8063, 8);
int argcv_meth_ast_toGrace8063[] = {1};
meth_meth_ast_toGrace8063->type = alloc_MethodType(1, argcv_meth_ast_toGrace8063);
meth_meth_ast_toGrace8063->type->types[0] = type_Number;
meth_meth_ast_toGrace8063->type->names[0] = "depth";
  meth_meth_ast_toGrace8063->definitionModule = modulename;
  meth_meth_ast_toGrace8063->definitionLine = 1952;
  struct UserObject *uo8077 = (struct UserObject*)obj7957;
  uo8077->data[9] = emptyclosure;
  Method *meth_meth_ast_nameString8077 = addmethod2pos(obj7957, "nameString", &meth_ast_nameString8077, 9);
int argcv_meth_ast_nameString8077[] = {0};
meth_meth_ast_nameString8077->type = alloc_MethodType(1, argcv_meth_ast_nameString8077);
  meth_meth_ast_nameString8077->definitionModule = modulename;
  meth_meth_ast_nameString8077->definitionLine = 1955;
  sourceObject = obj7957;
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8083 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8084 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8083);
// compilenode returning call8084
  struct UserObject *obj7957_uo = (struct UserObject *)obj7957;
  obj7957_uo->super = call8084;
  sourceObject = obj7957;
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8085 == NULL) {
    strlit8085 = alloc_String("inherits");
    gc_root(strlit8085);
  }
// compilenode returning strlit8085
  adddatum2(obj7957, strlit8085, 1);
  sourceObject = obj7957;
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_expr
  adddatum2(obj7957, *var_expr, 2);
  sourceObject = obj7957;
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8086 = gc_frame_new();
  int callframe8087 = gc_frame_new();
  partcv[0] = 0;
  Object call8088 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8087);
// compilenode returning call8088
  partcv[0] = 0;
  Object call8089 = callmethod(call8088, "empty",
    1, partcv, params);
  gc_frame_end(callframe8086);
// compilenode returning call8089
// compilenode returning call8089
  adddatum2(obj7957, call8089, 3);
  sourceObject = obj7957;
  sourceObject = obj7957;
  sourceObject = obj7957;
  sourceObject = obj7957;
  sourceObject = obj7957;
  sourceObject = obj7957;
objclass7957 = obj7957->class;
  objclass7957->definitionModule = modulename;
  objclass7957->definitionLine = 1913;
  (*(struct UserObject *)self).data[0] = lowerouter7957;
  self = oldself7957;
  selfslot = oldselfslot7957;
  stackframe = oldstackframe7957;
  gc_frame_end(frame);
  return obj7957;
}
Object meth_ast_new7956_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_inheritsNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7957 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7957 = alloc_userobj2(10,11, objclass7957);
  gc_frame_newslot(obj7957);
if (objclass7957 == NULL) {
  glfree(obj7957->class->name);
  obj7957->class->name = "inheritsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7957, self, 0);
  addmethodreal(obj7957,"outer", &reader_ast_outer_7958);
  Object oldself7957 = self;
  struct StackFrameObject *oldstackframe7957 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7957);
  gc_frame_newslot((Object)stackframe);
  self = obj7957;
  Object *oldselfslot7957 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7957 = (*(struct UserObject *)self).data[0], lowerouter7957 = thisouter7957;
  if (inheritingObject7957) {
    struct UserObject *inho7957 = (struct UserObject *)inheritingObject7957;
    while (inho7957->super != GraceDefaultObject) inho7957 = (struct UserObject *)inho7957->super;
    inho7957->super = obj7957;
    self = inheritingObject7957;
    *selfslot = self;
    lowerouter7957 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7957;
  }
if (objclass7957 == NULL) {
  Method *reader7959 = addmethodrealflags(obj7957, "kind",&reader_ast_kind_7959, MFLAG_DEF);
  reader7959->definitionModule = modulename;
  reader7959->definitionLine = 1919;
}
adddatum2(obj7957, alloc_Undefined(), 1);
if (objclass7957 == NULL) {
  Method *reader7960 = addmethodrealflags(obj7957, "value",&reader_ast_value_7960, MFLAG_DEF);
  reader7960->definitionModule = modulename;
  reader7960->definitionLine = 1920;
}
adddatum2(obj7957, alloc_Undefined(), 2);
if (objclass7957 == NULL) {
  Method *reader7961 = addmethodrealflags(obj7957, "providedNames",&reader_ast_providedNames_7961, MFLAG_DEF);
  reader7961->definitionModule = modulename;
  reader7961->definitionLine = 1921;
}
adddatum2(obj7957, alloc_Undefined(), 3);
  struct UserObject *uo7962 = (struct UserObject*)obj7957;
  uo7962->data[4] = emptyclosure;
  Method *meth_meth_ast_accept7962 = addmethod2pos(obj7957, "accept", &meth_ast_accept7962, 4);
int argcv_meth_ast_accept7962[] = {1};
meth_meth_ast_accept7962->type = alloc_MethodType(1, argcv_meth_ast_accept7962);
  meth_meth_ast_accept7962->definitionModule = modulename;
  meth_meth_ast_accept7962->definitionLine = 1921;
  block_savedest(obj7957);
  Object closure7970 = createclosure(1, "map()before()after");
  setclosureframe(closure7970, stackframe);
  addtoclosure(closure7970, var_inheritsNode);
  struct UserObject *uo7970 = (struct UserObject*)obj7957;
  uo7970->data[5] = (Object)closure7970;
  Method *meth_meth_ast_map_40__41_before_40__41_after7970 = addmethod2pos(obj7957, "map()before()after", &meth_ast_map_40__41_before_40__41_after7970, 5);
int argcv_meth_ast_map_40__41_before_40__41_after7970[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after7970->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after7970);
  meth_meth_ast_map_40__41_before_40__41_after7970->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after7970->definitionLine = 1926;
  struct UserObject *uo7994 = (struct UserObject*)obj7957;
  uo7994->data[6] = emptyclosure;
  Method *meth_meth_ast_map7994 = addmethod2pos(obj7957, "map", &meth_ast_map7994, 6);
int argcv_meth_ast_map7994[] = {1};
meth_meth_ast_map7994->type = alloc_MethodType(1, argcv_meth_ast_map7994);
  meth_meth_ast_map7994->definitionModule = modulename;
  meth_meth_ast_map7994->definitionLine = 1935;
  struct UserObject *uo8003 = (struct UserObject*)obj7957;
  uo8003->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty8003 = addmethod2pos(obj7957, "pretty", &meth_ast_pretty8003, 7);
int argcv_meth_ast_pretty8003[] = {1};
meth_meth_ast_pretty8003->type = alloc_MethodType(1, argcv_meth_ast_pretty8003);
  meth_meth_ast_pretty8003->definitionModule = modulename;
  meth_meth_ast_pretty8003->definitionLine = 1938;
  struct UserObject *uo8063 = (struct UserObject*)obj7957;
  uo8063->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace8063 = addmethod2pos(obj7957, "toGrace", &meth_ast_toGrace8063, 8);
int argcv_meth_ast_toGrace8063[] = {1};
meth_meth_ast_toGrace8063->type = alloc_MethodType(1, argcv_meth_ast_toGrace8063);
meth_meth_ast_toGrace8063->type->types[0] = type_Number;
meth_meth_ast_toGrace8063->type->names[0] = "depth";
  meth_meth_ast_toGrace8063->definitionModule = modulename;
  meth_meth_ast_toGrace8063->definitionLine = 1952;
  struct UserObject *uo8077 = (struct UserObject*)obj7957;
  uo8077->data[9] = emptyclosure;
  Method *meth_meth_ast_nameString8077 = addmethod2pos(obj7957, "nameString", &meth_ast_nameString8077, 9);
int argcv_meth_ast_nameString8077[] = {0};
meth_meth_ast_nameString8077->type = alloc_MethodType(1, argcv_meth_ast_nameString8077);
  meth_meth_ast_nameString8077->definitionModule = modulename;
  meth_meth_ast_nameString8077->definitionLine = 1955;
  sourceObject = obj7957;
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8083 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8084 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8083);
// compilenode returning call8084
  struct UserObject *obj7957_uo = (struct UserObject *)obj7957;
  obj7957_uo->super = call8084;
  sourceObject = obj7957;
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8085 == NULL) {
    strlit8085 = alloc_String("inherits");
    gc_root(strlit8085);
  }
// compilenode returning strlit8085
  adddatum2(obj7957, strlit8085, 1);
  sourceObject = obj7957;
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_expr
  adddatum2(obj7957, *var_expr, 2);
  sourceObject = obj7957;
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8086 = gc_frame_new();
  int callframe8087 = gc_frame_new();
  partcv[0] = 0;
  Object call8088 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8087);
// compilenode returning call8088
  partcv[0] = 0;
  Object call8089 = callmethod(call8088, "empty",
    1, partcv, params);
  gc_frame_end(callframe8086);
// compilenode returning call8089
// compilenode returning call8089
  adddatum2(obj7957, call8089, 3);
  sourceObject = obj7957;
  sourceObject = obj7957;
  sourceObject = obj7957;
  sourceObject = obj7957;
  sourceObject = obj7957;
  sourceObject = obj7957;
objclass7957 = obj7957->class;
  objclass7957->definitionModule = modulename;
  objclass7957->definitionLine = 1913;
  (*(struct UserObject *)self).data[0] = lowerouter7957;
  self = oldself7957;
  selfslot = oldselfslot7957;
  stackframe = oldstackframe7957;
  gc_frame_end(frame);
  return obj7957;
}
Object meth_ast_blankNode8091(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blankNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blankNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for blankNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blankNode
  gc_frame_end(frame);
  return *var_blankNode;
}
Object meth_ast_accept8099(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map_40__41_before_40__41_after8100(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1964
  setline(1964);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning self
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply8104(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8107(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map8101(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8102 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block8103 = alloc_Block(NULL, NULL, "ast", 1967);
  gc_frame_newslot(block8103);
  block_savedest(block8103);
  Object closure8104 = createclosure(1, "_apply");
  setclosureframe(closure8104, stackframe);
  addtoclosure(closure8104, selfslot);
  struct UserObject *uo8104 = (struct UserObject*)block8103;
  uo8104->data[0] = (Object)closure8104;
  Method *meth_meth_ast__apply8104 = addmethod2pos(block8103, "_apply", &meth_ast__apply8104, 0);
int argcv_meth_ast__apply8104[] = {0};
meth_meth_ast__apply8104->type = alloc_MethodType(1, argcv_meth_ast__apply8104);
  meth_meth_ast__apply8104->definitionModule = modulename;
  meth_meth_ast__apply8104->definitionLine = 1920;
// compilenode returning block8103
  gc_frame_newslot(block8103);
  Object block8106 = alloc_Block(NULL, NULL, "ast", 1967);
  gc_frame_newslot(block8106);
  block_savedest(block8106);
  Object closure8107 = createclosure(1, "_apply");
  setclosureframe(closure8107, stackframe);
  addtoclosure(closure8107, selfslot);
  struct UserObject *uo8107 = (struct UserObject*)block8106;
  uo8107->data[0] = (Object)closure8107;
  Method *meth_meth_ast__apply8107 = addmethod2pos(block8106, "_apply", &meth_ast__apply8107, 0);
int argcv_meth_ast__apply8107[] = {0};
meth_meth_ast__apply8107->type = alloc_MethodType(1, argcv_meth_ast__apply8107);
  meth_meth_ast__apply8107->definitionModule = modulename;
  meth_meth_ast__apply8107->definitionLine = 1920;
// compilenode returning block8106
  gc_frame_newslot(block8106);
  params[0] = *var_blk;
  params[1] = block8103;
  params[2] = block8106;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8109 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8102);
// compilenode returning call8109
  gc_frame_end(frame);
  return call8109;
}
Object meth_ast_pretty8110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8111 == NULL) {
    strlit8111 = alloc_String("Blank");
    gc_root(strlit8111);
  }
// compilenode returning strlit8111
  gc_frame_end(frame);
  return strlit8111;
}
Object meth_ast_toGrace8112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8113 == NULL) {
    strlit8113 = alloc_String("");
    gc_root(strlit8113);
  }
// compilenode returning strlit8113
  gc_frame_end(frame);
  return strlit8113;
}
Object meth_ast_new8094(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8095 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8095 = alloc_userobj2(8,9, objclass8095);
  gc_frame_newslot(obj8095);
if (objclass8095 == NULL) {
  glfree(obj8095->class->name);
  obj8095->class->name = "blankNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8095, self, 0);
  addmethodreal(obj8095,"outer", &reader_ast_outer_8096);
  Object oldself8095 = self;
  struct StackFrameObject *oldstackframe8095 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8095);
  gc_frame_newslot((Object)stackframe);
  self = obj8095;
  Object *oldselfslot8095 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8095 = (*(struct UserObject *)self).data[0], lowerouter8095 = thisouter8095;
  if (inheritingObject8095) {
    struct UserObject *inho8095 = (struct UserObject *)inheritingObject8095;
    while (inho8095->super != GraceDefaultObject) inho8095 = (struct UserObject *)inho8095->super;
    inho8095->super = obj8095;
    self = inheritingObject8095;
    *selfslot = self;
    lowerouter8095 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8095;
  }
if (objclass8095 == NULL) {
  Method *reader8097 = addmethodrealflags(obj8095, "kind",&reader_ast_kind_8097, MFLAG_DEF);
  reader8097->definitionModule = modulename;
  reader8097->definitionLine = 1960;
}
adddatum2(obj8095, alloc_Undefined(), 1);
if (objclass8095 == NULL) {
  Method *reader8098 = addmethodrealflags(obj8095, "value",&reader_ast_value_8098, MFLAG_DEF);
  reader8098->definitionModule = modulename;
  reader8098->definitionLine = 1961;
}
adddatum2(obj8095, alloc_Undefined(), 2);
  struct UserObject *uo8099 = (struct UserObject*)obj8095;
  uo8099->data[3] = emptyclosure;
  Method *meth_meth_ast_accept8099 = addmethod2pos(obj8095, "accept", &meth_ast_accept8099, 3);
int argcv_meth_ast_accept8099[] = {1};
meth_meth_ast_accept8099->type = alloc_MethodType(1, argcv_meth_ast_accept8099);
  meth_meth_ast_accept8099->definitionModule = modulename;
  meth_meth_ast_accept8099->definitionLine = 1961;
  struct UserObject *uo8100 = (struct UserObject*)obj8095;
  uo8100->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after8100 = addmethod2pos(obj8095, "map()before()after", &meth_ast_map_40__41_before_40__41_after8100, 4);
int argcv_meth_ast_map_40__41_before_40__41_after8100[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after8100->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after8100);
  meth_meth_ast_map_40__41_before_40__41_after8100->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after8100->definitionLine = 1963;
  struct UserObject *uo8101 = (struct UserObject*)obj8095;
  uo8101->data[5] = emptyclosure;
  Method *meth_meth_ast_map8101 = addmethod2pos(obj8095, "map", &meth_ast_map8101, 5);
int argcv_meth_ast_map8101[] = {1};
meth_meth_ast_map8101->type = alloc_MethodType(1, argcv_meth_ast_map8101);
  meth_meth_ast_map8101->definitionModule = modulename;
  meth_meth_ast_map8101->definitionLine = 1966;
  struct UserObject *uo8110 = (struct UserObject*)obj8095;
  uo8110->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty8110 = addmethod2pos(obj8095, "pretty", &meth_ast_pretty8110, 6);
int argcv_meth_ast_pretty8110[] = {1};
meth_meth_ast_pretty8110->type = alloc_MethodType(1, argcv_meth_ast_pretty8110);
  meth_meth_ast_pretty8110->definitionModule = modulename;
  meth_meth_ast_pretty8110->definitionLine = 1969;
  struct UserObject *uo8112 = (struct UserObject*)obj8095;
  uo8112->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace8112 = addmethod2pos(obj8095, "toGrace", &meth_ast_toGrace8112, 7);
int argcv_meth_ast_toGrace8112[] = {1};
meth_meth_ast_toGrace8112->type = alloc_MethodType(1, argcv_meth_ast_toGrace8112);
meth_meth_ast_toGrace8112->type->types[0] = type_Number;
meth_meth_ast_toGrace8112->type->names[0] = "depth";
  meth_meth_ast_toGrace8112->definitionModule = modulename;
  meth_meth_ast_toGrace8112->definitionLine = 1972;
  sourceObject = obj8095;
// Begin line 1958
  setline(1958);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8114 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8115 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8114);
// compilenode returning call8115
  struct UserObject *obj8095_uo = (struct UserObject *)obj8095;
  obj8095_uo->super = call8115;
  sourceObject = obj8095;
// Begin line 1959
  setline(1959);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8116 == NULL) {
    strlit8116 = alloc_String("blank");
    gc_root(strlit8116);
  }
// compilenode returning strlit8116
  adddatum2(obj8095, strlit8116, 1);
  sourceObject = obj8095;
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8117 == NULL) {
    strlit8117 = alloc_String("blank");
    gc_root(strlit8117);
  }
// compilenode returning strlit8117
  adddatum2(obj8095, strlit8117, 2);
  sourceObject = obj8095;
  sourceObject = obj8095;
  sourceObject = obj8095;
  sourceObject = obj8095;
  sourceObject = obj8095;
objclass8095 = obj8095->class;
  objclass8095->definitionModule = modulename;
  objclass8095->definitionLine = 1920;
  (*(struct UserObject *)self).data[0] = lowerouter8095;
  self = oldself8095;
  selfslot = oldselfslot8095;
  stackframe = oldstackframe8095;
  gc_frame_end(frame);
  return obj8095;
}
Object meth_ast_new8094_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8095 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8095 = alloc_userobj2(8,9, objclass8095);
  gc_frame_newslot(obj8095);
if (objclass8095 == NULL) {
  glfree(obj8095->class->name);
  obj8095->class->name = "blankNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8095, self, 0);
  addmethodreal(obj8095,"outer", &reader_ast_outer_8096);
  Object oldself8095 = self;
  struct StackFrameObject *oldstackframe8095 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8095);
  gc_frame_newslot((Object)stackframe);
  self = obj8095;
  Object *oldselfslot8095 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8095 = (*(struct UserObject *)self).data[0], lowerouter8095 = thisouter8095;
  if (inheritingObject8095) {
    struct UserObject *inho8095 = (struct UserObject *)inheritingObject8095;
    while (inho8095->super != GraceDefaultObject) inho8095 = (struct UserObject *)inho8095->super;
    inho8095->super = obj8095;
    self = inheritingObject8095;
    *selfslot = self;
    lowerouter8095 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8095;
  }
if (objclass8095 == NULL) {
  Method *reader8097 = addmethodrealflags(obj8095, "kind",&reader_ast_kind_8097, MFLAG_DEF);
  reader8097->definitionModule = modulename;
  reader8097->definitionLine = 1960;
}
adddatum2(obj8095, alloc_Undefined(), 1);
if (objclass8095 == NULL) {
  Method *reader8098 = addmethodrealflags(obj8095, "value",&reader_ast_value_8098, MFLAG_DEF);
  reader8098->definitionModule = modulename;
  reader8098->definitionLine = 1961;
}
adddatum2(obj8095, alloc_Undefined(), 2);
  struct UserObject *uo8099 = (struct UserObject*)obj8095;
  uo8099->data[3] = emptyclosure;
  Method *meth_meth_ast_accept8099 = addmethod2pos(obj8095, "accept", &meth_ast_accept8099, 3);
int argcv_meth_ast_accept8099[] = {1};
meth_meth_ast_accept8099->type = alloc_MethodType(1, argcv_meth_ast_accept8099);
  meth_meth_ast_accept8099->definitionModule = modulename;
  meth_meth_ast_accept8099->definitionLine = 1961;
  struct UserObject *uo8100 = (struct UserObject*)obj8095;
  uo8100->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_before_40__41_after8100 = addmethod2pos(obj8095, "map()before()after", &meth_ast_map_40__41_before_40__41_after8100, 4);
int argcv_meth_ast_map_40__41_before_40__41_after8100[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after8100->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after8100);
  meth_meth_ast_map_40__41_before_40__41_after8100->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after8100->definitionLine = 1963;
  struct UserObject *uo8101 = (struct UserObject*)obj8095;
  uo8101->data[5] = emptyclosure;
  Method *meth_meth_ast_map8101 = addmethod2pos(obj8095, "map", &meth_ast_map8101, 5);
int argcv_meth_ast_map8101[] = {1};
meth_meth_ast_map8101->type = alloc_MethodType(1, argcv_meth_ast_map8101);
  meth_meth_ast_map8101->definitionModule = modulename;
  meth_meth_ast_map8101->definitionLine = 1966;
  struct UserObject *uo8110 = (struct UserObject*)obj8095;
  uo8110->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty8110 = addmethod2pos(obj8095, "pretty", &meth_ast_pretty8110, 6);
int argcv_meth_ast_pretty8110[] = {1};
meth_meth_ast_pretty8110->type = alloc_MethodType(1, argcv_meth_ast_pretty8110);
  meth_meth_ast_pretty8110->definitionModule = modulename;
  meth_meth_ast_pretty8110->definitionLine = 1969;
  struct UserObject *uo8112 = (struct UserObject*)obj8095;
  uo8112->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace8112 = addmethod2pos(obj8095, "toGrace", &meth_ast_toGrace8112, 7);
int argcv_meth_ast_toGrace8112[] = {1};
meth_meth_ast_toGrace8112->type = alloc_MethodType(1, argcv_meth_ast_toGrace8112);
meth_meth_ast_toGrace8112->type->types[0] = type_Number;
meth_meth_ast_toGrace8112->type->names[0] = "depth";
  meth_meth_ast_toGrace8112->definitionModule = modulename;
  meth_meth_ast_toGrace8112->definitionLine = 1972;
  sourceObject = obj8095;
// Begin line 1958
  setline(1958);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8114 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8115 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8114);
// compilenode returning call8115
  struct UserObject *obj8095_uo = (struct UserObject *)obj8095;
  obj8095_uo->super = call8115;
  sourceObject = obj8095;
// Begin line 1959
  setline(1959);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8116 == NULL) {
    strlit8116 = alloc_String("blank");
    gc_root(strlit8116);
  }
// compilenode returning strlit8116
  adddatum2(obj8095, strlit8116, 1);
  sourceObject = obj8095;
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8117 == NULL) {
    strlit8117 = alloc_String("blank");
    gc_root(strlit8117);
  }
// compilenode returning strlit8117
  adddatum2(obj8095, strlit8117, 2);
  sourceObject = obj8095;
  sourceObject = obj8095;
  sourceObject = obj8095;
  sourceObject = obj8095;
  sourceObject = obj8095;
objclass8095 = obj8095->class;
  objclass8095->definitionModule = modulename;
  objclass8095->definitionLine = 1920;
  (*(struct UserObject *)self).data[0] = lowerouter8095;
  self = oldself8095;
  selfslot = oldselfslot8095;
  stackframe = oldstackframe8095;
  gc_frame_end(frame);
  return obj8095;
}
Object meth_ast_signaturePart8119(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "signaturePart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for signaturePart (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for signaturePart");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signaturePart
  gc_frame_end(frame);
  return *var_signaturePart;
}
Object meth_ast_map_40__41_before_40__41_after8130(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()before()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()before()after");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method map()before()after");
  Object params[4];
  int partcv[3];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for map()before()after (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_blkBefore = &(stackframe->slots[1]);
  *var_blkBefore = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for before");
  Object *var_blkAfter = &(stackframe->slots[2]);
  *var_blkAfter = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "n");
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8131 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_blkBefore
  params[0] = self;
  partcv[0] = 1;
  Object call8132 = callmethod(*var_blkBefore, "apply",
    1, partcv, params);
  gc_frame_end(callframe8131);
// compilenode returning call8132
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8133 = gc_frame_new();
  int callframe8134 = gc_frame_new();
  partcv[0] = 0;
  Object call8135 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8134);
// compilenode returning call8135
  gc_frame_newslot(call8135);
  int callframe8136 = gc_frame_new();
  int callframe8137 = gc_frame_new();
  partcv[0] = 0;
  Object call8138 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8137);
// compilenode returning call8138
  gc_frame_newslot(call8138);
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
// compilenode returning *var_blkBefore
  gc_frame_newslot(*var_blkBefore);
// compilenode returning *var_blkAfter
  gc_frame_newslot(*var_blkAfter);
  int callframe8139 = gc_frame_new();
  int callframe8140 = gc_frame_new();
  Object call8141 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8140);
// compilenode returning call8141
// compilenode returning call8141
  partcv[0] = 0;
  Object call8142 = callmethodflags(call8141, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8139);
// compilenode returning call8142
// compilenode returning call8142
  params[0] = call8138;
  params[1] = *var_blk;
  params[2] = *var_blkBefore;
  params[3] = *var_blkAfter;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8143 = callmethodflags(call8142, "listMap()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8136);
// compilenode returning call8143
  gc_frame_newslot(call8143);
  int callframe8144 = gc_frame_new();
  partcv[0] = 0;
  Object call8145 = callmethodflags(self, "vararg", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8144);
// compilenode returning call8145
  gc_frame_newslot(call8145);
// compilenode returning *var_signaturePart
  params[0] = call8135;
  params[1] = call8143;
  params[2] = call8145;
  partcv[0] = 3;
  Object call8146 = callmethod(*var_signaturePart, "new",
    1, partcv, params);
  gc_frame_end(callframe8133);
// compilenode returning call8146
  *var_n = call8146;
  if (call8146 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8147 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blk
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8148 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe8147);
// compilenode returning call8148
  *var_n = call8148;
  if (call8148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8150 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_blkAfter
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8151 = callmethod(*var_blkAfter, "apply",
    1, partcv, params);
  gc_frame_end(callframe8150);
// compilenode returning call8151
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply8155(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8158(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map8152(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8153 = gc_frame_new();
// compilenode returning *var_blk
  gc_frame_newslot(*var_blk);
  Object block8154 = alloc_Block(NULL, NULL, "ast", 2001);
  gc_frame_newslot(block8154);
  block_savedest(block8154);
  Object closure8155 = createclosure(1, "_apply");
  setclosureframe(closure8155, stackframe);
  addtoclosure(closure8155, selfslot);
  struct UserObject *uo8155 = (struct UserObject*)block8154;
  uo8155->data[0] = (Object)closure8155;
  Method *meth_meth_ast__apply8155 = addmethod2pos(block8154, "_apply", &meth_ast__apply8155, 0);
int argcv_meth_ast__apply8155[] = {0};
meth_meth_ast__apply8155->type = alloc_MethodType(1, argcv_meth_ast__apply8155);
  meth_meth_ast__apply8155->definitionModule = modulename;
  meth_meth_ast__apply8155->definitionLine = 1995;
// compilenode returning block8154
  gc_frame_newslot(block8154);
  Object block8157 = alloc_Block(NULL, NULL, "ast", 2001);
  gc_frame_newslot(block8157);
  block_savedest(block8157);
  Object closure8158 = createclosure(1, "_apply");
  setclosureframe(closure8158, stackframe);
  addtoclosure(closure8158, selfslot);
  struct UserObject *uo8158 = (struct UserObject*)block8157;
  uo8158->data[0] = (Object)closure8158;
  Method *meth_meth_ast__apply8158 = addmethod2pos(block8157, "_apply", &meth_ast__apply8158, 0);
int argcv_meth_ast__apply8158[] = {0};
meth_meth_ast__apply8158->type = alloc_MethodType(1, argcv_meth_ast__apply8158);
  meth_meth_ast__apply8158->definitionModule = modulename;
  meth_meth_ast__apply8158->definitionLine = 1995;
// compilenode returning block8157
  gc_frame_newslot(block8157);
  params[0] = *var_blk;
  params[1] = block8154;
  params[2] = block8157;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8160 = callmethodflags(self, "map()before()after", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8153);
// compilenode returning call8160
  gc_frame_end(frame);
  return call8160;
}
Object meth_ast_new8122(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_signaturePart = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_values = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_values, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_values = &(stackframe->slots[0]);
  *var_values = var_init_values;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8123 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8123 = alloc_userobj2(15,12, objclass8123);
  gc_frame_newslot(obj8123);
if (objclass8123 == NULL) {
  glfree(obj8123->class->name);
  obj8123->class->name = "signaturePart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8123, self, 0);
  addmethodreal(obj8123,"outer", &reader_ast_outer_8124);
  Object oldself8123 = self;
  struct StackFrameObject *oldstackframe8123 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8123);
  gc_frame_newslot((Object)stackframe);
  self = obj8123;
  Object *oldselfslot8123 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8123 = (*(struct UserObject *)self).data[0], lowerouter8123 = thisouter8123;
  if (inheritingObject8123) {
    struct UserObject *inho8123 = (struct UserObject *)inheritingObject8123;
    while (inho8123->super != GraceDefaultObject) inho8123 = (struct UserObject *)inho8123->super;
    inho8123->super = obj8123;
    self = inheritingObject8123;
    *selfslot = self;
    lowerouter8123 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8123;
  }
if (objclass8123 == NULL) {
  Method *reader8125 = addmethodrealflags(obj8123, "kind",&reader_ast_kind_8125, MFLAG_DEF);
  reader8125->definitionModule = modulename;
  reader8125->definitionLine = 1980;
}
adddatum2(obj8123, alloc_Undefined(), 1);
if (objclass8123 == NULL) {
  Method *reader8126 = addmethodrealflags(obj8123, "name",&reader_ast_name_8126, 0);
  Method *writer8126 = addmethodrealflags(obj8123, "name:=",&writer_ast_name_8126, 0);
  reader8126->definitionModule = modulename;
  writer8126->definitionModule = modulename;
  reader8126->definitionLine = 1981;
  writer8126->definitionLine = 1981;
}
obj8123->flags |= OFLAG_MUTABLE;
adddatum2(obj8123, alloc_Undefined(), 2);
if (objclass8123 == NULL) {
  Method *reader8127 = addmethodrealflags(obj8123, "params",&reader_ast_params_8127, 0);
  Method *writer8127 = addmethodrealflags(obj8123, "params:=",&writer_ast_params_8127, 0);
  reader8127->definitionModule = modulename;
  writer8127->definitionModule = modulename;
  reader8127->definitionLine = 1982;
  writer8127->definitionLine = 1982;
}
obj8123->flags |= OFLAG_MUTABLE;
adddatum2(obj8123, alloc_Undefined(), 3);
if (objclass8123 == NULL) {
  Method *reader8128 = addmethodrealflags(obj8123, "vararg",&reader_ast_vararg_8128, 0);
  Method *writer8128 = addmethodrealflags(obj8123, "vararg:=",&writer_ast_vararg_8128, 0);
  reader8128->definitionModule = modulename;
  writer8128->definitionModule = modulename;
  reader8128->definitionLine = 1983;
  writer8128->definitionLine = 1983;
}
obj8123->flags |= OFLAG_MUTABLE;
adddatum2(obj8123, alloc_Undefined(), 4);
if (objclass8123 == NULL) {
  Method *reader8129 = addmethodrealflags(obj8123, "generics",&reader_ast_generics_8129, 0);
  Method *writer8129 = addmethodrealflags(obj8123, "generics:=",&writer_ast_generics_8129, 0);
  reader8129->definitionModule = modulename;
  writer8129->definitionModule = modulename;
  reader8129->definitionLine = 1984;
  writer8129->definitionLine = 1984;
}
obj8123->flags |= OFLAG_MUTABLE;
adddatum2(obj8123, alloc_Undefined(), 5);
  block_savedest(obj8123);
  Object closure8130 = createclosure(1, "map()before()after");
  setclosureframe(closure8130, stackframe);
  addtoclosure(closure8130, var_signaturePart);
  struct UserObject *uo8130 = (struct UserObject*)obj8123;
  uo8130->data[6] = (Object)closure8130;
  Method *meth_meth_ast_map_40__41_before_40__41_after8130 = addmethod2pos(obj8123, "map()before()after", &meth_ast_map_40__41_before_40__41_after8130, 6);
int argcv_meth_ast_map_40__41_before_40__41_after8130[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after8130->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after8130);
  meth_meth_ast_map_40__41_before_40__41_after8130->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after8130->definitionLine = 1993;
  struct UserObject *uo8152 = (struct UserObject*)obj8123;
  uo8152->data[7] = emptyclosure;
  Method *meth_meth_ast_map8152 = addmethod2pos(obj8123, "map", &meth_ast_map8152, 7);
int argcv_meth_ast_map8152[] = {1};
meth_meth_ast_map8152->type = alloc_MethodType(1, argcv_meth_ast_map8152);
  meth_meth_ast_map8152->definitionModule = modulename;
  meth_meth_ast_map8152->definitionLine = 2000;
  sourceObject = obj8123;
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8161 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8162 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8161);
// compilenode returning call8162
  struct UserObject *obj8123_uo = (struct UserObject *)obj8123;
  obj8123_uo->super = call8162;
  sourceObject = obj8123;
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8163 == NULL) {
    strlit8163 = alloc_String("signaturepart");
    gc_root(strlit8163);
  }
// compilenode returning strlit8163
  adddatum2(obj8123, strlit8163, 1);
  sourceObject = obj8123;
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8164 == NULL) {
    strlit8164 = alloc_String("");
    gc_root(strlit8164);
  }
// compilenode returning strlit8164
  adddatum2(obj8123, strlit8164, 2);
  sourceObject = obj8123;
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8165 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8165
  adddatum2(obj8123, array8165, 3);
  sourceObject = obj8123;
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8166 = alloc_Boolean(0);
// compilenode returning bool8166
  adddatum2(obj8123, bool8166, 4);
  sourceObject = obj8123;
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8167 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8167
  adddatum2(obj8123, array8167, 5);
  sourceObject = obj8123;
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8170 = alloc_Float64(0);
// compilenode returning num8170
  int op_slot_right_8169 = gc_frame_newslot(num8170);
  int callframe8172 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8173 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8172);
// compilenode returning call8173
// compilenode returning call8173
  int op_slot_left_8169 = gc_frame_newslot(call8173);
  params[0] = num8170;
  partcv[0] = 1;
  Object opresult8174 = callmethod(call8173, ">", 1, partcv, params);
// compilenode returning opresult8174
  Object if8168 = done;
struct StackFrameObject *iftmpstackframe8168 = stackframe;
  if (istrue(opresult8174)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8168);
gc_frame_newslot((Object)stackframe);
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8175 = gc_frame_new();
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num8176 = alloc_Float64(1);
// compilenode returning num8176
  params[0] = num8176;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres8177 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres8177
  gc_frame_newslot(idxres8177);
  params[0] = idxres8177;
  partcv[0] = 1;
  Object call8178 = callmethodflags(self, "name:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8175);
// compilenode returning call8178
// compilenode returning done
    gc_frame_newslot(done);
    if8168 = done;
  } else {
  }
stackframe = iftmpstackframe8168;
// compilenode returning if8168
  sourceObject = obj8123;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8181 = alloc_Float64(1);
// compilenode returning num8181
  int op_slot_right_8180 = gc_frame_newslot(num8181);
  int callframe8183 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8184 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8183);
// compilenode returning call8184
// compilenode returning call8184
  int op_slot_left_8180 = gc_frame_newslot(call8184);
  params[0] = num8181;
  partcv[0] = 1;
  Object opresult8185 = callmethod(call8184, ">", 1, partcv, params);
// compilenode returning opresult8185
  Object if8179 = done;
struct StackFrameObject *iftmpstackframe8179 = stackframe;
  if (istrue(opresult8185)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8179);
gc_frame_newslot((Object)stackframe);
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8186 = gc_frame_new();
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num8187 = alloc_Float64(2);
// compilenode returning num8187
  params[0] = num8187;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres8188 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres8188
  gc_frame_newslot(idxres8188);
  params[0] = idxres8188;
  partcv[0] = 1;
  Object call8189 = callmethodflags(self, "params:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8186);
// compilenode returning call8189
// compilenode returning done
    gc_frame_newslot(done);
    if8179 = done;
  } else {
  }
stackframe = iftmpstackframe8179;
// compilenode returning if8179
  sourceObject = obj8123;
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8192 = alloc_Float64(2);
// compilenode returning num8192
  int op_slot_right_8191 = gc_frame_newslot(num8192);
  int callframe8194 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8195 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8194);
// compilenode returning call8195
// compilenode returning call8195
  int op_slot_left_8191 = gc_frame_newslot(call8195);
  params[0] = num8192;
  partcv[0] = 1;
  Object opresult8196 = callmethod(call8195, ">", 1, partcv, params);
// compilenode returning opresult8196
  Object if8190 = done;
struct StackFrameObject *iftmpstackframe8190 = stackframe;
  if (istrue(opresult8196)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8190);
gc_frame_newslot((Object)stackframe);
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8197 = gc_frame_new();
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num8198 = alloc_Float64(3);
// compilenode returning num8198
  params[0] = num8198;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres8199 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres8199
  gc_frame_newslot(idxres8199);
  params[0] = idxres8199;
  partcv[0] = 1;
  Object call8200 = callmethodflags(self, "vararg:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8197);
// compilenode returning call8200
// compilenode returning done
    gc_frame_newslot(done);
    if8190 = done;
  } else {
  }
stackframe = iftmpstackframe8190;
// compilenode returning if8190
  sourceObject = obj8123;
  sourceObject = obj8123;
objclass8123 = obj8123->class;
  objclass8123->definitionModule = modulename;
  objclass8123->definitionLine = 1920;
  (*(struct UserObject *)self).data[0] = lowerouter8123;
  self = oldself8123;
  selfslot = oldselfslot8123;
  stackframe = oldstackframe8123;
  gc_frame_end(frame);
  return obj8123;
}
Object meth_ast_new8122_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_signaturePart = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_values = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_values, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_values = &(stackframe->slots[0]);
  *var_values = var_init_values;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8123 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8123 = alloc_userobj2(15,12, objclass8123);
  gc_frame_newslot(obj8123);
if (objclass8123 == NULL) {
  glfree(obj8123->class->name);
  obj8123->class->name = "signaturePart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8123, self, 0);
  addmethodreal(obj8123,"outer", &reader_ast_outer_8124);
  Object oldself8123 = self;
  struct StackFrameObject *oldstackframe8123 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8123);
  gc_frame_newslot((Object)stackframe);
  self = obj8123;
  Object *oldselfslot8123 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8123 = (*(struct UserObject *)self).data[0], lowerouter8123 = thisouter8123;
  if (inheritingObject8123) {
    struct UserObject *inho8123 = (struct UserObject *)inheritingObject8123;
    while (inho8123->super != GraceDefaultObject) inho8123 = (struct UserObject *)inho8123->super;
    inho8123->super = obj8123;
    self = inheritingObject8123;
    *selfslot = self;
    lowerouter8123 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8123;
  }
if (objclass8123 == NULL) {
  Method *reader8125 = addmethodrealflags(obj8123, "kind",&reader_ast_kind_8125, MFLAG_DEF);
  reader8125->definitionModule = modulename;
  reader8125->definitionLine = 1980;
}
adddatum2(obj8123, alloc_Undefined(), 1);
if (objclass8123 == NULL) {
  Method *reader8126 = addmethodrealflags(obj8123, "name",&reader_ast_name_8126, 0);
  Method *writer8126 = addmethodrealflags(obj8123, "name:=",&writer_ast_name_8126, 0);
  reader8126->definitionModule = modulename;
  writer8126->definitionModule = modulename;
  reader8126->definitionLine = 1981;
  writer8126->definitionLine = 1981;
}
obj8123->flags |= OFLAG_MUTABLE;
adddatum2(obj8123, alloc_Undefined(), 2);
if (objclass8123 == NULL) {
  Method *reader8127 = addmethodrealflags(obj8123, "params",&reader_ast_params_8127, 0);
  Method *writer8127 = addmethodrealflags(obj8123, "params:=",&writer_ast_params_8127, 0);
  reader8127->definitionModule = modulename;
  writer8127->definitionModule = modulename;
  reader8127->definitionLine = 1982;
  writer8127->definitionLine = 1982;
}
obj8123->flags |= OFLAG_MUTABLE;
adddatum2(obj8123, alloc_Undefined(), 3);
if (objclass8123 == NULL) {
  Method *reader8128 = addmethodrealflags(obj8123, "vararg",&reader_ast_vararg_8128, 0);
  Method *writer8128 = addmethodrealflags(obj8123, "vararg:=",&writer_ast_vararg_8128, 0);
  reader8128->definitionModule = modulename;
  writer8128->definitionModule = modulename;
  reader8128->definitionLine = 1983;
  writer8128->definitionLine = 1983;
}
obj8123->flags |= OFLAG_MUTABLE;
adddatum2(obj8123, alloc_Undefined(), 4);
if (objclass8123 == NULL) {
  Method *reader8129 = addmethodrealflags(obj8123, "generics",&reader_ast_generics_8129, 0);
  Method *writer8129 = addmethodrealflags(obj8123, "generics:=",&writer_ast_generics_8129, 0);
  reader8129->definitionModule = modulename;
  writer8129->definitionModule = modulename;
  reader8129->definitionLine = 1984;
  writer8129->definitionLine = 1984;
}
obj8123->flags |= OFLAG_MUTABLE;
adddatum2(obj8123, alloc_Undefined(), 5);
  block_savedest(obj8123);
  Object closure8130 = createclosure(1, "map()before()after");
  setclosureframe(closure8130, stackframe);
  addtoclosure(closure8130, var_signaturePart);
  struct UserObject *uo8130 = (struct UserObject*)obj8123;
  uo8130->data[6] = (Object)closure8130;
  Method *meth_meth_ast_map_40__41_before_40__41_after8130 = addmethod2pos(obj8123, "map()before()after", &meth_ast_map_40__41_before_40__41_after8130, 6);
int argcv_meth_ast_map_40__41_before_40__41_after8130[] = {1, 1, 1};
meth_meth_ast_map_40__41_before_40__41_after8130->type = alloc_MethodType(3, argcv_meth_ast_map_40__41_before_40__41_after8130);
  meth_meth_ast_map_40__41_before_40__41_after8130->definitionModule = modulename;
  meth_meth_ast_map_40__41_before_40__41_after8130->definitionLine = 1993;
  struct UserObject *uo8152 = (struct UserObject*)obj8123;
  uo8152->data[7] = emptyclosure;
  Method *meth_meth_ast_map8152 = addmethod2pos(obj8123, "map", &meth_ast_map8152, 7);
int argcv_meth_ast_map8152[] = {1};
meth_meth_ast_map8152->type = alloc_MethodType(1, argcv_meth_ast_map8152);
  meth_meth_ast_map8152->definitionModule = modulename;
  meth_meth_ast_map8152->definitionLine = 2000;
  sourceObject = obj8123;
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8161 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_baseNode
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8162 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8161);
// compilenode returning call8162
  struct UserObject *obj8123_uo = (struct UserObject *)obj8123;
  obj8123_uo->super = call8162;
  sourceObject = obj8123;
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8163 == NULL) {
    strlit8163 = alloc_String("signaturepart");
    gc_root(strlit8163);
  }
// compilenode returning strlit8163
  adddatum2(obj8123, strlit8163, 1);
  sourceObject = obj8123;
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8164 == NULL) {
    strlit8164 = alloc_String("");
    gc_root(strlit8164);
  }
// compilenode returning strlit8164
  adddatum2(obj8123, strlit8164, 2);
  sourceObject = obj8123;
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8165 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8165
  adddatum2(obj8123, array8165, 3);
  sourceObject = obj8123;
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8166 = alloc_Boolean(0);
// compilenode returning bool8166
  adddatum2(obj8123, bool8166, 4);
  sourceObject = obj8123;
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8167 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8167
  adddatum2(obj8123, array8167, 5);
  sourceObject = obj8123;
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8170 = alloc_Float64(0);
// compilenode returning num8170
  int op_slot_right_8169 = gc_frame_newslot(num8170);
  int callframe8172 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8173 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8172);
// compilenode returning call8173
// compilenode returning call8173
  int op_slot_left_8169 = gc_frame_newslot(call8173);
  params[0] = num8170;
  partcv[0] = 1;
  Object opresult8174 = callmethod(call8173, ">", 1, partcv, params);
// compilenode returning opresult8174
  Object if8168 = done;
struct StackFrameObject *iftmpstackframe8168 = stackframe;
  if (istrue(opresult8174)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8168);
gc_frame_newslot((Object)stackframe);
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8175 = gc_frame_new();
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num8176 = alloc_Float64(1);
// compilenode returning num8176
  params[0] = num8176;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres8177 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres8177
  gc_frame_newslot(idxres8177);
  params[0] = idxres8177;
  partcv[0] = 1;
  Object call8178 = callmethodflags(self, "name:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8175);
// compilenode returning call8178
// compilenode returning done
    gc_frame_newslot(done);
    if8168 = done;
  } else {
  }
stackframe = iftmpstackframe8168;
// compilenode returning if8168
  sourceObject = obj8123;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8181 = alloc_Float64(1);
// compilenode returning num8181
  int op_slot_right_8180 = gc_frame_newslot(num8181);
  int callframe8183 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8184 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8183);
// compilenode returning call8184
// compilenode returning call8184
  int op_slot_left_8180 = gc_frame_newslot(call8184);
  params[0] = num8181;
  partcv[0] = 1;
  Object opresult8185 = callmethod(call8184, ">", 1, partcv, params);
// compilenode returning opresult8185
  Object if8179 = done;
struct StackFrameObject *iftmpstackframe8179 = stackframe;
  if (istrue(opresult8185)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8179);
gc_frame_newslot((Object)stackframe);
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8186 = gc_frame_new();
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num8187 = alloc_Float64(2);
// compilenode returning num8187
  params[0] = num8187;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres8188 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres8188
  gc_frame_newslot(idxres8188);
  params[0] = idxres8188;
  partcv[0] = 1;
  Object call8189 = callmethodflags(self, "params:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8186);
// compilenode returning call8189
// compilenode returning done
    gc_frame_newslot(done);
    if8179 = done;
  } else {
  }
stackframe = iftmpstackframe8179;
// compilenode returning if8179
  sourceObject = obj8123;
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8192 = alloc_Float64(2);
// compilenode returning num8192
  int op_slot_right_8191 = gc_frame_newslot(num8192);
  int callframe8194 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8195 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8194);
// compilenode returning call8195
// compilenode returning call8195
  int op_slot_left_8191 = gc_frame_newslot(call8195);
  params[0] = num8192;
  partcv[0] = 1;
  Object opresult8196 = callmethod(call8195, ">", 1, partcv, params);
// compilenode returning opresult8196
  Object if8190 = done;
struct StackFrameObject *iftmpstackframe8190 = stackframe;
  if (istrue(opresult8196)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8190);
gc_frame_newslot((Object)stackframe);
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8197 = gc_frame_new();
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  Object num8198 = alloc_Float64(3);
// compilenode returning num8198
  params[0] = num8198;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres8199 = callmethod(*var_values, "[]", 1, partcv, params);
// compilenode returning idxres8199
  gc_frame_newslot(idxres8199);
  params[0] = idxres8199;
  partcv[0] = 1;
  Object call8200 = callmethodflags(self, "vararg:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8197);
// compilenode returning call8200
// compilenode returning done
    gc_frame_newslot(done);
    if8190 = done;
  } else {
  }
stackframe = iftmpstackframe8190;
// compilenode returning if8190
  sourceObject = obj8123;
  sourceObject = obj8123;
objclass8123 = obj8123->class;
  objclass8123->definitionModule = modulename;
  objclass8123->definitionLine = 1920;
  (*(struct UserObject *)self).data[0] = lowerouter8123;
  self = oldself8123;
  selfslot = oldselfslot8123;
  stackframe = oldstackframe8123;
  gc_frame_end(frame);
  return obj8123;
}
Object meth_ast_ASTVisitor8204(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ASTVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ASTVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ASTVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[ASTVisitor]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ASTVisitor
  gc_frame_end(frame);
  return *var_ASTVisitor;
}
Object meth_ast_ast8205(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ast");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ast = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ast (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[ast]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2156
  setline(2156);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ast
  gc_frame_end(frame);
  return *var_ast;
}
Object meth_ast_visitCall8208(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCall");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitCall (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCall");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8209 = gc_frame_new();
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8210 = alloc_Boolean(1);
// compilenode returning bool8210
  gc_frame_newslot(bool8210);
// compilenode returning *var_c
  params[0] = bool8210;
  partcv[0] = 1;
  Object call8211 = callmethod(*var_c, "isPattern:=",
    1, partcv, params);
  gc_frame_end(callframe8209);
// compilenode returning call8211
// compilenode returning done
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8212 = alloc_Boolean(1);
// compilenode returning bool8212
  gc_frame_end(frame);
  return bool8212;
}
Object meth_ast_patternMarkVisitor8215(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "patternMarkVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for patternMarkVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[patternMarkVisitor]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2157
  setline(2157);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_patternMarkVisitor
  gc_frame_end(frame);
  return *var_patternMarkVisitor;
}
Object module_ast_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(44, 44);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<ast>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(44, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[2];
Object *var_util = alloc_var();
Object *var_collections = alloc_var();
  Object *var_baseNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "baseNode");
  Object *var_forNode = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "forNode");
  Object *var_whileNode = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "whileNode");
  Object *var_ifNode = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ifNode");
  Object *var_blockNode = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "blockNode");
  Object *var_catchCaseNode = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "catchCaseNode");
  Object *var_matchCaseNode = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "matchCaseNode");
  Object *var_methodTypeNode = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "methodTypeNode");
  Object *var_typeLiteralNode = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "typeLiteralNode");
  Object *var_typeDecNode = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "typeDecNode");
  Object *var_methodNode = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "methodNode");
  Object *var_callNode = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "callNode");
  Object *var_classNode = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "classNode");
  Object *var_objectNode = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "objectNode");
  Object *var_arrayNode = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "arrayNode");
  Object *var_memberNode = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "memberNode");
  Object *var_genericNode = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "genericNode");
  Object *var_identifierNode = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "identifierNode");
  Object *var_octetsNode = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "octetsNode");
  Object *var_stringNode = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "stringNode");
  Object *var_numNode = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "numNode");
  Object *var_opNode = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "opNode");
  Object *var_indexNode = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "indexNode");
  Object *var_bindNode = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "bindNode");
  Object *var_defDecNode = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "defDecNode");
  Object *var_varDecNode = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "varDecNode");
  Object *var_importNode = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "importNode");
  Object *var_dialectNode = &(stackframe->slots[28]);
  setframeelementname(stackframe, 28, "dialectNode");
  Object *var_returnNode = &(stackframe->slots[29]);
  setframeelementname(stackframe, 29, "returnNode");
  Object *var_inheritsNode = &(stackframe->slots[30]);
  setframeelementname(stackframe, 30, "inheritsNode");
  Object *var_blankNode = &(stackframe->slots[31]);
  setframeelementname(stackframe, 31, "blankNode");
  Object *var_signaturePart = &(stackframe->slots[32]);
  setframeelementname(stackframe, 32, "signaturePart");
  Object *var_ASTVisitor = &(stackframe->slots[33]);
  setframeelementname(stackframe, 33, "ASTVisitor");
  Object *var_ast = &(stackframe->slots[34]);
  setframeelementname(stackframe, 34, "ast");
  Object *var_patternMarkVisitor = &(stackframe->slots[35]);
  setframeelementname(stackframe, 35, "patternMarkVisitor");
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure0 = createclosure(1, "listMap()before()after");
  setclosureframe(closure0, stackframe);
  addtoclosure(closure0, var_collections);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = (Object)closure0;
  Method *meth_meth_ast_listMap_40__41_before_40__41_after0 = addmethod2pos(self, "listMap()before()after", &meth_ast_listMap_40__41_before_40__41_after0, 1);
int argcv_meth_ast_listMap_40__41_before_40__41_after0[] = {2, 1, 1};
meth_meth_ast_listMap_40__41_before_40__41_after0->type = alloc_MethodType(3, argcv_meth_ast_listMap_40__41_before_40__41_after0);
  meth_meth_ast_listMap_40__41_before_40__41_after0->definitionModule = modulename;
  meth_meth_ast_listMap_40__41_before_40__41_after0->definitionLine = 23;
// compilenode returning 
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo14 = (struct UserObject*)self;
  uo14->data[2] = emptyclosure;
  Method *meth_meth_ast_maybeMap14 = addmethod2pos(self, "maybeMap", &meth_ast_maybeMap14, 2);
int argcv_meth_ast_maybeMap14[] = {4};
meth_meth_ast_maybeMap14->type = alloc_MethodType(1, argcv_meth_ast_maybeMap14);
  meth_meth_ast_maybeMap14->definitionModule = modulename;
  meth_meth_ast_maybeMap14->definitionLine = 31;
// compilenode returning 
// Begin line 2005
  setline(2005);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure22 = createclosure(1, "callWithPart");
  setclosureframe(closure22, stackframe);
  addtoclosure(closure22, var_baseNode);
  struct UserObject *uo22 = (struct UserObject*)self;
  uo22->data[3] = (Object)closure22;
  Method *meth_meth_ast_callWithPart22 = addmethod2pos(self, "callWithPart", &meth_ast_callWithPart22, 3);
int argcv_meth_ast_callWithPart22[] = {0};
meth_meth_ast_callWithPart22->type = alloc_MethodType(1, argcv_meth_ast_callWithPart22);
  meth_meth_ast_callWithPart22->definitionModule = modulename;
  meth_meth_ast_callWithPart22->definitionLine = 2005;
  block_savedest(self);
  Object closure94 = createclosure(1, "callWithPart()object");
setclosureframe(closure94, stackframe);
  addtoclosure(closure94, var_baseNode);
  Method *meth_meth_ast_callWithPart22_object = addmethod2pos(self, "callWithPart()object", &meth_ast_callWithPart22_object, 3);
  meth_meth_ast_callWithPart22_object->definitionModule = modulename;
  meth_meth_ast_callWithPart22_object->definitionLine = 2005;
// compilenode returning 
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo95 = (struct UserObject*)self;
  uo95->data[4] = emptyclosure;
  Method *meth_meth_ast_baseVisitor95 = addmethod2pos(self, "baseVisitor", &meth_ast_baseVisitor95, 4);
int argcv_meth_ast_baseVisitor95[] = {0};
meth_meth_ast_baseVisitor95->type = alloc_MethodType(1, argcv_meth_ast_baseVisitor95);
  meth_meth_ast_baseVisitor95->definitionModule = modulename;
  meth_meth_ast_baseVisitor95->definitionLine = 2065;
  Method *meth_meth_ast_baseVisitor95_object = addmethod2pos(self, "baseVisitor()object", &meth_ast_baseVisitor95_object, 4);
int argcv_meth_ast_baseVisitor95_object[] = {0};
meth_meth_ast_baseVisitor95_object->type = alloc_MethodType(1, argcv_meth_ast_baseVisitor95_object);
  meth_meth_ast_baseVisitor95_object->definitionModule = modulename;
  meth_meth_ast_baseVisitor95_object->definitionLine = 2065;
// compilenode returning 
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo157 = (struct UserObject*)self;
  uo157->data[5] = emptyclosure;
  Method *meth_meth_ast_findAnnotation157 = addmethod2pos(self, "findAnnotation", &meth_ast_findAnnotation157, 5);
int argcv_meth_ast_findAnnotation157[] = {2};
meth_meth_ast_findAnnotation157->type = alloc_MethodType(1, argcv_meth_ast_findAnnotation157);
  meth_meth_ast_findAnnotation157->definitionModule = modulename;
  meth_meth_ast_findAnnotation157->definitionLine = 2165;
// compilenode returning 
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compilenode returning done
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of mgcollections as collections
  if (module_mgcollections == NULL)
    module_mgcollections = module_mgcollections_init();
  *var_collections = module_mgcollections;
// compilenode returning done
// compilenode returning 
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure187 = createclosure(1, "baseNode");
  setclosureframe(closure187, stackframe);
  addtoclosure(closure187, var_baseNode);
  struct UserObject *uo187 = (struct UserObject*)self;
  uo187->data[6] = (Object)closure187;
  Method *meth_meth_ast_baseNode187 = addmethod2pos(self, "baseNode", &meth_ast_baseNode187, 6);
int argcv_meth_ast_baseNode187[] = {0};
meth_meth_ast_baseNode187->type = alloc_MethodType(1, argcv_meth_ast_baseNode187);
  meth_meth_ast_baseNode187->definitionModule = modulename;
  meth_meth_ast_baseNode187->definitionLine = 2167;
// compilenode returning 
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject188 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj188 = alloc_userobj2(2,4, objclass188);
  gc_frame_newslot(obj188);
// OBJECT OUTER DEC outer
  adddatum2(obj188, self, 0);
  addmethodreal(obj188,"outer", &reader_ast_outer_189);
  Object oldself188 = self;
  struct StackFrameObject *oldstackframe188 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe188);
  gc_frame_newslot((Object)stackframe);
  self = obj188;
  Object *oldselfslot188 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter188 = (*(struct UserObject *)self).data[0], lowerouter188 = thisouter188;
  if (inheritingObject188) {
    struct UserObject *inho188 = (struct UserObject *)inheritingObject188;
    while (inho188->super != GraceDefaultObject) inho188 = (struct UserObject *)inho188->super;
    inho188->super = obj188;
    self = inheritingObject188;
    *selfslot = self;
    lowerouter188 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter188;
  }
  block_savedest(obj188);
  Object closure190 = createclosure(1, "new");
  setclosureframe(closure190, stackframe);
  addtoclosure(closure190, var_util);
  struct UserObject *uo190 = (struct UserObject*)obj188;
  uo190->data[1] = (Object)closure190;
  Method *meth_meth_ast_new190 = addmethod2pos(obj188, "new", &meth_ast_new190, 1);
int argcv_meth_ast_new190[] = {0};
meth_meth_ast_new190->type = alloc_MethodType(1, argcv_meth_ast_new190);
  meth_meth_ast_new190->definitionModule = modulename;
  meth_meth_ast_new190->definitionLine = 2167;
  block_savedest(obj188);
  Object closure225 = createclosure(1, "new()object");
setclosureframe(closure225, stackframe);
  addtoclosure(closure225, var_util);
  Method *meth_meth_ast_new190_object = addmethod2pos(obj188, "new()object", &meth_ast_new190_object, 1);
  meth_meth_ast_new190_object->definitionModule = modulename;
  meth_meth_ast_new190_object->definitionLine = 2167;
  sourceObject = obj188;
objclass188 = obj188->class;
  objclass188->definitionModule = modulename;
  objclass188->definitionLine = 2167;
  (*(struct UserObject *)self).data[0] = lowerouter188;
  self = oldself188;
  selfslot = oldselfslot188;
  stackframe = oldstackframe188;
// compilenode returning obj188
  *var_baseNode = obj188;
  if (obj188 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure226 = createclosure(1, "forNode");
  setclosureframe(closure226, stackframe);
  addtoclosure(closure226, var_forNode);
  struct UserObject *uo226 = (struct UserObject*)self;
  uo226->data[7] = (Object)closure226;
  Method *meth_meth_ast_forNode226 = addmethod2pos(self, "forNode", &meth_ast_forNode226, 7);
int argcv_meth_ast_forNode226[] = {0};
meth_meth_ast_forNode226->type = alloc_MethodType(1, argcv_meth_ast_forNode226);
  meth_meth_ast_forNode226->definitionModule = modulename;
  meth_meth_ast_forNode226->definitionLine = 41;
// compilenode returning 
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject227 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj227 = alloc_userobj2(2,4, objclass227);
  gc_frame_newslot(obj227);
// OBJECT OUTER DEC outer
  adddatum2(obj227, self, 0);
  addmethodreal(obj227,"outer", &reader_ast_outer_228);
  Object oldself227 = self;
  struct StackFrameObject *oldstackframe227 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe227);
  gc_frame_newslot((Object)stackframe);
  self = obj227;
  Object *oldselfslot227 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter227 = (*(struct UserObject *)self).data[0], lowerouter227 = thisouter227;
  if (inheritingObject227) {
    struct UserObject *inho227 = (struct UserObject *)inheritingObject227;
    while (inho227->super != GraceDefaultObject) inho227 = (struct UserObject *)inho227->super;
    inho227->super = obj227;
    self = inheritingObject227;
    *selfslot = self;
    lowerouter227 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter227;
  }
  block_savedest(obj227);
  Object closure229 = createclosure(1, "new");
  setclosureframe(closure229, stackframe);
  addtoclosure(closure229, var_baseNode);
  struct UserObject *uo229 = (struct UserObject*)obj227;
  uo229->data[1] = (Object)closure229;
  Method *meth_meth_ast_new229 = addmethod2pos(obj227, "new", &meth_ast_new229, 1);
int argcv_meth_ast_new229[] = {2};
meth_meth_ast_new229->type = alloc_MethodType(1, argcv_meth_ast_new229);
  meth_meth_ast_new229->definitionModule = modulename;
  meth_meth_ast_new229->definitionLine = 41;
  block_savedest(obj227);
  Object closure359 = createclosure(1, "new()object");
setclosureframe(closure359, stackframe);
  addtoclosure(closure359, var_baseNode);
  Method *meth_meth_ast_new229_object = addmethod2pos(obj227, "new()object", &meth_ast_new229_object, 1);
  meth_meth_ast_new229_object->definitionModule = modulename;
  meth_meth_ast_new229_object->definitionLine = 41;
  sourceObject = obj227;
objclass227 = obj227->class;
  objclass227->definitionModule = modulename;
  objclass227->definitionLine = 41;
  (*(struct UserObject *)self).data[0] = lowerouter227;
  self = oldself227;
  selfslot = oldselfslot227;
  stackframe = oldstackframe227;
// compilenode returning obj227
  *var_forNode = obj227;
  if (obj227 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure360 = createclosure(1, "whileNode");
  setclosureframe(closure360, stackframe);
  addtoclosure(closure360, var_whileNode);
  struct UserObject *uo360 = (struct UserObject*)self;
  uo360->data[8] = (Object)closure360;
  Method *meth_meth_ast_whileNode360 = addmethod2pos(self, "whileNode", &meth_ast_whileNode360, 8);
int argcv_meth_ast_whileNode360[] = {0};
meth_meth_ast_whileNode360->type = alloc_MethodType(1, argcv_meth_ast_whileNode360);
  meth_meth_ast_whileNode360->definitionModule = modulename;
  meth_meth_ast_whileNode360->definitionLine = 80;
// compilenode returning 
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject361 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj361 = alloc_userobj2(2,4, objclass361);
  gc_frame_newslot(obj361);
// OBJECT OUTER DEC outer
  adddatum2(obj361, self, 0);
  addmethodreal(obj361,"outer", &reader_ast_outer_362);
  Object oldself361 = self;
  struct StackFrameObject *oldstackframe361 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe361);
  gc_frame_newslot((Object)stackframe);
  self = obj361;
  Object *oldselfslot361 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter361 = (*(struct UserObject *)self).data[0], lowerouter361 = thisouter361;
  if (inheritingObject361) {
    struct UserObject *inho361 = (struct UserObject *)inheritingObject361;
    while (inho361->super != GraceDefaultObject) inho361 = (struct UserObject *)inho361->super;
    inho361->super = obj361;
    self = inheritingObject361;
    *selfslot = self;
    lowerouter361 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter361;
  }
  block_savedest(obj361);
  Object closure363 = createclosure(1, "new");
  setclosureframe(closure363, stackframe);
  addtoclosure(closure363, var_baseNode);
  struct UserObject *uo363 = (struct UserObject*)obj361;
  uo363->data[1] = (Object)closure363;
  Method *meth_meth_ast_new363 = addmethod2pos(obj361, "new", &meth_ast_new363, 1);
int argcv_meth_ast_new363[] = {2};
meth_meth_ast_new363->type = alloc_MethodType(1, argcv_meth_ast_new363);
  meth_meth_ast_new363->definitionModule = modulename;
  meth_meth_ast_new363->definitionLine = 80;
  block_savedest(obj361);
  Object closure534 = createclosure(1, "new()object");
setclosureframe(closure534, stackframe);
  addtoclosure(closure534, var_baseNode);
  Method *meth_meth_ast_new363_object = addmethod2pos(obj361, "new()object", &meth_ast_new363_object, 1);
  meth_meth_ast_new363_object->definitionModule = modulename;
  meth_meth_ast_new363_object->definitionLine = 80;
  sourceObject = obj361;
objclass361 = obj361->class;
  objclass361->definitionModule = modulename;
  objclass361->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter361;
  self = oldself361;
  selfslot = oldselfslot361;
  stackframe = oldstackframe361;
// compilenode returning obj361
  *var_whileNode = obj361;
  if (obj361 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure535 = createclosure(1, "ifNode");
  setclosureframe(closure535, stackframe);
  addtoclosure(closure535, var_ifNode);
  struct UserObject *uo535 = (struct UserObject*)self;
  uo535->data[9] = (Object)closure535;
  Method *meth_meth_ast_ifNode535 = addmethod2pos(self, "ifNode", &meth_ast_ifNode535, 9);
int argcv_meth_ast_ifNode535[] = {0};
meth_meth_ast_ifNode535->type = alloc_MethodType(1, argcv_meth_ast_ifNode535);
  meth_meth_ast_ifNode535->definitionModule = modulename;
  meth_meth_ast_ifNode535->definitionLine = 117;
// compilenode returning 
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject536 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj536 = alloc_userobj2(2,4, objclass536);
  gc_frame_newslot(obj536);
// OBJECT OUTER DEC outer
  adddatum2(obj536, self, 0);
  addmethodreal(obj536,"outer", &reader_ast_outer_537);
  Object oldself536 = self;
  struct StackFrameObject *oldstackframe536 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe536);
  gc_frame_newslot((Object)stackframe);
  self = obj536;
  Object *oldselfslot536 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter536 = (*(struct UserObject *)self).data[0], lowerouter536 = thisouter536;
  if (inheritingObject536) {
    struct UserObject *inho536 = (struct UserObject *)inheritingObject536;
    while (inho536->super != GraceDefaultObject) inho536 = (struct UserObject *)inho536->super;
    inho536->super = obj536;
    self = inheritingObject536;
    *selfslot = self;
    lowerouter536 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter536;
  }
  block_savedest(obj536);
  Object closure538 = createclosure(2, "new");
  setclosureframe(closure538, stackframe);
  addtoclosure(closure538, var_ifNode);
  addtoclosure(closure538, var_baseNode);
  struct UserObject *uo538 = (struct UserObject*)obj536;
  uo538->data[1] = (Object)closure538;
  Method *meth_meth_ast_new538 = addmethod2pos(obj536, "new", &meth_ast_new538, 1);
int argcv_meth_ast_new538[] = {3};
meth_meth_ast_new538->type = alloc_MethodType(1, argcv_meth_ast_new538);
  meth_meth_ast_new538->definitionModule = modulename;
  meth_meth_ast_new538->definitionLine = 117;
  block_savedest(obj536);
  Object closure851 = createclosure(2, "new()object");
setclosureframe(closure851, stackframe);
  addtoclosure(closure851, var_ifNode);
  addtoclosure(closure851, var_baseNode);
  Method *meth_meth_ast_new538_object = addmethod2pos(obj536, "new()object", &meth_ast_new538_object, 1);
  meth_meth_ast_new538_object->definitionModule = modulename;
  meth_meth_ast_new538_object->definitionLine = 117;
  sourceObject = obj536;
objclass536 = obj536->class;
  objclass536->definitionModule = modulename;
  objclass536->definitionLine = 117;
  (*(struct UserObject *)self).data[0] = lowerouter536;
  self = oldself536;
  selfslot = oldselfslot536;
  stackframe = oldstackframe536;
// compilenode returning obj536
  *var_ifNode = obj536;
  if (obj536 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure852 = createclosure(1, "blockNode");
  setclosureframe(closure852, stackframe);
  addtoclosure(closure852, var_blockNode);
  struct UserObject *uo852 = (struct UserObject*)self;
  uo852->data[10] = (Object)closure852;
  Method *meth_meth_ast_blockNode852 = addmethod2pos(self, "blockNode", &meth_ast_blockNode852, 10);
int argcv_meth_ast_blockNode852[] = {0};
meth_meth_ast_blockNode852->type = alloc_MethodType(1, argcv_meth_ast_blockNode852);
  meth_meth_ast_blockNode852->definitionModule = modulename;
  meth_meth_ast_blockNode852->definitionLine = 188;
// compilenode returning 
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject853 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj853 = alloc_userobj2(2,4, objclass853);
  gc_frame_newslot(obj853);
// OBJECT OUTER DEC outer
  adddatum2(obj853, self, 0);
  addmethodreal(obj853,"outer", &reader_ast_outer_854);
  Object oldself853 = self;
  struct StackFrameObject *oldstackframe853 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe853);
  gc_frame_newslot((Object)stackframe);
  self = obj853;
  Object *oldselfslot853 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter853 = (*(struct UserObject *)self).data[0], lowerouter853 = thisouter853;
  if (inheritingObject853) {
    struct UserObject *inho853 = (struct UserObject *)inheritingObject853;
    while (inho853->super != GraceDefaultObject) inho853 = (struct UserObject *)inho853->super;
    inho853->super = obj853;
    self = inheritingObject853;
    *selfslot = self;
    lowerouter853 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter853;
  }
  block_savedest(obj853);
  Object closure855 = createclosure(3, "new");
  setclosureframe(closure855, stackframe);
  addtoclosure(closure855, var_blockNode);
  addtoclosure(closure855, var_baseNode);
  addtoclosure(closure855, var_patternMarkVisitor);
  struct UserObject *uo855 = (struct UserObject*)obj853;
  uo855->data[1] = (Object)closure855;
  Method *meth_meth_ast_new855 = addmethod2pos(obj853, "new", &meth_ast_new855, 1);
int argcv_meth_ast_new855[] = {2};
meth_meth_ast_new855->type = alloc_MethodType(1, argcv_meth_ast_new855);
  meth_meth_ast_new855->definitionModule = modulename;
  meth_meth_ast_new855->definitionLine = 188;
  block_savedest(obj853);
  Object closure1227 = createclosure(3, "new()object");
setclosureframe(closure1227, stackframe);
  addtoclosure(closure1227, var_blockNode);
  addtoclosure(closure1227, var_baseNode);
  addtoclosure(closure1227, var_patternMarkVisitor);
  Method *meth_meth_ast_new855_object = addmethod2pos(obj853, "new()object", &meth_ast_new855_object, 1);
  meth_meth_ast_new855_object->definitionModule = modulename;
  meth_meth_ast_new855_object->definitionLine = 188;
  sourceObject = obj853;
objclass853 = obj853->class;
  objclass853->definitionModule = modulename;
  objclass853->definitionLine = 188;
  (*(struct UserObject *)self).data[0] = lowerouter853;
  self = oldself853;
  selfslot = oldselfslot853;
  stackframe = oldstackframe853;
// compilenode returning obj853
  *var_blockNode = obj853;
  if (obj853 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1228 = createclosure(1, "catchCaseNode");
  setclosureframe(closure1228, stackframe);
  addtoclosure(closure1228, var_catchCaseNode);
  struct UserObject *uo1228 = (struct UserObject*)self;
  uo1228->data[11] = (Object)closure1228;
  Method *meth_meth_ast_catchCaseNode1228 = addmethod2pos(self, "catchCaseNode", &meth_ast_catchCaseNode1228, 11);
int argcv_meth_ast_catchCaseNode1228[] = {0};
meth_meth_ast_catchCaseNode1228->type = alloc_MethodType(1, argcv_meth_ast_catchCaseNode1228);
  meth_meth_ast_catchCaseNode1228->definitionModule = modulename;
  meth_meth_ast_catchCaseNode1228->definitionLine = 282;
// compilenode returning 
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1229 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1229 = alloc_userobj2(2,4, objclass1229);
  gc_frame_newslot(obj1229);
// OBJECT OUTER DEC outer
  adddatum2(obj1229, self, 0);
  addmethodreal(obj1229,"outer", &reader_ast_outer_1230);
  Object oldself1229 = self;
  struct StackFrameObject *oldstackframe1229 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1229);
  gc_frame_newslot((Object)stackframe);
  self = obj1229;
  Object *oldselfslot1229 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1229 = (*(struct UserObject *)self).data[0], lowerouter1229 = thisouter1229;
  if (inheritingObject1229) {
    struct UserObject *inho1229 = (struct UserObject *)inheritingObject1229;
    while (inho1229->super != GraceDefaultObject) inho1229 = (struct UserObject *)inho1229->super;
    inho1229->super = obj1229;
    self = inheritingObject1229;
    *selfslot = self;
    lowerouter1229 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1229;
  }
  block_savedest(obj1229);
  Object closure1231 = createclosure(2, "new");
  setclosureframe(closure1231, stackframe);
  addtoclosure(closure1231, var_catchCaseNode);
  addtoclosure(closure1231, var_baseNode);
  struct UserObject *uo1231 = (struct UserObject*)obj1229;
  uo1231->data[1] = (Object)closure1231;
  Method *meth_meth_ast_new1231 = addmethod2pos(obj1229, "new", &meth_ast_new1231, 1);
int argcv_meth_ast_new1231[] = {3};
meth_meth_ast_new1231->type = alloc_MethodType(1, argcv_meth_ast_new1231);
  meth_meth_ast_new1231->definitionModule = modulename;
  meth_meth_ast_new1231->definitionLine = 282;
  block_savedest(obj1229);
  Object closure1518 = createclosure(2, "new()object");
setclosureframe(closure1518, stackframe);
  addtoclosure(closure1518, var_catchCaseNode);
  addtoclosure(closure1518, var_baseNode);
  Method *meth_meth_ast_new1231_object = addmethod2pos(obj1229, "new()object", &meth_ast_new1231_object, 1);
  meth_meth_ast_new1231_object->definitionModule = modulename;
  meth_meth_ast_new1231_object->definitionLine = 282;
  sourceObject = obj1229;
objclass1229 = obj1229->class;
  objclass1229->definitionModule = modulename;
  objclass1229->definitionLine = 282;
  (*(struct UserObject *)self).data[0] = lowerouter1229;
  self = oldself1229;
  selfslot = oldselfslot1229;
  stackframe = oldstackframe1229;
// compilenode returning obj1229
  *var_catchCaseNode = obj1229;
  if (obj1229 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1519 = createclosure(1, "matchCaseNode");
  setclosureframe(closure1519, stackframe);
  addtoclosure(closure1519, var_matchCaseNode);
  struct UserObject *uo1519 = (struct UserObject*)self;
  uo1519->data[12] = (Object)closure1519;
  Method *meth_meth_ast_matchCaseNode1519 = addmethod2pos(self, "matchCaseNode", &meth_ast_matchCaseNode1519, 12);
int argcv_meth_ast_matchCaseNode1519[] = {0};
meth_meth_ast_matchCaseNode1519->type = alloc_MethodType(1, argcv_meth_ast_matchCaseNode1519);
  meth_meth_ast_matchCaseNode1519->definitionModule = modulename;
  meth_meth_ast_matchCaseNode1519->definitionLine = 342;
// compilenode returning 
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1520 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1520 = alloc_userobj2(2,4, objclass1520);
  gc_frame_newslot(obj1520);
// OBJECT OUTER DEC outer
  adddatum2(obj1520, self, 0);
  addmethodreal(obj1520,"outer", &reader_ast_outer_1521);
  Object oldself1520 = self;
  struct StackFrameObject *oldstackframe1520 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1520);
  gc_frame_newslot((Object)stackframe);
  self = obj1520;
  Object *oldselfslot1520 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1520 = (*(struct UserObject *)self).data[0], lowerouter1520 = thisouter1520;
  if (inheritingObject1520) {
    struct UserObject *inho1520 = (struct UserObject *)inheritingObject1520;
    while (inho1520->super != GraceDefaultObject) inho1520 = (struct UserObject *)inho1520->super;
    inho1520->super = obj1520;
    self = inheritingObject1520;
    *selfslot = self;
    lowerouter1520 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1520;
  }
  block_savedest(obj1520);
  Object closure1522 = createclosure(2, "new");
  setclosureframe(closure1522, stackframe);
  addtoclosure(closure1522, var_matchCaseNode);
  addtoclosure(closure1522, var_baseNode);
  struct UserObject *uo1522 = (struct UserObject*)obj1520;
  uo1522->data[1] = (Object)closure1522;
  Method *meth_meth_ast_new1522 = addmethod2pos(obj1520, "new", &meth_ast_new1522, 1);
int argcv_meth_ast_new1522[] = {3};
meth_meth_ast_new1522->type = alloc_MethodType(1, argcv_meth_ast_new1522);
  meth_meth_ast_new1522->definitionModule = modulename;
  meth_meth_ast_new1522->definitionLine = 342;
  block_savedest(obj1520);
  Object closure1809 = createclosure(2, "new()object");
setclosureframe(closure1809, stackframe);
  addtoclosure(closure1809, var_matchCaseNode);
  addtoclosure(closure1809, var_baseNode);
  Method *meth_meth_ast_new1522_object = addmethod2pos(obj1520, "new()object", &meth_ast_new1522_object, 1);
  meth_meth_ast_new1522_object->definitionModule = modulename;
  meth_meth_ast_new1522_object->definitionLine = 342;
  sourceObject = obj1520;
objclass1520 = obj1520->class;
  objclass1520->definitionModule = modulename;
  objclass1520->definitionLine = 342;
  (*(struct UserObject *)self).data[0] = lowerouter1520;
  self = oldself1520;
  selfslot = oldselfslot1520;
  stackframe = oldstackframe1520;
// compilenode returning obj1520
  *var_matchCaseNode = obj1520;
  if (obj1520 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1810 = createclosure(1, "methodTypeNode");
  setclosureframe(closure1810, stackframe);
  addtoclosure(closure1810, var_methodTypeNode);
  struct UserObject *uo1810 = (struct UserObject*)self;
  uo1810->data[13] = (Object)closure1810;
  Method *meth_meth_ast_methodTypeNode1810 = addmethod2pos(self, "methodTypeNode", &meth_ast_methodTypeNode1810, 13);
int argcv_meth_ast_methodTypeNode1810[] = {0};
meth_meth_ast_methodTypeNode1810->type = alloc_MethodType(1, argcv_meth_ast_methodTypeNode1810);
  meth_meth_ast_methodTypeNode1810->definitionModule = modulename;
  meth_meth_ast_methodTypeNode1810->definitionLine = 402;
// compilenode returning 
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1811 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1811 = alloc_userobj2(2,4, objclass1811);
  gc_frame_newslot(obj1811);
// OBJECT OUTER DEC outer
  adddatum2(obj1811, self, 0);
  addmethodreal(obj1811,"outer", &reader_ast_outer_1812);
  Object oldself1811 = self;
  struct StackFrameObject *oldstackframe1811 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1811);
  gc_frame_newslot((Object)stackframe);
  self = obj1811;
  Object *oldselfslot1811 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1811 = (*(struct UserObject *)self).data[0], lowerouter1811 = thisouter1811;
  if (inheritingObject1811) {
    struct UserObject *inho1811 = (struct UserObject *)inheritingObject1811;
    while (inho1811->super != GraceDefaultObject) inho1811 = (struct UserObject *)inho1811->super;
    inho1811->super = obj1811;
    self = inheritingObject1811;
    *selfslot = self;
    lowerouter1811 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1811;
  }
  block_savedest(obj1811);
  Object closure1813 = createclosure(2, "new");
  setclosureframe(closure1813, stackframe);
  addtoclosure(closure1813, var_methodTypeNode);
  addtoclosure(closure1813, var_baseNode);
  struct UserObject *uo1813 = (struct UserObject*)obj1811;
  uo1813->data[1] = (Object)closure1813;
  Method *meth_meth_ast_new1813 = addmethod2pos(obj1811, "new", &meth_ast_new1813, 1);
int argcv_meth_ast_new1813[] = {3};
meth_meth_ast_new1813->type = alloc_MethodType(1, argcv_meth_ast_new1813);
  meth_meth_ast_new1813->definitionModule = modulename;
  meth_meth_ast_new1813->definitionLine = 402;
  block_savedest(obj1811);
  Object closure2287 = createclosure(2, "new()object");
setclosureframe(closure2287, stackframe);
  addtoclosure(closure2287, var_methodTypeNode);
  addtoclosure(closure2287, var_baseNode);
  Method *meth_meth_ast_new1813_object = addmethod2pos(obj1811, "new()object", &meth_ast_new1813_object, 1);
  meth_meth_ast_new1813_object->definitionModule = modulename;
  meth_meth_ast_new1813_object->definitionLine = 402;
  sourceObject = obj1811;
objclass1811 = obj1811->class;
  objclass1811->definitionModule = modulename;
  objclass1811->definitionLine = 402;
  (*(struct UserObject *)self).data[0] = lowerouter1811;
  self = oldself1811;
  selfslot = oldselfslot1811;
  stackframe = oldstackframe1811;
// compilenode returning obj1811
  *var_methodTypeNode = obj1811;
  if (obj1811 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure2288 = createclosure(1, "typeLiteralNode");
  setclosureframe(closure2288, stackframe);
  addtoclosure(closure2288, var_typeLiteralNode);
  struct UserObject *uo2288 = (struct UserObject*)self;
  uo2288->data[14] = (Object)closure2288;
  Method *meth_meth_ast_typeLiteralNode2288 = addmethod2pos(self, "typeLiteralNode", &meth_ast_typeLiteralNode2288, 14);
int argcv_meth_ast_typeLiteralNode2288[] = {0};
meth_meth_ast_typeLiteralNode2288->type = alloc_MethodType(1, argcv_meth_ast_typeLiteralNode2288);
  meth_meth_ast_typeLiteralNode2288->definitionModule = modulename;
  meth_meth_ast_typeLiteralNode2288->definitionLine = 505;
// compilenode returning 
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject2289 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2289 = alloc_userobj2(2,4, objclass2289);
  gc_frame_newslot(obj2289);
// OBJECT OUTER DEC outer
  adddatum2(obj2289, self, 0);
  addmethodreal(obj2289,"outer", &reader_ast_outer_2290);
  Object oldself2289 = self;
  struct StackFrameObject *oldstackframe2289 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2289);
  gc_frame_newslot((Object)stackframe);
  self = obj2289;
  Object *oldselfslot2289 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2289 = (*(struct UserObject *)self).data[0], lowerouter2289 = thisouter2289;
  if (inheritingObject2289) {
    struct UserObject *inho2289 = (struct UserObject *)inheritingObject2289;
    while (inho2289->super != GraceDefaultObject) inho2289 = (struct UserObject *)inho2289->super;
    inho2289->super = obj2289;
    self = inheritingObject2289;
    *selfslot = self;
    lowerouter2289 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2289;
  }
  block_savedest(obj2289);
  Object closure2291 = createclosure(2, "new");
  setclosureframe(closure2291, stackframe);
  addtoclosure(closure2291, var_typeLiteralNode);
  addtoclosure(closure2291, var_baseNode);
  struct UserObject *uo2291 = (struct UserObject*)obj2289;
  uo2291->data[1] = (Object)closure2291;
  Method *meth_meth_ast_new2291 = addmethod2pos(obj2289, "new", &meth_ast_new2291, 1);
int argcv_meth_ast_new2291[] = {2};
meth_meth_ast_new2291->type = alloc_MethodType(1, argcv_meth_ast_new2291);
  meth_meth_ast_new2291->definitionModule = modulename;
  meth_meth_ast_new2291->definitionLine = 505;
  block_savedest(obj2289);
  Object closure2685 = createclosure(2, "new()object");
setclosureframe(closure2685, stackframe);
  addtoclosure(closure2685, var_typeLiteralNode);
  addtoclosure(closure2685, var_baseNode);
  Method *meth_meth_ast_new2291_object = addmethod2pos(obj2289, "new()object", &meth_ast_new2291_object, 1);
  meth_meth_ast_new2291_object->definitionModule = modulename;
  meth_meth_ast_new2291_object->definitionLine = 505;
  sourceObject = obj2289;
objclass2289 = obj2289->class;
  objclass2289->definitionModule = modulename;
  objclass2289->definitionLine = 505;
  (*(struct UserObject *)self).data[0] = lowerouter2289;
  self = oldself2289;
  selfslot = oldselfslot2289;
  stackframe = oldstackframe2289;
// compilenode returning obj2289
  *var_typeLiteralNode = obj2289;
  if (obj2289 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure2686 = createclosure(1, "typeDecNode");
  setclosureframe(closure2686, stackframe);
  addtoclosure(closure2686, var_typeDecNode);
  struct UserObject *uo2686 = (struct UserObject*)self;
  uo2686->data[15] = (Object)closure2686;
  Method *meth_meth_ast_typeDecNode2686 = addmethod2pos(self, "typeDecNode", &meth_ast_typeDecNode2686, 15);
int argcv_meth_ast_typeDecNode2686[] = {0};
meth_meth_ast_typeDecNode2686->type = alloc_MethodType(1, argcv_meth_ast_typeDecNode2686);
  meth_meth_ast_typeDecNode2686->definitionModule = modulename;
  meth_meth_ast_typeDecNode2686->definitionLine = 596;
// compilenode returning 
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject2687 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2687 = alloc_userobj2(2,4, objclass2687);
  gc_frame_newslot(obj2687);
// OBJECT OUTER DEC outer
  adddatum2(obj2687, self, 0);
  addmethodreal(obj2687,"outer", &reader_ast_outer_2688);
  Object oldself2687 = self;
  struct StackFrameObject *oldstackframe2687 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2687);
  gc_frame_newslot((Object)stackframe);
  self = obj2687;
  Object *oldselfslot2687 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2687 = (*(struct UserObject *)self).data[0], lowerouter2687 = thisouter2687;
  if (inheritingObject2687) {
    struct UserObject *inho2687 = (struct UserObject *)inheritingObject2687;
    while (inho2687->super != GraceDefaultObject) inho2687 = (struct UserObject *)inho2687->super;
    inho2687->super = obj2687;
    self = inheritingObject2687;
    *selfslot = self;
    lowerouter2687 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2687;
  }
  block_savedest(obj2687);
  Object closure2689 = createclosure(3, "new");
  setclosureframe(closure2689, stackframe);
  addtoclosure(closure2689, var_typeDecNode);
  addtoclosure(closure2689, var_baseNode);
  addtoclosure(closure2689, var_collections);
  struct UserObject *uo2689 = (struct UserObject*)obj2687;
  uo2689->data[1] = (Object)closure2689;
  Method *meth_meth_ast_new2689 = addmethod2pos(obj2687, "new", &meth_ast_new2689, 1);
int argcv_meth_ast_new2689[] = {2};
meth_meth_ast_new2689->type = alloc_MethodType(1, argcv_meth_ast_new2689);
  meth_meth_ast_new2689->definitionModule = modulename;
  meth_meth_ast_new2689->definitionLine = 596;
  block_savedest(obj2687);
  Object closure3018 = createclosure(3, "new()object");
setclosureframe(closure3018, stackframe);
  addtoclosure(closure3018, var_typeDecNode);
  addtoclosure(closure3018, var_baseNode);
  addtoclosure(closure3018, var_collections);
  Method *meth_meth_ast_new2689_object = addmethod2pos(obj2687, "new()object", &meth_ast_new2689_object, 1);
  meth_meth_ast_new2689_object->definitionModule = modulename;
  meth_meth_ast_new2689_object->definitionLine = 596;
  sourceObject = obj2687;
objclass2687 = obj2687->class;
  objclass2687->definitionModule = modulename;
  objclass2687->definitionLine = 596;
  (*(struct UserObject *)self).data[0] = lowerouter2687;
  self = oldself2687;
  selfslot = oldselfslot2687;
  stackframe = oldstackframe2687;
// compilenode returning obj2687
  *var_typeDecNode = obj2687;
  if (obj2687 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3019 = createclosure(1, "methodNode");
  setclosureframe(closure3019, stackframe);
  addtoclosure(closure3019, var_methodNode);
  struct UserObject *uo3019 = (struct UserObject*)self;
  uo3019->data[16] = (Object)closure3019;
  Method *meth_meth_ast_methodNode3019 = addmethod2pos(self, "methodNode", &meth_ast_methodNode3019, 16);
int argcv_meth_ast_methodNode3019[] = {0};
meth_meth_ast_methodNode3019->type = alloc_MethodType(1, argcv_meth_ast_methodNode3019);
  meth_meth_ast_methodNode3019->definitionModule = modulename;
  meth_meth_ast_methodNode3019->definitionLine = 610;
// compilenode returning 
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject3020 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3020 = alloc_userobj2(2,4, objclass3020);
  gc_frame_newslot(obj3020);
// OBJECT OUTER DEC outer
  adddatum2(obj3020, self, 0);
  addmethodreal(obj3020,"outer", &reader_ast_outer_3021);
  Object oldself3020 = self;
  struct StackFrameObject *oldstackframe3020 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3020);
  gc_frame_newslot((Object)stackframe);
  self = obj3020;
  Object *oldselfslot3020 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3020 = (*(struct UserObject *)self).data[0], lowerouter3020 = thisouter3020;
  if (inheritingObject3020) {
    struct UserObject *inho3020 = (struct UserObject *)inheritingObject3020;
    while (inho3020->super != GraceDefaultObject) inho3020 = (struct UserObject *)inho3020->super;
    inho3020->super = obj3020;
    self = inheritingObject3020;
    *selfslot = self;
    lowerouter3020 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3020;
  }
  block_savedest(obj3020);
  Object closure3022 = createclosure(4, "new");
  setclosureframe(closure3022, stackframe);
  addtoclosure(closure3022, var_methodNode);
  addtoclosure(closure3022, var_identifierNode);
  addtoclosure(closure3022, var_baseNode);
  addtoclosure(closure3022, var_collections);
  struct UserObject *uo3022 = (struct UserObject*)obj3020;
  uo3022->data[1] = (Object)closure3022;
  Method *meth_meth_ast_new3022 = addmethod2pos(obj3020, "new", &meth_ast_new3022, 1);
int argcv_meth_ast_new3022[] = {4};
meth_meth_ast_new3022->type = alloc_MethodType(1, argcv_meth_ast_new3022);
  meth_meth_ast_new3022->definitionModule = modulename;
  meth_meth_ast_new3022->definitionLine = 610;
  block_savedest(obj3020);
  Object closure3880 = createclosure(4, "new()object");
setclosureframe(closure3880, stackframe);
  addtoclosure(closure3880, var_methodNode);
  addtoclosure(closure3880, var_identifierNode);
  addtoclosure(closure3880, var_baseNode);
  addtoclosure(closure3880, var_collections);
  Method *meth_meth_ast_new3022_object = addmethod2pos(obj3020, "new()object", &meth_ast_new3022_object, 1);
  meth_meth_ast_new3022_object->definitionModule = modulename;
  meth_meth_ast_new3022_object->definitionLine = 610;
  sourceObject = obj3020;
objclass3020 = obj3020->class;
  objclass3020->definitionModule = modulename;
  objclass3020->definitionLine = 610;
  (*(struct UserObject *)self).data[0] = lowerouter3020;
  self = oldself3020;
  selfslot = oldselfslot3020;
  stackframe = oldstackframe3020;
// compilenode returning obj3020
  *var_methodNode = obj3020;
  if (obj3020 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3881 = createclosure(1, "callNode");
  setclosureframe(closure3881, stackframe);
  addtoclosure(closure3881, var_callNode);
  struct UserObject *uo3881 = (struct UserObject*)self;
  uo3881->data[17] = (Object)closure3881;
  Method *meth_meth_ast_callNode3881 = addmethod2pos(self, "callNode", &meth_ast_callNode3881, 17);
int argcv_meth_ast_callNode3881[] = {0};
meth_meth_ast_callNode3881->type = alloc_MethodType(1, argcv_meth_ast_callNode3881);
  meth_meth_ast_callNode3881->definitionModule = modulename;
  meth_meth_ast_callNode3881->definitionLine = 708;
// compilenode returning 
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject3882 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3882 = alloc_userobj2(2,4, objclass3882);
  gc_frame_newslot(obj3882);
// OBJECT OUTER DEC outer
  adddatum2(obj3882, self, 0);
  addmethodreal(obj3882,"outer", &reader_ast_outer_3883);
  Object oldself3882 = self;
  struct StackFrameObject *oldstackframe3882 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3882);
  gc_frame_newslot((Object)stackframe);
  self = obj3882;
  Object *oldselfslot3882 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3882 = (*(struct UserObject *)self).data[0], lowerouter3882 = thisouter3882;
  if (inheritingObject3882) {
    struct UserObject *inho3882 = (struct UserObject *)inheritingObject3882;
    while (inho3882->super != GraceDefaultObject) inho3882 = (struct UserObject *)inho3882->super;
    inho3882->super = obj3882;
    self = inheritingObject3882;
    *selfslot = self;
    lowerouter3882 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3882;
  }
  block_savedest(obj3882);
  Object closure3884 = createclosure(2, "new");
  setclosureframe(closure3884, stackframe);
  addtoclosure(closure3884, var_callNode);
  addtoclosure(closure3884, var_baseNode);
  struct UserObject *uo3884 = (struct UserObject*)obj3882;
  uo3884->data[1] = (Object)closure3884;
  Method *meth_meth_ast_new3884 = addmethod2pos(obj3882, "new", &meth_ast_new3884, 1);
int argcv_meth_ast_new3884[] = {2};
meth_meth_ast_new3884->type = alloc_MethodType(1, argcv_meth_ast_new3884);
  meth_meth_ast_new3884->definitionModule = modulename;
  meth_meth_ast_new3884->definitionLine = 708;
  block_savedest(obj3882);
  Object closure4256 = createclosure(2, "new()object");
setclosureframe(closure4256, stackframe);
  addtoclosure(closure4256, var_callNode);
  addtoclosure(closure4256, var_baseNode);
  Method *meth_meth_ast_new3884_object = addmethod2pos(obj3882, "new()object", &meth_ast_new3884_object, 1);
  meth_meth_ast_new3884_object->definitionModule = modulename;
  meth_meth_ast_new3884_object->definitionLine = 708;
  sourceObject = obj3882;
objclass3882 = obj3882->class;
  objclass3882->definitionModule = modulename;
  objclass3882->definitionLine = 708;
  (*(struct UserObject *)self).data[0] = lowerouter3882;
  self = oldself3882;
  selfslot = oldselfslot3882;
  stackframe = oldstackframe3882;
// compilenode returning obj3882
  *var_callNode = obj3882;
  if (obj3882 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure4257 = createclosure(1, "classNode");
  setclosureframe(closure4257, stackframe);
  addtoclosure(closure4257, var_classNode);
  struct UserObject *uo4257 = (struct UserObject*)self;
  uo4257->data[18] = (Object)closure4257;
  Method *meth_meth_ast_classNode4257 = addmethod2pos(self, "classNode", &meth_ast_classNode4257, 18);
int argcv_meth_ast_classNode4257[] = {0};
meth_meth_ast_classNode4257->type = alloc_MethodType(1, argcv_meth_ast_classNode4257);
  meth_meth_ast_classNode4257->definitionModule = modulename;
  meth_meth_ast_classNode4257->definitionLine = 946;
// compilenode returning 
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject4258 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4258 = alloc_userobj2(2,4, objclass4258);
  gc_frame_newslot(obj4258);
// OBJECT OUTER DEC outer
  adddatum2(obj4258, self, 0);
  addmethodreal(obj4258,"outer", &reader_ast_outer_4259);
  Object oldself4258 = self;
  struct StackFrameObject *oldstackframe4258 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4258);
  gc_frame_newslot((Object)stackframe);
  self = obj4258;
  Object *oldselfslot4258 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4258 = (*(struct UserObject *)self).data[0], lowerouter4258 = thisouter4258;
  if (inheritingObject4258) {
    struct UserObject *inho4258 = (struct UserObject *)inheritingObject4258;
    while (inho4258->super != GraceDefaultObject) inho4258 = (struct UserObject *)inho4258->super;
    inho4258->super = obj4258;
    self = inheritingObject4258;
    *selfslot = self;
    lowerouter4258 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4258;
  }
  block_savedest(obj4258);
  Object closure4260 = createclosure(4, "new");
  setclosureframe(closure4260, stackframe);
  addtoclosure(closure4260, var_classNode);
  addtoclosure(closure4260, var_identifierNode);
  addtoclosure(closure4260, var_baseNode);
  addtoclosure(closure4260, var_collections);
  struct UserObject *uo4260 = (struct UserObject*)obj4258;
  uo4260->data[1] = (Object)closure4260;
  Method *meth_meth_ast_new4260 = addmethod2pos(obj4258, "new", &meth_ast_new4260, 1);
int argcv_meth_ast_new4260[] = {6};
meth_meth_ast_new4260->type = alloc_MethodType(1, argcv_meth_ast_new4260);
  meth_meth_ast_new4260->definitionModule = modulename;
  meth_meth_ast_new4260->definitionLine = 946;
  block_savedest(obj4258);
  Object closure5110 = createclosure(4, "new()object");
setclosureframe(closure5110, stackframe);
  addtoclosure(closure5110, var_classNode);
  addtoclosure(closure5110, var_identifierNode);
  addtoclosure(closure5110, var_baseNode);
  addtoclosure(closure5110, var_collections);
  Method *meth_meth_ast_new4260_object = addmethod2pos(obj4258, "new()object", &meth_ast_new4260_object, 1);
  meth_meth_ast_new4260_object->definitionModule = modulename;
  meth_meth_ast_new4260_object->definitionLine = 946;
  sourceObject = obj4258;
objclass4258 = obj4258->class;
  objclass4258->definitionModule = modulename;
  objclass4258->definitionLine = 946;
  (*(struct UserObject *)self).data[0] = lowerouter4258;
  self = oldself4258;
  selfslot = oldselfslot4258;
  stackframe = oldstackframe4258;
// compilenode returning obj4258
  *var_classNode = obj4258;
  if (obj4258 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5111 = createclosure(1, "objectNode");
  setclosureframe(closure5111, stackframe);
  addtoclosure(closure5111, var_objectNode);
  struct UserObject *uo5111 = (struct UserObject*)self;
  uo5111->data[19] = (Object)closure5111;
  Method *meth_meth_ast_objectNode5111 = addmethod2pos(self, "objectNode", &meth_ast_objectNode5111, 19);
int argcv_meth_ast_objectNode5111[] = {0};
meth_meth_ast_objectNode5111->type = alloc_MethodType(1, argcv_meth_ast_objectNode5111);
  meth_meth_ast_objectNode5111->definitionModule = modulename;
  meth_meth_ast_objectNode5111->definitionLine = 983;
// compilenode returning 
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject5112 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5112 = alloc_userobj2(2,4, objclass5112);
  gc_frame_newslot(obj5112);
// OBJECT OUTER DEC outer
  adddatum2(obj5112, self, 0);
  addmethodreal(obj5112,"outer", &reader_ast_outer_5113);
  Object oldself5112 = self;
  struct StackFrameObject *oldstackframe5112 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5112);
  gc_frame_newslot((Object)stackframe);
  self = obj5112;
  Object *oldselfslot5112 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5112 = (*(struct UserObject *)self).data[0], lowerouter5112 = thisouter5112;
  if (inheritingObject5112) {
    struct UserObject *inho5112 = (struct UserObject *)inheritingObject5112;
    while (inho5112->super != GraceDefaultObject) inho5112 = (struct UserObject *)inho5112->super;
    inho5112->super = obj5112;
    self = inheritingObject5112;
    *selfslot = self;
    lowerouter5112 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5112;
  }
  block_savedest(obj5112);
  Object closure5114 = createclosure(2, "new");
  setclosureframe(closure5114, stackframe);
  addtoclosure(closure5114, var_objectNode);
  addtoclosure(closure5114, var_baseNode);
  struct UserObject *uo5114 = (struct UserObject*)obj5112;
  uo5114->data[1] = (Object)closure5114;
  Method *meth_meth_ast_new5114 = addmethod2pos(obj5112, "new", &meth_ast_new5114, 1);
int argcv_meth_ast_new5114[] = {2};
meth_meth_ast_new5114->type = alloc_MethodType(1, argcv_meth_ast_new5114);
  meth_meth_ast_new5114->definitionModule = modulename;
  meth_meth_ast_new5114->definitionLine = 983;
  block_savedest(obj5112);
  Object closure5349 = createclosure(2, "new()object");
setclosureframe(closure5349, stackframe);
  addtoclosure(closure5349, var_objectNode);
  addtoclosure(closure5349, var_baseNode);
  Method *meth_meth_ast_new5114_object = addmethod2pos(obj5112, "new()object", &meth_ast_new5114_object, 1);
  meth_meth_ast_new5114_object->definitionModule = modulename;
  meth_meth_ast_new5114_object->definitionLine = 983;
  sourceObject = obj5112;
objclass5112 = obj5112->class;
  objclass5112->definitionModule = modulename;
  objclass5112->definitionLine = 983;
  (*(struct UserObject *)self).data[0] = lowerouter5112;
  self = oldself5112;
  selfslot = oldselfslot5112;
  stackframe = oldstackframe5112;
// compilenode returning obj5112
  *var_objectNode = obj5112;
  if (obj5112 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5350 = createclosure(1, "arrayNode");
  setclosureframe(closure5350, stackframe);
  addtoclosure(closure5350, var_arrayNode);
  struct UserObject *uo5350 = (struct UserObject*)self;
  uo5350->data[20] = (Object)closure5350;
  Method *meth_meth_ast_arrayNode5350 = addmethod2pos(self, "arrayNode", &meth_ast_arrayNode5350, 20);
int argcv_meth_ast_arrayNode5350[] = {0};
meth_meth_ast_arrayNode5350->type = alloc_MethodType(1, argcv_meth_ast_arrayNode5350);
  meth_meth_ast_arrayNode5350->definitionModule = modulename;
  meth_meth_ast_arrayNode5350->definitionLine = 1175;
// compilenode returning 
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject5351 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5351 = alloc_userobj2(2,4, objclass5351);
  gc_frame_newslot(obj5351);
// OBJECT OUTER DEC outer
  adddatum2(obj5351, self, 0);
  addmethodreal(obj5351,"outer", &reader_ast_outer_5352);
  Object oldself5351 = self;
  struct StackFrameObject *oldstackframe5351 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5351);
  gc_frame_newslot((Object)stackframe);
  self = obj5351;
  Object *oldselfslot5351 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5351 = (*(struct UserObject *)self).data[0], lowerouter5351 = thisouter5351;
  if (inheritingObject5351) {
    struct UserObject *inho5351 = (struct UserObject *)inheritingObject5351;
    while (inho5351->super != GraceDefaultObject) inho5351 = (struct UserObject *)inho5351->super;
    inho5351->super = obj5351;
    self = inheritingObject5351;
    *selfslot = self;
    lowerouter5351 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5351;
  }
  block_savedest(obj5351);
  Object closure5353 = createclosure(2, "new");
  setclosureframe(closure5353, stackframe);
  addtoclosure(closure5353, var_arrayNode);
  addtoclosure(closure5353, var_baseNode);
  struct UserObject *uo5353 = (struct UserObject*)obj5351;
  uo5353->data[1] = (Object)closure5353;
  Method *meth_meth_ast_new5353 = addmethod2pos(obj5351, "new", &meth_ast_new5353, 1);
int argcv_meth_ast_new5353[] = {1};
meth_meth_ast_new5353->type = alloc_MethodType(1, argcv_meth_ast_new5353);
  meth_meth_ast_new5353->definitionModule = modulename;
  meth_meth_ast_new5353->definitionLine = 1175;
  block_savedest(obj5351);
  Object closure5485 = createclosure(2, "new()object");
setclosureframe(closure5485, stackframe);
  addtoclosure(closure5485, var_arrayNode);
  addtoclosure(closure5485, var_baseNode);
  Method *meth_meth_ast_new5353_object = addmethod2pos(obj5351, "new()object", &meth_ast_new5353_object, 1);
  meth_meth_ast_new5353_object->definitionModule = modulename;
  meth_meth_ast_new5353_object->definitionLine = 1175;
  sourceObject = obj5351;
objclass5351 = obj5351->class;
  objclass5351->definitionModule = modulename;
  objclass5351->definitionLine = 1175;
  (*(struct UserObject *)self).data[0] = lowerouter5351;
  self = oldself5351;
  selfslot = oldselfslot5351;
  stackframe = oldstackframe5351;
// compilenode returning obj5351
  *var_arrayNode = obj5351;
  if (obj5351 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5486 = createclosure(1, "memberNode");
  setclosureframe(closure5486, stackframe);
  addtoclosure(closure5486, var_memberNode);
  struct UserObject *uo5486 = (struct UserObject*)self;
  uo5486->data[21] = (Object)closure5486;
  Method *meth_meth_ast_memberNode5486 = addmethod2pos(self, "memberNode", &meth_ast_memberNode5486, 21);
int argcv_meth_ast_memberNode5486[] = {0};
meth_meth_ast_memberNode5486->type = alloc_MethodType(1, argcv_meth_ast_memberNode5486);
  meth_meth_ast_memberNode5486->definitionModule = modulename;
  meth_meth_ast_memberNode5486->definitionLine = 1219;
// compilenode returning 
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject5487 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5487 = alloc_userobj2(2,4, objclass5487);
  gc_frame_newslot(obj5487);
// OBJECT OUTER DEC outer
  adddatum2(obj5487, self, 0);
  addmethodreal(obj5487,"outer", &reader_ast_outer_5488);
  Object oldself5487 = self;
  struct StackFrameObject *oldstackframe5487 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5487);
  gc_frame_newslot((Object)stackframe);
  self = obj5487;
  Object *oldselfslot5487 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5487 = (*(struct UserObject *)self).data[0], lowerouter5487 = thisouter5487;
  if (inheritingObject5487) {
    struct UserObject *inho5487 = (struct UserObject *)inheritingObject5487;
    while (inho5487->super != GraceDefaultObject) inho5487 = (struct UserObject *)inho5487->super;
    inho5487->super = obj5487;
    self = inheritingObject5487;
    *selfslot = self;
    lowerouter5487 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5487;
  }
  block_savedest(obj5487);
  Object closure5489 = createclosure(2, "new");
  setclosureframe(closure5489, stackframe);
  addtoclosure(closure5489, var_memberNode);
  addtoclosure(closure5489, var_baseNode);
  struct UserObject *uo5489 = (struct UserObject*)obj5487;
  uo5489->data[1] = (Object)closure5489;
  Method *meth_meth_ast_new5489 = addmethod2pos(obj5487, "new", &meth_ast_new5489, 1);
int argcv_meth_ast_new5489[] = {2};
meth_meth_ast_new5489->type = alloc_MethodType(1, argcv_meth_ast_new5489);
  meth_meth_ast_new5489->definitionModule = modulename;
  meth_meth_ast_new5489->definitionLine = 1219;
  block_savedest(obj5487);
  Object closure5637 = createclosure(2, "new()object");
setclosureframe(closure5637, stackframe);
  addtoclosure(closure5637, var_memberNode);
  addtoclosure(closure5637, var_baseNode);
  Method *meth_meth_ast_new5489_object = addmethod2pos(obj5487, "new()object", &meth_ast_new5489_object, 1);
  meth_meth_ast_new5489_object->definitionModule = modulename;
  meth_meth_ast_new5489_object->definitionLine = 1219;
  sourceObject = obj5487;
objclass5487 = obj5487->class;
  objclass5487->definitionModule = modulename;
  objclass5487->definitionLine = 1219;
  (*(struct UserObject *)self).data[0] = lowerouter5487;
  self = oldself5487;
  selfslot = oldselfslot5487;
  stackframe = oldstackframe5487;
// compilenode returning obj5487
  *var_memberNode = obj5487;
  if (obj5487 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5638 = createclosure(1, "genericNode");
  setclosureframe(closure5638, stackframe);
  addtoclosure(closure5638, var_genericNode);
  struct UserObject *uo5638 = (struct UserObject*)self;
  uo5638->data[22] = (Object)closure5638;
  Method *meth_meth_ast_genericNode5638 = addmethod2pos(self, "genericNode", &meth_ast_genericNode5638, 22);
int argcv_meth_ast_genericNode5638[] = {0};
meth_meth_ast_genericNode5638->type = alloc_MethodType(1, argcv_meth_ast_genericNode5638);
  meth_meth_ast_genericNode5638->definitionModule = modulename;
  meth_meth_ast_genericNode5638->definitionLine = 1268;
// compilenode returning 
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject5639 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5639 = alloc_userobj2(2,4, objclass5639);
  gc_frame_newslot(obj5639);
// OBJECT OUTER DEC outer
  adddatum2(obj5639, self, 0);
  addmethodreal(obj5639,"outer", &reader_ast_outer_5640);
  Object oldself5639 = self;
  struct StackFrameObject *oldstackframe5639 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5639);
  gc_frame_newslot((Object)stackframe);
  self = obj5639;
  Object *oldselfslot5639 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5639 = (*(struct UserObject *)self).data[0], lowerouter5639 = thisouter5639;
  if (inheritingObject5639) {
    struct UserObject *inho5639 = (struct UserObject *)inheritingObject5639;
    while (inho5639->super != GraceDefaultObject) inho5639 = (struct UserObject *)inho5639->super;
    inho5639->super = obj5639;
    self = inheritingObject5639;
    *selfslot = self;
    lowerouter5639 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5639;
  }
  block_savedest(obj5639);
  Object closure5641 = createclosure(2, "new");
  setclosureframe(closure5641, stackframe);
  addtoclosure(closure5641, var_genericNode);
  addtoclosure(closure5641, var_baseNode);
  struct UserObject *uo5641 = (struct UserObject*)obj5639;
  uo5641->data[1] = (Object)closure5641;
  Method *meth_meth_ast_new5641 = addmethod2pos(obj5639, "new", &meth_ast_new5641, 1);
int argcv_meth_ast_new5641[] = {2};
meth_meth_ast_new5641->type = alloc_MethodType(1, argcv_meth_ast_new5641);
  meth_meth_ast_new5641->definitionModule = modulename;
  meth_meth_ast_new5641->definitionLine = 1268;
  block_savedest(obj5639);
  Object closure5784 = createclosure(2, "new()object");
setclosureframe(closure5784, stackframe);
  addtoclosure(closure5784, var_genericNode);
  addtoclosure(closure5784, var_baseNode);
  Method *meth_meth_ast_new5641_object = addmethod2pos(obj5639, "new()object", &meth_ast_new5641_object, 1);
  meth_meth_ast_new5641_object->definitionModule = modulename;
  meth_meth_ast_new5641_object->definitionLine = 1268;
  sourceObject = obj5639;
objclass5639 = obj5639->class;
  objclass5639->definitionModule = modulename;
  objclass5639->definitionLine = 1268;
  (*(struct UserObject *)self).data[0] = lowerouter5639;
  self = oldself5639;
  selfslot = oldselfslot5639;
  stackframe = oldstackframe5639;
// compilenode returning obj5639
  *var_genericNode = obj5639;
  if (obj5639 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1314
  setline(1314);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5785 = createclosure(1, "identifierNode");
  setclosureframe(closure5785, stackframe);
  addtoclosure(closure5785, var_identifierNode);
  struct UserObject *uo5785 = (struct UserObject*)self;
  uo5785->data[23] = (Object)closure5785;
  Method *meth_meth_ast_identifierNode5785 = addmethod2pos(self, "identifierNode", &meth_ast_identifierNode5785, 23);
int argcv_meth_ast_identifierNode5785[] = {0};
meth_meth_ast_identifierNode5785->type = alloc_MethodType(1, argcv_meth_ast_identifierNode5785);
  meth_meth_ast_identifierNode5785->definitionModule = modulename;
  meth_meth_ast_identifierNode5785->definitionLine = 1306;
// compilenode returning 
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject5786 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5786 = alloc_userobj2(2,4, objclass5786);
  gc_frame_newslot(obj5786);
// OBJECT OUTER DEC outer
  adddatum2(obj5786, self, 0);
  addmethodreal(obj5786,"outer", &reader_ast_outer_5787);
  Object oldself5786 = self;
  struct StackFrameObject *oldstackframe5786 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5786);
  gc_frame_newslot((Object)stackframe);
  self = obj5786;
  Object *oldselfslot5786 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5786 = (*(struct UserObject *)self).data[0], lowerouter5786 = thisouter5786;
  if (inheritingObject5786) {
    struct UserObject *inho5786 = (struct UserObject *)inheritingObject5786;
    while (inho5786->super != GraceDefaultObject) inho5786 = (struct UserObject *)inho5786->super;
    inho5786->super = obj5786;
    self = inheritingObject5786;
    *selfslot = self;
    lowerouter5786 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5786;
  }
  block_savedest(obj5786);
  Object closure5788 = createclosure(3, "new");
  setclosureframe(closure5788, stackframe);
  addtoclosure(closure5788, var_util);
  addtoclosure(closure5788, var_identifierNode);
  addtoclosure(closure5788, var_baseNode);
  struct UserObject *uo5788 = (struct UserObject*)obj5786;
  uo5788->data[1] = (Object)closure5788;
  Method *meth_meth_ast_new5788 = addmethod2pos(obj5786, "new", &meth_ast_new5788, 1);
int argcv_meth_ast_new5788[] = {2};
meth_meth_ast_new5788->type = alloc_MethodType(1, argcv_meth_ast_new5788);
  meth_meth_ast_new5788->definitionModule = modulename;
  meth_meth_ast_new5788->definitionLine = 1306;
  block_savedest(obj5786);
  Object closure6024 = createclosure(3, "new()object");
setclosureframe(closure6024, stackframe);
  addtoclosure(closure6024, var_util);
  addtoclosure(closure6024, var_identifierNode);
  addtoclosure(closure6024, var_baseNode);
  Method *meth_meth_ast_new5788_object = addmethod2pos(obj5786, "new()object", &meth_ast_new5788_object, 1);
  meth_meth_ast_new5788_object->definitionModule = modulename;
  meth_meth_ast_new5788_object->definitionLine = 1306;
  sourceObject = obj5786;
objclass5786 = obj5786->class;
  objclass5786->definitionModule = modulename;
  objclass5786->definitionLine = 1306;
  (*(struct UserObject *)self).data[0] = lowerouter5786;
  self = oldself5786;
  selfslot = oldselfslot5786;
  stackframe = oldstackframe5786;
// compilenode returning obj5786
  *var_identifierNode = obj5786;
  if (obj5786 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6025 = createclosure(1, "octetsNode");
  setclosureframe(closure6025, stackframe);
  addtoclosure(closure6025, var_octetsNode);
  struct UserObject *uo6025 = (struct UserObject*)self;
  uo6025->data[24] = (Object)closure6025;
  Method *meth_meth_ast_octetsNode6025 = addmethod2pos(self, "octetsNode", &meth_ast_octetsNode6025, 24);
int argcv_meth_ast_octetsNode6025[] = {0};
meth_meth_ast_octetsNode6025->type = alloc_MethodType(1, argcv_meth_ast_octetsNode6025);
  meth_meth_ast_octetsNode6025->definitionModule = modulename;
  meth_meth_ast_octetsNode6025->definitionLine = 1383;
// compilenode returning 
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject6026 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6026 = alloc_userobj2(2,4, objclass6026);
  gc_frame_newslot(obj6026);
// OBJECT OUTER DEC outer
  adddatum2(obj6026, self, 0);
  addmethodreal(obj6026,"outer", &reader_ast_outer_6027);
  Object oldself6026 = self;
  struct StackFrameObject *oldstackframe6026 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6026);
  gc_frame_newslot((Object)stackframe);
  self = obj6026;
  Object *oldselfslot6026 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6026 = (*(struct UserObject *)self).data[0], lowerouter6026 = thisouter6026;
  if (inheritingObject6026) {
    struct UserObject *inho6026 = (struct UserObject *)inheritingObject6026;
    while (inho6026->super != GraceDefaultObject) inho6026 = (struct UserObject *)inho6026->super;
    inho6026->super = obj6026;
    self = inheritingObject6026;
    *selfslot = self;
    lowerouter6026 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6026;
  }
  block_savedest(obj6026);
  Object closure6028 = createclosure(1, "new");
  setclosureframe(closure6028, stackframe);
  addtoclosure(closure6028, var_baseNode);
  struct UserObject *uo6028 = (struct UserObject*)obj6026;
  uo6028->data[1] = (Object)closure6028;
  Method *meth_meth_ast_new6028 = addmethod2pos(obj6026, "new", &meth_ast_new6028, 1);
int argcv_meth_ast_new6028[] = {1};
meth_meth_ast_new6028->type = alloc_MethodType(1, argcv_meth_ast_new6028);
  meth_meth_ast_new6028->definitionModule = modulename;
  meth_meth_ast_new6028->definitionLine = 1383;
  block_savedest(obj6026);
  Object closure6053 = createclosure(1, "new()object");
setclosureframe(closure6053, stackframe);
  addtoclosure(closure6053, var_baseNode);
  Method *meth_meth_ast_new6028_object = addmethod2pos(obj6026, "new()object", &meth_ast_new6028_object, 1);
  meth_meth_ast_new6028_object->definitionModule = modulename;
  meth_meth_ast_new6028_object->definitionLine = 1383;
  sourceObject = obj6026;
objclass6026 = obj6026->class;
  objclass6026->definitionModule = modulename;
  objclass6026->definitionLine = 1383;
  (*(struct UserObject *)self).data[0] = lowerouter6026;
  self = oldself6026;
  selfslot = oldselfslot6026;
  stackframe = oldstackframe6026;
// compilenode returning obj6026
  *var_octetsNode = obj6026;
  if (obj6026 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6054 = createclosure(1, "stringNode");
  setclosureframe(closure6054, stackframe);
  addtoclosure(closure6054, var_stringNode);
  struct UserObject *uo6054 = (struct UserObject*)self;
  uo6054->data[25] = (Object)closure6054;
  Method *meth_meth_ast_stringNode6054 = addmethod2pos(self, "stringNode", &meth_ast_stringNode6054, 25);
int argcv_meth_ast_stringNode6054[] = {0};
meth_meth_ast_stringNode6054->type = alloc_MethodType(1, argcv_meth_ast_stringNode6054);
  meth_meth_ast_stringNode6054->definitionModule = modulename;
  meth_meth_ast_stringNode6054->definitionLine = 1402;
// compilenode returning 
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject6055 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6055 = alloc_userobj2(2,4, objclass6055);
  gc_frame_newslot(obj6055);
// OBJECT OUTER DEC outer
  adddatum2(obj6055, self, 0);
  addmethodreal(obj6055,"outer", &reader_ast_outer_6056);
  Object oldself6055 = self;
  struct StackFrameObject *oldstackframe6055 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6055);
  gc_frame_newslot((Object)stackframe);
  self = obj6055;
  Object *oldselfslot6055 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6055 = (*(struct UserObject *)self).data[0], lowerouter6055 = thisouter6055;
  if (inheritingObject6055) {
    struct UserObject *inho6055 = (struct UserObject *)inheritingObject6055;
    while (inho6055->super != GraceDefaultObject) inho6055 = (struct UserObject *)inho6055->super;
    inho6055->super = obj6055;
    self = inheritingObject6055;
    *selfslot = self;
    lowerouter6055 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6055;
  }
  block_savedest(obj6055);
  Object closure6057 = createclosure(1, "new");
  setclosureframe(closure6057, stackframe);
  addtoclosure(closure6057, var_baseNode);
  struct UserObject *uo6057 = (struct UserObject*)obj6055;
  uo6057->data[1] = (Object)closure6057;
  Method *meth_meth_ast_new6057 = addmethod2pos(obj6055, "new", &meth_ast_new6057, 1);
int argcv_meth_ast_new6057[] = {1};
meth_meth_ast_new6057->type = alloc_MethodType(1, argcv_meth_ast_new6057);
  meth_meth_ast_new6057->definitionModule = modulename;
  meth_meth_ast_new6057->definitionLine = 1402;
  block_savedest(obj6055);
  Object closure6157 = createclosure(1, "new()object");
setclosureframe(closure6157, stackframe);
  addtoclosure(closure6157, var_baseNode);
  Method *meth_meth_ast_new6057_object = addmethod2pos(obj6055, "new()object", &meth_ast_new6057_object, 1);
  meth_meth_ast_new6057_object->definitionModule = modulename;
  meth_meth_ast_new6057_object->definitionLine = 1402;
  sourceObject = obj6055;
objclass6055 = obj6055->class;
  objclass6055->definitionModule = modulename;
  objclass6055->definitionLine = 1402;
  (*(struct UserObject *)self).data[0] = lowerouter6055;
  self = oldself6055;
  selfslot = oldselfslot6055;
  stackframe = oldstackframe6055;
// compilenode returning obj6055
  *var_stringNode = obj6055;
  if (obj6055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6158 = createclosure(1, "numNode");
  setclosureframe(closure6158, stackframe);
  addtoclosure(closure6158, var_numNode);
  struct UserObject *uo6158 = (struct UserObject*)self;
  uo6158->data[26] = (Object)closure6158;
  Method *meth_meth_ast_numNode6158 = addmethod2pos(self, "numNode", &meth_ast_numNode6158, 26);
int argcv_meth_ast_numNode6158[] = {0};
meth_meth_ast_numNode6158->type = alloc_MethodType(1, argcv_meth_ast_numNode6158);
  meth_meth_ast_numNode6158->definitionModule = modulename;
  meth_meth_ast_numNode6158->definitionLine = 1427;
// compilenode returning 
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject6159 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6159 = alloc_userobj2(2,4, objclass6159);
  gc_frame_newslot(obj6159);
// OBJECT OUTER DEC outer
  adddatum2(obj6159, self, 0);
  addmethodreal(obj6159,"outer", &reader_ast_outer_6160);
  Object oldself6159 = self;
  struct StackFrameObject *oldstackframe6159 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6159);
  gc_frame_newslot((Object)stackframe);
  self = obj6159;
  Object *oldselfslot6159 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6159 = (*(struct UserObject *)self).data[0], lowerouter6159 = thisouter6159;
  if (inheritingObject6159) {
    struct UserObject *inho6159 = (struct UserObject *)inheritingObject6159;
    while (inho6159->super != GraceDefaultObject) inho6159 = (struct UserObject *)inho6159->super;
    inho6159->super = obj6159;
    self = inheritingObject6159;
    *selfslot = self;
    lowerouter6159 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6159;
  }
  block_savedest(obj6159);
  Object closure6161 = createclosure(1, "new");
  setclosureframe(closure6161, stackframe);
  addtoclosure(closure6161, var_baseNode);
  struct UserObject *uo6161 = (struct UserObject*)obj6159;
  uo6161->data[1] = (Object)closure6161;
  Method *meth_meth_ast_new6161 = addmethod2pos(obj6159, "new", &meth_ast_new6161, 1);
int argcv_meth_ast_new6161[] = {1};
meth_meth_ast_new6161->type = alloc_MethodType(1, argcv_meth_ast_new6161);
  meth_meth_ast_new6161->definitionModule = modulename;
  meth_meth_ast_new6161->definitionLine = 1427;
  block_savedest(obj6159);
  Object closure6208 = createclosure(1, "new()object");
setclosureframe(closure6208, stackframe);
  addtoclosure(closure6208, var_baseNode);
  Method *meth_meth_ast_new6161_object = addmethod2pos(obj6159, "new()object", &meth_ast_new6161_object, 1);
  meth_meth_ast_new6161_object->definitionModule = modulename;
  meth_meth_ast_new6161_object->definitionLine = 1427;
  sourceObject = obj6159;
objclass6159 = obj6159->class;
  objclass6159->definitionModule = modulename;
  objclass6159->definitionLine = 1427;
  (*(struct UserObject *)self).data[0] = lowerouter6159;
  self = oldself6159;
  selfslot = oldselfslot6159;
  stackframe = oldstackframe6159;
// compilenode returning obj6159
  *var_numNode = obj6159;
  if (obj6159 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6209 = createclosure(1, "opNode");
  setclosureframe(closure6209, stackframe);
  addtoclosure(closure6209, var_opNode);
  struct UserObject *uo6209 = (struct UserObject*)self;
  uo6209->data[27] = (Object)closure6209;
  Method *meth_meth_ast_opNode6209 = addmethod2pos(self, "opNode", &meth_ast_opNode6209, 27);
int argcv_meth_ast_opNode6209[] = {0};
meth_meth_ast_opNode6209->type = alloc_MethodType(1, argcv_meth_ast_opNode6209);
  meth_meth_ast_opNode6209->definitionModule = modulename;
  meth_meth_ast_opNode6209->definitionLine = 1466;
// compilenode returning 
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject6210 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6210 = alloc_userobj2(2,4, objclass6210);
  gc_frame_newslot(obj6210);
// OBJECT OUTER DEC outer
  adddatum2(obj6210, self, 0);
  addmethodreal(obj6210,"outer", &reader_ast_outer_6211);
  Object oldself6210 = self;
  struct StackFrameObject *oldstackframe6210 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6210);
  gc_frame_newslot((Object)stackframe);
  self = obj6210;
  Object *oldselfslot6210 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6210 = (*(struct UserObject *)self).data[0], lowerouter6210 = thisouter6210;
  if (inheritingObject6210) {
    struct UserObject *inho6210 = (struct UserObject *)inheritingObject6210;
    while (inho6210->super != GraceDefaultObject) inho6210 = (struct UserObject *)inho6210->super;
    inho6210->super = obj6210;
    self = inheritingObject6210;
    *selfslot = self;
    lowerouter6210 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6210;
  }
  block_savedest(obj6210);
  Object closure6212 = createclosure(2, "new");
  setclosureframe(closure6212, stackframe);
  addtoclosure(closure6212, var_opNode);
  addtoclosure(closure6212, var_baseNode);
  struct UserObject *uo6212 = (struct UserObject*)obj6210;
  uo6212->data[1] = (Object)closure6212;
  Method *meth_meth_ast_new6212 = addmethod2pos(obj6210, "new", &meth_ast_new6212, 1);
int argcv_meth_ast_new6212[] = {3};
meth_meth_ast_new6212->type = alloc_MethodType(1, argcv_meth_ast_new6212);
  meth_meth_ast_new6212->definitionModule = modulename;
  meth_meth_ast_new6212->definitionLine = 1466;
  block_savedest(obj6210);
  Object closure6450 = createclosure(2, "new()object");
setclosureframe(closure6450, stackframe);
  addtoclosure(closure6450, var_opNode);
  addtoclosure(closure6450, var_baseNode);
  Method *meth_meth_ast_new6212_object = addmethod2pos(obj6210, "new()object", &meth_ast_new6212_object, 1);
  meth_meth_ast_new6212_object->definitionModule = modulename;
  meth_meth_ast_new6212_object->definitionLine = 1466;
  sourceObject = obj6210;
objclass6210 = obj6210->class;
  objclass6210->definitionModule = modulename;
  objclass6210->definitionLine = 1466;
  (*(struct UserObject *)self).data[0] = lowerouter6210;
  self = oldself6210;
  selfslot = oldselfslot6210;
  stackframe = oldstackframe6210;
// compilenode returning obj6210
  *var_opNode = obj6210;
  if (obj6210 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1519
  setline(1519);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6451 = createclosure(1, "indexNode");
  setclosureframe(closure6451, stackframe);
  addtoclosure(closure6451, var_indexNode);
  struct UserObject *uo6451 = (struct UserObject*)self;
  uo6451->data[28] = (Object)closure6451;
  Method *meth_meth_ast_indexNode6451 = addmethod2pos(self, "indexNode", &meth_ast_indexNode6451, 28);
int argcv_meth_ast_indexNode6451[] = {0};
meth_meth_ast_indexNode6451->type = alloc_MethodType(1, argcv_meth_ast_indexNode6451);
  meth_meth_ast_indexNode6451->definitionModule = modulename;
  meth_meth_ast_indexNode6451->definitionLine = 1519;
// compilenode returning 
// Begin line 1519
  setline(1519);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject6452 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6452 = alloc_userobj2(2,4, objclass6452);
  gc_frame_newslot(obj6452);
// OBJECT OUTER DEC outer
  adddatum2(obj6452, self, 0);
  addmethodreal(obj6452,"outer", &reader_ast_outer_6453);
  Object oldself6452 = self;
  struct StackFrameObject *oldstackframe6452 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6452);
  gc_frame_newslot((Object)stackframe);
  self = obj6452;
  Object *oldselfslot6452 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6452 = (*(struct UserObject *)self).data[0], lowerouter6452 = thisouter6452;
  if (inheritingObject6452) {
    struct UserObject *inho6452 = (struct UserObject *)inheritingObject6452;
    while (inho6452->super != GraceDefaultObject) inho6452 = (struct UserObject *)inho6452->super;
    inho6452->super = obj6452;
    self = inheritingObject6452;
    *selfslot = self;
    lowerouter6452 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6452;
  }
  block_savedest(obj6452);
  Object closure6454 = createclosure(2, "new");
  setclosureframe(closure6454, stackframe);
  addtoclosure(closure6454, var_indexNode);
  addtoclosure(closure6454, var_baseNode);
  struct UserObject *uo6454 = (struct UserObject*)obj6452;
  uo6454->data[1] = (Object)closure6454;
  Method *meth_meth_ast_new6454 = addmethod2pos(obj6452, "new", &meth_ast_new6454, 1);
int argcv_meth_ast_new6454[] = {2};
meth_meth_ast_new6454->type = alloc_MethodType(1, argcv_meth_ast_new6454);
  meth_meth_ast_new6454->definitionModule = modulename;
  meth_meth_ast_new6454->definitionLine = 1519;
  block_savedest(obj6452);
  Object closure6611 = createclosure(2, "new()object");
setclosureframe(closure6611, stackframe);
  addtoclosure(closure6611, var_indexNode);
  addtoclosure(closure6611, var_baseNode);
  Method *meth_meth_ast_new6454_object = addmethod2pos(obj6452, "new()object", &meth_ast_new6454_object, 1);
  meth_meth_ast_new6454_object->definitionModule = modulename;
  meth_meth_ast_new6454_object->definitionLine = 1519;
  sourceObject = obj6452;
objclass6452 = obj6452->class;
  objclass6452->definitionModule = modulename;
  objclass6452->definitionLine = 1519;
  (*(struct UserObject *)self).data[0] = lowerouter6452;
  self = oldself6452;
  selfslot = oldselfslot6452;
  stackframe = oldstackframe6452;
// compilenode returning obj6452
  *var_indexNode = obj6452;
  if (obj6452 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6612 = createclosure(1, "bindNode");
  setclosureframe(closure6612, stackframe);
  addtoclosure(closure6612, var_bindNode);
  struct UserObject *uo6612 = (struct UserObject*)self;
  uo6612->data[29] = (Object)closure6612;
  Method *meth_meth_ast_bindNode6612 = addmethod2pos(self, "bindNode", &meth_ast_bindNode6612, 29);
int argcv_meth_ast_bindNode6612[] = {0};
meth_meth_ast_bindNode6612->type = alloc_MethodType(1, argcv_meth_ast_bindNode6612);
  meth_meth_ast_bindNode6612->definitionModule = modulename;
  meth_meth_ast_bindNode6612->definitionLine = 1565;
// compilenode returning 
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject6613 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6613 = alloc_userobj2(2,4, objclass6613);
  gc_frame_newslot(obj6613);
// OBJECT OUTER DEC outer
  adddatum2(obj6613, self, 0);
  addmethodreal(obj6613,"outer", &reader_ast_outer_6614);
  Object oldself6613 = self;
  struct StackFrameObject *oldstackframe6613 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6613);
  gc_frame_newslot((Object)stackframe);
  self = obj6613;
  Object *oldselfslot6613 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6613 = (*(struct UserObject *)self).data[0], lowerouter6613 = thisouter6613;
  if (inheritingObject6613) {
    struct UserObject *inho6613 = (struct UserObject *)inheritingObject6613;
    while (inho6613->super != GraceDefaultObject) inho6613 = (struct UserObject *)inho6613->super;
    inho6613->super = obj6613;
    self = inheritingObject6613;
    *selfslot = self;
    lowerouter6613 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6613;
  }
  block_savedest(obj6613);
  Object closure6615 = createclosure(2, "new");
  setclosureframe(closure6615, stackframe);
  addtoclosure(closure6615, var_bindNode);
  addtoclosure(closure6615, var_baseNode);
  struct UserObject *uo6615 = (struct UserObject*)obj6613;
  uo6615->data[1] = (Object)closure6615;
  Method *meth_meth_ast_new6615 = addmethod2pos(obj6613, "new", &meth_ast_new6615, 1);
int argcv_meth_ast_new6615[] = {2};
meth_meth_ast_new6615->type = alloc_MethodType(1, argcv_meth_ast_new6615);
  meth_meth_ast_new6615->definitionModule = modulename;
  meth_meth_ast_new6615->definitionLine = 1565;
  block_savedest(obj6613);
  Object closure6768 = createclosure(2, "new()object");
setclosureframe(closure6768, stackframe);
  addtoclosure(closure6768, var_bindNode);
  addtoclosure(closure6768, var_baseNode);
  Method *meth_meth_ast_new6615_object = addmethod2pos(obj6613, "new()object", &meth_ast_new6615_object, 1);
  meth_meth_ast_new6615_object->definitionModule = modulename;
  meth_meth_ast_new6615_object->definitionLine = 1565;
  sourceObject = obj6613;
objclass6613 = obj6613->class;
  objclass6613->definitionModule = modulename;
  objclass6613->definitionLine = 1565;
  (*(struct UserObject *)self).data[0] = lowerouter6613;
  self = oldself6613;
  selfslot = oldselfslot6613;
  stackframe = oldstackframe6613;
// compilenode returning obj6613
  *var_bindNode = obj6613;
  if (obj6613 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6769 = createclosure(1, "defDecNode");
  setclosureframe(closure6769, stackframe);
  addtoclosure(closure6769, var_defDecNode);
  struct UserObject *uo6769 = (struct UserObject*)self;
  uo6769->data[30] = (Object)closure6769;
  Method *meth_meth_ast_defDecNode6769 = addmethod2pos(self, "defDecNode", &meth_ast_defDecNode6769, 30);
int argcv_meth_ast_defDecNode6769[] = {0};
meth_meth_ast_defDecNode6769->type = alloc_MethodType(1, argcv_meth_ast_defDecNode6769);
  meth_meth_ast_defDecNode6769->definitionModule = modulename;
  meth_meth_ast_defDecNode6769->definitionLine = 1610;
// compilenode returning 
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject6770 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6770 = alloc_userobj2(2,4, objclass6770);
  gc_frame_newslot(obj6770);
// OBJECT OUTER DEC outer
  adddatum2(obj6770, self, 0);
  addmethodreal(obj6770,"outer", &reader_ast_outer_6771);
  Object oldself6770 = self;
  struct StackFrameObject *oldstackframe6770 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6770);
  gc_frame_newslot((Object)stackframe);
  self = obj6770;
  Object *oldselfslot6770 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6770 = (*(struct UserObject *)self).data[0], lowerouter6770 = thisouter6770;
  if (inheritingObject6770) {
    struct UserObject *inho6770 = (struct UserObject *)inheritingObject6770;
    while (inho6770->super != GraceDefaultObject) inho6770 = (struct UserObject *)inho6770->super;
    inho6770->super = obj6770;
    self = inheritingObject6770;
    *selfslot = self;
    lowerouter6770 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6770;
  }
  block_savedest(obj6770);
  Object closure6772 = createclosure(4, "new");
  setclosureframe(closure6772, stackframe);
  addtoclosure(closure6772, var_defDecNode);
  addtoclosure(closure6772, var_identifierNode);
  addtoclosure(closure6772, var_baseNode);
  addtoclosure(closure6772, var_collections);
  struct UserObject *uo6772 = (struct UserObject*)obj6770;
  uo6772->data[1] = (Object)closure6772;
  Method *meth_meth_ast_new6772 = addmethod2pos(obj6770, "new", &meth_ast_new6772, 1);
int argcv_meth_ast_new6772[] = {3};
meth_meth_ast_new6772->type = alloc_MethodType(1, argcv_meth_ast_new6772);
  meth_meth_ast_new6772->definitionModule = modulename;
  meth_meth_ast_new6772->definitionLine = 1610;
  block_savedest(obj6770);
  Object closure7146 = createclosure(4, "new()object");
setclosureframe(closure7146, stackframe);
  addtoclosure(closure7146, var_defDecNode);
  addtoclosure(closure7146, var_identifierNode);
  addtoclosure(closure7146, var_baseNode);
  addtoclosure(closure7146, var_collections);
  Method *meth_meth_ast_new6772_object = addmethod2pos(obj6770, "new()object", &meth_ast_new6772_object, 1);
  meth_meth_ast_new6772_object->definitionModule = modulename;
  meth_meth_ast_new6772_object->definitionLine = 1610;
  sourceObject = obj6770;
objclass6770 = obj6770->class;
  objclass6770->definitionModule = modulename;
  objclass6770->definitionLine = 1610;
  (*(struct UserObject *)self).data[0] = lowerouter6770;
  self = oldself6770;
  selfslot = oldselfslot6770;
  stackframe = oldstackframe6770;
// compilenode returning obj6770
  *var_defDecNode = obj6770;
  if (obj6770 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7147 = createclosure(1, "varDecNode");
  setclosureframe(closure7147, stackframe);
  addtoclosure(closure7147, var_varDecNode);
  struct UserObject *uo7147 = (struct UserObject*)self;
  uo7147->data[31] = (Object)closure7147;
  Method *meth_meth_ast_varDecNode7147 = addmethod2pos(self, "varDecNode", &meth_ast_varDecNode7147, 31);
int argcv_meth_ast_varDecNode7147[] = {0};
meth_meth_ast_varDecNode7147->type = alloc_MethodType(1, argcv_meth_ast_varDecNode7147);
  meth_meth_ast_varDecNode7147->definitionModule = modulename;
  meth_meth_ast_varDecNode7147->definitionLine = 1621;
// compilenode returning 
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject7148 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7148 = alloc_userobj2(2,4, objclass7148);
  gc_frame_newslot(obj7148);
// OBJECT OUTER DEC outer
  adddatum2(obj7148, self, 0);
  addmethodreal(obj7148,"outer", &reader_ast_outer_7149);
  Object oldself7148 = self;
  struct StackFrameObject *oldstackframe7148 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7148);
  gc_frame_newslot((Object)stackframe);
  self = obj7148;
  Object *oldselfslot7148 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7148 = (*(struct UserObject *)self).data[0], lowerouter7148 = thisouter7148;
  if (inheritingObject7148) {
    struct UserObject *inho7148 = (struct UserObject *)inheritingObject7148;
    while (inho7148->super != GraceDefaultObject) inho7148 = (struct UserObject *)inho7148->super;
    inho7148->super = obj7148;
    self = inheritingObject7148;
    *selfslot = self;
    lowerouter7148 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7148;
  }
  block_savedest(obj7148);
  Object closure7150 = createclosure(4, "new");
  setclosureframe(closure7150, stackframe);
  addtoclosure(closure7150, var_varDecNode);
  addtoclosure(closure7150, var_identifierNode);
  addtoclosure(closure7150, var_baseNode);
  addtoclosure(closure7150, var_collections);
  struct UserObject *uo7150 = (struct UserObject*)obj7148;
  uo7150->data[1] = (Object)closure7150;
  Method *meth_meth_ast_new7150 = addmethod2pos(obj7148, "new", &meth_ast_new7150, 1);
int argcv_meth_ast_new7150[] = {3};
meth_meth_ast_new7150->type = alloc_MethodType(1, argcv_meth_ast_new7150);
  meth_meth_ast_new7150->definitionModule = modulename;
  meth_meth_ast_new7150->definitionLine = 1621;
  block_savedest(obj7148);
  Object closure7576 = createclosure(4, "new()object");
setclosureframe(closure7576, stackframe);
  addtoclosure(closure7576, var_varDecNode);
  addtoclosure(closure7576, var_identifierNode);
  addtoclosure(closure7576, var_baseNode);
  addtoclosure(closure7576, var_collections);
  Method *meth_meth_ast_new7150_object = addmethod2pos(obj7148, "new()object", &meth_ast_new7150_object, 1);
  meth_meth_ast_new7150_object->definitionModule = modulename;
  meth_meth_ast_new7150_object->definitionLine = 1621;
  sourceObject = obj7148;
objclass7148 = obj7148->class;
  objclass7148->definitionModule = modulename;
  objclass7148->definitionLine = 1621;
  (*(struct UserObject *)self).data[0] = lowerouter7148;
  self = oldself7148;
  selfslot = oldselfslot7148;
  stackframe = oldstackframe7148;
// compilenode returning obj7148
  *var_varDecNode = obj7148;
  if (obj7148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1801
  setline(1801);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7577 = createclosure(1, "importNode");
  setclosureframe(closure7577, stackframe);
  addtoclosure(closure7577, var_importNode);
  struct UserObject *uo7577 = (struct UserObject*)self;
  uo7577->data[32] = (Object)closure7577;
  Method *meth_meth_ast_importNode7577 = addmethod2pos(self, "importNode", &meth_ast_importNode7577, 32);
int argcv_meth_ast_importNode7577[] = {0};
meth_meth_ast_importNode7577->type = alloc_MethodType(1, argcv_meth_ast_importNode7577);
  meth_meth_ast_importNode7577->definitionModule = modulename;
  meth_meth_ast_importNode7577->definitionLine = 1710;
// compilenode returning 
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject7578 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7578 = alloc_userobj2(2,4, objclass7578);
  gc_frame_newslot(obj7578);
// OBJECT OUTER DEC outer
  adddatum2(obj7578, self, 0);
  addmethodreal(obj7578,"outer", &reader_ast_outer_7579);
  Object oldself7578 = self;
  struct StackFrameObject *oldstackframe7578 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7578);
  gc_frame_newslot((Object)stackframe);
  self = obj7578;
  Object *oldselfslot7578 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7578 = (*(struct UserObject *)self).data[0], lowerouter7578 = thisouter7578;
  if (inheritingObject7578) {
    struct UserObject *inho7578 = (struct UserObject *)inheritingObject7578;
    while (inho7578->super != GraceDefaultObject) inho7578 = (struct UserObject *)inho7578->super;
    inho7578->super = obj7578;
    self = inheritingObject7578;
    *selfslot = self;
    lowerouter7578 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7578;
  }
  block_savedest(obj7578);
  Object closure7580 = createclosure(2, "new");
  setclosureframe(closure7580, stackframe);
  addtoclosure(closure7580, var_baseNode);
  addtoclosure(closure7580, var_collections);
  struct UserObject *uo7580 = (struct UserObject*)obj7578;
  uo7580->data[1] = (Object)closure7580;
  Method *meth_meth_ast_new7580 = addmethod2pos(obj7578, "new", &meth_ast_new7580, 1);
int argcv_meth_ast_new7580[] = {2};
meth_meth_ast_new7580->type = alloc_MethodType(1, argcv_meth_ast_new7580);
  meth_meth_ast_new7580->definitionModule = modulename;
  meth_meth_ast_new7580->definitionLine = 1710;
  block_savedest(obj7578);
  Object closure7770 = createclosure(2, "new()object");
setclosureframe(closure7770, stackframe);
  addtoclosure(closure7770, var_baseNode);
  addtoclosure(closure7770, var_collections);
  Method *meth_meth_ast_new7580_object = addmethod2pos(obj7578, "new()object", &meth_ast_new7580_object, 1);
  meth_meth_ast_new7580_object->definitionModule = modulename;
  meth_meth_ast_new7580_object->definitionLine = 1710;
  sourceObject = obj7578;
objclass7578 = obj7578->class;
  objclass7578->definitionModule = modulename;
  objclass7578->definitionLine = 1710;
  (*(struct UserObject *)self).data[0] = lowerouter7578;
  self = oldself7578;
  selfslot = oldselfslot7578;
  stackframe = oldstackframe7578;
// compilenode returning obj7578
  *var_importNode = obj7578;
  if (obj7578 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7771 = createclosure(1, "dialectNode");
  setclosureframe(closure7771, stackframe);
  addtoclosure(closure7771, var_dialectNode);
  struct UserObject *uo7771 = (struct UserObject*)self;
  uo7771->data[33] = (Object)closure7771;
  Method *meth_meth_ast_dialectNode7771 = addmethod2pos(self, "dialectNode", &meth_ast_dialectNode7771, 33);
int argcv_meth_ast_dialectNode7771[] = {0};
meth_meth_ast_dialectNode7771->type = alloc_MethodType(1, argcv_meth_ast_dialectNode7771);
  meth_meth_ast_dialectNode7771->definitionModule = modulename;
  meth_meth_ast_dialectNode7771->definitionLine = 1806;
// compilenode returning 
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject7772 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7772 = alloc_userobj2(2,4, objclass7772);
  gc_frame_newslot(obj7772);
// OBJECT OUTER DEC outer
  adddatum2(obj7772, self, 0);
  addmethodreal(obj7772,"outer", &reader_ast_outer_7773);
  Object oldself7772 = self;
  struct StackFrameObject *oldstackframe7772 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7772);
  gc_frame_newslot((Object)stackframe);
  self = obj7772;
  Object *oldselfslot7772 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7772 = (*(struct UserObject *)self).data[0], lowerouter7772 = thisouter7772;
  if (inheritingObject7772) {
    struct UserObject *inho7772 = (struct UserObject *)inheritingObject7772;
    while (inho7772->super != GraceDefaultObject) inho7772 = (struct UserObject *)inho7772->super;
    inho7772->super = obj7772;
    self = inheritingObject7772;
    *selfslot = self;
    lowerouter7772 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7772;
  }
  block_savedest(obj7772);
  Object closure7774 = createclosure(1, "new");
  setclosureframe(closure7774, stackframe);
  addtoclosure(closure7774, var_baseNode);
  struct UserObject *uo7774 = (struct UserObject*)obj7772;
  uo7774->data[1] = (Object)closure7774;
  Method *meth_meth_ast_new7774 = addmethod2pos(obj7772, "new", &meth_ast_new7774, 1);
int argcv_meth_ast_new7774[] = {1};
meth_meth_ast_new7774->type = alloc_MethodType(1, argcv_meth_ast_new7774);
  meth_meth_ast_new7774->definitionModule = modulename;
  meth_meth_ast_new7774->definitionLine = 1806;
  block_savedest(obj7772);
  Object closure7859 = createclosure(1, "new()object");
setclosureframe(closure7859, stackframe);
  addtoclosure(closure7859, var_baseNode);
  Method *meth_meth_ast_new7774_object = addmethod2pos(obj7772, "new()object", &meth_ast_new7774_object, 1);
  meth_meth_ast_new7774_object->definitionModule = modulename;
  meth_meth_ast_new7774_object->definitionLine = 1806;
  sourceObject = obj7772;
objclass7772 = obj7772->class;
  objclass7772->definitionModule = modulename;
  objclass7772->definitionLine = 1806;
  (*(struct UserObject *)self).data[0] = lowerouter7772;
  self = oldself7772;
  selfslot = oldselfslot7772;
  stackframe = oldstackframe7772;
// compilenode returning obj7772
  *var_dialectNode = obj7772;
  if (obj7772 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7860 = createclosure(1, "returnNode");
  setclosureframe(closure7860, stackframe);
  addtoclosure(closure7860, var_returnNode);
  struct UserObject *uo7860 = (struct UserObject*)self;
  uo7860->data[34] = (Object)closure7860;
  Method *meth_meth_ast_returnNode7860 = addmethod2pos(self, "returnNode", &meth_ast_returnNode7860, 34);
int argcv_meth_ast_returnNode7860[] = {0};
meth_meth_ast_returnNode7860->type = alloc_MethodType(1, argcv_meth_ast_returnNode7860);
  meth_meth_ast_returnNode7860->definitionModule = modulename;
  meth_meth_ast_returnNode7860->definitionLine = 1879;
// compilenode returning 
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject7861 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7861 = alloc_userobj2(2,4, objclass7861);
  gc_frame_newslot(obj7861);
// OBJECT OUTER DEC outer
  adddatum2(obj7861, self, 0);
  addmethodreal(obj7861,"outer", &reader_ast_outer_7862);
  Object oldself7861 = self;
  struct StackFrameObject *oldstackframe7861 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7861);
  gc_frame_newslot((Object)stackframe);
  self = obj7861;
  Object *oldselfslot7861 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7861 = (*(struct UserObject *)self).data[0], lowerouter7861 = thisouter7861;
  if (inheritingObject7861) {
    struct UserObject *inho7861 = (struct UserObject *)inheritingObject7861;
    while (inho7861->super != GraceDefaultObject) inho7861 = (struct UserObject *)inho7861->super;
    inho7861->super = obj7861;
    self = inheritingObject7861;
    *selfslot = self;
    lowerouter7861 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7861;
  }
  block_savedest(obj7861);
  Object closure7863 = createclosure(2, "new");
  setclosureframe(closure7863, stackframe);
  addtoclosure(closure7863, var_returnNode);
  addtoclosure(closure7863, var_baseNode);
  struct UserObject *uo7863 = (struct UserObject*)obj7861;
  uo7863->data[1] = (Object)closure7863;
  Method *meth_meth_ast_new7863 = addmethod2pos(obj7861, "new", &meth_ast_new7863, 1);
int argcv_meth_ast_new7863[] = {1};
meth_meth_ast_new7863->type = alloc_MethodType(1, argcv_meth_ast_new7863);
  meth_meth_ast_new7863->definitionModule = modulename;
  meth_meth_ast_new7863->definitionLine = 1879;
  block_savedest(obj7861);
  Object closure7952 = createclosure(2, "new()object");
setclosureframe(closure7952, stackframe);
  addtoclosure(closure7952, var_returnNode);
  addtoclosure(closure7952, var_baseNode);
  Method *meth_meth_ast_new7863_object = addmethod2pos(obj7861, "new()object", &meth_ast_new7863_object, 1);
  meth_meth_ast_new7863_object->definitionModule = modulename;
  meth_meth_ast_new7863_object->definitionLine = 1879;
  sourceObject = obj7861;
objclass7861 = obj7861->class;
  objclass7861->definitionModule = modulename;
  objclass7861->definitionLine = 1879;
  (*(struct UserObject *)self).data[0] = lowerouter7861;
  self = oldself7861;
  selfslot = oldselfslot7861;
  stackframe = oldstackframe7861;
// compilenode returning obj7861
  *var_returnNode = obj7861;
  if (obj7861 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7953 = createclosure(1, "inheritsNode");
  setclosureframe(closure7953, stackframe);
  addtoclosure(closure7953, var_inheritsNode);
  struct UserObject *uo7953 = (struct UserObject*)self;
  uo7953->data[35] = (Object)closure7953;
  Method *meth_meth_ast_inheritsNode7953 = addmethod2pos(self, "inheritsNode", &meth_ast_inheritsNode7953, 35);
int argcv_meth_ast_inheritsNode7953[] = {0};
meth_meth_ast_inheritsNode7953->type = alloc_MethodType(1, argcv_meth_ast_inheritsNode7953);
  meth_meth_ast_inheritsNode7953->definitionModule = modulename;
  meth_meth_ast_inheritsNode7953->definitionLine = 1913;
// compilenode returning 
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject7954 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7954 = alloc_userobj2(2,4, objclass7954);
  gc_frame_newslot(obj7954);
// OBJECT OUTER DEC outer
  adddatum2(obj7954, self, 0);
  addmethodreal(obj7954,"outer", &reader_ast_outer_7955);
  Object oldself7954 = self;
  struct StackFrameObject *oldstackframe7954 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7954);
  gc_frame_newslot((Object)stackframe);
  self = obj7954;
  Object *oldselfslot7954 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7954 = (*(struct UserObject *)self).data[0], lowerouter7954 = thisouter7954;
  if (inheritingObject7954) {
    struct UserObject *inho7954 = (struct UserObject *)inheritingObject7954;
    while (inho7954->super != GraceDefaultObject) inho7954 = (struct UserObject *)inho7954->super;
    inho7954->super = obj7954;
    self = inheritingObject7954;
    *selfslot = self;
    lowerouter7954 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7954;
  }
  block_savedest(obj7954);
  Object closure7956 = createclosure(2, "new");
  setclosureframe(closure7956, stackframe);
  addtoclosure(closure7956, var_inheritsNode);
  addtoclosure(closure7956, var_baseNode);
  struct UserObject *uo7956 = (struct UserObject*)obj7954;
  uo7956->data[1] = (Object)closure7956;
  Method *meth_meth_ast_new7956 = addmethod2pos(obj7954, "new", &meth_ast_new7956, 1);
int argcv_meth_ast_new7956[] = {1};
meth_meth_ast_new7956->type = alloc_MethodType(1, argcv_meth_ast_new7956);
  meth_meth_ast_new7956->definitionModule = modulename;
  meth_meth_ast_new7956->definitionLine = 1913;
  block_savedest(obj7954);
  Object closure8090 = createclosure(2, "new()object");
setclosureframe(closure8090, stackframe);
  addtoclosure(closure8090, var_inheritsNode);
  addtoclosure(closure8090, var_baseNode);
  Method *meth_meth_ast_new7956_object = addmethod2pos(obj7954, "new()object", &meth_ast_new7956_object, 1);
  meth_meth_ast_new7956_object->definitionModule = modulename;
  meth_meth_ast_new7956_object->definitionLine = 1913;
  sourceObject = obj7954;
objclass7954 = obj7954->class;
  objclass7954->definitionModule = modulename;
  objclass7954->definitionLine = 1913;
  (*(struct UserObject *)self).data[0] = lowerouter7954;
  self = oldself7954;
  selfslot = oldselfslot7954;
  stackframe = oldstackframe7954;
// compilenode returning obj7954
  *var_inheritsNode = obj7954;
  if (obj7954 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8091 = createclosure(1, "blankNode");
  setclosureframe(closure8091, stackframe);
  addtoclosure(closure8091, var_blankNode);
  struct UserObject *uo8091 = (struct UserObject*)self;
  uo8091->data[36] = (Object)closure8091;
  Method *meth_meth_ast_blankNode8091 = addmethod2pos(self, "blankNode", &meth_ast_blankNode8091, 36);
int argcv_meth_ast_blankNode8091[] = {0};
meth_meth_ast_blankNode8091->type = alloc_MethodType(1, argcv_meth_ast_blankNode8091);
  meth_meth_ast_blankNode8091->definitionModule = modulename;
  meth_meth_ast_blankNode8091->definitionLine = 1920;
// compilenode returning 
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject8092 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8092 = alloc_userobj2(2,4, objclass8092);
  gc_frame_newslot(obj8092);
// OBJECT OUTER DEC outer
  adddatum2(obj8092, self, 0);
  addmethodreal(obj8092,"outer", &reader_ast_outer_8093);
  Object oldself8092 = self;
  struct StackFrameObject *oldstackframe8092 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8092);
  gc_frame_newslot((Object)stackframe);
  self = obj8092;
  Object *oldselfslot8092 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8092 = (*(struct UserObject *)self).data[0], lowerouter8092 = thisouter8092;
  if (inheritingObject8092) {
    struct UserObject *inho8092 = (struct UserObject *)inheritingObject8092;
    while (inho8092->super != GraceDefaultObject) inho8092 = (struct UserObject *)inho8092->super;
    inho8092->super = obj8092;
    self = inheritingObject8092;
    *selfslot = self;
    lowerouter8092 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8092;
  }
  block_savedest(obj8092);
  Object closure8094 = createclosure(1, "new");
  setclosureframe(closure8094, stackframe);
  addtoclosure(closure8094, var_baseNode);
  struct UserObject *uo8094 = (struct UserObject*)obj8092;
  uo8094->data[1] = (Object)closure8094;
  Method *meth_meth_ast_new8094 = addmethod2pos(obj8092, "new", &meth_ast_new8094, 1);
int argcv_meth_ast_new8094[] = {0};
meth_meth_ast_new8094->type = alloc_MethodType(1, argcv_meth_ast_new8094);
  meth_meth_ast_new8094->definitionModule = modulename;
  meth_meth_ast_new8094->definitionLine = 1920;
  block_savedest(obj8092);
  Object closure8118 = createclosure(1, "new()object");
setclosureframe(closure8118, stackframe);
  addtoclosure(closure8118, var_baseNode);
  Method *meth_meth_ast_new8094_object = addmethod2pos(obj8092, "new()object", &meth_ast_new8094_object, 1);
  meth_meth_ast_new8094_object->definitionModule = modulename;
  meth_meth_ast_new8094_object->definitionLine = 1920;
  sourceObject = obj8092;
objclass8092 = obj8092->class;
  objclass8092->definitionModule = modulename;
  objclass8092->definitionLine = 1920;
  (*(struct UserObject *)self).data[0] = lowerouter8092;
  self = oldself8092;
  selfslot = oldselfslot8092;
  stackframe = oldstackframe8092;
// compilenode returning obj8092
  *var_blankNode = obj8092;
  if (obj8092 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8119 = createclosure(1, "signaturePart");
  setclosureframe(closure8119, stackframe);
  addtoclosure(closure8119, var_signaturePart);
  struct UserObject *uo8119 = (struct UserObject*)self;
  uo8119->data[37] = (Object)closure8119;
  Method *meth_meth_ast_signaturePart8119 = addmethod2pos(self, "signaturePart", &meth_ast_signaturePart8119, 37);
int argcv_meth_ast_signaturePart8119[] = {0};
meth_meth_ast_signaturePart8119->type = alloc_MethodType(1, argcv_meth_ast_signaturePart8119);
  meth_meth_ast_signaturePart8119->definitionModule = modulename;
  meth_meth_ast_signaturePart8119->definitionLine = 1920;
// compilenode returning 
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject8120 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8120 = alloc_userobj2(2,4, objclass8120);
  gc_frame_newslot(obj8120);
// OBJECT OUTER DEC outer
  adddatum2(obj8120, self, 0);
  addmethodreal(obj8120,"outer", &reader_ast_outer_8121);
  Object oldself8120 = self;
  struct StackFrameObject *oldstackframe8120 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8120);
  gc_frame_newslot((Object)stackframe);
  self = obj8120;
  Object *oldselfslot8120 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8120 = (*(struct UserObject *)self).data[0], lowerouter8120 = thisouter8120;
  if (inheritingObject8120) {
    struct UserObject *inho8120 = (struct UserObject *)inheritingObject8120;
    while (inho8120->super != GraceDefaultObject) inho8120 = (struct UserObject *)inho8120->super;
    inho8120->super = obj8120;
    self = inheritingObject8120;
    *selfslot = self;
    lowerouter8120 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8120;
  }
  block_savedest(obj8120);
  Object closure8122 = createclosure(2, "new");
  setclosureframe(closure8122, stackframe);
  addtoclosure(closure8122, var_signaturePart);
  addtoclosure(closure8122, var_baseNode);
  struct UserObject *uo8122 = (struct UserObject*)obj8120;
  uo8122->data[1] = (Object)closure8122;
  Method *meth_meth_ast_new8122 = addmethod2pos(obj8120, "new", &meth_ast_new8122, 1);
int argcv_meth_ast_new8122[] = {0};
meth_meth_ast_new8122->type = alloc_MethodType(1, argcv_meth_ast_new8122);
  meth_meth_ast_new8122->definitionModule = modulename;
  meth_meth_ast_new8122->definitionLine = 1920;
  block_savedest(obj8120);
  Object closure8201 = createclosure(2, "new()object");
setclosureframe(closure8201, stackframe);
  addtoclosure(closure8201, var_signaturePart);
  addtoclosure(closure8201, var_baseNode);
  Method *meth_meth_ast_new8122_object = addmethod2pos(obj8120, "new()object", &meth_ast_new8122_object, 1);
  meth_meth_ast_new8122_object->definitionModule = modulename;
  meth_meth_ast_new8122_object->definitionLine = 1920;
  sourceObject = obj8120;
objclass8120 = obj8120->class;
  objclass8120->definitionModule = modulename;
  objclass8120->definitionLine = 1920;
  (*(struct UserObject *)self).data[0] = lowerouter8120;
  self = oldself8120;
  selfslot = oldselfslot8120;
  stackframe = oldstackframe8120;
// compilenode returning obj8120
  *var_signaturePart = obj8120;
  if (obj8120 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2005
  setline(2005);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
// Type decl ASTVisitor
//   Type literal 
    Object type8203 = alloc_Type("ASTVisitor", 29);
    add_Method((ClassData)type8203, "visitFor", NULL);
    add_Method((ClassData)type8203, "visitWhile", NULL);
    add_Method((ClassData)type8203, "visitIf", NULL);
    add_Method((ClassData)type8203, "visitBlock", NULL);
    add_Method((ClassData)type8203, "visitMatchCase", NULL);
    add_Method((ClassData)type8203, "visitCatchCase", NULL);
    add_Method((ClassData)type8203, "visitMethodType", NULL);
    add_Method((ClassData)type8203, "visitTypeLiteral", NULL);
    add_Method((ClassData)type8203, "visitTypeDec", NULL);
    add_Method((ClassData)type8203, "visitMethod", NULL);
    add_Method((ClassData)type8203, "visitCall", NULL);
    add_Method((ClassData)type8203, "visitClass", NULL);
    add_Method((ClassData)type8203, "visitObject", NULL);
    add_Method((ClassData)type8203, "visitArray", NULL);
    add_Method((ClassData)type8203, "visitMember", NULL);
    add_Method((ClassData)type8203, "visitGeneric", NULL);
    add_Method((ClassData)type8203, "visitIdentifier", NULL);
    add_Method((ClassData)type8203, "visitOctets", NULL);
    add_Method((ClassData)type8203, "visitString", NULL);
    add_Method((ClassData)type8203, "visitNum", NULL);
    add_Method((ClassData)type8203, "visitOp", NULL);
    add_Method((ClassData)type8203, "visitIndex", NULL);
    add_Method((ClassData)type8203, "visitBind", NULL);
    add_Method((ClassData)type8203, "visitDefDec", NULL);
    add_Method((ClassData)type8203, "visitVarDec", NULL);
    add_Method((ClassData)type8203, "visitImport", NULL);
    add_Method((ClassData)type8203, "visitReturn", NULL);
    add_Method((ClassData)type8203, "visitInherits", NULL);
    add_Method((ClassData)type8203, "visitDialect", NULL);
// compilenode returning type8203
  *var_ASTVisitor = type8203;
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8204 = createclosure(1, "ASTVisitor");
  setclosureframe(closure8204, stackframe);
  addtoclosure(closure8204, var_ASTVisitor);
  struct UserObject *uo8204 = (struct UserObject*)self;
  uo8204->data[38] = (Object)closure8204;
  Method *meth_meth_ast_ASTVisitor8204 = addmethod2pos(self, "ASTVisitor", &meth_ast_ASTVisitor8204, 38);
int argcv_meth_ast_ASTVisitor8204[] = {0};
meth_meth_ast_ASTVisitor8204->type = alloc_MethodType(1, argcv_meth_ast_ASTVisitor8204);
  meth_meth_ast_ASTVisitor8204->definitionModule = modulename;
  meth_meth_ast_ASTVisitor8204->definitionLine = 1990;
// compilenode returning 
// compilenode returning done
// Begin line 2157
  setline(2157);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2156
  setline(2156);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning self
  *var_ast = self;
  if (self == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8205 = createclosure(1, "ast");
  setclosureframe(closure8205, stackframe);
  addtoclosure(closure8205, var_ast);
  struct UserObject *uo8205 = (struct UserObject*)self;
  uo8205->data[39] = (Object)closure8205;
  Method *meth_meth_ast_ast8205 = addmethod2pos(self, "ast", &meth_ast_ast8205, 39);
int argcv_meth_ast_ast8205[] = {0};
meth_meth_ast_ast8205->type = alloc_MethodType(1, argcv_meth_ast_ast8205);
  meth_meth_ast_ast8205->definitionModule = modulename;
  meth_meth_ast_ast8205->definitionLine = 1990;
// compilenode returning 
// compilenode returning done
// Begin line 2157
  setline(2157);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject8206 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8206 = alloc_userobj2(2,4, objclass8206);
  gc_frame_newslot(obj8206);
// OBJECT OUTER DEC outer
  adddatum2(obj8206, self, 0);
  addmethodreal(obj8206,"outer", &reader_ast_outer_8207);
  Object oldself8206 = self;
  struct StackFrameObject *oldstackframe8206 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8206);
  gc_frame_newslot((Object)stackframe);
  self = obj8206;
  Object *oldselfslot8206 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8206 = (*(struct UserObject *)self).data[0], lowerouter8206 = thisouter8206;
  if (inheritingObject8206) {
    struct UserObject *inho8206 = (struct UserObject *)inheritingObject8206;
    while (inho8206->super != GraceDefaultObject) inho8206 = (struct UserObject *)inho8206->super;
    inho8206->super = obj8206;
    self = inheritingObject8206;
    *selfslot = self;
    lowerouter8206 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8206;
  }
  struct UserObject *uo8208 = (struct UserObject*)obj8206;
  uo8208->data[1] = emptyclosure;
  Method *meth_meth_ast_visitCall8208 = addmethod2pos(obj8206, "visitCall", &meth_ast_visitCall8208, 1);
int argcv_meth_ast_visitCall8208[] = {1};
meth_meth_ast_visitCall8208->type = alloc_MethodType(1, argcv_meth_ast_visitCall8208);
  meth_meth_ast_visitCall8208->definitionModule = modulename;
  meth_meth_ast_visitCall8208->definitionLine = 2159;
  sourceObject = obj8206;
// Begin line 2158
  setline(2158);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8213 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_ast
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8214 = callmethod(*var_ast, "baseVisitor()object",
    2, partcv, params);
  gc_frame_end(callframe8213);
// compilenode returning call8214
  struct UserObject *obj8206_uo = (struct UserObject *)obj8206;
  obj8206_uo->super = call8214;
  sourceObject = obj8206;
objclass8206 = obj8206->class;
  objclass8206->definitionModule = modulename;
  objclass8206->definitionLine = 2157;
  (*(struct UserObject *)self).data[0] = lowerouter8206;
  self = oldself8206;
  selfslot = oldselfslot8206;
  stackframe = oldstackframe8206;
// compilenode returning obj8206
  *var_patternMarkVisitor = obj8206;
  if (obj8206 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8215 = createclosure(1, "patternMarkVisitor");
  setclosureframe(closure8215, stackframe);
  addtoclosure(closure8215, var_patternMarkVisitor);
  struct UserObject *uo8215 = (struct UserObject*)self;
  uo8215->data[40] = (Object)closure8215;
  Method *meth_meth_ast_patternMarkVisitor8215 = addmethod2pos(self, "patternMarkVisitor", &meth_ast_patternMarkVisitor8215, 40);
int argcv_meth_ast_patternMarkVisitor8215[] = {0};
meth_meth_ast_patternMarkVisitor8215->type = alloc_MethodType(1, argcv_meth_ast_patternMarkVisitor8215);
  meth_meth_ast_patternMarkVisitor8215->definitionModule = modulename;
  meth_meth_ast_patternMarkVisitor8215->definitionLine = 1990;
// compilenode returning 
// compilenode returning done
// compilenode returning 
  gc_frame_end(frame);
  return self;
}
