#include <gracelib.h>
#include <stdlib.h>
static char compilerRevision[] = "c01c85ef098bb275d73965aa95d8fdbe0bf2cf18";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "errormessages";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma DefaultVisibility=public",
  "import \"io\" as io",
  "import \"sys\" as sys",
  "import \"util\" as util",
  "",
  "// Contains modified lines used as suggestions for error messages.",
  "// When a line is added using one of the utility methods such as",
  "// insert()afterToken()onLine(), the line is copied from util.lines to the",
  "// internal lines array in the suggestion, and when a line that is already in",
  "// the array is modified, the internal lines array is updated.",
  "// There is no sorting of the order of the lines at any point, so",
  "// lines must be added in ascending order.",
  "class suggestion.new() {",
  "",
  "    def lineNumbers is confidential = []",
  "    def lines is confidential = []",
  "",
  "    // Methods that deal with inserting/replacing/deleting character positions",
  "    // and ranges. These methods are usually called by lexing error messages",
  "    // due to lack of access to tokens, and by insert/replace/delete methods",
  "    // that operate on tokens.",
  "",
  "    method replaceRange(start, end)with(s)onLine(lineNumber) {",
  "        def line = getLine(lineNumber)",
  "        if(start == 1) then {",
  "            addLine(lineNumber, s ++ line.substringFrom(end + 1)to(line.size))",
  "        } else {",
  "            addLine(lineNumber, line.substringFrom(1)to(start - 1)",
  "                ++ s ++ line.substringFrom(end + 1)to(line.size))",
  "        }",
  "    }",
  "",
  "    method replaceChar(pos)with(s)onLine(lineNumber) {",
  "        replaceRange(pos, pos)with(s)onLine(lineNumber)",
  "    }",
  "",
  "    method replaceUntil(until)with(s)onLine(lineNumber) {",
  "        def line = getLine(lineNumber)",
  "        def len = until.size",
  "        for (1..line.size) do {i->",
  "            if (line.substringFrom(i)to(i + len - 1) == until) then {",
  "                replaceRange(1, i + len - 1)with(s)onLine(lineNumber)",
  "                return true",
  "            }",
  "        }",
  "        return false",
  "    }",
  "",
  "    method deleteRange(start, end)onLine(lineNumber) {",
  "        var start' := start",
  "        def line = getLine(lineNumber)",
  "        if((start' > 1) && (end == line.size)) then {",
  "            // Check for removing the whole line, then remove the indent also.",
  "            var indent := true",
  "            for(1..(start'-1)) do { i ->",
  "                if(line[i] != \" \") then {",
  "                    indent := false",
  "                }",
  "            }",
  "            if(indent == true) then {",
  "                start' := 1",
  "            }",
  "        }",
  "        replaceRange(start', end)with(\"\")onLine(lineNumber)",
  "    }",
  "",
  "    method deleteChar(pos)onLine(lineNumber) {",
  "        replaceRange(pos, pos)with(\"\")onLine(lineNumber)",
  "    }",
  "",
  "    method append(s)onLine(lineNumber) {",
  "        def line = getLine(lineNumber)",
  "        addLine(lineNumber, line ++ s)",
  "    }",
  "",
  "    method insert(s)atPosition(pos)onLine(lineNumber) {",
  "        def line = getLine(lineNumber)",
  "        if(pos == 1) then {",
  "            addLine(lineNumber, s ++ line)",
  "        } else {",
  "            addLine(lineNumber, line.substringFrom(1)to(pos - 1) ++ s",
  "                ++ line.substringFrom(pos)to(line.size))",
  "        }",
  "    }",
  "",
  "    // Methods that deal with inserting/replacing/deleteing tokens or ranges of",
  "    // tokens. These methods call the underlying methods that operate on",
  "    // characters.",
  "",
  "    method getTokenStart(token)includeLeadingSpace(includeLeading) {",
  "        var start := token.linePos",
  "        // Include leading whitespace.",
  "        if(includeLeading == true) then {",
  "            if((token.prev != false).andAlso({token.prev.line == token.line})) then {",
  "                start := token.prev.linePos + token.prev.size",
  "            }",
  "        }",
  "        // Include indentation if this is the only token on the line.",
  "        if(token.linePos == (token.indent + 1)) then {",
  "            if((token.next == false).orElse({token.next.line != token.line})) then {",
  "                start := 1",
  "            }",
  "        }",
  "        start",
  "    }",
  "",
  "    method getTokenEnd(token)includeTrailingSpace(includeTrailing) {",
  "        var end := token.linePos + token.size - 1",
  "        // Include trailing space.",
  "        if(includeTrailing == true) then {",
  "            if((token.next != false).andAlso({token.next.line == token.line})) then {",
  "                end := token.next.linePos - 1;",
  "            } else {",
  "                end := getLine(token.line).size",
  "            }",
  "        }",
  "        end",
  "    }",
  "",
  "    method replaceToken(token)leading(replaceLeading)trailing(replaceTrailing)with(s) {",
  "        def start = getTokenStart(token)includeLeadingSpace(replaceLeading)",
  "        def end = getTokenEnd(token)includeTrailingSpace(replaceTrailing)",
  "        replaceRange(start, end)with(s)onLine(token.line)",
  "    }",
  "",
  "    method replaceToken(token)with(s) {",
  "        replaceToken(token)leading(false)trailing(false)with(s)",
  "    }",
  "",
  "    method replaceTokenRange(start, end)leading(replaceLeading)trailing(replaceTrailing)with(s) {",
  "        if(start == end) then {",
  "            replaceToken(start)leading(replaceLeading)trailing(replaceTrailing)with(s)",
  "        } else {",
  "            // Get the ident and position now in case deleteTokenRange changes it.",
  "            def insertPos = getTokenStart(start)includeLeadingSpace(replaceLeading)",
  "            def indent = getLine(start.line).substringFrom(1)to(start.indent)",
  "            deleteTokenRange(start, end)leading(replaceLeading)trailing(replaceTrailing)",
  "            // If delete token range deleted the indent, then add it back.",
  "            if(getLine(start.line) == \"\") then {",
  "                insert(indent ++ s)atPosition(insertPos)onLine(start.line)",
  "            } else {",
  "                insert(s)atPosition(insertPos)onLine(start.line)",
  "            }",
  "        }",
  "    }",
  "",
  "    method replaceTokenRange(start, end)with(s) {",
  "        replaceTokenRange(start, end)leading(false)trailing(false)with(s)",
  "    }",
  "",
  "    // Deletes a token, and optionally leading and/or trailing spaces.",
  "    method deleteToken(token)leading(deleteLeading)trailing(deleteTrailing) {",
  "        def start = getTokenStart(token)includeLeadingSpace(deleteLeading)",
  "        def end = getTokenEnd(token)includeTrailingSpace(deleteTrailing)",
  "        deleteRange(start, end)onLine(token.line)",
  "    }",
  "",
  "    method deleteToken(token) {",
  "        deleteToken(token)leading(false)trailing(false)",
  "    }",
  "",
  "    // Deletes a range of tokens, and optionally leading and/or trailing spaces.",
  "    method deleteTokenRange(start, end)leading(deleteLeading)trailing(deleteTrailing) {",
  "        if(start == end) then {",
  "            deleteToken(start)leading(deleteLeading)trailing(deleteTrailing)",
  "        } else {",
  "            var line := start.line",
  "            var startPos := getTokenStart(start)includeLeadingSpace(deleteLeading)",
  "            var endPos := getTokenEnd(start)includeTrailingSpace(deleteTrailing)",
  "            var tok := start.next",
  "            while {tok != end} do {",
  "                if(tok.line != line) then {",
  "                    deleteRange(startPos, endPos)onLine(line)",
  "                    line := tok.line",
  "                    startPos := getTokenStart(tok)includeLeadingSpace(deleteLeading)",
  "                }",
  "                endPos := getTokenEnd(tok)includeTrailingSpace(deleteTrailing)",
  "                tok := tok.next",
  "            }",
  "            if(end.line != line) then {",
  "                deleteRange(startPos, endPos)onLine(line)",
  "            }",
  "            endPos := getTokenEnd(end)includeTrailingSpace(deleteTrailing)",
  "            deleteRange(startPos, endPos)onLine(end.line)",
  "        }",
  "    }",
  "",
  "    method deleteTokenRange(start, end) {",
  "        deleteTokenRange(start, end)leading(false)trailing(false)",
  "    }",
  "",
  "    method deleteLine(lineNumber) {",
  "        addLine(lineNumber, \"\")",
  "    }",
  "",
  "    method insert(s)afterToken(token)andTrailingSpace(afterTrailing) {",
  "        def pos = getTokenEnd(token)includeTrailingSpace(afterTrailing) + 1",
  "        insert(s)atPosition(pos)onLine(token.line)",
  "    }",
  "",
  "    method insert(s)afterToken(token) {",
  "        insert(s)afterToken(token)andTrailingSpace(false)",
  "    }",
  "",
  "    method insert(s)beforeToken(token) {",
  "        insert(s)atPosition(token.linePos)onLine(token.line)",
  "    }",
  "",
  "    // Insert a new line. This stores the line with the same number as the line it comes after.",
  "    method insertNewLine(line)after(lineNumber) {",
  "        addLine(lineNumber, line)",
  "    }",
  "",
  "    // Manually add a line to the suggestion. This will overwrite any previous",
  "    // changes that may have been made to this line.",
  "    method addLine(lineNumber, line) {",
  "        var i := findLine(lineNumber)",
  "        if(i != false) then {",
  "            lines.at(i)put(line)",
  "        } else {",
  "            // Add new lines to make the list big enough.",
  "            lineNumbers.push(lineNumber)",
  "            lines.push(line)",
  "            if(lines.size > 1) then {",
  "                // Re-order the list.",
  "                i := lines.size",
  "                while {(i > 1).andAlso({lineNumber < lineNumbers[i - 1]})} do {",
  "                    lineNumbers[i] := lineNumbers[i - 1]",
  "                    lines[i] := lines[i - 1]",
  "                    i := i - 1",
  "                }",
  "                lineNumbers[i] := lineNumber",
  "                lines[i] := line",
  "            }",
  "        }",
  "    }",
  "",
  "    // Internal method used to find the index of a line in the lines array.",
  "    // Returns false if the line is not found.",
  "    method findLine(lineNumber) is confidential {",
  "        for(lineNumbers.indices) do { i ->",
  "            if(lineNumbers[i] == lineNumber) then {",
  "                return i",
  "            }",
  "        }",
  "        false",
  "    }",
  "",
  "    // Internal method used to get the contents of a line so far.",
  "    // If the line is not part of this suggestion then it gets the unmodified line.",
  "    method getLine(lineNumber) is confidential {",
  "        def i = findLine(lineNumber)",
  "        if(i == false) then {",
  "            util.lines[lineNumber]",
  "        } else {",
  "            lines[i]",
  "        }",
  "    }",
  "",
  "    method print() {",
  "        for(1..lines.size) do { i ->",
  "            if((i > 1).andAlso {(lineNumbers[i] > (lineNumbers[i-1] + 1))}) then {",
  "                var s := \"\"",
  "                for(1..lineNumbers[i-1].asString.size) do {",
  "                    s := s ++ \" \"",
  "                }",
  "                io.error.write(\"    {s}...\\n\")",
  "            }",
  "            // Handle insertion of new lines.",
  "            if(lineNumbers[i].truncate != lineNumbers[i]) then {",
  "                io.error.write(\" *{lineNumbers[i].truncate}: {lines[i]}\\n\")",
  "            } else {",
  "                io.error.write(\"  {lineNumbers[i]}: {lines[i]}\\n\")",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method dameraulevenshtein(s, t) {",
  "    // Calculate the Damerau-Levenshtein distance between sequences.",
  "    //",
  "    // This distance is the number of additions, deletions, substitutions,",
  "    // and transpositions needed to transform the first sequence into the",
  "    // second. Although generally used with strings, any sequences of",
  "    // comparable objects will work.",
  "    //",
  "    // Transpositions are exchanges of *consecutive* characters; all other",
  "    // operations are self-explanatory.",
  "    //",
  "    // This implementation is O(N*M) time and O(M) space, for N and M the",
  "    // lengths of the two sequences.",
  "    //",
  "    // >>> dameraulevenshtein(\"ba\", \"abc\")",
  "    // 2",
  "    // >>> dameraulevenshtein(\"fee\", \"deed\")",
  "    // 2",
  "    //",
  "    // codesnippet:D0DE4716-B6E6-4161-9219-2903BF8F547F",
  "    // Conceptually, this is based on a len(seq1) + 1 * len(seq2) + 1 matrix.",
  "    // However, only the current and two previous rows are needed at once,",
  "    // so we only store those.",
  "    if(s == t) then { return 0 }",
  "    if(s.size == 0) then { return t.size }",
  "    if(t.size == 0) then { return s.size }",
  "",
  "    def oneago = PrimitiveArray.new(t.size + 1)",
  "    def thisrow = PrimitiveArray.new(t.size + 1)",
  "    def twoago = PrimitiveArray.new(t.size + 1)",
  "",
  "    for(0..(oneago.size - 1)) do { i ->",
  "        oneago[i] := i",
  "        thisrow[i] := 0",
  "    }",
  "",
  "    for(1..s.size) do { x ->",
  "        thisrow[0] := x",
  "        for(1..t.size) do { y ->",
  "            def delcost = oneago[y] + 1",
  "            def addcost = thisrow[y - 1] + 1",
  "            def subcost = oneago[y-1] + if (s.at(x)!=t.at(y)) then {1} else {0}",
  "            thisrow[y] := min(delcost, addcost, subcost)",
  "            if (((x > 1) && (y > 1)).andAlso{(s[x] == t[y - 1])",
  "                && (s[x - 1] == t[y]) && (s[x] != t[y])}) then {",
  "                thisrow[y] := min(thisrow[y], twoago[y - 2] + 1)",
  "            }",
  "        }",
  "",
  "        for (0..(oneago.size - 1)) do { j ->",
  "            twoago[j] := oneago[j]",
  "            oneago[j] := thisrow[j]",
  "        }",
  "    }",
  "",
  "    thisrow[t.size]",
  "}",
  "",
  "// Return the minimum number from the given arguments.",
  "method min(*n) {",
  "    if(n.size > 0) then {",
  "        var m := n[1]",
  "        for (n) do { i ->",
  "            if(i < m) then { m := i }",
  "        }",
  "        m",
  "    }",
  "}",
  "",
  "// Methods to actually display an error message and suggestions, then exit.",
  "method syntaxError(message)atRange(errlinenum, startpos, endpos) {",
  "    syntaxError(message)atRange(errlinenum, startpos, endpos)withSuggestions([])",
  "}",
  "",
  "method syntaxError(message)atRange(errlinenum, startpos, endpos)withSuggestion(suggestion') {",
  "    syntaxError(message)atRange(errlinenum, startpos, endpos)withSuggestions([suggestion'])",
  "}",
  "",
  "method syntaxError(message)atRange(errlinenum, startpos, endpos)withSuggestions(suggestions) {",
  "    var loc := if(startpos == endpos) then {startpos.asString} else { \"{startpos}-{endpos}\" }",
  "    var arr := \"----\"",
  "    for (2..(startpos + errlinenum.asString.size)) do { _ ->",
  "        arr := arr ++ \"-\"",
  "    }",
  "    for (startpos..endpos) do { _ ->",
  "        arr := arr ++ \"^\"",
  "    }",
  "    util.syntaxError(message, errlinenum, \":{loc}\", arr, false, suggestions)",
  "}",
  "",
  "method error(message)atRange(errlinenum, startpos, endpos)withSuggestions(suggestions) {",
  "    var loc := if(startpos == endpos) then {startpos.asString} else { \"{startpos}-{endpos}\" }",
  "    var arr := \"----\"",
  "    for (2..(startpos + errlinenum.asString.size)) do { _ ->",
  "        arr := arr ++ \"-\"",
  "    }",
  "    for (startpos..endpos) do { _ ->",
  "        arr := arr ++ \"^\"",
  "    }",
  "    util.generalError(message, errlinenum, \":{loc}\", arr, false, suggestions)",
  "}",
  "",
  "method syntaxError(message)atPosition(errlinenum, errpos) {",
  "    syntaxError(message)atPosition(errlinenum, errpos)withSuggestions([])",
  "}",
  "",
  "method error(message) atPosition(errlinenum, errpos) {",
  "    error(message) atPosition(errlinenum, errpos) withSuggestions([])",
  "}",
  "",
  "method syntaxError(message)atPosition(errlinenum, errpos)withSuggestion(suggestion') {",
  "    syntaxError(message)atPosition(errlinenum, errpos)withSuggestions([suggestion'])",
  "}",
  "",
  "method syntaxError(message)atPosition(errlinenum, errpos)withSuggestions(suggestions) {",
  "    var arr := \"----\"",
  "    for (2..(errpos + errlinenum.asString.size)) do { _ ->",
  "        arr := arr ++ \"-\"",
  "    }",
  "    arr := arr ++ \"^\"",
  "    util.syntaxError(message, errlinenum, \":({errpos})\", arr, errpos, suggestions)",
  "}",
  "",
  "method error(message) atPosition(errlinenum, errpos)",
  "        withSuggestions(suggestions) {",
  "    var arr := \"----\"",
  "    for (2..(errpos + errlinenum.asString.size)) do { _ ->",
  "        arr := arr ++ \"-\"",
  "    }",
  "    arr := arr ++ \"^\"",
  "    util.generalError(message, errlinenum, \":({errpos})\", arr, errpos, suggestions)",
  "}",
  "",
  "method error(message)atLine(errlinenum)withSuggestions(suggestions) {",
  "    var arr := \"----\"",
  "    for (1..errlinenum.asString.size) do { _ ->",
  "        arr := arr ++ \"-\"",
  "    }",
  "    for (1..util.lines.at(errlinenum).size) do { _ ->",
  "        arr := arr ++ \"^\"",
  "    }",
  "    util.generalError(message, errlinenum, \"\", arr, false, suggestions)",
  "}",
  "",
  "method error(message)atLine(errlinenum) {",
  "    error(message)atLine(errlinenum)withSuggestions([])",
  "}",
  "",
  "method syntaxError(message)atLine(errlinenum) {",
  "    syntaxError(message)atLine(errlinenum)withSuggestions([])",
  "}",
  "",
  "method syntaxError(message)atLine(errlinenum)withSuggestion(suggestion') {",
  "    syntaxError(message)atLine(errlinenum)withSuggestions([suggestion'])",
  "}",
  "",
  "method syntaxError(message)atLine(errlinenum)withSuggestions(suggestions) {",
  "    var arr := \"----\"",
  "    for (1..errlinenum.asString.size) do { _ ->",
  "        arr := arr ++ \"-\"",
  "    }",
  "    for (1..util.lines.at(errlinenum).size) do { _ ->",
  "        arr := arr ++ \"^\"",
  "    }",
  "    util.syntaxError(message, errlinenum, \"\", arr, false, suggestions)",
  "}",
  NULL
};
Object reader_errormessages_outer_573(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_errormessages_outer_576(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_errormessages_lineNumbers_577(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_errormessages_lines_578(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
static Object strlit255;
static Object strlit260;
static Object strlit264;
static Object strlit269;
static Object strlit285;
static Object strlit298;
static Object strlit306;
static Object strlit310;
static Object strlit323;
static Object strlit328;
static Object strlit332;
static Object strlit337;
static Object strlit353;
static Object strlit366;
static Object strlit374;
static Object strlit378;
static Object strlit396;
static Object strlit412;
static Object strlit419;
static Object strlit425;
static Object strlit429;
static Object strlit434;
static Object strlit450;
static Object strlit457;
static Object strlit463;
static Object strlit467;
static Object strlit472;
static Object strlit485;
static Object strlit505;
static Object strlit512;
static Object strlit528;
static Object strlit541;
static Object strlit561;
static Object strlit568;
Object module_io;
Object module_io_init();
Object module_sys;
Object module_sys_init();
Object module_util;
Object module_util_init();
static ClassData objclass572;
static ClassData objclass575;
static Object strlit697;
static Object strlit713;
static Object strlit717;
static Object strlit925;
static Object strlit1030;
static Object strlit1224;
static Object strlit1244;
static Object strlit1252;
static Object strlit1256;
static Object strlit1276;
static Object strlit1284;
static Object strlit1293;
static Object strlit1303;
static Object strlit1311;
static Object strlit1318;
Object meth_errormessages__apply66(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[1];
  Object *var_oneago = getfromclosure(closure, 0);
  Object *var_thisrow = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe67 = gc_frame_new();
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_oneago
  params[0] = *var_i;
  params[1] = *var_i;
  partcv[0] = 2;
  Object call68 = callmethod(*var_oneago, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe67);
// compilenode returning call68
// compilenode returning done
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe69 = gc_frame_new();
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
  Object num70 = alloc_Float64(0);
// compilenode returning num70
  gc_frame_newslot(num70);
// compilenode returning *var_thisrow
  params[0] = *var_i;
  params[1] = num70;
  partcv[0] = 2;
  Object call71 = callmethod(*var_thisrow, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe69);
// compilenode returning call71
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply134(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object *var_y = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object *var_x = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
// compilenode returning *var_y
  params[0] = *var_y;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres137 = callmethod(*var_t, "[]", 1, partcv, params);
// compilenode returning idxres137
  int op_slot_right_136 = gc_frame_newslot(idxres137);
// compilenode returning *var_s
// compilenode returning *var_x
  params[0] = *var_x;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres139 = callmethod(*var_s, "[]", 1, partcv, params);
// compilenode returning idxres139
  int op_slot_left_136 = gc_frame_newslot(idxres139);
  params[0] = idxres137;
  partcv[0] = 1;
  Object opresult140 = callmethod(idxres139, "!=", 1, partcv, params);
// compilenode returning opresult140
  int op_slot_right_135 = gc_frame_newslot(opresult140);
// compilenode returning *var_t
// compilenode returning *var_y
  params[0] = *var_y;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres144 = callmethod(*var_t, "[]", 1, partcv, params);
// compilenode returning idxres144
  int op_slot_right_143 = gc_frame_newslot(idxres144);
// compilenode returning *var_s
  Object num147 = alloc_Float64(1);
// compilenode returning num147
  int op_slot_right_146 = gc_frame_newslot(num147);
// compilenode returning *var_x
  int op_slot_left_146 = gc_frame_newslot(*var_x);
  params[0] = num147;
  partcv[0] = 1;
  Object diff149 = callmethod(*var_x, "-", 1, partcv, params);
// compilenode returning diff149
  params[0] = diff149;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres150 = callmethod(*var_s, "[]", 1, partcv, params);
// compilenode returning idxres150
  int op_slot_left_143 = gc_frame_newslot(idxres150);
  params[0] = idxres144;
  partcv[0] = 1;
  Object opresult151 = callmethod(idxres150, "==", 1, partcv, params);
// compilenode returning opresult151
  int op_slot_right_142 = gc_frame_newslot(opresult151);
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  Object num155 = alloc_Float64(1);
// compilenode returning num155
  int op_slot_right_154 = gc_frame_newslot(num155);
// compilenode returning *var_y
  int op_slot_left_154 = gc_frame_newslot(*var_y);
  params[0] = num155;
  partcv[0] = 1;
  Object diff157 = callmethod(*var_y, "-", 1, partcv, params);
// compilenode returning diff157
  params[0] = diff157;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres158 = callmethod(*var_t, "[]", 1, partcv, params);
// compilenode returning idxres158
  int op_slot_right_153 = gc_frame_newslot(idxres158);
// compilenode returning *var_s
// compilenode returning *var_x
  params[0] = *var_x;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres160 = callmethod(*var_s, "[]", 1, partcv, params);
// compilenode returning idxres160
  int op_slot_left_153 = gc_frame_newslot(idxres160);
  params[0] = idxres158;
  partcv[0] = 1;
  Object opresult161 = callmethod(idxres160, "==", 1, partcv, params);
// compilenode returning opresult161
  int op_slot_left_142 = gc_frame_newslot(opresult161);
  params[0] = opresult151;
  partcv[0] = 1;
  Object opresult162 = callmethod(opresult161, "&&", 1, partcv, params);
// compilenode returning opresult162
  int op_slot_left_135 = gc_frame_newslot(opresult162);
  params[0] = opresult140;
  partcv[0] = 1;
  Object opresult163 = callmethod(opresult162, "&&", 1, partcv, params);
// compilenode returning opresult163
  gc_frame_end(frame);
  return opresult163;
}
Object meth_errormessages__apply94(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[1];
  Object *var_oneago = getfromclosure(closure, 0);
  Object *var_thisrow = getfromclosure(closure, 1);
  Object *var_t = getfromclosure(closure, 2);
  Object *var_x = getfromclosure(closure, 3);
  Object *var_s = getfromclosure(closure, 4);
  Object *var_twoago = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_y = &(stackframe->slots[0]);
  *var_y = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_delcost = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "delcost");
  Object *var_addcost = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "addcost");
  Object *var_subcost = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "subcost");
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num96 = alloc_Float64(1);
// compilenode returning num96
  int op_slot_right_95 = gc_frame_newslot(num96);
// compilenode returning *var_oneago
// compilenode returning *var_y
  params[0] = *var_y;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres98 = callmethod(*var_oneago, "[]", 1, partcv, params);
// compilenode returning idxres98
  int op_slot_left_95 = gc_frame_newslot(idxres98);
  params[0] = num96;
  partcv[0] = 1;
  Object sum99 = callmethod(idxres98, "+", 1, partcv, params);
// compilenode returning sum99
  *var_delcost = sum99;
  if (sum99 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num101 = alloc_Float64(1);
// compilenode returning num101
  int op_slot_right_100 = gc_frame_newslot(num101);
// compilenode returning *var_thisrow
  Object num104 = alloc_Float64(1);
// compilenode returning num104
  int op_slot_right_103 = gc_frame_newslot(num104);
// compilenode returning *var_y
  int op_slot_left_103 = gc_frame_newslot(*var_y);
  params[0] = num104;
  partcv[0] = 1;
  Object diff106 = callmethod(*var_y, "-", 1, partcv, params);
// compilenode returning diff106
  params[0] = diff106;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres107 = callmethod(*var_thisrow, "[]", 1, partcv, params);
// compilenode returning idxres107
  int op_slot_left_100 = gc_frame_newslot(idxres107);
  params[0] = num101;
  partcv[0] = 1;
  Object sum108 = callmethod(idxres107, "+", 1, partcv, params);
// compilenode returning sum108
  *var_addcost = sum108;
  if (sum108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe112 = gc_frame_new();
// compilenode returning *var_y
  gc_frame_newslot(*var_y);
// compilenode returning *var_t
  params[0] = *var_y;
  partcv[0] = 1;
  Object call113 = callmethod(*var_t, "at",
    1, partcv, params);
  gc_frame_end(callframe112);
// compilenode returning call113
  int op_slot_right_111 = gc_frame_newslot(call113);
  int callframe115 = gc_frame_new();
// compilenode returning *var_x
  gc_frame_newslot(*var_x);
// compilenode returning *var_s
  params[0] = *var_x;
  partcv[0] = 1;
  Object call116 = callmethod(*var_s, "at",
    1, partcv, params);
  gc_frame_end(callframe115);
// compilenode returning call116
  int op_slot_left_111 = gc_frame_newslot(call116);
  params[0] = call113;
  partcv[0] = 1;
  Object opresult117 = callmethod(call116, "!=", 1, partcv, params);
// compilenode returning opresult117
  Object if110 = done;
struct StackFrameObject *iftmpstackframe110 = stackframe;
  if (istrue(opresult117)) {
stackframe = alloc_StackFrame(0, iftmpstackframe110);
gc_frame_newslot((Object)stackframe);
  Object num118 = alloc_Float64(1);
// compilenode returning num118
    gc_frame_newslot(num118);
    if110 = num118;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe110);
gc_frame_newslot((Object)stackframe);
  Object num119 = alloc_Float64(0);
// compilenode returning num119
    gc_frame_newslot(num119);
    if110 = num119;
  }
stackframe = iftmpstackframe110;
// compilenode returning if110
  int op_slot_right_109 = gc_frame_newslot(if110);
// compilenode returning *var_oneago
  Object num122 = alloc_Float64(1);
// compilenode returning num122
  int op_slot_right_121 = gc_frame_newslot(num122);
// compilenode returning *var_y
  int op_slot_left_121 = gc_frame_newslot(*var_y);
  params[0] = num122;
  partcv[0] = 1;
  Object diff124 = callmethod(*var_y, "-", 1, partcv, params);
// compilenode returning diff124
  params[0] = diff124;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres125 = callmethod(*var_oneago, "[]", 1, partcv, params);
// compilenode returning idxres125
  int op_slot_left_109 = gc_frame_newslot(idxres125);
  params[0] = if110;
  partcv[0] = 1;
  Object sum126 = callmethod(idxres125, "+", 1, partcv, params);
// compilenode returning sum126
  *var_subcost = sum126;
  if (sum126 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe127 = gc_frame_new();
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_y
  gc_frame_newslot(*var_y);
  int callframe128 = gc_frame_new();
// compilenode returning *var_delcost
  gc_frame_newslot(*var_delcost);
// compilenode returning *var_addcost
  gc_frame_newslot(*var_addcost);
// compilenode returning *var_subcost
  gc_frame_newslot(*var_subcost);
  params[0] = *var_delcost;
  params[1] = *var_addcost;
  params[2] = *var_subcost;
  partcv[0] = 3;
  Object call129 = callmethodflags(self, "min", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe128);
// compilenode returning call129
  gc_frame_newslot(call129);
// compilenode returning *var_thisrow
  params[0] = *var_y;
  params[1] = call129;
  partcv[0] = 2;
  Object call130 = callmethod(*var_thisrow, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe127);
// compilenode returning call130
// compilenode returning done
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe132 = gc_frame_new();
  Object block133 = alloc_Block(NULL, NULL, "errormessages", 322);
  gc_frame_newslot(block133);
  block_savedest(block133);
  Object closure134 = createclosure(5, "_apply");
  setclosureframe(closure134, stackframe);
  addtoclosure(closure134, var_t);
  addtoclosure(closure134, var_y);
  addtoclosure(closure134, var_s);
  addtoclosure(closure134, var_x);
  addtoclosure(closure134, selfslot);
  struct UserObject *uo134 = (struct UserObject*)block133;
  uo134->data[0] = (Object)closure134;
  Method *meth_meth_errormessages__apply134 = addmethod2pos(block133, "_apply", &meth_errormessages__apply134, 0);
int argcv_meth_errormessages__apply134[] = {0};
meth_meth_errormessages__apply134->type = alloc_MethodType(1, argcv_meth_errormessages__apply134);
  meth_meth_errormessages__apply134->definitionModule = modulename;
  meth_meth_errormessages__apply134->definitionLine = 317;
// compilenode returning block133
  gc_frame_newslot(block133);
  Object num167 = alloc_Float64(1);
// compilenode returning num167
  int op_slot_right_166 = gc_frame_newslot(num167);
// compilenode returning *var_y
  int op_slot_left_166 = gc_frame_newslot(*var_y);
  params[0] = num167;
  partcv[0] = 1;
  Object opresult169 = callmethod(*var_y, ">", 1, partcv, params);
// compilenode returning opresult169
  int op_slot_right_165 = gc_frame_newslot(opresult169);
  Object num172 = alloc_Float64(1);
// compilenode returning num172
  int op_slot_right_171 = gc_frame_newslot(num172);
// compilenode returning *var_x
  int op_slot_left_171 = gc_frame_newslot(*var_x);
  params[0] = num172;
  partcv[0] = 1;
  Object opresult174 = callmethod(*var_x, ">", 1, partcv, params);
// compilenode returning opresult174
  int op_slot_left_165 = gc_frame_newslot(opresult174);
  params[0] = opresult169;
  partcv[0] = 1;
  Object opresult175 = callmethod(opresult174, "&&", 1, partcv, params);
// compilenode returning opresult175
  params[0] = block133;
  partcv[0] = 1;
  Object call176 = callmethod(opresult175, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe132);
// compilenode returning call176
  Object if131 = done;
  if (istrue(call176)) {
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe177 = gc_frame_new();
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_y
  gc_frame_newslot(*var_y);
  int callframe178 = gc_frame_new();
// compilenode returning *var_thisrow
// compilenode returning *var_y
  params[0] = *var_y;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres179 = callmethod(*var_thisrow, "[]", 1, partcv, params);
// compilenode returning idxres179
  gc_frame_newslot(idxres179);
  Object num181 = alloc_Float64(1);
// compilenode returning num181
  int op_slot_right_180 = gc_frame_newslot(num181);
// compilenode returning *var_twoago
  Object num184 = alloc_Float64(2);
// compilenode returning num184
  int op_slot_right_183 = gc_frame_newslot(num184);
// compilenode returning *var_y
  int op_slot_left_183 = gc_frame_newslot(*var_y);
  params[0] = num184;
  partcv[0] = 1;
  Object diff186 = callmethod(*var_y, "-", 1, partcv, params);
// compilenode returning diff186
  params[0] = diff186;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres187 = callmethod(*var_twoago, "[]", 1, partcv, params);
// compilenode returning idxres187
  int op_slot_left_180 = gc_frame_newslot(idxres187);
  params[0] = num181;
  partcv[0] = 1;
  Object sum188 = callmethod(idxres187, "+", 1, partcv, params);
// compilenode returning sum188
  gc_frame_newslot(sum188);
  params[0] = idxres179;
  params[1] = sum188;
  partcv[0] = 2;
  Object call189 = callmethodflags(self, "min", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe178);
// compilenode returning call189
  gc_frame_newslot(call189);
// compilenode returning *var_thisrow
  params[0] = *var_y;
  params[1] = call189;
  partcv[0] = 2;
  Object call190 = callmethod(*var_thisrow, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe177);
// compilenode returning call190
// compilenode returning done
    gc_frame_newslot(done);
    if131 = done;
  } else {
  }
// compilenode returning if131
  gc_frame_end(frame);
  return if131;
}
Object meth_errormessages__apply205(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[1];
  Object *var_oneago = getfromclosure(closure, 0);
  Object *var_twoago = getfromclosure(closure, 1);
  Object *var_thisrow = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_j = &(stackframe->slots[0]);
  *var_j = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe206 = gc_frame_new();
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_j
  gc_frame_newslot(*var_j);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_oneago
// compilenode returning *var_j
  params[0] = *var_j;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres207 = callmethod(*var_oneago, "[]", 1, partcv, params);
// compilenode returning idxres207
  gc_frame_newslot(idxres207);
// compilenode returning *var_twoago
  params[0] = *var_j;
  params[1] = idxres207;
  partcv[0] = 2;
  Object call208 = callmethod(*var_twoago, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe206);
// compilenode returning call208
// compilenode returning done
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe209 = gc_frame_new();
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_j
  gc_frame_newslot(*var_j);
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_thisrow
// compilenode returning *var_j
  params[0] = *var_j;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres210 = callmethod(*var_thisrow, "[]", 1, partcv, params);
// compilenode returning idxres210
  gc_frame_newslot(idxres210);
// compilenode returning *var_oneago
  params[0] = *var_j;
  params[1] = idxres210;
  partcv[0] = 2;
  Object call211 = callmethod(*var_oneago, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe209);
// compilenode returning call211
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply82(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_thisrow = getfromclosure(closure, 0);
  Object *var_t = getfromclosure(closure, 1);
  Object *var_oneago = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object *var_twoago = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe83 = gc_frame_new();
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num84 = alloc_Float64(0);
// compilenode returning num84
  gc_frame_newslot(num84);
// compilenode returning *var_x
  gc_frame_newslot(*var_x);
// compilenode returning *var_thisrow
  params[0] = num84;
  params[1] = *var_x;
  partcv[0] = 2;
  Object call85 = callmethod(*var_thisrow, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe83);
// compilenode returning call85
// compilenode returning done
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe86 = gc_frame_new();
  int callframe88 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call89 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe88);
// compilenode returning call89
// compilenode returning call89
  int op_slot_right_87 = gc_frame_newslot(call89);
  Object num91 = alloc_Float64(1);
// compilenode returning num91
  int op_slot_left_87 = gc_frame_newslot(num91);
  params[0] = call89;
  partcv[0] = 1;
  Object opresult92 = callmethod(num91, "..", 1, partcv, params);
// compilenode returning opresult92
  gc_frame_newslot(opresult92);
  Object block93 = alloc_Block(NULL, NULL, "errormessages", 317);
  gc_frame_newslot(block93);
  block_savedest(block93);
  Object closure94 = createclosure(7, "_apply");
  setclosureframe(closure94, stackframe);
  addtoclosure(closure94, var_oneago);
  addtoclosure(closure94, var_thisrow);
  addtoclosure(closure94, var_t);
  addtoclosure(closure94, var_x);
  addtoclosure(closure94, var_s);
  addtoclosure(closure94, var_twoago);
  addtoclosure(closure94, selfslot);
  struct UserObject *uo94 = (struct UserObject*)block93;
  uo94->data[0] = (Object)closure94;
  Method *meth_meth_errormessages__apply94 = addmethod2pos(block93, "_apply", &meth_errormessages__apply94, 0);
int argcv_meth_errormessages__apply94[] = {1};
meth_meth_errormessages__apply94->type = alloc_MethodType(1, argcv_meth_errormessages__apply94);
  meth_meth_errormessages__apply94->definitionModule = modulename;
  meth_meth_errormessages__apply94->definitionLine = 317;
// compilenode returning block93
  gc_frame_newslot(block93);
  params[0] = opresult92;
  params[1] = block93;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call192 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe86);
// compilenode returning call192
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe193 = gc_frame_new();
  Object num196 = alloc_Float64(1);
// compilenode returning num196
  int op_slot_right_195 = gc_frame_newslot(num196);
  int callframe198 = gc_frame_new();
// compilenode returning *var_oneago
  partcv[0] = 0;
  Object call199 = callmethod(*var_oneago, "size",
    1, partcv, params);
  gc_frame_end(callframe198);
// compilenode returning call199
// compilenode returning call199
  int op_slot_left_195 = gc_frame_newslot(call199);
  params[0] = num196;
  partcv[0] = 1;
  Object diff200 = callmethod(call199, "-", 1, partcv, params);
// compilenode returning diff200
  int op_slot_right_194 = gc_frame_newslot(diff200);
  Object num202 = alloc_Float64(0);
// compilenode returning num202
  int op_slot_left_194 = gc_frame_newslot(num202);
  params[0] = diff200;
  partcv[0] = 1;
  Object opresult203 = callmethod(num202, "..", 1, partcv, params);
// compilenode returning opresult203
  gc_frame_newslot(opresult203);
  Object block204 = alloc_Block(NULL, NULL, "errormessages", 328);
  gc_frame_newslot(block204);
  block_savedest(block204);
  Object closure205 = createclosure(4, "_apply");
  setclosureframe(closure205, stackframe);
  addtoclosure(closure205, var_oneago);
  addtoclosure(closure205, var_twoago);
  addtoclosure(closure205, var_thisrow);
  addtoclosure(closure205, selfslot);
  struct UserObject *uo205 = (struct UserObject*)block204;
  uo205->data[0] = (Object)closure205;
  Method *meth_meth_errormessages__apply205 = addmethod2pos(block204, "_apply", &meth_errormessages__apply205, 0);
int argcv_meth_errormessages__apply205[] = {1};
meth_meth_errormessages__apply205->type = alloc_MethodType(1, argcv_meth_errormessages__apply205);
  meth_meth_errormessages__apply205->definitionModule = modulename;
  meth_meth_errormessages__apply205->definitionLine = 328;
// compilenode returning block204
  gc_frame_newslot(block204);
  params[0] = opresult203;
  params[1] = block204;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call213 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe193);
// compilenode returning call213
  gc_frame_end(frame);
  return call213;
}
Object meth_errormessages_dameraulevenshtein0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dameraulevenshtein");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method dameraulevenshtein");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dameraulevenshtein (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_t = &(stackframe->slots[1]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for dameraulevenshtein");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_oneago = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oneago");
  Object *var_thisrow = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "thisrow");
  Object *var_twoago = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "twoago");
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  int op_slot_right_2 = gc_frame_newslot(*var_t);
// compilenode returning *var_s
  int op_slot_left_2 = gc_frame_newslot(*var_s);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult4 = callmethod(*var_s, "==", 1, partcv, params);
// compilenode returning opresult4
  Object if1 = done;
  if (istrue(opresult4)) {
  Object num5 = alloc_Float64(0);
// compilenode returning num5
  return num5;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1 = undefined;
  } else {
  }
// compilenode returning if1
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8 = alloc_Float64(0);
// compilenode returning num8
  int op_slot_right_7 = gc_frame_newslot(num8);
  int callframe10 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call11 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe10);
// compilenode returning call11
// compilenode returning call11
  int op_slot_left_7 = gc_frame_newslot(call11);
  params[0] = num8;
  partcv[0] = 1;
  Object opresult12 = callmethod(call11, "==", 1, partcv, params);
// compilenode returning opresult12
  Object if6 = done;
  if (istrue(opresult12)) {
  int callframe13 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call14 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe13);
// compilenode returning call14
// compilenode returning call14
  return call14;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if6 = undefined;
  } else {
  }
// compilenode returning if6
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num17 = alloc_Float64(0);
// compilenode returning num17
  int op_slot_right_16 = gc_frame_newslot(num17);
  int callframe19 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call20 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe19);
// compilenode returning call20
// compilenode returning call20
  int op_slot_left_16 = gc_frame_newslot(call20);
  params[0] = num17;
  partcv[0] = 1;
  Object opresult21 = callmethod(call20, "==", 1, partcv, params);
// compilenode returning opresult21
  Object if15 = done;
  if (istrue(opresult21)) {
  int callframe22 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call23 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe22);
// compilenode returning call23
// compilenode returning call23
  return call23;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if15 = undefined;
  } else {
  }
// compilenode returning if15
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe24 = gc_frame_new();
  Object num26 = alloc_Float64(1);
// compilenode returning num26
  int op_slot_right_25 = gc_frame_newslot(num26);
  int callframe28 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call29 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe28);
// compilenode returning call29
// compilenode returning call29
  int op_slot_left_25 = gc_frame_newslot(call29);
  params[0] = num26;
  partcv[0] = 1;
  Object sum30 = callmethod(call29, "+", 1, partcv, params);
// compilenode returning sum30
  gc_frame_newslot(sum30);
  int callframe31 = gc_frame_new();
  partcv[0] = 0;
  Object call32 = callmethodflags(prelude, "PrimitiveArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe31);
// compilenode returning call32
  params[0] = sum30;
  partcv[0] = 1;
  Object call33 = callmethod(call32, "new",
    1, partcv, params);
  gc_frame_end(callframe24);
// compilenode returning call33
  *var_oneago = call33;
  if (call33 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe34 = gc_frame_new();
  Object num36 = alloc_Float64(1);
// compilenode returning num36
  int op_slot_right_35 = gc_frame_newslot(num36);
  int callframe38 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call39 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe38);
// compilenode returning call39
// compilenode returning call39
  int op_slot_left_35 = gc_frame_newslot(call39);
  params[0] = num36;
  partcv[0] = 1;
  Object sum40 = callmethod(call39, "+", 1, partcv, params);
// compilenode returning sum40
  gc_frame_newslot(sum40);
  int callframe41 = gc_frame_new();
  partcv[0] = 0;
  Object call42 = callmethodflags(prelude, "PrimitiveArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe41);
// compilenode returning call42
  params[0] = sum40;
  partcv[0] = 1;
  Object call43 = callmethod(call42, "new",
    1, partcv, params);
  gc_frame_end(callframe34);
// compilenode returning call43
  *var_thisrow = call43;
  if (call43 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe44 = gc_frame_new();
  Object num46 = alloc_Float64(1);
// compilenode returning num46
  int op_slot_right_45 = gc_frame_newslot(num46);
  int callframe48 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call49 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe48);
// compilenode returning call49
// compilenode returning call49
  int op_slot_left_45 = gc_frame_newslot(call49);
  params[0] = num46;
  partcv[0] = 1;
  Object sum50 = callmethod(call49, "+", 1, partcv, params);
// compilenode returning sum50
  gc_frame_newslot(sum50);
  int callframe51 = gc_frame_new();
  partcv[0] = 0;
  Object call52 = callmethodflags(prelude, "PrimitiveArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe51);
// compilenode returning call52
  params[0] = sum50;
  partcv[0] = 1;
  Object call53 = callmethod(call52, "new",
    1, partcv, params);
  gc_frame_end(callframe44);
// compilenode returning call53
  *var_twoago = call53;
  if (call53 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe54 = gc_frame_new();
  Object num57 = alloc_Float64(1);
// compilenode returning num57
  int op_slot_right_56 = gc_frame_newslot(num57);
  int callframe59 = gc_frame_new();
// compilenode returning *var_oneago
  partcv[0] = 0;
  Object call60 = callmethod(*var_oneago, "size",
    1, partcv, params);
  gc_frame_end(callframe59);
// compilenode returning call60
// compilenode returning call60
  int op_slot_left_56 = gc_frame_newslot(call60);
  params[0] = num57;
  partcv[0] = 1;
  Object diff61 = callmethod(call60, "-", 1, partcv, params);
// compilenode returning diff61
  int op_slot_right_55 = gc_frame_newslot(diff61);
  Object num63 = alloc_Float64(0);
// compilenode returning num63
  int op_slot_left_55 = gc_frame_newslot(num63);
  params[0] = diff61;
  partcv[0] = 1;
  Object opresult64 = callmethod(num63, "..", 1, partcv, params);
// compilenode returning opresult64
  gc_frame_newslot(opresult64);
  Object block65 = alloc_Block(NULL, NULL, "errormessages", 310);
  gc_frame_newslot(block65);
  block_savedest(block65);
  Object closure66 = createclosure(3, "_apply");
  setclosureframe(closure66, stackframe);
  addtoclosure(closure66, var_oneago);
  addtoclosure(closure66, var_thisrow);
  addtoclosure(closure66, selfslot);
  struct UserObject *uo66 = (struct UserObject*)block65;
  uo66->data[0] = (Object)closure66;
  Method *meth_meth_errormessages__apply66 = addmethod2pos(block65, "_apply", &meth_errormessages__apply66, 0);
int argcv_meth_errormessages__apply66[] = {1};
meth_meth_errormessages__apply66->type = alloc_MethodType(1, argcv_meth_errormessages__apply66);
  meth_meth_errormessages__apply66->definitionModule = modulename;
  meth_meth_errormessages__apply66->definitionLine = 310;
// compilenode returning block65
  gc_frame_newslot(block65);
  params[0] = opresult64;
  params[1] = block65;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call73 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe54);
// compilenode returning call73
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe74 = gc_frame_new();
  int callframe76 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call77 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe76);
// compilenode returning call77
// compilenode returning call77
  int op_slot_right_75 = gc_frame_newslot(call77);
  Object num79 = alloc_Float64(1);
// compilenode returning num79
  int op_slot_left_75 = gc_frame_newslot(num79);
  params[0] = call77;
  partcv[0] = 1;
  Object opresult80 = callmethod(num79, "..", 1, partcv, params);
// compilenode returning opresult80
  gc_frame_newslot(opresult80);
  Object block81 = alloc_Block(NULL, NULL, "errormessages", 315);
  gc_frame_newslot(block81);
  block_savedest(block81);
  Object closure82 = createclosure(6, "_apply");
  setclosureframe(closure82, stackframe);
  addtoclosure(closure82, var_thisrow);
  addtoclosure(closure82, var_t);
  addtoclosure(closure82, var_oneago);
  addtoclosure(closure82, var_s);
  addtoclosure(closure82, var_twoago);
  addtoclosure(closure82, selfslot);
  struct UserObject *uo82 = (struct UserObject*)block81;
  uo82->data[0] = (Object)closure82;
  Method *meth_meth_errormessages__apply82 = addmethod2pos(block81, "_apply", &meth_errormessages__apply82, 0);
int argcv_meth_errormessages__apply82[] = {1};
meth_meth_errormessages__apply82->type = alloc_MethodType(1, argcv_meth_errormessages__apply82);
  meth_meth_errormessages__apply82->definitionModule = modulename;
  meth_meth_errormessages__apply82->definitionLine = 315;
// compilenode returning block81
  gc_frame_newslot(block81);
  params[0] = opresult80;
  params[1] = block81;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call215 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe74);
// compilenode returning call215
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_thisrow
  int callframe216 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call217 = callmethod(*var_t, "size",
    1, partcv, params);
  gc_frame_end(callframe216);
// compilenode returning call217
// compilenode returning call217
  params[0] = call217;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres218 = callmethod(*var_thisrow, "[]", 1, partcv, params);
// compilenode returning idxres218
  gc_frame_end(frame);
  return idxres218;
}
Object meth_errormessages__apply231(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_m = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_m
  int op_slot_right_233 = gc_frame_newslot(*var_m);
// compilenode returning *var_i
  int op_slot_left_233 = gc_frame_newslot(*var_i);
  params[0] = *var_m;
  partcv[0] = 1;
  Object opresult235 = callmethod(*var_i, "<", 1, partcv, params);
// compilenode returning opresult235
  Object if232 = done;
  if (istrue(opresult235)) {
// compilenode returning *var_i
  *var_m = *var_i;
  if (*var_i == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if232 = done;
  } else {
  }
// compilenode returning if232
  gc_frame_end(frame);
  return if232;
}
Object meth_errormessages_min219(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "min");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for min (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_n = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_n, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_n = &(stackframe->slots[0]);
  *var_n = var_init_n;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_m = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "m");
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num222 = alloc_Float64(0);
// compilenode returning num222
  int op_slot_right_221 = gc_frame_newslot(num222);
  int callframe224 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call225 = callmethod(*var_n, "size",
    1, partcv, params);
  gc_frame_end(callframe224);
// compilenode returning call225
// compilenode returning call225
  int op_slot_left_221 = gc_frame_newslot(call225);
  params[0] = num222;
  partcv[0] = 1;
  Object opresult226 = callmethod(call225, ">", 1, partcv, params);
// compilenode returning opresult226
  Object if220 = done;
  if (istrue(opresult226)) {
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  Object num227 = alloc_Float64(1);
// compilenode returning num227
  params[0] = num227;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres228 = callmethod(*var_n, "[]", 1, partcv, params);
// compilenode returning idxres228
  *var_m = idxres228;
  if (idxres228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe229 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
  Object block230 = alloc_Block(NULL, NULL, "errormessages", 341);
  gc_frame_newslot(block230);
  block_savedest(block230);
  Object closure231 = createclosure(2, "_apply");
  setclosureframe(closure231, stackframe);
  addtoclosure(closure231, var_m);
  addtoclosure(closure231, selfslot);
  struct UserObject *uo231 = (struct UserObject*)block230;
  uo231->data[0] = (Object)closure231;
  Method *meth_meth_errormessages__apply231 = addmethod2pos(block230, "_apply", &meth_errormessages__apply231, 0);
int argcv_meth_errormessages__apply231[] = {1};
meth_meth_errormessages__apply231->type = alloc_MethodType(1, argcv_meth_errormessages__apply231);
  meth_meth_errormessages__apply231->definitionModule = modulename;
  meth_meth_errormessages__apply231->definitionLine = 339;
// compilenode returning block230
  gc_frame_newslot(block230);
  params[0] = *var_n;
  params[1] = block230;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call238 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe229);
// compilenode returning call238
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_m
    gc_frame_newslot(*var_m);
    if220 = *var_m;
  } else {
  }
// compilenode returning if220
  gc_frame_end(frame);
  return if220;
}
Object meth_errormessages_syntaxError_40__41_atRange239(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atRange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atRange");
  if (nparts > 0 && argcv[1] < 3)
    gracedie("insufficient arguments to method syntaxError()atRange");
  Object params[5];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for syntaxError()atRange (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_startpos = &(stackframe->slots[2]);
  *var_startpos = args[curarg];
  curarg++;
  Object *var_endpos = &(stackframe->slots[3]);
  *var_endpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 3)
    gracedie("wrong number of arguments for atRange");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe240 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_startpos
  gc_frame_newslot(*var_startpos);
// compilenode returning *var_endpos
  gc_frame_newslot(*var_endpos);
  Object array241 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array241
  gc_frame_newslot(array241);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_startpos;
  params[3] = *var_endpos;
  params[4] = array241;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call242 = callmethodflags(self, "syntaxError()atRange()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe240);
// compilenode returning call242
  gc_frame_end(frame);
  return call242;
}
Object meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion243(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atRange()withSuggestion");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atRange()withSuggestion");
  if (nparts > 0 && argcv[1] < 3)
    gracedie("insufficient arguments to method syntaxError()atRange()withSuggestion");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method syntaxError()atRange()withSuggestion");
  Object params[5];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atRange()withSuggestion (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_startpos = &(stackframe->slots[2]);
  *var_startpos = args[curarg];
  curarg++;
  Object *var_endpos = &(stackframe->slots[3]);
  *var_endpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 3)
    gracedie("wrong number of arguments for atRange");
  Object *var_suggestion_39_ = &(stackframe->slots[4]);
  *var_suggestion_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestion");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe244 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_startpos
  gc_frame_newslot(*var_startpos);
// compilenode returning *var_endpos
  gc_frame_newslot(*var_endpos);
  Object array245 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion_39_
  params[0] = *var_suggestion_39_;
  partcv[0] = 1;
  callmethod(array245, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array245
  gc_frame_newslot(array245);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_startpos;
  params[3] = *var_endpos;
  params[4] = array245;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call246 = callmethodflags(self, "syntaxError()atRange()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe244);
// compilenode returning call246
  gc_frame_end(frame);
  return call246;
}
Object meth_errormessages__apply283(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___0 = &(stackframe->slots[0]);
  *var___0 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit285 == NULL) {
    strlit285 = alloc_String("-");
    gc_root(strlit285);
  }
// compilenode returning strlit285
  int op_slot_right_284 = gc_frame_newslot(strlit285);
// compilenode returning *var_arr
  int op_slot_left_284 = gc_frame_newslot(*var_arr);
  params[0] = strlit285;
  partcv[0] = 1;
  Object opresult287 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult287
  *var_arr = opresult287;
  if (opresult287 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply296(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___1 = &(stackframe->slots[0]);
  *var___1 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit298 == NULL) {
    strlit298 = alloc_String("^");
    gc_root(strlit298);
  }
// compilenode returning strlit298
  int op_slot_right_297 = gc_frame_newslot(strlit298);
// compilenode returning *var_arr
  int op_slot_left_297 = gc_frame_newslot(*var_arr);
  params[0] = strlit298;
  partcv[0] = 1;
  Object opresult300 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult300
  *var_arr = opresult300;
  if (opresult300 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions247(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "syntaxError()atRange()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atRange()withSuggestions");
  if (nparts > 0 && argcv[1] < 3)
    gracedie("insufficient arguments to method syntaxError()atRange()withSuggestions");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method syntaxError()atRange()withSuggestions");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atRange()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_startpos = &(stackframe->slots[2]);
  *var_startpos = args[curarg];
  curarg++;
  Object *var_endpos = &(stackframe->slots[3]);
  *var_endpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 3)
    gracedie("wrong number of arguments for atRange");
  Object *var_suggestions = &(stackframe->slots[4]);
  *var_suggestions = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_loc = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "loc");
  Object *var_arr = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "arr");
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_endpos
  int op_slot_right_249 = gc_frame_newslot(*var_endpos);
// compilenode returning *var_startpos
  int op_slot_left_249 = gc_frame_newslot(*var_startpos);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult251 = callmethod(*var_startpos, "==", 1, partcv, params);
// compilenode returning opresult251
  Object if248 = done;
struct StackFrameObject *iftmpstackframe248 = stackframe;
  if (istrue(opresult251)) {
stackframe = alloc_StackFrame(0, iftmpstackframe248);
gc_frame_newslot((Object)stackframe);
  int callframe252 = gc_frame_new();
// compilenode returning *var_startpos
  partcv[0] = 0;
  Object call253 = callmethod(*var_startpos, "asString",
    1, partcv, params);
  gc_frame_end(callframe252);
// compilenode returning call253
// compilenode returning call253
    gc_frame_newslot(call253);
    if248 = call253;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe248);
gc_frame_newslot((Object)stackframe);
  if (strlit255 == NULL) {
    strlit255 = alloc_String("");
    gc_root(strlit255);
  }
// compilenode returning strlit255
  int op_slot_right_254 = gc_frame_newslot(strlit255);
// compilenode returning *var_endpos
  int op_slot_right_257 = gc_frame_newslot(*var_endpos);
  if (strlit260 == NULL) {
    strlit260 = alloc_String("-");
    gc_root(strlit260);
  }
// compilenode returning strlit260
  int op_slot_right_259 = gc_frame_newslot(strlit260);
// compilenode returning *var_startpos
  int op_slot_right_262 = gc_frame_newslot(*var_startpos);
  if (strlit264 == NULL) {
    strlit264 = alloc_String("");
    gc_root(strlit264);
  }
// compilenode returning strlit264
  int op_slot_left_262 = gc_frame_newslot(strlit264);
  params[0] = *var_startpos;
  partcv[0] = 1;
  Object opresult265 = callmethod(strlit264, "++", 1, partcv, params);
// compilenode returning opresult265
  int op_slot_left_259 = gc_frame_newslot(opresult265);
  params[0] = strlit260;
  partcv[0] = 1;
  Object opresult266 = callmethod(opresult265, "++", 1, partcv, params);
// compilenode returning opresult266
  int op_slot_left_257 = gc_frame_newslot(opresult266);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult267 = callmethod(opresult266, "++", 1, partcv, params);
// compilenode returning opresult267
  int op_slot_left_254 = gc_frame_newslot(opresult267);
  params[0] = strlit255;
  partcv[0] = 1;
  Object opresult268 = callmethod(opresult267, "++", 1, partcv, params);
// compilenode returning opresult268
    gc_frame_newslot(opresult268);
    if248 = opresult268;
  }
stackframe = iftmpstackframe248;
// compilenode returning if248
  *var_loc = if248;
  if (if248 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit269 == NULL) {
    strlit269 = alloc_String("----");
    gc_root(strlit269);
  }
// compilenode returning strlit269
  *var_arr = strlit269;
  if (strlit269 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe270 = gc_frame_new();
  int callframe273 = gc_frame_new();
  int callframe274 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call275 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe274);
// compilenode returning call275
// compilenode returning call275
  partcv[0] = 0;
  Object call276 = callmethod(call275, "size",
    1, partcv, params);
  gc_frame_end(callframe273);
// compilenode returning call276
// compilenode returning call276
  int op_slot_right_272 = gc_frame_newslot(call276);
// compilenode returning *var_startpos
  int op_slot_left_272 = gc_frame_newslot(*var_startpos);
  params[0] = call276;
  partcv[0] = 1;
  Object sum278 = callmethod(*var_startpos, "+", 1, partcv, params);
// compilenode returning sum278
  int op_slot_right_271 = gc_frame_newslot(sum278);
  Object num280 = alloc_Float64(2);
// compilenode returning num280
  int op_slot_left_271 = gc_frame_newslot(num280);
  params[0] = sum278;
  partcv[0] = 1;
  Object opresult281 = callmethod(num280, "..", 1, partcv, params);
// compilenode returning opresult281
  gc_frame_newslot(opresult281);
  Object block282 = alloc_Block(NULL, NULL, "errormessages", 360);
  gc_frame_newslot(block282);
  block_savedest(block282);
  Object closure283 = createclosure(2, "_apply");
  setclosureframe(closure283, stackframe);
  addtoclosure(closure283, var_arr);
  addtoclosure(closure283, selfslot);
  struct UserObject *uo283 = (struct UserObject*)block282;
  uo283->data[0] = (Object)closure283;
  Method *meth_meth_errormessages__apply283 = addmethod2pos(block282, "_apply", &meth_errormessages__apply283, 0);
int argcv_meth_errormessages__apply283[] = {1};
meth_meth_errormessages__apply283->type = alloc_MethodType(1, argcv_meth_errormessages__apply283);
  meth_meth_errormessages__apply283->definitionModule = modulename;
  meth_meth_errormessages__apply283->definitionLine = 360;
// compilenode returning block282
  gc_frame_newslot(block282);
  params[0] = opresult281;
  params[1] = block282;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call290 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe270);
// compilenode returning call290
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe291 = gc_frame_new();
// compilenode returning *var_endpos
  int op_slot_right_292 = gc_frame_newslot(*var_endpos);
// compilenode returning *var_startpos
  int op_slot_left_292 = gc_frame_newslot(*var_startpos);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult294 = callmethod(*var_startpos, "..", 1, partcv, params);
// compilenode returning opresult294
  gc_frame_newslot(opresult294);
  Object block295 = alloc_Block(NULL, NULL, "errormessages", 363);
  gc_frame_newslot(block295);
  block_savedest(block295);
  Object closure296 = createclosure(2, "_apply");
  setclosureframe(closure296, stackframe);
  addtoclosure(closure296, var_arr);
  addtoclosure(closure296, selfslot);
  struct UserObject *uo296 = (struct UserObject*)block295;
  uo296->data[0] = (Object)closure296;
  Method *meth_meth_errormessages__apply296 = addmethod2pos(block295, "_apply", &meth_errormessages__apply296, 0);
int argcv_meth_errormessages__apply296[] = {1};
meth_meth_errormessages__apply296->type = alloc_MethodType(1, argcv_meth_errormessages__apply296);
  meth_meth_errormessages__apply296->definitionModule = modulename;
  meth_meth_errormessages__apply296->definitionLine = 360;
// compilenode returning block295
  gc_frame_newslot(block295);
  params[0] = opresult294;
  params[1] = block295;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call303 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe291);
// compilenode returning call303
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe304 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit306 == NULL) {
    strlit306 = alloc_String("");
    gc_root(strlit306);
  }
// compilenode returning strlit306
  int op_slot_right_305 = gc_frame_newslot(strlit306);
// compilenode returning *var_loc
  int op_slot_right_308 = gc_frame_newslot(*var_loc);
  if (strlit310 == NULL) {
    strlit310 = alloc_String(":");
    gc_root(strlit310);
  }
// compilenode returning strlit310
  int op_slot_left_308 = gc_frame_newslot(strlit310);
  params[0] = *var_loc;
  partcv[0] = 1;
  Object opresult311 = callmethod(strlit310, "++", 1, partcv, params);
// compilenode returning opresult311
  int op_slot_left_305 = gc_frame_newslot(opresult311);
  params[0] = strlit306;
  partcv[0] = 1;
  Object opresult312 = callmethod(opresult311, "++", 1, partcv, params);
// compilenode returning opresult312
  gc_frame_newslot(opresult312);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
  Object bool313 = alloc_Boolean(0);
// compilenode returning bool313
  gc_frame_newslot(bool313);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = opresult312;
  params[3] = *var_arr;
  params[4] = bool313;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call314 = callmethod(*var_util, "syntaxError",
    1, partcv, params);
  gc_frame_end(callframe304);
// compilenode returning call314
  gc_frame_end(frame);
  return call314;
}
Object meth_errormessages__apply351(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___2 = &(stackframe->slots[0]);
  *var___2 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit353 == NULL) {
    strlit353 = alloc_String("-");
    gc_root(strlit353);
  }
// compilenode returning strlit353
  int op_slot_right_352 = gc_frame_newslot(strlit353);
// compilenode returning *var_arr
  int op_slot_left_352 = gc_frame_newslot(*var_arr);
  params[0] = strlit353;
  partcv[0] = 1;
  Object opresult355 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult355
  *var_arr = opresult355;
  if (opresult355 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply364(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___3 = &(stackframe->slots[0]);
  *var___3 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit366 == NULL) {
    strlit366 = alloc_String("^");
    gc_root(strlit366);
  }
// compilenode returning strlit366
  int op_slot_right_365 = gc_frame_newslot(strlit366);
// compilenode returning *var_arr
  int op_slot_left_365 = gc_frame_newslot(*var_arr);
  params[0] = strlit366;
  partcv[0] = 1;
  Object opresult368 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult368
  *var_arr = opresult368;
  if (opresult368 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_error_40__41_atRange_40__41_withSuggestions315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "error()atRange()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method error()atRange()withSuggestions");
  if (nparts > 0 && argcv[1] < 3)
    gracedie("insufficient arguments to method error()atRange()withSuggestions");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method error()atRange()withSuggestions");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for error()atRange()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_startpos = &(stackframe->slots[2]);
  *var_startpos = args[curarg];
  curarg++;
  Object *var_endpos = &(stackframe->slots[3]);
  *var_endpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 3)
    gracedie("wrong number of arguments for atRange");
  Object *var_suggestions = &(stackframe->slots[4]);
  *var_suggestions = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_loc = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "loc");
  Object *var_arr = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "arr");
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_endpos
  int op_slot_right_317 = gc_frame_newslot(*var_endpos);
// compilenode returning *var_startpos
  int op_slot_left_317 = gc_frame_newslot(*var_startpos);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult319 = callmethod(*var_startpos, "==", 1, partcv, params);
// compilenode returning opresult319
  Object if316 = done;
struct StackFrameObject *iftmpstackframe316 = stackframe;
  if (istrue(opresult319)) {
stackframe = alloc_StackFrame(0, iftmpstackframe316);
gc_frame_newslot((Object)stackframe);
  int callframe320 = gc_frame_new();
// compilenode returning *var_startpos
  partcv[0] = 0;
  Object call321 = callmethod(*var_startpos, "asString",
    1, partcv, params);
  gc_frame_end(callframe320);
// compilenode returning call321
// compilenode returning call321
    gc_frame_newslot(call321);
    if316 = call321;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe316);
gc_frame_newslot((Object)stackframe);
  if (strlit323 == NULL) {
    strlit323 = alloc_String("");
    gc_root(strlit323);
  }
// compilenode returning strlit323
  int op_slot_right_322 = gc_frame_newslot(strlit323);
// compilenode returning *var_endpos
  int op_slot_right_325 = gc_frame_newslot(*var_endpos);
  if (strlit328 == NULL) {
    strlit328 = alloc_String("-");
    gc_root(strlit328);
  }
// compilenode returning strlit328
  int op_slot_right_327 = gc_frame_newslot(strlit328);
// compilenode returning *var_startpos
  int op_slot_right_330 = gc_frame_newslot(*var_startpos);
  if (strlit332 == NULL) {
    strlit332 = alloc_String("");
    gc_root(strlit332);
  }
// compilenode returning strlit332
  int op_slot_left_330 = gc_frame_newslot(strlit332);
  params[0] = *var_startpos;
  partcv[0] = 1;
  Object opresult333 = callmethod(strlit332, "++", 1, partcv, params);
// compilenode returning opresult333
  int op_slot_left_327 = gc_frame_newslot(opresult333);
  params[0] = strlit328;
  partcv[0] = 1;
  Object opresult334 = callmethod(opresult333, "++", 1, partcv, params);
// compilenode returning opresult334
  int op_slot_left_325 = gc_frame_newslot(opresult334);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult335 = callmethod(opresult334, "++", 1, partcv, params);
// compilenode returning opresult335
  int op_slot_left_322 = gc_frame_newslot(opresult335);
  params[0] = strlit323;
  partcv[0] = 1;
  Object opresult336 = callmethod(opresult335, "++", 1, partcv, params);
// compilenode returning opresult336
    gc_frame_newslot(opresult336);
    if316 = opresult336;
  }
stackframe = iftmpstackframe316;
// compilenode returning if316
  *var_loc = if316;
  if (if316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit337 == NULL) {
    strlit337 = alloc_String("----");
    gc_root(strlit337);
  }
// compilenode returning strlit337
  *var_arr = strlit337;
  if (strlit337 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe338 = gc_frame_new();
  int callframe341 = gc_frame_new();
  int callframe342 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call343 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe342);
// compilenode returning call343
// compilenode returning call343
  partcv[0] = 0;
  Object call344 = callmethod(call343, "size",
    1, partcv, params);
  gc_frame_end(callframe341);
// compilenode returning call344
// compilenode returning call344
  int op_slot_right_340 = gc_frame_newslot(call344);
// compilenode returning *var_startpos
  int op_slot_left_340 = gc_frame_newslot(*var_startpos);
  params[0] = call344;
  partcv[0] = 1;
  Object sum346 = callmethod(*var_startpos, "+", 1, partcv, params);
// compilenode returning sum346
  int op_slot_right_339 = gc_frame_newslot(sum346);
  Object num348 = alloc_Float64(2);
// compilenode returning num348
  int op_slot_left_339 = gc_frame_newslot(num348);
  params[0] = sum346;
  partcv[0] = 1;
  Object opresult349 = callmethod(num348, "..", 1, partcv, params);
// compilenode returning opresult349
  gc_frame_newslot(opresult349);
  Object block350 = alloc_Block(NULL, NULL, "errormessages", 372);
  gc_frame_newslot(block350);
  block_savedest(block350);
  Object closure351 = createclosure(2, "_apply");
  setclosureframe(closure351, stackframe);
  addtoclosure(closure351, var_arr);
  addtoclosure(closure351, selfslot);
  struct UserObject *uo351 = (struct UserObject*)block350;
  uo351->data[0] = (Object)closure351;
  Method *meth_meth_errormessages__apply351 = addmethod2pos(block350, "_apply", &meth_errormessages__apply351, 0);
int argcv_meth_errormessages__apply351[] = {1};
meth_meth_errormessages__apply351->type = alloc_MethodType(1, argcv_meth_errormessages__apply351);
  meth_meth_errormessages__apply351->definitionModule = modulename;
  meth_meth_errormessages__apply351->definitionLine = 372;
// compilenode returning block350
  gc_frame_newslot(block350);
  params[0] = opresult349;
  params[1] = block350;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call358 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe338);
// compilenode returning call358
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe359 = gc_frame_new();
// compilenode returning *var_endpos
  int op_slot_right_360 = gc_frame_newslot(*var_endpos);
// compilenode returning *var_startpos
  int op_slot_left_360 = gc_frame_newslot(*var_startpos);
  params[0] = *var_endpos;
  partcv[0] = 1;
  Object opresult362 = callmethod(*var_startpos, "..", 1, partcv, params);
// compilenode returning opresult362
  gc_frame_newslot(opresult362);
  Object block363 = alloc_Block(NULL, NULL, "errormessages", 375);
  gc_frame_newslot(block363);
  block_savedest(block363);
  Object closure364 = createclosure(2, "_apply");
  setclosureframe(closure364, stackframe);
  addtoclosure(closure364, var_arr);
  addtoclosure(closure364, selfslot);
  struct UserObject *uo364 = (struct UserObject*)block363;
  uo364->data[0] = (Object)closure364;
  Method *meth_meth_errormessages__apply364 = addmethod2pos(block363, "_apply", &meth_errormessages__apply364, 0);
int argcv_meth_errormessages__apply364[] = {1};
meth_meth_errormessages__apply364->type = alloc_MethodType(1, argcv_meth_errormessages__apply364);
  meth_meth_errormessages__apply364->definitionModule = modulename;
  meth_meth_errormessages__apply364->definitionLine = 372;
// compilenode returning block363
  gc_frame_newslot(block363);
  params[0] = opresult362;
  params[1] = block363;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call371 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe359);
// compilenode returning call371
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe372 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit374 == NULL) {
    strlit374 = alloc_String("");
    gc_root(strlit374);
  }
// compilenode returning strlit374
  int op_slot_right_373 = gc_frame_newslot(strlit374);
// compilenode returning *var_loc
  int op_slot_right_376 = gc_frame_newslot(*var_loc);
  if (strlit378 == NULL) {
    strlit378 = alloc_String(":");
    gc_root(strlit378);
  }
// compilenode returning strlit378
  int op_slot_left_376 = gc_frame_newslot(strlit378);
  params[0] = *var_loc;
  partcv[0] = 1;
  Object opresult379 = callmethod(strlit378, "++", 1, partcv, params);
// compilenode returning opresult379
  int op_slot_left_373 = gc_frame_newslot(opresult379);
  params[0] = strlit374;
  partcv[0] = 1;
  Object opresult380 = callmethod(opresult379, "++", 1, partcv, params);
// compilenode returning opresult380
  gc_frame_newslot(opresult380);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
  Object bool381 = alloc_Boolean(0);
// compilenode returning bool381
  gc_frame_newslot(bool381);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = opresult380;
  params[3] = *var_arr;
  params[4] = bool381;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call382 = callmethod(*var_util, "generalError",
    1, partcv, params);
  gc_frame_end(callframe372);
// compilenode returning call382
  gc_frame_end(frame);
  return call382;
}
Object meth_errormessages_syntaxError_40__41_atPosition383(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atPosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atPosition");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method syntaxError()atPosition");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for syntaxError()atPosition (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 2)
    gracedie("wrong number of arguments for atPosition");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe384 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
  Object array385 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array385
  gc_frame_newslot(array385);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_errpos;
  params[3] = array385;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call386 = callmethodflags(self, "syntaxError()atPosition()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe384);
// compilenode returning call386
  gc_frame_end(frame);
  return call386;
}
Object meth_errormessages_error_40__41_atPosition387(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "error()atPosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method error()atPosition");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method error()atPosition");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for error()atPosition (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 2)
    gracedie("wrong number of arguments for atPosition");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe388 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
  Object array389 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array389
  gc_frame_newslot(array389);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_errpos;
  params[3] = array389;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call390 = callmethodflags(self, "error()atPosition()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe388);
// compilenode returning call390
  gc_frame_end(frame);
  return call390;
}
Object meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion391(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atPosition()withSuggestion");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atPosition()withSuggestion");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method syntaxError()atPosition()withSuggestion");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method syntaxError()atPosition()withSuggestion");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atPosition()withSuggestion (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 2)
    gracedie("wrong number of arguments for atPosition");
  Object *var_suggestion_39_ = &(stackframe->slots[3]);
  *var_suggestion_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestion");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe392 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
  Object array393 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion_39_
  params[0] = *var_suggestion_39_;
  partcv[0] = 1;
  callmethod(array393, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array393
  gc_frame_newslot(array393);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = *var_errpos;
  params[3] = array393;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call394 = callmethodflags(self, "syntaxError()atPosition()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe392);
// compilenode returning call394
  gc_frame_end(frame);
  return call394;
}
Object meth_errormessages__apply410(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___4 = &(stackframe->slots[0]);
  *var___4 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit412 == NULL) {
    strlit412 = alloc_String("-");
    gc_root(strlit412);
  }
// compilenode returning strlit412
  int op_slot_right_411 = gc_frame_newslot(strlit412);
// compilenode returning *var_arr
  int op_slot_left_411 = gc_frame_newslot(*var_arr);
  params[0] = strlit412;
  partcv[0] = 1;
  Object opresult414 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult414
  *var_arr = opresult414;
  if (opresult414 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions395(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "syntaxError()atPosition()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atPosition()withSuggestions");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method syntaxError()atPosition()withSuggestions");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method syntaxError()atPosition()withSuggestions");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atPosition()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 2)
    gracedie("wrong number of arguments for atPosition");
  Object *var_suggestions = &(stackframe->slots[3]);
  *var_suggestions = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "arr");
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit396 == NULL) {
    strlit396 = alloc_String("----");
    gc_root(strlit396);
  }
// compilenode returning strlit396
  *var_arr = strlit396;
  if (strlit396 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe397 = gc_frame_new();
  int callframe400 = gc_frame_new();
  int callframe401 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call402 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe401);
// compilenode returning call402
// compilenode returning call402
  partcv[0] = 0;
  Object call403 = callmethod(call402, "size",
    1, partcv, params);
  gc_frame_end(callframe400);
// compilenode returning call403
// compilenode returning call403
  int op_slot_right_399 = gc_frame_newslot(call403);
// compilenode returning *var_errpos
  int op_slot_left_399 = gc_frame_newslot(*var_errpos);
  params[0] = call403;
  partcv[0] = 1;
  Object sum405 = callmethod(*var_errpos, "+", 1, partcv, params);
// compilenode returning sum405
  int op_slot_right_398 = gc_frame_newslot(sum405);
  Object num407 = alloc_Float64(2);
// compilenode returning num407
  int op_slot_left_398 = gc_frame_newslot(num407);
  params[0] = sum405;
  partcv[0] = 1;
  Object opresult408 = callmethod(num407, "..", 1, partcv, params);
// compilenode returning opresult408
  gc_frame_newslot(opresult408);
  Object block409 = alloc_Block(NULL, NULL, "errormessages", 395);
  gc_frame_newslot(block409);
  block_savedest(block409);
  Object closure410 = createclosure(2, "_apply");
  setclosureframe(closure410, stackframe);
  addtoclosure(closure410, var_arr);
  addtoclosure(closure410, selfslot);
  struct UserObject *uo410 = (struct UserObject*)block409;
  uo410->data[0] = (Object)closure410;
  Method *meth_meth_errormessages__apply410 = addmethod2pos(block409, "_apply", &meth_errormessages__apply410, 0);
int argcv_meth_errormessages__apply410[] = {1};
meth_meth_errormessages__apply410->type = alloc_MethodType(1, argcv_meth_errormessages__apply410);
  meth_meth_errormessages__apply410->definitionModule = modulename;
  meth_meth_errormessages__apply410->definitionLine = 395;
// compilenode returning block409
  gc_frame_newslot(block409);
  params[0] = opresult408;
  params[1] = block409;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call417 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe397);
// compilenode returning call417
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit419 == NULL) {
    strlit419 = alloc_String("^");
    gc_root(strlit419);
  }
// compilenode returning strlit419
  int op_slot_right_418 = gc_frame_newslot(strlit419);
// compilenode returning *var_arr
  int op_slot_left_418 = gc_frame_newslot(*var_arr);
  params[0] = strlit419;
  partcv[0] = 1;
  Object opresult421 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult421
  *var_arr = opresult421;
  if (opresult421 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe423 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit425 == NULL) {
    strlit425 = alloc_String(")");
    gc_root(strlit425);
  }
// compilenode returning strlit425
  int op_slot_right_424 = gc_frame_newslot(strlit425);
// compilenode returning *var_errpos
  int op_slot_right_427 = gc_frame_newslot(*var_errpos);
  if (strlit429 == NULL) {
    strlit429 = alloc_String(":(");
    gc_root(strlit429);
  }
// compilenode returning strlit429
  int op_slot_left_427 = gc_frame_newslot(strlit429);
  params[0] = *var_errpos;
  partcv[0] = 1;
  Object opresult430 = callmethod(strlit429, "++", 1, partcv, params);
// compilenode returning opresult430
  int op_slot_left_424 = gc_frame_newslot(opresult430);
  params[0] = strlit425;
  partcv[0] = 1;
  Object opresult431 = callmethod(opresult430, "++", 1, partcv, params);
// compilenode returning opresult431
  gc_frame_newslot(opresult431);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = opresult431;
  params[3] = *var_arr;
  params[4] = *var_errpos;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call432 = callmethod(*var_util, "syntaxError",
    1, partcv, params);
  gc_frame_end(callframe423);
// compilenode returning call432
  gc_frame_end(frame);
  return call432;
}
Object meth_errormessages__apply448(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___5 = &(stackframe->slots[0]);
  *var___5 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit450 == NULL) {
    strlit450 = alloc_String("-");
    gc_root(strlit450);
  }
// compilenode returning strlit450
  int op_slot_right_449 = gc_frame_newslot(strlit450);
// compilenode returning *var_arr
  int op_slot_left_449 = gc_frame_newslot(*var_arr);
  params[0] = strlit450;
  partcv[0] = 1;
  Object opresult452 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult452
  *var_arr = opresult452;
  if (opresult452 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_error_40__41_atPosition_40__41_withSuggestions433(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "error()atPosition()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method error()atPosition()withSuggestions");
  if (nparts > 0 && argcv[1] < 2)
    gracedie("insufficient arguments to method error()atPosition()withSuggestions");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method error()atPosition()withSuggestions");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for error()atPosition()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  Object *var_errpos = &(stackframe->slots[2]);
  *var_errpos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 2)
    gracedie("wrong number of arguments for atPosition");
  Object *var_suggestions = &(stackframe->slots[3]);
  *var_suggestions = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "arr");
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit434 == NULL) {
    strlit434 = alloc_String("----");
    gc_root(strlit434);
  }
// compilenode returning strlit434
  *var_arr = strlit434;
  if (strlit434 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe435 = gc_frame_new();
  int callframe438 = gc_frame_new();
  int callframe439 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call440 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe439);
// compilenode returning call440
// compilenode returning call440
  partcv[0] = 0;
  Object call441 = callmethod(call440, "size",
    1, partcv, params);
  gc_frame_end(callframe438);
// compilenode returning call441
// compilenode returning call441
  int op_slot_right_437 = gc_frame_newslot(call441);
// compilenode returning *var_errpos
  int op_slot_left_437 = gc_frame_newslot(*var_errpos);
  params[0] = call441;
  partcv[0] = 1;
  Object sum443 = callmethod(*var_errpos, "+", 1, partcv, params);
// compilenode returning sum443
  int op_slot_right_436 = gc_frame_newslot(sum443);
  Object num445 = alloc_Float64(2);
// compilenode returning num445
  int op_slot_left_436 = gc_frame_newslot(num445);
  params[0] = sum443;
  partcv[0] = 1;
  Object opresult446 = callmethod(num445, "..", 1, partcv, params);
// compilenode returning opresult446
  gc_frame_newslot(opresult446);
  Object block447 = alloc_Block(NULL, NULL, "errormessages", 405);
  gc_frame_newslot(block447);
  block_savedest(block447);
  Object closure448 = createclosure(2, "_apply");
  setclosureframe(closure448, stackframe);
  addtoclosure(closure448, var_arr);
  addtoclosure(closure448, selfslot);
  struct UserObject *uo448 = (struct UserObject*)block447;
  uo448->data[0] = (Object)closure448;
  Method *meth_meth_errormessages__apply448 = addmethod2pos(block447, "_apply", &meth_errormessages__apply448, 0);
int argcv_meth_errormessages__apply448[] = {1};
meth_meth_errormessages__apply448->type = alloc_MethodType(1, argcv_meth_errormessages__apply448);
  meth_meth_errormessages__apply448->definitionModule = modulename;
  meth_meth_errormessages__apply448->definitionLine = 405;
// compilenode returning block447
  gc_frame_newslot(block447);
  params[0] = opresult446;
  params[1] = block447;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call455 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe435);
// compilenode returning call455
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit457 == NULL) {
    strlit457 = alloc_String("^");
    gc_root(strlit457);
  }
// compilenode returning strlit457
  int op_slot_right_456 = gc_frame_newslot(strlit457);
// compilenode returning *var_arr
  int op_slot_left_456 = gc_frame_newslot(*var_arr);
  params[0] = strlit457;
  partcv[0] = 1;
  Object opresult459 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult459
  *var_arr = opresult459;
  if (opresult459 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe461 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit463 == NULL) {
    strlit463 = alloc_String(")");
    gc_root(strlit463);
  }
// compilenode returning strlit463
  int op_slot_right_462 = gc_frame_newslot(strlit463);
// compilenode returning *var_errpos
  int op_slot_right_465 = gc_frame_newslot(*var_errpos);
  if (strlit467 == NULL) {
    strlit467 = alloc_String(":(");
    gc_root(strlit467);
  }
// compilenode returning strlit467
  int op_slot_left_465 = gc_frame_newslot(strlit467);
  params[0] = *var_errpos;
  partcv[0] = 1;
  Object opresult468 = callmethod(strlit467, "++", 1, partcv, params);
// compilenode returning opresult468
  int op_slot_left_462 = gc_frame_newslot(opresult468);
  params[0] = strlit463;
  partcv[0] = 1;
  Object opresult469 = callmethod(opresult468, "++", 1, partcv, params);
// compilenode returning opresult469
  gc_frame_newslot(opresult469);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
// compilenode returning *var_errpos
  gc_frame_newslot(*var_errpos);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = opresult469;
  params[3] = *var_arr;
  params[4] = *var_errpos;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call470 = callmethod(*var_util, "generalError",
    1, partcv, params);
  gc_frame_end(callframe461);
// compilenode returning call470
  gc_frame_end(frame);
  return call470;
}
Object meth_errormessages__apply483(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___6 = &(stackframe->slots[0]);
  *var___6 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit485 == NULL) {
    strlit485 = alloc_String("-");
    gc_root(strlit485);
  }
// compilenode returning strlit485
  int op_slot_right_484 = gc_frame_newslot(strlit485);
// compilenode returning *var_arr
  int op_slot_left_484 = gc_frame_newslot(*var_arr);
  params[0] = strlit485;
  partcv[0] = 1;
  Object opresult487 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult487
  *var_arr = opresult487;
  if (opresult487 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply503(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___7 = &(stackframe->slots[0]);
  *var___7 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit505 == NULL) {
    strlit505 = alloc_String("^");
    gc_root(strlit505);
  }
// compilenode returning strlit505
  int op_slot_right_504 = gc_frame_newslot(strlit505);
// compilenode returning *var_arr
  int op_slot_left_504 = gc_frame_newslot(*var_arr);
  params[0] = strlit505;
  partcv[0] = 1;
  Object opresult507 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult507
  *var_arr = opresult507;
  if (opresult507 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_error_40__41_atLine_40__41_withSuggestions471(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "error()atLine()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method error()atLine()withSuggestions");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method error()atLine()withSuggestions");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method error()atLine()withSuggestions");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for error()atLine()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for atLine");
  Object *var_suggestions = &(stackframe->slots[2]);
  *var_suggestions = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arr = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arr");
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit472 == NULL) {
    strlit472 = alloc_String("----");
    gc_root(strlit472);
  }
// compilenode returning strlit472
  *var_arr = strlit472;
  if (strlit472 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe473 = gc_frame_new();
  int callframe475 = gc_frame_new();
  int callframe476 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call477 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe476);
// compilenode returning call477
// compilenode returning call477
  partcv[0] = 0;
  Object call478 = callmethod(call477, "size",
    1, partcv, params);
  gc_frame_end(callframe475);
// compilenode returning call478
// compilenode returning call478
  int op_slot_right_474 = gc_frame_newslot(call478);
  Object num480 = alloc_Float64(1);
// compilenode returning num480
  int op_slot_left_474 = gc_frame_newslot(num480);
  params[0] = call478;
  partcv[0] = 1;
  Object opresult481 = callmethod(num480, "..", 1, partcv, params);
// compilenode returning opresult481
  gc_frame_newslot(opresult481);
  Object block482 = alloc_Block(NULL, NULL, "errormessages", 414);
  gc_frame_newslot(block482);
  block_savedest(block482);
  Object closure483 = createclosure(2, "_apply");
  setclosureframe(closure483, stackframe);
  addtoclosure(closure483, var_arr);
  addtoclosure(closure483, selfslot);
  struct UserObject *uo483 = (struct UserObject*)block482;
  uo483->data[0] = (Object)closure483;
  Method *meth_meth_errormessages__apply483 = addmethod2pos(block482, "_apply", &meth_errormessages__apply483, 0);
int argcv_meth_errormessages__apply483[] = {1};
meth_meth_errormessages__apply483->type = alloc_MethodType(1, argcv_meth_errormessages__apply483);
  meth_meth_errormessages__apply483->definitionModule = modulename;
  meth_meth_errormessages__apply483->definitionLine = 414;
// compilenode returning block482
  gc_frame_newslot(block482);
  params[0] = opresult481;
  params[1] = block482;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call490 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe473);
// compilenode returning call490
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe491 = gc_frame_new();
  int callframe493 = gc_frame_new();
  int callframe494 = gc_frame_new();
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  int callframe495 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call496 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe495);
// compilenode returning call496
// compilenode returning call496
  params[0] = *var_errlinenum;
  partcv[0] = 1;
  Object call497 = callmethod(call496, "at",
    1, partcv, params);
  gc_frame_end(callframe494);
// compilenode returning call497
  partcv[0] = 0;
  Object call498 = callmethod(call497, "size",
    1, partcv, params);
  gc_frame_end(callframe493);
// compilenode returning call498
// compilenode returning call498
  int op_slot_right_492 = gc_frame_newslot(call498);
  Object num500 = alloc_Float64(1);
// compilenode returning num500
  int op_slot_left_492 = gc_frame_newslot(num500);
  params[0] = call498;
  partcv[0] = 1;
  Object opresult501 = callmethod(num500, "..", 1, partcv, params);
// compilenode returning opresult501
  gc_frame_newslot(opresult501);
  Object block502 = alloc_Block(NULL, NULL, "errormessages", 417);
  gc_frame_newslot(block502);
  block_savedest(block502);
  Object closure503 = createclosure(2, "_apply");
  setclosureframe(closure503, stackframe);
  addtoclosure(closure503, var_arr);
  addtoclosure(closure503, selfslot);
  struct UserObject *uo503 = (struct UserObject*)block502;
  uo503->data[0] = (Object)closure503;
  Method *meth_meth_errormessages__apply503 = addmethod2pos(block502, "_apply", &meth_errormessages__apply503, 0);
int argcv_meth_errormessages__apply503[] = {1};
meth_meth_errormessages__apply503->type = alloc_MethodType(1, argcv_meth_errormessages__apply503);
  meth_meth_errormessages__apply503->definitionModule = modulename;
  meth_meth_errormessages__apply503->definitionLine = 417;
// compilenode returning block502
  gc_frame_newslot(block502);
  params[0] = opresult501;
  params[1] = block502;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call510 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe491);
// compilenode returning call510
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe511 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit512 == NULL) {
    strlit512 = alloc_String("");
    gc_root(strlit512);
  }
// compilenode returning strlit512
  gc_frame_newslot(strlit512);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
  Object bool513 = alloc_Boolean(0);
// compilenode returning bool513
  gc_frame_newslot(bool513);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = strlit512;
  params[3] = *var_arr;
  params[4] = bool513;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call514 = callmethod(*var_util, "generalError",
    1, partcv, params);
  gc_frame_end(callframe511);
// compilenode returning call514
  gc_frame_end(frame);
  return call514;
}
Object meth_errormessages_error_40__41_atLine515(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "error()atLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method error()atLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method error()atLine");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for error()atLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for error");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for atLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe516 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  Object array517 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array517
  gc_frame_newslot(array517);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = array517;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call518 = callmethodflags(self, "error()atLine()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe516);
// compilenode returning call518
  gc_frame_end(frame);
  return call518;
}
Object meth_errormessages_syntaxError_40__41_atLine519(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method syntaxError()atLine");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for syntaxError()atLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for atLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe520 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  Object array521 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array521
  gc_frame_newslot(array521);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = array521;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call522 = callmethodflags(self, "syntaxError()atLine()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe520);
// compilenode returning call522
  gc_frame_end(frame);
  return call522;
}
Object meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion523(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "syntaxError()atLine()withSuggestion");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atLine()withSuggestion");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method syntaxError()atLine()withSuggestion");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method syntaxError()atLine()withSuggestion");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atLine()withSuggestion (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for atLine");
  Object *var_suggestion_39_ = &(stackframe->slots[2]);
  *var_suggestion_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestion");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe524 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  Object array525 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion_39_
  params[0] = *var_suggestion_39_;
  partcv[0] = 1;
  callmethod(array525, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array525
  gc_frame_newslot(array525);
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = array525;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call526 = callmethodflags(self, "syntaxError()atLine()withSuggestions", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe524);
// compilenode returning call526
  gc_frame_end(frame);
  return call526;
}
Object meth_errormessages__apply539(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___8 = &(stackframe->slots[0]);
  *var___8 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit541 == NULL) {
    strlit541 = alloc_String("-");
    gc_root(strlit541);
  }
// compilenode returning strlit541
  int op_slot_right_540 = gc_frame_newslot(strlit541);
// compilenode returning *var_arr
  int op_slot_left_540 = gc_frame_newslot(*var_arr);
  params[0] = strlit541;
  partcv[0] = 1;
  Object opresult543 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult543
  *var_arr = opresult543;
  if (opresult543 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply559(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_arr = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___9 = &(stackframe->slots[0]);
  *var___9 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit561 == NULL) {
    strlit561 = alloc_String("^");
    gc_root(strlit561);
  }
// compilenode returning strlit561
  int op_slot_right_560 = gc_frame_newslot(strlit561);
// compilenode returning *var_arr
  int op_slot_left_560 = gc_frame_newslot(*var_arr);
  params[0] = strlit561;
  partcv[0] = 1;
  Object opresult563 = callmethod(*var_arr, "++", 1, partcv, params);
// compilenode returning opresult563
  *var_arr = opresult563;
  if (opresult563 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions527(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "syntaxError()atLine()withSuggestions");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method syntaxError()atLine()withSuggestions");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method syntaxError()atLine()withSuggestions");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method syntaxError()atLine()withSuggestions");
  Object params[6];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for syntaxError()atLine()withSuggestions (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_message = &(stackframe->slots[0]);
  *var_message = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for syntaxError");
  Object *var_errlinenum = &(stackframe->slots[1]);
  *var_errlinenum = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for atLine");
  Object *var_suggestions = &(stackframe->slots[2]);
  *var_suggestions = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for withSuggestions");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arr = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arr");
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit528 == NULL) {
    strlit528 = alloc_String("----");
    gc_root(strlit528);
  }
// compilenode returning strlit528
  *var_arr = strlit528;
  if (strlit528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe529 = gc_frame_new();
  int callframe531 = gc_frame_new();
  int callframe532 = gc_frame_new();
// compilenode returning *var_errlinenum
  partcv[0] = 0;
  Object call533 = callmethod(*var_errlinenum, "asString",
    1, partcv, params);
  gc_frame_end(callframe532);
// compilenode returning call533
// compilenode returning call533
  partcv[0] = 0;
  Object call534 = callmethod(call533, "size",
    1, partcv, params);
  gc_frame_end(callframe531);
// compilenode returning call534
// compilenode returning call534
  int op_slot_right_530 = gc_frame_newslot(call534);
  Object num536 = alloc_Float64(1);
// compilenode returning num536
  int op_slot_left_530 = gc_frame_newslot(num536);
  params[0] = call534;
  partcv[0] = 1;
  Object opresult537 = callmethod(num536, "..", 1, partcv, params);
// compilenode returning opresult537
  gc_frame_newslot(opresult537);
  Object block538 = alloc_Block(NULL, NULL, "errormessages", 437);
  gc_frame_newslot(block538);
  block_savedest(block538);
  Object closure539 = createclosure(2, "_apply");
  setclosureframe(closure539, stackframe);
  addtoclosure(closure539, var_arr);
  addtoclosure(closure539, selfslot);
  struct UserObject *uo539 = (struct UserObject*)block538;
  uo539->data[0] = (Object)closure539;
  Method *meth_meth_errormessages__apply539 = addmethod2pos(block538, "_apply", &meth_errormessages__apply539, 0);
int argcv_meth_errormessages__apply539[] = {1};
meth_meth_errormessages__apply539->type = alloc_MethodType(1, argcv_meth_errormessages__apply539);
  meth_meth_errormessages__apply539->definitionModule = modulename;
  meth_meth_errormessages__apply539->definitionLine = 437;
// compilenode returning block538
  gc_frame_newslot(block538);
  params[0] = opresult537;
  params[1] = block538;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call546 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe529);
// compilenode returning call546
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe547 = gc_frame_new();
  int callframe549 = gc_frame_new();
  int callframe550 = gc_frame_new();
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  int callframe551 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call552 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe551);
// compilenode returning call552
// compilenode returning call552
  params[0] = *var_errlinenum;
  partcv[0] = 1;
  Object call553 = callmethod(call552, "at",
    1, partcv, params);
  gc_frame_end(callframe550);
// compilenode returning call553
  partcv[0] = 0;
  Object call554 = callmethod(call553, "size",
    1, partcv, params);
  gc_frame_end(callframe549);
// compilenode returning call554
// compilenode returning call554
  int op_slot_right_548 = gc_frame_newslot(call554);
  Object num556 = alloc_Float64(1);
// compilenode returning num556
  int op_slot_left_548 = gc_frame_newslot(num556);
  params[0] = call554;
  partcv[0] = 1;
  Object opresult557 = callmethod(num556, "..", 1, partcv, params);
// compilenode returning opresult557
  gc_frame_newslot(opresult557);
  Object block558 = alloc_Block(NULL, NULL, "errormessages", 440);
  gc_frame_newslot(block558);
  block_savedest(block558);
  Object closure559 = createclosure(2, "_apply");
  setclosureframe(closure559, stackframe);
  addtoclosure(closure559, var_arr);
  addtoclosure(closure559, selfslot);
  struct UserObject *uo559 = (struct UserObject*)block558;
  uo559->data[0] = (Object)closure559;
  Method *meth_meth_errormessages__apply559 = addmethod2pos(block558, "_apply", &meth_errormessages__apply559, 0);
int argcv_meth_errormessages__apply559[] = {1};
meth_meth_errormessages__apply559->type = alloc_MethodType(1, argcv_meth_errormessages__apply559);
  meth_meth_errormessages__apply559->definitionModule = modulename;
  meth_meth_errormessages__apply559->definitionLine = 440;
// compilenode returning block558
  gc_frame_newslot(block558);
  params[0] = opresult557;
  params[1] = block558;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call566 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe547);
// compilenode returning call566
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe567 = gc_frame_new();
// compilenode returning *var_message
  gc_frame_newslot(*var_message);
// compilenode returning *var_errlinenum
  gc_frame_newslot(*var_errlinenum);
  if (strlit568 == NULL) {
    strlit568 = alloc_String("");
    gc_root(strlit568);
  }
// compilenode returning strlit568
  gc_frame_newslot(strlit568);
// compilenode returning *var_arr
  gc_frame_newslot(*var_arr);
  Object bool569 = alloc_Boolean(0);
// compilenode returning bool569
  gc_frame_newslot(bool569);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// compilenode returning *var_util
  params[0] = *var_message;
  params[1] = *var_errlinenum;
  params[2] = strlit568;
  params[3] = *var_arr;
  params[4] = bool569;
  params[5] = *var_suggestions;
  partcv[0] = 6;
  Object call570 = callmethod(*var_util, "syntaxError",
    1, partcv, params);
  gc_frame_end(callframe567);
// compilenode returning call570
  gc_frame_end(frame);
  return call570;
}
Object meth_errormessages_suggestion571(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "suggestion");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_suggestion = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for suggestion (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for suggestion");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_end(frame);
  return *var_suggestion;
}
Object meth_errormessages_replaceRange_40__41_with_40__41_onLine579(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceRange()with()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method replaceRange()with()onLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method replaceRange()with()onLine");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method replaceRange()with()onLine");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for replaceRange()with()onLine (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for replaceRange");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for with");
  Object *var_lineNumber = &(stackframe->slots[3]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for onLine");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe580 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call581 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe580);
// compilenode returning call581
  *var_line = call581;
  if (call581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num584 = alloc_Float64(1);
// compilenode returning num584
  int op_slot_right_583 = gc_frame_newslot(num584);
// compilenode returning *var_start
  int op_slot_left_583 = gc_frame_newslot(*var_start);
  params[0] = num584;
  partcv[0] = 1;
  Object opresult586 = callmethod(*var_start, "==", 1, partcv, params);
// compilenode returning opresult586
  Object if582 = done;
  if (istrue(opresult586)) {
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe587 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe589 = gc_frame_new();
  Object num591 = alloc_Float64(1);
// compilenode returning num591
  int op_slot_right_590 = gc_frame_newslot(num591);
// compilenode returning *var_end
  int op_slot_left_590 = gc_frame_newslot(*var_end);
  params[0] = num591;
  partcv[0] = 1;
  Object sum593 = callmethod(*var_end, "+", 1, partcv, params);
// compilenode returning sum593
  gc_frame_newslot(sum593);
  int callframe594 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call595 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe594);
// compilenode returning call595
// compilenode returning call595
  gc_frame_newslot(call595);
// compilenode returning *var_line
  params[0] = sum593;
  params[1] = call595;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call596 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe589);
// compilenode returning call596
  int op_slot_right_588 = gc_frame_newslot(call596);
// compilenode returning *var_s
  int op_slot_left_588 = gc_frame_newslot(*var_s);
  params[0] = call596;
  partcv[0] = 1;
  Object opresult598 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult598
  gc_frame_newslot(opresult598);
  params[0] = *var_lineNumber;
  params[1] = opresult598;
  partcv[0] = 2;
  Object call599 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe587);
// compilenode returning call599
    gc_frame_newslot(call599);
    if582 = call599;
  } else {
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe600 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe602 = gc_frame_new();
  Object num604 = alloc_Float64(1);
// compilenode returning num604
  int op_slot_right_603 = gc_frame_newslot(num604);
// compilenode returning *var_end
  int op_slot_left_603 = gc_frame_newslot(*var_end);
  params[0] = num604;
  partcv[0] = 1;
  Object sum606 = callmethod(*var_end, "+", 1, partcv, params);
// compilenode returning sum606
  gc_frame_newslot(sum606);
  int callframe607 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call608 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe607);
// compilenode returning call608
// compilenode returning call608
  gc_frame_newslot(call608);
// compilenode returning *var_line
  params[0] = sum606;
  params[1] = call608;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call609 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe602);
// compilenode returning call609
  int op_slot_right_601 = gc_frame_newslot(call609);
// compilenode returning *var_s
  int op_slot_right_611 = gc_frame_newslot(*var_s);
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe613 = gc_frame_new();
  Object num614 = alloc_Float64(1);
// compilenode returning num614
  gc_frame_newslot(num614);
  Object num616 = alloc_Float64(1);
// compilenode returning num616
  int op_slot_right_615 = gc_frame_newslot(num616);
// compilenode returning *var_start
  int op_slot_left_615 = gc_frame_newslot(*var_start);
  params[0] = num616;
  partcv[0] = 1;
  Object diff618 = callmethod(*var_start, "-", 1, partcv, params);
// compilenode returning diff618
  gc_frame_newslot(diff618);
// compilenode returning *var_line
  params[0] = num614;
  params[1] = diff618;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call619 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe613);
// compilenode returning call619
  int op_slot_left_611 = gc_frame_newslot(call619);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult620 = callmethod(call619, "++", 1, partcv, params);
// compilenode returning opresult620
  int op_slot_left_601 = gc_frame_newslot(opresult620);
  params[0] = call609;
  partcv[0] = 1;
  Object opresult621 = callmethod(opresult620, "++", 1, partcv, params);
// compilenode returning opresult621
  gc_frame_newslot(opresult621);
  params[0] = *var_lineNumber;
  params[1] = opresult621;
  partcv[0] = 2;
  Object call622 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe600);
// compilenode returning call622
    gc_frame_newslot(call622);
    if582 = call622;
  }
// compilenode returning if582
  gc_frame_end(frame);
  return if582;
}
Object meth_errormessages_replaceChar_40__41_with_40__41_onLine623(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceChar()with()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method replaceChar()with()onLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method replaceChar()with()onLine");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method replaceChar()with()onLine");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for replaceChar()with()onLine (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_pos = &(stackframe->slots[0]);
  *var_pos = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for replaceChar");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for with");
  Object *var_lineNumber = &(stackframe->slots[2]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for onLine");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe624 = gc_frame_new();
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_pos;
  params[1] = *var_pos;
  params[2] = *var_s;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call625 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe624);
// compilenode returning call625
  gc_frame_end(frame);
  return call625;
}
Object meth_errormessages__apply639(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[4];
  int partcv[3];
  Object *var_until = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object *var_line = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object *var_lineNumber = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_until
  int op_slot_right_641 = gc_frame_newslot(*var_until);
  int callframe643 = gc_frame_new();
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
  Object num645 = alloc_Float64(1);
// compilenode returning num645
  int op_slot_right_644 = gc_frame_newslot(num645);
// compilenode returning *var_len
  int op_slot_right_647 = gc_frame_newslot(*var_len);
// compilenode returning *var_i
  int op_slot_left_647 = gc_frame_newslot(*var_i);
  params[0] = *var_len;
  partcv[0] = 1;
  Object sum649 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum649
  int op_slot_left_644 = gc_frame_newslot(sum649);
  params[0] = num645;
  partcv[0] = 1;
  Object diff650 = callmethod(sum649, "-", 1, partcv, params);
// compilenode returning diff650
  gc_frame_newslot(diff650);
// compilenode returning *var_line
  params[0] = *var_i;
  params[1] = diff650;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call651 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe643);
// compilenode returning call651
  int op_slot_left_641 = gc_frame_newslot(call651);
  params[0] = *var_until;
  partcv[0] = 1;
  Object opresult652 = callmethod(call651, "==", 1, partcv, params);
// compilenode returning opresult652
  Object if640 = done;
  if (istrue(opresult652)) {
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe653 = gc_frame_new();
  Object num654 = alloc_Float64(1);
// compilenode returning num654
  gc_frame_newslot(num654);
  Object num656 = alloc_Float64(1);
// compilenode returning num656
  int op_slot_right_655 = gc_frame_newslot(num656);
// compilenode returning *var_len
  int op_slot_right_658 = gc_frame_newslot(*var_len);
// compilenode returning *var_i
  int op_slot_left_658 = gc_frame_newslot(*var_i);
  params[0] = *var_len;
  partcv[0] = 1;
  Object sum660 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum660
  int op_slot_left_655 = gc_frame_newslot(sum660);
  params[0] = num656;
  partcv[0] = 1;
  Object diff661 = callmethod(sum660, "-", 1, partcv, params);
// compilenode returning diff661
  gc_frame_newslot(diff661);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = num654;
  params[1] = diff661;
  params[2] = *var_s;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call662 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe653);
// compilenode returning call662
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool663 = alloc_Boolean(1);
// compilenode returning bool663
  block_return(realself, bool663);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if640 = undefined;
  } else {
  }
// compilenode returning if640
  gc_frame_end(frame);
  return if640;
}
Object meth_errormessages_replaceUntil_40__41_with_40__41_onLine626(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceUntil()with()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method replaceUntil()with()onLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method replaceUntil()with()onLine");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method replaceUntil()with()onLine");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for replaceUntil()with()onLine (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_until = &(stackframe->slots[0]);
  *var_until = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for replaceUntil");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for with");
  Object *var_lineNumber = &(stackframe->slots[2]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for onLine");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_len = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "len");
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe627 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call628 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe627);
// compilenode returning call628
  *var_line = call628;
  if (call628 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe629 = gc_frame_new();
// compilenode returning *var_until
  partcv[0] = 0;
  Object call630 = callmethod(*var_until, "size",
    1, partcv, params);
  gc_frame_end(callframe629);
// compilenode returning call630
// compilenode returning call630
  *var_len = call630;
  if (call630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe631 = gc_frame_new();
  int callframe633 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call634 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe633);
// compilenode returning call634
// compilenode returning call634
  int op_slot_right_632 = gc_frame_newslot(call634);
  Object num636 = alloc_Float64(1);
// compilenode returning num636
  int op_slot_left_632 = gc_frame_newslot(num636);
  params[0] = call634;
  partcv[0] = 1;
  Object opresult637 = callmethod(num636, "..", 1, partcv, params);
// compilenode returning opresult637
  gc_frame_newslot(opresult637);
  Object block638 = alloc_Block(NULL, NULL, "errormessages", 40);
  gc_frame_newslot(block638);
  block_savedest(block638);
  Object closure639 = createclosure(6, "_apply");
  setclosureframe(closure639, stackframe);
  addtoclosure(closure639, var_until);
  addtoclosure(closure639, var_len);
  addtoclosure(closure639, var_line);
  addtoclosure(closure639, var_s);
  addtoclosure(closure639, var_lineNumber);
  addtoclosure(closure639, selfslot);
  struct UserObject *uo639 = (struct UserObject*)block638;
  uo639->data[0] = (Object)closure639;
  Method *meth_meth_errormessages__apply639 = addmethod2pos(block638, "_apply", &meth_errormessages__apply639, 0);
int argcv_meth_errormessages__apply639[] = {1};
meth_meth_errormessages__apply639->type = alloc_MethodType(1, argcv_meth_errormessages__apply639);
  meth_meth_errormessages__apply639->definitionModule = modulename;
  meth_meth_errormessages__apply639->definitionLine = 40;
// compilenode returning block638
  gc_frame_newslot(block638);
  params[0] = opresult637;
  params[1] = block638;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call665 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe631);
// compilenode returning call665
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool666 = alloc_Boolean(0);
// compilenode returning bool666
  return bool666;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_errormessages__apply694(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_indent = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit697 == NULL) {
    strlit697 = alloc_String(" ");
    gc_root(strlit697);
  }
// compilenode returning strlit697
  int op_slot_right_696 = gc_frame_newslot(strlit697);
// compilenode returning *var_line
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres699 = callmethod(*var_line, "[]", 1, partcv, params);
// compilenode returning idxres699
  int op_slot_left_696 = gc_frame_newslot(idxres699);
  params[0] = strlit697;
  partcv[0] = 1;
  Object opresult700 = callmethod(idxres699, "!=", 1, partcv, params);
// compilenode returning opresult700
  Object if695 = done;
  if (istrue(opresult700)) {
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool701 = alloc_Boolean(0);
// compilenode returning bool701
  *var_indent = bool701;
  if (bool701 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if695 = done;
  } else {
  }
// compilenode returning if695
  gc_frame_end(frame);
  return if695;
}
Object meth_errormessages_deleteRange_40__41_onLine667(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteRange()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method deleteRange()onLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method deleteRange()onLine");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for deleteRange()onLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for deleteRange");
  Object *var_lineNumber = &(stackframe->slots[2]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for onLine");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "start'");
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_indent = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "indent");
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_start
  *var_start_39_ = *var_start;
  if (*var_start == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe668 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call669 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe668);
// compilenode returning call669
  *var_line = call669;
  if (call669 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe673 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call674 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe673);
// compilenode returning call674
// compilenode returning call674
  int op_slot_right_672 = gc_frame_newslot(call674);
// compilenode returning *var_end
  int op_slot_left_672 = gc_frame_newslot(*var_end);
  params[0] = call674;
  partcv[0] = 1;
  Object opresult676 = callmethod(*var_end, "==", 1, partcv, params);
// compilenode returning opresult676
  int op_slot_right_671 = gc_frame_newslot(opresult676);
  Object num679 = alloc_Float64(1);
// compilenode returning num679
  int op_slot_right_678 = gc_frame_newslot(num679);
// compilenode returning *var_start_39_
  int op_slot_left_678 = gc_frame_newslot(*var_start_39_);
  params[0] = num679;
  partcv[0] = 1;
  Object opresult681 = callmethod(*var_start_39_, ">", 1, partcv, params);
// compilenode returning opresult681
  int op_slot_left_671 = gc_frame_newslot(opresult681);
  params[0] = opresult676;
  partcv[0] = 1;
  Object opresult682 = callmethod(opresult681, "&&", 1, partcv, params);
// compilenode returning opresult682
  Object if670 = done;
  if (istrue(opresult682)) {
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool683 = alloc_Boolean(1);
// compilenode returning bool683
  *var_indent = bool683;
  if (bool683 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe684 = gc_frame_new();
  Object num687 = alloc_Float64(1);
// compilenode returning num687
  int op_slot_right_686 = gc_frame_newslot(num687);
// compilenode returning *var_start_39_
  int op_slot_left_686 = gc_frame_newslot(*var_start_39_);
  params[0] = num687;
  partcv[0] = 1;
  Object diff689 = callmethod(*var_start_39_, "-", 1, partcv, params);
// compilenode returning diff689
  int op_slot_right_685 = gc_frame_newslot(diff689);
  Object num691 = alloc_Float64(1);
// compilenode returning num691
  int op_slot_left_685 = gc_frame_newslot(num691);
  params[0] = diff689;
  partcv[0] = 1;
  Object opresult692 = callmethod(num691, "..", 1, partcv, params);
// compilenode returning opresult692
  gc_frame_newslot(opresult692);
  Object block693 = alloc_Block(NULL, NULL, "errormessages", 55);
  gc_frame_newslot(block693);
  block_savedest(block693);
  Object closure694 = createclosure(3, "_apply");
  setclosureframe(closure694, stackframe);
  addtoclosure(closure694, var_line);
  addtoclosure(closure694, var_indent);
  addtoclosure(closure694, selfslot);
  struct UserObject *uo694 = (struct UserObject*)block693;
  uo694->data[0] = (Object)closure694;
  Method *meth_meth_errormessages__apply694 = addmethod2pos(block693, "_apply", &meth_errormessages__apply694, 0);
int argcv_meth_errormessages__apply694[] = {1};
meth_meth_errormessages__apply694->type = alloc_MethodType(1, argcv_meth_errormessages__apply694);
  meth_meth_errormessages__apply694->definitionModule = modulename;
  meth_meth_errormessages__apply694->definitionLine = 52;
// compilenode returning block693
  gc_frame_newslot(block693);
  params[0] = opresult692;
  params[1] = block693;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call704 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe684);
// compilenode returning call704
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool707 = alloc_Boolean(1);
// compilenode returning bool707
  int op_slot_right_706 = gc_frame_newslot(bool707);
// compilenode returning *var_indent
  int op_slot_left_706 = gc_frame_newslot(*var_indent);
  params[0] = bool707;
  partcv[0] = 1;
  Object opresult709 = callmethod(*var_indent, "==", 1, partcv, params);
// compilenode returning opresult709
  Object if705 = done;
  if (istrue(opresult709)) {
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num710 = alloc_Float64(1);
// compilenode returning num710
  *var_start_39_ = num710;
  if (num710 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if705 = done;
  } else {
  }
// compilenode returning if705
    gc_frame_newslot(if705);
    if670 = if705;
  } else {
  }
// compilenode returning if670
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe712 = gc_frame_new();
// compilenode returning *var_start_39_
  gc_frame_newslot(*var_start_39_);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
  if (strlit713 == NULL) {
    strlit713 = alloc_String("");
    gc_root(strlit713);
  }
// compilenode returning strlit713
  gc_frame_newslot(strlit713);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_start_39_;
  params[1] = *var_end;
  params[2] = strlit713;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call714 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe712);
// compilenode returning call714
  gc_frame_end(frame);
  return call714;
}
Object meth_errormessages_deleteChar_40__41_onLine715(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteChar()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method deleteChar()onLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method deleteChar()onLine");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for deleteChar()onLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_pos = &(stackframe->slots[0]);
  *var_pos = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for deleteChar");
  Object *var_lineNumber = &(stackframe->slots[1]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for onLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe716 = gc_frame_new();
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
  if (strlit717 == NULL) {
    strlit717 = alloc_String("");
    gc_root(strlit717);
  }
// compilenode returning strlit717
  gc_frame_newslot(strlit717);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_pos;
  params[1] = *var_pos;
  params[2] = strlit717;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call718 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe716);
// compilenode returning call718
  gc_frame_end(frame);
  return call718;
}
Object meth_errormessages_append_40__41_onLine719(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "append()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method append()onLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method append()onLine");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for append()onLine (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for append");
  Object *var_lineNumber = &(stackframe->slots[1]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for onLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "line");
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe720 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call721 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe720);
// compilenode returning call721
  *var_line = call721;
  if (call721 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe722 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_s
  int op_slot_right_723 = gc_frame_newslot(*var_s);
// compilenode returning *var_line
  int op_slot_left_723 = gc_frame_newslot(*var_line);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult725 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult725
  gc_frame_newslot(opresult725);
  params[0] = *var_lineNumber;
  params[1] = opresult725;
  partcv[0] = 2;
  Object call726 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe722);
// compilenode returning call726
  gc_frame_end(frame);
  return call726;
}
Object meth_errormessages_insert_40__41_atPosition_40__41_onLine727(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insert()atPosition()onLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method insert()atPosition()onLine");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method insert()atPosition()onLine");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method insert()atPosition()onLine");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for insert()atPosition()onLine (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for insert");
  Object *var_pos = &(stackframe->slots[1]);
  *var_pos = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for atPosition");
  Object *var_lineNumber = &(stackframe->slots[2]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for onLine");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe728 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call729 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe728);
// compilenode returning call729
  *var_line = call729;
  if (call729 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num732 = alloc_Float64(1);
// compilenode returning num732
  int op_slot_right_731 = gc_frame_newslot(num732);
// compilenode returning *var_pos
  int op_slot_left_731 = gc_frame_newslot(*var_pos);
  params[0] = num732;
  partcv[0] = 1;
  Object opresult734 = callmethod(*var_pos, "==", 1, partcv, params);
// compilenode returning opresult734
  Object if730 = done;
  if (istrue(opresult734)) {
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe735 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_line
  int op_slot_right_736 = gc_frame_newslot(*var_line);
// compilenode returning *var_s
  int op_slot_left_736 = gc_frame_newslot(*var_s);
  params[0] = *var_line;
  partcv[0] = 1;
  Object opresult738 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult738
  gc_frame_newslot(opresult738);
  params[0] = *var_lineNumber;
  params[1] = opresult738;
  partcv[0] = 2;
  Object call739 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe735);
// compilenode returning call739
    gc_frame_newslot(call739);
    if730 = call739;
  } else {
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe740 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe742 = gc_frame_new();
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
  int callframe743 = gc_frame_new();
// compilenode returning *var_line
  partcv[0] = 0;
  Object call744 = callmethod(*var_line, "size",
    1, partcv, params);
  gc_frame_end(callframe743);
// compilenode returning call744
// compilenode returning call744
  gc_frame_newslot(call744);
// compilenode returning *var_line
  params[0] = *var_pos;
  params[1] = call744;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call745 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe742);
// compilenode returning call745
  int op_slot_right_741 = gc_frame_newslot(call745);
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  int op_slot_right_747 = gc_frame_newslot(*var_s);
  int callframe749 = gc_frame_new();
  Object num750 = alloc_Float64(1);
// compilenode returning num750
  gc_frame_newslot(num750);
  Object num752 = alloc_Float64(1);
// compilenode returning num752
  int op_slot_right_751 = gc_frame_newslot(num752);
// compilenode returning *var_pos
  int op_slot_left_751 = gc_frame_newslot(*var_pos);
  params[0] = num752;
  partcv[0] = 1;
  Object diff754 = callmethod(*var_pos, "-", 1, partcv, params);
// compilenode returning diff754
  gc_frame_newslot(diff754);
// compilenode returning *var_line
  params[0] = num750;
  params[1] = diff754;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call755 = callmethod(*var_line, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe749);
// compilenode returning call755
  int op_slot_left_747 = gc_frame_newslot(call755);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult756 = callmethod(call755, "++", 1, partcv, params);
// compilenode returning opresult756
  int op_slot_left_741 = gc_frame_newslot(opresult756);
  params[0] = call745;
  partcv[0] = 1;
  Object opresult757 = callmethod(opresult756, "++", 1, partcv, params);
// compilenode returning opresult757
  gc_frame_newslot(opresult757);
  params[0] = *var_lineNumber;
  params[1] = opresult757;
  partcv[0] = 2;
  Object call758 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe740);
// compilenode returning call758
    gc_frame_newslot(call758);
    if730 = call758;
  }
// compilenode returning if730
  gc_frame_end(frame);
  return if730;
}
Object meth_errormessages__apply770(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe772 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call773 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe772);
// compilenode returning call773
// compilenode returning call773
  int op_slot_right_771 = gc_frame_newslot(call773);
  int callframe775 = gc_frame_new();
  int callframe776 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call777 = callmethod(*var_token, "prev",
    1, partcv, params);
  gc_frame_end(callframe776);
// compilenode returning call777
// compilenode returning call777
  partcv[0] = 0;
  Object call778 = callmethod(call777, "line",
    1, partcv, params);
  gc_frame_end(callframe775);
// compilenode returning call778
// compilenode returning call778
  int op_slot_left_771 = gc_frame_newslot(call778);
  params[0] = call773;
  partcv[0] = 1;
  Object opresult779 = callmethod(call778, "==", 1, partcv, params);
// compilenode returning opresult779
  gc_frame_end(frame);
  return opresult779;
}
Object meth_errormessages__apply815(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe817 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call818 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe817);
// compilenode returning call818
// compilenode returning call818
  int op_slot_right_816 = gc_frame_newslot(call818);
  int callframe820 = gc_frame_new();
  int callframe821 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call822 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe821);
// compilenode returning call822
// compilenode returning call822
  partcv[0] = 0;
  Object call823 = callmethod(call822, "line",
    1, partcv, params);
  gc_frame_end(callframe820);
// compilenode returning call823
// compilenode returning call823
  int op_slot_left_816 = gc_frame_newslot(call823);
  params[0] = call818;
  partcv[0] = 1;
  Object opresult824 = callmethod(call823, "!=", 1, partcv, params);
// compilenode returning opresult824
  gc_frame_end(frame);
  return opresult824;
}
Object meth_errormessages_getTokenStart_40__41_includeLeadingSpace759(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "getTokenStart()includeLeadingSpace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method getTokenStart()includeLeadingSpace");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method getTokenStart()includeLeadingSpace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for getTokenStart()includeLeadingSpace (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for getTokenStart");
  Object *var_includeLeading = &(stackframe->slots[1]);
  *var_includeLeading = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for includeLeadingSpace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "start");
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe760 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call761 = callmethod(*var_token, "linePos",
    1, partcv, params);
  gc_frame_end(callframe760);
// compilenode returning call761
// compilenode returning call761
  *var_start = call761;
  if (call761 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool764 = alloc_Boolean(1);
// compilenode returning bool764
  int op_slot_right_763 = gc_frame_newslot(bool764);
// compilenode returning *var_includeLeading
  int op_slot_left_763 = gc_frame_newslot(*var_includeLeading);
  params[0] = bool764;
  partcv[0] = 1;
  Object opresult766 = callmethod(*var_includeLeading, "==", 1, partcv, params);
// compilenode returning opresult766
  Object if762 = done;
  if (istrue(opresult766)) {
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe768 = gc_frame_new();
  Object block769 = alloc_Block(NULL, NULL, "errormessages", 94);
  gc_frame_newslot(block769);
  block_savedest(block769);
  Object closure770 = createclosure(2, "_apply");
  setclosureframe(closure770, stackframe);
  addtoclosure(closure770, var_token);
  addtoclosure(closure770, selfslot);
  struct UserObject *uo770 = (struct UserObject*)block769;
  uo770->data[0] = (Object)closure770;
  Method *meth_meth_errormessages__apply770 = addmethod2pos(block769, "_apply", &meth_errormessages__apply770, 0);
int argcv_meth_errormessages__apply770[] = {0};
meth_meth_errormessages__apply770->type = alloc_MethodType(1, argcv_meth_errormessages__apply770);
  meth_meth_errormessages__apply770->definitionModule = modulename;
  meth_meth_errormessages__apply770->definitionLine = 91;
// compilenode returning block769
  gc_frame_newslot(block769);
  Object bool782 = alloc_Boolean(0);
// compilenode returning bool782
  int op_slot_right_781 = gc_frame_newslot(bool782);
  int callframe784 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call785 = callmethod(*var_token, "prev",
    1, partcv, params);
  gc_frame_end(callframe784);
// compilenode returning call785
// compilenode returning call785
  int op_slot_left_781 = gc_frame_newslot(call785);
  params[0] = bool782;
  partcv[0] = 1;
  Object opresult786 = callmethod(call785, "!=", 1, partcv, params);
// compilenode returning opresult786
  params[0] = block769;
  partcv[0] = 1;
  Object call787 = callmethod(opresult786, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe768);
// compilenode returning call787
  Object if767 = done;
  if (istrue(call787)) {
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe789 = gc_frame_new();
  int callframe790 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call791 = callmethod(*var_token, "prev",
    1, partcv, params);
  gc_frame_end(callframe790);
// compilenode returning call791
// compilenode returning call791
  partcv[0] = 0;
  Object call792 = callmethod(call791, "size",
    1, partcv, params);
  gc_frame_end(callframe789);
// compilenode returning call792
// compilenode returning call792
  int op_slot_right_788 = gc_frame_newslot(call792);
  int callframe794 = gc_frame_new();
  int callframe795 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call796 = callmethod(*var_token, "prev",
    1, partcv, params);
  gc_frame_end(callframe795);
// compilenode returning call796
// compilenode returning call796
  partcv[0] = 0;
  Object call797 = callmethod(call796, "linePos",
    1, partcv, params);
  gc_frame_end(callframe794);
// compilenode returning call797
// compilenode returning call797
  int op_slot_left_788 = gc_frame_newslot(call797);
  params[0] = call792;
  partcv[0] = 1;
  Object sum798 = callmethod(call797, "+", 1, partcv, params);
// compilenode returning sum798
  *var_start = sum798;
  if (sum798 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if767 = done;
  } else {
  }
// compilenode returning if767
    gc_frame_newslot(if767);
    if762 = if767;
  } else {
  }
// compilenode returning if762
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num803 = alloc_Float64(1);
// compilenode returning num803
  int op_slot_right_802 = gc_frame_newslot(num803);
  int callframe805 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call806 = callmethod(*var_token, "indent",
    1, partcv, params);
  gc_frame_end(callframe805);
// compilenode returning call806
// compilenode returning call806
  int op_slot_left_802 = gc_frame_newslot(call806);
  params[0] = num803;
  partcv[0] = 1;
  Object sum807 = callmethod(call806, "+", 1, partcv, params);
// compilenode returning sum807
  int op_slot_right_801 = gc_frame_newslot(sum807);
  int callframe809 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call810 = callmethod(*var_token, "linePos",
    1, partcv, params);
  gc_frame_end(callframe809);
// compilenode returning call810
// compilenode returning call810
  int op_slot_left_801 = gc_frame_newslot(call810);
  params[0] = sum807;
  partcv[0] = 1;
  Object opresult811 = callmethod(call810, "==", 1, partcv, params);
// compilenode returning opresult811
  Object if800 = done;
  if (istrue(opresult811)) {
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe813 = gc_frame_new();
  Object block814 = alloc_Block(NULL, NULL, "errormessages", 100);
  gc_frame_newslot(block814);
  block_savedest(block814);
  Object closure815 = createclosure(2, "_apply");
  setclosureframe(closure815, stackframe);
  addtoclosure(closure815, var_token);
  addtoclosure(closure815, selfslot);
  struct UserObject *uo815 = (struct UserObject*)block814;
  uo815->data[0] = (Object)closure815;
  Method *meth_meth_errormessages__apply815 = addmethod2pos(block814, "_apply", &meth_errormessages__apply815, 0);
int argcv_meth_errormessages__apply815[] = {0};
meth_meth_errormessages__apply815->type = alloc_MethodType(1, argcv_meth_errormessages__apply815);
  meth_meth_errormessages__apply815->definitionModule = modulename;
  meth_meth_errormessages__apply815->definitionLine = 99;
// compilenode returning block814
  gc_frame_newslot(block814);
  Object bool827 = alloc_Boolean(0);
// compilenode returning bool827
  int op_slot_right_826 = gc_frame_newslot(bool827);
  int callframe829 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call830 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe829);
// compilenode returning call830
// compilenode returning call830
  int op_slot_left_826 = gc_frame_newslot(call830);
  params[0] = bool827;
  partcv[0] = 1;
  Object opresult831 = callmethod(call830, "==", 1, partcv, params);
// compilenode returning opresult831
  params[0] = block814;
  partcv[0] = 1;
  Object call832 = callmethod(opresult831, "orElse",
    1, partcv, params);
  gc_frame_end(callframe813);
// compilenode returning call832
  Object if812 = done;
  if (istrue(call832)) {
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num833 = alloc_Float64(1);
// compilenode returning num833
  *var_start = num833;
  if (num833 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if812 = done;
  } else {
  }
// compilenode returning if812
    gc_frame_newslot(if812);
    if800 = if812;
  } else {
  }
// compilenode returning if800
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_start
  gc_frame_end(frame);
  return *var_start;
}
Object meth_errormessages__apply855(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe857 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call858 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe857);
// compilenode returning call858
// compilenode returning call858
  int op_slot_right_856 = gc_frame_newslot(call858);
  int callframe860 = gc_frame_new();
  int callframe861 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call862 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe861);
// compilenode returning call862
// compilenode returning call862
  partcv[0] = 0;
  Object call863 = callmethod(call862, "line",
    1, partcv, params);
  gc_frame_end(callframe860);
// compilenode returning call863
// compilenode returning call863
  int op_slot_left_856 = gc_frame_newslot(call863);
  params[0] = call858;
  partcv[0] = 1;
  Object opresult864 = callmethod(call863, "==", 1, partcv, params);
// compilenode returning opresult864
  gc_frame_end(frame);
  return opresult864;
}
Object meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "getTokenEnd()includeTrailingSpace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method getTokenEnd()includeTrailingSpace");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method getTokenEnd()includeTrailingSpace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for getTokenEnd()includeTrailingSpace (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for getTokenEnd");
  Object *var_includeTrailing = &(stackframe->slots[1]);
  *var_includeTrailing = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for includeTrailingSpace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_end = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "end");
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num837 = alloc_Float64(1);
// compilenode returning num837
  int op_slot_right_836 = gc_frame_newslot(num837);
  int callframe840 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call841 = callmethod(*var_token, "size",
    1, partcv, params);
  gc_frame_end(callframe840);
// compilenode returning call841
// compilenode returning call841
  int op_slot_right_839 = gc_frame_newslot(call841);
  int callframe843 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call844 = callmethod(*var_token, "linePos",
    1, partcv, params);
  gc_frame_end(callframe843);
// compilenode returning call844
// compilenode returning call844
  int op_slot_left_839 = gc_frame_newslot(call844);
  params[0] = call841;
  partcv[0] = 1;
  Object sum845 = callmethod(call844, "+", 1, partcv, params);
// compilenode returning sum845
  int op_slot_left_836 = gc_frame_newslot(sum845);
  params[0] = num837;
  partcv[0] = 1;
  Object diff846 = callmethod(sum845, "-", 1, partcv, params);
// compilenode returning diff846
  *var_end = diff846;
  if (diff846 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool849 = alloc_Boolean(1);
// compilenode returning bool849
  int op_slot_right_848 = gc_frame_newslot(bool849);
// compilenode returning *var_includeTrailing
  int op_slot_left_848 = gc_frame_newslot(*var_includeTrailing);
  params[0] = bool849;
  partcv[0] = 1;
  Object opresult851 = callmethod(*var_includeTrailing, "==", 1, partcv, params);
// compilenode returning opresult851
  Object if847 = done;
  if (istrue(opresult851)) {
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe853 = gc_frame_new();
  Object block854 = alloc_Block(NULL, NULL, "errormessages", 111);
  gc_frame_newslot(block854);
  block_savedest(block854);
  Object closure855 = createclosure(2, "_apply");
  setclosureframe(closure855, stackframe);
  addtoclosure(closure855, var_token);
  addtoclosure(closure855, selfslot);
  struct UserObject *uo855 = (struct UserObject*)block854;
  uo855->data[0] = (Object)closure855;
  Method *meth_meth_errormessages__apply855 = addmethod2pos(block854, "_apply", &meth_errormessages__apply855, 0);
int argcv_meth_errormessages__apply855[] = {0};
meth_meth_errormessages__apply855->type = alloc_MethodType(1, argcv_meth_errormessages__apply855);
  meth_meth_errormessages__apply855->definitionModule = modulename;
  meth_meth_errormessages__apply855->definitionLine = 108;
// compilenode returning block854
  gc_frame_newslot(block854);
  Object bool867 = alloc_Boolean(0);
// compilenode returning bool867
  int op_slot_right_866 = gc_frame_newslot(bool867);
  int callframe869 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call870 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe869);
// compilenode returning call870
// compilenode returning call870
  int op_slot_left_866 = gc_frame_newslot(call870);
  params[0] = bool867;
  partcv[0] = 1;
  Object opresult871 = callmethod(call870, "!=", 1, partcv, params);
// compilenode returning opresult871
  params[0] = block854;
  partcv[0] = 1;
  Object call872 = callmethod(opresult871, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe853);
// compilenode returning call872
  Object if852 = done;
  if (istrue(call872)) {
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num874 = alloc_Float64(1);
// compilenode returning num874
  int op_slot_right_873 = gc_frame_newslot(num874);
  int callframe876 = gc_frame_new();
  int callframe877 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call878 = callmethod(*var_token, "next",
    1, partcv, params);
  gc_frame_end(callframe877);
// compilenode returning call878
// compilenode returning call878
  partcv[0] = 0;
  Object call879 = callmethod(call878, "linePos",
    1, partcv, params);
  gc_frame_end(callframe876);
// compilenode returning call879
// compilenode returning call879
  int op_slot_left_873 = gc_frame_newslot(call879);
  params[0] = num874;
  partcv[0] = 1;
  Object diff880 = callmethod(call879, "-", 1, partcv, params);
// compilenode returning diff880
  *var_end = diff880;
  if (diff880 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if852 = done;
  } else {
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe882 = gc_frame_new();
  int callframe883 = gc_frame_new();
  int callframe884 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call885 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe884);
// compilenode returning call885
// compilenode returning call885
  gc_frame_newslot(call885);
  params[0] = call885;
  partcv[0] = 1;
  Object call886 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe883);
// compilenode returning call886
  partcv[0] = 0;
  Object call887 = callmethod(call886, "size",
    1, partcv, params);
  gc_frame_end(callframe882);
// compilenode returning call887
// compilenode returning call887
  *var_end = call887;
  if (call887 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if852 = done;
  }
// compilenode returning if852
    gc_frame_newslot(if852);
    if847 = if852;
  } else {
  }
// compilenode returning if847
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_end
  gc_frame_end(frame);
  return *var_end;
}
Object meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceToken()leading()trailing()with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method replaceToken()leading()trailing()with");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method replaceToken()leading()trailing()with");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method replaceToken()leading()trailing()with");
  if (nparts > 0 && argcv[3] < 1)
    gracedie("insufficient arguments to method replaceToken()leading()trailing()with");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 4 && args)
    gracedie("missing argument list for replaceToken()leading()trailing()with (probably reflection error): got %i lists, expected 4.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for replaceToken");
  Object *var_replaceLeading = &(stackframe->slots[1]);
  *var_replaceLeading = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for leading");
  Object *var_replaceTrailing = &(stackframe->slots[2]);
  *var_replaceTrailing = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for trailing");
  Object *var_s = &(stackframe->slots[3]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[3] != 1)
    gracedie("wrong number of arguments for with");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "start");
  Object *var_end = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "end");
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe890 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_replaceLeading
  gc_frame_newslot(*var_replaceLeading);
  params[0] = *var_token;
  params[1] = *var_replaceLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call891 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe890);
// compilenode returning call891
  *var_start = call891;
  if (call891 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe892 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_replaceTrailing
  gc_frame_newslot(*var_replaceTrailing);
  params[0] = *var_token;
  params[1] = *var_replaceTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call893 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe892);
// compilenode returning call893
  *var_end = call893;
  if (call893 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe894 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  int callframe895 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call896 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe895);
// compilenode returning call896
// compilenode returning call896
  gc_frame_newslot(call896);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = *var_s;
  params[3] = call896;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call897 = callmethodflags(self, "replaceRange()with()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe894);
// compilenode returning call897
  gc_frame_end(frame);
  return call897;
}
Object meth_errormessages_replaceToken_40__41_with898(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceToken()with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method replaceToken()with");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method replaceToken()with");
  Object params[4];
  int partcv[4];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for replaceToken()with (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for replaceToken");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for with");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe899 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
  Object bool900 = alloc_Boolean(0);
// compilenode returning bool900
  gc_frame_newslot(bool900);
  Object bool901 = alloc_Boolean(0);
// compilenode returning bool901
  gc_frame_newslot(bool901);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  params[0] = *var_token;
  params[1] = bool900;
  params[2] = bool901;
  params[3] = *var_s;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call902 = callmethodflags(self, "replaceToken()leading()trailing()with", 4, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe899);
// compilenode returning call902
  gc_frame_end(frame);
  return call902;
}
Object meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(8, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceTokenRange()leading()trailing()with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method replaceTokenRange()leading()trailing()with");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method replaceTokenRange()leading()trailing()with");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method replaceTokenRange()leading()trailing()with");
  if (nparts > 0 && argcv[3] < 1)
    gracedie("insufficient arguments to method replaceTokenRange()leading()trailing()with");
  Object params[4];
  int partcv[4];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 4 && args)
    gracedie("missing argument list for replaceTokenRange()leading()trailing()with (probably reflection error): got %i lists, expected 4.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for replaceTokenRange");
  Object *var_replaceLeading = &(stackframe->slots[2]);
  *var_replaceLeading = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for leading");
  Object *var_replaceTrailing = &(stackframe->slots[3]);
  *var_replaceTrailing = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for trailing");
  Object *var_s = &(stackframe->slots[4]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[3] != 1)
    gracedie("wrong number of arguments for with");
  Object *selfslot = &(stackframe->slots[5]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_insertPos = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "insertPos");
  Object *var_indent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "indent");
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_end
  int op_slot_right_905 = gc_frame_newslot(*var_end);
// compilenode returning *var_start
  int op_slot_left_905 = gc_frame_newslot(*var_start);
  params[0] = *var_end;
  partcv[0] = 1;
  Object opresult907 = callmethod(*var_start, "==", 1, partcv, params);
// compilenode returning opresult907
  Object if904 = done;
  if (istrue(opresult907)) {
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe908 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_replaceLeading
  gc_frame_newslot(*var_replaceLeading);
// compilenode returning *var_replaceTrailing
  gc_frame_newslot(*var_replaceTrailing);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  params[0] = *var_start;
  params[1] = *var_replaceLeading;
  params[2] = *var_replaceTrailing;
  params[3] = *var_s;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call909 = callmethodflags(self, "replaceToken()leading()trailing()with", 4, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe908);
// compilenode returning call909
    gc_frame_newslot(call909);
    if904 = call909;
  } else {
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe910 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_replaceLeading
  gc_frame_newslot(*var_replaceLeading);
  params[0] = *var_start;
  params[1] = *var_replaceLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call911 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe910);
// compilenode returning call911
  *var_insertPos = call911;
  if (call911 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe912 = gc_frame_new();
  Object num913 = alloc_Float64(1);
// compilenode returning num913
  gc_frame_newslot(num913);
  int callframe914 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call915 = callmethod(*var_start, "indent",
    1, partcv, params);
  gc_frame_end(callframe914);
// compilenode returning call915
// compilenode returning call915
  gc_frame_newslot(call915);
  int callframe916 = gc_frame_new();
  int callframe917 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call918 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe917);
// compilenode returning call918
// compilenode returning call918
  gc_frame_newslot(call918);
  params[0] = call918;
  partcv[0] = 1;
  Object call919 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe916);
// compilenode returning call919
  params[0] = num913;
  params[1] = call915;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call920 = callmethod(call919, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe912);
// compilenode returning call920
  *var_indent = call920;
  if (call920 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe921 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
// compilenode returning *var_replaceLeading
  gc_frame_newslot(*var_replaceLeading);
// compilenode returning *var_replaceTrailing
  gc_frame_newslot(*var_replaceTrailing);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = *var_replaceLeading;
  params[3] = *var_replaceTrailing;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call922 = callmethodflags(self, "deleteTokenRange()leading()trailing", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe921);
// compilenode returning call922
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit925 == NULL) {
    strlit925 = alloc_String("");
    gc_root(strlit925);
  }
// compilenode returning strlit925
  int op_slot_right_924 = gc_frame_newslot(strlit925);
  int callframe927 = gc_frame_new();
  int callframe928 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call929 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe928);
// compilenode returning call929
// compilenode returning call929
  gc_frame_newslot(call929);
  params[0] = call929;
  partcv[0] = 1;
  Object call930 = callmethodflags(self, "getLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe927);
// compilenode returning call930
  int op_slot_left_924 = gc_frame_newslot(call930);
  params[0] = strlit925;
  partcv[0] = 1;
  Object opresult931 = callmethod(call930, "==", 1, partcv, params);
// compilenode returning opresult931
  Object if923 = done;
  if (istrue(opresult931)) {
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe932 = gc_frame_new();
// compilenode returning *var_s
  int op_slot_right_933 = gc_frame_newslot(*var_s);
// compilenode returning *var_indent
  int op_slot_left_933 = gc_frame_newslot(*var_indent);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult935 = callmethod(*var_indent, "++", 1, partcv, params);
// compilenode returning opresult935
  gc_frame_newslot(opresult935);
// compilenode returning *var_insertPos
  gc_frame_newslot(*var_insertPos);
  int callframe936 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call937 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe936);
// compilenode returning call937
// compilenode returning call937
  gc_frame_newslot(call937);
  params[0] = opresult935;
  params[1] = *var_insertPos;
  params[2] = call937;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call938 = callmethodflags(self, "insert()atPosition()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe932);
// compilenode returning call938
    gc_frame_newslot(call938);
    if923 = call938;
  } else {
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe939 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_insertPos
  gc_frame_newslot(*var_insertPos);
  int callframe940 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call941 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe940);
// compilenode returning call941
// compilenode returning call941
  gc_frame_newslot(call941);
  params[0] = *var_s;
  params[1] = *var_insertPos;
  params[2] = call941;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call942 = callmethodflags(self, "insert()atPosition()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe939);
// compilenode returning call942
    gc_frame_newslot(call942);
    if923 = call942;
  }
// compilenode returning if923
    gc_frame_newslot(if923);
    if904 = if923;
  }
// compilenode returning if904
  gc_frame_end(frame);
  return if904;
}
Object meth_errormessages_replaceTokenRange_40__41_with943(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "replaceTokenRange()with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method replaceTokenRange()with");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method replaceTokenRange()with");
  Object params[5];
  int partcv[4];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for replaceTokenRange()with (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for replaceTokenRange");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for with");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe944 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
  Object bool945 = alloc_Boolean(0);
// compilenode returning bool945
  gc_frame_newslot(bool945);
  Object bool946 = alloc_Boolean(0);
// compilenode returning bool946
  gc_frame_newslot(bool946);
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = bool945;
  params[3] = bool946;
  params[4] = *var_s;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call947 = callmethodflags(self, "replaceTokenRange()leading()trailing()with", 4, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe944);
// compilenode returning call947
  gc_frame_end(frame);
  return call947;
}
Object meth_errormessages_deleteToken_40__41_leading_40__41_trailing948(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteToken()leading()trailing");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method deleteToken()leading()trailing");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method deleteToken()leading()trailing");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method deleteToken()leading()trailing");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for deleteToken()leading()trailing (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for deleteToken");
  Object *var_deleteLeading = &(stackframe->slots[1]);
  *var_deleteLeading = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for leading");
  Object *var_deleteTrailing = &(stackframe->slots[2]);
  *var_deleteTrailing = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for trailing");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_start = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "start");
  Object *var_end = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "end");
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe949 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_deleteLeading
  gc_frame_newslot(*var_deleteLeading);
  params[0] = *var_token;
  params[1] = *var_deleteLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call950 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe949);
// compilenode returning call950
  *var_start = call950;
  if (call950 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe951 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_token;
  params[1] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call952 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe951);
// compilenode returning call952
  *var_end = call952;
  if (call952 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe953 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
  int callframe954 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call955 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe954);
// compilenode returning call955
// compilenode returning call955
  gc_frame_newslot(call955);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = call955;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call956 = callmethodflags(self, "deleteRange()onLine", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe953);
// compilenode returning call956
  gc_frame_end(frame);
  return call956;
}
Object meth_errormessages_deleteToken957(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method deleteToken");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for deleteToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for deleteToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe958 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
  Object bool959 = alloc_Boolean(0);
// compilenode returning bool959
  gc_frame_newslot(bool959);
  Object bool960 = alloc_Boolean(0);
// compilenode returning bool960
  gc_frame_newslot(bool960);
  params[0] = *var_token;
  params[1] = bool959;
  params[2] = bool960;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call961 = callmethodflags(self, "deleteToken()leading()trailing", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe958);
// compilenode returning call961
  gc_frame_end(frame);
  return call961;
}
Object meth_errormessages__apply979(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_end
  int op_slot_right_980 = gc_frame_newslot(*var_end);
// compilenode returning *var_tok
  int op_slot_left_980 = gc_frame_newslot(*var_tok);
  params[0] = *var_end;
  partcv[0] = 1;
  Object opresult982 = callmethod(*var_tok, "!=", 1, partcv, params);
// compilenode returning opresult982
  gc_frame_end(frame);
  return opresult982;
}
Object meth_errormessages__apply985(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object *var_startPos = getfromclosure(closure, 2);
  Object *var_endPos = getfromclosure(closure, 3);
  Object *var_deleteLeading = getfromclosure(closure, 4);
  Object *var_deleteTrailing = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_line
  int op_slot_right_987 = gc_frame_newslot(*var_line);
  int callframe989 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call990 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe989);
// compilenode returning call990
// compilenode returning call990
  int op_slot_left_987 = gc_frame_newslot(call990);
  params[0] = *var_line;
  partcv[0] = 1;
  Object opresult991 = callmethod(call990, "!=", 1, partcv, params);
// compilenode returning opresult991
  Object if986 = done;
  if (istrue(opresult991)) {
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe992 = gc_frame_new();
// compilenode returning *var_startPos
  gc_frame_newslot(*var_startPos);
// compilenode returning *var_endPos
  gc_frame_newslot(*var_endPos);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  params[0] = *var_startPos;
  params[1] = *var_endPos;
  params[2] = *var_line;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call993 = callmethodflags(self, "deleteRange()onLine", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe992);
// compilenode returning call993
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe994 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call995 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe994);
// compilenode returning call995
// compilenode returning call995
  *var_line = call995;
  if (call995 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe997 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_deleteLeading
  gc_frame_newslot(*var_deleteLeading);
  params[0] = *var_tok;
  params[1] = *var_deleteLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call998 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe997);
// compilenode returning call998
  *var_startPos = call998;
  if (call998 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if986 = done;
  } else {
  }
// compilenode returning if986
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1000 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_tok;
  params[1] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1001 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1000);
// compilenode returning call1001
  *var_endPos = call1001;
  if (call1001 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1003 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call1004 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe1003);
// compilenode returning call1004
// compilenode returning call1004
  *var_tok = call1004;
  if (call1004 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(9, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteTokenRange()leading()trailing");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method deleteTokenRange()leading()trailing");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method deleteTokenRange()leading()trailing");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method deleteTokenRange()leading()trailing");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for deleteTokenRange()leading()trailing (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for deleteTokenRange");
  Object *var_deleteLeading = &(stackframe->slots[2]);
  *var_deleteLeading = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for leading");
  Object *var_deleteTrailing = &(stackframe->slots[3]);
  *var_deleteTrailing = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for trailing");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_startPos = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "startPos");
  Object *var_endPos = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "endPos");
  Object *var_tok = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "tok");
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_end
  int op_slot_right_964 = gc_frame_newslot(*var_end);
// compilenode returning *var_start
  int op_slot_left_964 = gc_frame_newslot(*var_start);
  params[0] = *var_end;
  partcv[0] = 1;
  Object opresult966 = callmethod(*var_start, "==", 1, partcv, params);
// compilenode returning opresult966
  Object if963 = done;
  if (istrue(opresult966)) {
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe967 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_deleteLeading
  gc_frame_newslot(*var_deleteLeading);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_start;
  params[1] = *var_deleteLeading;
  params[2] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call968 = callmethodflags(self, "deleteToken()leading()trailing", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe967);
// compilenode returning call968
    gc_frame_newslot(call968);
    if963 = call968;
  } else {
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe969 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call970 = callmethod(*var_start, "line",
    1, partcv, params);
  gc_frame_end(callframe969);
// compilenode returning call970
// compilenode returning call970
  *var_line = call970;
  if (call970 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe971 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_deleteLeading
  gc_frame_newslot(*var_deleteLeading);
  params[0] = *var_start;
  params[1] = *var_deleteLeading;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call972 = callmethodflags(self, "getTokenStart()includeLeadingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe971);
// compilenode returning call972
  *var_startPos = call972;
  if (call972 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe973 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_start;
  params[1] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call974 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe973);
// compilenode returning call974
  *var_endPos = call974;
  if (call974 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe975 = gc_frame_new();
// compilenode returning *var_start
  partcv[0] = 0;
  Object call976 = callmethod(*var_start, "next",
    1, partcv, params);
  gc_frame_end(callframe975);
// compilenode returning call976
// compilenode returning call976
  *var_tok = call976;
  if (call976 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe977 = gc_frame_new();
  Object block978 = alloc_Block(NULL, NULL, "errormessages", 171);
  gc_frame_newslot(block978);
  block_savedest(block978);
  Object closure979 = createclosure(3, "_apply");
  setclosureframe(closure979, stackframe);
  addtoclosure(closure979, var_end);
  addtoclosure(closure979, var_tok);
  addtoclosure(closure979, selfslot);
  struct UserObject *uo979 = (struct UserObject*)block978;
  uo979->data[0] = (Object)closure979;
  Method *meth_meth_errormessages__apply979 = addmethod2pos(block978, "_apply", &meth_errormessages__apply979, 0);
int argcv_meth_errormessages__apply979[] = {0};
meth_meth_errormessages__apply979->type = alloc_MethodType(1, argcv_meth_errormessages__apply979);
  meth_meth_errormessages__apply979->definitionModule = modulename;
  meth_meth_errormessages__apply979->definitionLine = 170;
// compilenode returning block978
  gc_frame_newslot(block978);
  Object block984 = alloc_Block(NULL, NULL, "errormessages", 171);
  gc_frame_newslot(block984);
  block_savedest(block984);
  Object closure985 = createclosure(7, "_apply");
  setclosureframe(closure985, stackframe);
  addtoclosure(closure985, var_line);
  addtoclosure(closure985, var_tok);
  addtoclosure(closure985, var_startPos);
  addtoclosure(closure985, var_endPos);
  addtoclosure(closure985, var_deleteLeading);
  addtoclosure(closure985, var_deleteTrailing);
  addtoclosure(closure985, selfslot);
  struct UserObject *uo985 = (struct UserObject*)block984;
  uo985->data[0] = (Object)closure985;
  Method *meth_meth_errormessages__apply985 = addmethod2pos(block984, "_apply", &meth_errormessages__apply985, 0);
int argcv_meth_errormessages__apply985[] = {0};
meth_meth_errormessages__apply985->type = alloc_MethodType(1, argcv_meth_errormessages__apply985);
  meth_meth_errormessages__apply985->definitionModule = modulename;
  meth_meth_errormessages__apply985->definitionLine = 170;
// compilenode returning block984
  gc_frame_newslot(block984);
  params[0] = block978;
  params[1] = block984;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1007 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe977);
// compilenode returning call1007
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_line
  int op_slot_right_1009 = gc_frame_newslot(*var_line);
  int callframe1011 = gc_frame_new();
// compilenode returning *var_end
  partcv[0] = 0;
  Object call1012 = callmethod(*var_end, "line",
    1, partcv, params);
  gc_frame_end(callframe1011);
// compilenode returning call1012
// compilenode returning call1012
  int op_slot_left_1009 = gc_frame_newslot(call1012);
  params[0] = *var_line;
  partcv[0] = 1;
  Object opresult1013 = callmethod(call1012, "!=", 1, partcv, params);
// compilenode returning opresult1013
  Object if1008 = done;
  if (istrue(opresult1013)) {
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1014 = gc_frame_new();
// compilenode returning *var_startPos
  gc_frame_newslot(*var_startPos);
// compilenode returning *var_endPos
  gc_frame_newslot(*var_endPos);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  params[0] = *var_startPos;
  params[1] = *var_endPos;
  params[2] = *var_line;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1015 = callmethodflags(self, "deleteRange()onLine", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1014);
// compilenode returning call1015
    gc_frame_newslot(call1015);
    if1008 = call1015;
  } else {
  }
// compilenode returning if1008
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1016 = gc_frame_new();
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
// compilenode returning *var_deleteTrailing
  gc_frame_newslot(*var_deleteTrailing);
  params[0] = *var_end;
  params[1] = *var_deleteTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1017 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1016);
// compilenode returning call1017
  *var_endPos = call1017;
  if (call1017 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1019 = gc_frame_new();
// compilenode returning *var_startPos
  gc_frame_newslot(*var_startPos);
// compilenode returning *var_endPos
  gc_frame_newslot(*var_endPos);
  int callframe1020 = gc_frame_new();
// compilenode returning *var_end
  partcv[0] = 0;
  Object call1021 = callmethod(*var_end, "line",
    1, partcv, params);
  gc_frame_end(callframe1020);
// compilenode returning call1021
// compilenode returning call1021
  gc_frame_newslot(call1021);
  params[0] = *var_startPos;
  params[1] = *var_endPos;
  params[2] = call1021;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1022 = callmethodflags(self, "deleteRange()onLine", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1019);
// compilenode returning call1022
    gc_frame_newslot(call1022);
    if963 = call1022;
  }
// compilenode returning if963
  gc_frame_end(frame);
  return if963;
}
Object meth_errormessages_deleteTokenRange1023(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteTokenRange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method deleteTokenRange");
  Object params[4];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for deleteTokenRange (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_start = &(stackframe->slots[0]);
  *var_start = args[curarg];
  curarg++;
  Object *var_end = &(stackframe->slots[1]);
  *var_end = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for deleteTokenRange");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1024 = gc_frame_new();
// compilenode returning *var_start
  gc_frame_newslot(*var_start);
// compilenode returning *var_end
  gc_frame_newslot(*var_end);
  Object bool1025 = alloc_Boolean(0);
// compilenode returning bool1025
  gc_frame_newslot(bool1025);
  Object bool1026 = alloc_Boolean(0);
// compilenode returning bool1026
  gc_frame_newslot(bool1026);
  params[0] = *var_start;
  params[1] = *var_end;
  params[2] = bool1025;
  params[3] = bool1026;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1027 = callmethodflags(self, "deleteTokenRange()leading()trailing", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1024);
// compilenode returning call1027
  gc_frame_end(frame);
  return call1027;
}
Object meth_errormessages_deleteLine1028(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "deleteLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method deleteLine");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for deleteLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lineNumber = &(stackframe->slots[0]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for deleteLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1029 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit1030 == NULL) {
    strlit1030 = alloc_String("");
    gc_root(strlit1030);
  }
// compilenode returning strlit1030
  gc_frame_newslot(strlit1030);
  params[0] = *var_lineNumber;
  params[1] = strlit1030;
  partcv[0] = 2;
  Object call1031 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1029);
// compilenode returning call1031
  gc_frame_end(frame);
  return call1031;
}
Object meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insert()afterToken()andTrailingSpace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method insert()afterToken()andTrailingSpace");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method insert()afterToken()andTrailingSpace");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method insert()afterToken()andTrailingSpace");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for insert()afterToken()andTrailingSpace (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for insert");
  Object *var_token = &(stackframe->slots[1]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for afterToken");
  Object *var_afterTrailing = &(stackframe->slots[2]);
  *var_afterTrailing = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for andTrailingSpace");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_pos = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "pos");
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1034 = alloc_Float64(1);
// compilenode returning num1034
  int op_slot_right_1033 = gc_frame_newslot(num1034);
  int callframe1036 = gc_frame_new();
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
// compilenode returning *var_afterTrailing
  gc_frame_newslot(*var_afterTrailing);
  params[0] = *var_token;
  params[1] = *var_afterTrailing;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1037 = callmethodflags(self, "getTokenEnd()includeTrailingSpace", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1036);
// compilenode returning call1037
  int op_slot_left_1033 = gc_frame_newslot(call1037);
  params[0] = num1034;
  partcv[0] = 1;
  Object sum1038 = callmethod(call1037, "+", 1, partcv, params);
// compilenode returning sum1038
  *var_pos = sum1038;
  if (sum1038 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1039 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_pos
  gc_frame_newslot(*var_pos);
  int callframe1040 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call1041 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe1040);
// compilenode returning call1041
// compilenode returning call1041
  gc_frame_newslot(call1041);
  params[0] = *var_s;
  params[1] = *var_pos;
  params[2] = call1041;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1042 = callmethodflags(self, "insert()atPosition()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1039);
// compilenode returning call1042
  gc_frame_end(frame);
  return call1042;
}
Object meth_errormessages_insert_40__41_afterToken1043(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insert()afterToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method insert()afterToken");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method insert()afterToken");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for insert()afterToken (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for insert");
  Object *var_token = &(stackframe->slots[1]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for afterToken");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1044 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_token
  gc_frame_newslot(*var_token);
  Object bool1045 = alloc_Boolean(0);
// compilenode returning bool1045
  gc_frame_newslot(bool1045);
  params[0] = *var_s;
  params[1] = *var_token;
  params[2] = bool1045;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1046 = callmethodflags(self, "insert()afterToken()andTrailingSpace", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1044);
// compilenode returning call1046
  gc_frame_end(frame);
  return call1046;
}
Object meth_errormessages_insert_40__41_beforeToken1047(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insert()beforeToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method insert()beforeToken");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method insert()beforeToken");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for insert()beforeToken (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for insert");
  Object *var_token = &(stackframe->slots[1]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for beforeToken");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1048 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
  int callframe1049 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call1050 = callmethod(*var_token, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1049);
// compilenode returning call1050
// compilenode returning call1050
  gc_frame_newslot(call1050);
  int callframe1051 = gc_frame_new();
// compilenode returning *var_token
  partcv[0] = 0;
  Object call1052 = callmethod(*var_token, "line",
    1, partcv, params);
  gc_frame_end(callframe1051);
// compilenode returning call1052
// compilenode returning call1052
  gc_frame_newslot(call1052);
  params[0] = *var_s;
  params[1] = call1050;
  params[2] = call1052;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1053 = callmethodflags(self, "insert()atPosition()onLine", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1048);
// compilenode returning call1053
  gc_frame_end(frame);
  return call1053;
}
Object meth_errormessages_insertNewLine_40__41_after1054(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "insertNewLine()after");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method insertNewLine()after");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method insertNewLine()after");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for insertNewLine()after (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_line = &(stackframe->slots[0]);
  *var_line = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for insertNewLine");
  Object *var_lineNumber = &(stackframe->slots[1]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for after");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1055 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  params[0] = *var_lineNumber;
  params[1] = *var_line;
  partcv[0] = 2;
  Object call1056 = callmethodflags(self, "addLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1055);
// compilenode returning call1056
  gc_frame_end(frame);
  return call1056;
}
Object meth_errormessages__apply1096(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_lineNumber = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1098 = gc_frame_new();
  partcv[0] = 0;
  Object call1099 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1098);
// compilenode returning call1099
  Object num1101 = alloc_Float64(1);
// compilenode returning num1101
  int op_slot_right_1100 = gc_frame_newslot(num1101);
// compilenode returning *var_i
  int op_slot_left_1100 = gc_frame_newslot(*var_i);
  params[0] = num1101;
  partcv[0] = 1;
  Object diff1103 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1103
  params[0] = diff1103;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1104 = callmethod(call1099, "[]", 1, partcv, params);
// compilenode returning idxres1104
  int op_slot_right_1097 = gc_frame_newslot(idxres1104);
// compilenode returning *var_lineNumber
  int op_slot_left_1097 = gc_frame_newslot(*var_lineNumber);
  params[0] = idxres1104;
  partcv[0] = 1;
  Object opresult1106 = callmethod(*var_lineNumber, "<", 1, partcv, params);
// compilenode returning opresult1106
  gc_frame_end(frame);
  return opresult1106;
}
Object meth_errormessages__apply1093(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_lineNumber = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1094 = gc_frame_new();
  Object block1095 = alloc_Block(NULL, NULL, "errormessages", 227);
  gc_frame_newslot(block1095);
  block_savedest(block1095);
  Object closure1096 = createclosure(3, "_apply");
  setclosureframe(closure1096, stackframe);
  addtoclosure(closure1096, var_i);
  addtoclosure(closure1096, var_lineNumber);
  addtoclosure(closure1096, selfslot);
  struct UserObject *uo1096 = (struct UserObject*)block1095;
  uo1096->data[0] = (Object)closure1096;
  Method *meth_meth_errormessages__apply1096 = addmethod2pos(block1095, "_apply", &meth_errormessages__apply1096, 0);
int argcv_meth_errormessages__apply1096[] = {0};
meth_meth_errormessages__apply1096->type = alloc_MethodType(1, argcv_meth_errormessages__apply1096);
  meth_meth_errormessages__apply1096->definitionModule = modulename;
  meth_meth_errormessages__apply1096->definitionLine = 226;
// compilenode returning block1095
  gc_frame_newslot(block1095);
  Object num1109 = alloc_Float64(1);
// compilenode returning num1109
  int op_slot_right_1108 = gc_frame_newslot(num1109);
// compilenode returning *var_i
  int op_slot_left_1108 = gc_frame_newslot(*var_i);
  params[0] = num1109;
  partcv[0] = 1;
  Object opresult1111 = callmethod(*var_i, ">", 1, partcv, params);
// compilenode returning opresult1111
  params[0] = block1095;
  partcv[0] = 1;
  Object call1112 = callmethod(opresult1111, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1094);
// compilenode returning call1112
  gc_frame_end(frame);
  return call1112;
}
Object meth_errormessages__apply1115(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1116 = gc_frame_new();
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1117 = gc_frame_new();
  partcv[0] = 0;
  Object call1118 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1117);
// compilenode returning call1118
  Object num1120 = alloc_Float64(1);
// compilenode returning num1120
  int op_slot_right_1119 = gc_frame_newslot(num1120);
// compilenode returning *var_i
  int op_slot_left_1119 = gc_frame_newslot(*var_i);
  params[0] = num1120;
  partcv[0] = 1;
  Object diff1122 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1122
  params[0] = diff1122;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1123 = callmethod(call1118, "[]", 1, partcv, params);
// compilenode returning idxres1123
  gc_frame_newslot(idxres1123);
  int callframe1124 = gc_frame_new();
  partcv[0] = 0;
  Object call1125 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1124);
// compilenode returning call1125
  params[0] = *var_i;
  params[1] = idxres1123;
  partcv[0] = 2;
  Object call1126 = callmethod(call1125, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe1116);
// compilenode returning call1126
// compilenode returning done
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1127 = gc_frame_new();
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1128 = gc_frame_new();
  partcv[0] = 0;
  Object call1129 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1128);
// compilenode returning call1129
  Object num1131 = alloc_Float64(1);
// compilenode returning num1131
  int op_slot_right_1130 = gc_frame_newslot(num1131);
// compilenode returning *var_i
  int op_slot_left_1130 = gc_frame_newslot(*var_i);
  params[0] = num1131;
  partcv[0] = 1;
  Object diff1133 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1133
  params[0] = diff1133;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1134 = callmethod(call1129, "[]", 1, partcv, params);
// compilenode returning idxres1134
  gc_frame_newslot(idxres1134);
  int callframe1135 = gc_frame_new();
  partcv[0] = 0;
  Object call1136 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1135);
// compilenode returning call1136
  params[0] = *var_i;
  params[1] = idxres1134;
  partcv[0] = 2;
  Object call1137 = callmethod(call1136, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe1127);
// compilenode returning call1137
// compilenode returning done
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1139 = alloc_Float64(1);
// compilenode returning num1139
  int op_slot_right_1138 = gc_frame_newslot(num1139);
// compilenode returning *var_i
  int op_slot_left_1138 = gc_frame_newslot(*var_i);
  params[0] = num1139;
  partcv[0] = 1;
  Object diff1141 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1141
  *var_i = diff1141;
  if (diff1141 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages_addLine1057(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method addLine");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lineNumber = &(stackframe->slots[0]);
  *var_lineNumber = args[curarg];
  curarg++;
  Object *var_line = &(stackframe->slots[1]);
  *var_line = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for addLine");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "i");
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1058 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call1059 = callmethodflags(self, "findLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1058);
// compilenode returning call1059
  *var_i = call1059;
  if (call1059 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1062 = alloc_Boolean(0);
// compilenode returning bool1062
  int op_slot_right_1061 = gc_frame_newslot(bool1062);
// compilenode returning *var_i
  int op_slot_left_1061 = gc_frame_newslot(*var_i);
  params[0] = bool1062;
  partcv[0] = 1;
  Object opresult1064 = callmethod(*var_i, "!=", 1, partcv, params);
// compilenode returning opresult1064
  Object if1060 = done;
  if (istrue(opresult1064)) {
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1065 = gc_frame_new();
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe1066 = gc_frame_new();
  partcv[0] = 0;
  Object call1067 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1066);
// compilenode returning call1067
  params[0] = *var_i;
  params[1] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1068 = callmethod(call1067, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1065);
// compilenode returning call1068
    gc_frame_newslot(call1068);
    if1060 = call1068;
  } else {
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1069 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe1070 = gc_frame_new();
  partcv[0] = 0;
  Object call1071 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1070);
// compilenode returning call1071
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call1072 = callmethod(call1071, "push",
    1, partcv, params);
  gc_frame_end(callframe1069);
// compilenode returning call1072
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1073 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe1074 = gc_frame_new();
  partcv[0] = 0;
  Object call1075 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1074);
// compilenode returning call1075
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1076 = callmethod(call1075, "push",
    1, partcv, params);
  gc_frame_end(callframe1073);
// compilenode returning call1076
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1079 = alloc_Float64(1);
// compilenode returning num1079
  int op_slot_right_1078 = gc_frame_newslot(num1079);
  int callframe1081 = gc_frame_new();
  int callframe1082 = gc_frame_new();
  partcv[0] = 0;
  Object call1083 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1082);
// compilenode returning call1083
  partcv[0] = 0;
  Object call1084 = callmethod(call1083, "size",
    1, partcv, params);
  gc_frame_end(callframe1081);
// compilenode returning call1084
// compilenode returning call1084
  int op_slot_left_1078 = gc_frame_newslot(call1084);
  params[0] = num1079;
  partcv[0] = 1;
  Object opresult1085 = callmethod(call1084, ">", 1, partcv, params);
// compilenode returning opresult1085
  Object if1077 = done;
  if (istrue(opresult1085)) {
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1086 = gc_frame_new();
  int callframe1087 = gc_frame_new();
  partcv[0] = 0;
  Object call1088 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1087);
// compilenode returning call1088
  partcv[0] = 0;
  Object call1089 = callmethod(call1088, "size",
    1, partcv, params);
  gc_frame_end(callframe1086);
// compilenode returning call1089
// compilenode returning call1089
  *var_i = call1089;
  if (call1089 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1091 = gc_frame_new();
  Object block1092 = alloc_Block(NULL, NULL, "errormessages", 227);
  gc_frame_newslot(block1092);
  block_savedest(block1092);
  Object closure1093 = createclosure(3, "_apply");
  setclosureframe(closure1093, stackframe);
  addtoclosure(closure1093, var_i);
  addtoclosure(closure1093, var_lineNumber);
  addtoclosure(closure1093, selfslot);
  struct UserObject *uo1093 = (struct UserObject*)block1092;
  uo1093->data[0] = (Object)closure1093;
  Method *meth_meth_errormessages__apply1093 = addmethod2pos(block1092, "_apply", &meth_errormessages__apply1093, 0);
int argcv_meth_errormessages__apply1093[] = {0};
meth_meth_errormessages__apply1093->type = alloc_MethodType(1, argcv_meth_errormessages__apply1093);
  meth_meth_errormessages__apply1093->definitionModule = modulename;
  meth_meth_errormessages__apply1093->definitionLine = 226;
// compilenode returning block1092
  gc_frame_newslot(block1092);
  Object block1114 = alloc_Block(NULL, NULL, "errormessages", 227);
  gc_frame_newslot(block1114);
  block_savedest(block1114);
  Object closure1115 = createclosure(2, "_apply");
  setclosureframe(closure1115, stackframe);
  addtoclosure(closure1115, var_i);
  addtoclosure(closure1115, selfslot);
  struct UserObject *uo1115 = (struct UserObject*)block1114;
  uo1115->data[0] = (Object)closure1115;
  Method *meth_meth_errormessages__apply1115 = addmethod2pos(block1114, "_apply", &meth_errormessages__apply1115, 0);
int argcv_meth_errormessages__apply1115[] = {0};
meth_meth_errormessages__apply1115->type = alloc_MethodType(1, argcv_meth_errormessages__apply1115);
  meth_meth_errormessages__apply1115->definitionModule = modulename;
  meth_meth_errormessages__apply1115->definitionLine = 226;
// compilenode returning block1114
  gc_frame_newslot(block1114);
  params[0] = block1092;
  params[1] = block1114;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1144 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1091);
// compilenode returning call1144
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1145 = gc_frame_new();
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe1146 = gc_frame_new();
  partcv[0] = 0;
  Object call1147 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1146);
// compilenode returning call1147
  params[0] = *var_i;
  params[1] = *var_lineNumber;
  partcv[0] = 2;
  Object call1148 = callmethod(call1147, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe1145);
// compilenode returning call1148
// compilenode returning done
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1149 = gc_frame_new();
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe1150 = gc_frame_new();
  partcv[0] = 0;
  Object call1151 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1150);
// compilenode returning call1151
  params[0] = *var_i;
  params[1] = *var_line;
  partcv[0] = 2;
  Object call1152 = callmethod(call1151, "[]:=",
    1, partcv, params);
  gc_frame_end(callframe1149);
// compilenode returning call1152
// compilenode returning done
    gc_frame_newslot(done);
    if1077 = done;
  } else {
  }
// compilenode returning if1077
    gc_frame_newslot(if1077);
    if1060 = if1077;
  }
// compilenode returning if1060
  gc_frame_end(frame);
  return if1060;
}
Object meth_errormessages__apply1160(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  int op_slot_right_1162 = gc_frame_newslot(*var_lineNumber);
  int callframe1164 = gc_frame_new();
  partcv[0] = 0;
  Object call1165 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1164);
// compilenode returning call1165
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1166 = callmethod(call1165, "[]", 1, partcv, params);
// compilenode returning idxres1166
  int op_slot_left_1162 = gc_frame_newslot(idxres1166);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object opresult1167 = callmethod(idxres1166, "==", 1, partcv, params);
// compilenode returning opresult1167
  Object if1161 = done;
  if (istrue(opresult1167)) {
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  block_return(realself, *var_i);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1161 = undefined;
  } else {
  }
// compilenode returning if1161
  gc_frame_end(frame);
  return if1161;
}
Object meth_errormessages_findLine1153(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findLine");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lineNumber = &(stackframe->slots[0]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1154 = gc_frame_new();
  int callframe1155 = gc_frame_new();
  int callframe1156 = gc_frame_new();
  partcv[0] = 0;
  Object call1157 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1156);
// compilenode returning call1157
  partcv[0] = 0;
  Object call1158 = callmethod(call1157, "indices",
    1, partcv, params);
  gc_frame_end(callframe1155);
// compilenode returning call1158
// compilenode returning call1158
  gc_frame_newslot(call1158);
  Object block1159 = alloc_Block(NULL, NULL, "errormessages", 241);
  gc_frame_newslot(block1159);
  block_savedest(block1159);
  Object closure1160 = createclosure(2, "_apply");
  setclosureframe(closure1160, stackframe);
  addtoclosure(closure1160, var_lineNumber);
  addtoclosure(closure1160, selfslot);
  struct UserObject *uo1160 = (struct UserObject*)block1159;
  uo1160->data[0] = (Object)closure1160;
  Method *meth_meth_errormessages__apply1160 = addmethod2pos(block1159, "_apply", &meth_errormessages__apply1160, 0);
int argcv_meth_errormessages__apply1160[] = {1};
meth_meth_errormessages__apply1160->type = alloc_MethodType(1, argcv_meth_errormessages__apply1160);
  meth_meth_errormessages__apply1160->definitionModule = modulename;
  meth_meth_errormessages__apply1160->definitionLine = 241;
// compilenode returning block1159
  gc_frame_newslot(block1159);
  params[0] = call1158;
  params[1] = block1159;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1169 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1154);
// compilenode returning call1169
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1170 = alloc_Boolean(0);
// compilenode returning bool1170
  gc_frame_end(frame);
  return bool1170;
}
Object meth_errormessages_getLine1171(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "getLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method getLine");
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for getLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lineNumber = &(stackframe->slots[0]);
  *var_lineNumber = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for getLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1172 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call1173 = callmethodflags(self, "findLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1172);
// compilenode returning call1173
  *var_i = call1173;
  if (call1173 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1176 = alloc_Boolean(0);
// compilenode returning bool1176
  int op_slot_right_1175 = gc_frame_newslot(bool1176);
// compilenode returning *var_i
  int op_slot_left_1175 = gc_frame_newslot(*var_i);
  params[0] = bool1176;
  partcv[0] = 1;
  Object opresult1178 = callmethod(*var_i, "==", 1, partcv, params);
// compilenode returning opresult1178
  Object if1174 = done;
  if (istrue(opresult1178)) {
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1179 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call1180 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe1179);
// compilenode returning call1180
// compilenode returning call1180
// compilenode returning *var_lineNumber
  params[0] = *var_lineNumber;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1181 = callmethod(call1180, "[]", 1, partcv, params);
// compilenode returning idxres1181
    gc_frame_newslot(idxres1181);
    if1174 = idxres1181;
  } else {
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1182 = gc_frame_new();
  partcv[0] = 0;
  Object call1183 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1182);
// compilenode returning call1183
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1184 = callmethod(call1183, "[]", 1, partcv, params);
// compilenode returning idxres1184
    gc_frame_newslot(idxres1184);
    if1174 = idxres1184;
  }
// compilenode returning if1174
  gc_frame_end(frame);
  return if1174;
}
Object meth_errormessages__apply1200(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object num1203 = alloc_Float64(1);
// compilenode returning num1203
  int op_slot_right_1202 = gc_frame_newslot(num1203);
  int callframe1205 = gc_frame_new();
  partcv[0] = 0;
  Object call1206 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1205);
// compilenode returning call1206
  Object num1208 = alloc_Float64(1);
// compilenode returning num1208
  int op_slot_right_1207 = gc_frame_newslot(num1208);
// compilenode returning *var_i
  int op_slot_left_1207 = gc_frame_newslot(*var_i);
  params[0] = num1208;
  partcv[0] = 1;
  Object diff1210 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1210
  params[0] = diff1210;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1211 = callmethod(call1206, "[]", 1, partcv, params);
// compilenode returning idxres1211
  int op_slot_left_1202 = gc_frame_newslot(idxres1211);
  params[0] = num1203;
  partcv[0] = 1;
  Object sum1212 = callmethod(idxres1211, "+", 1, partcv, params);
// compilenode returning sum1212
  int op_slot_right_1201 = gc_frame_newslot(sum1212);
  int callframe1214 = gc_frame_new();
  partcv[0] = 0;
  Object call1215 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1214);
// compilenode returning call1215
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1216 = callmethod(call1215, "[]", 1, partcv, params);
// compilenode returning idxres1216
  int op_slot_left_1201 = gc_frame_newslot(idxres1216);
  params[0] = sum1212;
  partcv[0] = 1;
  Object opresult1217 = callmethod(idxres1216, ">", 1, partcv, params);
// compilenode returning opresult1217
  gc_frame_end(frame);
  return opresult1217;
}
Object meth_errormessages__apply1242(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1244 == NULL) {
    strlit1244 = alloc_String(" ");
    gc_root(strlit1244);
  }
// compilenode returning strlit1244
  int op_slot_right_1243 = gc_frame_newslot(strlit1244);
// compilenode returning *var_s
  int op_slot_left_1243 = gc_frame_newslot(*var_s);
  params[0] = strlit1244;
  partcv[0] = 1;
  Object opresult1246 = callmethod(*var_s, "++", 1, partcv, params);
// compilenode returning opresult1246
  *var_s = opresult1246;
  if (opresult1246 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_errormessages__apply1196(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_io = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1198 = gc_frame_new();
  Object block1199 = alloc_Block(NULL, NULL, "errormessages", 262);
  gc_frame_newslot(block1199);
  block_savedest(block1199);
  Object closure1200 = createclosure(2, "_apply");
  setclosureframe(closure1200, stackframe);
  addtoclosure(closure1200, var_i);
  addtoclosure(closure1200, selfslot);
  struct UserObject *uo1200 = (struct UserObject*)block1199;
  uo1200->data[0] = (Object)closure1200;
  Method *meth_meth_errormessages__apply1200 = addmethod2pos(block1199, "_apply", &meth_errormessages__apply1200, 0);
int argcv_meth_errormessages__apply1200[] = {0};
meth_meth_errormessages__apply1200->type = alloc_MethodType(1, argcv_meth_errormessages__apply1200);
  meth_meth_errormessages__apply1200->definitionModule = modulename;
  meth_meth_errormessages__apply1200->definitionLine = 261;
// compilenode returning block1199
  gc_frame_newslot(block1199);
  Object num1220 = alloc_Float64(1);
// compilenode returning num1220
  int op_slot_right_1219 = gc_frame_newslot(num1220);
// compilenode returning *var_i
  int op_slot_left_1219 = gc_frame_newslot(*var_i);
  params[0] = num1220;
  partcv[0] = 1;
  Object opresult1222 = callmethod(*var_i, ">", 1, partcv, params);
// compilenode returning opresult1222
  params[0] = block1199;
  partcv[0] = 1;
  Object call1223 = callmethod(opresult1222, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1198);
// compilenode returning call1223
  Object if1197 = done;
  if (istrue(call1223)) {
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1224 == NULL) {
    strlit1224 = alloc_String("");
    gc_root(strlit1224);
  }
// compilenode returning strlit1224
  *var_s = strlit1224;
  if (strlit1224 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1225 = gc_frame_new();
  int callframe1227 = gc_frame_new();
  int callframe1228 = gc_frame_new();
  int callframe1229 = gc_frame_new();
  partcv[0] = 0;
  Object call1230 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1229);
// compilenode returning call1230
  Object num1232 = alloc_Float64(1);
// compilenode returning num1232
  int op_slot_right_1231 = gc_frame_newslot(num1232);
// compilenode returning *var_i
  int op_slot_left_1231 = gc_frame_newslot(*var_i);
  params[0] = num1232;
  partcv[0] = 1;
  Object diff1234 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff1234
  params[0] = diff1234;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1235 = callmethod(call1230, "[]", 1, partcv, params);
// compilenode returning idxres1235
  partcv[0] = 0;
  Object call1236 = callmethod(idxres1235, "asString",
    1, partcv, params);
  gc_frame_end(callframe1228);
// compilenode returning call1236
// compilenode returning call1236
  partcv[0] = 0;
  Object call1237 = callmethod(call1236, "size",
    1, partcv, params);
  gc_frame_end(callframe1227);
// compilenode returning call1237
// compilenode returning call1237
  int op_slot_right_1226 = gc_frame_newslot(call1237);
  Object num1239 = alloc_Float64(1);
// compilenode returning num1239
  int op_slot_left_1226 = gc_frame_newslot(num1239);
  params[0] = call1237;
  partcv[0] = 1;
  Object opresult1240 = callmethod(num1239, "..", 1, partcv, params);
// compilenode returning opresult1240
  gc_frame_newslot(opresult1240);
  Object block1241 = alloc_Block(NULL, NULL, "errormessages", 264);
  gc_frame_newslot(block1241);
  block_savedest(block1241);
  Object closure1242 = createclosure(2, "_apply");
  setclosureframe(closure1242, stackframe);
  addtoclosure(closure1242, var_s);
  addtoclosure(closure1242, selfslot);
  struct UserObject *uo1242 = (struct UserObject*)block1241;
  uo1242->data[0] = (Object)closure1242;
  Method *meth_meth_errormessages__apply1242 = addmethod2pos(block1241, "_apply", &meth_errormessages__apply1242, 0);
int argcv_meth_errormessages__apply1242[] = {0};
meth_meth_errormessages__apply1242->type = alloc_MethodType(1, argcv_meth_errormessages__apply1242);
  meth_meth_errormessages__apply1242->definitionModule = modulename;
  meth_meth_errormessages__apply1242->definitionLine = 264;
// compilenode returning block1241
  gc_frame_newslot(block1241);
  params[0] = opresult1240;
  params[1] = block1241;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1249 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1225);
// compilenode returning call1249
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1250 = gc_frame_new();
  if (strlit1252 == NULL) {
    strlit1252 = alloc_String("...""\x0a""");
    gc_root(strlit1252);
  }
// compilenode returning strlit1252
  int op_slot_right_1251 = gc_frame_newslot(strlit1252);
// compilenode returning *var_s
  int op_slot_right_1254 = gc_frame_newslot(*var_s);
  if (strlit1256 == NULL) {
    strlit1256 = alloc_String("    ");
    gc_root(strlit1256);
  }
// compilenode returning strlit1256
  int op_slot_left_1254 = gc_frame_newslot(strlit1256);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult1257 = callmethod(strlit1256, "++", 1, partcv, params);
// compilenode returning opresult1257
  int op_slot_left_1251 = gc_frame_newslot(opresult1257);
  params[0] = strlit1252;
  partcv[0] = 1;
  Object opresult1258 = callmethod(opresult1257, "++", 1, partcv, params);
// compilenode returning opresult1258
  gc_frame_newslot(opresult1258);
  int callframe1259 = gc_frame_new();
// compilenode returning *var_io
  partcv[0] = 0;
  Object call1260 = callmethod(*var_io, "error",
    1, partcv, params);
  gc_frame_end(callframe1259);
// compilenode returning call1260
// compilenode returning call1260
  params[0] = opresult1258;
  partcv[0] = 1;
  Object call1261 = callmethod(call1260, "write",
    1, partcv, params);
  gc_frame_end(callframe1250);
// compilenode returning call1261
    gc_frame_newslot(call1261);
    if1197 = call1261;
  } else {
  }
// compilenode returning if1197
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1264 = gc_frame_new();
  partcv[0] = 0;
  Object call1265 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1264);
// compilenode returning call1265
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1266 = callmethod(call1265, "[]", 1, partcv, params);
// compilenode returning idxres1266
  int op_slot_right_1263 = gc_frame_newslot(idxres1266);
  int callframe1268 = gc_frame_new();
  int callframe1269 = gc_frame_new();
  partcv[0] = 0;
  Object call1270 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1269);
// compilenode returning call1270
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1271 = callmethod(call1270, "[]", 1, partcv, params);
// compilenode returning idxres1271
  partcv[0] = 0;
  Object call1272 = callmethod(idxres1271, "truncate",
    1, partcv, params);
  gc_frame_end(callframe1268);
// compilenode returning call1272
// compilenode returning call1272
  int op_slot_left_1263 = gc_frame_newslot(call1272);
  params[0] = idxres1266;
  partcv[0] = 1;
  Object opresult1273 = callmethod(call1272, "!=", 1, partcv, params);
// compilenode returning opresult1273
  Object if1262 = done;
  if (istrue(opresult1273)) {
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1274 = gc_frame_new();
  if (strlit1276 == NULL) {
    strlit1276 = alloc_String("""\x0a""");
    gc_root(strlit1276);
  }
// compilenode returning strlit1276
  int op_slot_right_1275 = gc_frame_newslot(strlit1276);
  int callframe1279 = gc_frame_new();
  partcv[0] = 0;
  Object call1280 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1279);
// compilenode returning call1280
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1281 = callmethod(call1280, "[]", 1, partcv, params);
// compilenode returning idxres1281
  int op_slot_right_1278 = gc_frame_newslot(idxres1281);
  if (strlit1284 == NULL) {
    strlit1284 = alloc_String(": ");
    gc_root(strlit1284);
  }
// compilenode returning strlit1284
  int op_slot_right_1283 = gc_frame_newslot(strlit1284);
  int callframe1287 = gc_frame_new();
  int callframe1288 = gc_frame_new();
  partcv[0] = 0;
  Object call1289 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1288);
// compilenode returning call1289
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1290 = callmethod(call1289, "[]", 1, partcv, params);
// compilenode returning idxres1290
  partcv[0] = 0;
  Object call1291 = callmethod(idxres1290, "truncate",
    1, partcv, params);
  gc_frame_end(callframe1287);
// compilenode returning call1291
// compilenode returning call1291
  int op_slot_right_1286 = gc_frame_newslot(call1291);
  if (strlit1293 == NULL) {
    strlit1293 = alloc_String(" *");
    gc_root(strlit1293);
  }
// compilenode returning strlit1293
  int op_slot_left_1286 = gc_frame_newslot(strlit1293);
  params[0] = call1291;
  partcv[0] = 1;
  Object opresult1294 = callmethod(strlit1293, "++", 1, partcv, params);
// compilenode returning opresult1294
  int op_slot_left_1283 = gc_frame_newslot(opresult1294);
  params[0] = strlit1284;
  partcv[0] = 1;
  Object opresult1295 = callmethod(opresult1294, "++", 1, partcv, params);
// compilenode returning opresult1295
  int op_slot_left_1278 = gc_frame_newslot(opresult1295);
  params[0] = idxres1281;
  partcv[0] = 1;
  Object opresult1296 = callmethod(opresult1295, "++", 1, partcv, params);
// compilenode returning opresult1296
  int op_slot_left_1275 = gc_frame_newslot(opresult1296);
  params[0] = strlit1276;
  partcv[0] = 1;
  Object opresult1297 = callmethod(opresult1296, "++", 1, partcv, params);
// compilenode returning opresult1297
  gc_frame_newslot(opresult1297);
  int callframe1298 = gc_frame_new();
// compilenode returning *var_io
  partcv[0] = 0;
  Object call1299 = callmethod(*var_io, "error",
    1, partcv, params);
  gc_frame_end(callframe1298);
// compilenode returning call1299
// compilenode returning call1299
  params[0] = opresult1297;
  partcv[0] = 1;
  Object call1300 = callmethod(call1299, "write",
    1, partcv, params);
  gc_frame_end(callframe1274);
// compilenode returning call1300
    gc_frame_newslot(call1300);
    if1262 = call1300;
  } else {
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1301 = gc_frame_new();
  if (strlit1303 == NULL) {
    strlit1303 = alloc_String("""\x0a""");
    gc_root(strlit1303);
  }
// compilenode returning strlit1303
  int op_slot_right_1302 = gc_frame_newslot(strlit1303);
  int callframe1306 = gc_frame_new();
  partcv[0] = 0;
  Object call1307 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1306);
// compilenode returning call1307
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1308 = callmethod(call1307, "[]", 1, partcv, params);
// compilenode returning idxres1308
  int op_slot_right_1305 = gc_frame_newslot(idxres1308);
  if (strlit1311 == NULL) {
    strlit1311 = alloc_String(": ");
    gc_root(strlit1311);
  }
// compilenode returning strlit1311
  int op_slot_right_1310 = gc_frame_newslot(strlit1311);
  int callframe1314 = gc_frame_new();
  partcv[0] = 0;
  Object call1315 = callmethodflags(self, "lineNumbers", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1314);
// compilenode returning call1315
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1316 = callmethod(call1315, "[]", 1, partcv, params);
// compilenode returning idxres1316
  int op_slot_right_1313 = gc_frame_newslot(idxres1316);
  if (strlit1318 == NULL) {
    strlit1318 = alloc_String("  ");
    gc_root(strlit1318);
  }
// compilenode returning strlit1318
  int op_slot_left_1313 = gc_frame_newslot(strlit1318);
  params[0] = idxres1316;
  partcv[0] = 1;
  Object opresult1319 = callmethod(strlit1318, "++", 1, partcv, params);
// compilenode returning opresult1319
  int op_slot_left_1310 = gc_frame_newslot(opresult1319);
  params[0] = strlit1311;
  partcv[0] = 1;
  Object opresult1320 = callmethod(opresult1319, "++", 1, partcv, params);
// compilenode returning opresult1320
  int op_slot_left_1305 = gc_frame_newslot(opresult1320);
  params[0] = idxres1308;
  partcv[0] = 1;
  Object opresult1321 = callmethod(opresult1320, "++", 1, partcv, params);
// compilenode returning opresult1321
  int op_slot_left_1302 = gc_frame_newslot(opresult1321);
  params[0] = strlit1303;
  partcv[0] = 1;
  Object opresult1322 = callmethod(opresult1321, "++", 1, partcv, params);
// compilenode returning opresult1322
  gc_frame_newslot(opresult1322);
  int callframe1323 = gc_frame_new();
// compilenode returning *var_io
  partcv[0] = 0;
  Object call1324 = callmethod(*var_io, "error",
    1, partcv, params);
  gc_frame_end(callframe1323);
// compilenode returning call1324
// compilenode returning call1324
  params[0] = opresult1322;
  partcv[0] = 1;
  Object call1325 = callmethod(call1324, "write",
    1, partcv, params);
  gc_frame_end(callframe1301);
// compilenode returning call1325
    gc_frame_newslot(call1325);
    if1262 = call1325;
  }
// compilenode returning if1262
  gc_frame_end(frame);
  return if1262;
}
Object meth_errormessages_print1185(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "print");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_io = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for print (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for print");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1186 = gc_frame_new();
  int callframe1188 = gc_frame_new();
  int callframe1189 = gc_frame_new();
  partcv[0] = 0;
  Object call1190 = callmethodflags(self, "lines", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1189);
// compilenode returning call1190
  partcv[0] = 0;
  Object call1191 = callmethod(call1190, "size",
    1, partcv, params);
  gc_frame_end(callframe1188);
// compilenode returning call1191
// compilenode returning call1191
  int op_slot_right_1187 = gc_frame_newslot(call1191);
  Object num1193 = alloc_Float64(1);
// compilenode returning num1193
  int op_slot_left_1187 = gc_frame_newslot(num1193);
  params[0] = call1191;
  partcv[0] = 1;
  Object opresult1194 = callmethod(num1193, "..", 1, partcv, params);
// compilenode returning opresult1194
  gc_frame_newslot(opresult1194);
  Object block1195 = alloc_Block(NULL, NULL, "errormessages", 261);
  gc_frame_newslot(block1195);
  block_savedest(block1195);
  Object closure1196 = createclosure(2, "_apply");
  setclosureframe(closure1196, stackframe);
  addtoclosure(closure1196, var_io);
  addtoclosure(closure1196, selfslot);
  struct UserObject *uo1196 = (struct UserObject*)block1195;
  uo1196->data[0] = (Object)closure1196;
  Method *meth_meth_errormessages__apply1196 = addmethod2pos(block1195, "_apply", &meth_errormessages__apply1196, 0);
int argcv_meth_errormessages__apply1196[] = {1};
meth_meth_errormessages__apply1196->type = alloc_MethodType(1, argcv_meth_errormessages__apply1196);
  meth_meth_errormessages__apply1196->definitionModule = modulename;
  meth_meth_errormessages__apply1196->definitionLine = 261;
// compilenode returning block1195
  gc_frame_newslot(block1195);
  params[0] = opresult1194;
  params[1] = block1195;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1327 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1186);
// compilenode returning call1327
  gc_frame_end(frame);
  return call1327;
}
Object meth_errormessages_new574(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject575 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj575 = alloc_userobj2(28,29, objclass575);
  gc_frame_newslot(obj575);
if (objclass575 == NULL) {
  glfree(obj575->class->name);
  obj575->class->name = "suggestion";
}
// OBJECT OUTER DEC outer
  adddatum2(obj575, self, 0);
  addmethodreal(obj575,"outer", &reader_errormessages_outer_576);
  Object oldself575 = self;
  struct StackFrameObject *oldstackframe575 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe575);
  gc_frame_newslot((Object)stackframe);
  self = obj575;
  Object *oldselfslot575 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter575 = (*(struct UserObject *)self).data[0], lowerouter575 = thisouter575;
  if (inheritingObject575) {
    struct UserObject *inho575 = (struct UserObject *)inheritingObject575;
    while (inho575->super != GraceDefaultObject) inho575 = (struct UserObject *)inho575->super;
    inho575->super = obj575;
    self = inheritingObject575;
    *selfslot = self;
    lowerouter575 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter575;
  }
if (objclass575 == NULL) {
  Method *reader577 = addmethodrealflags(obj575, "lineNumbers",&reader_errormessages_lineNumbers_577, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader577->definitionModule = modulename;
  reader577->definitionLine = 16;
}
adddatum2(obj575, alloc_Undefined(), 1);
if (objclass575 == NULL) {
  Method *reader578 = addmethodrealflags(obj575, "lines",&reader_errormessages_lines_578, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader578->definitionModule = modulename;
  reader578->definitionLine = 23;
}
adddatum2(obj575, alloc_Undefined(), 2);
  struct UserObject *uo579 = (struct UserObject*)obj575;
  uo579->data[3] = emptyclosure;
  Method *meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine579 = addmethod2pos(obj575, "replaceRange()with()onLine", &meth_errormessages_replaceRange_40__41_with_40__41_onLine579, 3);
int argcv_meth_errormessages_replaceRange_40__41_with_40__41_onLine579[] = {2, 1, 1};
meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine579->type = alloc_MethodType(3, argcv_meth_errormessages_replaceRange_40__41_with_40__41_onLine579);
  meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine579->definitionModule = modulename;
  meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine579->definitionLine = 23;
  struct UserObject *uo623 = (struct UserObject*)obj575;
  uo623->data[4] = emptyclosure;
  Method *meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine623 = addmethod2pos(obj575, "replaceChar()with()onLine", &meth_errormessages_replaceChar_40__41_with_40__41_onLine623, 4);
int argcv_meth_errormessages_replaceChar_40__41_with_40__41_onLine623[] = {1, 1, 1};
meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine623->type = alloc_MethodType(3, argcv_meth_errormessages_replaceChar_40__41_with_40__41_onLine623);
  meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine623->definitionModule = modulename;
  meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine623->definitionLine = 33;
  struct UserObject *uo626 = (struct UserObject*)obj575;
  uo626->data[5] = emptyclosure;
  Method *meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626 = addmethod2pos(obj575, "replaceUntil()with()onLine", &meth_errormessages_replaceUntil_40__41_with_40__41_onLine626, 5);
int argcv_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626[] = {1, 1, 1};
meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626->type = alloc_MethodType(3, argcv_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626);
  meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626->definitionModule = modulename;
  meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626->definitionLine = 37;
  struct UserObject *uo667 = (struct UserObject*)obj575;
  uo667->data[6] = emptyclosure;
  Method *meth_meth_errormessages_deleteRange_40__41_onLine667 = addmethod2pos(obj575, "deleteRange()onLine", &meth_errormessages_deleteRange_40__41_onLine667, 6);
int argcv_meth_errormessages_deleteRange_40__41_onLine667[] = {2, 1};
meth_meth_errormessages_deleteRange_40__41_onLine667->type = alloc_MethodType(2, argcv_meth_errormessages_deleteRange_40__41_onLine667);
  meth_meth_errormessages_deleteRange_40__41_onLine667->definitionModule = modulename;
  meth_meth_errormessages_deleteRange_40__41_onLine667->definitionLine = 49;
  struct UserObject *uo715 = (struct UserObject*)obj575;
  uo715->data[7] = emptyclosure;
  Method *meth_meth_errormessages_deleteChar_40__41_onLine715 = addmethod2pos(obj575, "deleteChar()onLine", &meth_errormessages_deleteChar_40__41_onLine715, 7);
int argcv_meth_errormessages_deleteChar_40__41_onLine715[] = {1, 1};
meth_meth_errormessages_deleteChar_40__41_onLine715->type = alloc_MethodType(2, argcv_meth_errormessages_deleteChar_40__41_onLine715);
  meth_meth_errormessages_deleteChar_40__41_onLine715->definitionModule = modulename;
  meth_meth_errormessages_deleteChar_40__41_onLine715->definitionLine = 67;
  struct UserObject *uo719 = (struct UserObject*)obj575;
  uo719->data[8] = emptyclosure;
  Method *meth_meth_errormessages_append_40__41_onLine719 = addmethod2pos(obj575, "append()onLine", &meth_errormessages_append_40__41_onLine719, 8);
int argcv_meth_errormessages_append_40__41_onLine719[] = {1, 1};
meth_meth_errormessages_append_40__41_onLine719->type = alloc_MethodType(2, argcv_meth_errormessages_append_40__41_onLine719);
  meth_meth_errormessages_append_40__41_onLine719->definitionModule = modulename;
  meth_meth_errormessages_append_40__41_onLine719->definitionLine = 71;
  struct UserObject *uo727 = (struct UserObject*)obj575;
  uo727->data[9] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine727 = addmethod2pos(obj575, "insert()atPosition()onLine", &meth_errormessages_insert_40__41_atPosition_40__41_onLine727, 9);
int argcv_meth_errormessages_insert_40__41_atPosition_40__41_onLine727[] = {1, 1, 1};
meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine727->type = alloc_MethodType(3, argcv_meth_errormessages_insert_40__41_atPosition_40__41_onLine727);
  meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine727->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine727->definitionLine = 76;
  struct UserObject *uo759 = (struct UserObject*)obj575;
  uo759->data[10] = emptyclosure;
  Method *meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759 = addmethod2pos(obj575, "getTokenStart()includeLeadingSpace", &meth_errormessages_getTokenStart_40__41_includeLeadingSpace759, 10);
int argcv_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759[] = {1, 1};
meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759->type = alloc_MethodType(2, argcv_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759);
  meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759->definitionModule = modulename;
  meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759->definitionLine = 90;
  struct UserObject *uo835 = (struct UserObject*)obj575;
  uo835->data[11] = emptyclosure;
  Method *meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835 = addmethod2pos(obj575, "getTokenEnd()includeTrailingSpace", &meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835, 11);
int argcv_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835[] = {1, 1};
meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835->type = alloc_MethodType(2, argcv_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835);
  meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835->definitionModule = modulename;
  meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835->definitionLine = 107;
  struct UserObject *uo889 = (struct UserObject*)obj575;
  uo889->data[12] = emptyclosure;
  Method *meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889 = addmethod2pos(obj575, "replaceToken()leading()trailing()with", &meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889, 12);
int argcv_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889[] = {1, 1, 1, 1};
meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889->type = alloc_MethodType(4, argcv_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889);
  meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889->definitionModule = modulename;
  meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889->definitionLine = 120;
  struct UserObject *uo898 = (struct UserObject*)obj575;
  uo898->data[13] = emptyclosure;
  Method *meth_meth_errormessages_replaceToken_40__41_with898 = addmethod2pos(obj575, "replaceToken()with", &meth_errormessages_replaceToken_40__41_with898, 13);
int argcv_meth_errormessages_replaceToken_40__41_with898[] = {1, 1};
meth_meth_errormessages_replaceToken_40__41_with898->type = alloc_MethodType(2, argcv_meth_errormessages_replaceToken_40__41_with898);
  meth_meth_errormessages_replaceToken_40__41_with898->definitionModule = modulename;
  meth_meth_errormessages_replaceToken_40__41_with898->definitionLine = 126;
  struct UserObject *uo903 = (struct UserObject*)obj575;
  uo903->data[14] = emptyclosure;
  Method *meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903 = addmethod2pos(obj575, "replaceTokenRange()leading()trailing()with", &meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903, 14);
int argcv_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903[] = {2, 1, 1, 1};
meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903->type = alloc_MethodType(4, argcv_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903);
  meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903->definitionModule = modulename;
  meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903->definitionLine = 130;
  struct UserObject *uo943 = (struct UserObject*)obj575;
  uo943->data[15] = emptyclosure;
  Method *meth_meth_errormessages_replaceTokenRange_40__41_with943 = addmethod2pos(obj575, "replaceTokenRange()with", &meth_errormessages_replaceTokenRange_40__41_with943, 15);
int argcv_meth_errormessages_replaceTokenRange_40__41_with943[] = {2, 1};
meth_meth_errormessages_replaceTokenRange_40__41_with943->type = alloc_MethodType(2, argcv_meth_errormessages_replaceTokenRange_40__41_with943);
  meth_meth_errormessages_replaceTokenRange_40__41_with943->definitionModule = modulename;
  meth_meth_errormessages_replaceTokenRange_40__41_with943->definitionLine = 147;
  struct UserObject *uo948 = (struct UserObject*)obj575;
  uo948->data[16] = emptyclosure;
  Method *meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948 = addmethod2pos(obj575, "deleteToken()leading()trailing", &meth_errormessages_deleteToken_40__41_leading_40__41_trailing948, 16);
int argcv_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948[] = {1, 1, 1};
meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948->type = alloc_MethodType(3, argcv_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948);
  meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948->definitionModule = modulename;
  meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948->definitionLine = 152;
  struct UserObject *uo957 = (struct UserObject*)obj575;
  uo957->data[17] = emptyclosure;
  Method *meth_meth_errormessages_deleteToken957 = addmethod2pos(obj575, "deleteToken", &meth_errormessages_deleteToken957, 17);
int argcv_meth_errormessages_deleteToken957[] = {1};
meth_meth_errormessages_deleteToken957->type = alloc_MethodType(1, argcv_meth_errormessages_deleteToken957);
  meth_meth_errormessages_deleteToken957->definitionModule = modulename;
  meth_meth_errormessages_deleteToken957->definitionLine = 158;
  struct UserObject *uo962 = (struct UserObject*)obj575;
  uo962->data[18] = emptyclosure;
  Method *meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962 = addmethod2pos(obj575, "deleteTokenRange()leading()trailing", &meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962, 18);
int argcv_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962[] = {2, 1, 1};
meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962->type = alloc_MethodType(3, argcv_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962);
  meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962->definitionModule = modulename;
  meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962->definitionLine = 163;
  struct UserObject *uo1023 = (struct UserObject*)obj575;
  uo1023->data[19] = emptyclosure;
  Method *meth_meth_errormessages_deleteTokenRange1023 = addmethod2pos(obj575, "deleteTokenRange", &meth_errormessages_deleteTokenRange1023, 19);
int argcv_meth_errormessages_deleteTokenRange1023[] = {2};
meth_meth_errormessages_deleteTokenRange1023->type = alloc_MethodType(1, argcv_meth_errormessages_deleteTokenRange1023);
  meth_meth_errormessages_deleteTokenRange1023->definitionModule = modulename;
  meth_meth_errormessages_deleteTokenRange1023->definitionLine = 188;
  struct UserObject *uo1028 = (struct UserObject*)obj575;
  uo1028->data[20] = emptyclosure;
  Method *meth_meth_errormessages_deleteLine1028 = addmethod2pos(obj575, "deleteLine", &meth_errormessages_deleteLine1028, 20);
int argcv_meth_errormessages_deleteLine1028[] = {1};
meth_meth_errormessages_deleteLine1028->type = alloc_MethodType(1, argcv_meth_errormessages_deleteLine1028);
  meth_meth_errormessages_deleteLine1028->definitionModule = modulename;
  meth_meth_errormessages_deleteLine1028->definitionLine = 192;
  struct UserObject *uo1032 = (struct UserObject*)obj575;
  uo1032->data[21] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032 = addmethod2pos(obj575, "insert()afterToken()andTrailingSpace", &meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032, 21);
int argcv_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032[] = {1, 1, 1};
meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032->type = alloc_MethodType(3, argcv_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032);
  meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032->definitionLine = 196;
  struct UserObject *uo1043 = (struct UserObject*)obj575;
  uo1043->data[22] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_afterToken1043 = addmethod2pos(obj575, "insert()afterToken", &meth_errormessages_insert_40__41_afterToken1043, 22);
int argcv_meth_errormessages_insert_40__41_afterToken1043[] = {1, 1};
meth_meth_errormessages_insert_40__41_afterToken1043->type = alloc_MethodType(2, argcv_meth_errormessages_insert_40__41_afterToken1043);
  meth_meth_errormessages_insert_40__41_afterToken1043->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_afterToken1043->definitionLine = 201;
  struct UserObject *uo1047 = (struct UserObject*)obj575;
  uo1047->data[23] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_beforeToken1047 = addmethod2pos(obj575, "insert()beforeToken", &meth_errormessages_insert_40__41_beforeToken1047, 23);
int argcv_meth_errormessages_insert_40__41_beforeToken1047[] = {1, 1};
meth_meth_errormessages_insert_40__41_beforeToken1047->type = alloc_MethodType(2, argcv_meth_errormessages_insert_40__41_beforeToken1047);
  meth_meth_errormessages_insert_40__41_beforeToken1047->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_beforeToken1047->definitionLine = 205;
  struct UserObject *uo1054 = (struct UserObject*)obj575;
  uo1054->data[24] = emptyclosure;
  Method *meth_meth_errormessages_insertNewLine_40__41_after1054 = addmethod2pos(obj575, "insertNewLine()after", &meth_errormessages_insertNewLine_40__41_after1054, 24);
int argcv_meth_errormessages_insertNewLine_40__41_after1054[] = {1, 1};
meth_meth_errormessages_insertNewLine_40__41_after1054->type = alloc_MethodType(2, argcv_meth_errormessages_insertNewLine_40__41_after1054);
  meth_meth_errormessages_insertNewLine_40__41_after1054->definitionModule = modulename;
  meth_meth_errormessages_insertNewLine_40__41_after1054->definitionLine = 210;
  struct UserObject *uo1057 = (struct UserObject*)obj575;
  uo1057->data[25] = emptyclosure;
  Method *meth_meth_errormessages_addLine1057 = addmethod2pos(obj575, "addLine", &meth_errormessages_addLine1057, 25);
int argcv_meth_errormessages_addLine1057[] = {2};
meth_meth_errormessages_addLine1057->type = alloc_MethodType(1, argcv_meth_errormessages_addLine1057);
  meth_meth_errormessages_addLine1057->definitionModule = modulename;
  meth_meth_errormessages_addLine1057->definitionLine = 216;
  struct UserObject *uo1153 = (struct UserObject*)obj575;
  uo1153->data[26] = emptyclosure;
  Method *meth_meth_errormessages_findLine1153 = addmethod2pos(obj575, "findLine", &meth_errormessages_findLine1153, 26);
int argcv_meth_errormessages_findLine1153[] = {1};
meth_meth_errormessages_findLine1153->type = alloc_MethodType(1, argcv_meth_errormessages_findLine1153);
  meth_meth_errormessages_findLine1153->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_errormessages_findLine1153->definitionModule = modulename;
  meth_meth_errormessages_findLine1153->definitionLine = 240;
  block_savedest(obj575);
  Object closure1171 = createclosure(1, "getLine");
  setclosureframe(closure1171, stackframe);
  addtoclosure(closure1171, var_util);
  struct UserObject *uo1171 = (struct UserObject*)obj575;
  uo1171->data[27] = (Object)closure1171;
  Method *meth_meth_errormessages_getLine1171 = addmethod2pos(obj575, "getLine", &meth_errormessages_getLine1171, 27);
int argcv_meth_errormessages_getLine1171[] = {1};
meth_meth_errormessages_getLine1171->type = alloc_MethodType(1, argcv_meth_errormessages_getLine1171);
  meth_meth_errormessages_getLine1171->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_errormessages_getLine1171->definitionModule = modulename;
  meth_meth_errormessages_getLine1171->definitionLine = 251;
  block_savedest(obj575);
  Object closure1185 = createclosure(1, "print");
  setclosureframe(closure1185, stackframe);
  addtoclosure(closure1185, var_io);
  struct UserObject *uo1185 = (struct UserObject*)obj575;
  uo1185->data[28] = (Object)closure1185;
  Method *meth_meth_errormessages_print1185 = addmethod2pos(obj575, "print", &meth_errormessages_print1185, 28);
int argcv_meth_errormessages_print1185[] = {0};
meth_meth_errormessages_print1185->type = alloc_MethodType(1, argcv_meth_errormessages_print1185);
  meth_meth_errormessages_print1185->definitionModule = modulename;
  meth_meth_errormessages_print1185->definitionLine = 260;
  sourceObject = obj575;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1328 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1328
  adddatum2(obj575, array1328, 1);
  sourceObject = obj575;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1329 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1329
  adddatum2(obj575, array1329, 2);
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
objclass575 = obj575->class;
  objclass575->definitionModule = modulename;
  objclass575->definitionLine = 440;
  (*(struct UserObject *)self).data[0] = lowerouter575;
  self = oldself575;
  selfslot = oldselfslot575;
  stackframe = oldstackframe575;
  gc_frame_end(frame);
  return obj575;
}
Object meth_errormessages_new574_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_io = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject575 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj575 = alloc_userobj2(28,29, objclass575);
  gc_frame_newslot(obj575);
if (objclass575 == NULL) {
  glfree(obj575->class->name);
  obj575->class->name = "suggestion";
}
// OBJECT OUTER DEC outer
  adddatum2(obj575, self, 0);
  addmethodreal(obj575,"outer", &reader_errormessages_outer_576);
  Object oldself575 = self;
  struct StackFrameObject *oldstackframe575 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe575);
  gc_frame_newslot((Object)stackframe);
  self = obj575;
  Object *oldselfslot575 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter575 = (*(struct UserObject *)self).data[0], lowerouter575 = thisouter575;
  if (inheritingObject575) {
    struct UserObject *inho575 = (struct UserObject *)inheritingObject575;
    while (inho575->super != GraceDefaultObject) inho575 = (struct UserObject *)inho575->super;
    inho575->super = obj575;
    self = inheritingObject575;
    *selfslot = self;
    lowerouter575 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter575;
  }
if (objclass575 == NULL) {
  Method *reader577 = addmethodrealflags(obj575, "lineNumbers",&reader_errormessages_lineNumbers_577, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader577->definitionModule = modulename;
  reader577->definitionLine = 16;
}
adddatum2(obj575, alloc_Undefined(), 1);
if (objclass575 == NULL) {
  Method *reader578 = addmethodrealflags(obj575, "lines",&reader_errormessages_lines_578, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader578->definitionModule = modulename;
  reader578->definitionLine = 23;
}
adddatum2(obj575, alloc_Undefined(), 2);
  struct UserObject *uo579 = (struct UserObject*)obj575;
  uo579->data[3] = emptyclosure;
  Method *meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine579 = addmethod2pos(obj575, "replaceRange()with()onLine", &meth_errormessages_replaceRange_40__41_with_40__41_onLine579, 3);
int argcv_meth_errormessages_replaceRange_40__41_with_40__41_onLine579[] = {2, 1, 1};
meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine579->type = alloc_MethodType(3, argcv_meth_errormessages_replaceRange_40__41_with_40__41_onLine579);
  meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine579->definitionModule = modulename;
  meth_meth_errormessages_replaceRange_40__41_with_40__41_onLine579->definitionLine = 23;
  struct UserObject *uo623 = (struct UserObject*)obj575;
  uo623->data[4] = emptyclosure;
  Method *meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine623 = addmethod2pos(obj575, "replaceChar()with()onLine", &meth_errormessages_replaceChar_40__41_with_40__41_onLine623, 4);
int argcv_meth_errormessages_replaceChar_40__41_with_40__41_onLine623[] = {1, 1, 1};
meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine623->type = alloc_MethodType(3, argcv_meth_errormessages_replaceChar_40__41_with_40__41_onLine623);
  meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine623->definitionModule = modulename;
  meth_meth_errormessages_replaceChar_40__41_with_40__41_onLine623->definitionLine = 33;
  struct UserObject *uo626 = (struct UserObject*)obj575;
  uo626->data[5] = emptyclosure;
  Method *meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626 = addmethod2pos(obj575, "replaceUntil()with()onLine", &meth_errormessages_replaceUntil_40__41_with_40__41_onLine626, 5);
int argcv_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626[] = {1, 1, 1};
meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626->type = alloc_MethodType(3, argcv_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626);
  meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626->definitionModule = modulename;
  meth_meth_errormessages_replaceUntil_40__41_with_40__41_onLine626->definitionLine = 37;
  struct UserObject *uo667 = (struct UserObject*)obj575;
  uo667->data[6] = emptyclosure;
  Method *meth_meth_errormessages_deleteRange_40__41_onLine667 = addmethod2pos(obj575, "deleteRange()onLine", &meth_errormessages_deleteRange_40__41_onLine667, 6);
int argcv_meth_errormessages_deleteRange_40__41_onLine667[] = {2, 1};
meth_meth_errormessages_deleteRange_40__41_onLine667->type = alloc_MethodType(2, argcv_meth_errormessages_deleteRange_40__41_onLine667);
  meth_meth_errormessages_deleteRange_40__41_onLine667->definitionModule = modulename;
  meth_meth_errormessages_deleteRange_40__41_onLine667->definitionLine = 49;
  struct UserObject *uo715 = (struct UserObject*)obj575;
  uo715->data[7] = emptyclosure;
  Method *meth_meth_errormessages_deleteChar_40__41_onLine715 = addmethod2pos(obj575, "deleteChar()onLine", &meth_errormessages_deleteChar_40__41_onLine715, 7);
int argcv_meth_errormessages_deleteChar_40__41_onLine715[] = {1, 1};
meth_meth_errormessages_deleteChar_40__41_onLine715->type = alloc_MethodType(2, argcv_meth_errormessages_deleteChar_40__41_onLine715);
  meth_meth_errormessages_deleteChar_40__41_onLine715->definitionModule = modulename;
  meth_meth_errormessages_deleteChar_40__41_onLine715->definitionLine = 67;
  struct UserObject *uo719 = (struct UserObject*)obj575;
  uo719->data[8] = emptyclosure;
  Method *meth_meth_errormessages_append_40__41_onLine719 = addmethod2pos(obj575, "append()onLine", &meth_errormessages_append_40__41_onLine719, 8);
int argcv_meth_errormessages_append_40__41_onLine719[] = {1, 1};
meth_meth_errormessages_append_40__41_onLine719->type = alloc_MethodType(2, argcv_meth_errormessages_append_40__41_onLine719);
  meth_meth_errormessages_append_40__41_onLine719->definitionModule = modulename;
  meth_meth_errormessages_append_40__41_onLine719->definitionLine = 71;
  struct UserObject *uo727 = (struct UserObject*)obj575;
  uo727->data[9] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine727 = addmethod2pos(obj575, "insert()atPosition()onLine", &meth_errormessages_insert_40__41_atPosition_40__41_onLine727, 9);
int argcv_meth_errormessages_insert_40__41_atPosition_40__41_onLine727[] = {1, 1, 1};
meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine727->type = alloc_MethodType(3, argcv_meth_errormessages_insert_40__41_atPosition_40__41_onLine727);
  meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine727->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_atPosition_40__41_onLine727->definitionLine = 76;
  struct UserObject *uo759 = (struct UserObject*)obj575;
  uo759->data[10] = emptyclosure;
  Method *meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759 = addmethod2pos(obj575, "getTokenStart()includeLeadingSpace", &meth_errormessages_getTokenStart_40__41_includeLeadingSpace759, 10);
int argcv_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759[] = {1, 1};
meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759->type = alloc_MethodType(2, argcv_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759);
  meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759->definitionModule = modulename;
  meth_meth_errormessages_getTokenStart_40__41_includeLeadingSpace759->definitionLine = 90;
  struct UserObject *uo835 = (struct UserObject*)obj575;
  uo835->data[11] = emptyclosure;
  Method *meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835 = addmethod2pos(obj575, "getTokenEnd()includeTrailingSpace", &meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835, 11);
int argcv_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835[] = {1, 1};
meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835->type = alloc_MethodType(2, argcv_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835);
  meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835->definitionModule = modulename;
  meth_meth_errormessages_getTokenEnd_40__41_includeTrailingSpace835->definitionLine = 107;
  struct UserObject *uo889 = (struct UserObject*)obj575;
  uo889->data[12] = emptyclosure;
  Method *meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889 = addmethod2pos(obj575, "replaceToken()leading()trailing()with", &meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889, 12);
int argcv_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889[] = {1, 1, 1, 1};
meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889->type = alloc_MethodType(4, argcv_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889);
  meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889->definitionModule = modulename;
  meth_meth_errormessages_replaceToken_40__41_leading_40__41_trailing_40__41_with889->definitionLine = 120;
  struct UserObject *uo898 = (struct UserObject*)obj575;
  uo898->data[13] = emptyclosure;
  Method *meth_meth_errormessages_replaceToken_40__41_with898 = addmethod2pos(obj575, "replaceToken()with", &meth_errormessages_replaceToken_40__41_with898, 13);
int argcv_meth_errormessages_replaceToken_40__41_with898[] = {1, 1};
meth_meth_errormessages_replaceToken_40__41_with898->type = alloc_MethodType(2, argcv_meth_errormessages_replaceToken_40__41_with898);
  meth_meth_errormessages_replaceToken_40__41_with898->definitionModule = modulename;
  meth_meth_errormessages_replaceToken_40__41_with898->definitionLine = 126;
  struct UserObject *uo903 = (struct UserObject*)obj575;
  uo903->data[14] = emptyclosure;
  Method *meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903 = addmethod2pos(obj575, "replaceTokenRange()leading()trailing()with", &meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903, 14);
int argcv_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903[] = {2, 1, 1, 1};
meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903->type = alloc_MethodType(4, argcv_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903);
  meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903->definitionModule = modulename;
  meth_meth_errormessages_replaceTokenRange_40__41_leading_40__41_trailing_40__41_with903->definitionLine = 130;
  struct UserObject *uo943 = (struct UserObject*)obj575;
  uo943->data[15] = emptyclosure;
  Method *meth_meth_errormessages_replaceTokenRange_40__41_with943 = addmethod2pos(obj575, "replaceTokenRange()with", &meth_errormessages_replaceTokenRange_40__41_with943, 15);
int argcv_meth_errormessages_replaceTokenRange_40__41_with943[] = {2, 1};
meth_meth_errormessages_replaceTokenRange_40__41_with943->type = alloc_MethodType(2, argcv_meth_errormessages_replaceTokenRange_40__41_with943);
  meth_meth_errormessages_replaceTokenRange_40__41_with943->definitionModule = modulename;
  meth_meth_errormessages_replaceTokenRange_40__41_with943->definitionLine = 147;
  struct UserObject *uo948 = (struct UserObject*)obj575;
  uo948->data[16] = emptyclosure;
  Method *meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948 = addmethod2pos(obj575, "deleteToken()leading()trailing", &meth_errormessages_deleteToken_40__41_leading_40__41_trailing948, 16);
int argcv_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948[] = {1, 1, 1};
meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948->type = alloc_MethodType(3, argcv_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948);
  meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948->definitionModule = modulename;
  meth_meth_errormessages_deleteToken_40__41_leading_40__41_trailing948->definitionLine = 152;
  struct UserObject *uo957 = (struct UserObject*)obj575;
  uo957->data[17] = emptyclosure;
  Method *meth_meth_errormessages_deleteToken957 = addmethod2pos(obj575, "deleteToken", &meth_errormessages_deleteToken957, 17);
int argcv_meth_errormessages_deleteToken957[] = {1};
meth_meth_errormessages_deleteToken957->type = alloc_MethodType(1, argcv_meth_errormessages_deleteToken957);
  meth_meth_errormessages_deleteToken957->definitionModule = modulename;
  meth_meth_errormessages_deleteToken957->definitionLine = 158;
  struct UserObject *uo962 = (struct UserObject*)obj575;
  uo962->data[18] = emptyclosure;
  Method *meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962 = addmethod2pos(obj575, "deleteTokenRange()leading()trailing", &meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962, 18);
int argcv_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962[] = {2, 1, 1};
meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962->type = alloc_MethodType(3, argcv_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962);
  meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962->definitionModule = modulename;
  meth_meth_errormessages_deleteTokenRange_40__41_leading_40__41_trailing962->definitionLine = 163;
  struct UserObject *uo1023 = (struct UserObject*)obj575;
  uo1023->data[19] = emptyclosure;
  Method *meth_meth_errormessages_deleteTokenRange1023 = addmethod2pos(obj575, "deleteTokenRange", &meth_errormessages_deleteTokenRange1023, 19);
int argcv_meth_errormessages_deleteTokenRange1023[] = {2};
meth_meth_errormessages_deleteTokenRange1023->type = alloc_MethodType(1, argcv_meth_errormessages_deleteTokenRange1023);
  meth_meth_errormessages_deleteTokenRange1023->definitionModule = modulename;
  meth_meth_errormessages_deleteTokenRange1023->definitionLine = 188;
  struct UserObject *uo1028 = (struct UserObject*)obj575;
  uo1028->data[20] = emptyclosure;
  Method *meth_meth_errormessages_deleteLine1028 = addmethod2pos(obj575, "deleteLine", &meth_errormessages_deleteLine1028, 20);
int argcv_meth_errormessages_deleteLine1028[] = {1};
meth_meth_errormessages_deleteLine1028->type = alloc_MethodType(1, argcv_meth_errormessages_deleteLine1028);
  meth_meth_errormessages_deleteLine1028->definitionModule = modulename;
  meth_meth_errormessages_deleteLine1028->definitionLine = 192;
  struct UserObject *uo1032 = (struct UserObject*)obj575;
  uo1032->data[21] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032 = addmethod2pos(obj575, "insert()afterToken()andTrailingSpace", &meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032, 21);
int argcv_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032[] = {1, 1, 1};
meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032->type = alloc_MethodType(3, argcv_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032);
  meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_afterToken_40__41_andTrailingSpace1032->definitionLine = 196;
  struct UserObject *uo1043 = (struct UserObject*)obj575;
  uo1043->data[22] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_afterToken1043 = addmethod2pos(obj575, "insert()afterToken", &meth_errormessages_insert_40__41_afterToken1043, 22);
int argcv_meth_errormessages_insert_40__41_afterToken1043[] = {1, 1};
meth_meth_errormessages_insert_40__41_afterToken1043->type = alloc_MethodType(2, argcv_meth_errormessages_insert_40__41_afterToken1043);
  meth_meth_errormessages_insert_40__41_afterToken1043->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_afterToken1043->definitionLine = 201;
  struct UserObject *uo1047 = (struct UserObject*)obj575;
  uo1047->data[23] = emptyclosure;
  Method *meth_meth_errormessages_insert_40__41_beforeToken1047 = addmethod2pos(obj575, "insert()beforeToken", &meth_errormessages_insert_40__41_beforeToken1047, 23);
int argcv_meth_errormessages_insert_40__41_beforeToken1047[] = {1, 1};
meth_meth_errormessages_insert_40__41_beforeToken1047->type = alloc_MethodType(2, argcv_meth_errormessages_insert_40__41_beforeToken1047);
  meth_meth_errormessages_insert_40__41_beforeToken1047->definitionModule = modulename;
  meth_meth_errormessages_insert_40__41_beforeToken1047->definitionLine = 205;
  struct UserObject *uo1054 = (struct UserObject*)obj575;
  uo1054->data[24] = emptyclosure;
  Method *meth_meth_errormessages_insertNewLine_40__41_after1054 = addmethod2pos(obj575, "insertNewLine()after", &meth_errormessages_insertNewLine_40__41_after1054, 24);
int argcv_meth_errormessages_insertNewLine_40__41_after1054[] = {1, 1};
meth_meth_errormessages_insertNewLine_40__41_after1054->type = alloc_MethodType(2, argcv_meth_errormessages_insertNewLine_40__41_after1054);
  meth_meth_errormessages_insertNewLine_40__41_after1054->definitionModule = modulename;
  meth_meth_errormessages_insertNewLine_40__41_after1054->definitionLine = 210;
  struct UserObject *uo1057 = (struct UserObject*)obj575;
  uo1057->data[25] = emptyclosure;
  Method *meth_meth_errormessages_addLine1057 = addmethod2pos(obj575, "addLine", &meth_errormessages_addLine1057, 25);
int argcv_meth_errormessages_addLine1057[] = {2};
meth_meth_errormessages_addLine1057->type = alloc_MethodType(1, argcv_meth_errormessages_addLine1057);
  meth_meth_errormessages_addLine1057->definitionModule = modulename;
  meth_meth_errormessages_addLine1057->definitionLine = 216;
  struct UserObject *uo1153 = (struct UserObject*)obj575;
  uo1153->data[26] = emptyclosure;
  Method *meth_meth_errormessages_findLine1153 = addmethod2pos(obj575, "findLine", &meth_errormessages_findLine1153, 26);
int argcv_meth_errormessages_findLine1153[] = {1};
meth_meth_errormessages_findLine1153->type = alloc_MethodType(1, argcv_meth_errormessages_findLine1153);
  meth_meth_errormessages_findLine1153->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_errormessages_findLine1153->definitionModule = modulename;
  meth_meth_errormessages_findLine1153->definitionLine = 240;
  block_savedest(obj575);
  Object closure1171 = createclosure(1, "getLine");
  setclosureframe(closure1171, stackframe);
  addtoclosure(closure1171, var_util);
  struct UserObject *uo1171 = (struct UserObject*)obj575;
  uo1171->data[27] = (Object)closure1171;
  Method *meth_meth_errormessages_getLine1171 = addmethod2pos(obj575, "getLine", &meth_errormessages_getLine1171, 27);
int argcv_meth_errormessages_getLine1171[] = {1};
meth_meth_errormessages_getLine1171->type = alloc_MethodType(1, argcv_meth_errormessages_getLine1171);
  meth_meth_errormessages_getLine1171->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_errormessages_getLine1171->definitionModule = modulename;
  meth_meth_errormessages_getLine1171->definitionLine = 251;
  block_savedest(obj575);
  Object closure1185 = createclosure(1, "print");
  setclosureframe(closure1185, stackframe);
  addtoclosure(closure1185, var_io);
  struct UserObject *uo1185 = (struct UserObject*)obj575;
  uo1185->data[28] = (Object)closure1185;
  Method *meth_meth_errormessages_print1185 = addmethod2pos(obj575, "print", &meth_errormessages_print1185, 28);
int argcv_meth_errormessages_print1185[] = {0};
meth_meth_errormessages_print1185->type = alloc_MethodType(1, argcv_meth_errormessages_print1185);
  meth_meth_errormessages_print1185->definitionModule = modulename;
  meth_meth_errormessages_print1185->definitionLine = 260;
  sourceObject = obj575;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1328 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1328
  adddatum2(obj575, array1328, 1);
  sourceObject = obj575;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1329 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1329
  adddatum2(obj575, array1329, 2);
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
  sourceObject = obj575;
objclass575 = obj575->class;
  objclass575->definitionModule = modulename;
  objclass575->definitionLine = 440;
  (*(struct UserObject *)self).data[0] = lowerouter575;
  self = oldself575;
  selfslot = oldselfslot575;
  stackframe = oldstackframe575;
  gc_frame_end(frame);
  return obj575;
}
Object module_errormessages_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(19, 19);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<errormessages>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(19, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_io = alloc_var();
Object *var_sys = alloc_var();
Object *var_util = alloc_var();
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = emptyclosure;
  Method *meth_meth_errormessages_dameraulevenshtein0 = addmethod2pos(self, "dameraulevenshtein", &meth_errormessages_dameraulevenshtein0, 1);
int argcv_meth_errormessages_dameraulevenshtein0[] = {2};
meth_meth_errormessages_dameraulevenshtein0->type = alloc_MethodType(1, argcv_meth_errormessages_dameraulevenshtein0);
  meth_meth_errormessages_dameraulevenshtein0->definitionModule = modulename;
  meth_meth_errormessages_dameraulevenshtein0->definitionLine = 279;
// compilenode returning 
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo219 = (struct UserObject*)self;
  uo219->data[2] = emptyclosure;
  Method *meth_meth_errormessages_min219 = addmethod2pos(self, "min", &meth_errormessages_min219, 2);
int argcv_meth_errormessages_min219[] = {0};
meth_meth_errormessages_min219->type = alloc_MethodType(1, argcv_meth_errormessages_min219);
  meth_meth_errormessages_min219->definitionModule = modulename;
  meth_meth_errormessages_min219->definitionLine = 338;
// compilenode returning 
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo239 = (struct UserObject*)self;
  uo239->data[3] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atRange239 = addmethod2pos(self, "syntaxError()atRange", &meth_errormessages_syntaxError_40__41_atRange239, 3);
int argcv_meth_errormessages_syntaxError_40__41_atRange239[] = {1, 3};
meth_meth_errormessages_syntaxError_40__41_atRange239->type = alloc_MethodType(2, argcv_meth_errormessages_syntaxError_40__41_atRange239);
  meth_meth_errormessages_syntaxError_40__41_atRange239->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atRange239->definitionLine = 349;
// compilenode returning 
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo243 = (struct UserObject*)self;
  uo243->data[4] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion243 = addmethod2pos(self, "syntaxError()atRange()withSuggestion", &meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion243, 4);
int argcv_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion243[] = {1, 3, 1};
meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion243->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion243);
  meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion243->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestion243->definitionLine = 353;
// compilenode returning 
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure247 = createclosure(1, "syntaxError()atRange()withSuggestions");
  setclosureframe(closure247, stackframe);
  addtoclosure(closure247, var_util);
  struct UserObject *uo247 = (struct UserObject*)self;
  uo247->data[5] = (Object)closure247;
  Method *meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions247 = addmethod2pos(self, "syntaxError()atRange()withSuggestions", &meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions247, 5);
int argcv_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions247[] = {1, 3, 1};
meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions247->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions247);
  meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions247->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atRange_40__41_withSuggestions247->definitionLine = 357;
// compilenode returning 
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure315 = createclosure(1, "error()atRange()withSuggestions");
  setclosureframe(closure315, stackframe);
  addtoclosure(closure315, var_util);
  struct UserObject *uo315 = (struct UserObject*)self;
  uo315->data[6] = (Object)closure315;
  Method *meth_meth_errormessages_error_40__41_atRange_40__41_withSuggestions315 = addmethod2pos(self, "error()atRange()withSuggestions", &meth_errormessages_error_40__41_atRange_40__41_withSuggestions315, 6);
int argcv_meth_errormessages_error_40__41_atRange_40__41_withSuggestions315[] = {1, 3, 1};
meth_meth_errormessages_error_40__41_atRange_40__41_withSuggestions315->type = alloc_MethodType(3, argcv_meth_errormessages_error_40__41_atRange_40__41_withSuggestions315);
  meth_meth_errormessages_error_40__41_atRange_40__41_withSuggestions315->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atRange_40__41_withSuggestions315->definitionLine = 369;
// compilenode returning 
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo383 = (struct UserObject*)self;
  uo383->data[7] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atPosition383 = addmethod2pos(self, "syntaxError()atPosition", &meth_errormessages_syntaxError_40__41_atPosition383, 7);
int argcv_meth_errormessages_syntaxError_40__41_atPosition383[] = {1, 2};
meth_meth_errormessages_syntaxError_40__41_atPosition383->type = alloc_MethodType(2, argcv_meth_errormessages_syntaxError_40__41_atPosition383);
  meth_meth_errormessages_syntaxError_40__41_atPosition383->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atPosition383->definitionLine = 381;
// compilenode returning 
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo387 = (struct UserObject*)self;
  uo387->data[8] = emptyclosure;
  Method *meth_meth_errormessages_error_40__41_atPosition387 = addmethod2pos(self, "error()atPosition", &meth_errormessages_error_40__41_atPosition387, 8);
int argcv_meth_errormessages_error_40__41_atPosition387[] = {1, 2};
meth_meth_errormessages_error_40__41_atPosition387->type = alloc_MethodType(2, argcv_meth_errormessages_error_40__41_atPosition387);
  meth_meth_errormessages_error_40__41_atPosition387->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atPosition387->definitionLine = 385;
// compilenode returning 
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo391 = (struct UserObject*)self;
  uo391->data[9] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion391 = addmethod2pos(self, "syntaxError()atPosition()withSuggestion", &meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion391, 9);
int argcv_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion391[] = {1, 2, 1};
meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion391->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion391);
  meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion391->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestion391->definitionLine = 389;
// compilenode returning 
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure395 = createclosure(1, "syntaxError()atPosition()withSuggestions");
  setclosureframe(closure395, stackframe);
  addtoclosure(closure395, var_util);
  struct UserObject *uo395 = (struct UserObject*)self;
  uo395->data[10] = (Object)closure395;
  Method *meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions395 = addmethod2pos(self, "syntaxError()atPosition()withSuggestions", &meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions395, 10);
int argcv_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions395[] = {1, 2, 1};
meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions395->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions395);
  meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions395->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atPosition_40__41_withSuggestions395->definitionLine = 393;
// compilenode returning 
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure433 = createclosure(1, "error()atPosition()withSuggestions");
  setclosureframe(closure433, stackframe);
  addtoclosure(closure433, var_util);
  struct UserObject *uo433 = (struct UserObject*)self;
  uo433->data[11] = (Object)closure433;
  Method *meth_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions433 = addmethod2pos(self, "error()atPosition()withSuggestions", &meth_errormessages_error_40__41_atPosition_40__41_withSuggestions433, 11);
int argcv_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions433[] = {1, 2, 1};
meth_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions433->type = alloc_MethodType(3, argcv_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions433);
  meth_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions433->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atPosition_40__41_withSuggestions433->definitionLine = 402;
// compilenode returning 
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure471 = createclosure(1, "error()atLine()withSuggestions");
  setclosureframe(closure471, stackframe);
  addtoclosure(closure471, var_util);
  struct UserObject *uo471 = (struct UserObject*)self;
  uo471->data[12] = (Object)closure471;
  Method *meth_meth_errormessages_error_40__41_atLine_40__41_withSuggestions471 = addmethod2pos(self, "error()atLine()withSuggestions", &meth_errormessages_error_40__41_atLine_40__41_withSuggestions471, 12);
int argcv_meth_errormessages_error_40__41_atLine_40__41_withSuggestions471[] = {1, 1, 1};
meth_meth_errormessages_error_40__41_atLine_40__41_withSuggestions471->type = alloc_MethodType(3, argcv_meth_errormessages_error_40__41_atLine_40__41_withSuggestions471);
  meth_meth_errormessages_error_40__41_atLine_40__41_withSuggestions471->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atLine_40__41_withSuggestions471->definitionLine = 412;
// compilenode returning 
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo515 = (struct UserObject*)self;
  uo515->data[13] = emptyclosure;
  Method *meth_meth_errormessages_error_40__41_atLine515 = addmethod2pos(self, "error()atLine", &meth_errormessages_error_40__41_atLine515, 13);
int argcv_meth_errormessages_error_40__41_atLine515[] = {1, 1};
meth_meth_errormessages_error_40__41_atLine515->type = alloc_MethodType(2, argcv_meth_errormessages_error_40__41_atLine515);
  meth_meth_errormessages_error_40__41_atLine515->definitionModule = modulename;
  meth_meth_errormessages_error_40__41_atLine515->definitionLine = 423;
// compilenode returning 
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo519 = (struct UserObject*)self;
  uo519->data[14] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atLine519 = addmethod2pos(self, "syntaxError()atLine", &meth_errormessages_syntaxError_40__41_atLine519, 14);
int argcv_meth_errormessages_syntaxError_40__41_atLine519[] = {1, 1};
meth_meth_errormessages_syntaxError_40__41_atLine519->type = alloc_MethodType(2, argcv_meth_errormessages_syntaxError_40__41_atLine519);
  meth_meth_errormessages_syntaxError_40__41_atLine519->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atLine519->definitionLine = 427;
// compilenode returning 
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo523 = (struct UserObject*)self;
  uo523->data[15] = emptyclosure;
  Method *meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion523 = addmethod2pos(self, "syntaxError()atLine()withSuggestion", &meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion523, 15);
int argcv_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion523[] = {1, 1, 1};
meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion523->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion523);
  meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion523->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestion523->definitionLine = 431;
// compilenode returning 
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure527 = createclosure(1, "syntaxError()atLine()withSuggestions");
  setclosureframe(closure527, stackframe);
  addtoclosure(closure527, var_util);
  struct UserObject *uo527 = (struct UserObject*)self;
  uo527->data[16] = (Object)closure527;
  Method *meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions527 = addmethod2pos(self, "syntaxError()atLine()withSuggestions", &meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions527, 16);
int argcv_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions527[] = {1, 1, 1};
meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions527->type = alloc_MethodType(3, argcv_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions527);
  meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions527->definitionModule = modulename;
  meth_meth_errormessages_syntaxError_40__41_atLine_40__41_withSuggestions527->definitionLine = 435;
// compilenode returning 
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compilenode returning done
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of sys as sys
  if (module_sys == NULL)
    module_sys = module_sys_init();
  *var_sys = module_sys;
// compilenode returning done
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compilenode returning done
// compilenode returning 
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure571 = createclosure(1, "suggestion");
  setclosureframe(closure571, stackframe);
  addtoclosure(closure571, var_suggestion);
  struct UserObject *uo571 = (struct UserObject*)self;
  uo571->data[17] = (Object)closure571;
  Method *meth_meth_errormessages_suggestion571 = addmethod2pos(self, "suggestion", &meth_errormessages_suggestion571, 17);
int argcv_meth_errormessages_suggestion571[] = {0};
meth_meth_errormessages_suggestion571->type = alloc_MethodType(1, argcv_meth_errormessages_suggestion571);
  meth_meth_errormessages_suggestion571->definitionModule = modulename;
  meth_meth_errormessages_suggestion571->definitionLine = 440;
// compilenode returning 
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject572 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj572 = alloc_userobj2(2,4, objclass572);
  gc_frame_newslot(obj572);
// OBJECT OUTER DEC outer
  adddatum2(obj572, self, 0);
  addmethodreal(obj572,"outer", &reader_errormessages_outer_573);
  Object oldself572 = self;
  struct StackFrameObject *oldstackframe572 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe572);
  gc_frame_newslot((Object)stackframe);
  self = obj572;
  Object *oldselfslot572 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter572 = (*(struct UserObject *)self).data[0], lowerouter572 = thisouter572;
  if (inheritingObject572) {
    struct UserObject *inho572 = (struct UserObject *)inheritingObject572;
    while (inho572->super != GraceDefaultObject) inho572 = (struct UserObject *)inho572->super;
    inho572->super = obj572;
    self = inheritingObject572;
    *selfslot = self;
    lowerouter572 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter572;
  }
  block_savedest(obj572);
  Object closure574 = createclosure(2, "new");
  setclosureframe(closure574, stackframe);
  addtoclosure(closure574, var_util);
  addtoclosure(closure574, var_io);
  struct UserObject *uo574 = (struct UserObject*)obj572;
  uo574->data[1] = (Object)closure574;
  Method *meth_meth_errormessages_new574 = addmethod2pos(obj572, "new", &meth_errormessages_new574, 1);
int argcv_meth_errormessages_new574[] = {0};
meth_meth_errormessages_new574->type = alloc_MethodType(1, argcv_meth_errormessages_new574);
  meth_meth_errormessages_new574->definitionModule = modulename;
  meth_meth_errormessages_new574->definitionLine = 440;
  block_savedest(obj572);
  Object closure1330 = createclosure(2, "new()object");
setclosureframe(closure1330, stackframe);
  addtoclosure(closure1330, var_util);
  addtoclosure(closure1330, var_io);
  Method *meth_meth_errormessages_new574_object = addmethod2pos(obj572, "new()object", &meth_errormessages_new574_object, 1);
  meth_meth_errormessages_new574_object->definitionModule = modulename;
  meth_meth_errormessages_new574_object->definitionLine = 440;
  sourceObject = obj572;
objclass572 = obj572->class;
  objclass572->definitionModule = modulename;
  objclass572->definitionLine = 440;
  (*(struct UserObject *)self).data[0] = lowerouter572;
  self = oldself572;
  selfslot = oldselfslot572;
  stackframe = oldstackframe572;
// compilenode returning obj572
  *var_suggestion = obj572;
  if (obj572 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
  gc_frame_end(frame);
  return self;
}
