#include <gracelib.h>
#include <stdlib.h>
static char compilerRevision[] = "c01c85ef098bb275d73965aa95d8fdbe0bf2cf18";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "lexer";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma DefaultVisibility=public",
  "import \"io\" as io",
  "import \"sys\" as sys",
  "import \"util\" as util",
  "import \"unicode\" as unicode",
  "import \"mgcollections\" as collections",
  "import \"errormessages\" as errormessages",
  "",
  "// Return the numeric value of the single hexadecimal character c.",
  "method hexdecchar(c) {",
  "    var chars := [\"0\", \"1\", \"2\", \"3\", \"4\", \"5\", \"6\", \"7\", \"8\",",
  "                 \"9\", \"a\", \"b\", \"c\", \"d\", \"e\", \"f\"]",
  "    var ret := 0",
  "    var i := 0",
  "    for (chars) do {cr->",
  "        if (cr == c) then {",
  "            ret := i",
  "        }",
  "        i := i + 1",
  "    }",
  "    ret",
  "}",
  "method padl(s, l, w) {",
  "    if (s.size >= l) then {",
  "        return s",
  "    }",
  "    var s' := s",
  "    while {s'.size < l} do {",
  "        s' := w ++ s'",
  "    }",
  "    return s'",
  "}",
  "",
  "def LexerClass = object {",
  "    method new {",
  "        var lineNumber := 1",
  "        var linePosition := 0",
  "        var startPosition := 1",
  "        var indentLevel := 0",
  "",
  "        class Token.new() {",
  "            def line = lineNumber",
  "            def indent = indentLevel",
  "            def linePos = startPosition",
  "",
  "            var next := false",
  "            var prev := false",
  "",
  "            method ==(other) {",
  "                if(other == false) then {",
  "                    false",
  "                } else {",
  "                    (other.line == line) && (other.linePos == linePos)",
  "                }",
  "            }",
  "        }",
  "",
  "        class IdentifierToken.new(s) {",
  "            inherits Token.new",
  "            def kind = \"identifier\"",
  "            def value = s",
  "            def size = s.size",
  "        }",
  "        class StringToken.new(s) {",
  "            inherits Token.new",
  "            def kind = \"string\"",
  "            def value = s",
  "            def size = s.size + 2",
  "        }",
  "        class CommentToken.new(s) {",
  "            inherits Token.new",
  "            def kind = \"comment\"",
  "            def value = s",
  "            def size = s.size + 2",
  "        }",
  "        class OctetsToken.new(s) {",
  "            inherits Token.new",
  "            def kind = \"octets\"",
  "            def value = s",
  "            def size = s.size + 3",
  "        }",
  "        class LBraceToken.new {",
  "            inherits Token.new",
  "            def kind = \"lbrace\"",
  "            def value = \"\\{\"",
  "            def size = 1",
  "        }",
  "        class RBraceToken.new {",
  "            inherits Token.new",
  "            def kind = \"rbrace\"",
  "            def value = \"}\"",
  "            def size = 1",
  "        }",
  "        class LParenToken.new {",
  "            inherits Token.new",
  "            def kind = \"lparen\"",
  "            def value = \"(\"",
  "            def size = 1",
  "        }",
  "        class RParenToken.new {",
  "            inherits Token.new",
  "            def kind = \"rparen\"",
  "            def value = \")\"",
  "            def size = 1",
  "        }",
  "        class LSquareToken.new {",
  "            inherits Token.new",
  "            def kind = \"lsquare\"",
  "            def value = \"[\"",
  "            def size = 1",
  "        }",
  "        class RSquareToken.new {",
  "            inherits Token.new",
  "            def kind = \"rsquare\"",
  "            def value = \"]\"",
  "            def size = 1",
  "        }",
  "        class CommaToken.new {",
  "            inherits Token.new",
  "            def kind = \"comma\"",
  "            def value = \",\"",
  "            def size = 1",
  "        }",
  "        class ColonToken.new {",
  "            inherits Token.new",
  "            def kind = \"colon\"",
  "            def value = \":\"",
  "            def size = 1",
  "        }",
  "        class DotToken.new {",
  "            inherits Token.new",
  "            def kind = \"dot\"",
  "            def value = \".\"",
  "            def size = 1",
  "        }",
  "        class NumToken.new(v, b) {",
  "            inherits Token.new",
  "            def kind = \"num\"",
  "            def value = v",
  "            def base = b",
  "            def size = linePosition - startPosition",
  "        }",
  "        class KeywordToken.new(v) {",
  "            inherits Token.new",
  "            def kind = \"keyword\"",
  "            def value = v",
  "            def size = v.size",
  "        }",
  "        class OpToken.new(v) {",
  "            inherits Token.new",
  "            def kind = \"op\"",
  "            def value = v",
  "            def size = v.size",
  "        }",
  "        class ArrowToken.new {",
  "            inherits Token.new",
  "            def kind = \"arrow\"",
  "            def value = \"->\"",
  "            def size = 2",
  "        }",
  "        class BindToken.new {",
  "            inherits Token.new",
  "            def kind = \"bind\"",
  "            def value = \":=\"",
  "            def size = 2",
  "        }",
  "        class SemicolonToken.new {",
  "            inherits Token.new",
  "            def kind = \"semicolon\"",
  "            def value = \";\"",
  "            def size = 1",
  "        }",
  "        class LGenericToken.new {",
  "            inherits Token.new",
  "            def kind = \"lgeneric\"",
  "            def value = \"<\"",
  "            def size = 1",
  "        }",
  "        class RGenericToken.new {",
  "            inherits Token.new",
  "            def kind = \"rgeneric\"",
  "            def value = \">\"",
  "            def size = 1",
  "        }",
  "",
  "        object {",
  "            // When a new lexical class has begun, add to the tokens list",
  "            // the token corresponding to the previous accumulated data.",
  "            // mode is the previous lexical mode (a string), and accum the",
  "            // accumulated characters since that mode began. Modes are:",
  "",
  "            //   n           Whitespace       i   Identifier",
  "            //   \"           Quoted string    x   Octets literal",
  "            //   m           Number           o   Any operator",
  "            //   p           Pragma           d   Indentation",
  "            //   c           Comment",
  "            //   ,.{}()[]<>; The corresponding literal character",
  "            //",
  "            // There are three special cases for mode o. If accum is \"->\",",
  "            // \":=\", or \"=\", the corresponding special token is created.",
  "            // For mode i, a keyword token is created for an identifier",
  "            // whose name is a reserved keyword.",
  "            method modechange(tokens, mode, accum) {",
  "                var done := false",
  "                var tok := 0",
  "                if ((mode != \"n\") || (accum.size > 0)) then {",
  "                    if (mode == \"i\") then {",
  "                        tok := IdentifierToken.new(accum)",
  "                        if ((accum == \"object\") || (accum == \"method\")",
  "                            || (accum == \"var\") || (accum == \"type\")",
  "                            || (accum == \"import\") || (accum == \"class\")",
  "                            || (accum == \"return\") || (accum == \"def\")",
  "                            || (accum == \"inherits\") || (accum == \"is\")",
  "                            || (accum == \"dialect\") || (accum == \"factory\")) then {",
  "                            tok := KeywordToken.new(accum)",
  "                        }",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    }",
  "                    if (mode == \"I\") then {",
  "                        tok := IdentifierToken.new(accum)",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"\\\"\") then {",
  "                        tok := StringToken.new(accum)",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"x\") then {",
  "                        tok := OctetsToken.new(accum)",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \",\") then {",
  "                        tok := CommaToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \".\") then {",
  "                        tok := DotToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"\\{\") then {",
  "                        tok := LBraceToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"}\") then {",
  "                        tok := RBraceToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"(\") then {",
  "                        tok := LParenToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \")\") then {",
  "                        tok := RParenToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"[\") then {",
  "                        tok := LSquareToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    }",
  "                    if (mode == \"]\") then {",
  "                        tok := RSquareToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"<\") then {",
  "                        tok := LGenericToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \">\") then {",
  "                        tok := RGenericToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \";\") then {",
  "                        tok := SemicolonToken.new",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"m\") then {",
  "                        if ((tokens.size > 1).andAlso {tokens.last.kind == \"dot\"}) then {",
  "                            def dot = tokens.pop",
  "                            if (tokens.last.kind == \"num\") then {",
  "                                if (tokens.last.base == 10) then {",
  "                                    tok := tokens.pop",
  "                                    var decimal := makeNumToken(accum)",
  "                                    if(decimal.base == 10) then {",
  "                                        tok := NumToken.new(tok.value ++ \".\" ++ accum, 10)",
  "                                    } else {",
  "                                        def suggestions = []",
  "                                        var suggestion := errormessages.suggestion.new",
  "                                        suggestion.replaceRange(dot.linePos + 1, linePosition - 1)with(decimal.value)onLine(lineNumber)",
  "                                        suggestions.push(suggestion)",
  "                                        suggestion := errormessages.suggestion.new",
  "                                        suggestion.deleteRange(dot.linePos, linePosition - 1)onLine(lineNumber)",
  "                                        suggestions.push(suggestion)",
  "                                        errormessages.syntaxError(\"The fractional part of a number must be in base 10.\")atRange(",
  "                                            lineNumber, dot.linePos + 1, linePosition - 1)withSuggestions(suggestions)",
  "                                    }",
  "                                } else {",
  "                                    def suggestions = []",
  "                                    var suggestion := errormessages.suggestion.new",
  "                                    suggestion.replaceRange(tokens.last.linePos, dot.linePos - 1)with(tokens.last.value)onLine(lineNumber)",
  "                                    suggestions.push(suggestion)",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.deleteChar(dot.linePos)onLine(lineNumber)",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"A number in base {tokens.last.base} cannot have a fractional part.\")atRange(",
  "                                        lineNumber, dot.linePos, linePosition - 1)withSuggestions(suggestions)",
  "                                }",
  "                            } else {",
  "                                if(tokens.last.kind == \"string\") then {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.replaceChar(dot.linePos)with(\"++\")onLine(dot.line)",
  "                                    errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'. \"",
  "                                        ++ \"To join a number to a string, use '++'.\")atRange(",
  "                                        dot.line, dot.linePos, dot.linePos)withSuggestion(suggestion)",
  "                                } elseif((tokens.last.kind == \"op\") || (tokens.last.kind == \"bind\")) then {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.insert(\"0\")atPosition(dot.linePos)onLine(dot.line)",
  "                                    errormessages.syntaxError(\"A number must have a digit before the decimal point.\")atPosition(",
  "                                        dot.line, dot.linePos)withSuggestion(suggestion)",
  "                                } elseif(tokens.last.kind == \"identifier\") then {",
  "                                    def suggestions = []",
  "                                    if(tokens.last.value == \"o\") then {",
  "                                        def suggestion = errormessages.suggestion.new",
  "                                        suggestion.replaceChar(tokens.last.linePos)with(\"0\")onLine(tokens.last.line)",
  "                                        suggestions.push(suggestion)",
  "                                    }",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.replaceRange(dot.linePos, linePosition - 1)with(\"({accum})\")onLine(tokens.last.line)",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'.\")atRange(",
  "                                        dot.line, dot.linePos, dot.linePos)withSuggestions(suggestions)",
  "                                } else {",
  "                                    errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'.\")atRange(",
  "                                        dot.line, dot.linePos, dot.linePos)",
  "                                }",
  "                            }",
  "                        } else {",
  "                            tok := makeNumToken(accum)",
  "                        }",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"o\") then {",
  "                        tok := OpToken.new(accum)",
  "                        if (accum == \"->\") then {",
  "                            tok := ArrowToken.new",
  "                        } elseif (accum == \":=\") then {",
  "                            tok := BindToken.new",
  "                        } elseif (accum == \":\") then {",
  "                            tok := ColonToken.new",
  "                        }",
  "                        tokens.push(tok)",
  "                        done := true",
  "                    } elseif (mode == \"d\") then {",
  "                        indentLevel := linePosition - 1//accum.size",
  "                        done := true",
  "                    } elseif (mode == \"n\") then {",
  "                        done := true",
  "                    } elseif (mode == \"c\") then {",
  "                        def cmt = accum.substringFrom(3)to(accum.size)",
  "                        tokens.push(CommentToken.new(cmt))",
  "                        done := true",
  "                    } elseif (mode == \"p\") then {",
  "                        if (accum.substringFrom(1)to(8) == \"#pragma \") then {",
  "                            util.processExtension(",
  "                                accum.substringFrom(9)to(accum.size))",
  "                        }",
  "                    } elseif (done) then {",
  "                        //print(mode, accum, tokens)",
  "                    } else {",
  "                        errormessages.syntaxError(\"Lexing error: no handler for mode {mode} with accum {accum}.\")atPosition(lineNumber, linePosition)",
  "                    }",
  "                }",
  "                startPosition := linePosition",
  "            }",
  "",
  "            method fromBase(str, base) {",
  "                var val := 0",
  "                var i := 0",
  "                for (str) do {c->",
  "                    def n = c.ord",
  "                    val := val * base",
  "                    var inc := 0",
  "                    if ((n >= 48) && (n <= 57)) then {",
  "                        inc := n - 48 // 0",
  "                    } elseif((n >= 65) && (n <= 90)) then {",
  "                        inc := n - 55 // 'A' - 10",
  "                    } else {",
  "                        inc := n - 87 // 'a' - 10",
  "                    }",
  "                    if (inc >= base) then {",
  "                        if((str[1] == \"0\") && (inc < 16)) then {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.insert(\"x\")atPosition(linePosition - str.size + 1)onLine(lineNumber)",
  "                            errormessages.syntaxError(\"A number in base 16 must start with '0x'.\")atPosition(",
  "                                lineNumber, linePosition - str.size + 1)withSuggestion(suggestion)",
  "                        } else {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            if(str.size == 1) then {",
  "                                suggestion.deleteRange(linePosition - str.size - 1, linePosition - 1)onLine(lineNumber)",
  "                            } else {",
  "                                suggestion.deleteChar(linePosition - str.size + i)onLine(lineNumber)",
  "                            }",
  "                            def validDigits = if(base <= 10) then {",
  "                                \"'0' to '{base - 1}'\"",
  "                            } else {",
  "                                \"'0' to '9', 'a' to '{unicode.create(87 + base)}'\"",
  "                            }",
  "                            errormessages.syntaxError(\"'{c}' is not a valid digit in base {base}. Valid digits are {validDigits}.\")atRange(",
  "                                lineNumber, linePosition - str.size + i, linePosition - str.size + i)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                    val := val + inc",
  "                    i := i + 1",
  "                }",
  "                val",
  "            }",
  "            method makeNumToken(accum) {",
  "                var base := 10",
  "                var baseSet := false",
  "                var sofar := \"\"",
  "                var i := 0",
  "                for (accum) do {c->",
  "                    if ((c == \"x\") && (!baseSet)) then {",
  "                        base := sofar.asNumber",
  "                        baseSet := true",
  "                        if (base == 0) then {",
  "                            base := 16",
  "                        }",
  "                        if((base < 2) || (base > 36)) then {",
  "                            def suggestions = []",
  "                            var suggestion := errormessages.suggestion.new",
  "                            suggestion.replaceChar(linePosition - accum.size + i)with(\"*\")onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.deleteRange(linePosition - accum.size, linePosition - accum.size + i)onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"Base {base} is not a valid numerical base.\")atRange(",
  "                                lineNumber, linePosition - accum.size, linePosition - accum.size + i - 1)withSuggestions(suggestions)",
  "                        }",
  "                        sofar := \"\"",
  "                    } else {",
  "                        sofar := sofar ++ c",
  "                    }",
  "                    i := i + 1",
  "                }",
  "                if(sofar == \"\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteRange(linePosition - accum.size + i - 1, linePosition - 1)onLine(lineNumber)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"0\")atPosition(linePosition)onLine(lineNumber)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"At least one digit must follow the 'x' in a number.\")atPosition(",
  "                        lineNumber, linePosition - accum.size + i)withSuggestions(suggestions)",
  "                }",
  "                NumToken.new(fromBase(sofar, base).asString, base)",
  "            }",
  "            // True if ov is a valid identifier character. Identifier",
  "            // characters are Unicode letters, Unicode numbers, apostrophe,",
  "            // and (currently) underscore.",
  "            method isidentifierchar(ov) {",
  "                if (unicode.isLetter(ov)) then {",
  "                    return true",
  "                }",
  "                if (unicode.isNumber(ov)) then {",
  "                    return true",
  "                }",
  "                if ((ov == 95) || (ov == 39)) then {",
  "                    // 95 is _, 39 is '",
  "                    true",
  "                } else {",
  "                    false",
  "                }",
  "            }",
  "",
  "            // True if c (with codepoint ordval) is a valid operator character.",
  "            method isoperatorchar(c, ordval) {",
  "                if ((c == \"-\") || (c == \"&\") || (c == \"|\") || (c == \":\")",
  "                    || (c == \"%\") || (c == \"^\") || (c == \"@\") || (c == \"?\")",
  "                    || (c == \"*\") || (c == \"/\") || (c == \"+\") || (c == \"!\")",
  "                    ) then {",
  "                    return true",
  "                }",
  "                if (unicode.isSymbolMathematical(ordval)) then {",
  "                    return true",
  "                } elseif (unicode.iscategory(c, \"So\")) then {",
  "                    return true",
  "                }",
  "                return false",
  "            }",
  "",
  "            // Read the program text from util.infile and return a list of",
  "            // tokens.",
  "            method lexfile(file) {",
  "                util.log_verbose(\"reading source.\")",
  "                def lines = []",
  "                def cLines = []",
  "                var line := \"\"",
  "                var cLine := \"\"",
  "                var source := \"\"",
  "                for(file.read) do { c ->",
  "                    if((c == \"\\n\") || (c == \"\\l\")) then {",
  "                        lines.push(line)",
  "                        cLines.push(cLine)",
  "                        line := \"\"",
  "                        cLine := \"\"",
  "                    } elseif(c == \"\\r\") then {",
  "                    } elseif(c == \"\\\\\") then {",
  "                        line := line ++ \"\\\\\"",
  "                        cLine := cLine ++ \"\\\\\\\\\"",
  "                    } elseif(c == \"\\\"\") then {",
  "                        line := line ++ \"\\\"\"",
  "                        cLine := cLine ++ \"\\\\\\\"\"",
  "                    } else {",
  "                        line := line ++ c",
  "                        cLine := cLine ++ c",
  "                    }",
  "                    source := source ++ c",
  "                }",
  "                if(line != \"\") then {",
  "                    lines.push(line)",
  "                    cLines.push(cLine)",
  "                }",
  "                util.lines := lines",
  "                util.cLines := cLines",
  "                lexinput(source)",
  "            }",
  "",
  "            method lexinput(input) {",
  "                // tokens is a doubly-linked list of tokens.",
  "                var tokens := object {",
  "                    var first := false",
  "                    var last := false",
  "                    var size' := 0",
  "",
  "                    method push(t) {",
  "                        if(first == false) then {",
  "                            first := t",
  "                            last := t",
  "                        } else {",
  "                            last.next := t",
  "                            t.prev := last",
  "                            last := t",
  "                        }",
  "                        size' := size' + 1",
  "                    }",
  "",
  "                    method pop {",
  "                        if(last != false) then {",
  "                            def popped = last",
  "                            last := last.prev",
  "                            if(last == false) then {",
  "                                first := false",
  "                            }",
  "                            size' := size' - 1",
  "                            popped",
  "                        }",
  "                    }",
  "",
  "                    method poll {",
  "                        if(first != false) then {",
  "                            def polled = first",
  "                            first := first.next",
  "                            if(first == false) then {",
  "                                last := false",
  "                            }",
  "                            size' := size' - 1",
  "                            polled",
  "                        }",
  "                    }",
  "",
  "                    method size {",
  "                        size' + 0",
  "                    }",
  "",
  "                    method iter {",
  "                        object {",
  "                            var n := first",
  "                            method havemore {",
  "                                n != false",
  "                            }",
  "                            method hasNext {",
  "                                n != false",
  "                            }",
  "                            method next {",
  "                                def ret = n",
  "                                n := n.next",
  "                                ret",
  "                            }",
  "                        }",
  "                    }",
  "",
  "                    method iterator {",
  "                        iter",
  "                    }",
  "                }",
  "",
  "                var mode := \"d\"",
  "                var newmode := mode",
  "                var instr := false",
  "                var inBackticks := false",
  "                var backtickIdent := false",
  "                var accum := \"\"",
  "                var escaped := false",
  "                var prev := \"\"",
  "                var unichars := 0",
  "                var codepoint := 0",
  "                var interpdepth := 0",
  "                var interpString := false",
  "                var atStart := true",
  "                linePosition := 0",
  "                util.log_verbose(\"lexing.\")",
  "                def badSeparator = unicode.pattern(\"Z\", 9)not(32, 8232)",
  "                def badControl =  unicode.pattern(\"C\")not(10, 13)",
  "                def selfModes = unicode.pattern(\"(\".ord, \")\".ord, \",\".ord,",
  "                    \".\".ord, \"\\{\".ord, \"}\".ord, \"[\".ord, \"]\".ord, \";\".ord)",
  "                def brackets = unicode.pattern(\"(\".ord, \")\".ord,",
  "                    \"\\{\".ord, \"}\".ord, \"[\".ord, \"]\".ord)",
  "                def identifierChar = unicode.pattern(\"L\", \"N\", 95, 39)",
  "                def digit = unicode.pattern(\"0\".ord, \"1\".ord, \"2\".ord, \"3\".ord,",
  "                    \"4\".ord, \"5\".ord, \"6\".ord, \"7\".ord, \"8\".ord, \"9\".ord)",
  "                def digitB = unicode.pattern(\"0\".ord, \"1\".ord, \"2\".ord, \"3\".ord,",
  "                    \"4\".ord, \"5\".ord, \"6\".ord, \"7\".ord, \"8\".ord, \"9\".ord)",
  "                def operatorChar = unicode.pattern(\"Sm\", \"So\",",
  "                    \"-\".ord, \"&\".ord, \"|\".ord, \":\".ord,",
  "                   \"%\".ord, \"^\".ord, \"@\".ord, \"?\".ord,",
  "                   \"*\".ord, \"/\".ord, \"+\".ord, \"!\".ord",
  "                    )",
  "                def iGTLT = unicode.pattern(\"i\".ord, \"<\".ord, \">\".ord)",
  "                def notcp = unicode.pattern()not(\"c\".ord, \"p\".ord)",
  "                def mainBlock = { c->",
  "                    var ct := \"\"",
  "                    var ordval := c.ord // String.ord gives the codepoint",
  "                    if (badSeparator.match(ordval)) then {",
  "                        // Character is whitespace, but not an ASCII space or",
  "                        // Unicode LINE SEPARATOR, or is a tab",
  "                        def suggestion = errormessages.suggestion.new",
  "                        suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "                        if(ordval == 9) then {",
  "                            if (instr) then {",
  "                                suggestion.replaceRange(linePosition, linePosition)",
  "                                    with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                                    onLine(lineNumber)",
  "                                errormessages.syntaxError(\"tabs cannot be \"",
  "                                    ++ \"written in the source code; \"",
  "                                    ++ \"use the Unicode escape \\\\u\"",
  "                                    ++ padl(ordval.inBase 16, 4, \"0\")",
  "                                    ++ \" instead\")",
  "                                    atRange(lineNumber, linePosition, linePosition)",
  "                                    withSuggestion(suggestion)",
  "                            }",
  "                            errormessages.syntaxError(\"Tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                                linePosition, linePosition)withSuggestion(suggestion)",
  "                        } else {",
  "                            if (instr) then {",
  "                                suggestion.replaceRange(linePosition, linePosition)",
  "                                    with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                                    onLine(lineNumber)",
  "                                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                    ++ \"is not a valid whitespace character\"",
  "                                    ++ \" and cannot be \"",
  "                                    ++ \"written in the source code; \"",
  "                                    ++ \"use the Unicode escape \\\\u\"",
  "                                    ++ padl(ordval.inBase 16, 4, \"0\")",
  "                                    ++ \" instead\")",
  "                                    atRange(lineNumber, linePosition, linePosition)",
  "                                    withSuggestion(suggestion)",
  "                            }",
  "                            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                                linePosition, linePosition)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                    if (badControl.match(ordval)) then {",
  "                        // Character is a control character other than",
  "                        // carriage return or line feed.",
  "                        def suggestion = errormessages.suggestion.new",
  "                        if (instr) then {",
  "                            suggestion.replaceRange(linePosition, linePosition)",
  "                                with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                                onLine(lineNumber)",
  "                            errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                ++ \"is a control character and cannot be \"",
  "                                ++ \"written in the source code; \"",
  "                                ++ \"use the Unicode escape \\\\u\"",
  "                                ++ padl(ordval.inBase 16, 4, \"0\")",
  "                                ++ \" instead\")",
  "                                atRange(lineNumber, linePosition, linePosition)",
  "                                withSuggestion(suggestion)",
  "                        }",
  "                        suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "                        errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                            ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                            linePosition, linePosition)withSuggestion(suggestion)",
  "                    }",
  "                    if (atStart) then {",
  "                        if (linePosition == 1) then {",
  "                            if (c == \"#\") then {",
  "                                mode := \"p\"",
  "                                newmode := mode",
  "                            } else {",
  "                                atStart := false",
  "                            }",
  "                        }",
  "                    }",
  "                    if (instr) then {",
  "",
  "                    } elseif ((mode != \"c\") && (mode != \"p\")) then {",
  "                        // Not in a comment, so look for a mode.",
  "                        if ((c == \" \") && (mode != \"d\")) then {",
  "                            newmode := \"n\"",
  "                        }",
  "                        if (c == \"\\\"\") then {",
  "                            // Beginning of a string",
  "                            newmode := \"\\\"\"",
  "                            instr := true",
  "                        }",
  "                        if (identifierChar.match(ordval)) then {",
  "                            newmode := \"i\"",
  "                        }",
  "                        ct := ((ordval >= 48) && (ordval <=57))",
  "                        if (digit.match(ordval)) then {",
  "                            if (mode != \"i\") then {",
  "                                newmode := \"m\"",
  "                            }",
  "                        }",
  "                        if (mode == \"m\") then {",
  "                            if ((ordval >= 97) && (ordval <=122)) then {",
  "                                newmode := \"m\"",
  "                            } else {",
  "                                if ((ordval >= 65) && (ordval <= 90)) then {",
  "                                    newmode := \"m\"",
  "                                }",
  "                            }",
  "                        }",
  "                        if ((mode == \"i\") && (c == \"<\")) then {",
  "                            newmode := \"<\"",
  "                        } elseif (iGTLT.match(mode)",
  "                            && (c == \">\")) then {",
  "                            if (mode == \">\") then {",
  "                                modechange(tokens, mode, accum)",
  "                            }",
  "                            newmode := \">\"",
  "                        } elseif (operatorChar.match(ordval)) then {",
  "                            newmode := \"o\"",
  "                        }",
  "                        if (selfModes.match(ordval)) then {",
  "                            newmode := c",
  "                        }",
  "                        if (c == \"#\") then {",
  "                            if (mode != \"p\") then {",
  "                                if(util.lines.at(lineNumber).substringFrom(1)to(7) == \"#pragma\") then {",
  "                                    if(tokens.size == 0) then {",
  "                                        def suggestion = errormessages.suggestion.new",
  "                                        suggestion.addLine(1, util.lines.at(lineNumber))",
  "                                        suggestion.addLine(lineNumber, \"\")",
  "                                        errormessages.syntaxError(\"Pragma directives must be at the start of the file.\")atLine(",
  "                                            lineNumber)withSuggestion(suggestion)",
  "                                    } else {",
  "                                        errormessages.syntaxError(\"Pragma directives must be at the start of the file.\")atLine(",
  "                                            lineNumber)",
  "                                    }",
  "                                } else {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.replaceChar(linePosition)with(\"//\")onLine(lineNumber)",
  "                                    errormessages.syntaxError(\"'#' is not allowed here. For a comment use '//'.\")atRange(",
  "                                        lineNumber, linePosition, linePosition)withSuggestion(suggestion)",
  "                                }",
  "                            }",
  "                        }",
  "                        if (c == \".\") then {",
  "                            if (accum == \".\") then {",
  "                                // Special handler for .. operator",
  "                                mode := \"o\"",
  "                                newmode := mode",
  "                            }",
  "                            if (accum == \"..\") then {",
  "                                // Special handler for ... identifier",
  "                                mode := \"n\"",
  "                                newmode := mode",
  "                                modechange(tokens, \"i\", \"...\")",
  "                                accum := \"\"",
  "                            }",
  "                        }",
  "                        if (c == \"/\") then {",
  "                            if (accum == \"/\") then {",
  "                                // Start of comment",
  "                                mode := \"c\"",
  "                                newmode := mode",
  "                            }",
  "                        }",
  "                        if (mode == \"n\") then {",
  "                            if (mode == newmode) then {",
  "                                if (unicode.isSeparator(ordval).not) then {",
  "                                    if (unicode.isControl(ordval).not) then {",
  "                                        if (ordval != 10) then {",
  "                                            if (ordval != 13) then {",
  "                                                if (ordval != 32) then {",
  "                                                    if (c != \".\") then{",
  "                                                        errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                                            ++ \"is not a valid character; use spaces instead.\")atRange(",
  "                                                            lineNumber, linePosition, linePosition)",
  "                                                    }",
  "                                                }",
  "                                            }",
  "                                        }",
  "                                    }",
  "                                }",
  "                            }",
  "                        }",
  "                    }",
  "                    if (mode == \"\\\"\") then {",
  "                        if (c == \"\\\"\") then {",
  "                            if (escaped.not) then {",
  "                                // End of string literal",
  "                                newmode := \"n\"",
  "                                instr := false",
  "                                if (interpString) then {",
  "                                    modechange(tokens, mode, accum)",
  "                                    modechange(tokens, \")\", \")\")",
  "                                    mode := newmode",
  "                                    interpString := false",
  "                                }",
  "                            }",
  "                        }",
  "                    }",
  "                    if (newmode != mode) then {",
  "                        // This character is the beginning of a different",
  "                        // lexical mode - process the old one now.",
  "                        modechange(tokens, mode, accum)",
  "                        if (interpdepth > 0) then {",
  "                            if (newmode == \"}\") then {",
  "                                // Find the position of the opening brace to check in the interpolation is empty.",
  "                                if (util.lines.at(tokens.last.line)[tokens.last.linePos] == \"\\{\") then {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.deleteRange(linePosition - 1, linePosition)onLine(lineNumber)",
  "                                    errormessages.syntaxError(\"A string interpolation cannot be empty.\")atRange(",
  "                                        lineNumber, tokens.last.linePos, linePosition)withSuggestion(suggestion)",
  "                                }",
  "                                modechange(tokens, \")\", \")\")",
  "                                modechange(tokens, \"o\", \"++\")",
  "                                newmode := \"\\\"\"",
  "                                instr := true",
  "                                interpdepth := interpdepth - 1",
  "                            }",
  "                        }",
  "                        mode := newmode",
  "                        if (instr) then {",
  "                            // String accum should skip the opening quote, but",
  "                            // other modes' should include their first",
  "                            // character.",
  "                            accum := \"\"",
  "                        } else {",
  "                            accum := c",
  "                        }",
  "                        if (brackets.match(mode)) then {",
  "                            modechange(tokens, mode, accum)",
  "                            mode := \"n\"",
  "                            newmode := \"n\"",
  "                            accum := \"\"",
  "                        }",
  "                    } elseif (instr) then {",
  "                        if (c == \"\\n\") then {",
  "                            if (interpdepth > 0) then {",
  "                                // Find closest {.",
  "                                var line := lineNumber",
  "                                var i := util.lines.at(line).size",
  "                                while { util.lines.at(line)[i] != \"\\{\" } do {",
  "                                    i := i - 1",
  "                                    if(i == 0) then {",
  "                                        lineNumber := line - 1",
  "                                        i := util.lines.at(line).size",
  "                                    }",
  "                                }",
  "                                def suggestions = []",
  "                                var suggestion := errormessages.suggestion.new",
  "                                suggestion.insert(\"\\\\\")atPosition(i)onLine(line)",
  "                                suggestions.push(suggestion)",
  "                                if((line == lineNumber) && (i == (linePosition - 2))) then {",
  "                                    errormessages.syntaxError(\"For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                        line, i)withSuggestions(suggestions)",
  "                                } else {",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.insert(\"}\")atPosition(linePosition - accum.size - 1)onLine(lineNumber)",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"A string interpolation must end with a '}'. For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                        lineNumber, linePosition - accum.size - 1)withSuggestions(suggestions)",
  "                                }",
  "                            } else {",
  "                                def errorLine = util.lines.at(lineNumber)",
  "                                def nextLine = if(util.lines.size >= (lineNumber + 1)) then {",
  "                                    util.lines.at(lineNumber + 1)",
  "                                } else {",
  "                                    \"\"",
  "                                }",
  "                                // Count the number of literal quotes in the next line.",
  "                                var i := 1",
  "                                var count := 0",
  "                                while { i <= nextLine.size } do {",
  "                                    if(nextLine[i] == \"\\\"\") then { count := count + 1 }",
  "                                    elseif(nextLine[i] == \"\\\\\") then { i := i + 1 }",
  "                                    i := i + 1",
  "                                }",
  "                                if ((count % 2) == 1) then {",
  "                                    def suggestions = []",
  "                                    var suggestion := errormessages.suggestion.new",
  "                                    suggestion.addLine(lineNumber, errorLine ++ nextLine)",
  "                                    suggestion.addLine(lineNumber + 1, \"\")",
  "                                    suggestions.push(suggestion)",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                                    suggestion.addLine(lineNumber + 1, \"    ++ \\\"\" ++ nextLine)",
  "                                    suggestions.push(suggestion)",
  "                                    suggestion := errormessages.suggestion.new",
  "                                    suggestion.addLine(lineNumber, errorLine ++ \"\\\\n\" ++ nextLine)",
  "                                    suggestion.addLine(lineNumber + 1, \"\")",
  "                                    suggestions.push(suggestion)",
  "                                    errormessages.syntaxError(\"A string must end with a '\\\"'. To insert a newline in a string use '\\\\n'. \"",
  "                                        ++ \"To split a string over multiple lines use '++' to join strings together.\")atRange(",
  "                                        lineNumber, linePosition, linePosition)withSuggestions(suggestions)",
  "                                } else {",
  "                                    def suggestion = errormessages.suggestion.new",
  "                                    suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                                    errormessages.syntaxError(\"A string must end with a '\\\"'.\")atPosition(",
  "                                        lineNumber, linePosition)withSuggestion(suggestion)",
  "                                }",
  "                            }",
  "                        }",
  "                        if (escaped) then {",
  "                            if (c == \"n\") then {",
  "                                // Newline escape",
  "                                accum := accum ++ \"\\u000a\"",
  "                            } elseif (c == \"u\") then {",
  "                                // Beginning of a four-digit Unicode escape",
  "                                // (for a BMP codepoint).",
  "                                unichars := 4",
  "                                codepoint := 0",
  "                            } elseif (c == \"U\") then {",
  "                                // Beginning of a six-digit Unicode escape",
  "                                // (for a general codepoint).",
  "                                unichars := 6",
  "                                codepoint := 0",
  "                            } elseif (c == \"t\") then {",
  "                                // Tab escape",
  "                                accum := accum ++ \"\\u0009\"",
  "                            } elseif (c == \"r\") then {",
  "                                // Carriage return escape",
  "                                accum := accum ++ \"\\u000d\"",
  "                            } elseif (c == \"b\") then {",
  "                                // Backspace escape",
  "                                accum := accum ++ \"\\u0008\"",
  "                            } elseif (c == \"l\") then {",
  "                                // LINE SEPARATOR escape",
  "                                accum := accum ++ \"\\u2028\"",
  "                            } elseif (c == \"f\") then {",
  "                                // Form feed/\"page down\" escape",
  "                                accum := accum ++ \"\\u000c\"",
  "                            } elseif (c == \"e\") then {",
  "                                // Escape escape",
  "                                accum := accum ++ \"\\u001b\"",
  "                            } else {",
  "                                // For any other character preceded by \\,",
  "                                // insert it literally.",
  "                                accum := accum ++ c",
  "                            }",
  "                            escaped := false",
  "                        } elseif (c == \"\\\\\") then {",
  "                            // Begin an escape sequence",
  "                            escaped := true",
  "                        } elseif (unichars > 0) then {",
  "                            // There are still hex digits to read for a",
  "                            // Unicode escape. Use the current character",
  "                            // as a hex digit and update the codepoint",
  "                            // being calculated with its value.",
  "                            unichars := unichars - 1",
  "                            codepoint := codepoint * 16",
  "                            codepoint := codepoint + hexdecchar(c)",
  "                            if (unichars == 0) then {",
  "                                // At the end of the sequence construct",
  "                                // the character in the unicode library.",
  "                                accum := accum ++ unicode.create(codepoint)",
  "                            }",
  "                        } elseif (c == \"\\{\") then {",
  "                            if (interpString.not) then {",
  "                                modechange(tokens, \"(\", \"(\")",
  "                                interpString := true",
  "                            }",
  "                            modechange(tokens, mode, accum)",
  "                            modechange(tokens, \"o\", \"++\")",
  "                            modechange(tokens, \"(\", \"(\")",
  "                            mode := \"n\"",
  "                            newmode := \"n\"",
  "                            accum := \"\"",
  "                            instr := false",
  "                            interpdepth := interpdepth + 1",
  "                        } else {",
  "                            accum := accum ++ c",
  "                        }",
  "                    } elseif ((c == \"\\n\") || (c == \"\\r\")) then {",
  "                        // Linebreaks terminate any open tokens",
  "                        modechange(tokens, mode, accum)",
  "                        mode := \"d\"",
  "                        newmode := \"d\"",
  "                        accum := \"\"",
  "                    } else {",
  "                        accum := accum ++ c",
  "                    }",
  "                    if (accum == \"...\") then {",
  "                        if (mode == \"o\") then {",
  "                            modechange(tokens, \"i\", \"...\")",
  "                            newmode := \"n\"",
  "                            mode := newmode",
  "                            accum := \"\"",
  "                        }",
  "                    }",
  "                    if (c == \"\\n\") then {",
  "                        // Linebreaks increment the line counter and insert a",
  "                        // special \"line\" token, which the parser can use to",
  "                        // track the origin of AST nodes for later error",
  "                        // reporting.",
  "                        lineNumber := lineNumber + 1",
  "                        linePosition := 0",
  "                        startPosition := 1",
  "                    }",
  "                }",
  "                for (input) do { c ->",
  "                    linePosition := linePosition + 1",
  "                    if (c == \" \") then {",
  "                        if (mode == \"d\") then {",
  "                        } else {",
  "                            if (mode != \"n\") then {",
  "                                mainBlock.apply(c)",
  "                            }",
  "                        }",
  "                    } else {",
  "                        mainBlock.apply(c)",
  "                    }",
  "                    prev := c",
  "                }",
  "                linePosition := linePosition + 1",
  "                if (instr) then {",
  "                    if (mode == \"\\\"\") then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        suggestion.addLine(lineNumber, util.lines.at(lineNumber) ++ \"\\\"\")",
  "                        errormessages.syntaxError(\"A string must end with a '\\\"'.\")atPosition(",
  "                            lineNumber, linePosition)withSuggestion(suggestion)",
  "                    }",
  "                    if (mode == \"x\") then {",
  "                        errormessages.syntaxError(\"Unfinished octets literal, expected '\\\"'.\")atPosition(lineNumber, linePosition)",
  "                    }",
  "                }",
  "                modechange(tokens, mode, accum)",
  "                tokens",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method Lexer {",
  "    LexerClass",
  "}",
  NULL
};
Object reader_lexer_outer_61(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_68(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_71(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_line_72(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_indent_73(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_linePos_74(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_next_75(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_next_75(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_prev_76(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_prev_76(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_outer_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_108(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_109(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_110(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_111(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_119(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_122(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_123(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_124(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_125(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_137(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_140(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_141(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_142(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_143(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_155(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_158(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_159(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_160(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_161(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_173(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_176(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_177(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_178(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_179(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_187(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_190(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_191(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_192(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_193(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_201(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_204(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_205(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_206(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_207(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_215(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_218(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_219(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_220(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_221(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_229(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_232(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_235(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_243(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_246(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_247(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_248(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_249(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_257(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_260(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_261(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_262(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_263(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_275(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_276(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_277(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_285(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_288(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_289(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_290(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_291(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_299(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_302(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_303(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_304(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_base_305(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_size_306(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_outer_315(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_318(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_319(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_320(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_321(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_329(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_332(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_333(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_335(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_343(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_346(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_347(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_348(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_349(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_360(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_361(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_362(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_363(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_371(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_374(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_375(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_376(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_377(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_385(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_388(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_389(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_390(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_391(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_399(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_402(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_403(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_404(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_405(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_413(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_outer_1750(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_first_1751(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_first_1751(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_last_1752(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_last_1752(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_size_39__1753(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_size_39__1753(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_outer_1861(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_n_1862(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_n_1862(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
static Object strlit2;
static Object strlit3;
static Object strlit4;
static Object strlit5;
static Object strlit6;
static Object strlit7;
static Object strlit8;
static Object strlit9;
static Object strlit10;
static Object strlit11;
static Object strlit12;
static Object strlit13;
static Object strlit14;
static Object strlit15;
static Object strlit16;
static Object strlit17;
Object module_io;
Object module_io_init();
Object module_sys;
Object module_sys_init();
Object module_util;
Object module_util_init();
Object module_unicode;
Object module_unicode_init();
Object module_mgcollections;
Object module_mgcollections_init();
Object module_errormessages;
Object module_errormessages_init();
static ClassData objclass60;
static ClassData objclass67;
static ClassData objclass70;
static ClassData objclass104;
static ClassData objclass107;
static Object strlit114;
static ClassData objclass118;
static ClassData objclass121;
static Object strlit128;
static ClassData objclass136;
static ClassData objclass139;
static Object strlit146;
static ClassData objclass154;
static ClassData objclass157;
static Object strlit164;
static ClassData objclass172;
static ClassData objclass175;
static Object strlit182;
static Object strlit183;
static ClassData objclass186;
static ClassData objclass189;
static Object strlit196;
static Object strlit197;
static ClassData objclass200;
static ClassData objclass203;
static Object strlit210;
static Object strlit211;
static ClassData objclass214;
static ClassData objclass217;
static Object strlit224;
static Object strlit225;
static ClassData objclass228;
static ClassData objclass231;
static Object strlit238;
static Object strlit239;
static ClassData objclass242;
static ClassData objclass245;
static Object strlit252;
static Object strlit253;
static ClassData objclass256;
static ClassData objclass259;
static Object strlit266;
static Object strlit267;
static ClassData objclass270;
static ClassData objclass273;
static Object strlit280;
static Object strlit281;
static ClassData objclass284;
static ClassData objclass287;
static Object strlit294;
static Object strlit295;
static ClassData objclass298;
static ClassData objclass301;
static Object strlit309;
static ClassData objclass314;
static ClassData objclass317;
static Object strlit324;
static ClassData objclass328;
static ClassData objclass331;
static Object strlit338;
static ClassData objclass342;
static ClassData objclass345;
static Object strlit352;
static Object strlit353;
static ClassData objclass356;
static ClassData objclass359;
static Object strlit366;
static Object strlit367;
static ClassData objclass370;
static ClassData objclass373;
static Object strlit380;
static Object strlit381;
static ClassData objclass384;
static ClassData objclass387;
static Object strlit394;
static Object strlit395;
static ClassData objclass398;
static ClassData objclass401;
static Object strlit408;
static Object strlit409;
static ClassData objclass412;
static Object strlit427;
static Object strlit433;
static Object strlit442;
static Object strlit448;
static Object strlit454;
static Object strlit460;
static Object strlit466;
static Object strlit472;
static Object strlit478;
static Object strlit484;
static Object strlit490;
static Object strlit496;
static Object strlit502;
static Object strlit507;
static Object strlit530;
static Object strlit542;
static Object strlit554;
static Object strlit566;
static Object strlit578;
static Object strlit590;
static Object strlit602;
static Object strlit614;
static Object strlit626;
static Object strlit638;
static Object strlit650;
static Object strlit662;
static Object strlit674;
static Object strlit686;
static Object strlit698;
static Object strlit706;
static Object strlit725;
static Object strlit757;
static Object strlit803;
static Object strlit851;
static Object strlit859;
static Object strlit871;
static Object strlit885;
static Object strlit891;
static Object strlit893;
static Object strlit905;
static Object strlit914;
static Object strlit927;
static Object strlit934;
static Object strlit942;
static Object strlit952;
static Object strlit968;
static Object strlit988;
static Object strlit992;
static Object strlit1003;
static Object strlit1012;
static Object strlit1029;
static Object strlit1037;
static Object strlit1045;
static Object strlit1053;
static Object strlit1065;
static Object strlit1077;
static Object strlit1084;
static Object strlit1100;
static Object strlit1105;
static Object strlit1122;
static Object strlit1127;
static Object strlit1131;
static Object strlit1202;
static Object strlit1213;
static Object strlit1225;
static Object strlit1278;
static Object strlit1286;
static Object strlit1290;
static Object strlit1300;
static Object strlit1305;
static Object strlit1310;
static Object strlit1315;
static Object strlit1319;
static Object strlit1357;
static Object strlit1368;
static Object strlit1410;
static Object strlit1438;
static Object strlit1442;
static Object strlit1463;
static Object strlit1478;
static Object strlit1512;
static Object strlit1517;
static Object strlit1560;
static Object strlit1566;
static Object strlit1572;
static Object strlit1578;
static Object strlit1584;
static Object strlit1590;
static Object strlit1596;
static Object strlit1602;
static Object strlit1608;
static Object strlit1614;
static Object strlit1620;
static Object strlit1625;
static Object strlit1646;
static Object strlit1652;
static Object strlit1656;
static Object strlit1657;
static Object strlit1658;
static Object strlit1667;
static Object strlit1672;
static Object strlit1680;
static Object strlit1682;
static Object strlit1686;
static Object strlit1691;
static Object strlit1695;
static Object strlit1700;
static Object strlit1706;
static Object strlit1710;
static Object strlit1715;
static Object strlit1735;
static ClassData objclass1749;
static ClassData objclass1860;
static Object strlit1897;
static Object strlit1901;
static Object strlit1903;
static Object strlit1912;
static Object strlit1915;
static Object strlit1921;
static Object strlit1927;
static Object strlit1930;
static Object strlit1933;
static Object strlit1936;
static Object strlit1939;
static Object strlit1942;
static Object strlit1945;
static Object strlit1948;
static Object strlit1951;
static Object strlit1956;
static Object strlit1959;
static Object strlit1962;
static Object strlit1965;
static Object strlit1968;
static Object strlit1971;
static Object strlit1975;
static Object strlit1976;
static Object strlit1982;
static Object strlit1985;
static Object strlit1988;
static Object strlit1991;
static Object strlit1994;
static Object strlit1997;
static Object strlit2000;
static Object strlit2003;
static Object strlit2006;
static Object strlit2009;
static Object strlit2014;
static Object strlit2017;
static Object strlit2020;
static Object strlit2023;
static Object strlit2026;
static Object strlit2029;
static Object strlit2032;
static Object strlit2035;
static Object strlit2038;
static Object strlit2041;
static Object strlit2045;
static Object strlit2046;
static Object strlit2048;
static Object strlit2051;
static Object strlit2054;
static Object strlit2057;
static Object strlit2060;
static Object strlit2063;
static Object strlit2066;
static Object strlit2069;
static Object strlit2072;
static Object strlit2075;
static Object strlit2078;
static Object strlit2081;
static Object strlit2086;
static Object strlit2089;
static Object strlit2092;
static Object strlit2097;
static Object strlit2100;
static Object strlit2105;
static Object strlit2116;
static Object strlit2126;
static Object strlit2134;
static Object strlit2141;
static Object strlit2147;
static Object strlit2155;
static Object strlit2163;
static Object strlit2166;
static Object strlit2168;
static Object strlit2175;
static Object strlit2180;
static Object strlit2188;
static Object strlit2195;
static Object strlit2201;
static Object strlit2209;
static Object strlit2217;
static Object strlit2220;
static Object strlit2223;
static Object strlit2226;
static Object strlit2229;
static Object strlit2237;
static Object strlit2245;
static Object strlit2251;
static Object strlit2265;
static Object strlit2268;
static Object strlit2276;
static Object strlit2284;
static Object strlit2290;
static Object strlit2307;
static Object strlit2315;
static Object strlit2322;
static Object strlit2328;
static Object strlit2336;
static Object strlit2344;
static Object strlit2347;
static Object strlit2350;
static Object strlit2353;
static Object strlit2361;
static Object strlit2369;
static Object strlit2375;
static Object strlit2390;
static Object strlit2393;
static Object strlit2401;
static Object strlit2409;
static Object strlit2415;
static Object strlit2430;
static Object strlit2433;
static Object strlit2442;
static Object strlit2447;
static Object strlit2454;
static Object strlit2459;
static Object strlit2463;
static Object strlit2467;
static Object strlit2470;
static Object strlit2477;
static Object strlit2496;
static Object strlit2499;
static Object strlit2503;
static Object strlit2518;
static Object strlit2532;
static Object strlit2537;
static Object strlit2542;
static Object strlit2546;
static Object strlit2551;
static Object strlit2560;
static Object strlit2565;
static Object strlit2570;
static Object strlit2578;
static Object strlit2583;
static Object strlit2588;
static Object strlit2618;
static Object strlit2621;
static Object strlit2624;
static Object strlit2631;
static Object strlit2634;
static Object strlit2638;
static Object strlit2643;
static Object strlit2646;
static Object strlit2651;
static Object strlit2654;
static Object strlit2658;
static Object strlit2659;
static Object strlit2661;
static Object strlit2665;
static Object strlit2670;
static Object strlit2673;
static Object strlit2678;
static Object strlit2712;
static Object strlit2717;
static Object strlit2720;
static Object strlit2728;
static Object strlit2736;
static Object strlit2742;
static Object strlit2751;
static Object strlit2756;
static Object strlit2762;
static Object strlit2770;
static Object strlit2771;
static Object strlit2789;
static Object strlit2794;
static Object strlit2821;
static Object strlit2828;
static Object strlit2829;
static Object strlit2832;
static Object strlit2833;
static Object strlit2835;
static Object strlit2846;
static Object strlit2854;
static Object strlit2856;
static Object strlit2858;
static Object strlit2863;
static Object strlit2881;
static Object strlit2922;
static Object strlit2941;
static Object strlit2949;
static Object strlit2963;
static Object strlit2998;
static Object strlit3014;
static Object strlit3025;
static Object strlit3065;
static Object strlit3076;
static Object strlit3087;
static Object strlit3101;
static Object strlit3111;
static Object strlit3117;
static Object strlit3119;
static Object strlit3128;
static Object strlit3133;
static Object strlit3138;
static Object strlit3142;
static Object strlit3148;
static Object strlit3157;
static Object strlit3166;
static Object strlit3170;
static Object strlit3176;
static Object strlit3180;
static Object strlit3186;
static Object strlit3190;
static Object strlit3196;
static Object strlit3200;
static Object strlit3206;
static Object strlit3210;
static Object strlit3216;
static Object strlit3220;
static Object strlit3232;
static Object strlit3275;
static Object strlit3282;
static Object strlit3283;
static Object strlit3290;
static Object strlit3291;
static Object strlit3294;
static Object strlit3295;
static Object strlit3297;
static Object strlit3299;
static Object strlit3301;
static Object strlit3317;
static Object strlit3322;
static Object strlit3328;
static Object strlit3330;
static Object strlit3332;
static Object strlit3340;
static Object strlit3345;
static Object strlit3349;
static Object strlit3350;
static Object strlit3352;
static Object strlit3355;
static Object strlit3359;
static Object strlit3382;
static Object strlit3387;
static Object strlit3392;
static Object strlit3410;
static Object strlit3419;
static Object strlit3428;
static Object strlit3432;
static Object strlit3436;
Object meth_lexer__apply22(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_c = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object *var_ret = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_cr = &(stackframe->slots[0]);
  *var_cr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_24 = gc_frame_newslot(*var_c);
// compilenode returning *var_cr
  int op_slot_left_24 = gc_frame_newslot(*var_cr);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult26 = callmethod(*var_cr, "==", 1, partcv, params);
// compilenode returning opresult26
  Object if23 = done;
  if (istrue(opresult26)) {
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_i
  *var_ret = *var_i;
  if (*var_i == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if23 = done;
  } else {
  }
// compilenode returning if23
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num29 = alloc_Float64(1);
// compilenode returning num29
  int op_slot_right_28 = gc_frame_newslot(num29);
// compilenode returning *var_i
  int op_slot_left_28 = gc_frame_newslot(*var_i);
  params[0] = num29;
  partcv[0] = 1;
  Object sum31 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum31
  *var_i = sum31;
  if (sum31 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_hexdecchar0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hexdecchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method hexdecchar");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hexdecchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for hexdecchar");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_chars = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "chars");
  Object *var_ret = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ret");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1 = alloc_BuiltinList();
  gc_pause();
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2 == NULL) {
    strlit2 = alloc_String("0");
    gc_root(strlit2);
  }
// compilenode returning strlit2
  params[0] = strlit2;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit3 == NULL) {
    strlit3 = alloc_String("1");
    gc_root(strlit3);
  }
// compilenode returning strlit3
  params[0] = strlit3;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit4 == NULL) {
    strlit4 = alloc_String("2");
    gc_root(strlit4);
  }
// compilenode returning strlit4
  params[0] = strlit4;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit5 == NULL) {
    strlit5 = alloc_String("3");
    gc_root(strlit5);
  }
// compilenode returning strlit5
  params[0] = strlit5;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit6 == NULL) {
    strlit6 = alloc_String("4");
    gc_root(strlit6);
  }
// compilenode returning strlit6
  params[0] = strlit6;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit7 == NULL) {
    strlit7 = alloc_String("5");
    gc_root(strlit7);
  }
// compilenode returning strlit7
  params[0] = strlit7;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit8 == NULL) {
    strlit8 = alloc_String("6");
    gc_root(strlit8);
  }
// compilenode returning strlit8
  params[0] = strlit8;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit9 == NULL) {
    strlit9 = alloc_String("7");
    gc_root(strlit9);
  }
// compilenode returning strlit9
  params[0] = strlit9;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit10 == NULL) {
    strlit10 = alloc_String("8");
    gc_root(strlit10);
  }
// compilenode returning strlit10
  params[0] = strlit10;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11 == NULL) {
    strlit11 = alloc_String("9");
    gc_root(strlit11);
  }
// compilenode returning strlit11
  params[0] = strlit11;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit12 == NULL) {
    strlit12 = alloc_String("a");
    gc_root(strlit12);
  }
// compilenode returning strlit12
  params[0] = strlit12;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit13 == NULL) {
    strlit13 = alloc_String("b");
    gc_root(strlit13);
  }
// compilenode returning strlit13
  params[0] = strlit13;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit14 == NULL) {
    strlit14 = alloc_String("c");
    gc_root(strlit14);
  }
// compilenode returning strlit14
  params[0] = strlit14;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit15 == NULL) {
    strlit15 = alloc_String("d");
    gc_root(strlit15);
  }
// compilenode returning strlit15
  params[0] = strlit15;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit16 == NULL) {
    strlit16 = alloc_String("e");
    gc_root(strlit16);
  }
// compilenode returning strlit16
  params[0] = strlit16;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  if (strlit17 == NULL) {
    strlit17 = alloc_String("f");
    gc_root(strlit17);
  }
// compilenode returning strlit17
  params[0] = strlit17;
  partcv[0] = 1;
  callmethod(array1, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array1
  *var_chars = array1;
  if (array1 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num18 = alloc_Float64(0);
// compilenode returning num18
  *var_ret = num18;
  if (num18 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num19 = alloc_Float64(0);
// compilenode returning num19
  *var_i = num19;
  if (num19 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe20 = gc_frame_new();
// compilenode returning *var_chars
  gc_frame_newslot(*var_chars);
  Object block21 = alloc_Block(NULL, NULL, "lexer", 15);
  gc_frame_newslot(block21);
  block_savedest(block21);
  Object closure22 = createclosure(4, "_apply");
  setclosureframe(closure22, stackframe);
  addtoclosure(closure22, var_c);
  addtoclosure(closure22, var_i);
  addtoclosure(closure22, var_ret);
  addtoclosure(closure22, selfslot);
  struct UserObject *uo22 = (struct UserObject*)block21;
  uo22->data[0] = (Object)closure22;
  Method *meth_meth_lexer__apply22 = addmethod2pos(block21, "_apply", &meth_lexer__apply22, 0);
int argcv_meth_lexer__apply22[] = {1};
meth_meth_lexer__apply22->type = alloc_MethodType(1, argcv_meth_lexer__apply22);
  meth_meth_lexer__apply22->definitionModule = modulename;
  meth_meth_lexer__apply22->definitionLine = 1061;
// compilenode returning block21
  gc_frame_newslot(block21);
  params[0] = *var_chars;
  params[1] = block21;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call34 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe20);
// compilenode returning call34
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ret
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer__apply44(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_l = getfromclosure(closure, 0);
  Object *var_s_39_ = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_l
  int op_slot_right_45 = gc_frame_newslot(*var_l);
  int callframe47 = gc_frame_new();
// compilenode returning *var_s_39_
  partcv[0] = 0;
  Object call48 = callmethod(*var_s_39_, "size",
    1, partcv, params);
  gc_frame_end(callframe47);
// compilenode returning call48
// compilenode returning call48
  int op_slot_left_45 = gc_frame_newslot(call48);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult49 = callmethod(call48, "<", 1, partcv, params);
// compilenode returning opresult49
  gc_frame_end(frame);
  return opresult49;
}
Object meth_lexer__apply52(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s_39_ = getfromclosure(closure, 0);
  Object *var_w = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s_39_
  int op_slot_right_53 = gc_frame_newslot(*var_s_39_);
// compilenode returning *var_w
  int op_slot_left_53 = gc_frame_newslot(*var_w);
  params[0] = *var_s_39_;
  partcv[0] = 1;
  Object opresult55 = callmethod(*var_w, "++", 1, partcv, params);
// compilenode returning opresult55
  *var_s_39_ = opresult55;
  if (opresult55 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_padl35(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "padl");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method padl");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for padl (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_w = &(stackframe->slots[2]);
  *var_w = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for padl");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s'");
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_l
  int op_slot_right_37 = gc_frame_newslot(*var_l);
  int callframe39 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call40 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe39);
// compilenode returning call40
// compilenode returning call40
  int op_slot_left_37 = gc_frame_newslot(call40);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult41 = callmethod(call40, ">=", 1, partcv, params);
// compilenode returning opresult41
  Object if36 = done;
  if (istrue(opresult41)) {
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  return *var_s;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if36 = undefined;
  } else {
  }
// compilenode returning if36
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  *var_s_39_ = *var_s;
  if (*var_s == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe42 = gc_frame_new();
  Object block43 = alloc_Block(NULL, NULL, "lexer", 28);
  gc_frame_newslot(block43);
  block_savedest(block43);
  Object closure44 = createclosure(3, "_apply");
  setclosureframe(closure44, stackframe);
  addtoclosure(closure44, var_l);
  addtoclosure(closure44, var_s_39_);
  addtoclosure(closure44, selfslot);
  struct UserObject *uo44 = (struct UserObject*)block43;
  uo44->data[0] = (Object)closure44;
  Method *meth_meth_lexer__apply44 = addmethod2pos(block43, "_apply", &meth_lexer__apply44, 0);
int argcv_meth_lexer__apply44[] = {0};
meth_meth_lexer__apply44->type = alloc_MethodType(1, argcv_meth_lexer__apply44);
  meth_meth_lexer__apply44->definitionModule = modulename;
  meth_meth_lexer__apply44->definitionLine = 24;
// compilenode returning block43
  gc_frame_newslot(block43);
  Object block51 = alloc_Block(NULL, NULL, "lexer", 28);
  gc_frame_newslot(block51);
  block_savedest(block51);
  Object closure52 = createclosure(3, "_apply");
  setclosureframe(closure52, stackframe);
  addtoclosure(closure52, var_s_39_);
  addtoclosure(closure52, var_w);
  addtoclosure(closure52, selfslot);
  struct UserObject *uo52 = (struct UserObject*)block51;
  uo52->data[0] = (Object)closure52;
  Method *meth_meth_lexer__apply52 = addmethod2pos(block51, "_apply", &meth_lexer__apply52, 0);
int argcv_meth_lexer__apply52[] = {0};
meth_meth_lexer__apply52->type = alloc_MethodType(1, argcv_meth_lexer__apply52);
  meth_meth_lexer__apply52->definitionModule = modulename;
  meth_meth_lexer__apply52->definitionLine = 28;
// compilenode returning block51
  gc_frame_newslot(block51);
  params[0] = block43;
  params[1] = block51;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call58 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe42);
// compilenode returning call58
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s_39_
  return *var_s_39_;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_Lexer59(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Lexer");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_LexerClass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Lexer (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for Lexer");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_LexerClass
  gc_frame_end(frame);
  return *var_LexerClass;
}
Object meth_lexer__61__61_77(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool80 = alloc_Boolean(0);
// compilenode returning bool80
  int op_slot_right_79 = gc_frame_newslot(bool80);
// compilenode returning *var_other
  int op_slot_left_79 = gc_frame_newslot(*var_other);
  params[0] = bool80;
  partcv[0] = 1;
  Object opresult82 = callmethod(*var_other, "==", 1, partcv, params);
// compilenode returning opresult82
  Object if78 = done;
  if (istrue(opresult82)) {
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool83 = alloc_Boolean(0);
// compilenode returning bool83
    gc_frame_newslot(bool83);
    if78 = bool83;
  } else {
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe86 = gc_frame_new();
  partcv[0] = 0;
  Object call87 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe86);
// compilenode returning call87
  int op_slot_right_85 = gc_frame_newslot(call87);
  int callframe89 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call90 = callmethod(*var_other, "linePos",
    1, partcv, params);
  gc_frame_end(callframe89);
// compilenode returning call90
// compilenode returning call90
  int op_slot_left_85 = gc_frame_newslot(call90);
  params[0] = call87;
  partcv[0] = 1;
  Object opresult91 = callmethod(call90, "==", 1, partcv, params);
// compilenode returning opresult91
  int op_slot_right_84 = gc_frame_newslot(opresult91);
  int callframe94 = gc_frame_new();
  partcv[0] = 0;
  Object call95 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe94);
// compilenode returning call95
  int op_slot_right_93 = gc_frame_newslot(call95);
  int callframe97 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call98 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe97);
// compilenode returning call98
// compilenode returning call98
  int op_slot_left_93 = gc_frame_newslot(call98);
  params[0] = call95;
  partcv[0] = 1;
  Object opresult99 = callmethod(call98, "==", 1, partcv, params);
// compilenode returning opresult99
  int op_slot_left_84 = gc_frame_newslot(opresult99);
  params[0] = opresult91;
  partcv[0] = 1;
  Object opresult100 = callmethod(opresult99, "&&", 1, partcv, params);
// compilenode returning opresult100
    gc_frame_newslot(opresult100);
    if78 = opresult100;
  }
// compilenode returning if78
  gc_frame_end(frame);
  return if78;
}
Object meth_lexer_new69(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object *var_indentLevel = getfromclosure(closure, 1);
  Object *var_startPosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject70 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj70 = alloc_userobj2(8,7, objclass70);
  gc_frame_newslot(obj70);
if (objclass70 == NULL) {
  glfree(obj70->class->name);
  obj70->class->name = "Token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj70, self, 0);
  addmethodreal(obj70,"outer", &reader_lexer_outer_71);
  Object oldself70 = self;
  struct StackFrameObject *oldstackframe70 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe70);
  gc_frame_newslot((Object)stackframe);
  self = obj70;
  Object *oldselfslot70 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter70 = (*(struct UserObject *)self).data[0], lowerouter70 = thisouter70;
  if (inheritingObject70) {
    struct UserObject *inho70 = (struct UserObject *)inheritingObject70;
    while (inho70->super != GraceDefaultObject) inho70 = (struct UserObject *)inho70->super;
    inho70->super = obj70;
    self = inheritingObject70;
    *selfslot = self;
    lowerouter70 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter70;
  }
if (objclass70 == NULL) {
  Method *reader72 = addmethodrealflags(obj70, "line",&reader_lexer_line_72, MFLAG_DEF);
  reader72->definitionModule = modulename;
  reader72->definitionLine = 43;
}
adddatum2(obj70, alloc_Undefined(), 1);
if (objclass70 == NULL) {
  Method *reader73 = addmethodrealflags(obj70, "indent",&reader_lexer_indent_73, MFLAG_DEF);
  reader73->definitionModule = modulename;
  reader73->definitionLine = 44;
}
adddatum2(obj70, alloc_Undefined(), 2);
if (objclass70 == NULL) {
  Method *reader74 = addmethodrealflags(obj70, "linePos",&reader_lexer_linePos_74, MFLAG_DEF);
  reader74->definitionModule = modulename;
  reader74->definitionLine = 46;
}
adddatum2(obj70, alloc_Undefined(), 3);
if (objclass70 == NULL) {
  Method *reader75 = addmethodrealflags(obj70, "next",&reader_lexer_next_75, 0);
  Method *writer75 = addmethodrealflags(obj70, "next:=",&writer_lexer_next_75, 0);
  reader75->definitionModule = modulename;
  writer75->definitionModule = modulename;
  reader75->definitionLine = 47;
  writer75->definitionLine = 47;
}
obj70->flags |= OFLAG_MUTABLE;
adddatum2(obj70, alloc_Undefined(), 4);
if (objclass70 == NULL) {
  Method *reader76 = addmethodrealflags(obj70, "prev",&reader_lexer_prev_76, 0);
  Method *writer76 = addmethodrealflags(obj70, "prev:=",&writer_lexer_prev_76, 0);
  reader76->definitionModule = modulename;
  writer76->definitionModule = modulename;
  reader76->definitionLine = 49;
  writer76->definitionLine = 49;
}
obj70->flags |= OFLAG_MUTABLE;
adddatum2(obj70, alloc_Undefined(), 5);
  struct UserObject *uo77 = (struct UserObject*)obj70;
  uo77->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61_77 = addmethod2pos(obj70, "==", &meth_lexer__61__61_77, 6);
int argcv_meth_lexer__61__61_77[] = {1};
meth_meth_lexer__61__61_77->type = alloc_MethodType(1, argcv_meth_lexer__61__61_77);
  meth_meth_lexer__61__61_77->definitionModule = modulename;
  meth_meth_lexer__61__61_77->definitionLine = 49;
  sourceObject = obj70;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  adddatum2(obj70, *var_lineNumber, 1);
  sourceObject = obj70;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indentLevel
  adddatum2(obj70, *var_indentLevel, 2);
  sourceObject = obj70;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startPosition
  adddatum2(obj70, *var_startPosition, 3);
  sourceObject = obj70;
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool101 = alloc_Boolean(0);
// compilenode returning bool101
  adddatum2(obj70, bool101, 4);
  sourceObject = obj70;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool102 = alloc_Boolean(0);
// compilenode returning bool102
  adddatum2(obj70, bool102, 5);
  sourceObject = obj70;
objclass70 = obj70->class;
  objclass70->definitionModule = modulename;
  objclass70->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter70;
  self = oldself70;
  selfslot = oldselfslot70;
  stackframe = oldstackframe70;
  gc_frame_end(frame);
  return obj70;
}
Object meth_lexer_new69_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_lineNumber = getfromclosure(closure, 0);
  Object *var_indentLevel = getfromclosure(closure, 1);
  Object *var_startPosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject70 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj70 = alloc_userobj2(8,7, objclass70);
  gc_frame_newslot(obj70);
if (objclass70 == NULL) {
  glfree(obj70->class->name);
  obj70->class->name = "Token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj70, self, 0);
  addmethodreal(obj70,"outer", &reader_lexer_outer_71);
  Object oldself70 = self;
  struct StackFrameObject *oldstackframe70 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe70);
  gc_frame_newslot((Object)stackframe);
  self = obj70;
  Object *oldselfslot70 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter70 = (*(struct UserObject *)self).data[0], lowerouter70 = thisouter70;
  if (inheritingObject70) {
    struct UserObject *inho70 = (struct UserObject *)inheritingObject70;
    while (inho70->super != GraceDefaultObject) inho70 = (struct UserObject *)inho70->super;
    inho70->super = obj70;
    self = inheritingObject70;
    *selfslot = self;
    lowerouter70 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter70;
  }
if (objclass70 == NULL) {
  Method *reader72 = addmethodrealflags(obj70, "line",&reader_lexer_line_72, MFLAG_DEF);
  reader72->definitionModule = modulename;
  reader72->definitionLine = 43;
}
adddatum2(obj70, alloc_Undefined(), 1);
if (objclass70 == NULL) {
  Method *reader73 = addmethodrealflags(obj70, "indent",&reader_lexer_indent_73, MFLAG_DEF);
  reader73->definitionModule = modulename;
  reader73->definitionLine = 44;
}
adddatum2(obj70, alloc_Undefined(), 2);
if (objclass70 == NULL) {
  Method *reader74 = addmethodrealflags(obj70, "linePos",&reader_lexer_linePos_74, MFLAG_DEF);
  reader74->definitionModule = modulename;
  reader74->definitionLine = 46;
}
adddatum2(obj70, alloc_Undefined(), 3);
if (objclass70 == NULL) {
  Method *reader75 = addmethodrealflags(obj70, "next",&reader_lexer_next_75, 0);
  Method *writer75 = addmethodrealflags(obj70, "next:=",&writer_lexer_next_75, 0);
  reader75->definitionModule = modulename;
  writer75->definitionModule = modulename;
  reader75->definitionLine = 47;
  writer75->definitionLine = 47;
}
obj70->flags |= OFLAG_MUTABLE;
adddatum2(obj70, alloc_Undefined(), 4);
if (objclass70 == NULL) {
  Method *reader76 = addmethodrealflags(obj70, "prev",&reader_lexer_prev_76, 0);
  Method *writer76 = addmethodrealflags(obj70, "prev:=",&writer_lexer_prev_76, 0);
  reader76->definitionModule = modulename;
  writer76->definitionModule = modulename;
  reader76->definitionLine = 49;
  writer76->definitionLine = 49;
}
obj70->flags |= OFLAG_MUTABLE;
adddatum2(obj70, alloc_Undefined(), 5);
  struct UserObject *uo77 = (struct UserObject*)obj70;
  uo77->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61_77 = addmethod2pos(obj70, "==", &meth_lexer__61__61_77, 6);
int argcv_meth_lexer__61__61_77[] = {1};
meth_meth_lexer__61__61_77->type = alloc_MethodType(1, argcv_meth_lexer__61__61_77);
  meth_meth_lexer__61__61_77->definitionModule = modulename;
  meth_meth_lexer__61__61_77->definitionLine = 49;
  sourceObject = obj70;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  adddatum2(obj70, *var_lineNumber, 1);
  sourceObject = obj70;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indentLevel
  adddatum2(obj70, *var_indentLevel, 2);
  sourceObject = obj70;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startPosition
  adddatum2(obj70, *var_startPosition, 3);
  sourceObject = obj70;
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool101 = alloc_Boolean(0);
// compilenode returning bool101
  adddatum2(obj70, bool101, 4);
  sourceObject = obj70;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool102 = alloc_Boolean(0);
// compilenode returning bool102
  adddatum2(obj70, bool102, 5);
  sourceObject = obj70;
objclass70 = obj70->class;
  objclass70->definitionModule = modulename;
  objclass70->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter70;
  self = oldself70;
  selfslot = oldselfslot70;
  stackframe = oldstackframe70;
  gc_frame_end(frame);
  return obj70;
}
Object meth_lexer_new106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject107 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj107 = alloc_userobj2(4,5, objclass107);
  gc_frame_newslot(obj107);
if (objclass107 == NULL) {
  glfree(obj107->class->name);
  obj107->class->name = "IdentifierToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj107, self, 0);
  addmethodreal(obj107,"outer", &reader_lexer_outer_108);
  Object oldself107 = self;
  struct StackFrameObject *oldstackframe107 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe107);
  gc_frame_newslot((Object)stackframe);
  self = obj107;
  Object *oldselfslot107 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter107 = (*(struct UserObject *)self).data[0], lowerouter107 = thisouter107;
  if (inheritingObject107) {
    struct UserObject *inho107 = (struct UserObject *)inheritingObject107;
    while (inho107->super != GraceDefaultObject) inho107 = (struct UserObject *)inho107->super;
    inho107->super = obj107;
    self = inheritingObject107;
    *selfslot = self;
    lowerouter107 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter107;
  }
if (objclass107 == NULL) {
  Method *reader109 = addmethodrealflags(obj107, "kind",&reader_lexer_kind_109, MFLAG_DEF);
  reader109->definitionModule = modulename;
  reader109->definitionLine = 61;
}
adddatum2(obj107, alloc_Undefined(), 1);
if (objclass107 == NULL) {
  Method *reader110 = addmethodrealflags(obj107, "value",&reader_lexer_value_110, MFLAG_DEF);
  reader110->definitionModule = modulename;
  reader110->definitionLine = 62;
}
adddatum2(obj107, alloc_Undefined(), 2);
if (objclass107 == NULL) {
  Method *reader111 = addmethodrealflags(obj107, "size",&reader_lexer_size_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 63;
}
adddatum2(obj107, alloc_Undefined(), 3);
  sourceObject = obj107;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe112 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call113 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe112);
// compilenode returning call113
  struct UserObject *obj107_uo = (struct UserObject *)obj107;
  obj107_uo->super = call113;
  sourceObject = obj107;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit114 == NULL) {
    strlit114 = alloc_String("identifier");
    gc_root(strlit114);
  }
// compilenode returning strlit114
  adddatum2(obj107, strlit114, 1);
  sourceObject = obj107;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj107, *var_s, 2);
  sourceObject = obj107;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe115 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call116 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe115);
// compilenode returning call116
// compilenode returning call116
  adddatum2(obj107, call116, 3);
objclass107 = obj107->class;
  objclass107->definitionModule = modulename;
  objclass107->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter107;
  self = oldself107;
  selfslot = oldselfslot107;
  stackframe = oldstackframe107;
  gc_frame_end(frame);
  return obj107;
}
Object meth_lexer_new106_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject107 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj107 = alloc_userobj2(4,5, objclass107);
  gc_frame_newslot(obj107);
if (objclass107 == NULL) {
  glfree(obj107->class->name);
  obj107->class->name = "IdentifierToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj107, self, 0);
  addmethodreal(obj107,"outer", &reader_lexer_outer_108);
  Object oldself107 = self;
  struct StackFrameObject *oldstackframe107 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe107);
  gc_frame_newslot((Object)stackframe);
  self = obj107;
  Object *oldselfslot107 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter107 = (*(struct UserObject *)self).data[0], lowerouter107 = thisouter107;
  if (inheritingObject107) {
    struct UserObject *inho107 = (struct UserObject *)inheritingObject107;
    while (inho107->super != GraceDefaultObject) inho107 = (struct UserObject *)inho107->super;
    inho107->super = obj107;
    self = inheritingObject107;
    *selfslot = self;
    lowerouter107 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter107;
  }
if (objclass107 == NULL) {
  Method *reader109 = addmethodrealflags(obj107, "kind",&reader_lexer_kind_109, MFLAG_DEF);
  reader109->definitionModule = modulename;
  reader109->definitionLine = 61;
}
adddatum2(obj107, alloc_Undefined(), 1);
if (objclass107 == NULL) {
  Method *reader110 = addmethodrealflags(obj107, "value",&reader_lexer_value_110, MFLAG_DEF);
  reader110->definitionModule = modulename;
  reader110->definitionLine = 62;
}
adddatum2(obj107, alloc_Undefined(), 2);
if (objclass107 == NULL) {
  Method *reader111 = addmethodrealflags(obj107, "size",&reader_lexer_size_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 63;
}
adddatum2(obj107, alloc_Undefined(), 3);
  sourceObject = obj107;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe112 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call113 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe112);
// compilenode returning call113
  struct UserObject *obj107_uo = (struct UserObject *)obj107;
  obj107_uo->super = call113;
  sourceObject = obj107;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit114 == NULL) {
    strlit114 = alloc_String("identifier");
    gc_root(strlit114);
  }
// compilenode returning strlit114
  adddatum2(obj107, strlit114, 1);
  sourceObject = obj107;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj107, *var_s, 2);
  sourceObject = obj107;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe115 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call116 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe115);
// compilenode returning call116
// compilenode returning call116
  adddatum2(obj107, call116, 3);
objclass107 = obj107->class;
  objclass107->definitionModule = modulename;
  objclass107->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter107;
  self = oldself107;
  selfslot = oldselfslot107;
  stackframe = oldstackframe107;
  gc_frame_end(frame);
  return obj107;
}
Object meth_lexer_new120(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject121 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj121 = alloc_userobj2(4,5, objclass121);
  gc_frame_newslot(obj121);
if (objclass121 == NULL) {
  glfree(obj121->class->name);
  obj121->class->name = "StringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj121, self, 0);
  addmethodreal(obj121,"outer", &reader_lexer_outer_122);
  Object oldself121 = self;
  struct StackFrameObject *oldstackframe121 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe121);
  gc_frame_newslot((Object)stackframe);
  self = obj121;
  Object *oldselfslot121 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter121 = (*(struct UserObject *)self).data[0], lowerouter121 = thisouter121;
  if (inheritingObject121) {
    struct UserObject *inho121 = (struct UserObject *)inheritingObject121;
    while (inho121->super != GraceDefaultObject) inho121 = (struct UserObject *)inho121->super;
    inho121->super = obj121;
    self = inheritingObject121;
    *selfslot = self;
    lowerouter121 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter121;
  }
if (objclass121 == NULL) {
  Method *reader123 = addmethodrealflags(obj121, "kind",&reader_lexer_kind_123, MFLAG_DEF);
  reader123->definitionModule = modulename;
  reader123->definitionLine = 67;
}
adddatum2(obj121, alloc_Undefined(), 1);
if (objclass121 == NULL) {
  Method *reader124 = addmethodrealflags(obj121, "value",&reader_lexer_value_124, MFLAG_DEF);
  reader124->definitionModule = modulename;
  reader124->definitionLine = 68;
}
adddatum2(obj121, alloc_Undefined(), 2);
if (objclass121 == NULL) {
  Method *reader125 = addmethodrealflags(obj121, "size",&reader_lexer_size_125, MFLAG_DEF);
  reader125->definitionModule = modulename;
  reader125->definitionLine = 69;
}
adddatum2(obj121, alloc_Undefined(), 3);
  sourceObject = obj121;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe126 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call127 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe126);
// compilenode returning call127
  struct UserObject *obj121_uo = (struct UserObject *)obj121;
  obj121_uo->super = call127;
  sourceObject = obj121;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit128 == NULL) {
    strlit128 = alloc_String("string");
    gc_root(strlit128);
  }
// compilenode returning strlit128
  adddatum2(obj121, strlit128, 1);
  sourceObject = obj121;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj121, *var_s, 2);
  sourceObject = obj121;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num130 = alloc_Float64(2);
// compilenode returning num130
  int op_slot_right_129 = gc_frame_newslot(num130);
  int callframe132 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call133 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe132);
// compilenode returning call133
// compilenode returning call133
  int op_slot_left_129 = gc_frame_newslot(call133);
  params[0] = num130;
  partcv[0] = 1;
  Object sum134 = callmethod(call133, "+", 1, partcv, params);
// compilenode returning sum134
  adddatum2(obj121, sum134, 3);
objclass121 = obj121->class;
  objclass121->definitionModule = modulename;
  objclass121->definitionLine = 62;
  (*(struct UserObject *)self).data[0] = lowerouter121;
  self = oldself121;
  selfslot = oldselfslot121;
  stackframe = oldstackframe121;
  gc_frame_end(frame);
  return obj121;
}
Object meth_lexer_new120_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject121 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj121 = alloc_userobj2(4,5, objclass121);
  gc_frame_newslot(obj121);
if (objclass121 == NULL) {
  glfree(obj121->class->name);
  obj121->class->name = "StringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj121, self, 0);
  addmethodreal(obj121,"outer", &reader_lexer_outer_122);
  Object oldself121 = self;
  struct StackFrameObject *oldstackframe121 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe121);
  gc_frame_newslot((Object)stackframe);
  self = obj121;
  Object *oldselfslot121 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter121 = (*(struct UserObject *)self).data[0], lowerouter121 = thisouter121;
  if (inheritingObject121) {
    struct UserObject *inho121 = (struct UserObject *)inheritingObject121;
    while (inho121->super != GraceDefaultObject) inho121 = (struct UserObject *)inho121->super;
    inho121->super = obj121;
    self = inheritingObject121;
    *selfslot = self;
    lowerouter121 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter121;
  }
if (objclass121 == NULL) {
  Method *reader123 = addmethodrealflags(obj121, "kind",&reader_lexer_kind_123, MFLAG_DEF);
  reader123->definitionModule = modulename;
  reader123->definitionLine = 67;
}
adddatum2(obj121, alloc_Undefined(), 1);
if (objclass121 == NULL) {
  Method *reader124 = addmethodrealflags(obj121, "value",&reader_lexer_value_124, MFLAG_DEF);
  reader124->definitionModule = modulename;
  reader124->definitionLine = 68;
}
adddatum2(obj121, alloc_Undefined(), 2);
if (objclass121 == NULL) {
  Method *reader125 = addmethodrealflags(obj121, "size",&reader_lexer_size_125, MFLAG_DEF);
  reader125->definitionModule = modulename;
  reader125->definitionLine = 69;
}
adddatum2(obj121, alloc_Undefined(), 3);
  sourceObject = obj121;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe126 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call127 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe126);
// compilenode returning call127
  struct UserObject *obj121_uo = (struct UserObject *)obj121;
  obj121_uo->super = call127;
  sourceObject = obj121;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit128 == NULL) {
    strlit128 = alloc_String("string");
    gc_root(strlit128);
  }
// compilenode returning strlit128
  adddatum2(obj121, strlit128, 1);
  sourceObject = obj121;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj121, *var_s, 2);
  sourceObject = obj121;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num130 = alloc_Float64(2);
// compilenode returning num130
  int op_slot_right_129 = gc_frame_newslot(num130);
  int callframe132 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call133 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe132);
// compilenode returning call133
// compilenode returning call133
  int op_slot_left_129 = gc_frame_newslot(call133);
  params[0] = num130;
  partcv[0] = 1;
  Object sum134 = callmethod(call133, "+", 1, partcv, params);
// compilenode returning sum134
  adddatum2(obj121, sum134, 3);
objclass121 = obj121->class;
  objclass121->definitionModule = modulename;
  objclass121->definitionLine = 62;
  (*(struct UserObject *)self).data[0] = lowerouter121;
  self = oldself121;
  selfslot = oldselfslot121;
  stackframe = oldstackframe121;
  gc_frame_end(frame);
  return obj121;
}
Object meth_lexer_new138(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject139 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj139 = alloc_userobj2(4,5, objclass139);
  gc_frame_newslot(obj139);
if (objclass139 == NULL) {
  glfree(obj139->class->name);
  obj139->class->name = "CommentToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj139, self, 0);
  addmethodreal(obj139,"outer", &reader_lexer_outer_140);
  Object oldself139 = self;
  struct StackFrameObject *oldstackframe139 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe139);
  gc_frame_newslot((Object)stackframe);
  self = obj139;
  Object *oldselfslot139 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter139 = (*(struct UserObject *)self).data[0], lowerouter139 = thisouter139;
  if (inheritingObject139) {
    struct UserObject *inho139 = (struct UserObject *)inheritingObject139;
    while (inho139->super != GraceDefaultObject) inho139 = (struct UserObject *)inho139->super;
    inho139->super = obj139;
    self = inheritingObject139;
    *selfslot = self;
    lowerouter139 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter139;
  }
if (objclass139 == NULL) {
  Method *reader141 = addmethodrealflags(obj139, "kind",&reader_lexer_kind_141, MFLAG_DEF);
  reader141->definitionModule = modulename;
  reader141->definitionLine = 73;
}
adddatum2(obj139, alloc_Undefined(), 1);
if (objclass139 == NULL) {
  Method *reader142 = addmethodrealflags(obj139, "value",&reader_lexer_value_142, MFLAG_DEF);
  reader142->definitionModule = modulename;
  reader142->definitionLine = 74;
}
adddatum2(obj139, alloc_Undefined(), 2);
if (objclass139 == NULL) {
  Method *reader143 = addmethodrealflags(obj139, "size",&reader_lexer_size_143, MFLAG_DEF);
  reader143->definitionModule = modulename;
  reader143->definitionLine = 75;
}
adddatum2(obj139, alloc_Undefined(), 3);
  sourceObject = obj139;
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe144 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call145 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe144);
// compilenode returning call145
  struct UserObject *obj139_uo = (struct UserObject *)obj139;
  obj139_uo->super = call145;
  sourceObject = obj139;
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit146 == NULL) {
    strlit146 = alloc_String("comment");
    gc_root(strlit146);
  }
// compilenode returning strlit146
  adddatum2(obj139, strlit146, 1);
  sourceObject = obj139;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj139, *var_s, 2);
  sourceObject = obj139;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num148 = alloc_Float64(2);
// compilenode returning num148
  int op_slot_right_147 = gc_frame_newslot(num148);
  int callframe150 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call151 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe150);
// compilenode returning call151
// compilenode returning call151
  int op_slot_left_147 = gc_frame_newslot(call151);
  params[0] = num148;
  partcv[0] = 1;
  Object sum152 = callmethod(call151, "+", 1, partcv, params);
// compilenode returning sum152
  adddatum2(obj139, sum152, 3);
objclass139 = obj139->class;
  objclass139->definitionModule = modulename;
  objclass139->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter139;
  self = oldself139;
  selfslot = oldselfslot139;
  stackframe = oldstackframe139;
  gc_frame_end(frame);
  return obj139;
}
Object meth_lexer_new138_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject139 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj139 = alloc_userobj2(4,5, objclass139);
  gc_frame_newslot(obj139);
if (objclass139 == NULL) {
  glfree(obj139->class->name);
  obj139->class->name = "CommentToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj139, self, 0);
  addmethodreal(obj139,"outer", &reader_lexer_outer_140);
  Object oldself139 = self;
  struct StackFrameObject *oldstackframe139 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe139);
  gc_frame_newslot((Object)stackframe);
  self = obj139;
  Object *oldselfslot139 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter139 = (*(struct UserObject *)self).data[0], lowerouter139 = thisouter139;
  if (inheritingObject139) {
    struct UserObject *inho139 = (struct UserObject *)inheritingObject139;
    while (inho139->super != GraceDefaultObject) inho139 = (struct UserObject *)inho139->super;
    inho139->super = obj139;
    self = inheritingObject139;
    *selfslot = self;
    lowerouter139 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter139;
  }
if (objclass139 == NULL) {
  Method *reader141 = addmethodrealflags(obj139, "kind",&reader_lexer_kind_141, MFLAG_DEF);
  reader141->definitionModule = modulename;
  reader141->definitionLine = 73;
}
adddatum2(obj139, alloc_Undefined(), 1);
if (objclass139 == NULL) {
  Method *reader142 = addmethodrealflags(obj139, "value",&reader_lexer_value_142, MFLAG_DEF);
  reader142->definitionModule = modulename;
  reader142->definitionLine = 74;
}
adddatum2(obj139, alloc_Undefined(), 2);
if (objclass139 == NULL) {
  Method *reader143 = addmethodrealflags(obj139, "size",&reader_lexer_size_143, MFLAG_DEF);
  reader143->definitionModule = modulename;
  reader143->definitionLine = 75;
}
adddatum2(obj139, alloc_Undefined(), 3);
  sourceObject = obj139;
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe144 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call145 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe144);
// compilenode returning call145
  struct UserObject *obj139_uo = (struct UserObject *)obj139;
  obj139_uo->super = call145;
  sourceObject = obj139;
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit146 == NULL) {
    strlit146 = alloc_String("comment");
    gc_root(strlit146);
  }
// compilenode returning strlit146
  adddatum2(obj139, strlit146, 1);
  sourceObject = obj139;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj139, *var_s, 2);
  sourceObject = obj139;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num148 = alloc_Float64(2);
// compilenode returning num148
  int op_slot_right_147 = gc_frame_newslot(num148);
  int callframe150 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call151 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe150);
// compilenode returning call151
// compilenode returning call151
  int op_slot_left_147 = gc_frame_newslot(call151);
  params[0] = num148;
  partcv[0] = 1;
  Object sum152 = callmethod(call151, "+", 1, partcv, params);
// compilenode returning sum152
  adddatum2(obj139, sum152, 3);
objclass139 = obj139->class;
  objclass139->definitionModule = modulename;
  objclass139->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter139;
  self = oldself139;
  selfslot = oldselfslot139;
  stackframe = oldstackframe139;
  gc_frame_end(frame);
  return obj139;
}
Object meth_lexer_new156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject157 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj157 = alloc_userobj2(4,5, objclass157);
  gc_frame_newslot(obj157);
if (objclass157 == NULL) {
  glfree(obj157->class->name);
  obj157->class->name = "OctetsToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj157, self, 0);
  addmethodreal(obj157,"outer", &reader_lexer_outer_158);
  Object oldself157 = self;
  struct StackFrameObject *oldstackframe157 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe157);
  gc_frame_newslot((Object)stackframe);
  self = obj157;
  Object *oldselfslot157 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter157 = (*(struct UserObject *)self).data[0], lowerouter157 = thisouter157;
  if (inheritingObject157) {
    struct UserObject *inho157 = (struct UserObject *)inheritingObject157;
    while (inho157->super != GraceDefaultObject) inho157 = (struct UserObject *)inho157->super;
    inho157->super = obj157;
    self = inheritingObject157;
    *selfslot = self;
    lowerouter157 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter157;
  }
if (objclass157 == NULL) {
  Method *reader159 = addmethodrealflags(obj157, "kind",&reader_lexer_kind_159, MFLAG_DEF);
  reader159->definitionModule = modulename;
  reader159->definitionLine = 79;
}
adddatum2(obj157, alloc_Undefined(), 1);
if (objclass157 == NULL) {
  Method *reader160 = addmethodrealflags(obj157, "value",&reader_lexer_value_160, MFLAG_DEF);
  reader160->definitionModule = modulename;
  reader160->definitionLine = 80;
}
adddatum2(obj157, alloc_Undefined(), 2);
if (objclass157 == NULL) {
  Method *reader161 = addmethodrealflags(obj157, "size",&reader_lexer_size_161, MFLAG_DEF);
  reader161->definitionModule = modulename;
  reader161->definitionLine = 81;
}
adddatum2(obj157, alloc_Undefined(), 3);
  sourceObject = obj157;
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe162 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call163 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe162);
// compilenode returning call163
  struct UserObject *obj157_uo = (struct UserObject *)obj157;
  obj157_uo->super = call163;
  sourceObject = obj157;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit164 == NULL) {
    strlit164 = alloc_String("octets");
    gc_root(strlit164);
  }
// compilenode returning strlit164
  adddatum2(obj157, strlit164, 1);
  sourceObject = obj157;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj157, *var_s, 2);
  sourceObject = obj157;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num166 = alloc_Float64(3);
// compilenode returning num166
  int op_slot_right_165 = gc_frame_newslot(num166);
  int callframe168 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call169 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe168);
// compilenode returning call169
// compilenode returning call169
  int op_slot_left_165 = gc_frame_newslot(call169);
  params[0] = num166;
  partcv[0] = 1;
  Object sum170 = callmethod(call169, "+", 1, partcv, params);
// compilenode returning sum170
  adddatum2(obj157, sum170, 3);
objclass157 = obj157->class;
  objclass157->definitionModule = modulename;
  objclass157->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter157;
  self = oldself157;
  selfslot = oldselfslot157;
  stackframe = oldstackframe157;
  gc_frame_end(frame);
  return obj157;
}
Object meth_lexer_new156_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject157 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj157 = alloc_userobj2(4,5, objclass157);
  gc_frame_newslot(obj157);
if (objclass157 == NULL) {
  glfree(obj157->class->name);
  obj157->class->name = "OctetsToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj157, self, 0);
  addmethodreal(obj157,"outer", &reader_lexer_outer_158);
  Object oldself157 = self;
  struct StackFrameObject *oldstackframe157 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe157);
  gc_frame_newslot((Object)stackframe);
  self = obj157;
  Object *oldselfslot157 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter157 = (*(struct UserObject *)self).data[0], lowerouter157 = thisouter157;
  if (inheritingObject157) {
    struct UserObject *inho157 = (struct UserObject *)inheritingObject157;
    while (inho157->super != GraceDefaultObject) inho157 = (struct UserObject *)inho157->super;
    inho157->super = obj157;
    self = inheritingObject157;
    *selfslot = self;
    lowerouter157 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter157;
  }
if (objclass157 == NULL) {
  Method *reader159 = addmethodrealflags(obj157, "kind",&reader_lexer_kind_159, MFLAG_DEF);
  reader159->definitionModule = modulename;
  reader159->definitionLine = 79;
}
adddatum2(obj157, alloc_Undefined(), 1);
if (objclass157 == NULL) {
  Method *reader160 = addmethodrealflags(obj157, "value",&reader_lexer_value_160, MFLAG_DEF);
  reader160->definitionModule = modulename;
  reader160->definitionLine = 80;
}
adddatum2(obj157, alloc_Undefined(), 2);
if (objclass157 == NULL) {
  Method *reader161 = addmethodrealflags(obj157, "size",&reader_lexer_size_161, MFLAG_DEF);
  reader161->definitionModule = modulename;
  reader161->definitionLine = 81;
}
adddatum2(obj157, alloc_Undefined(), 3);
  sourceObject = obj157;
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe162 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call163 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe162);
// compilenode returning call163
  struct UserObject *obj157_uo = (struct UserObject *)obj157;
  obj157_uo->super = call163;
  sourceObject = obj157;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit164 == NULL) {
    strlit164 = alloc_String("octets");
    gc_root(strlit164);
  }
// compilenode returning strlit164
  adddatum2(obj157, strlit164, 1);
  sourceObject = obj157;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_s
  adddatum2(obj157, *var_s, 2);
  sourceObject = obj157;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num166 = alloc_Float64(3);
// compilenode returning num166
  int op_slot_right_165 = gc_frame_newslot(num166);
  int callframe168 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call169 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe168);
// compilenode returning call169
// compilenode returning call169
  int op_slot_left_165 = gc_frame_newslot(call169);
  params[0] = num166;
  partcv[0] = 1;
  Object sum170 = callmethod(call169, "+", 1, partcv, params);
// compilenode returning sum170
  adddatum2(obj157, sum170, 3);
objclass157 = obj157->class;
  objclass157->definitionModule = modulename;
  objclass157->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter157;
  self = oldself157;
  selfslot = oldselfslot157;
  stackframe = oldstackframe157;
  gc_frame_end(frame);
  return obj157;
}
Object meth_lexer_new174(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject175 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj175 = alloc_userobj2(4,5, objclass175);
  gc_frame_newslot(obj175);
if (objclass175 == NULL) {
  glfree(obj175->class->name);
  obj175->class->name = "LBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj175, self, 0);
  addmethodreal(obj175,"outer", &reader_lexer_outer_176);
  Object oldself175 = self;
  struct StackFrameObject *oldstackframe175 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe175);
  gc_frame_newslot((Object)stackframe);
  self = obj175;
  Object *oldselfslot175 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter175 = (*(struct UserObject *)self).data[0], lowerouter175 = thisouter175;
  if (inheritingObject175) {
    struct UserObject *inho175 = (struct UserObject *)inheritingObject175;
    while (inho175->super != GraceDefaultObject) inho175 = (struct UserObject *)inho175->super;
    inho175->super = obj175;
    self = inheritingObject175;
    *selfslot = self;
    lowerouter175 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter175;
  }
if (objclass175 == NULL) {
  Method *reader177 = addmethodrealflags(obj175, "kind",&reader_lexer_kind_177, MFLAG_DEF);
  reader177->definitionModule = modulename;
  reader177->definitionLine = 85;
}
adddatum2(obj175, alloc_Undefined(), 1);
if (objclass175 == NULL) {
  Method *reader178 = addmethodrealflags(obj175, "value",&reader_lexer_value_178, MFLAG_DEF);
  reader178->definitionModule = modulename;
  reader178->definitionLine = 86;
}
adddatum2(obj175, alloc_Undefined(), 2);
if (objclass175 == NULL) {
  Method *reader179 = addmethodrealflags(obj175, "size",&reader_lexer_size_179, MFLAG_DEF);
  reader179->definitionModule = modulename;
  reader179->definitionLine = 87;
}
adddatum2(obj175, alloc_Undefined(), 3);
  sourceObject = obj175;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe180 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call181 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe180);
// compilenode returning call181
  struct UserObject *obj175_uo = (struct UserObject *)obj175;
  obj175_uo->super = call181;
  sourceObject = obj175;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit182 == NULL) {
    strlit182 = alloc_String("lbrace");
    gc_root(strlit182);
  }
// compilenode returning strlit182
  adddatum2(obj175, strlit182, 1);
  sourceObject = obj175;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit183 == NULL) {
    strlit183 = alloc_String("{");
    gc_root(strlit183);
  }
// compilenode returning strlit183
  adddatum2(obj175, strlit183, 2);
  sourceObject = obj175;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num184 = alloc_Float64(1);
// compilenode returning num184
  adddatum2(obj175, num184, 3);
objclass175 = obj175->class;
  objclass175->definitionModule = modulename;
  objclass175->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter175;
  self = oldself175;
  selfslot = oldselfslot175;
  stackframe = oldstackframe175;
  gc_frame_end(frame);
  return obj175;
}
Object meth_lexer_new174_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject175 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj175 = alloc_userobj2(4,5, objclass175);
  gc_frame_newslot(obj175);
if (objclass175 == NULL) {
  glfree(obj175->class->name);
  obj175->class->name = "LBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj175, self, 0);
  addmethodreal(obj175,"outer", &reader_lexer_outer_176);
  Object oldself175 = self;
  struct StackFrameObject *oldstackframe175 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe175);
  gc_frame_newslot((Object)stackframe);
  self = obj175;
  Object *oldselfslot175 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter175 = (*(struct UserObject *)self).data[0], lowerouter175 = thisouter175;
  if (inheritingObject175) {
    struct UserObject *inho175 = (struct UserObject *)inheritingObject175;
    while (inho175->super != GraceDefaultObject) inho175 = (struct UserObject *)inho175->super;
    inho175->super = obj175;
    self = inheritingObject175;
    *selfslot = self;
    lowerouter175 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter175;
  }
if (objclass175 == NULL) {
  Method *reader177 = addmethodrealflags(obj175, "kind",&reader_lexer_kind_177, MFLAG_DEF);
  reader177->definitionModule = modulename;
  reader177->definitionLine = 85;
}
adddatum2(obj175, alloc_Undefined(), 1);
if (objclass175 == NULL) {
  Method *reader178 = addmethodrealflags(obj175, "value",&reader_lexer_value_178, MFLAG_DEF);
  reader178->definitionModule = modulename;
  reader178->definitionLine = 86;
}
adddatum2(obj175, alloc_Undefined(), 2);
if (objclass175 == NULL) {
  Method *reader179 = addmethodrealflags(obj175, "size",&reader_lexer_size_179, MFLAG_DEF);
  reader179->definitionModule = modulename;
  reader179->definitionLine = 87;
}
adddatum2(obj175, alloc_Undefined(), 3);
  sourceObject = obj175;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe180 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call181 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe180);
// compilenode returning call181
  struct UserObject *obj175_uo = (struct UserObject *)obj175;
  obj175_uo->super = call181;
  sourceObject = obj175;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit182 == NULL) {
    strlit182 = alloc_String("lbrace");
    gc_root(strlit182);
  }
// compilenode returning strlit182
  adddatum2(obj175, strlit182, 1);
  sourceObject = obj175;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit183 == NULL) {
    strlit183 = alloc_String("{");
    gc_root(strlit183);
  }
// compilenode returning strlit183
  adddatum2(obj175, strlit183, 2);
  sourceObject = obj175;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num184 = alloc_Float64(1);
// compilenode returning num184
  adddatum2(obj175, num184, 3);
objclass175 = obj175->class;
  objclass175->definitionModule = modulename;
  objclass175->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter175;
  self = oldself175;
  selfslot = oldselfslot175;
  stackframe = oldstackframe175;
  gc_frame_end(frame);
  return obj175;
}
Object meth_lexer_new188(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject189 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj189 = alloc_userobj2(4,5, objclass189);
  gc_frame_newslot(obj189);
if (objclass189 == NULL) {
  glfree(obj189->class->name);
  obj189->class->name = "RBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj189, self, 0);
  addmethodreal(obj189,"outer", &reader_lexer_outer_190);
  Object oldself189 = self;
  struct StackFrameObject *oldstackframe189 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe189);
  gc_frame_newslot((Object)stackframe);
  self = obj189;
  Object *oldselfslot189 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter189 = (*(struct UserObject *)self).data[0], lowerouter189 = thisouter189;
  if (inheritingObject189) {
    struct UserObject *inho189 = (struct UserObject *)inheritingObject189;
    while (inho189->super != GraceDefaultObject) inho189 = (struct UserObject *)inho189->super;
    inho189->super = obj189;
    self = inheritingObject189;
    *selfslot = self;
    lowerouter189 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter189;
  }
if (objclass189 == NULL) {
  Method *reader191 = addmethodrealflags(obj189, "kind",&reader_lexer_kind_191, MFLAG_DEF);
  reader191->definitionModule = modulename;
  reader191->definitionLine = 91;
}
adddatum2(obj189, alloc_Undefined(), 1);
if (objclass189 == NULL) {
  Method *reader192 = addmethodrealflags(obj189, "value",&reader_lexer_value_192, MFLAG_DEF);
  reader192->definitionModule = modulename;
  reader192->definitionLine = 92;
}
adddatum2(obj189, alloc_Undefined(), 2);
if (objclass189 == NULL) {
  Method *reader193 = addmethodrealflags(obj189, "size",&reader_lexer_size_193, MFLAG_DEF);
  reader193->definitionModule = modulename;
  reader193->definitionLine = 93;
}
adddatum2(obj189, alloc_Undefined(), 3);
  sourceObject = obj189;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe194 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call195 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe194);
// compilenode returning call195
  struct UserObject *obj189_uo = (struct UserObject *)obj189;
  obj189_uo->super = call195;
  sourceObject = obj189;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit196 == NULL) {
    strlit196 = alloc_String("rbrace");
    gc_root(strlit196);
  }
// compilenode returning strlit196
  adddatum2(obj189, strlit196, 1);
  sourceObject = obj189;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit197 == NULL) {
    strlit197 = alloc_String("}");
    gc_root(strlit197);
  }
// compilenode returning strlit197
  adddatum2(obj189, strlit197, 2);
  sourceObject = obj189;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num198 = alloc_Float64(1);
// compilenode returning num198
  adddatum2(obj189, num198, 3);
objclass189 = obj189->class;
  objclass189->definitionModule = modulename;
  objclass189->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter189;
  self = oldself189;
  selfslot = oldselfslot189;
  stackframe = oldstackframe189;
  gc_frame_end(frame);
  return obj189;
}
Object meth_lexer_new188_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject189 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj189 = alloc_userobj2(4,5, objclass189);
  gc_frame_newslot(obj189);
if (objclass189 == NULL) {
  glfree(obj189->class->name);
  obj189->class->name = "RBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj189, self, 0);
  addmethodreal(obj189,"outer", &reader_lexer_outer_190);
  Object oldself189 = self;
  struct StackFrameObject *oldstackframe189 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe189);
  gc_frame_newslot((Object)stackframe);
  self = obj189;
  Object *oldselfslot189 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter189 = (*(struct UserObject *)self).data[0], lowerouter189 = thisouter189;
  if (inheritingObject189) {
    struct UserObject *inho189 = (struct UserObject *)inheritingObject189;
    while (inho189->super != GraceDefaultObject) inho189 = (struct UserObject *)inho189->super;
    inho189->super = obj189;
    self = inheritingObject189;
    *selfslot = self;
    lowerouter189 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter189;
  }
if (objclass189 == NULL) {
  Method *reader191 = addmethodrealflags(obj189, "kind",&reader_lexer_kind_191, MFLAG_DEF);
  reader191->definitionModule = modulename;
  reader191->definitionLine = 91;
}
adddatum2(obj189, alloc_Undefined(), 1);
if (objclass189 == NULL) {
  Method *reader192 = addmethodrealflags(obj189, "value",&reader_lexer_value_192, MFLAG_DEF);
  reader192->definitionModule = modulename;
  reader192->definitionLine = 92;
}
adddatum2(obj189, alloc_Undefined(), 2);
if (objclass189 == NULL) {
  Method *reader193 = addmethodrealflags(obj189, "size",&reader_lexer_size_193, MFLAG_DEF);
  reader193->definitionModule = modulename;
  reader193->definitionLine = 93;
}
adddatum2(obj189, alloc_Undefined(), 3);
  sourceObject = obj189;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe194 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call195 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe194);
// compilenode returning call195
  struct UserObject *obj189_uo = (struct UserObject *)obj189;
  obj189_uo->super = call195;
  sourceObject = obj189;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit196 == NULL) {
    strlit196 = alloc_String("rbrace");
    gc_root(strlit196);
  }
// compilenode returning strlit196
  adddatum2(obj189, strlit196, 1);
  sourceObject = obj189;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit197 == NULL) {
    strlit197 = alloc_String("}");
    gc_root(strlit197);
  }
// compilenode returning strlit197
  adddatum2(obj189, strlit197, 2);
  sourceObject = obj189;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num198 = alloc_Float64(1);
// compilenode returning num198
  adddatum2(obj189, num198, 3);
objclass189 = obj189->class;
  objclass189->definitionModule = modulename;
  objclass189->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter189;
  self = oldself189;
  selfslot = oldselfslot189;
  stackframe = oldstackframe189;
  gc_frame_end(frame);
  return obj189;
}
Object meth_lexer_new202(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject203 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj203 = alloc_userobj2(4,5, objclass203);
  gc_frame_newslot(obj203);
if (objclass203 == NULL) {
  glfree(obj203->class->name);
  obj203->class->name = "LParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj203, self, 0);
  addmethodreal(obj203,"outer", &reader_lexer_outer_204);
  Object oldself203 = self;
  struct StackFrameObject *oldstackframe203 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe203);
  gc_frame_newslot((Object)stackframe);
  self = obj203;
  Object *oldselfslot203 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter203 = (*(struct UserObject *)self).data[0], lowerouter203 = thisouter203;
  if (inheritingObject203) {
    struct UserObject *inho203 = (struct UserObject *)inheritingObject203;
    while (inho203->super != GraceDefaultObject) inho203 = (struct UserObject *)inho203->super;
    inho203->super = obj203;
    self = inheritingObject203;
    *selfslot = self;
    lowerouter203 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter203;
  }
if (objclass203 == NULL) {
  Method *reader205 = addmethodrealflags(obj203, "kind",&reader_lexer_kind_205, MFLAG_DEF);
  reader205->definitionModule = modulename;
  reader205->definitionLine = 97;
}
adddatum2(obj203, alloc_Undefined(), 1);
if (objclass203 == NULL) {
  Method *reader206 = addmethodrealflags(obj203, "value",&reader_lexer_value_206, MFLAG_DEF);
  reader206->definitionModule = modulename;
  reader206->definitionLine = 98;
}
adddatum2(obj203, alloc_Undefined(), 2);
if (objclass203 == NULL) {
  Method *reader207 = addmethodrealflags(obj203, "size",&reader_lexer_size_207, MFLAG_DEF);
  reader207->definitionModule = modulename;
  reader207->definitionLine = 99;
}
adddatum2(obj203, alloc_Undefined(), 3);
  sourceObject = obj203;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe208 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call209 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe208);
// compilenode returning call209
  struct UserObject *obj203_uo = (struct UserObject *)obj203;
  obj203_uo->super = call209;
  sourceObject = obj203;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit210 == NULL) {
    strlit210 = alloc_String("lparen");
    gc_root(strlit210);
  }
// compilenode returning strlit210
  adddatum2(obj203, strlit210, 1);
  sourceObject = obj203;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit211 == NULL) {
    strlit211 = alloc_String("(");
    gc_root(strlit211);
  }
// compilenode returning strlit211
  adddatum2(obj203, strlit211, 2);
  sourceObject = obj203;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num212 = alloc_Float64(1);
// compilenode returning num212
  adddatum2(obj203, num212, 3);
objclass203 = obj203->class;
  objclass203->definitionModule = modulename;
  objclass203->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter203;
  self = oldself203;
  selfslot = oldselfslot203;
  stackframe = oldstackframe203;
  gc_frame_end(frame);
  return obj203;
}
Object meth_lexer_new202_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject203 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj203 = alloc_userobj2(4,5, objclass203);
  gc_frame_newslot(obj203);
if (objclass203 == NULL) {
  glfree(obj203->class->name);
  obj203->class->name = "LParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj203, self, 0);
  addmethodreal(obj203,"outer", &reader_lexer_outer_204);
  Object oldself203 = self;
  struct StackFrameObject *oldstackframe203 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe203);
  gc_frame_newslot((Object)stackframe);
  self = obj203;
  Object *oldselfslot203 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter203 = (*(struct UserObject *)self).data[0], lowerouter203 = thisouter203;
  if (inheritingObject203) {
    struct UserObject *inho203 = (struct UserObject *)inheritingObject203;
    while (inho203->super != GraceDefaultObject) inho203 = (struct UserObject *)inho203->super;
    inho203->super = obj203;
    self = inheritingObject203;
    *selfslot = self;
    lowerouter203 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter203;
  }
if (objclass203 == NULL) {
  Method *reader205 = addmethodrealflags(obj203, "kind",&reader_lexer_kind_205, MFLAG_DEF);
  reader205->definitionModule = modulename;
  reader205->definitionLine = 97;
}
adddatum2(obj203, alloc_Undefined(), 1);
if (objclass203 == NULL) {
  Method *reader206 = addmethodrealflags(obj203, "value",&reader_lexer_value_206, MFLAG_DEF);
  reader206->definitionModule = modulename;
  reader206->definitionLine = 98;
}
adddatum2(obj203, alloc_Undefined(), 2);
if (objclass203 == NULL) {
  Method *reader207 = addmethodrealflags(obj203, "size",&reader_lexer_size_207, MFLAG_DEF);
  reader207->definitionModule = modulename;
  reader207->definitionLine = 99;
}
adddatum2(obj203, alloc_Undefined(), 3);
  sourceObject = obj203;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe208 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call209 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe208);
// compilenode returning call209
  struct UserObject *obj203_uo = (struct UserObject *)obj203;
  obj203_uo->super = call209;
  sourceObject = obj203;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit210 == NULL) {
    strlit210 = alloc_String("lparen");
    gc_root(strlit210);
  }
// compilenode returning strlit210
  adddatum2(obj203, strlit210, 1);
  sourceObject = obj203;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit211 == NULL) {
    strlit211 = alloc_String("(");
    gc_root(strlit211);
  }
// compilenode returning strlit211
  adddatum2(obj203, strlit211, 2);
  sourceObject = obj203;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num212 = alloc_Float64(1);
// compilenode returning num212
  adddatum2(obj203, num212, 3);
objclass203 = obj203->class;
  objclass203->definitionModule = modulename;
  objclass203->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter203;
  self = oldself203;
  selfslot = oldselfslot203;
  stackframe = oldstackframe203;
  gc_frame_end(frame);
  return obj203;
}
Object meth_lexer_new216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject217 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj217 = alloc_userobj2(4,5, objclass217);
  gc_frame_newslot(obj217);
if (objclass217 == NULL) {
  glfree(obj217->class->name);
  obj217->class->name = "RParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj217, self, 0);
  addmethodreal(obj217,"outer", &reader_lexer_outer_218);
  Object oldself217 = self;
  struct StackFrameObject *oldstackframe217 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe217);
  gc_frame_newslot((Object)stackframe);
  self = obj217;
  Object *oldselfslot217 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter217 = (*(struct UserObject *)self).data[0], lowerouter217 = thisouter217;
  if (inheritingObject217) {
    struct UserObject *inho217 = (struct UserObject *)inheritingObject217;
    while (inho217->super != GraceDefaultObject) inho217 = (struct UserObject *)inho217->super;
    inho217->super = obj217;
    self = inheritingObject217;
    *selfslot = self;
    lowerouter217 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter217;
  }
if (objclass217 == NULL) {
  Method *reader219 = addmethodrealflags(obj217, "kind",&reader_lexer_kind_219, MFLAG_DEF);
  reader219->definitionModule = modulename;
  reader219->definitionLine = 103;
}
adddatum2(obj217, alloc_Undefined(), 1);
if (objclass217 == NULL) {
  Method *reader220 = addmethodrealflags(obj217, "value",&reader_lexer_value_220, MFLAG_DEF);
  reader220->definitionModule = modulename;
  reader220->definitionLine = 104;
}
adddatum2(obj217, alloc_Undefined(), 2);
if (objclass217 == NULL) {
  Method *reader221 = addmethodrealflags(obj217, "size",&reader_lexer_size_221, MFLAG_DEF);
  reader221->definitionModule = modulename;
  reader221->definitionLine = 105;
}
adddatum2(obj217, alloc_Undefined(), 3);
  sourceObject = obj217;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe222 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call223 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe222);
// compilenode returning call223
  struct UserObject *obj217_uo = (struct UserObject *)obj217;
  obj217_uo->super = call223;
  sourceObject = obj217;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit224 == NULL) {
    strlit224 = alloc_String("rparen");
    gc_root(strlit224);
  }
// compilenode returning strlit224
  adddatum2(obj217, strlit224, 1);
  sourceObject = obj217;
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit225 == NULL) {
    strlit225 = alloc_String(")");
    gc_root(strlit225);
  }
// compilenode returning strlit225
  adddatum2(obj217, strlit225, 2);
  sourceObject = obj217;
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num226 = alloc_Float64(1);
// compilenode returning num226
  adddatum2(obj217, num226, 3);
objclass217 = obj217->class;
  objclass217->definitionModule = modulename;
  objclass217->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter217;
  self = oldself217;
  selfslot = oldselfslot217;
  stackframe = oldstackframe217;
  gc_frame_end(frame);
  return obj217;
}
Object meth_lexer_new216_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject217 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj217 = alloc_userobj2(4,5, objclass217);
  gc_frame_newslot(obj217);
if (objclass217 == NULL) {
  glfree(obj217->class->name);
  obj217->class->name = "RParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj217, self, 0);
  addmethodreal(obj217,"outer", &reader_lexer_outer_218);
  Object oldself217 = self;
  struct StackFrameObject *oldstackframe217 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe217);
  gc_frame_newslot((Object)stackframe);
  self = obj217;
  Object *oldselfslot217 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter217 = (*(struct UserObject *)self).data[0], lowerouter217 = thisouter217;
  if (inheritingObject217) {
    struct UserObject *inho217 = (struct UserObject *)inheritingObject217;
    while (inho217->super != GraceDefaultObject) inho217 = (struct UserObject *)inho217->super;
    inho217->super = obj217;
    self = inheritingObject217;
    *selfslot = self;
    lowerouter217 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter217;
  }
if (objclass217 == NULL) {
  Method *reader219 = addmethodrealflags(obj217, "kind",&reader_lexer_kind_219, MFLAG_DEF);
  reader219->definitionModule = modulename;
  reader219->definitionLine = 103;
}
adddatum2(obj217, alloc_Undefined(), 1);
if (objclass217 == NULL) {
  Method *reader220 = addmethodrealflags(obj217, "value",&reader_lexer_value_220, MFLAG_DEF);
  reader220->definitionModule = modulename;
  reader220->definitionLine = 104;
}
adddatum2(obj217, alloc_Undefined(), 2);
if (objclass217 == NULL) {
  Method *reader221 = addmethodrealflags(obj217, "size",&reader_lexer_size_221, MFLAG_DEF);
  reader221->definitionModule = modulename;
  reader221->definitionLine = 105;
}
adddatum2(obj217, alloc_Undefined(), 3);
  sourceObject = obj217;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe222 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call223 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe222);
// compilenode returning call223
  struct UserObject *obj217_uo = (struct UserObject *)obj217;
  obj217_uo->super = call223;
  sourceObject = obj217;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit224 == NULL) {
    strlit224 = alloc_String("rparen");
    gc_root(strlit224);
  }
// compilenode returning strlit224
  adddatum2(obj217, strlit224, 1);
  sourceObject = obj217;
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit225 == NULL) {
    strlit225 = alloc_String(")");
    gc_root(strlit225);
  }
// compilenode returning strlit225
  adddatum2(obj217, strlit225, 2);
  sourceObject = obj217;
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num226 = alloc_Float64(1);
// compilenode returning num226
  adddatum2(obj217, num226, 3);
objclass217 = obj217->class;
  objclass217->definitionModule = modulename;
  objclass217->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter217;
  self = oldself217;
  selfslot = oldselfslot217;
  stackframe = oldstackframe217;
  gc_frame_end(frame);
  return obj217;
}
Object meth_lexer_new230(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject231 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj231 = alloc_userobj2(4,5, objclass231);
  gc_frame_newslot(obj231);
if (objclass231 == NULL) {
  glfree(obj231->class->name);
  obj231->class->name = "LSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj231, self, 0);
  addmethodreal(obj231,"outer", &reader_lexer_outer_232);
  Object oldself231 = self;
  struct StackFrameObject *oldstackframe231 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe231);
  gc_frame_newslot((Object)stackframe);
  self = obj231;
  Object *oldselfslot231 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter231 = (*(struct UserObject *)self).data[0], lowerouter231 = thisouter231;
  if (inheritingObject231) {
    struct UserObject *inho231 = (struct UserObject *)inheritingObject231;
    while (inho231->super != GraceDefaultObject) inho231 = (struct UserObject *)inho231->super;
    inho231->super = obj231;
    self = inheritingObject231;
    *selfslot = self;
    lowerouter231 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter231;
  }
if (objclass231 == NULL) {
  Method *reader233 = addmethodrealflags(obj231, "kind",&reader_lexer_kind_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 109;
}
adddatum2(obj231, alloc_Undefined(), 1);
if (objclass231 == NULL) {
  Method *reader234 = addmethodrealflags(obj231, "value",&reader_lexer_value_234, MFLAG_DEF);
  reader234->definitionModule = modulename;
  reader234->definitionLine = 110;
}
adddatum2(obj231, alloc_Undefined(), 2);
if (objclass231 == NULL) {
  Method *reader235 = addmethodrealflags(obj231, "size",&reader_lexer_size_235, MFLAG_DEF);
  reader235->definitionModule = modulename;
  reader235->definitionLine = 111;
}
adddatum2(obj231, alloc_Undefined(), 3);
  sourceObject = obj231;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe236 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call237 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe236);
// compilenode returning call237
  struct UserObject *obj231_uo = (struct UserObject *)obj231;
  obj231_uo->super = call237;
  sourceObject = obj231;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit238 == NULL) {
    strlit238 = alloc_String("lsquare");
    gc_root(strlit238);
  }
// compilenode returning strlit238
  adddatum2(obj231, strlit238, 1);
  sourceObject = obj231;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit239 == NULL) {
    strlit239 = alloc_String("[");
    gc_root(strlit239);
  }
// compilenode returning strlit239
  adddatum2(obj231, strlit239, 2);
  sourceObject = obj231;
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num240 = alloc_Float64(1);
// compilenode returning num240
  adddatum2(obj231, num240, 3);
objclass231 = obj231->class;
  objclass231->definitionModule = modulename;
  objclass231->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter231;
  self = oldself231;
  selfslot = oldselfslot231;
  stackframe = oldstackframe231;
  gc_frame_end(frame);
  return obj231;
}
Object meth_lexer_new230_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject231 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj231 = alloc_userobj2(4,5, objclass231);
  gc_frame_newslot(obj231);
if (objclass231 == NULL) {
  glfree(obj231->class->name);
  obj231->class->name = "LSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj231, self, 0);
  addmethodreal(obj231,"outer", &reader_lexer_outer_232);
  Object oldself231 = self;
  struct StackFrameObject *oldstackframe231 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe231);
  gc_frame_newslot((Object)stackframe);
  self = obj231;
  Object *oldselfslot231 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter231 = (*(struct UserObject *)self).data[0], lowerouter231 = thisouter231;
  if (inheritingObject231) {
    struct UserObject *inho231 = (struct UserObject *)inheritingObject231;
    while (inho231->super != GraceDefaultObject) inho231 = (struct UserObject *)inho231->super;
    inho231->super = obj231;
    self = inheritingObject231;
    *selfslot = self;
    lowerouter231 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter231;
  }
if (objclass231 == NULL) {
  Method *reader233 = addmethodrealflags(obj231, "kind",&reader_lexer_kind_233, MFLAG_DEF);
  reader233->definitionModule = modulename;
  reader233->definitionLine = 109;
}
adddatum2(obj231, alloc_Undefined(), 1);
if (objclass231 == NULL) {
  Method *reader234 = addmethodrealflags(obj231, "value",&reader_lexer_value_234, MFLAG_DEF);
  reader234->definitionModule = modulename;
  reader234->definitionLine = 110;
}
adddatum2(obj231, alloc_Undefined(), 2);
if (objclass231 == NULL) {
  Method *reader235 = addmethodrealflags(obj231, "size",&reader_lexer_size_235, MFLAG_DEF);
  reader235->definitionModule = modulename;
  reader235->definitionLine = 111;
}
adddatum2(obj231, alloc_Undefined(), 3);
  sourceObject = obj231;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe236 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call237 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe236);
// compilenode returning call237
  struct UserObject *obj231_uo = (struct UserObject *)obj231;
  obj231_uo->super = call237;
  sourceObject = obj231;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit238 == NULL) {
    strlit238 = alloc_String("lsquare");
    gc_root(strlit238);
  }
// compilenode returning strlit238
  adddatum2(obj231, strlit238, 1);
  sourceObject = obj231;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit239 == NULL) {
    strlit239 = alloc_String("[");
    gc_root(strlit239);
  }
// compilenode returning strlit239
  adddatum2(obj231, strlit239, 2);
  sourceObject = obj231;
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num240 = alloc_Float64(1);
// compilenode returning num240
  adddatum2(obj231, num240, 3);
objclass231 = obj231->class;
  objclass231->definitionModule = modulename;
  objclass231->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter231;
  self = oldself231;
  selfslot = oldselfslot231;
  stackframe = oldstackframe231;
  gc_frame_end(frame);
  return obj231;
}
Object meth_lexer_new244(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject245 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj245 = alloc_userobj2(4,5, objclass245);
  gc_frame_newslot(obj245);
if (objclass245 == NULL) {
  glfree(obj245->class->name);
  obj245->class->name = "RSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj245, self, 0);
  addmethodreal(obj245,"outer", &reader_lexer_outer_246);
  Object oldself245 = self;
  struct StackFrameObject *oldstackframe245 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe245);
  gc_frame_newslot((Object)stackframe);
  self = obj245;
  Object *oldselfslot245 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter245 = (*(struct UserObject *)self).data[0], lowerouter245 = thisouter245;
  if (inheritingObject245) {
    struct UserObject *inho245 = (struct UserObject *)inheritingObject245;
    while (inho245->super != GraceDefaultObject) inho245 = (struct UserObject *)inho245->super;
    inho245->super = obj245;
    self = inheritingObject245;
    *selfslot = self;
    lowerouter245 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter245;
  }
if (objclass245 == NULL) {
  Method *reader247 = addmethodrealflags(obj245, "kind",&reader_lexer_kind_247, MFLAG_DEF);
  reader247->definitionModule = modulename;
  reader247->definitionLine = 115;
}
adddatum2(obj245, alloc_Undefined(), 1);
if (objclass245 == NULL) {
  Method *reader248 = addmethodrealflags(obj245, "value",&reader_lexer_value_248, MFLAG_DEF);
  reader248->definitionModule = modulename;
  reader248->definitionLine = 116;
}
adddatum2(obj245, alloc_Undefined(), 2);
if (objclass245 == NULL) {
  Method *reader249 = addmethodrealflags(obj245, "size",&reader_lexer_size_249, MFLAG_DEF);
  reader249->definitionModule = modulename;
  reader249->definitionLine = 117;
}
adddatum2(obj245, alloc_Undefined(), 3);
  sourceObject = obj245;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe250 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call251 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe250);
// compilenode returning call251
  struct UserObject *obj245_uo = (struct UserObject *)obj245;
  obj245_uo->super = call251;
  sourceObject = obj245;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit252 == NULL) {
    strlit252 = alloc_String("rsquare");
    gc_root(strlit252);
  }
// compilenode returning strlit252
  adddatum2(obj245, strlit252, 1);
  sourceObject = obj245;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit253 == NULL) {
    strlit253 = alloc_String("]");
    gc_root(strlit253);
  }
// compilenode returning strlit253
  adddatum2(obj245, strlit253, 2);
  sourceObject = obj245;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num254 = alloc_Float64(1);
// compilenode returning num254
  adddatum2(obj245, num254, 3);
objclass245 = obj245->class;
  objclass245->definitionModule = modulename;
  objclass245->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter245;
  self = oldself245;
  selfslot = oldselfslot245;
  stackframe = oldstackframe245;
  gc_frame_end(frame);
  return obj245;
}
Object meth_lexer_new244_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject245 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj245 = alloc_userobj2(4,5, objclass245);
  gc_frame_newslot(obj245);
if (objclass245 == NULL) {
  glfree(obj245->class->name);
  obj245->class->name = "RSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj245, self, 0);
  addmethodreal(obj245,"outer", &reader_lexer_outer_246);
  Object oldself245 = self;
  struct StackFrameObject *oldstackframe245 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe245);
  gc_frame_newslot((Object)stackframe);
  self = obj245;
  Object *oldselfslot245 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter245 = (*(struct UserObject *)self).data[0], lowerouter245 = thisouter245;
  if (inheritingObject245) {
    struct UserObject *inho245 = (struct UserObject *)inheritingObject245;
    while (inho245->super != GraceDefaultObject) inho245 = (struct UserObject *)inho245->super;
    inho245->super = obj245;
    self = inheritingObject245;
    *selfslot = self;
    lowerouter245 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter245;
  }
if (objclass245 == NULL) {
  Method *reader247 = addmethodrealflags(obj245, "kind",&reader_lexer_kind_247, MFLAG_DEF);
  reader247->definitionModule = modulename;
  reader247->definitionLine = 115;
}
adddatum2(obj245, alloc_Undefined(), 1);
if (objclass245 == NULL) {
  Method *reader248 = addmethodrealflags(obj245, "value",&reader_lexer_value_248, MFLAG_DEF);
  reader248->definitionModule = modulename;
  reader248->definitionLine = 116;
}
adddatum2(obj245, alloc_Undefined(), 2);
if (objclass245 == NULL) {
  Method *reader249 = addmethodrealflags(obj245, "size",&reader_lexer_size_249, MFLAG_DEF);
  reader249->definitionModule = modulename;
  reader249->definitionLine = 117;
}
adddatum2(obj245, alloc_Undefined(), 3);
  sourceObject = obj245;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe250 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call251 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe250);
// compilenode returning call251
  struct UserObject *obj245_uo = (struct UserObject *)obj245;
  obj245_uo->super = call251;
  sourceObject = obj245;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit252 == NULL) {
    strlit252 = alloc_String("rsquare");
    gc_root(strlit252);
  }
// compilenode returning strlit252
  adddatum2(obj245, strlit252, 1);
  sourceObject = obj245;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit253 == NULL) {
    strlit253 = alloc_String("]");
    gc_root(strlit253);
  }
// compilenode returning strlit253
  adddatum2(obj245, strlit253, 2);
  sourceObject = obj245;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num254 = alloc_Float64(1);
// compilenode returning num254
  adddatum2(obj245, num254, 3);
objclass245 = obj245->class;
  objclass245->definitionModule = modulename;
  objclass245->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter245;
  self = oldself245;
  selfslot = oldselfslot245;
  stackframe = oldstackframe245;
  gc_frame_end(frame);
  return obj245;
}
Object meth_lexer_new258(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject259 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj259 = alloc_userobj2(4,5, objclass259);
  gc_frame_newslot(obj259);
if (objclass259 == NULL) {
  glfree(obj259->class->name);
  obj259->class->name = "CommaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj259, self, 0);
  addmethodreal(obj259,"outer", &reader_lexer_outer_260);
  Object oldself259 = self;
  struct StackFrameObject *oldstackframe259 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe259);
  gc_frame_newslot((Object)stackframe);
  self = obj259;
  Object *oldselfslot259 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter259 = (*(struct UserObject *)self).data[0], lowerouter259 = thisouter259;
  if (inheritingObject259) {
    struct UserObject *inho259 = (struct UserObject *)inheritingObject259;
    while (inho259->super != GraceDefaultObject) inho259 = (struct UserObject *)inho259->super;
    inho259->super = obj259;
    self = inheritingObject259;
    *selfslot = self;
    lowerouter259 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter259;
  }
if (objclass259 == NULL) {
  Method *reader261 = addmethodrealflags(obj259, "kind",&reader_lexer_kind_261, MFLAG_DEF);
  reader261->definitionModule = modulename;
  reader261->definitionLine = 121;
}
adddatum2(obj259, alloc_Undefined(), 1);
if (objclass259 == NULL) {
  Method *reader262 = addmethodrealflags(obj259, "value",&reader_lexer_value_262, MFLAG_DEF);
  reader262->definitionModule = modulename;
  reader262->definitionLine = 122;
}
adddatum2(obj259, alloc_Undefined(), 2);
if (objclass259 == NULL) {
  Method *reader263 = addmethodrealflags(obj259, "size",&reader_lexer_size_263, MFLAG_DEF);
  reader263->definitionModule = modulename;
  reader263->definitionLine = 123;
}
adddatum2(obj259, alloc_Undefined(), 3);
  sourceObject = obj259;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe264 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call265 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe264);
// compilenode returning call265
  struct UserObject *obj259_uo = (struct UserObject *)obj259;
  obj259_uo->super = call265;
  sourceObject = obj259;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit266 == NULL) {
    strlit266 = alloc_String("comma");
    gc_root(strlit266);
  }
// compilenode returning strlit266
  adddatum2(obj259, strlit266, 1);
  sourceObject = obj259;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit267 == NULL) {
    strlit267 = alloc_String(",");
    gc_root(strlit267);
  }
// compilenode returning strlit267
  adddatum2(obj259, strlit267, 2);
  sourceObject = obj259;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num268 = alloc_Float64(1);
// compilenode returning num268
  adddatum2(obj259, num268, 3);
objclass259 = obj259->class;
  objclass259->definitionModule = modulename;
  objclass259->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter259;
  self = oldself259;
  selfslot = oldselfslot259;
  stackframe = oldstackframe259;
  gc_frame_end(frame);
  return obj259;
}
Object meth_lexer_new258_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject259 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj259 = alloc_userobj2(4,5, objclass259);
  gc_frame_newslot(obj259);
if (objclass259 == NULL) {
  glfree(obj259->class->name);
  obj259->class->name = "CommaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj259, self, 0);
  addmethodreal(obj259,"outer", &reader_lexer_outer_260);
  Object oldself259 = self;
  struct StackFrameObject *oldstackframe259 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe259);
  gc_frame_newslot((Object)stackframe);
  self = obj259;
  Object *oldselfslot259 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter259 = (*(struct UserObject *)self).data[0], lowerouter259 = thisouter259;
  if (inheritingObject259) {
    struct UserObject *inho259 = (struct UserObject *)inheritingObject259;
    while (inho259->super != GraceDefaultObject) inho259 = (struct UserObject *)inho259->super;
    inho259->super = obj259;
    self = inheritingObject259;
    *selfslot = self;
    lowerouter259 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter259;
  }
if (objclass259 == NULL) {
  Method *reader261 = addmethodrealflags(obj259, "kind",&reader_lexer_kind_261, MFLAG_DEF);
  reader261->definitionModule = modulename;
  reader261->definitionLine = 121;
}
adddatum2(obj259, alloc_Undefined(), 1);
if (objclass259 == NULL) {
  Method *reader262 = addmethodrealflags(obj259, "value",&reader_lexer_value_262, MFLAG_DEF);
  reader262->definitionModule = modulename;
  reader262->definitionLine = 122;
}
adddatum2(obj259, alloc_Undefined(), 2);
if (objclass259 == NULL) {
  Method *reader263 = addmethodrealflags(obj259, "size",&reader_lexer_size_263, MFLAG_DEF);
  reader263->definitionModule = modulename;
  reader263->definitionLine = 123;
}
adddatum2(obj259, alloc_Undefined(), 3);
  sourceObject = obj259;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe264 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call265 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe264);
// compilenode returning call265
  struct UserObject *obj259_uo = (struct UserObject *)obj259;
  obj259_uo->super = call265;
  sourceObject = obj259;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit266 == NULL) {
    strlit266 = alloc_String("comma");
    gc_root(strlit266);
  }
// compilenode returning strlit266
  adddatum2(obj259, strlit266, 1);
  sourceObject = obj259;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit267 == NULL) {
    strlit267 = alloc_String(",");
    gc_root(strlit267);
  }
// compilenode returning strlit267
  adddatum2(obj259, strlit267, 2);
  sourceObject = obj259;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num268 = alloc_Float64(1);
// compilenode returning num268
  adddatum2(obj259, num268, 3);
objclass259 = obj259->class;
  objclass259->definitionModule = modulename;
  objclass259->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter259;
  self = oldself259;
  selfslot = oldselfslot259;
  stackframe = oldstackframe259;
  gc_frame_end(frame);
  return obj259;
}
Object meth_lexer_new272(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject273 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj273 = alloc_userobj2(4,5, objclass273);
  gc_frame_newslot(obj273);
if (objclass273 == NULL) {
  glfree(obj273->class->name);
  obj273->class->name = "ColonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj273, self, 0);
  addmethodreal(obj273,"outer", &reader_lexer_outer_274);
  Object oldself273 = self;
  struct StackFrameObject *oldstackframe273 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe273);
  gc_frame_newslot((Object)stackframe);
  self = obj273;
  Object *oldselfslot273 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter273 = (*(struct UserObject *)self).data[0], lowerouter273 = thisouter273;
  if (inheritingObject273) {
    struct UserObject *inho273 = (struct UserObject *)inheritingObject273;
    while (inho273->super != GraceDefaultObject) inho273 = (struct UserObject *)inho273->super;
    inho273->super = obj273;
    self = inheritingObject273;
    *selfslot = self;
    lowerouter273 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter273;
  }
if (objclass273 == NULL) {
  Method *reader275 = addmethodrealflags(obj273, "kind",&reader_lexer_kind_275, MFLAG_DEF);
  reader275->definitionModule = modulename;
  reader275->definitionLine = 127;
}
adddatum2(obj273, alloc_Undefined(), 1);
if (objclass273 == NULL) {
  Method *reader276 = addmethodrealflags(obj273, "value",&reader_lexer_value_276, MFLAG_DEF);
  reader276->definitionModule = modulename;
  reader276->definitionLine = 128;
}
adddatum2(obj273, alloc_Undefined(), 2);
if (objclass273 == NULL) {
  Method *reader277 = addmethodrealflags(obj273, "size",&reader_lexer_size_277, MFLAG_DEF);
  reader277->definitionModule = modulename;
  reader277->definitionLine = 129;
}
adddatum2(obj273, alloc_Undefined(), 3);
  sourceObject = obj273;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe278 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call279 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe278);
// compilenode returning call279
  struct UserObject *obj273_uo = (struct UserObject *)obj273;
  obj273_uo->super = call279;
  sourceObject = obj273;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit280 == NULL) {
    strlit280 = alloc_String("colon");
    gc_root(strlit280);
  }
// compilenode returning strlit280
  adddatum2(obj273, strlit280, 1);
  sourceObject = obj273;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit281 == NULL) {
    strlit281 = alloc_String(":");
    gc_root(strlit281);
  }
// compilenode returning strlit281
  adddatum2(obj273, strlit281, 2);
  sourceObject = obj273;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num282 = alloc_Float64(1);
// compilenode returning num282
  adddatum2(obj273, num282, 3);
objclass273 = obj273->class;
  objclass273->definitionModule = modulename;
  objclass273->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter273;
  self = oldself273;
  selfslot = oldselfslot273;
  stackframe = oldstackframe273;
  gc_frame_end(frame);
  return obj273;
}
Object meth_lexer_new272_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject273 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj273 = alloc_userobj2(4,5, objclass273);
  gc_frame_newslot(obj273);
if (objclass273 == NULL) {
  glfree(obj273->class->name);
  obj273->class->name = "ColonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj273, self, 0);
  addmethodreal(obj273,"outer", &reader_lexer_outer_274);
  Object oldself273 = self;
  struct StackFrameObject *oldstackframe273 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe273);
  gc_frame_newslot((Object)stackframe);
  self = obj273;
  Object *oldselfslot273 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter273 = (*(struct UserObject *)self).data[0], lowerouter273 = thisouter273;
  if (inheritingObject273) {
    struct UserObject *inho273 = (struct UserObject *)inheritingObject273;
    while (inho273->super != GraceDefaultObject) inho273 = (struct UserObject *)inho273->super;
    inho273->super = obj273;
    self = inheritingObject273;
    *selfslot = self;
    lowerouter273 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter273;
  }
if (objclass273 == NULL) {
  Method *reader275 = addmethodrealflags(obj273, "kind",&reader_lexer_kind_275, MFLAG_DEF);
  reader275->definitionModule = modulename;
  reader275->definitionLine = 127;
}
adddatum2(obj273, alloc_Undefined(), 1);
if (objclass273 == NULL) {
  Method *reader276 = addmethodrealflags(obj273, "value",&reader_lexer_value_276, MFLAG_DEF);
  reader276->definitionModule = modulename;
  reader276->definitionLine = 128;
}
adddatum2(obj273, alloc_Undefined(), 2);
if (objclass273 == NULL) {
  Method *reader277 = addmethodrealflags(obj273, "size",&reader_lexer_size_277, MFLAG_DEF);
  reader277->definitionModule = modulename;
  reader277->definitionLine = 129;
}
adddatum2(obj273, alloc_Undefined(), 3);
  sourceObject = obj273;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe278 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call279 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe278);
// compilenode returning call279
  struct UserObject *obj273_uo = (struct UserObject *)obj273;
  obj273_uo->super = call279;
  sourceObject = obj273;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit280 == NULL) {
    strlit280 = alloc_String("colon");
    gc_root(strlit280);
  }
// compilenode returning strlit280
  adddatum2(obj273, strlit280, 1);
  sourceObject = obj273;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit281 == NULL) {
    strlit281 = alloc_String(":");
    gc_root(strlit281);
  }
// compilenode returning strlit281
  adddatum2(obj273, strlit281, 2);
  sourceObject = obj273;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num282 = alloc_Float64(1);
// compilenode returning num282
  adddatum2(obj273, num282, 3);
objclass273 = obj273->class;
  objclass273->definitionModule = modulename;
  objclass273->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter273;
  self = oldself273;
  selfslot = oldselfslot273;
  stackframe = oldstackframe273;
  gc_frame_end(frame);
  return obj273;
}
Object meth_lexer_new286(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject287 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj287 = alloc_userobj2(4,5, objclass287);
  gc_frame_newslot(obj287);
if (objclass287 == NULL) {
  glfree(obj287->class->name);
  obj287->class->name = "DotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj287, self, 0);
  addmethodreal(obj287,"outer", &reader_lexer_outer_288);
  Object oldself287 = self;
  struct StackFrameObject *oldstackframe287 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe287);
  gc_frame_newslot((Object)stackframe);
  self = obj287;
  Object *oldselfslot287 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter287 = (*(struct UserObject *)self).data[0], lowerouter287 = thisouter287;
  if (inheritingObject287) {
    struct UserObject *inho287 = (struct UserObject *)inheritingObject287;
    while (inho287->super != GraceDefaultObject) inho287 = (struct UserObject *)inho287->super;
    inho287->super = obj287;
    self = inheritingObject287;
    *selfslot = self;
    lowerouter287 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter287;
  }
if (objclass287 == NULL) {
  Method *reader289 = addmethodrealflags(obj287, "kind",&reader_lexer_kind_289, MFLAG_DEF);
  reader289->definitionModule = modulename;
  reader289->definitionLine = 133;
}
adddatum2(obj287, alloc_Undefined(), 1);
if (objclass287 == NULL) {
  Method *reader290 = addmethodrealflags(obj287, "value",&reader_lexer_value_290, MFLAG_DEF);
  reader290->definitionModule = modulename;
  reader290->definitionLine = 134;
}
adddatum2(obj287, alloc_Undefined(), 2);
if (objclass287 == NULL) {
  Method *reader291 = addmethodrealflags(obj287, "size",&reader_lexer_size_291, MFLAG_DEF);
  reader291->definitionModule = modulename;
  reader291->definitionLine = 135;
}
adddatum2(obj287, alloc_Undefined(), 3);
  sourceObject = obj287;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe292 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call293 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe292);
// compilenode returning call293
  struct UserObject *obj287_uo = (struct UserObject *)obj287;
  obj287_uo->super = call293;
  sourceObject = obj287;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit294 == NULL) {
    strlit294 = alloc_String("dot");
    gc_root(strlit294);
  }
// compilenode returning strlit294
  adddatum2(obj287, strlit294, 1);
  sourceObject = obj287;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit295 == NULL) {
    strlit295 = alloc_String(".");
    gc_root(strlit295);
  }
// compilenode returning strlit295
  adddatum2(obj287, strlit295, 2);
  sourceObject = obj287;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num296 = alloc_Float64(1);
// compilenode returning num296
  adddatum2(obj287, num296, 3);
objclass287 = obj287->class;
  objclass287->definitionModule = modulename;
  objclass287->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter287;
  self = oldself287;
  selfslot = oldselfslot287;
  stackframe = oldstackframe287;
  gc_frame_end(frame);
  return obj287;
}
Object meth_lexer_new286_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject287 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj287 = alloc_userobj2(4,5, objclass287);
  gc_frame_newslot(obj287);
if (objclass287 == NULL) {
  glfree(obj287->class->name);
  obj287->class->name = "DotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj287, self, 0);
  addmethodreal(obj287,"outer", &reader_lexer_outer_288);
  Object oldself287 = self;
  struct StackFrameObject *oldstackframe287 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe287);
  gc_frame_newslot((Object)stackframe);
  self = obj287;
  Object *oldselfslot287 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter287 = (*(struct UserObject *)self).data[0], lowerouter287 = thisouter287;
  if (inheritingObject287) {
    struct UserObject *inho287 = (struct UserObject *)inheritingObject287;
    while (inho287->super != GraceDefaultObject) inho287 = (struct UserObject *)inho287->super;
    inho287->super = obj287;
    self = inheritingObject287;
    *selfslot = self;
    lowerouter287 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter287;
  }
if (objclass287 == NULL) {
  Method *reader289 = addmethodrealflags(obj287, "kind",&reader_lexer_kind_289, MFLAG_DEF);
  reader289->definitionModule = modulename;
  reader289->definitionLine = 133;
}
adddatum2(obj287, alloc_Undefined(), 1);
if (objclass287 == NULL) {
  Method *reader290 = addmethodrealflags(obj287, "value",&reader_lexer_value_290, MFLAG_DEF);
  reader290->definitionModule = modulename;
  reader290->definitionLine = 134;
}
adddatum2(obj287, alloc_Undefined(), 2);
if (objclass287 == NULL) {
  Method *reader291 = addmethodrealflags(obj287, "size",&reader_lexer_size_291, MFLAG_DEF);
  reader291->definitionModule = modulename;
  reader291->definitionLine = 135;
}
adddatum2(obj287, alloc_Undefined(), 3);
  sourceObject = obj287;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe292 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call293 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe292);
// compilenode returning call293
  struct UserObject *obj287_uo = (struct UserObject *)obj287;
  obj287_uo->super = call293;
  sourceObject = obj287;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit294 == NULL) {
    strlit294 = alloc_String("dot");
    gc_root(strlit294);
  }
// compilenode returning strlit294
  adddatum2(obj287, strlit294, 1);
  sourceObject = obj287;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit295 == NULL) {
    strlit295 = alloc_String(".");
    gc_root(strlit295);
  }
// compilenode returning strlit295
  adddatum2(obj287, strlit295, 2);
  sourceObject = obj287;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num296 = alloc_Float64(1);
// compilenode returning num296
  adddatum2(obj287, num296, 3);
objclass287 = obj287->class;
  objclass287->definitionModule = modulename;
  objclass287->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter287;
  self = oldself287;
  selfslot = oldselfslot287;
  stackframe = oldstackframe287;
  gc_frame_end(frame);
  return obj287;
}
Object meth_lexer_new300(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_startPosition = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject301 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj301 = alloc_userobj2(5,6, objclass301);
  gc_frame_newslot(obj301);
if (objclass301 == NULL) {
  glfree(obj301->class->name);
  obj301->class->name = "NumToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj301, self, 0);
  addmethodreal(obj301,"outer", &reader_lexer_outer_302);
  Object oldself301 = self;
  struct StackFrameObject *oldstackframe301 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe301);
  gc_frame_newslot((Object)stackframe);
  self = obj301;
  Object *oldselfslot301 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter301 = (*(struct UserObject *)self).data[0], lowerouter301 = thisouter301;
  if (inheritingObject301) {
    struct UserObject *inho301 = (struct UserObject *)inheritingObject301;
    while (inho301->super != GraceDefaultObject) inho301 = (struct UserObject *)inho301->super;
    inho301->super = obj301;
    self = inheritingObject301;
    *selfslot = self;
    lowerouter301 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter301;
  }
if (objclass301 == NULL) {
  Method *reader303 = addmethodrealflags(obj301, "kind",&reader_lexer_kind_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 139;
}
adddatum2(obj301, alloc_Undefined(), 1);
if (objclass301 == NULL) {
  Method *reader304 = addmethodrealflags(obj301, "value",&reader_lexer_value_304, MFLAG_DEF);
  reader304->definitionModule = modulename;
  reader304->definitionLine = 140;
}
adddatum2(obj301, alloc_Undefined(), 2);
if (objclass301 == NULL) {
  Method *reader305 = addmethodrealflags(obj301, "base",&reader_lexer_base_305, MFLAG_DEF);
  reader305->definitionModule = modulename;
  reader305->definitionLine = 141;
}
adddatum2(obj301, alloc_Undefined(), 3);
if (objclass301 == NULL) {
  Method *reader306 = addmethodrealflags(obj301, "size",&reader_lexer_size_306, MFLAG_DEF);
  reader306->definitionModule = modulename;
  reader306->definitionLine = 142;
}
adddatum2(obj301, alloc_Undefined(), 4);
  sourceObject = obj301;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe307 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call308 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe307);
// compilenode returning call308
  struct UserObject *obj301_uo = (struct UserObject *)obj301;
  obj301_uo->super = call308;
  sourceObject = obj301;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit309 == NULL) {
    strlit309 = alloc_String("num");
    gc_root(strlit309);
  }
// compilenode returning strlit309
  adddatum2(obj301, strlit309, 1);
  sourceObject = obj301;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj301, *var_v, 2);
  sourceObject = obj301;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_b
  adddatum2(obj301, *var_b, 3);
  sourceObject = obj301;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startPosition
  int op_slot_right_310 = gc_frame_newslot(*var_startPosition);
// compilenode returning *var_linePosition
  int op_slot_left_310 = gc_frame_newslot(*var_linePosition);
  params[0] = *var_startPosition;
  partcv[0] = 1;
  Object diff312 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff312
  adddatum2(obj301, diff312, 4);
objclass301 = obj301->class;
  objclass301->definitionModule = modulename;
  objclass301->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter301;
  self = oldself301;
  selfslot = oldselfslot301;
  stackframe = oldstackframe301;
  gc_frame_end(frame);
  return obj301;
}
Object meth_lexer_new300_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  Object *var_startPosition = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject301 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj301 = alloc_userobj2(5,6, objclass301);
  gc_frame_newslot(obj301);
if (objclass301 == NULL) {
  glfree(obj301->class->name);
  obj301->class->name = "NumToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj301, self, 0);
  addmethodreal(obj301,"outer", &reader_lexer_outer_302);
  Object oldself301 = self;
  struct StackFrameObject *oldstackframe301 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe301);
  gc_frame_newslot((Object)stackframe);
  self = obj301;
  Object *oldselfslot301 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter301 = (*(struct UserObject *)self).data[0], lowerouter301 = thisouter301;
  if (inheritingObject301) {
    struct UserObject *inho301 = (struct UserObject *)inheritingObject301;
    while (inho301->super != GraceDefaultObject) inho301 = (struct UserObject *)inho301->super;
    inho301->super = obj301;
    self = inheritingObject301;
    *selfslot = self;
    lowerouter301 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter301;
  }
if (objclass301 == NULL) {
  Method *reader303 = addmethodrealflags(obj301, "kind",&reader_lexer_kind_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 139;
}
adddatum2(obj301, alloc_Undefined(), 1);
if (objclass301 == NULL) {
  Method *reader304 = addmethodrealflags(obj301, "value",&reader_lexer_value_304, MFLAG_DEF);
  reader304->definitionModule = modulename;
  reader304->definitionLine = 140;
}
adddatum2(obj301, alloc_Undefined(), 2);
if (objclass301 == NULL) {
  Method *reader305 = addmethodrealflags(obj301, "base",&reader_lexer_base_305, MFLAG_DEF);
  reader305->definitionModule = modulename;
  reader305->definitionLine = 141;
}
adddatum2(obj301, alloc_Undefined(), 3);
if (objclass301 == NULL) {
  Method *reader306 = addmethodrealflags(obj301, "size",&reader_lexer_size_306, MFLAG_DEF);
  reader306->definitionModule = modulename;
  reader306->definitionLine = 142;
}
adddatum2(obj301, alloc_Undefined(), 4);
  sourceObject = obj301;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe307 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call308 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe307);
// compilenode returning call308
  struct UserObject *obj301_uo = (struct UserObject *)obj301;
  obj301_uo->super = call308;
  sourceObject = obj301;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit309 == NULL) {
    strlit309 = alloc_String("num");
    gc_root(strlit309);
  }
// compilenode returning strlit309
  adddatum2(obj301, strlit309, 1);
  sourceObject = obj301;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj301, *var_v, 2);
  sourceObject = obj301;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_b
  adddatum2(obj301, *var_b, 3);
  sourceObject = obj301;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startPosition
  int op_slot_right_310 = gc_frame_newslot(*var_startPosition);
// compilenode returning *var_linePosition
  int op_slot_left_310 = gc_frame_newslot(*var_linePosition);
  params[0] = *var_startPosition;
  partcv[0] = 1;
  Object diff312 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff312
  adddatum2(obj301, diff312, 4);
objclass301 = obj301->class;
  objclass301->definitionModule = modulename;
  objclass301->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter301;
  self = oldself301;
  selfslot = oldselfslot301;
  stackframe = oldstackframe301;
  gc_frame_end(frame);
  return obj301;
}
Object meth_lexer_new316(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject317 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj317 = alloc_userobj2(4,5, objclass317);
  gc_frame_newslot(obj317);
if (objclass317 == NULL) {
  glfree(obj317->class->name);
  obj317->class->name = "KeywordToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj317, self, 0);
  addmethodreal(obj317,"outer", &reader_lexer_outer_318);
  Object oldself317 = self;
  struct StackFrameObject *oldstackframe317 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe317);
  gc_frame_newslot((Object)stackframe);
  self = obj317;
  Object *oldselfslot317 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter317 = (*(struct UserObject *)self).data[0], lowerouter317 = thisouter317;
  if (inheritingObject317) {
    struct UserObject *inho317 = (struct UserObject *)inheritingObject317;
    while (inho317->super != GraceDefaultObject) inho317 = (struct UserObject *)inho317->super;
    inho317->super = obj317;
    self = inheritingObject317;
    *selfslot = self;
    lowerouter317 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter317;
  }
if (objclass317 == NULL) {
  Method *reader319 = addmethodrealflags(obj317, "kind",&reader_lexer_kind_319, MFLAG_DEF);
  reader319->definitionModule = modulename;
  reader319->definitionLine = 146;
}
adddatum2(obj317, alloc_Undefined(), 1);
if (objclass317 == NULL) {
  Method *reader320 = addmethodrealflags(obj317, "value",&reader_lexer_value_320, MFLAG_DEF);
  reader320->definitionModule = modulename;
  reader320->definitionLine = 147;
}
adddatum2(obj317, alloc_Undefined(), 2);
if (objclass317 == NULL) {
  Method *reader321 = addmethodrealflags(obj317, "size",&reader_lexer_size_321, MFLAG_DEF);
  reader321->definitionModule = modulename;
  reader321->definitionLine = 148;
}
adddatum2(obj317, alloc_Undefined(), 3);
  sourceObject = obj317;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe322 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call323 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe322);
// compilenode returning call323
  struct UserObject *obj317_uo = (struct UserObject *)obj317;
  obj317_uo->super = call323;
  sourceObject = obj317;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit324 == NULL) {
    strlit324 = alloc_String("keyword");
    gc_root(strlit324);
  }
// compilenode returning strlit324
  adddatum2(obj317, strlit324, 1);
  sourceObject = obj317;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj317, *var_v, 2);
  sourceObject = obj317;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe325 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call326 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe325);
// compilenode returning call326
// compilenode returning call326
  adddatum2(obj317, call326, 3);
objclass317 = obj317->class;
  objclass317->definitionModule = modulename;
  objclass317->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter317;
  self = oldself317;
  selfslot = oldselfslot317;
  stackframe = oldstackframe317;
  gc_frame_end(frame);
  return obj317;
}
Object meth_lexer_new316_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject317 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj317 = alloc_userobj2(4,5, objclass317);
  gc_frame_newslot(obj317);
if (objclass317 == NULL) {
  glfree(obj317->class->name);
  obj317->class->name = "KeywordToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj317, self, 0);
  addmethodreal(obj317,"outer", &reader_lexer_outer_318);
  Object oldself317 = self;
  struct StackFrameObject *oldstackframe317 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe317);
  gc_frame_newslot((Object)stackframe);
  self = obj317;
  Object *oldselfslot317 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter317 = (*(struct UserObject *)self).data[0], lowerouter317 = thisouter317;
  if (inheritingObject317) {
    struct UserObject *inho317 = (struct UserObject *)inheritingObject317;
    while (inho317->super != GraceDefaultObject) inho317 = (struct UserObject *)inho317->super;
    inho317->super = obj317;
    self = inheritingObject317;
    *selfslot = self;
    lowerouter317 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter317;
  }
if (objclass317 == NULL) {
  Method *reader319 = addmethodrealflags(obj317, "kind",&reader_lexer_kind_319, MFLAG_DEF);
  reader319->definitionModule = modulename;
  reader319->definitionLine = 146;
}
adddatum2(obj317, alloc_Undefined(), 1);
if (objclass317 == NULL) {
  Method *reader320 = addmethodrealflags(obj317, "value",&reader_lexer_value_320, MFLAG_DEF);
  reader320->definitionModule = modulename;
  reader320->definitionLine = 147;
}
adddatum2(obj317, alloc_Undefined(), 2);
if (objclass317 == NULL) {
  Method *reader321 = addmethodrealflags(obj317, "size",&reader_lexer_size_321, MFLAG_DEF);
  reader321->definitionModule = modulename;
  reader321->definitionLine = 148;
}
adddatum2(obj317, alloc_Undefined(), 3);
  sourceObject = obj317;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe322 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call323 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe322);
// compilenode returning call323
  struct UserObject *obj317_uo = (struct UserObject *)obj317;
  obj317_uo->super = call323;
  sourceObject = obj317;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit324 == NULL) {
    strlit324 = alloc_String("keyword");
    gc_root(strlit324);
  }
// compilenode returning strlit324
  adddatum2(obj317, strlit324, 1);
  sourceObject = obj317;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj317, *var_v, 2);
  sourceObject = obj317;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe325 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call326 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe325);
// compilenode returning call326
// compilenode returning call326
  adddatum2(obj317, call326, 3);
objclass317 = obj317->class;
  objclass317->definitionModule = modulename;
  objclass317->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter317;
  self = oldself317;
  selfslot = oldselfslot317;
  stackframe = oldstackframe317;
  gc_frame_end(frame);
  return obj317;
}
Object meth_lexer_new330(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject331 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj331 = alloc_userobj2(4,5, objclass331);
  gc_frame_newslot(obj331);
if (objclass331 == NULL) {
  glfree(obj331->class->name);
  obj331->class->name = "OpToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj331, self, 0);
  addmethodreal(obj331,"outer", &reader_lexer_outer_332);
  Object oldself331 = self;
  struct StackFrameObject *oldstackframe331 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe331);
  gc_frame_newslot((Object)stackframe);
  self = obj331;
  Object *oldselfslot331 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter331 = (*(struct UserObject *)self).data[0], lowerouter331 = thisouter331;
  if (inheritingObject331) {
    struct UserObject *inho331 = (struct UserObject *)inheritingObject331;
    while (inho331->super != GraceDefaultObject) inho331 = (struct UserObject *)inho331->super;
    inho331->super = obj331;
    self = inheritingObject331;
    *selfslot = self;
    lowerouter331 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter331;
  }
if (objclass331 == NULL) {
  Method *reader333 = addmethodrealflags(obj331, "kind",&reader_lexer_kind_333, MFLAG_DEF);
  reader333->definitionModule = modulename;
  reader333->definitionLine = 152;
}
adddatum2(obj331, alloc_Undefined(), 1);
if (objclass331 == NULL) {
  Method *reader334 = addmethodrealflags(obj331, "value",&reader_lexer_value_334, MFLAG_DEF);
  reader334->definitionModule = modulename;
  reader334->definitionLine = 153;
}
adddatum2(obj331, alloc_Undefined(), 2);
if (objclass331 == NULL) {
  Method *reader335 = addmethodrealflags(obj331, "size",&reader_lexer_size_335, MFLAG_DEF);
  reader335->definitionModule = modulename;
  reader335->definitionLine = 154;
}
adddatum2(obj331, alloc_Undefined(), 3);
  sourceObject = obj331;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe336 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call337 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe336);
// compilenode returning call337
  struct UserObject *obj331_uo = (struct UserObject *)obj331;
  obj331_uo->super = call337;
  sourceObject = obj331;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit338 == NULL) {
    strlit338 = alloc_String("op");
    gc_root(strlit338);
  }
// compilenode returning strlit338
  adddatum2(obj331, strlit338, 1);
  sourceObject = obj331;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj331, *var_v, 2);
  sourceObject = obj331;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe339 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call340 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe339);
// compilenode returning call340
// compilenode returning call340
  adddatum2(obj331, call340, 3);
objclass331 = obj331->class;
  objclass331->definitionModule = modulename;
  objclass331->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter331;
  self = oldself331;
  selfslot = oldselfslot331;
  stackframe = oldstackframe331;
  gc_frame_end(frame);
  return obj331;
}
Object meth_lexer_new330_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject331 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj331 = alloc_userobj2(4,5, objclass331);
  gc_frame_newslot(obj331);
if (objclass331 == NULL) {
  glfree(obj331->class->name);
  obj331->class->name = "OpToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj331, self, 0);
  addmethodreal(obj331,"outer", &reader_lexer_outer_332);
  Object oldself331 = self;
  struct StackFrameObject *oldstackframe331 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe331);
  gc_frame_newslot((Object)stackframe);
  self = obj331;
  Object *oldselfslot331 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter331 = (*(struct UserObject *)self).data[0], lowerouter331 = thisouter331;
  if (inheritingObject331) {
    struct UserObject *inho331 = (struct UserObject *)inheritingObject331;
    while (inho331->super != GraceDefaultObject) inho331 = (struct UserObject *)inho331->super;
    inho331->super = obj331;
    self = inheritingObject331;
    *selfslot = self;
    lowerouter331 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter331;
  }
if (objclass331 == NULL) {
  Method *reader333 = addmethodrealflags(obj331, "kind",&reader_lexer_kind_333, MFLAG_DEF);
  reader333->definitionModule = modulename;
  reader333->definitionLine = 152;
}
adddatum2(obj331, alloc_Undefined(), 1);
if (objclass331 == NULL) {
  Method *reader334 = addmethodrealflags(obj331, "value",&reader_lexer_value_334, MFLAG_DEF);
  reader334->definitionModule = modulename;
  reader334->definitionLine = 153;
}
adddatum2(obj331, alloc_Undefined(), 2);
if (objclass331 == NULL) {
  Method *reader335 = addmethodrealflags(obj331, "size",&reader_lexer_size_335, MFLAG_DEF);
  reader335->definitionModule = modulename;
  reader335->definitionLine = 154;
}
adddatum2(obj331, alloc_Undefined(), 3);
  sourceObject = obj331;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe336 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call337 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe336);
// compilenode returning call337
  struct UserObject *obj331_uo = (struct UserObject *)obj331;
  obj331_uo->super = call337;
  sourceObject = obj331;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit338 == NULL) {
    strlit338 = alloc_String("op");
    gc_root(strlit338);
  }
// compilenode returning strlit338
  adddatum2(obj331, strlit338, 1);
  sourceObject = obj331;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_v
  adddatum2(obj331, *var_v, 2);
  sourceObject = obj331;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe339 = gc_frame_new();
// compilenode returning *var_v
  partcv[0] = 0;
  Object call340 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe339);
// compilenode returning call340
// compilenode returning call340
  adddatum2(obj331, call340, 3);
objclass331 = obj331->class;
  objclass331->definitionModule = modulename;
  objclass331->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter331;
  self = oldself331;
  selfslot = oldselfslot331;
  stackframe = oldstackframe331;
  gc_frame_end(frame);
  return obj331;
}
Object meth_lexer_new344(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject345 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj345 = alloc_userobj2(4,5, objclass345);
  gc_frame_newslot(obj345);
if (objclass345 == NULL) {
  glfree(obj345->class->name);
  obj345->class->name = "ArrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj345, self, 0);
  addmethodreal(obj345,"outer", &reader_lexer_outer_346);
  Object oldself345 = self;
  struct StackFrameObject *oldstackframe345 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe345);
  gc_frame_newslot((Object)stackframe);
  self = obj345;
  Object *oldselfslot345 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter345 = (*(struct UserObject *)self).data[0], lowerouter345 = thisouter345;
  if (inheritingObject345) {
    struct UserObject *inho345 = (struct UserObject *)inheritingObject345;
    while (inho345->super != GraceDefaultObject) inho345 = (struct UserObject *)inho345->super;
    inho345->super = obj345;
    self = inheritingObject345;
    *selfslot = self;
    lowerouter345 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter345;
  }
if (objclass345 == NULL) {
  Method *reader347 = addmethodrealflags(obj345, "kind",&reader_lexer_kind_347, MFLAG_DEF);
  reader347->definitionModule = modulename;
  reader347->definitionLine = 158;
}
adddatum2(obj345, alloc_Undefined(), 1);
if (objclass345 == NULL) {
  Method *reader348 = addmethodrealflags(obj345, "value",&reader_lexer_value_348, MFLAG_DEF);
  reader348->definitionModule = modulename;
  reader348->definitionLine = 159;
}
adddatum2(obj345, alloc_Undefined(), 2);
if (objclass345 == NULL) {
  Method *reader349 = addmethodrealflags(obj345, "size",&reader_lexer_size_349, MFLAG_DEF);
  reader349->definitionModule = modulename;
  reader349->definitionLine = 160;
}
adddatum2(obj345, alloc_Undefined(), 3);
  sourceObject = obj345;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe350 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call351 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe350);
// compilenode returning call351
  struct UserObject *obj345_uo = (struct UserObject *)obj345;
  obj345_uo->super = call351;
  sourceObject = obj345;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit352 == NULL) {
    strlit352 = alloc_String("arrow");
    gc_root(strlit352);
  }
// compilenode returning strlit352
  adddatum2(obj345, strlit352, 1);
  sourceObject = obj345;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit353 == NULL) {
    strlit353 = alloc_String("->");
    gc_root(strlit353);
  }
// compilenode returning strlit353
  adddatum2(obj345, strlit353, 2);
  sourceObject = obj345;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num354 = alloc_Float64(2);
// compilenode returning num354
  adddatum2(obj345, num354, 3);
objclass345 = obj345->class;
  objclass345->definitionModule = modulename;
  objclass345->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter345;
  self = oldself345;
  selfslot = oldselfslot345;
  stackframe = oldstackframe345;
  gc_frame_end(frame);
  return obj345;
}
Object meth_lexer_new344_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject345 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj345 = alloc_userobj2(4,5, objclass345);
  gc_frame_newslot(obj345);
if (objclass345 == NULL) {
  glfree(obj345->class->name);
  obj345->class->name = "ArrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj345, self, 0);
  addmethodreal(obj345,"outer", &reader_lexer_outer_346);
  Object oldself345 = self;
  struct StackFrameObject *oldstackframe345 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe345);
  gc_frame_newslot((Object)stackframe);
  self = obj345;
  Object *oldselfslot345 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter345 = (*(struct UserObject *)self).data[0], lowerouter345 = thisouter345;
  if (inheritingObject345) {
    struct UserObject *inho345 = (struct UserObject *)inheritingObject345;
    while (inho345->super != GraceDefaultObject) inho345 = (struct UserObject *)inho345->super;
    inho345->super = obj345;
    self = inheritingObject345;
    *selfslot = self;
    lowerouter345 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter345;
  }
if (objclass345 == NULL) {
  Method *reader347 = addmethodrealflags(obj345, "kind",&reader_lexer_kind_347, MFLAG_DEF);
  reader347->definitionModule = modulename;
  reader347->definitionLine = 158;
}
adddatum2(obj345, alloc_Undefined(), 1);
if (objclass345 == NULL) {
  Method *reader348 = addmethodrealflags(obj345, "value",&reader_lexer_value_348, MFLAG_DEF);
  reader348->definitionModule = modulename;
  reader348->definitionLine = 159;
}
adddatum2(obj345, alloc_Undefined(), 2);
if (objclass345 == NULL) {
  Method *reader349 = addmethodrealflags(obj345, "size",&reader_lexer_size_349, MFLAG_DEF);
  reader349->definitionModule = modulename;
  reader349->definitionLine = 160;
}
adddatum2(obj345, alloc_Undefined(), 3);
  sourceObject = obj345;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe350 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call351 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe350);
// compilenode returning call351
  struct UserObject *obj345_uo = (struct UserObject *)obj345;
  obj345_uo->super = call351;
  sourceObject = obj345;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit352 == NULL) {
    strlit352 = alloc_String("arrow");
    gc_root(strlit352);
  }
// compilenode returning strlit352
  adddatum2(obj345, strlit352, 1);
  sourceObject = obj345;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit353 == NULL) {
    strlit353 = alloc_String("->");
    gc_root(strlit353);
  }
// compilenode returning strlit353
  adddatum2(obj345, strlit353, 2);
  sourceObject = obj345;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num354 = alloc_Float64(2);
// compilenode returning num354
  adddatum2(obj345, num354, 3);
objclass345 = obj345->class;
  objclass345->definitionModule = modulename;
  objclass345->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter345;
  self = oldself345;
  selfslot = oldselfslot345;
  stackframe = oldstackframe345;
  gc_frame_end(frame);
  return obj345;
}
Object meth_lexer_new358(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject359 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj359 = alloc_userobj2(4,5, objclass359);
  gc_frame_newslot(obj359);
if (objclass359 == NULL) {
  glfree(obj359->class->name);
  obj359->class->name = "BindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj359, self, 0);
  addmethodreal(obj359,"outer", &reader_lexer_outer_360);
  Object oldself359 = self;
  struct StackFrameObject *oldstackframe359 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe359);
  gc_frame_newslot((Object)stackframe);
  self = obj359;
  Object *oldselfslot359 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter359 = (*(struct UserObject *)self).data[0], lowerouter359 = thisouter359;
  if (inheritingObject359) {
    struct UserObject *inho359 = (struct UserObject *)inheritingObject359;
    while (inho359->super != GraceDefaultObject) inho359 = (struct UserObject *)inho359->super;
    inho359->super = obj359;
    self = inheritingObject359;
    *selfslot = self;
    lowerouter359 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter359;
  }
if (objclass359 == NULL) {
  Method *reader361 = addmethodrealflags(obj359, "kind",&reader_lexer_kind_361, MFLAG_DEF);
  reader361->definitionModule = modulename;
  reader361->definitionLine = 164;
}
adddatum2(obj359, alloc_Undefined(), 1);
if (objclass359 == NULL) {
  Method *reader362 = addmethodrealflags(obj359, "value",&reader_lexer_value_362, MFLAG_DEF);
  reader362->definitionModule = modulename;
  reader362->definitionLine = 165;
}
adddatum2(obj359, alloc_Undefined(), 2);
if (objclass359 == NULL) {
  Method *reader363 = addmethodrealflags(obj359, "size",&reader_lexer_size_363, MFLAG_DEF);
  reader363->definitionModule = modulename;
  reader363->definitionLine = 166;
}
adddatum2(obj359, alloc_Undefined(), 3);
  sourceObject = obj359;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe364 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call365 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe364);
// compilenode returning call365
  struct UserObject *obj359_uo = (struct UserObject *)obj359;
  obj359_uo->super = call365;
  sourceObject = obj359;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit366 == NULL) {
    strlit366 = alloc_String("bind");
    gc_root(strlit366);
  }
// compilenode returning strlit366
  adddatum2(obj359, strlit366, 1);
  sourceObject = obj359;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit367 == NULL) {
    strlit367 = alloc_String(":=");
    gc_root(strlit367);
  }
// compilenode returning strlit367
  adddatum2(obj359, strlit367, 2);
  sourceObject = obj359;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num368 = alloc_Float64(2);
// compilenode returning num368
  adddatum2(obj359, num368, 3);
objclass359 = obj359->class;
  objclass359->definitionModule = modulename;
  objclass359->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter359;
  self = oldself359;
  selfslot = oldselfslot359;
  stackframe = oldstackframe359;
  gc_frame_end(frame);
  return obj359;
}
Object meth_lexer_new358_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject359 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj359 = alloc_userobj2(4,5, objclass359);
  gc_frame_newslot(obj359);
if (objclass359 == NULL) {
  glfree(obj359->class->name);
  obj359->class->name = "BindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj359, self, 0);
  addmethodreal(obj359,"outer", &reader_lexer_outer_360);
  Object oldself359 = self;
  struct StackFrameObject *oldstackframe359 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe359);
  gc_frame_newslot((Object)stackframe);
  self = obj359;
  Object *oldselfslot359 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter359 = (*(struct UserObject *)self).data[0], lowerouter359 = thisouter359;
  if (inheritingObject359) {
    struct UserObject *inho359 = (struct UserObject *)inheritingObject359;
    while (inho359->super != GraceDefaultObject) inho359 = (struct UserObject *)inho359->super;
    inho359->super = obj359;
    self = inheritingObject359;
    *selfslot = self;
    lowerouter359 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter359;
  }
if (objclass359 == NULL) {
  Method *reader361 = addmethodrealflags(obj359, "kind",&reader_lexer_kind_361, MFLAG_DEF);
  reader361->definitionModule = modulename;
  reader361->definitionLine = 164;
}
adddatum2(obj359, alloc_Undefined(), 1);
if (objclass359 == NULL) {
  Method *reader362 = addmethodrealflags(obj359, "value",&reader_lexer_value_362, MFLAG_DEF);
  reader362->definitionModule = modulename;
  reader362->definitionLine = 165;
}
adddatum2(obj359, alloc_Undefined(), 2);
if (objclass359 == NULL) {
  Method *reader363 = addmethodrealflags(obj359, "size",&reader_lexer_size_363, MFLAG_DEF);
  reader363->definitionModule = modulename;
  reader363->definitionLine = 166;
}
adddatum2(obj359, alloc_Undefined(), 3);
  sourceObject = obj359;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe364 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call365 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe364);
// compilenode returning call365
  struct UserObject *obj359_uo = (struct UserObject *)obj359;
  obj359_uo->super = call365;
  sourceObject = obj359;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit366 == NULL) {
    strlit366 = alloc_String("bind");
    gc_root(strlit366);
  }
// compilenode returning strlit366
  adddatum2(obj359, strlit366, 1);
  sourceObject = obj359;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit367 == NULL) {
    strlit367 = alloc_String(":=");
    gc_root(strlit367);
  }
// compilenode returning strlit367
  adddatum2(obj359, strlit367, 2);
  sourceObject = obj359;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num368 = alloc_Float64(2);
// compilenode returning num368
  adddatum2(obj359, num368, 3);
objclass359 = obj359->class;
  objclass359->definitionModule = modulename;
  objclass359->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter359;
  self = oldself359;
  selfslot = oldselfslot359;
  stackframe = oldstackframe359;
  gc_frame_end(frame);
  return obj359;
}
Object meth_lexer_new372(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject373 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj373 = alloc_userobj2(4,5, objclass373);
  gc_frame_newslot(obj373);
if (objclass373 == NULL) {
  glfree(obj373->class->name);
  obj373->class->name = "SemicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj373, self, 0);
  addmethodreal(obj373,"outer", &reader_lexer_outer_374);
  Object oldself373 = self;
  struct StackFrameObject *oldstackframe373 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe373);
  gc_frame_newslot((Object)stackframe);
  self = obj373;
  Object *oldselfslot373 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter373 = (*(struct UserObject *)self).data[0], lowerouter373 = thisouter373;
  if (inheritingObject373) {
    struct UserObject *inho373 = (struct UserObject *)inheritingObject373;
    while (inho373->super != GraceDefaultObject) inho373 = (struct UserObject *)inho373->super;
    inho373->super = obj373;
    self = inheritingObject373;
    *selfslot = self;
    lowerouter373 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter373;
  }
if (objclass373 == NULL) {
  Method *reader375 = addmethodrealflags(obj373, "kind",&reader_lexer_kind_375, MFLAG_DEF);
  reader375->definitionModule = modulename;
  reader375->definitionLine = 170;
}
adddatum2(obj373, alloc_Undefined(), 1);
if (objclass373 == NULL) {
  Method *reader376 = addmethodrealflags(obj373, "value",&reader_lexer_value_376, MFLAG_DEF);
  reader376->definitionModule = modulename;
  reader376->definitionLine = 171;
}
adddatum2(obj373, alloc_Undefined(), 2);
if (objclass373 == NULL) {
  Method *reader377 = addmethodrealflags(obj373, "size",&reader_lexer_size_377, MFLAG_DEF);
  reader377->definitionModule = modulename;
  reader377->definitionLine = 172;
}
adddatum2(obj373, alloc_Undefined(), 3);
  sourceObject = obj373;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe378 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call379 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe378);
// compilenode returning call379
  struct UserObject *obj373_uo = (struct UserObject *)obj373;
  obj373_uo->super = call379;
  sourceObject = obj373;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit380 == NULL) {
    strlit380 = alloc_String("semicolon");
    gc_root(strlit380);
  }
// compilenode returning strlit380
  adddatum2(obj373, strlit380, 1);
  sourceObject = obj373;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit381 == NULL) {
    strlit381 = alloc_String(";");
    gc_root(strlit381);
  }
// compilenode returning strlit381
  adddatum2(obj373, strlit381, 2);
  sourceObject = obj373;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num382 = alloc_Float64(1);
// compilenode returning num382
  adddatum2(obj373, num382, 3);
objclass373 = obj373->class;
  objclass373->definitionModule = modulename;
  objclass373->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter373;
  self = oldself373;
  selfslot = oldselfslot373;
  stackframe = oldstackframe373;
  gc_frame_end(frame);
  return obj373;
}
Object meth_lexer_new372_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject373 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj373 = alloc_userobj2(4,5, objclass373);
  gc_frame_newslot(obj373);
if (objclass373 == NULL) {
  glfree(obj373->class->name);
  obj373->class->name = "SemicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj373, self, 0);
  addmethodreal(obj373,"outer", &reader_lexer_outer_374);
  Object oldself373 = self;
  struct StackFrameObject *oldstackframe373 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe373);
  gc_frame_newslot((Object)stackframe);
  self = obj373;
  Object *oldselfslot373 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter373 = (*(struct UserObject *)self).data[0], lowerouter373 = thisouter373;
  if (inheritingObject373) {
    struct UserObject *inho373 = (struct UserObject *)inheritingObject373;
    while (inho373->super != GraceDefaultObject) inho373 = (struct UserObject *)inho373->super;
    inho373->super = obj373;
    self = inheritingObject373;
    *selfslot = self;
    lowerouter373 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter373;
  }
if (objclass373 == NULL) {
  Method *reader375 = addmethodrealflags(obj373, "kind",&reader_lexer_kind_375, MFLAG_DEF);
  reader375->definitionModule = modulename;
  reader375->definitionLine = 170;
}
adddatum2(obj373, alloc_Undefined(), 1);
if (objclass373 == NULL) {
  Method *reader376 = addmethodrealflags(obj373, "value",&reader_lexer_value_376, MFLAG_DEF);
  reader376->definitionModule = modulename;
  reader376->definitionLine = 171;
}
adddatum2(obj373, alloc_Undefined(), 2);
if (objclass373 == NULL) {
  Method *reader377 = addmethodrealflags(obj373, "size",&reader_lexer_size_377, MFLAG_DEF);
  reader377->definitionModule = modulename;
  reader377->definitionLine = 172;
}
adddatum2(obj373, alloc_Undefined(), 3);
  sourceObject = obj373;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe378 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call379 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe378);
// compilenode returning call379
  struct UserObject *obj373_uo = (struct UserObject *)obj373;
  obj373_uo->super = call379;
  sourceObject = obj373;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit380 == NULL) {
    strlit380 = alloc_String("semicolon");
    gc_root(strlit380);
  }
// compilenode returning strlit380
  adddatum2(obj373, strlit380, 1);
  sourceObject = obj373;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit381 == NULL) {
    strlit381 = alloc_String(";");
    gc_root(strlit381);
  }
// compilenode returning strlit381
  adddatum2(obj373, strlit381, 2);
  sourceObject = obj373;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num382 = alloc_Float64(1);
// compilenode returning num382
  adddatum2(obj373, num382, 3);
objclass373 = obj373->class;
  objclass373->definitionModule = modulename;
  objclass373->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter373;
  self = oldself373;
  selfslot = oldselfslot373;
  stackframe = oldstackframe373;
  gc_frame_end(frame);
  return obj373;
}
Object meth_lexer_new386(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject387 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj387 = alloc_userobj2(4,5, objclass387);
  gc_frame_newslot(obj387);
if (objclass387 == NULL) {
  glfree(obj387->class->name);
  obj387->class->name = "LGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj387, self, 0);
  addmethodreal(obj387,"outer", &reader_lexer_outer_388);
  Object oldself387 = self;
  struct StackFrameObject *oldstackframe387 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe387);
  gc_frame_newslot((Object)stackframe);
  self = obj387;
  Object *oldselfslot387 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter387 = (*(struct UserObject *)self).data[0], lowerouter387 = thisouter387;
  if (inheritingObject387) {
    struct UserObject *inho387 = (struct UserObject *)inheritingObject387;
    while (inho387->super != GraceDefaultObject) inho387 = (struct UserObject *)inho387->super;
    inho387->super = obj387;
    self = inheritingObject387;
    *selfslot = self;
    lowerouter387 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter387;
  }
if (objclass387 == NULL) {
  Method *reader389 = addmethodrealflags(obj387, "kind",&reader_lexer_kind_389, MFLAG_DEF);
  reader389->definitionModule = modulename;
  reader389->definitionLine = 176;
}
adddatum2(obj387, alloc_Undefined(), 1);
if (objclass387 == NULL) {
  Method *reader390 = addmethodrealflags(obj387, "value",&reader_lexer_value_390, MFLAG_DEF);
  reader390->definitionModule = modulename;
  reader390->definitionLine = 177;
}
adddatum2(obj387, alloc_Undefined(), 2);
if (objclass387 == NULL) {
  Method *reader391 = addmethodrealflags(obj387, "size",&reader_lexer_size_391, MFLAG_DEF);
  reader391->definitionModule = modulename;
  reader391->definitionLine = 178;
}
adddatum2(obj387, alloc_Undefined(), 3);
  sourceObject = obj387;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe392 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call393 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe392);
// compilenode returning call393
  struct UserObject *obj387_uo = (struct UserObject *)obj387;
  obj387_uo->super = call393;
  sourceObject = obj387;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit394 == NULL) {
    strlit394 = alloc_String("lgeneric");
    gc_root(strlit394);
  }
// compilenode returning strlit394
  adddatum2(obj387, strlit394, 1);
  sourceObject = obj387;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit395 == NULL) {
    strlit395 = alloc_String("<");
    gc_root(strlit395);
  }
// compilenode returning strlit395
  adddatum2(obj387, strlit395, 2);
  sourceObject = obj387;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num396 = alloc_Float64(1);
// compilenode returning num396
  adddatum2(obj387, num396, 3);
objclass387 = obj387->class;
  objclass387->definitionModule = modulename;
  objclass387->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter387;
  self = oldself387;
  selfslot = oldselfslot387;
  stackframe = oldstackframe387;
  gc_frame_end(frame);
  return obj387;
}
Object meth_lexer_new386_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject387 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj387 = alloc_userobj2(4,5, objclass387);
  gc_frame_newslot(obj387);
if (objclass387 == NULL) {
  glfree(obj387->class->name);
  obj387->class->name = "LGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj387, self, 0);
  addmethodreal(obj387,"outer", &reader_lexer_outer_388);
  Object oldself387 = self;
  struct StackFrameObject *oldstackframe387 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe387);
  gc_frame_newslot((Object)stackframe);
  self = obj387;
  Object *oldselfslot387 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter387 = (*(struct UserObject *)self).data[0], lowerouter387 = thisouter387;
  if (inheritingObject387) {
    struct UserObject *inho387 = (struct UserObject *)inheritingObject387;
    while (inho387->super != GraceDefaultObject) inho387 = (struct UserObject *)inho387->super;
    inho387->super = obj387;
    self = inheritingObject387;
    *selfslot = self;
    lowerouter387 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter387;
  }
if (objclass387 == NULL) {
  Method *reader389 = addmethodrealflags(obj387, "kind",&reader_lexer_kind_389, MFLAG_DEF);
  reader389->definitionModule = modulename;
  reader389->definitionLine = 176;
}
adddatum2(obj387, alloc_Undefined(), 1);
if (objclass387 == NULL) {
  Method *reader390 = addmethodrealflags(obj387, "value",&reader_lexer_value_390, MFLAG_DEF);
  reader390->definitionModule = modulename;
  reader390->definitionLine = 177;
}
adddatum2(obj387, alloc_Undefined(), 2);
if (objclass387 == NULL) {
  Method *reader391 = addmethodrealflags(obj387, "size",&reader_lexer_size_391, MFLAG_DEF);
  reader391->definitionModule = modulename;
  reader391->definitionLine = 178;
}
adddatum2(obj387, alloc_Undefined(), 3);
  sourceObject = obj387;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe392 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call393 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe392);
// compilenode returning call393
  struct UserObject *obj387_uo = (struct UserObject *)obj387;
  obj387_uo->super = call393;
  sourceObject = obj387;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit394 == NULL) {
    strlit394 = alloc_String("lgeneric");
    gc_root(strlit394);
  }
// compilenode returning strlit394
  adddatum2(obj387, strlit394, 1);
  sourceObject = obj387;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit395 == NULL) {
    strlit395 = alloc_String("<");
    gc_root(strlit395);
  }
// compilenode returning strlit395
  adddatum2(obj387, strlit395, 2);
  sourceObject = obj387;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num396 = alloc_Float64(1);
// compilenode returning num396
  adddatum2(obj387, num396, 3);
objclass387 = obj387->class;
  objclass387->definitionModule = modulename;
  objclass387->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter387;
  self = oldself387;
  selfslot = oldselfslot387;
  stackframe = oldstackframe387;
  gc_frame_end(frame);
  return obj387;
}
Object meth_lexer_new400(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject401 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj401 = alloc_userobj2(4,5, objclass401);
  gc_frame_newslot(obj401);
if (objclass401 == NULL) {
  glfree(obj401->class->name);
  obj401->class->name = "RGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj401, self, 0);
  addmethodreal(obj401,"outer", &reader_lexer_outer_402);
  Object oldself401 = self;
  struct StackFrameObject *oldstackframe401 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe401);
  gc_frame_newslot((Object)stackframe);
  self = obj401;
  Object *oldselfslot401 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter401 = (*(struct UserObject *)self).data[0], lowerouter401 = thisouter401;
  if (inheritingObject401) {
    struct UserObject *inho401 = (struct UserObject *)inheritingObject401;
    while (inho401->super != GraceDefaultObject) inho401 = (struct UserObject *)inho401->super;
    inho401->super = obj401;
    self = inheritingObject401;
    *selfslot = self;
    lowerouter401 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter401;
  }
if (objclass401 == NULL) {
  Method *reader403 = addmethodrealflags(obj401, "kind",&reader_lexer_kind_403, MFLAG_DEF);
  reader403->definitionModule = modulename;
  reader403->definitionLine = 182;
}
adddatum2(obj401, alloc_Undefined(), 1);
if (objclass401 == NULL) {
  Method *reader404 = addmethodrealflags(obj401, "value",&reader_lexer_value_404, MFLAG_DEF);
  reader404->definitionModule = modulename;
  reader404->definitionLine = 183;
}
adddatum2(obj401, alloc_Undefined(), 2);
if (objclass401 == NULL) {
  Method *reader405 = addmethodrealflags(obj401, "size",&reader_lexer_size_405, MFLAG_DEF);
  reader405->definitionModule = modulename;
  reader405->definitionLine = 184;
}
adddatum2(obj401, alloc_Undefined(), 3);
  sourceObject = obj401;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe406 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call407 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe406);
// compilenode returning call407
  struct UserObject *obj401_uo = (struct UserObject *)obj401;
  obj401_uo->super = call407;
  sourceObject = obj401;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit408 == NULL) {
    strlit408 = alloc_String("rgeneric");
    gc_root(strlit408);
  }
// compilenode returning strlit408
  adddatum2(obj401, strlit408, 1);
  sourceObject = obj401;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit409 == NULL) {
    strlit409 = alloc_String(">");
    gc_root(strlit409);
  }
// compilenode returning strlit409
  adddatum2(obj401, strlit409, 2);
  sourceObject = obj401;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num410 = alloc_Float64(1);
// compilenode returning num410
  adddatum2(obj401, num410, 3);
objclass401 = obj401->class;
  objclass401->definitionModule = modulename;
  objclass401->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter401;
  self = oldself401;
  selfslot = oldselfslot401;
  stackframe = oldstackframe401;
  gc_frame_end(frame);
  return obj401;
}
Object meth_lexer_new400_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Token = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject401 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj401 = alloc_userobj2(4,5, objclass401);
  gc_frame_newslot(obj401);
if (objclass401 == NULL) {
  glfree(obj401->class->name);
  obj401->class->name = "RGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj401, self, 0);
  addmethodreal(obj401,"outer", &reader_lexer_outer_402);
  Object oldself401 = self;
  struct StackFrameObject *oldstackframe401 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe401);
  gc_frame_newslot((Object)stackframe);
  self = obj401;
  Object *oldselfslot401 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter401 = (*(struct UserObject *)self).data[0], lowerouter401 = thisouter401;
  if (inheritingObject401) {
    struct UserObject *inho401 = (struct UserObject *)inheritingObject401;
    while (inho401->super != GraceDefaultObject) inho401 = (struct UserObject *)inho401->super;
    inho401->super = obj401;
    self = inheritingObject401;
    *selfslot = self;
    lowerouter401 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter401;
  }
if (objclass401 == NULL) {
  Method *reader403 = addmethodrealflags(obj401, "kind",&reader_lexer_kind_403, MFLAG_DEF);
  reader403->definitionModule = modulename;
  reader403->definitionLine = 182;
}
adddatum2(obj401, alloc_Undefined(), 1);
if (objclass401 == NULL) {
  Method *reader404 = addmethodrealflags(obj401, "value",&reader_lexer_value_404, MFLAG_DEF);
  reader404->definitionModule = modulename;
  reader404->definitionLine = 183;
}
adddatum2(obj401, alloc_Undefined(), 2);
if (objclass401 == NULL) {
  Method *reader405 = addmethodrealflags(obj401, "size",&reader_lexer_size_405, MFLAG_DEF);
  reader405->definitionModule = modulename;
  reader405->definitionLine = 184;
}
adddatum2(obj401, alloc_Undefined(), 3);
  sourceObject = obj401;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe406 = gc_frame_new();
// compilenode returning self
  gc_frame_newslot(self);
// compilenode returning *var_Token
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call407 = callmethod(*var_Token, "new()object",
    2, partcv, params);
  gc_frame_end(callframe406);
// compilenode returning call407
  struct UserObject *obj401_uo = (struct UserObject *)obj401;
  obj401_uo->super = call407;
  sourceObject = obj401;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit408 == NULL) {
    strlit408 = alloc_String("rgeneric");
    gc_root(strlit408);
  }
// compilenode returning strlit408
  adddatum2(obj401, strlit408, 1);
  sourceObject = obj401;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit409 == NULL) {
    strlit409 = alloc_String(">");
    gc_root(strlit409);
  }
// compilenode returning strlit409
  adddatum2(obj401, strlit409, 2);
  sourceObject = obj401;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num410 = alloc_Float64(1);
// compilenode returning num410
  adddatum2(obj401, num410, 3);
objclass401 = obj401->class;
  objclass401->definitionModule = modulename;
  objclass401->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter401;
  self = oldself401;
  selfslot = oldselfslot401;
  stackframe = oldstackframe401;
  gc_frame_end(frame);
  return obj401;
}
Object meth_lexer__apply704(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit706 == NULL) {
    strlit706 = alloc_String("dot");
    gc_root(strlit706);
  }
// compilenode returning strlit706
  int op_slot_right_705 = gc_frame_newslot(strlit706);
  int callframe708 = gc_frame_new();
  int callframe709 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call710 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe709);
// compilenode returning call710
// compilenode returning call710
  partcv[0] = 0;
  Object call711 = callmethod(call710, "kind",
    1, partcv, params);
  gc_frame_end(callframe708);
// compilenode returning call711
// compilenode returning call711
  int op_slot_left_705 = gc_frame_newslot(call711);
  params[0] = strlit706;
  partcv[0] = 1;
  Object opresult712 = callmethod(call711, "==", 1, partcv, params);
// compilenode returning opresult712
  gc_frame_end(frame);
  return opresult712;
}
Object meth_lexer_modechange414(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "modechange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method modechange");
  Object params[5];
  int partcv[3];
  Object *var_IdentifierToken = getfromclosure(closure, 0);
  Object *var_KeywordToken = getfromclosure(closure, 1);
  Object *var_StringToken = getfromclosure(closure, 2);
  Object *var_OctetsToken = getfromclosure(closure, 3);
  Object *var_CommaToken = getfromclosure(closure, 4);
  Object *var_DotToken = getfromclosure(closure, 5);
  Object *var_LBraceToken = getfromclosure(closure, 6);
  Object *var_RBraceToken = getfromclosure(closure, 7);
  Object *var_LParenToken = getfromclosure(closure, 8);
  Object *var_RParenToken = getfromclosure(closure, 9);
  Object *var_LSquareToken = getfromclosure(closure, 10);
  Object *var_RSquareToken = getfromclosure(closure, 11);
  Object *var_LGenericToken = getfromclosure(closure, 12);
  Object *var_RGenericToken = getfromclosure(closure, 13);
  Object *var_SemicolonToken = getfromclosure(closure, 14);
  Object *var_NumToken = getfromclosure(closure, 15);
  Object *var_errormessages = getfromclosure(closure, 16);
  Object *var_linePosition = getfromclosure(closure, 17);
  Object *var_lineNumber = getfromclosure(closure, 18);
  Object *var_OpToken = getfromclosure(closure, 19);
  Object *var_ArrowToken = getfromclosure(closure, 20);
  Object *var_BindToken = getfromclosure(closure, 21);
  Object *var_ColonToken = getfromclosure(closure, 22);
  Object *var_indentLevel = getfromclosure(closure, 23);
  Object *var_CommentToken = getfromclosure(closure, 24);
  Object *var_util = getfromclosure(closure, 25);
  Object *var_startPosition = getfromclosure(closure, 26);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for modechange (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokens = &(stackframe->slots[0]);
  *var_tokens = args[curarg];
  curarg++;
  Object *var_mode = &(stackframe->slots[1]);
  *var_mode = args[curarg];
  curarg++;
  Object *var_accum = &(stackframe->slots[2]);
  *var_accum = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for modechange");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_done = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "done");
  Object *var_tok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "tok");
  Object *var_dot = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dot");
  Object *var_decimal = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "decimal");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
  Object *var_suggestion = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "suggestion");
  Object *var_cmt = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "cmt");
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool415 = alloc_Boolean(0);
// compilenode returning bool415
  *var_done = bool415;
  if (bool415 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num416 = alloc_Float64(0);
// compilenode returning num416
  *var_tok = num416;
  if (num416 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num420 = alloc_Float64(0);
// compilenode returning num420
  int op_slot_right_419 = gc_frame_newslot(num420);
  int callframe422 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call423 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe422);
// compilenode returning call423
// compilenode returning call423
  int op_slot_left_419 = gc_frame_newslot(call423);
  params[0] = num420;
  partcv[0] = 1;
  Object opresult424 = callmethod(call423, ">", 1, partcv, params);
// compilenode returning opresult424
  int op_slot_right_418 = gc_frame_newslot(opresult424);
  if (strlit427 == NULL) {
    strlit427 = alloc_String("n");
    gc_root(strlit427);
  }
// compilenode returning strlit427
  int op_slot_right_426 = gc_frame_newslot(strlit427);
// compilenode returning *var_mode
  int op_slot_left_426 = gc_frame_newslot(*var_mode);
  params[0] = strlit427;
  partcv[0] = 1;
  Object opresult429 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult429
  int op_slot_left_418 = gc_frame_newslot(opresult429);
  params[0] = opresult424;
  partcv[0] = 1;
  Object opresult430 = callmethod(opresult429, "||", 1, partcv, params);
// compilenode returning opresult430
  Object if417 = done;
  if (istrue(opresult430)) {
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit433 == NULL) {
    strlit433 = alloc_String("i");
    gc_root(strlit433);
  }
// compilenode returning strlit433
  int op_slot_right_432 = gc_frame_newslot(strlit433);
// compilenode returning *var_mode
  int op_slot_left_432 = gc_frame_newslot(*var_mode);
  params[0] = strlit433;
  partcv[0] = 1;
  Object opresult435 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult435
  Object if431 = done;
  if (istrue(opresult435)) {
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe436 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_IdentifierToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call437 = callmethod(*var_IdentifierToken, "new",
    1, partcv, params);
  gc_frame_end(callframe436);
// compilenode returning call437
  *var_tok = call437;
  if (call437 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit442 == NULL) {
    strlit442 = alloc_String("factory");
    gc_root(strlit442);
  }
// compilenode returning strlit442
  int op_slot_right_441 = gc_frame_newslot(strlit442);
// compilenode returning *var_accum
  int op_slot_left_441 = gc_frame_newslot(*var_accum);
  params[0] = strlit442;
  partcv[0] = 1;
  Object opresult444 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult444
  int op_slot_right_440 = gc_frame_newslot(opresult444);
  if (strlit448 == NULL) {
    strlit448 = alloc_String("dialect");
    gc_root(strlit448);
  }
// compilenode returning strlit448
  int op_slot_right_447 = gc_frame_newslot(strlit448);
// compilenode returning *var_accum
  int op_slot_left_447 = gc_frame_newslot(*var_accum);
  params[0] = strlit448;
  partcv[0] = 1;
  Object opresult450 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult450
  int op_slot_right_446 = gc_frame_newslot(opresult450);
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit454 == NULL) {
    strlit454 = alloc_String("is");
    gc_root(strlit454);
  }
// compilenode returning strlit454
  int op_slot_right_453 = gc_frame_newslot(strlit454);
// compilenode returning *var_accum
  int op_slot_left_453 = gc_frame_newslot(*var_accum);
  params[0] = strlit454;
  partcv[0] = 1;
  Object opresult456 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult456
  int op_slot_right_452 = gc_frame_newslot(opresult456);
  if (strlit460 == NULL) {
    strlit460 = alloc_String("inherits");
    gc_root(strlit460);
  }
// compilenode returning strlit460
  int op_slot_right_459 = gc_frame_newslot(strlit460);
// compilenode returning *var_accum
  int op_slot_left_459 = gc_frame_newslot(*var_accum);
  params[0] = strlit460;
  partcv[0] = 1;
  Object opresult462 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult462
  int op_slot_right_458 = gc_frame_newslot(opresult462);
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit466 == NULL) {
    strlit466 = alloc_String("def");
    gc_root(strlit466);
  }
// compilenode returning strlit466
  int op_slot_right_465 = gc_frame_newslot(strlit466);
// compilenode returning *var_accum
  int op_slot_left_465 = gc_frame_newslot(*var_accum);
  params[0] = strlit466;
  partcv[0] = 1;
  Object opresult468 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult468
  int op_slot_right_464 = gc_frame_newslot(opresult468);
  if (strlit472 == NULL) {
    strlit472 = alloc_String("return");
    gc_root(strlit472);
  }
// compilenode returning strlit472
  int op_slot_right_471 = gc_frame_newslot(strlit472);
// compilenode returning *var_accum
  int op_slot_left_471 = gc_frame_newslot(*var_accum);
  params[0] = strlit472;
  partcv[0] = 1;
  Object opresult474 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult474
  int op_slot_right_470 = gc_frame_newslot(opresult474);
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit478 == NULL) {
    strlit478 = alloc_String("class");
    gc_root(strlit478);
  }
// compilenode returning strlit478
  int op_slot_right_477 = gc_frame_newslot(strlit478);
// compilenode returning *var_accum
  int op_slot_left_477 = gc_frame_newslot(*var_accum);
  params[0] = strlit478;
  partcv[0] = 1;
  Object opresult480 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult480
  int op_slot_right_476 = gc_frame_newslot(opresult480);
  if (strlit484 == NULL) {
    strlit484 = alloc_String("import");
    gc_root(strlit484);
  }
// compilenode returning strlit484
  int op_slot_right_483 = gc_frame_newslot(strlit484);
// compilenode returning *var_accum
  int op_slot_left_483 = gc_frame_newslot(*var_accum);
  params[0] = strlit484;
  partcv[0] = 1;
  Object opresult486 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult486
  int op_slot_right_482 = gc_frame_newslot(opresult486);
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit490 == NULL) {
    strlit490 = alloc_String("type");
    gc_root(strlit490);
  }
// compilenode returning strlit490
  int op_slot_right_489 = gc_frame_newslot(strlit490);
// compilenode returning *var_accum
  int op_slot_left_489 = gc_frame_newslot(*var_accum);
  params[0] = strlit490;
  partcv[0] = 1;
  Object opresult492 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult492
  int op_slot_right_488 = gc_frame_newslot(opresult492);
  if (strlit496 == NULL) {
    strlit496 = alloc_String("var");
    gc_root(strlit496);
  }
// compilenode returning strlit496
  int op_slot_right_495 = gc_frame_newslot(strlit496);
// compilenode returning *var_accum
  int op_slot_left_495 = gc_frame_newslot(*var_accum);
  params[0] = strlit496;
  partcv[0] = 1;
  Object opresult498 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult498
  int op_slot_right_494 = gc_frame_newslot(opresult498);
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit502 == NULL) {
    strlit502 = alloc_String("method");
    gc_root(strlit502);
  }
// compilenode returning strlit502
  int op_slot_right_501 = gc_frame_newslot(strlit502);
// compilenode returning *var_accum
  int op_slot_left_501 = gc_frame_newslot(*var_accum);
  params[0] = strlit502;
  partcv[0] = 1;
  Object opresult504 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult504
  int op_slot_right_500 = gc_frame_newslot(opresult504);
  if (strlit507 == NULL) {
    strlit507 = alloc_String("object");
    gc_root(strlit507);
  }
// compilenode returning strlit507
  int op_slot_right_506 = gc_frame_newslot(strlit507);
// compilenode returning *var_accum
  int op_slot_left_506 = gc_frame_newslot(*var_accum);
  params[0] = strlit507;
  partcv[0] = 1;
  Object opresult509 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult509
  int op_slot_left_500 = gc_frame_newslot(opresult509);
  params[0] = opresult504;
  partcv[0] = 1;
  Object opresult510 = callmethod(opresult509, "||", 1, partcv, params);
// compilenode returning opresult510
  int op_slot_left_494 = gc_frame_newslot(opresult510);
  params[0] = opresult498;
  partcv[0] = 1;
  Object opresult511 = callmethod(opresult510, "||", 1, partcv, params);
// compilenode returning opresult511
  int op_slot_left_488 = gc_frame_newslot(opresult511);
  params[0] = opresult492;
  partcv[0] = 1;
  Object opresult512 = callmethod(opresult511, "||", 1, partcv, params);
// compilenode returning opresult512
  int op_slot_left_482 = gc_frame_newslot(opresult512);
  params[0] = opresult486;
  partcv[0] = 1;
  Object opresult513 = callmethod(opresult512, "||", 1, partcv, params);
// compilenode returning opresult513
  int op_slot_left_476 = gc_frame_newslot(opresult513);
  params[0] = opresult480;
  partcv[0] = 1;
  Object opresult514 = callmethod(opresult513, "||", 1, partcv, params);
// compilenode returning opresult514
  int op_slot_left_470 = gc_frame_newslot(opresult514);
  params[0] = opresult474;
  partcv[0] = 1;
  Object opresult515 = callmethod(opresult514, "||", 1, partcv, params);
// compilenode returning opresult515
  int op_slot_left_464 = gc_frame_newslot(opresult515);
  params[0] = opresult468;
  partcv[0] = 1;
  Object opresult516 = callmethod(opresult515, "||", 1, partcv, params);
// compilenode returning opresult516
  int op_slot_left_458 = gc_frame_newslot(opresult516);
  params[0] = opresult462;
  partcv[0] = 1;
  Object opresult517 = callmethod(opresult516, "||", 1, partcv, params);
// compilenode returning opresult517
  int op_slot_left_452 = gc_frame_newslot(opresult517);
  params[0] = opresult456;
  partcv[0] = 1;
  Object opresult518 = callmethod(opresult517, "||", 1, partcv, params);
// compilenode returning opresult518
  int op_slot_left_446 = gc_frame_newslot(opresult518);
  params[0] = opresult450;
  partcv[0] = 1;
  Object opresult519 = callmethod(opresult518, "||", 1, partcv, params);
// compilenode returning opresult519
  int op_slot_left_440 = gc_frame_newslot(opresult519);
  params[0] = opresult444;
  partcv[0] = 1;
  Object opresult520 = callmethod(opresult519, "||", 1, partcv, params);
// compilenode returning opresult520
  Object if439 = done;
  if (istrue(opresult520)) {
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe521 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_KeywordToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call522 = callmethod(*var_KeywordToken, "new",
    1, partcv, params);
  gc_frame_end(callframe521);
// compilenode returning call522
  *var_tok = call522;
  if (call522 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if439 = done;
  } else {
  }
// compilenode returning if439
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe524 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call525 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe524);
// compilenode returning call525
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool526 = alloc_Boolean(1);
// compilenode returning bool526
  *var_done = bool526;
  if (bool526 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if431 = done;
  } else {
  }
// compilenode returning if431
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit530 == NULL) {
    strlit530 = alloc_String("I");
    gc_root(strlit530);
  }
// compilenode returning strlit530
  int op_slot_right_529 = gc_frame_newslot(strlit530);
// compilenode returning *var_mode
  int op_slot_left_529 = gc_frame_newslot(*var_mode);
  params[0] = strlit530;
  partcv[0] = 1;
  Object opresult532 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult532
  Object if528 = done;
  if (istrue(opresult532)) {
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe533 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_IdentifierToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call534 = callmethod(*var_IdentifierToken, "new",
    1, partcv, params);
  gc_frame_end(callframe533);
// compilenode returning call534
  *var_tok = call534;
  if (call534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe536 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call537 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe536);
// compilenode returning call537
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool538 = alloc_Boolean(1);
// compilenode returning bool538
  *var_done = bool538;
  if (bool538 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if528 = done;
  } else {
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit542 == NULL) {
    strlit542 = alloc_String("""\x22""");
    gc_root(strlit542);
  }
// compilenode returning strlit542
  int op_slot_right_541 = gc_frame_newslot(strlit542);
// compilenode returning *var_mode
  int op_slot_left_541 = gc_frame_newslot(*var_mode);
  params[0] = strlit542;
  partcv[0] = 1;
  Object opresult544 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult544
  Object if540 = done;
  if (istrue(opresult544)) {
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe545 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_StringToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call546 = callmethod(*var_StringToken, "new",
    1, partcv, params);
  gc_frame_end(callframe545);
// compilenode returning call546
  *var_tok = call546;
  if (call546 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe548 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call549 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe548);
// compilenode returning call549
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool550 = alloc_Boolean(1);
// compilenode returning bool550
  *var_done = bool550;
  if (bool550 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if540 = done;
  } else {
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit554 == NULL) {
    strlit554 = alloc_String("x");
    gc_root(strlit554);
  }
// compilenode returning strlit554
  int op_slot_right_553 = gc_frame_newslot(strlit554);
// compilenode returning *var_mode
  int op_slot_left_553 = gc_frame_newslot(*var_mode);
  params[0] = strlit554;
  partcv[0] = 1;
  Object opresult556 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult556
  Object if552 = done;
  if (istrue(opresult556)) {
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe557 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_OctetsToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call558 = callmethod(*var_OctetsToken, "new",
    1, partcv, params);
  gc_frame_end(callframe557);
// compilenode returning call558
  *var_tok = call558;
  if (call558 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe560 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call561 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe560);
// compilenode returning call561
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool562 = alloc_Boolean(1);
// compilenode returning bool562
  *var_done = bool562;
  if (bool562 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if552 = done;
  } else {
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit566 == NULL) {
    strlit566 = alloc_String(",");
    gc_root(strlit566);
  }
// compilenode returning strlit566
  int op_slot_right_565 = gc_frame_newslot(strlit566);
// compilenode returning *var_mode
  int op_slot_left_565 = gc_frame_newslot(*var_mode);
  params[0] = strlit566;
  partcv[0] = 1;
  Object opresult568 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult568
  Object if564 = done;
  if (istrue(opresult568)) {
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe569 = gc_frame_new();
// compilenode returning *var_CommaToken
  partcv[0] = 0;
  Object call570 = callmethod(*var_CommaToken, "new",
    1, partcv, params);
  gc_frame_end(callframe569);
// compilenode returning call570
// compilenode returning call570
  *var_tok = call570;
  if (call570 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe572 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call573 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe572);
// compilenode returning call573
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool574 = alloc_Boolean(1);
// compilenode returning bool574
  *var_done = bool574;
  if (bool574 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if564 = done;
  } else {
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit578 == NULL) {
    strlit578 = alloc_String(".");
    gc_root(strlit578);
  }
// compilenode returning strlit578
  int op_slot_right_577 = gc_frame_newslot(strlit578);
// compilenode returning *var_mode
  int op_slot_left_577 = gc_frame_newslot(*var_mode);
  params[0] = strlit578;
  partcv[0] = 1;
  Object opresult580 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult580
  Object if576 = done;
  if (istrue(opresult580)) {
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe581 = gc_frame_new();
// compilenode returning *var_DotToken
  partcv[0] = 0;
  Object call582 = callmethod(*var_DotToken, "new",
    1, partcv, params);
  gc_frame_end(callframe581);
// compilenode returning call582
// compilenode returning call582
  *var_tok = call582;
  if (call582 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe584 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call585 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe584);
// compilenode returning call585
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool586 = alloc_Boolean(1);
// compilenode returning bool586
  *var_done = bool586;
  if (bool586 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if576 = done;
  } else {
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit590 == NULL) {
    strlit590 = alloc_String("{");
    gc_root(strlit590);
  }
// compilenode returning strlit590
  int op_slot_right_589 = gc_frame_newslot(strlit590);
// compilenode returning *var_mode
  int op_slot_left_589 = gc_frame_newslot(*var_mode);
  params[0] = strlit590;
  partcv[0] = 1;
  Object opresult592 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult592
  Object if588 = done;
  if (istrue(opresult592)) {
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe593 = gc_frame_new();
// compilenode returning *var_LBraceToken
  partcv[0] = 0;
  Object call594 = callmethod(*var_LBraceToken, "new",
    1, partcv, params);
  gc_frame_end(callframe593);
// compilenode returning call594
// compilenode returning call594
  *var_tok = call594;
  if (call594 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe596 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call597 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe596);
// compilenode returning call597
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool598 = alloc_Boolean(1);
// compilenode returning bool598
  *var_done = bool598;
  if (bool598 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if588 = done;
  } else {
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit602 == NULL) {
    strlit602 = alloc_String("}");
    gc_root(strlit602);
  }
// compilenode returning strlit602
  int op_slot_right_601 = gc_frame_newslot(strlit602);
// compilenode returning *var_mode
  int op_slot_left_601 = gc_frame_newslot(*var_mode);
  params[0] = strlit602;
  partcv[0] = 1;
  Object opresult604 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult604
  Object if600 = done;
  if (istrue(opresult604)) {
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe605 = gc_frame_new();
// compilenode returning *var_RBraceToken
  partcv[0] = 0;
  Object call606 = callmethod(*var_RBraceToken, "new",
    1, partcv, params);
  gc_frame_end(callframe605);
// compilenode returning call606
// compilenode returning call606
  *var_tok = call606;
  if (call606 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe608 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call609 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe608);
// compilenode returning call609
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool610 = alloc_Boolean(1);
// compilenode returning bool610
  *var_done = bool610;
  if (bool610 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if600 = done;
  } else {
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit614 == NULL) {
    strlit614 = alloc_String("(");
    gc_root(strlit614);
  }
// compilenode returning strlit614
  int op_slot_right_613 = gc_frame_newslot(strlit614);
// compilenode returning *var_mode
  int op_slot_left_613 = gc_frame_newslot(*var_mode);
  params[0] = strlit614;
  partcv[0] = 1;
  Object opresult616 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult616
  Object if612 = done;
  if (istrue(opresult616)) {
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe617 = gc_frame_new();
// compilenode returning *var_LParenToken
  partcv[0] = 0;
  Object call618 = callmethod(*var_LParenToken, "new",
    1, partcv, params);
  gc_frame_end(callframe617);
// compilenode returning call618
// compilenode returning call618
  *var_tok = call618;
  if (call618 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe620 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call621 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe620);
// compilenode returning call621
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool622 = alloc_Boolean(1);
// compilenode returning bool622
  *var_done = bool622;
  if (bool622 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if612 = done;
  } else {
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit626 == NULL) {
    strlit626 = alloc_String(")");
    gc_root(strlit626);
  }
// compilenode returning strlit626
  int op_slot_right_625 = gc_frame_newslot(strlit626);
// compilenode returning *var_mode
  int op_slot_left_625 = gc_frame_newslot(*var_mode);
  params[0] = strlit626;
  partcv[0] = 1;
  Object opresult628 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult628
  Object if624 = done;
  if (istrue(opresult628)) {
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe629 = gc_frame_new();
// compilenode returning *var_RParenToken
  partcv[0] = 0;
  Object call630 = callmethod(*var_RParenToken, "new",
    1, partcv, params);
  gc_frame_end(callframe629);
// compilenode returning call630
// compilenode returning call630
  *var_tok = call630;
  if (call630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe632 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call633 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe632);
// compilenode returning call633
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool634 = alloc_Boolean(1);
// compilenode returning bool634
  *var_done = bool634;
  if (bool634 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if624 = done;
  } else {
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit638 == NULL) {
    strlit638 = alloc_String("[");
    gc_root(strlit638);
  }
// compilenode returning strlit638
  int op_slot_right_637 = gc_frame_newslot(strlit638);
// compilenode returning *var_mode
  int op_slot_left_637 = gc_frame_newslot(*var_mode);
  params[0] = strlit638;
  partcv[0] = 1;
  Object opresult640 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult640
  Object if636 = done;
  if (istrue(opresult640)) {
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe641 = gc_frame_new();
// compilenode returning *var_LSquareToken
  partcv[0] = 0;
  Object call642 = callmethod(*var_LSquareToken, "new",
    1, partcv, params);
  gc_frame_end(callframe641);
// compilenode returning call642
// compilenode returning call642
  *var_tok = call642;
  if (call642 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe644 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call645 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe644);
// compilenode returning call645
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool646 = alloc_Boolean(1);
// compilenode returning bool646
  *var_done = bool646;
  if (bool646 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if636 = done;
  } else {
  }
// compilenode returning if636
    gc_frame_newslot(if636);
    if624 = if636;
  }
// compilenode returning if624
    gc_frame_newslot(if624);
    if612 = if624;
  }
// compilenode returning if612
    gc_frame_newslot(if612);
    if600 = if612;
  }
// compilenode returning if600
    gc_frame_newslot(if600);
    if588 = if600;
  }
// compilenode returning if588
    gc_frame_newslot(if588);
    if576 = if588;
  }
// compilenode returning if576
    gc_frame_newslot(if576);
    if564 = if576;
  }
// compilenode returning if564
    gc_frame_newslot(if564);
    if552 = if564;
  }
// compilenode returning if552
    gc_frame_newslot(if552);
    if540 = if552;
  }
// compilenode returning if540
    gc_frame_newslot(if540);
    if528 = if540;
  }
// compilenode returning if528
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit650 == NULL) {
    strlit650 = alloc_String("]");
    gc_root(strlit650);
  }
// compilenode returning strlit650
  int op_slot_right_649 = gc_frame_newslot(strlit650);
// compilenode returning *var_mode
  int op_slot_left_649 = gc_frame_newslot(*var_mode);
  params[0] = strlit650;
  partcv[0] = 1;
  Object opresult652 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult652
  Object if648 = done;
  if (istrue(opresult652)) {
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe653 = gc_frame_new();
// compilenode returning *var_RSquareToken
  partcv[0] = 0;
  Object call654 = callmethod(*var_RSquareToken, "new",
    1, partcv, params);
  gc_frame_end(callframe653);
// compilenode returning call654
// compilenode returning call654
  *var_tok = call654;
  if (call654 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe656 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call657 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe656);
// compilenode returning call657
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool658 = alloc_Boolean(1);
// compilenode returning bool658
  *var_done = bool658;
  if (bool658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if648 = done;
  } else {
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit662 == NULL) {
    strlit662 = alloc_String("<");
    gc_root(strlit662);
  }
// compilenode returning strlit662
  int op_slot_right_661 = gc_frame_newslot(strlit662);
// compilenode returning *var_mode
  int op_slot_left_661 = gc_frame_newslot(*var_mode);
  params[0] = strlit662;
  partcv[0] = 1;
  Object opresult664 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult664
  Object if660 = done;
  if (istrue(opresult664)) {
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe665 = gc_frame_new();
// compilenode returning *var_LGenericToken
  partcv[0] = 0;
  Object call666 = callmethod(*var_LGenericToken, "new",
    1, partcv, params);
  gc_frame_end(callframe665);
// compilenode returning call666
// compilenode returning call666
  *var_tok = call666;
  if (call666 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe668 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call669 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe668);
// compilenode returning call669
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool670 = alloc_Boolean(1);
// compilenode returning bool670
  *var_done = bool670;
  if (bool670 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if660 = done;
  } else {
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit674 == NULL) {
    strlit674 = alloc_String(">");
    gc_root(strlit674);
  }
// compilenode returning strlit674
  int op_slot_right_673 = gc_frame_newslot(strlit674);
// compilenode returning *var_mode
  int op_slot_left_673 = gc_frame_newslot(*var_mode);
  params[0] = strlit674;
  partcv[0] = 1;
  Object opresult676 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult676
  Object if672 = done;
  if (istrue(opresult676)) {
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe677 = gc_frame_new();
// compilenode returning *var_RGenericToken
  partcv[0] = 0;
  Object call678 = callmethod(*var_RGenericToken, "new",
    1, partcv, params);
  gc_frame_end(callframe677);
// compilenode returning call678
// compilenode returning call678
  *var_tok = call678;
  if (call678 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe680 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call681 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe680);
// compilenode returning call681
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool682 = alloc_Boolean(1);
// compilenode returning bool682
  *var_done = bool682;
  if (bool682 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if672 = done;
  } else {
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit686 == NULL) {
    strlit686 = alloc_String(";");
    gc_root(strlit686);
  }
// compilenode returning strlit686
  int op_slot_right_685 = gc_frame_newslot(strlit686);
// compilenode returning *var_mode
  int op_slot_left_685 = gc_frame_newslot(*var_mode);
  params[0] = strlit686;
  partcv[0] = 1;
  Object opresult688 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult688
  Object if684 = done;
  if (istrue(opresult688)) {
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe689 = gc_frame_new();
// compilenode returning *var_SemicolonToken
  partcv[0] = 0;
  Object call690 = callmethod(*var_SemicolonToken, "new",
    1, partcv, params);
  gc_frame_end(callframe689);
// compilenode returning call690
// compilenode returning call690
  *var_tok = call690;
  if (call690 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe692 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call693 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe692);
// compilenode returning call693
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool694 = alloc_Boolean(1);
// compilenode returning bool694
  *var_done = bool694;
  if (bool694 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if684 = done;
  } else {
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit698 == NULL) {
    strlit698 = alloc_String("m");
    gc_root(strlit698);
  }
// compilenode returning strlit698
  int op_slot_right_697 = gc_frame_newslot(strlit698);
// compilenode returning *var_mode
  int op_slot_left_697 = gc_frame_newslot(*var_mode);
  params[0] = strlit698;
  partcv[0] = 1;
  Object opresult700 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult700
  Object if696 = done;
  if (istrue(opresult700)) {
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe702 = gc_frame_new();
  Object block703 = alloc_Block(NULL, NULL, "lexer", 278);
  gc_frame_newslot(block703);
  block_savedest(block703);
  Object closure704 = createclosure(2, "_apply");
  setclosureframe(closure704, stackframe);
  addtoclosure(closure704, var_tokens);
  addtoclosure(closure704, selfslot);
  struct UserObject *uo704 = (struct UserObject*)block703;
  uo704->data[0] = (Object)closure704;
  Method *meth_meth_lexer__apply704 = addmethod2pos(block703, "_apply", &meth_lexer__apply704, 0);
int argcv_meth_lexer__apply704[] = {0};
meth_meth_lexer__apply704->type = alloc_MethodType(1, argcv_meth_lexer__apply704);
  meth_meth_lexer__apply704->definitionModule = modulename;
  meth_meth_lexer__apply704->definitionLine = 274;
// compilenode returning block703
  gc_frame_newslot(block703);
  Object num715 = alloc_Float64(1);
// compilenode returning num715
  int op_slot_right_714 = gc_frame_newslot(num715);
  int callframe717 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call718 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe717);
// compilenode returning call718
// compilenode returning call718
  int op_slot_left_714 = gc_frame_newslot(call718);
  params[0] = num715;
  partcv[0] = 1;
  Object opresult719 = callmethod(call718, ">", 1, partcv, params);
// compilenode returning opresult719
  params[0] = block703;
  partcv[0] = 1;
  Object call720 = callmethod(opresult719, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe702);
// compilenode returning call720
  Object if701 = done;
  if (istrue(call720)) {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe721 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call722 = callmethod(*var_tokens, "pop",
    1, partcv, params);
  gc_frame_end(callframe721);
// compilenode returning call722
// compilenode returning call722
  *var_dot = call722;
  if (call722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit725 == NULL) {
    strlit725 = alloc_String("num");
    gc_root(strlit725);
  }
// compilenode returning strlit725
  int op_slot_right_724 = gc_frame_newslot(strlit725);
  int callframe727 = gc_frame_new();
  int callframe728 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call729 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe728);
// compilenode returning call729
// compilenode returning call729
  partcv[0] = 0;
  Object call730 = callmethod(call729, "kind",
    1, partcv, params);
  gc_frame_end(callframe727);
// compilenode returning call730
// compilenode returning call730
  int op_slot_left_724 = gc_frame_newslot(call730);
  params[0] = strlit725;
  partcv[0] = 1;
  Object opresult731 = callmethod(call730, "==", 1, partcv, params);
// compilenode returning opresult731
  Object if723 = done;
  if (istrue(opresult731)) {
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num734 = alloc_Float64(10);
// compilenode returning num734
  int op_slot_right_733 = gc_frame_newslot(num734);
  int callframe736 = gc_frame_new();
  int callframe737 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call738 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe737);
// compilenode returning call738
// compilenode returning call738
  partcv[0] = 0;
  Object call739 = callmethod(call738, "base",
    1, partcv, params);
  gc_frame_end(callframe736);
// compilenode returning call739
// compilenode returning call739
  int op_slot_left_733 = gc_frame_newslot(call739);
  params[0] = num734;
  partcv[0] = 1;
  Object opresult740 = callmethod(call739, "==", 1, partcv, params);
// compilenode returning opresult740
  Object if732 = done;
  if (istrue(opresult740)) {
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe741 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call742 = callmethod(*var_tokens, "pop",
    1, partcv, params);
  gc_frame_end(callframe741);
// compilenode returning call742
// compilenode returning call742
  *var_tok = call742;
  if (call742 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe744 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call745 = callmethodflags(self, "makeNumToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe744);
// compilenode returning call745
  *var_decimal = call745;
  if (call745 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num748 = alloc_Float64(10);
// compilenode returning num748
  int op_slot_right_747 = gc_frame_newslot(num748);
  int callframe750 = gc_frame_new();
// compilenode returning *var_decimal
  partcv[0] = 0;
  Object call751 = callmethod(*var_decimal, "base",
    1, partcv, params);
  gc_frame_end(callframe750);
// compilenode returning call751
// compilenode returning call751
  int op_slot_left_747 = gc_frame_newslot(call751);
  params[0] = num748;
  partcv[0] = 1;
  Object opresult752 = callmethod(call751, "==", 1, partcv, params);
// compilenode returning opresult752
  Object if746 = done;
  if (istrue(opresult752)) {
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe753 = gc_frame_new();
// compilenode returning *var_accum
  int op_slot_right_754 = gc_frame_newslot(*var_accum);
  if (strlit757 == NULL) {
    strlit757 = alloc_String(".");
    gc_root(strlit757);
  }
// compilenode returning strlit757
  int op_slot_right_756 = gc_frame_newslot(strlit757);
  int callframe759 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call760 = callmethod(*var_tok, "value",
    1, partcv, params);
  gc_frame_end(callframe759);
// compilenode returning call760
// compilenode returning call760
  int op_slot_left_756 = gc_frame_newslot(call760);
  params[0] = strlit757;
  partcv[0] = 1;
  Object opresult761 = callmethod(call760, "++", 1, partcv, params);
// compilenode returning opresult761
  int op_slot_left_754 = gc_frame_newslot(opresult761);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult762 = callmethod(opresult761, "++", 1, partcv, params);
// compilenode returning opresult762
  gc_frame_newslot(opresult762);
  Object num763 = alloc_Float64(10);
// compilenode returning num763
  gc_frame_newslot(num763);
// compilenode returning *var_NumToken
  params[0] = opresult762;
  params[1] = num763;
  partcv[0] = 2;
  Object call764 = callmethod(*var_NumToken, "new",
    1, partcv, params);
  gc_frame_end(callframe753);
// compilenode returning call764
  *var_tok = call764;
  if (call764 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if746 = done;
  } else {
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array766 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array766
  *var_suggestions = array766;
  if (array766 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe767 = gc_frame_new();
  int callframe768 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call769 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe768);
// compilenode returning call769
// compilenode returning call769
  partcv[0] = 0;
  Object call770 = callmethod(call769, "new",
    1, partcv, params);
  gc_frame_end(callframe767);
// compilenode returning call770
// compilenode returning call770
  *var_suggestion = call770;
  if (call770 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe771 = gc_frame_new();
  Object num773 = alloc_Float64(1);
// compilenode returning num773
  int op_slot_right_772 = gc_frame_newslot(num773);
  int callframe775 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call776 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe775);
// compilenode returning call776
// compilenode returning call776
  int op_slot_left_772 = gc_frame_newslot(call776);
  params[0] = num773;
  partcv[0] = 1;
  Object sum777 = callmethod(call776, "+", 1, partcv, params);
// compilenode returning sum777
  gc_frame_newslot(sum777);
  Object num779 = alloc_Float64(1);
// compilenode returning num779
  int op_slot_right_778 = gc_frame_newslot(num779);
// compilenode returning *var_linePosition
  int op_slot_left_778 = gc_frame_newslot(*var_linePosition);
  params[0] = num779;
  partcv[0] = 1;
  Object diff781 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff781
  gc_frame_newslot(diff781);
  int callframe782 = gc_frame_new();
// compilenode returning *var_decimal
  partcv[0] = 0;
  Object call783 = callmethod(*var_decimal, "value",
    1, partcv, params);
  gc_frame_end(callframe782);
// compilenode returning call783
// compilenode returning call783
  gc_frame_newslot(call783);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = sum777;
  params[1] = diff781;
  params[2] = call783;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call784 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe771);
// compilenode returning call784
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe785 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call786 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe785);
// compilenode returning call786
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe787 = gc_frame_new();
  int callframe788 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call789 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe788);
// compilenode returning call789
// compilenode returning call789
  partcv[0] = 0;
  Object call790 = callmethod(call789, "new",
    1, partcv, params);
  gc_frame_end(callframe787);
// compilenode returning call790
// compilenode returning call790
  *var_suggestion = call790;
  if (call790 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe792 = gc_frame_new();
  int callframe793 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call794 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe793);
// compilenode returning call794
// compilenode returning call794
  gc_frame_newslot(call794);
  Object num796 = alloc_Float64(1);
// compilenode returning num796
  int op_slot_right_795 = gc_frame_newslot(num796);
// compilenode returning *var_linePosition
  int op_slot_left_795 = gc_frame_newslot(*var_linePosition);
  params[0] = num796;
  partcv[0] = 1;
  Object diff798 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff798
  gc_frame_newslot(diff798);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = call794;
  params[1] = diff798;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call799 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe792);
// compilenode returning call799
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe800 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call801 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe800);
// compilenode returning call801
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe802 = gc_frame_new();
  if (strlit803 == NULL) {
    strlit803 = alloc_String("The fractional part of a number must be in base 10.");
    gc_root(strlit803);
  }
// compilenode returning strlit803
  gc_frame_newslot(strlit803);
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  Object num805 = alloc_Float64(1);
// compilenode returning num805
  int op_slot_right_804 = gc_frame_newslot(num805);
  int callframe807 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call808 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe807);
// compilenode returning call808
// compilenode returning call808
  int op_slot_left_804 = gc_frame_newslot(call808);
  params[0] = num805;
  partcv[0] = 1;
  Object sum809 = callmethod(call808, "+", 1, partcv, params);
// compilenode returning sum809
  gc_frame_newslot(sum809);
  Object num811 = alloc_Float64(1);
// compilenode returning num811
  int op_slot_right_810 = gc_frame_newslot(num811);
// compilenode returning *var_linePosition
  int op_slot_left_810 = gc_frame_newslot(*var_linePosition);
  params[0] = num811;
  partcv[0] = 1;
  Object diff813 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff813
  gc_frame_newslot(diff813);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit803;
  params[1] = *var_lineNumber;
  params[2] = sum809;
  params[3] = diff813;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call814 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe802);
// compilenode returning call814
    gc_frame_newslot(call814);
    if746 = call814;
  }
// compilenode returning if746
    gc_frame_newslot(if746);
    if732 = if746;
  } else {
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array815 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array815
  *var_suggestions = array815;
  if (array815 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe816 = gc_frame_new();
  int callframe817 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call818 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe817);
// compilenode returning call818
// compilenode returning call818
  partcv[0] = 0;
  Object call819 = callmethod(call818, "new",
    1, partcv, params);
  gc_frame_end(callframe816);
// compilenode returning call819
// compilenode returning call819
  *var_suggestion = call819;
  if (call819 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe820 = gc_frame_new();
  int callframe821 = gc_frame_new();
  int callframe822 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call823 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe822);
// compilenode returning call823
// compilenode returning call823
  partcv[0] = 0;
  Object call824 = callmethod(call823, "linePos",
    1, partcv, params);
  gc_frame_end(callframe821);
// compilenode returning call824
// compilenode returning call824
  gc_frame_newslot(call824);
  Object num826 = alloc_Float64(1);
// compilenode returning num826
  int op_slot_right_825 = gc_frame_newslot(num826);
  int callframe828 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call829 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe828);
// compilenode returning call829
// compilenode returning call829
  int op_slot_left_825 = gc_frame_newslot(call829);
  params[0] = num826;
  partcv[0] = 1;
  Object diff830 = callmethod(call829, "-", 1, partcv, params);
// compilenode returning diff830
  gc_frame_newslot(diff830);
  int callframe831 = gc_frame_new();
  int callframe832 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call833 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe832);
// compilenode returning call833
// compilenode returning call833
  partcv[0] = 0;
  Object call834 = callmethod(call833, "value",
    1, partcv, params);
  gc_frame_end(callframe831);
// compilenode returning call834
// compilenode returning call834
  gc_frame_newslot(call834);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = call824;
  params[1] = diff830;
  params[2] = call834;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call835 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe820);
// compilenode returning call835
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe836 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call837 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe836);
// compilenode returning call837
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe838 = gc_frame_new();
  int callframe839 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call840 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe839);
// compilenode returning call840
// compilenode returning call840
  partcv[0] = 0;
  Object call841 = callmethod(call840, "new",
    1, partcv, params);
  gc_frame_end(callframe838);
// compilenode returning call841
// compilenode returning call841
  *var_suggestion = call841;
  if (call841 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe843 = gc_frame_new();
  int callframe844 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call845 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe844);
// compilenode returning call845
// compilenode returning call845
  gc_frame_newslot(call845);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = call845;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call846 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe843);
// compilenode returning call846
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe847 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call848 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe847);
// compilenode returning call848
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe849 = gc_frame_new();
  if (strlit851 == NULL) {
    strlit851 = alloc_String(" cannot have a fractional part.");
    gc_root(strlit851);
  }
// compilenode returning strlit851
  int op_slot_right_850 = gc_frame_newslot(strlit851);
  int callframe854 = gc_frame_new();
  int callframe855 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call856 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe855);
// compilenode returning call856
// compilenode returning call856
  partcv[0] = 0;
  Object call857 = callmethod(call856, "base",
    1, partcv, params);
  gc_frame_end(callframe854);
// compilenode returning call857
// compilenode returning call857
  int op_slot_right_853 = gc_frame_newslot(call857);
  if (strlit859 == NULL) {
    strlit859 = alloc_String("A number in base ");
    gc_root(strlit859);
  }
// compilenode returning strlit859
  int op_slot_left_853 = gc_frame_newslot(strlit859);
  params[0] = call857;
  partcv[0] = 1;
  Object opresult860 = callmethod(strlit859, "++", 1, partcv, params);
// compilenode returning opresult860
  int op_slot_left_850 = gc_frame_newslot(opresult860);
  params[0] = strlit851;
  partcv[0] = 1;
  Object opresult861 = callmethod(opresult860, "++", 1, partcv, params);
// compilenode returning opresult861
  gc_frame_newslot(opresult861);
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe862 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call863 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe862);
// compilenode returning call863
// compilenode returning call863
  gc_frame_newslot(call863);
  Object num865 = alloc_Float64(1);
// compilenode returning num865
  int op_slot_right_864 = gc_frame_newslot(num865);
// compilenode returning *var_linePosition
  int op_slot_left_864 = gc_frame_newslot(*var_linePosition);
  params[0] = num865;
  partcv[0] = 1;
  Object diff867 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff867
  gc_frame_newslot(diff867);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult861;
  params[1] = *var_lineNumber;
  params[2] = call863;
  params[3] = diff867;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call868 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe849);
// compilenode returning call868
    gc_frame_newslot(call868);
    if732 = call868;
  }
// compilenode returning if732
    gc_frame_newslot(if732);
    if723 = if732;
  } else {
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit871 == NULL) {
    strlit871 = alloc_String("string");
    gc_root(strlit871);
  }
// compilenode returning strlit871
  int op_slot_right_870 = gc_frame_newslot(strlit871);
  int callframe873 = gc_frame_new();
  int callframe874 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call875 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe874);
// compilenode returning call875
// compilenode returning call875
  partcv[0] = 0;
  Object call876 = callmethod(call875, "kind",
    1, partcv, params);
  gc_frame_end(callframe873);
// compilenode returning call876
// compilenode returning call876
  int op_slot_left_870 = gc_frame_newslot(call876);
  params[0] = strlit871;
  partcv[0] = 1;
  Object opresult877 = callmethod(call876, "==", 1, partcv, params);
// compilenode returning opresult877
  Object if869 = done;
  if (istrue(opresult877)) {
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe878 = gc_frame_new();
  int callframe879 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call880 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe879);
// compilenode returning call880
// compilenode returning call880
  partcv[0] = 0;
  Object call881 = callmethod(call880, "new",
    1, partcv, params);
  gc_frame_end(callframe878);
// compilenode returning call881
// compilenode returning call881
  *var_suggestion = call881;
  if (call881 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe882 = gc_frame_new();
  int callframe883 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call884 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe883);
// compilenode returning call884
// compilenode returning call884
  gc_frame_newslot(call884);
  if (strlit885 == NULL) {
    strlit885 = alloc_String("++");
    gc_root(strlit885);
  }
// compilenode returning strlit885
  gc_frame_newslot(strlit885);
  int callframe886 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call887 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe886);
// compilenode returning call887
// compilenode returning call887
  gc_frame_newslot(call887);
// compilenode returning *var_suggestion
  params[0] = call884;
  params[1] = strlit885;
  params[2] = call887;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call888 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe882);
// compilenode returning call888
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe889 = gc_frame_new();
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit891 == NULL) {
    strlit891 = alloc_String("To join a number to a string, use '++'.");
    gc_root(strlit891);
  }
// compilenode returning strlit891
  int op_slot_right_890 = gc_frame_newslot(strlit891);
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit893 == NULL) {
    strlit893 = alloc_String("A number may follow a '.' only if there is a number before the '.'. ");
    gc_root(strlit893);
  }
// compilenode returning strlit893
  int op_slot_left_890 = gc_frame_newslot(strlit893);
  params[0] = strlit891;
  partcv[0] = 1;
  Object opresult894 = callmethod(strlit893, "++", 1, partcv, params);
// compilenode returning opresult894
  gc_frame_newslot(opresult894);
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe895 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call896 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe895);
// compilenode returning call896
// compilenode returning call896
  gc_frame_newslot(call896);
  int callframe897 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call898 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe897);
// compilenode returning call898
// compilenode returning call898
  gc_frame_newslot(call898);
  int callframe899 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call900 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe899);
// compilenode returning call900
// compilenode returning call900
  gc_frame_newslot(call900);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult894;
  params[1] = call896;
  params[2] = call898;
  params[3] = call900;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call901 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe889);
// compilenode returning call901
    gc_frame_newslot(call901);
    if869 = call901;
  } else {
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit905 == NULL) {
    strlit905 = alloc_String("bind");
    gc_root(strlit905);
  }
// compilenode returning strlit905
  int op_slot_right_904 = gc_frame_newslot(strlit905);
  int callframe907 = gc_frame_new();
  int callframe908 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call909 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe908);
// compilenode returning call909
// compilenode returning call909
  partcv[0] = 0;
  Object call910 = callmethod(call909, "kind",
    1, partcv, params);
  gc_frame_end(callframe907);
// compilenode returning call910
// compilenode returning call910
  int op_slot_left_904 = gc_frame_newslot(call910);
  params[0] = strlit905;
  partcv[0] = 1;
  Object opresult911 = callmethod(call910, "==", 1, partcv, params);
// compilenode returning opresult911
  int op_slot_right_903 = gc_frame_newslot(opresult911);
  if (strlit914 == NULL) {
    strlit914 = alloc_String("op");
    gc_root(strlit914);
  }
// compilenode returning strlit914
  int op_slot_right_913 = gc_frame_newslot(strlit914);
  int callframe916 = gc_frame_new();
  int callframe917 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call918 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe917);
// compilenode returning call918
// compilenode returning call918
  partcv[0] = 0;
  Object call919 = callmethod(call918, "kind",
    1, partcv, params);
  gc_frame_end(callframe916);
// compilenode returning call919
// compilenode returning call919
  int op_slot_left_913 = gc_frame_newslot(call919);
  params[0] = strlit914;
  partcv[0] = 1;
  Object opresult920 = callmethod(call919, "==", 1, partcv, params);
// compilenode returning opresult920
  int op_slot_left_903 = gc_frame_newslot(opresult920);
  params[0] = opresult911;
  partcv[0] = 1;
  Object opresult921 = callmethod(opresult920, "||", 1, partcv, params);
// compilenode returning opresult921
  Object if902 = done;
  if (istrue(opresult921)) {
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe922 = gc_frame_new();
  int callframe923 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call924 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe923);
// compilenode returning call924
// compilenode returning call924
  partcv[0] = 0;
  Object call925 = callmethod(call924, "new",
    1, partcv, params);
  gc_frame_end(callframe922);
// compilenode returning call925
// compilenode returning call925
  *var_suggestion = call925;
  if (call925 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe926 = gc_frame_new();
  if (strlit927 == NULL) {
    strlit927 = alloc_String("0");
    gc_root(strlit927);
  }
// compilenode returning strlit927
  gc_frame_newslot(strlit927);
  int callframe928 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call929 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe928);
// compilenode returning call929
// compilenode returning call929
  gc_frame_newslot(call929);
  int callframe930 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call931 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe930);
// compilenode returning call931
// compilenode returning call931
  gc_frame_newslot(call931);
// compilenode returning *var_suggestion
  params[0] = strlit927;
  params[1] = call929;
  params[2] = call931;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call932 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe926);
// compilenode returning call932
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe933 = gc_frame_new();
  if (strlit934 == NULL) {
    strlit934 = alloc_String("A number must have a digit before the decimal point.");
    gc_root(strlit934);
  }
// compilenode returning strlit934
  gc_frame_newslot(strlit934);
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe935 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call936 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe935);
// compilenode returning call936
// compilenode returning call936
  gc_frame_newslot(call936);
  int callframe937 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call938 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe937);
// compilenode returning call938
// compilenode returning call938
  gc_frame_newslot(call938);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit934;
  params[1] = call936;
  params[2] = call938;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call939 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe933);
// compilenode returning call939
    gc_frame_newslot(call939);
    if902 = call939;
  } else {
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit942 == NULL) {
    strlit942 = alloc_String("identifier");
    gc_root(strlit942);
  }
// compilenode returning strlit942
  int op_slot_right_941 = gc_frame_newslot(strlit942);
  int callframe944 = gc_frame_new();
  int callframe945 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call946 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe945);
// compilenode returning call946
// compilenode returning call946
  partcv[0] = 0;
  Object call947 = callmethod(call946, "kind",
    1, partcv, params);
  gc_frame_end(callframe944);
// compilenode returning call947
// compilenode returning call947
  int op_slot_left_941 = gc_frame_newslot(call947);
  params[0] = strlit942;
  partcv[0] = 1;
  Object opresult948 = callmethod(call947, "==", 1, partcv, params);
// compilenode returning opresult948
  Object if940 = done;
  if (istrue(opresult948)) {
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array949 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array949
  *var_suggestions = array949;
  if (array949 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit952 == NULL) {
    strlit952 = alloc_String("o");
    gc_root(strlit952);
  }
// compilenode returning strlit952
  int op_slot_right_951 = gc_frame_newslot(strlit952);
  int callframe954 = gc_frame_new();
  int callframe955 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call956 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe955);
// compilenode returning call956
// compilenode returning call956
  partcv[0] = 0;
  Object call957 = callmethod(call956, "value",
    1, partcv, params);
  gc_frame_end(callframe954);
// compilenode returning call957
// compilenode returning call957
  int op_slot_left_951 = gc_frame_newslot(call957);
  params[0] = strlit952;
  partcv[0] = 1;
  Object opresult958 = callmethod(call957, "==", 1, partcv, params);
// compilenode returning opresult958
  Object if950 = done;
  if (istrue(opresult958)) {
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe959 = gc_frame_new();
  int callframe960 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call961 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe960);
// compilenode returning call961
// compilenode returning call961
  partcv[0] = 0;
  Object call962 = callmethod(call961, "new",
    1, partcv, params);
  gc_frame_end(callframe959);
// compilenode returning call962
// compilenode returning call962
  *var_suggestion = call962;
  if (call962 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe963 = gc_frame_new();
  int callframe964 = gc_frame_new();
  int callframe965 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call966 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe965);
// compilenode returning call966
// compilenode returning call966
  partcv[0] = 0;
  Object call967 = callmethod(call966, "linePos",
    1, partcv, params);
  gc_frame_end(callframe964);
// compilenode returning call967
// compilenode returning call967
  gc_frame_newslot(call967);
  if (strlit968 == NULL) {
    strlit968 = alloc_String("0");
    gc_root(strlit968);
  }
// compilenode returning strlit968
  gc_frame_newslot(strlit968);
  int callframe969 = gc_frame_new();
  int callframe970 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call971 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe970);
// compilenode returning call971
// compilenode returning call971
  partcv[0] = 0;
  Object call972 = callmethod(call971, "line",
    1, partcv, params);
  gc_frame_end(callframe969);
// compilenode returning call972
// compilenode returning call972
  gc_frame_newslot(call972);
// compilenode returning *var_suggestion
  params[0] = call967;
  params[1] = strlit968;
  params[2] = call972;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call973 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe963);
// compilenode returning call973
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe974 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call975 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe974);
// compilenode returning call975
    gc_frame_newslot(call975);
    if950 = call975;
  } else {
  }
// compilenode returning if950
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe976 = gc_frame_new();
  int callframe977 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call978 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe977);
// compilenode returning call978
// compilenode returning call978
  partcv[0] = 0;
  Object call979 = callmethod(call978, "new",
    1, partcv, params);
  gc_frame_end(callframe976);
// compilenode returning call979
// compilenode returning call979
  *var_suggestion = call979;
  if (call979 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe980 = gc_frame_new();
  int callframe981 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call982 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe981);
// compilenode returning call982
// compilenode returning call982
  gc_frame_newslot(call982);
  Object num984 = alloc_Float64(1);
// compilenode returning num984
  int op_slot_right_983 = gc_frame_newslot(num984);
// compilenode returning *var_linePosition
  int op_slot_left_983 = gc_frame_newslot(*var_linePosition);
  params[0] = num984;
  partcv[0] = 1;
  Object diff986 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff986
  gc_frame_newslot(diff986);
  if (strlit988 == NULL) {
    strlit988 = alloc_String(")");
    gc_root(strlit988);
  }
// compilenode returning strlit988
  int op_slot_right_987 = gc_frame_newslot(strlit988);
// compilenode returning *var_accum
  int op_slot_right_990 = gc_frame_newslot(*var_accum);
  if (strlit992 == NULL) {
    strlit992 = alloc_String("(");
    gc_root(strlit992);
  }
// compilenode returning strlit992
  int op_slot_left_990 = gc_frame_newslot(strlit992);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult993 = callmethod(strlit992, "++", 1, partcv, params);
// compilenode returning opresult993
  int op_slot_left_987 = gc_frame_newslot(opresult993);
  params[0] = strlit988;
  partcv[0] = 1;
  Object opresult994 = callmethod(opresult993, "++", 1, partcv, params);
// compilenode returning opresult994
  gc_frame_newslot(opresult994);
  int callframe995 = gc_frame_new();
  int callframe996 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call997 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe996);
// compilenode returning call997
// compilenode returning call997
  partcv[0] = 0;
  Object call998 = callmethod(call997, "line",
    1, partcv, params);
  gc_frame_end(callframe995);
// compilenode returning call998
// compilenode returning call998
  gc_frame_newslot(call998);
// compilenode returning *var_suggestion
  params[0] = call982;
  params[1] = diff986;
  params[2] = opresult994;
  params[3] = call998;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call999 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe980);
// compilenode returning call999
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1000 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1001 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1000);
// compilenode returning call1001
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1002 = gc_frame_new();
  if (strlit1003 == NULL) {
    strlit1003 = alloc_String("A number may follow a '.' only if there is a number before the '.'.");
    gc_root(strlit1003);
  }
// compilenode returning strlit1003
  gc_frame_newslot(strlit1003);
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1004 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1005 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe1004);
// compilenode returning call1005
// compilenode returning call1005
  gc_frame_newslot(call1005);
  int callframe1006 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1007 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1006);
// compilenode returning call1007
// compilenode returning call1007
  gc_frame_newslot(call1007);
  int callframe1008 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1009 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1008);
// compilenode returning call1009
// compilenode returning call1009
  gc_frame_newslot(call1009);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1003;
  params[1] = call1005;
  params[2] = call1007;
  params[3] = call1009;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1010 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1002);
// compilenode returning call1010
    gc_frame_newslot(call1010);
    if940 = call1010;
  } else {
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1011 = gc_frame_new();
  if (strlit1012 == NULL) {
    strlit1012 = alloc_String("A number may follow a '.' only if there is a number before the '.'.");
    gc_root(strlit1012);
  }
// compilenode returning strlit1012
  gc_frame_newslot(strlit1012);
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1013 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1014 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe1013);
// compilenode returning call1014
// compilenode returning call1014
  gc_frame_newslot(call1014);
  int callframe1015 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1016 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1015);
// compilenode returning call1016
// compilenode returning call1016
  gc_frame_newslot(call1016);
  int callframe1017 = gc_frame_new();
// compilenode returning *var_dot
  partcv[0] = 0;
  Object call1018 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1017);
// compilenode returning call1018
// compilenode returning call1018
  gc_frame_newslot(call1018);
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1012;
  params[1] = call1014;
  params[2] = call1016;
  params[3] = call1018;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1019 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe1011);
// compilenode returning call1019
    gc_frame_newslot(call1019);
    if940 = call1019;
  }
// compilenode returning if940
    gc_frame_newslot(if940);
    if902 = if940;
  }
// compilenode returning if902
    gc_frame_newslot(if902);
    if869 = if902;
  }
// compilenode returning if869
    gc_frame_newslot(if869);
    if723 = if869;
  }
// compilenode returning if723
    gc_frame_newslot(if723);
    if701 = if723;
  } else {
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1020 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1021 = callmethodflags(self, "makeNumToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1020);
// compilenode returning call1021
  *var_tok = call1021;
  if (call1021 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if701 = done;
  }
// compilenode returning if701
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1023 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1024 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1023);
// compilenode returning call1024
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1025 = alloc_Boolean(1);
// compilenode returning bool1025
  *var_done = bool1025;
  if (bool1025 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if696 = done;
  } else {
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1029 == NULL) {
    strlit1029 = alloc_String("o");
    gc_root(strlit1029);
  }
// compilenode returning strlit1029
  int op_slot_right_1028 = gc_frame_newslot(strlit1029);
// compilenode returning *var_mode
  int op_slot_left_1028 = gc_frame_newslot(*var_mode);
  params[0] = strlit1029;
  partcv[0] = 1;
  Object opresult1031 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1031
  Object if1027 = done;
  if (istrue(opresult1031)) {
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1032 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
// compilenode returning *var_OpToken
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1033 = callmethod(*var_OpToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1032);
// compilenode returning call1033
  *var_tok = call1033;
  if (call1033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1037 == NULL) {
    strlit1037 = alloc_String("->");
    gc_root(strlit1037);
  }
// compilenode returning strlit1037
  int op_slot_right_1036 = gc_frame_newslot(strlit1037);
// compilenode returning *var_accum
  int op_slot_left_1036 = gc_frame_newslot(*var_accum);
  params[0] = strlit1037;
  partcv[0] = 1;
  Object opresult1039 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult1039
  Object if1035 = done;
  if (istrue(opresult1039)) {
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1040 = gc_frame_new();
// compilenode returning *var_ArrowToken
  partcv[0] = 0;
  Object call1041 = callmethod(*var_ArrowToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1040);
// compilenode returning call1041
// compilenode returning call1041
  *var_tok = call1041;
  if (call1041 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1035 = done;
  } else {
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1045 == NULL) {
    strlit1045 = alloc_String(":=");
    gc_root(strlit1045);
  }
// compilenode returning strlit1045
  int op_slot_right_1044 = gc_frame_newslot(strlit1045);
// compilenode returning *var_accum
  int op_slot_left_1044 = gc_frame_newslot(*var_accum);
  params[0] = strlit1045;
  partcv[0] = 1;
  Object opresult1047 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult1047
  Object if1043 = done;
  if (istrue(opresult1047)) {
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1048 = gc_frame_new();
// compilenode returning *var_BindToken
  partcv[0] = 0;
  Object call1049 = callmethod(*var_BindToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1048);
// compilenode returning call1049
// compilenode returning call1049
  *var_tok = call1049;
  if (call1049 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1043 = done;
  } else {
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1053 == NULL) {
    strlit1053 = alloc_String(":");
    gc_root(strlit1053);
  }
// compilenode returning strlit1053
  int op_slot_right_1052 = gc_frame_newslot(strlit1053);
// compilenode returning *var_accum
  int op_slot_left_1052 = gc_frame_newslot(*var_accum);
  params[0] = strlit1053;
  partcv[0] = 1;
  Object opresult1055 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult1055
  Object if1051 = done;
  if (istrue(opresult1055)) {
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1056 = gc_frame_new();
// compilenode returning *var_ColonToken
  partcv[0] = 0;
  Object call1057 = callmethod(*var_ColonToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1056);
// compilenode returning call1057
// compilenode returning call1057
  *var_tok = call1057;
  if (call1057 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1051 = done;
  } else {
  }
// compilenode returning if1051
    gc_frame_newslot(if1051);
    if1043 = if1051;
  }
// compilenode returning if1043
    gc_frame_newslot(if1043);
    if1035 = if1043;
  }
// compilenode returning if1035
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1059 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
// compilenode returning *var_tokens
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1060 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1059);
// compilenode returning call1060
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1061 = alloc_Boolean(1);
// compilenode returning bool1061
  *var_done = bool1061;
  if (bool1061 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1027 = done;
  } else {
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1065 == NULL) {
    strlit1065 = alloc_String("d");
    gc_root(strlit1065);
  }
// compilenode returning strlit1065
  int op_slot_right_1064 = gc_frame_newslot(strlit1065);
// compilenode returning *var_mode
  int op_slot_left_1064 = gc_frame_newslot(*var_mode);
  params[0] = strlit1065;
  partcv[0] = 1;
  Object opresult1067 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1067
  Object if1063 = done;
  if (istrue(opresult1067)) {
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1069 = alloc_Float64(1);
// compilenode returning num1069
  int op_slot_right_1068 = gc_frame_newslot(num1069);
// compilenode returning *var_linePosition
  int op_slot_left_1068 = gc_frame_newslot(*var_linePosition);
  params[0] = num1069;
  partcv[0] = 1;
  Object diff1071 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1071
  *var_indentLevel = diff1071;
  if (diff1071 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1073 = alloc_Boolean(1);
// compilenode returning bool1073
  *var_done = bool1073;
  if (bool1073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1063 = done;
  } else {
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1077 == NULL) {
    strlit1077 = alloc_String("n");
    gc_root(strlit1077);
  }
// compilenode returning strlit1077
  int op_slot_right_1076 = gc_frame_newslot(strlit1077);
// compilenode returning *var_mode
  int op_slot_left_1076 = gc_frame_newslot(*var_mode);
  params[0] = strlit1077;
  partcv[0] = 1;
  Object opresult1079 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1079
  Object if1075 = done;
  if (istrue(opresult1079)) {
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1080 = alloc_Boolean(1);
// compilenode returning bool1080
  *var_done = bool1080;
  if (bool1080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1075 = done;
  } else {
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1084 == NULL) {
    strlit1084 = alloc_String("c");
    gc_root(strlit1084);
  }
// compilenode returning strlit1084
  int op_slot_right_1083 = gc_frame_newslot(strlit1084);
// compilenode returning *var_mode
  int op_slot_left_1083 = gc_frame_newslot(*var_mode);
  params[0] = strlit1084;
  partcv[0] = 1;
  Object opresult1086 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1086
  Object if1082 = done;
  if (istrue(opresult1086)) {
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1087 = gc_frame_new();
  Object num1088 = alloc_Float64(3);
// compilenode returning num1088
  gc_frame_newslot(num1088);
  int callframe1089 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1090 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1089);
// compilenode returning call1090
// compilenode returning call1090
  gc_frame_newslot(call1090);
// compilenode returning *var_accum
  params[0] = num1088;
  params[1] = call1090;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1091 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1087);
// compilenode returning call1091
  *var_cmt = call1091;
  if (call1091 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1092 = gc_frame_new();
  int callframe1093 = gc_frame_new();
// compilenode returning *var_cmt
  gc_frame_newslot(*var_cmt);
// compilenode returning *var_CommentToken
  params[0] = *var_cmt;
  partcv[0] = 1;
  Object call1094 = callmethod(*var_CommentToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1093);
// compilenode returning call1094
  gc_frame_newslot(call1094);
// compilenode returning *var_tokens
  params[0] = call1094;
  partcv[0] = 1;
  Object call1095 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1092);
// compilenode returning call1095
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1096 = alloc_Boolean(1);
// compilenode returning bool1096
  *var_done = bool1096;
  if (bool1096 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1082 = done;
  } else {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1100 == NULL) {
    strlit1100 = alloc_String("p");
    gc_root(strlit1100);
  }
// compilenode returning strlit1100
  int op_slot_right_1099 = gc_frame_newslot(strlit1100);
// compilenode returning *var_mode
  int op_slot_left_1099 = gc_frame_newslot(*var_mode);
  params[0] = strlit1100;
  partcv[0] = 1;
  Object opresult1102 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult1102
  Object if1098 = done;
  if (istrue(opresult1102)) {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1105 == NULL) {
    strlit1105 = alloc_String("#pragma ");
    gc_root(strlit1105);
  }
// compilenode returning strlit1105
  int op_slot_right_1104 = gc_frame_newslot(strlit1105);
  int callframe1107 = gc_frame_new();
  Object num1108 = alloc_Float64(1);
// compilenode returning num1108
  gc_frame_newslot(num1108);
  Object num1109 = alloc_Float64(8);
// compilenode returning num1109
  gc_frame_newslot(num1109);
// compilenode returning *var_accum
  params[0] = num1108;
  params[1] = num1109;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1110 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1107);
// compilenode returning call1110
  int op_slot_left_1104 = gc_frame_newslot(call1110);
  params[0] = strlit1105;
  partcv[0] = 1;
  Object opresult1111 = callmethod(call1110, "==", 1, partcv, params);
// compilenode returning opresult1111
  Object if1103 = done;
  if (istrue(opresult1111)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1112 = gc_frame_new();
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1113 = gc_frame_new();
  Object num1114 = alloc_Float64(9);
// compilenode returning num1114
  gc_frame_newslot(num1114);
  int callframe1115 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1116 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1115);
// compilenode returning call1116
// compilenode returning call1116
  gc_frame_newslot(call1116);
// compilenode returning *var_accum
  params[0] = num1114;
  params[1] = call1116;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1117 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1113);
// compilenode returning call1117
  gc_frame_newslot(call1117);
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_util
  params[0] = call1117;
  partcv[0] = 1;
  Object call1118 = callmethod(*var_util, "processExtension",
    1, partcv, params);
  gc_frame_end(callframe1112);
// compilenode returning call1118
    gc_frame_newslot(call1118);
    if1103 = call1118;
  } else {
  }
// compilenode returning if1103
    gc_frame_newslot(if1103);
    if1098 = if1103;
  } else {
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_done
  Object if1119 = done;
  if (istrue(*var_done)) {
    gc_frame_newslot(done);
    if1119 = done;
  } else {
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1120 = gc_frame_new();
  if (strlit1122 == NULL) {
    strlit1122 = alloc_String(".");
    gc_root(strlit1122);
  }
// compilenode returning strlit1122
  int op_slot_right_1121 = gc_frame_newslot(strlit1122);
// compilenode returning *var_accum
  int op_slot_right_1124 = gc_frame_newslot(*var_accum);
  if (strlit1127 == NULL) {
    strlit1127 = alloc_String(" with accum ");
    gc_root(strlit1127);
  }
// compilenode returning strlit1127
  int op_slot_right_1126 = gc_frame_newslot(strlit1127);
// compilenode returning *var_mode
  int op_slot_right_1129 = gc_frame_newslot(*var_mode);
  if (strlit1131 == NULL) {
    strlit1131 = alloc_String("Lexing error: no handler for mode ");
    gc_root(strlit1131);
  }
// compilenode returning strlit1131
  int op_slot_left_1129 = gc_frame_newslot(strlit1131);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult1132 = callmethod(strlit1131, "++", 1, partcv, params);
// compilenode returning opresult1132
  int op_slot_left_1126 = gc_frame_newslot(opresult1132);
  params[0] = strlit1127;
  partcv[0] = 1;
  Object opresult1133 = callmethod(opresult1132, "++", 1, partcv, params);
// compilenode returning opresult1133
  int op_slot_left_1124 = gc_frame_newslot(opresult1133);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult1134 = callmethod(opresult1133, "++", 1, partcv, params);
// compilenode returning opresult1134
  int op_slot_left_1121 = gc_frame_newslot(opresult1134);
  params[0] = strlit1122;
  partcv[0] = 1;
  Object opresult1135 = callmethod(opresult1134, "++", 1, partcv, params);
// compilenode returning opresult1135
  gc_frame_newslot(opresult1135);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_errormessages
  params[0] = opresult1135;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call1136 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe1120);
// compilenode returning call1136
    gc_frame_newslot(call1136);
    if1119 = call1136;
  }
// compilenode returning if1119
    gc_frame_newslot(if1119);
    if1098 = if1119;
  }
// compilenode returning if1098
    gc_frame_newslot(if1098);
    if1082 = if1098;
  }
// compilenode returning if1082
    gc_frame_newslot(if1082);
    if1075 = if1082;
  }
// compilenode returning if1075
    gc_frame_newslot(if1075);
    if1063 = if1075;
  }
// compilenode returning if1063
    gc_frame_newslot(if1063);
    if1027 = if1063;
  }
// compilenode returning if1027
    gc_frame_newslot(if1027);
    if696 = if1027;
  }
// compilenode returning if696
    gc_frame_newslot(if696);
    if684 = if696;
  }
// compilenode returning if684
    gc_frame_newslot(if684);
    if672 = if684;
  }
// compilenode returning if672
    gc_frame_newslot(if672);
    if660 = if672;
  }
// compilenode returning if660
    gc_frame_newslot(if660);
    if648 = if660;
  }
// compilenode returning if648
    gc_frame_newslot(if648);
    if417 = if648;
  } else {
  }
// compilenode returning if417
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linePosition
  *var_startPosition = *var_linePosition;
  if (*var_linePosition == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer__apply1143(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_base = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_linePosition = getfromclosure(closure, 4);
  Object *var_lineNumber = getfromclosure(closure, 5);
  Object *var_i = getfromclosure(closure, 6);
  Object *var_unicode = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_inc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "inc");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_validDigits = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "validDigits");
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1144 = gc_frame_new();
// compilenode returning *var_c
  partcv[0] = 0;
  Object call1145 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe1144);
// compilenode returning call1145
// compilenode returning call1145
  *var_n = call1145;
  if (call1145 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_base
  int op_slot_right_1146 = gc_frame_newslot(*var_base);
// compilenode returning *var_val
  int op_slot_left_1146 = gc_frame_newslot(*var_val);
  params[0] = *var_base;
  partcv[0] = 1;
  Object prod1148 = callmethod(*var_val, "*", 1, partcv, params);
// compilenode returning prod1148
  *var_val = prod1148;
  if (prod1148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1150 = alloc_Float64(0);
// compilenode returning num1150
  *var_inc = num1150;
  if (num1150 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1154 = alloc_Float64(57);
// compilenode returning num1154
  int op_slot_right_1153 = gc_frame_newslot(num1154);
// compilenode returning *var_n
  int op_slot_left_1153 = gc_frame_newslot(*var_n);
  params[0] = num1154;
  partcv[0] = 1;
  Object opresult1156 = callmethod(*var_n, "<=", 1, partcv, params);
// compilenode returning opresult1156
  int op_slot_right_1152 = gc_frame_newslot(opresult1156);
  Object num1159 = alloc_Float64(48);
// compilenode returning num1159
  int op_slot_right_1158 = gc_frame_newslot(num1159);
// compilenode returning *var_n
  int op_slot_left_1158 = gc_frame_newslot(*var_n);
  params[0] = num1159;
  partcv[0] = 1;
  Object opresult1161 = callmethod(*var_n, ">=", 1, partcv, params);
// compilenode returning opresult1161
  int op_slot_left_1152 = gc_frame_newslot(opresult1161);
  params[0] = opresult1156;
  partcv[0] = 1;
  Object opresult1162 = callmethod(opresult1161, "&&", 1, partcv, params);
// compilenode returning opresult1162
  Object if1151 = done;
  if (istrue(opresult1162)) {
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1164 = alloc_Float64(48);
// compilenode returning num1164
  int op_slot_right_1163 = gc_frame_newslot(num1164);
// compilenode returning *var_n
  int op_slot_left_1163 = gc_frame_newslot(*var_n);
  params[0] = num1164;
  partcv[0] = 1;
  Object diff1166 = callmethod(*var_n, "-", 1, partcv, params);
// compilenode returning diff1166
  *var_inc = diff1166;
  if (diff1166 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1151 = done;
  } else {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1171 = alloc_Float64(90);
// compilenode returning num1171
  int op_slot_right_1170 = gc_frame_newslot(num1171);
// compilenode returning *var_n
  int op_slot_left_1170 = gc_frame_newslot(*var_n);
  params[0] = num1171;
  partcv[0] = 1;
  Object opresult1173 = callmethod(*var_n, "<=", 1, partcv, params);
// compilenode returning opresult1173
  int op_slot_right_1169 = gc_frame_newslot(opresult1173);
  Object num1176 = alloc_Float64(65);
// compilenode returning num1176
  int op_slot_right_1175 = gc_frame_newslot(num1176);
// compilenode returning *var_n
  int op_slot_left_1175 = gc_frame_newslot(*var_n);
  params[0] = num1176;
  partcv[0] = 1;
  Object opresult1178 = callmethod(*var_n, ">=", 1, partcv, params);
// compilenode returning opresult1178
  int op_slot_left_1169 = gc_frame_newslot(opresult1178);
  params[0] = opresult1173;
  partcv[0] = 1;
  Object opresult1179 = callmethod(opresult1178, "&&", 1, partcv, params);
// compilenode returning opresult1179
  Object if1168 = done;
  if (istrue(opresult1179)) {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1181 = alloc_Float64(55);
// compilenode returning num1181
  int op_slot_right_1180 = gc_frame_newslot(num1181);
// compilenode returning *var_n
  int op_slot_left_1180 = gc_frame_newslot(*var_n);
  params[0] = num1181;
  partcv[0] = 1;
  Object diff1183 = callmethod(*var_n, "-", 1, partcv, params);
// compilenode returning diff1183
  *var_inc = diff1183;
  if (diff1183 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1168 = done;
  } else {
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1186 = alloc_Float64(87);
// compilenode returning num1186
  int op_slot_right_1185 = gc_frame_newslot(num1186);
// compilenode returning *var_n
  int op_slot_left_1185 = gc_frame_newslot(*var_n);
  params[0] = num1186;
  partcv[0] = 1;
  Object diff1188 = callmethod(*var_n, "-", 1, partcv, params);
// compilenode returning diff1188
  *var_inc = diff1188;
  if (diff1188 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1168 = done;
  }
// compilenode returning if1168
    gc_frame_newslot(if1168);
    if1151 = if1168;
  }
// compilenode returning if1151
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_base
  int op_slot_right_1191 = gc_frame_newslot(*var_base);
// compilenode returning *var_inc
  int op_slot_left_1191 = gc_frame_newslot(*var_inc);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1193 = callmethod(*var_inc, ">=", 1, partcv, params);
// compilenode returning opresult1193
  Object if1190 = done;
  if (istrue(opresult1193)) {
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1197 = alloc_Float64(16);
// compilenode returning num1197
  int op_slot_right_1196 = gc_frame_newslot(num1197);
// compilenode returning *var_inc
  int op_slot_left_1196 = gc_frame_newslot(*var_inc);
  params[0] = num1197;
  partcv[0] = 1;
  Object opresult1199 = callmethod(*var_inc, "<", 1, partcv, params);
// compilenode returning opresult1199
  int op_slot_right_1195 = gc_frame_newslot(opresult1199);
  if (strlit1202 == NULL) {
    strlit1202 = alloc_String("0");
    gc_root(strlit1202);
  }
// compilenode returning strlit1202
  int op_slot_right_1201 = gc_frame_newslot(strlit1202);
// compilenode returning *var_str
  Object num1204 = alloc_Float64(1);
// compilenode returning num1204
  params[0] = num1204;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1205 = callmethod(*var_str, "[]", 1, partcv, params);
// compilenode returning idxres1205
  int op_slot_left_1201 = gc_frame_newslot(idxres1205);
  params[0] = strlit1202;
  partcv[0] = 1;
  Object opresult1206 = callmethod(idxres1205, "==", 1, partcv, params);
// compilenode returning opresult1206
  int op_slot_left_1195 = gc_frame_newslot(opresult1206);
  params[0] = opresult1199;
  partcv[0] = 1;
  Object opresult1207 = callmethod(opresult1206, "&&", 1, partcv, params);
// compilenode returning opresult1207
  Object if1194 = done;
  if (istrue(opresult1207)) {
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1208 = gc_frame_new();
  int callframe1209 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1210 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1209);
// compilenode returning call1210
// compilenode returning call1210
  partcv[0] = 0;
  Object call1211 = callmethod(call1210, "new",
    1, partcv, params);
  gc_frame_end(callframe1208);
// compilenode returning call1211
// compilenode returning call1211
  *var_suggestion = call1211;
  if (call1211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1212 = gc_frame_new();
  if (strlit1213 == NULL) {
    strlit1213 = alloc_String("x");
    gc_root(strlit1213);
  }
// compilenode returning strlit1213
  gc_frame_newslot(strlit1213);
  Object num1215 = alloc_Float64(1);
// compilenode returning num1215
  int op_slot_right_1214 = gc_frame_newslot(num1215);
  int callframe1218 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1219 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1218);
// compilenode returning call1219
// compilenode returning call1219
  int op_slot_right_1217 = gc_frame_newslot(call1219);
// compilenode returning *var_linePosition
  int op_slot_left_1217 = gc_frame_newslot(*var_linePosition);
  params[0] = call1219;
  partcv[0] = 1;
  Object diff1221 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1221
  int op_slot_left_1214 = gc_frame_newslot(diff1221);
  params[0] = num1215;
  partcv[0] = 1;
  Object sum1222 = callmethod(diff1221, "+", 1, partcv, params);
// compilenode returning sum1222
  gc_frame_newslot(sum1222);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = strlit1213;
  params[1] = sum1222;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1223 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe1212);
// compilenode returning call1223
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1224 = gc_frame_new();
  if (strlit1225 == NULL) {
    strlit1225 = alloc_String("A number in base 16 must start with '0x'.");
    gc_root(strlit1225);
  }
// compilenode returning strlit1225
  gc_frame_newslot(strlit1225);
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  Object num1227 = alloc_Float64(1);
// compilenode returning num1227
  int op_slot_right_1226 = gc_frame_newslot(num1227);
  int callframe1230 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1231 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1230);
// compilenode returning call1231
// compilenode returning call1231
  int op_slot_right_1229 = gc_frame_newslot(call1231);
// compilenode returning *var_linePosition
  int op_slot_left_1229 = gc_frame_newslot(*var_linePosition);
  params[0] = call1231;
  partcv[0] = 1;
  Object diff1233 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1233
  int op_slot_left_1226 = gc_frame_newslot(diff1233);
  params[0] = num1227;
  partcv[0] = 1;
  Object sum1234 = callmethod(diff1233, "+", 1, partcv, params);
// compilenode returning sum1234
  gc_frame_newslot(sum1234);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1225;
  params[1] = *var_lineNumber;
  params[2] = sum1234;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1235 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1224);
// compilenode returning call1235
    gc_frame_newslot(call1235);
    if1194 = call1235;
  } else {
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1236 = gc_frame_new();
  int callframe1237 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1238 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1237);
// compilenode returning call1238
// compilenode returning call1238
  partcv[0] = 0;
  Object call1239 = callmethod(call1238, "new",
    1, partcv, params);
  gc_frame_end(callframe1236);
// compilenode returning call1239
// compilenode returning call1239
  *var_suggestion = call1239;
  if (call1239 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1242 = alloc_Float64(1);
// compilenode returning num1242
  int op_slot_right_1241 = gc_frame_newslot(num1242);
  int callframe1244 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1245 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1244);
// compilenode returning call1245
// compilenode returning call1245
  int op_slot_left_1241 = gc_frame_newslot(call1245);
  params[0] = num1242;
  partcv[0] = 1;
  Object opresult1246 = callmethod(call1245, "==", 1, partcv, params);
// compilenode returning opresult1246
  Object if1240 = done;
  if (istrue(opresult1246)) {
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1247 = gc_frame_new();
  Object num1249 = alloc_Float64(1);
// compilenode returning num1249
  int op_slot_right_1248 = gc_frame_newslot(num1249);
  int callframe1252 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1253 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1252);
// compilenode returning call1253
// compilenode returning call1253
  int op_slot_right_1251 = gc_frame_newslot(call1253);
// compilenode returning *var_linePosition
  int op_slot_left_1251 = gc_frame_newslot(*var_linePosition);
  params[0] = call1253;
  partcv[0] = 1;
  Object diff1255 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1255
  int op_slot_left_1248 = gc_frame_newslot(diff1255);
  params[0] = num1249;
  partcv[0] = 1;
  Object diff1256 = callmethod(diff1255, "-", 1, partcv, params);
// compilenode returning diff1256
  gc_frame_newslot(diff1256);
  Object num1258 = alloc_Float64(1);
// compilenode returning num1258
  int op_slot_right_1257 = gc_frame_newslot(num1258);
// compilenode returning *var_linePosition
  int op_slot_left_1257 = gc_frame_newslot(*var_linePosition);
  params[0] = num1258;
  partcv[0] = 1;
  Object diff1260 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1260
  gc_frame_newslot(diff1260);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = diff1256;
  params[1] = diff1260;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1261 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1247);
// compilenode returning call1261
    gc_frame_newslot(call1261);
    if1240 = call1261;
  } else {
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1262 = gc_frame_new();
// compilenode returning *var_i
  int op_slot_right_1263 = gc_frame_newslot(*var_i);
  int callframe1266 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1267 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1266);
// compilenode returning call1267
// compilenode returning call1267
  int op_slot_right_1265 = gc_frame_newslot(call1267);
// compilenode returning *var_linePosition
  int op_slot_left_1265 = gc_frame_newslot(*var_linePosition);
  params[0] = call1267;
  partcv[0] = 1;
  Object diff1269 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1269
  int op_slot_left_1263 = gc_frame_newslot(diff1269);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1270 = callmethod(diff1269, "+", 1, partcv, params);
// compilenode returning sum1270
  gc_frame_newslot(sum1270);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = sum1270;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1271 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe1262);
// compilenode returning call1271
    gc_frame_newslot(call1271);
    if1240 = call1271;
  }
// compilenode returning if1240
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1274 = alloc_Float64(10);
// compilenode returning num1274
  int op_slot_right_1273 = gc_frame_newslot(num1274);
// compilenode returning *var_base
  int op_slot_left_1273 = gc_frame_newslot(*var_base);
  params[0] = num1274;
  partcv[0] = 1;
  Object opresult1276 = callmethod(*var_base, "<=", 1, partcv, params);
// compilenode returning opresult1276
  Object if1272 = done;
struct StackFrameObject *iftmpstackframe1272 = stackframe;
  if (istrue(opresult1276)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1272);
gc_frame_newslot((Object)stackframe);
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1278 == NULL) {
    strlit1278 = alloc_String("'");
    gc_root(strlit1278);
  }
// compilenode returning strlit1278
  int op_slot_right_1277 = gc_frame_newslot(strlit1278);
  Object num1282 = alloc_Float64(1);
// compilenode returning num1282
  int op_slot_right_1281 = gc_frame_newslot(num1282);
// compilenode returning *var_base
  int op_slot_left_1281 = gc_frame_newslot(*var_base);
  params[0] = num1282;
  partcv[0] = 1;
  Object diff1284 = callmethod(*var_base, "-", 1, partcv, params);
// compilenode returning diff1284
  int op_slot_right_1280 = gc_frame_newslot(diff1284);
  if (strlit1286 == NULL) {
    strlit1286 = alloc_String("'0' to '");
    gc_root(strlit1286);
  }
// compilenode returning strlit1286
  int op_slot_left_1280 = gc_frame_newslot(strlit1286);
  params[0] = diff1284;
  partcv[0] = 1;
  Object opresult1287 = callmethod(strlit1286, "++", 1, partcv, params);
// compilenode returning opresult1287
  int op_slot_left_1277 = gc_frame_newslot(opresult1287);
  params[0] = strlit1278;
  partcv[0] = 1;
  Object opresult1288 = callmethod(opresult1287, "++", 1, partcv, params);
// compilenode returning opresult1288
    gc_frame_newslot(opresult1288);
    if1272 = opresult1288;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe1272);
gc_frame_newslot((Object)stackframe);
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1290 == NULL) {
    strlit1290 = alloc_String("'");
    gc_root(strlit1290);
  }
// compilenode returning strlit1290
  int op_slot_right_1289 = gc_frame_newslot(strlit1290);
  int callframe1293 = gc_frame_new();
// compilenode returning *var_base
  int op_slot_right_1294 = gc_frame_newslot(*var_base);
  Object num1296 = alloc_Float64(87);
// compilenode returning num1296
  int op_slot_left_1294 = gc_frame_newslot(num1296);
  params[0] = *var_base;
  partcv[0] = 1;
  Object sum1297 = callmethod(num1296, "+", 1, partcv, params);
// compilenode returning sum1297
  gc_frame_newslot(sum1297);
// compilenode returning *var_unicode
  params[0] = sum1297;
  partcv[0] = 1;
  Object call1298 = callmethod(*var_unicode, "create",
    1, partcv, params);
  gc_frame_end(callframe1293);
// compilenode returning call1298
  int op_slot_right_1292 = gc_frame_newslot(call1298);
  if (strlit1300 == NULL) {
    strlit1300 = alloc_String("'0' to '9', 'a' to '");
    gc_root(strlit1300);
  }
// compilenode returning strlit1300
  int op_slot_left_1292 = gc_frame_newslot(strlit1300);
  params[0] = call1298;
  partcv[0] = 1;
  Object opresult1301 = callmethod(strlit1300, "++", 1, partcv, params);
// compilenode returning opresult1301
  int op_slot_left_1289 = gc_frame_newslot(opresult1301);
  params[0] = strlit1290;
  partcv[0] = 1;
  Object opresult1302 = callmethod(opresult1301, "++", 1, partcv, params);
// compilenode returning opresult1302
    gc_frame_newslot(opresult1302);
    if1272 = opresult1302;
  }
stackframe = iftmpstackframe1272;
// compilenode returning if1272
  *var_validDigits = if1272;
  if (if1272 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1303 = gc_frame_new();
  if (strlit1305 == NULL) {
    strlit1305 = alloc_String(".");
    gc_root(strlit1305);
  }
// compilenode returning strlit1305
  int op_slot_right_1304 = gc_frame_newslot(strlit1305);
// compilenode returning *var_validDigits
  int op_slot_right_1307 = gc_frame_newslot(*var_validDigits);
  if (strlit1310 == NULL) {
    strlit1310 = alloc_String(". Valid digits are ");
    gc_root(strlit1310);
  }
// compilenode returning strlit1310
  int op_slot_right_1309 = gc_frame_newslot(strlit1310);
// compilenode returning *var_base
  int op_slot_right_1312 = gc_frame_newslot(*var_base);
  if (strlit1315 == NULL) {
    strlit1315 = alloc_String("' is not a valid digit in base ");
    gc_root(strlit1315);
  }
// compilenode returning strlit1315
  int op_slot_right_1314 = gc_frame_newslot(strlit1315);
// compilenode returning *var_c
  int op_slot_right_1317 = gc_frame_newslot(*var_c);
  if (strlit1319 == NULL) {
    strlit1319 = alloc_String("'");
    gc_root(strlit1319);
  }
// compilenode returning strlit1319
  int op_slot_left_1317 = gc_frame_newslot(strlit1319);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1320 = callmethod(strlit1319, "++", 1, partcv, params);
// compilenode returning opresult1320
  int op_slot_left_1314 = gc_frame_newslot(opresult1320);
  params[0] = strlit1315;
  partcv[0] = 1;
  Object opresult1321 = callmethod(opresult1320, "++", 1, partcv, params);
// compilenode returning opresult1321
  int op_slot_left_1312 = gc_frame_newslot(opresult1321);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1322 = callmethod(opresult1321, "++", 1, partcv, params);
// compilenode returning opresult1322
  int op_slot_left_1309 = gc_frame_newslot(opresult1322);
  params[0] = strlit1310;
  partcv[0] = 1;
  Object opresult1323 = callmethod(opresult1322, "++", 1, partcv, params);
// compilenode returning opresult1323
  int op_slot_left_1307 = gc_frame_newslot(opresult1323);
  params[0] = *var_validDigits;
  partcv[0] = 1;
  Object opresult1324 = callmethod(opresult1323, "++", 1, partcv, params);
// compilenode returning opresult1324
  int op_slot_left_1304 = gc_frame_newslot(opresult1324);
  params[0] = strlit1305;
  partcv[0] = 1;
  Object opresult1325 = callmethod(opresult1324, "++", 1, partcv, params);
// compilenode returning opresult1325
  gc_frame_newslot(opresult1325);
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_i
  int op_slot_right_1326 = gc_frame_newslot(*var_i);
  int callframe1329 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1330 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1329);
// compilenode returning call1330
// compilenode returning call1330
  int op_slot_right_1328 = gc_frame_newslot(call1330);
// compilenode returning *var_linePosition
  int op_slot_left_1328 = gc_frame_newslot(*var_linePosition);
  params[0] = call1330;
  partcv[0] = 1;
  Object diff1332 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1332
  int op_slot_left_1326 = gc_frame_newslot(diff1332);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1333 = callmethod(diff1332, "+", 1, partcv, params);
// compilenode returning sum1333
  gc_frame_newslot(sum1333);
// compilenode returning *var_i
  int op_slot_right_1334 = gc_frame_newslot(*var_i);
  int callframe1337 = gc_frame_new();
// compilenode returning *var_str
  partcv[0] = 0;
  Object call1338 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1337);
// compilenode returning call1338
// compilenode returning call1338
  int op_slot_right_1336 = gc_frame_newslot(call1338);
// compilenode returning *var_linePosition
  int op_slot_left_1336 = gc_frame_newslot(*var_linePosition);
  params[0] = call1338;
  partcv[0] = 1;
  Object diff1340 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1340
  int op_slot_left_1334 = gc_frame_newslot(diff1340);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1341 = callmethod(diff1340, "+", 1, partcv, params);
// compilenode returning sum1341
  gc_frame_newslot(sum1341);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult1325;
  params[1] = *var_lineNumber;
  params[2] = sum1333;
  params[3] = sum1341;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1342 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1303);
// compilenode returning call1342
    gc_frame_newslot(call1342);
    if1194 = call1342;
  }
// compilenode returning if1194
    gc_frame_newslot(if1194);
    if1190 = if1194;
  } else {
  }
// compilenode returning if1190
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_inc
  int op_slot_right_1343 = gc_frame_newslot(*var_inc);
// compilenode returning *var_val
  int op_slot_left_1343 = gc_frame_newslot(*var_val);
  params[0] = *var_inc;
  partcv[0] = 1;
  Object sum1345 = callmethod(*var_val, "+", 1, partcv, params);
// compilenode returning sum1345
  *var_val = sum1345;
  if (sum1345 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1348 = alloc_Float64(1);
// compilenode returning num1348
  int op_slot_right_1347 = gc_frame_newslot(num1348);
// compilenode returning *var_i
  int op_slot_left_1347 = gc_frame_newslot(*var_i);
  params[0] = num1348;
  partcv[0] = 1;
  Object sum1350 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum1350
  *var_i = sum1350;
  if (sum1350 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_fromBase1138(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromBase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method fromBase");
  Object params[2];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_linePosition = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fromBase (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  Object *var_base = &(stackframe->slots[1]);
  *var_base = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for fromBase");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1139 = alloc_Float64(0);
// compilenode returning num1139
  *var_val = num1139;
  if (num1139 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1140 = alloc_Float64(0);
// compilenode returning num1140
  *var_i = num1140;
  if (num1140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1141 = gc_frame_new();
// compilenode returning *var_str
  gc_frame_newslot(*var_str);
  Object block1142 = alloc_Block(NULL, NULL, "lexer", 379);
  gc_frame_newslot(block1142);
  block_savedest(block1142);
  Object closure1143 = createclosure(9, "_apply");
  setclosureframe(closure1143, stackframe);
  addtoclosure(closure1143, var_base);
  addtoclosure(closure1143, var_val);
  addtoclosure(closure1143, var_str);
  addtoclosure(closure1143, var_errormessages);
  addtoclosure(closure1143, var_linePosition);
  addtoclosure(closure1143, var_lineNumber);
  addtoclosure(closure1143, var_i);
  addtoclosure(closure1143, var_unicode);
  addtoclosure(closure1143, selfslot);
  struct UserObject *uo1143 = (struct UserObject*)block1142;
  uo1143->data[0] = (Object)closure1143;
  Method *meth_meth_lexer__apply1143 = addmethod2pos(block1142, "_apply", &meth_lexer__apply1143, 0);
int argcv_meth_lexer__apply1143[] = {1};
meth_meth_lexer__apply1143->type = alloc_MethodType(1, argcv_meth_lexer__apply1143);
  meth_meth_lexer__apply1143->definitionModule = modulename;
  meth_meth_lexer__apply1143->definitionLine = 365;
// compilenode returning block1142
  gc_frame_newslot(block1142);
  params[0] = *var_str;
  params[1] = block1142;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1353 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1141);
// compilenode returning call1353
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_val
  gc_frame_end(frame);
  return *var_val;
}
Object meth_lexer__apply1361(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_baseSet = getfromclosure(closure, 0);
  Object *var_sofar = getfromclosure(closure, 1);
  Object *var_base = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_accum = getfromclosure(closure, 5);
  Object *var_linePosition = getfromclosure(closure, 6);
  Object *var_lineNumber = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1364 = gc_frame_new();
// compilenode returning *var_baseSet
  partcv[0] = 0;
  Object call1365 = callmethod(*var_baseSet, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe1364);
// compilenode returning call1365
  int op_slot_right_1363 = gc_frame_newslot(call1365);
  if (strlit1368 == NULL) {
    strlit1368 = alloc_String("x");
    gc_root(strlit1368);
  }
// compilenode returning strlit1368
  int op_slot_right_1367 = gc_frame_newslot(strlit1368);
// compilenode returning *var_c
  int op_slot_left_1367 = gc_frame_newslot(*var_c);
  params[0] = strlit1368;
  partcv[0] = 1;
  Object opresult1370 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1370
  int op_slot_left_1363 = gc_frame_newslot(opresult1370);
  params[0] = call1365;
  partcv[0] = 1;
  Object opresult1371 = callmethod(opresult1370, "&&", 1, partcv, params);
// compilenode returning opresult1371
  Object if1362 = done;
  if (istrue(opresult1371)) {
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1372 = gc_frame_new();
// compilenode returning *var_sofar
  partcv[0] = 0;
  Object call1373 = callmethod(*var_sofar, "asNumber",
    1, partcv, params);
  gc_frame_end(callframe1372);
// compilenode returning call1373
// compilenode returning call1373
  *var_base = call1373;
  if (call1373 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1375 = alloc_Boolean(1);
// compilenode returning bool1375
  *var_baseSet = bool1375;
  if (bool1375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1379 = alloc_Float64(0);
// compilenode returning num1379
  int op_slot_right_1378 = gc_frame_newslot(num1379);
// compilenode returning *var_base
  int op_slot_left_1378 = gc_frame_newslot(*var_base);
  params[0] = num1379;
  partcv[0] = 1;
  Object opresult1381 = callmethod(*var_base, "==", 1, partcv, params);
// compilenode returning opresult1381
  Object if1377 = done;
  if (istrue(opresult1381)) {
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1382 = alloc_Float64(16);
// compilenode returning num1382
  *var_base = num1382;
  if (num1382 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1377 = done;
  } else {
  }
// compilenode returning if1377
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1387 = alloc_Float64(36);
// compilenode returning num1387
  int op_slot_right_1386 = gc_frame_newslot(num1387);
// compilenode returning *var_base
  int op_slot_left_1386 = gc_frame_newslot(*var_base);
  params[0] = num1387;
  partcv[0] = 1;
  Object opresult1389 = callmethod(*var_base, ">", 1, partcv, params);
// compilenode returning opresult1389
  int op_slot_right_1385 = gc_frame_newslot(opresult1389);
  Object num1392 = alloc_Float64(2);
// compilenode returning num1392
  int op_slot_right_1391 = gc_frame_newslot(num1392);
// compilenode returning *var_base
  int op_slot_left_1391 = gc_frame_newslot(*var_base);
  params[0] = num1392;
  partcv[0] = 1;
  Object opresult1394 = callmethod(*var_base, "<", 1, partcv, params);
// compilenode returning opresult1394
  int op_slot_left_1385 = gc_frame_newslot(opresult1394);
  params[0] = opresult1389;
  partcv[0] = 1;
  Object opresult1395 = callmethod(opresult1394, "||", 1, partcv, params);
// compilenode returning opresult1395
  Object if1384 = done;
  if (istrue(opresult1395)) {
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1396 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1396
  *var_suggestions = array1396;
  if (array1396 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1397 = gc_frame_new();
  int callframe1398 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1399 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1398);
// compilenode returning call1399
// compilenode returning call1399
  partcv[0] = 0;
  Object call1400 = callmethod(call1399, "new",
    1, partcv, params);
  gc_frame_end(callframe1397);
// compilenode returning call1400
// compilenode returning call1400
  *var_suggestion = call1400;
  if (call1400 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1401 = gc_frame_new();
// compilenode returning *var_i
  int op_slot_right_1402 = gc_frame_newslot(*var_i);
  int callframe1405 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1406 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1405);
// compilenode returning call1406
// compilenode returning call1406
  int op_slot_right_1404 = gc_frame_newslot(call1406);
// compilenode returning *var_linePosition
  int op_slot_left_1404 = gc_frame_newslot(*var_linePosition);
  params[0] = call1406;
  partcv[0] = 1;
  Object diff1408 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1408
  int op_slot_left_1402 = gc_frame_newslot(diff1408);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1409 = callmethod(diff1408, "+", 1, partcv, params);
// compilenode returning sum1409
  gc_frame_newslot(sum1409);
  if (strlit1410 == NULL) {
    strlit1410 = alloc_String("*");
    gc_root(strlit1410);
  }
// compilenode returning strlit1410
  gc_frame_newslot(strlit1410);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = sum1409;
  params[1] = strlit1410;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1411 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe1401);
// compilenode returning call1411
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1412 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1413 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1412);
// compilenode returning call1413
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1414 = gc_frame_new();
  int callframe1415 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1416 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1415);
// compilenode returning call1416
// compilenode returning call1416
  partcv[0] = 0;
  Object call1417 = callmethod(call1416, "new",
    1, partcv, params);
  gc_frame_end(callframe1414);
// compilenode returning call1417
// compilenode returning call1417
  *var_suggestion = call1417;
  if (call1417 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1419 = gc_frame_new();
  int callframe1421 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1422 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1421);
// compilenode returning call1422
// compilenode returning call1422
  int op_slot_right_1420 = gc_frame_newslot(call1422);
// compilenode returning *var_linePosition
  int op_slot_left_1420 = gc_frame_newslot(*var_linePosition);
  params[0] = call1422;
  partcv[0] = 1;
  Object diff1424 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1424
  gc_frame_newslot(diff1424);
// compilenode returning *var_i
  int op_slot_right_1425 = gc_frame_newslot(*var_i);
  int callframe1428 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1429 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1428);
// compilenode returning call1429
// compilenode returning call1429
  int op_slot_right_1427 = gc_frame_newslot(call1429);
// compilenode returning *var_linePosition
  int op_slot_left_1427 = gc_frame_newslot(*var_linePosition);
  params[0] = call1429;
  partcv[0] = 1;
  Object diff1431 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1431
  int op_slot_left_1425 = gc_frame_newslot(diff1431);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1432 = callmethod(diff1431, "+", 1, partcv, params);
// compilenode returning sum1432
  gc_frame_newslot(sum1432);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = diff1424;
  params[1] = sum1432;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1433 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1419);
// compilenode returning call1433
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1434 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1435 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1434);
// compilenode returning call1435
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1436 = gc_frame_new();
  if (strlit1438 == NULL) {
    strlit1438 = alloc_String(" is not a valid numerical base.");
    gc_root(strlit1438);
  }
// compilenode returning strlit1438
  int op_slot_right_1437 = gc_frame_newslot(strlit1438);
// compilenode returning *var_base
  int op_slot_right_1440 = gc_frame_newslot(*var_base);
  if (strlit1442 == NULL) {
    strlit1442 = alloc_String("Base ");
    gc_root(strlit1442);
  }
// compilenode returning strlit1442
  int op_slot_left_1440 = gc_frame_newslot(strlit1442);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1443 = callmethod(strlit1442, "++", 1, partcv, params);
// compilenode returning opresult1443
  int op_slot_left_1437 = gc_frame_newslot(opresult1443);
  params[0] = strlit1438;
  partcv[0] = 1;
  Object opresult1444 = callmethod(opresult1443, "++", 1, partcv, params);
// compilenode returning opresult1444
  gc_frame_newslot(opresult1444);
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe1446 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1447 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1446);
// compilenode returning call1447
// compilenode returning call1447
  int op_slot_right_1445 = gc_frame_newslot(call1447);
// compilenode returning *var_linePosition
  int op_slot_left_1445 = gc_frame_newslot(*var_linePosition);
  params[0] = call1447;
  partcv[0] = 1;
  Object diff1449 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1449
  gc_frame_newslot(diff1449);
  Object num1451 = alloc_Float64(1);
// compilenode returning num1451
  int op_slot_right_1450 = gc_frame_newslot(num1451);
// compilenode returning *var_i
  int op_slot_right_1453 = gc_frame_newslot(*var_i);
  int callframe1456 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1457 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1456);
// compilenode returning call1457
// compilenode returning call1457
  int op_slot_right_1455 = gc_frame_newslot(call1457);
// compilenode returning *var_linePosition
  int op_slot_left_1455 = gc_frame_newslot(*var_linePosition);
  params[0] = call1457;
  partcv[0] = 1;
  Object diff1459 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1459
  int op_slot_left_1453 = gc_frame_newslot(diff1459);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1460 = callmethod(diff1459, "+", 1, partcv, params);
// compilenode returning sum1460
  int op_slot_left_1450 = gc_frame_newslot(sum1460);
  params[0] = num1451;
  partcv[0] = 1;
  Object diff1461 = callmethod(sum1460, "-", 1, partcv, params);
// compilenode returning diff1461
  gc_frame_newslot(diff1461);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult1444;
  params[1] = *var_lineNumber;
  params[2] = diff1449;
  params[3] = diff1461;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1462 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1436);
// compilenode returning call1462
    gc_frame_newslot(call1462);
    if1384 = call1462;
  } else {
  }
// compilenode returning if1384
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1463 == NULL) {
    strlit1463 = alloc_String("");
    gc_root(strlit1463);
  }
// compilenode returning strlit1463
  *var_sofar = strlit1463;
  if (strlit1463 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1362 = done;
  } else {
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_1465 = gc_frame_newslot(*var_c);
// compilenode returning *var_sofar
  int op_slot_left_1465 = gc_frame_newslot(*var_sofar);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1467 = callmethod(*var_sofar, "++", 1, partcv, params);
// compilenode returning opresult1467
  *var_sofar = opresult1467;
  if (opresult1467 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1362 = done;
  }
// compilenode returning if1362
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1470 = alloc_Float64(1);
// compilenode returning num1470
  int op_slot_right_1469 = gc_frame_newslot(num1470);
// compilenode returning *var_i
  int op_slot_left_1469 = gc_frame_newslot(*var_i);
  params[0] = num1470;
  partcv[0] = 1;
  Object sum1472 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum1472
  *var_i = sum1472;
  if (sum1472 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_makeNumToken1354(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "makeNumToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method makeNumToken");
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_linePosition = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_NumToken = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for makeNumToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_accum = &(stackframe->slots[0]);
  *var_accum = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for makeNumToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_base = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "base");
  Object *var_baseSet = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "baseSet");
  Object *var_sofar = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "sofar");
  Object *var_i = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "i");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
  Object *var_suggestion = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestion");
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1355 = alloc_Float64(10);
// compilenode returning num1355
  *var_base = num1355;
  if (num1355 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1356 = alloc_Boolean(0);
// compilenode returning bool1356
  *var_baseSet = bool1356;
  if (bool1356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1357 == NULL) {
    strlit1357 = alloc_String("");
    gc_root(strlit1357);
  }
// compilenode returning strlit1357
  *var_sofar = strlit1357;
  if (strlit1357 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1358 = alloc_Float64(0);
// compilenode returning num1358
  *var_i = num1358;
  if (num1358 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1359 = gc_frame_new();
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  Object block1360 = alloc_Block(NULL, NULL, "lexer", 422);
  gc_frame_newslot(block1360);
  block_savedest(block1360);
  Object closure1361 = createclosure(9, "_apply");
  setclosureframe(closure1361, stackframe);
  addtoclosure(closure1361, var_baseSet);
  addtoclosure(closure1361, var_sofar);
  addtoclosure(closure1361, var_base);
  addtoclosure(closure1361, var_errormessages);
  addtoclosure(closure1361, var_i);
  addtoclosure(closure1361, var_accum);
  addtoclosure(closure1361, var_linePosition);
  addtoclosure(closure1361, var_lineNumber);
  addtoclosure(closure1361, selfslot);
  struct UserObject *uo1361 = (struct UserObject*)block1360;
  uo1361->data[0] = (Object)closure1361;
  Method *meth_meth_lexer__apply1361 = addmethod2pos(block1360, "_apply", &meth_lexer__apply1361, 0);
int argcv_meth_lexer__apply1361[] = {1};
meth_meth_lexer__apply1361->type = alloc_MethodType(1, argcv_meth_lexer__apply1361);
  meth_meth_lexer__apply1361->definitionModule = modulename;
  meth_meth_lexer__apply1361->definitionLine = 409;
// compilenode returning block1360
  gc_frame_newslot(block1360);
  params[0] = *var_accum;
  params[1] = block1360;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1475 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1359);
// compilenode returning call1475
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1478 == NULL) {
    strlit1478 = alloc_String("");
    gc_root(strlit1478);
  }
// compilenode returning strlit1478
  int op_slot_right_1477 = gc_frame_newslot(strlit1478);
// compilenode returning *var_sofar
  int op_slot_left_1477 = gc_frame_newslot(*var_sofar);
  params[0] = strlit1478;
  partcv[0] = 1;
  Object opresult1480 = callmethod(*var_sofar, "==", 1, partcv, params);
// compilenode returning opresult1480
  Object if1476 = done;
  if (istrue(opresult1480)) {
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1481 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1481
  *var_suggestions = array1481;
  if (array1481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1482 = gc_frame_new();
  int callframe1483 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1484 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1483);
// compilenode returning call1484
// compilenode returning call1484
  partcv[0] = 0;
  Object call1485 = callmethod(call1484, "new",
    1, partcv, params);
  gc_frame_end(callframe1482);
// compilenode returning call1485
// compilenode returning call1485
  *var_suggestion = call1485;
  if (call1485 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1486 = gc_frame_new();
  Object num1488 = alloc_Float64(1);
// compilenode returning num1488
  int op_slot_right_1487 = gc_frame_newslot(num1488);
// compilenode returning *var_i
  int op_slot_right_1490 = gc_frame_newslot(*var_i);
  int callframe1493 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1494 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1493);
// compilenode returning call1494
// compilenode returning call1494
  int op_slot_right_1492 = gc_frame_newslot(call1494);
// compilenode returning *var_linePosition
  int op_slot_left_1492 = gc_frame_newslot(*var_linePosition);
  params[0] = call1494;
  partcv[0] = 1;
  Object diff1496 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1496
  int op_slot_left_1490 = gc_frame_newslot(diff1496);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1497 = callmethod(diff1496, "+", 1, partcv, params);
// compilenode returning sum1497
  int op_slot_left_1487 = gc_frame_newslot(sum1497);
  params[0] = num1488;
  partcv[0] = 1;
  Object diff1498 = callmethod(sum1497, "-", 1, partcv, params);
// compilenode returning diff1498
  gc_frame_newslot(diff1498);
  Object num1500 = alloc_Float64(1);
// compilenode returning num1500
  int op_slot_right_1499 = gc_frame_newslot(num1500);
// compilenode returning *var_linePosition
  int op_slot_left_1499 = gc_frame_newslot(*var_linePosition);
  params[0] = num1500;
  partcv[0] = 1;
  Object diff1502 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1502
  gc_frame_newslot(diff1502);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = diff1498;
  params[1] = diff1502;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1503 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1486);
// compilenode returning call1503
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1504 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1505 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1504);
// compilenode returning call1505
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1506 = gc_frame_new();
  int callframe1507 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1508 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1507);
// compilenode returning call1508
// compilenode returning call1508
  partcv[0] = 0;
  Object call1509 = callmethod(call1508, "new",
    1, partcv, params);
  gc_frame_end(callframe1506);
// compilenode returning call1509
// compilenode returning call1509
  *var_suggestion = call1509;
  if (call1509 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1511 = gc_frame_new();
  if (strlit1512 == NULL) {
    strlit1512 = alloc_String("0");
    gc_root(strlit1512);
  }
// compilenode returning strlit1512
  gc_frame_newslot(strlit1512);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = strlit1512;
  params[1] = *var_linePosition;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1513 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe1511);
// compilenode returning call1513
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1514 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1515 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1514);
// compilenode returning call1515
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1516 = gc_frame_new();
  if (strlit1517 == NULL) {
    strlit1517 = alloc_String("At least one digit must follow the 'x' in a number.");
    gc_root(strlit1517);
  }
// compilenode returning strlit1517
  gc_frame_newslot(strlit1517);
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_i
  int op_slot_right_1518 = gc_frame_newslot(*var_i);
  int callframe1521 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call1522 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1521);
// compilenode returning call1522
// compilenode returning call1522
  int op_slot_right_1520 = gc_frame_newslot(call1522);
// compilenode returning *var_linePosition
  int op_slot_left_1520 = gc_frame_newslot(*var_linePosition);
  params[0] = call1522;
  partcv[0] = 1;
  Object diff1524 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff1524
  int op_slot_left_1518 = gc_frame_newslot(diff1524);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1525 = callmethod(diff1524, "+", 1, partcv, params);
// compilenode returning sum1525
  gc_frame_newslot(sum1525);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1517;
  params[1] = *var_lineNumber;
  params[2] = sum1525;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1526 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1516);
// compilenode returning call1526
    gc_frame_newslot(call1526);
    if1476 = call1526;
  } else {
  }
// compilenode returning if1476
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1527 = gc_frame_new();
  int callframe1528 = gc_frame_new();
  int callframe1529 = gc_frame_new();
// compilenode returning *var_sofar
  gc_frame_newslot(*var_sofar);
// compilenode returning *var_base
  gc_frame_newslot(*var_base);
  params[0] = *var_sofar;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1530 = callmethodflags(self, "fromBase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1529);
// compilenode returning call1530
  partcv[0] = 0;
  Object call1531 = callmethod(call1530, "asString",
    1, partcv, params);
  gc_frame_end(callframe1528);
// compilenode returning call1531
// compilenode returning call1531
  gc_frame_newslot(call1531);
// compilenode returning *var_base
  gc_frame_newslot(*var_base);
// compilenode returning *var_NumToken
  params[0] = call1531;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1532 = callmethod(*var_NumToken, "new",
    1, partcv, params);
  gc_frame_end(callframe1527);
// compilenode returning call1532
  gc_frame_end(frame);
  return call1532;
}
Object meth_lexer_isidentifierchar1533(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isidentifierchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method isidentifierchar");
  Object params[1];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isidentifierchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ov = &(stackframe->slots[0]);
  *var_ov = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for isidentifierchar");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1535 = gc_frame_new();
// compilenode returning *var_ov
  gc_frame_newslot(*var_ov);
// compilenode returning *var_unicode
  params[0] = *var_ov;
  partcv[0] = 1;
  Object call1536 = callmethod(*var_unicode, "isLetter",
    1, partcv, params);
  gc_frame_end(callframe1535);
// compilenode returning call1536
  Object if1534 = done;
  if (istrue(call1536)) {
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1537 = alloc_Boolean(1);
// compilenode returning bool1537
  return bool1537;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1534 = undefined;
  } else {
  }
// compilenode returning if1534
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1539 = gc_frame_new();
// compilenode returning *var_ov
  gc_frame_newslot(*var_ov);
// compilenode returning *var_unicode
  params[0] = *var_ov;
  partcv[0] = 1;
  Object call1540 = callmethod(*var_unicode, "isNumber",
    1, partcv, params);
  gc_frame_end(callframe1539);
// compilenode returning call1540
  Object if1538 = done;
  if (istrue(call1540)) {
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1541 = alloc_Boolean(1);
// compilenode returning bool1541
  return bool1541;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1538 = undefined;
  } else {
  }
// compilenode returning if1538
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1545 = alloc_Float64(39);
// compilenode returning num1545
  int op_slot_right_1544 = gc_frame_newslot(num1545);
// compilenode returning *var_ov
  int op_slot_left_1544 = gc_frame_newslot(*var_ov);
  params[0] = num1545;
  partcv[0] = 1;
  Object opresult1547 = callmethod(*var_ov, "==", 1, partcv, params);
// compilenode returning opresult1547
  int op_slot_right_1543 = gc_frame_newslot(opresult1547);
  Object num1550 = alloc_Float64(95);
// compilenode returning num1550
  int op_slot_right_1549 = gc_frame_newslot(num1550);
// compilenode returning *var_ov
  int op_slot_left_1549 = gc_frame_newslot(*var_ov);
  params[0] = num1550;
  partcv[0] = 1;
  Object opresult1552 = callmethod(*var_ov, "==", 1, partcv, params);
// compilenode returning opresult1552
  int op_slot_left_1543 = gc_frame_newslot(opresult1552);
  params[0] = opresult1547;
  partcv[0] = 1;
  Object opresult1553 = callmethod(opresult1552, "||", 1, partcv, params);
// compilenode returning opresult1553
  Object if1542 = done;
  if (istrue(opresult1553)) {
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1554 = alloc_Boolean(1);
// compilenode returning bool1554
    gc_frame_newslot(bool1554);
    if1542 = bool1554;
  } else {
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1555 = alloc_Boolean(0);
// compilenode returning bool1555
    gc_frame_newslot(bool1555);
    if1542 = bool1555;
  }
// compilenode returning if1542
  gc_frame_end(frame);
  return if1542;
}
Object meth_lexer_isoperatorchar1556(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isoperatorchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method isoperatorchar");
  Object params[2];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isoperatorchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *var_ordval = &(stackframe->slots[1]);
  *var_ordval = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for isoperatorchar");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1560 == NULL) {
    strlit1560 = alloc_String("!");
    gc_root(strlit1560);
  }
// compilenode returning strlit1560
  int op_slot_right_1559 = gc_frame_newslot(strlit1560);
// compilenode returning *var_c
  int op_slot_left_1559 = gc_frame_newslot(*var_c);
  params[0] = strlit1560;
  partcv[0] = 1;
  Object opresult1562 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1562
  int op_slot_right_1558 = gc_frame_newslot(opresult1562);
  if (strlit1566 == NULL) {
    strlit1566 = alloc_String("+");
    gc_root(strlit1566);
  }
// compilenode returning strlit1566
  int op_slot_right_1565 = gc_frame_newslot(strlit1566);
// compilenode returning *var_c
  int op_slot_left_1565 = gc_frame_newslot(*var_c);
  params[0] = strlit1566;
  partcv[0] = 1;
  Object opresult1568 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1568
  int op_slot_right_1564 = gc_frame_newslot(opresult1568);
  if (strlit1572 == NULL) {
    strlit1572 = alloc_String("/");
    gc_root(strlit1572);
  }
// compilenode returning strlit1572
  int op_slot_right_1571 = gc_frame_newslot(strlit1572);
// compilenode returning *var_c
  int op_slot_left_1571 = gc_frame_newslot(*var_c);
  params[0] = strlit1572;
  partcv[0] = 1;
  Object opresult1574 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1574
  int op_slot_right_1570 = gc_frame_newslot(opresult1574);
  if (strlit1578 == NULL) {
    strlit1578 = alloc_String("*");
    gc_root(strlit1578);
  }
// compilenode returning strlit1578
  int op_slot_right_1577 = gc_frame_newslot(strlit1578);
// compilenode returning *var_c
  int op_slot_left_1577 = gc_frame_newslot(*var_c);
  params[0] = strlit1578;
  partcv[0] = 1;
  Object opresult1580 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1580
  int op_slot_right_1576 = gc_frame_newslot(opresult1580);
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1584 == NULL) {
    strlit1584 = alloc_String("?");
    gc_root(strlit1584);
  }
// compilenode returning strlit1584
  int op_slot_right_1583 = gc_frame_newslot(strlit1584);
// compilenode returning *var_c
  int op_slot_left_1583 = gc_frame_newslot(*var_c);
  params[0] = strlit1584;
  partcv[0] = 1;
  Object opresult1586 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1586
  int op_slot_right_1582 = gc_frame_newslot(opresult1586);
  if (strlit1590 == NULL) {
    strlit1590 = alloc_String("@");
    gc_root(strlit1590);
  }
// compilenode returning strlit1590
  int op_slot_right_1589 = gc_frame_newslot(strlit1590);
// compilenode returning *var_c
  int op_slot_left_1589 = gc_frame_newslot(*var_c);
  params[0] = strlit1590;
  partcv[0] = 1;
  Object opresult1592 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1592
  int op_slot_right_1588 = gc_frame_newslot(opresult1592);
  if (strlit1596 == NULL) {
    strlit1596 = alloc_String("^");
    gc_root(strlit1596);
  }
// compilenode returning strlit1596
  int op_slot_right_1595 = gc_frame_newslot(strlit1596);
// compilenode returning *var_c
  int op_slot_left_1595 = gc_frame_newslot(*var_c);
  params[0] = strlit1596;
  partcv[0] = 1;
  Object opresult1598 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1598
  int op_slot_right_1594 = gc_frame_newslot(opresult1598);
  if (strlit1602 == NULL) {
    strlit1602 = alloc_String("%");
    gc_root(strlit1602);
  }
// compilenode returning strlit1602
  int op_slot_right_1601 = gc_frame_newslot(strlit1602);
// compilenode returning *var_c
  int op_slot_left_1601 = gc_frame_newslot(*var_c);
  params[0] = strlit1602;
  partcv[0] = 1;
  Object opresult1604 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1604
  int op_slot_right_1600 = gc_frame_newslot(opresult1604);
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1608 == NULL) {
    strlit1608 = alloc_String(":");
    gc_root(strlit1608);
  }
// compilenode returning strlit1608
  int op_slot_right_1607 = gc_frame_newslot(strlit1608);
// compilenode returning *var_c
  int op_slot_left_1607 = gc_frame_newslot(*var_c);
  params[0] = strlit1608;
  partcv[0] = 1;
  Object opresult1610 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1610
  int op_slot_right_1606 = gc_frame_newslot(opresult1610);
  if (strlit1614 == NULL) {
    strlit1614 = alloc_String("|");
    gc_root(strlit1614);
  }
// compilenode returning strlit1614
  int op_slot_right_1613 = gc_frame_newslot(strlit1614);
// compilenode returning *var_c
  int op_slot_left_1613 = gc_frame_newslot(*var_c);
  params[0] = strlit1614;
  partcv[0] = 1;
  Object opresult1616 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1616
  int op_slot_right_1612 = gc_frame_newslot(opresult1616);
  if (strlit1620 == NULL) {
    strlit1620 = alloc_String("&");
    gc_root(strlit1620);
  }
// compilenode returning strlit1620
  int op_slot_right_1619 = gc_frame_newslot(strlit1620);
// compilenode returning *var_c
  int op_slot_left_1619 = gc_frame_newslot(*var_c);
  params[0] = strlit1620;
  partcv[0] = 1;
  Object opresult1622 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1622
  int op_slot_right_1618 = gc_frame_newslot(opresult1622);
  if (strlit1625 == NULL) {
    strlit1625 = alloc_String("-");
    gc_root(strlit1625);
  }
// compilenode returning strlit1625
  int op_slot_right_1624 = gc_frame_newslot(strlit1625);
// compilenode returning *var_c
  int op_slot_left_1624 = gc_frame_newslot(*var_c);
  params[0] = strlit1625;
  partcv[0] = 1;
  Object opresult1627 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1627
  int op_slot_left_1618 = gc_frame_newslot(opresult1627);
  params[0] = opresult1622;
  partcv[0] = 1;
  Object opresult1628 = callmethod(opresult1627, "||", 1, partcv, params);
// compilenode returning opresult1628
  int op_slot_left_1612 = gc_frame_newslot(opresult1628);
  params[0] = opresult1616;
  partcv[0] = 1;
  Object opresult1629 = callmethod(opresult1628, "||", 1, partcv, params);
// compilenode returning opresult1629
  int op_slot_left_1606 = gc_frame_newslot(opresult1629);
  params[0] = opresult1610;
  partcv[0] = 1;
  Object opresult1630 = callmethod(opresult1629, "||", 1, partcv, params);
// compilenode returning opresult1630
  int op_slot_left_1600 = gc_frame_newslot(opresult1630);
  params[0] = opresult1604;
  partcv[0] = 1;
  Object opresult1631 = callmethod(opresult1630, "||", 1, partcv, params);
// compilenode returning opresult1631
  int op_slot_left_1594 = gc_frame_newslot(opresult1631);
  params[0] = opresult1598;
  partcv[0] = 1;
  Object opresult1632 = callmethod(opresult1631, "||", 1, partcv, params);
// compilenode returning opresult1632
  int op_slot_left_1588 = gc_frame_newslot(opresult1632);
  params[0] = opresult1592;
  partcv[0] = 1;
  Object opresult1633 = callmethod(opresult1632, "||", 1, partcv, params);
// compilenode returning opresult1633
  int op_slot_left_1582 = gc_frame_newslot(opresult1633);
  params[0] = opresult1586;
  partcv[0] = 1;
  Object opresult1634 = callmethod(opresult1633, "||", 1, partcv, params);
// compilenode returning opresult1634
  int op_slot_left_1576 = gc_frame_newslot(opresult1634);
  params[0] = opresult1580;
  partcv[0] = 1;
  Object opresult1635 = callmethod(opresult1634, "||", 1, partcv, params);
// compilenode returning opresult1635
  int op_slot_left_1570 = gc_frame_newslot(opresult1635);
  params[0] = opresult1574;
  partcv[0] = 1;
  Object opresult1636 = callmethod(opresult1635, "||", 1, partcv, params);
// compilenode returning opresult1636
  int op_slot_left_1564 = gc_frame_newslot(opresult1636);
  params[0] = opresult1568;
  partcv[0] = 1;
  Object opresult1637 = callmethod(opresult1636, "||", 1, partcv, params);
// compilenode returning opresult1637
  int op_slot_left_1558 = gc_frame_newslot(opresult1637);
  params[0] = opresult1562;
  partcv[0] = 1;
  Object opresult1638 = callmethod(opresult1637, "||", 1, partcv, params);
// compilenode returning opresult1638
  Object if1557 = done;
  if (istrue(opresult1638)) {
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1639 = alloc_Boolean(1);
// compilenode returning bool1639
  return bool1639;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1557 = undefined;
  } else {
  }
// compilenode returning if1557
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1641 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_unicode
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call1642 = callmethod(*var_unicode, "isSymbolMathematical",
    1, partcv, params);
  gc_frame_end(callframe1641);
// compilenode returning call1642
  Object if1640 = done;
  if (istrue(call1642)) {
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1643 = alloc_Boolean(1);
// compilenode returning bool1643
  return bool1643;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1640 = undefined;
  } else {
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1645 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
  if (strlit1646 == NULL) {
    strlit1646 = alloc_String("So");
    gc_root(strlit1646);
  }
// compilenode returning strlit1646
  gc_frame_newslot(strlit1646);
// compilenode returning *var_unicode
  params[0] = *var_c;
  params[1] = strlit1646;
  partcv[0] = 2;
  Object call1647 = callmethod(*var_unicode, "iscategory",
    1, partcv, params);
  gc_frame_end(callframe1645);
// compilenode returning call1647
  Object if1644 = done;
  if (istrue(call1647)) {
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1648 = alloc_Boolean(1);
// compilenode returning bool1648
  return bool1648;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if1644 = undefined;
  } else {
  }
// compilenode returning if1644
    gc_frame_newslot(if1644);
    if1640 = if1644;
  }
// compilenode returning if1640
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1649 = alloc_Boolean(0);
// compilenode returning bool1649
  return bool1649;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__apply1663(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_lines = getfromclosure(closure, 1);
  Object *var_cLine = getfromclosure(closure, 2);
  Object *var_cLines = getfromclosure(closure, 3);
  Object *var_source = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1667 == NULL) {
    strlit1667 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit1667);
  }
// compilenode returning strlit1667
  int op_slot_right_1666 = gc_frame_newslot(strlit1667);
// compilenode returning *var_c
  int op_slot_left_1666 = gc_frame_newslot(*var_c);
  params[0] = strlit1667;
  partcv[0] = 1;
  Object opresult1669 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1669
  int op_slot_right_1665 = gc_frame_newslot(opresult1669);
  if (strlit1672 == NULL) {
    strlit1672 = alloc_String("""\x0a""");
    gc_root(strlit1672);
  }
// compilenode returning strlit1672
  int op_slot_right_1671 = gc_frame_newslot(strlit1672);
// compilenode returning *var_c
  int op_slot_left_1671 = gc_frame_newslot(*var_c);
  params[0] = strlit1672;
  partcv[0] = 1;
  Object opresult1674 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1674
  int op_slot_left_1665 = gc_frame_newslot(opresult1674);
  params[0] = opresult1669;
  partcv[0] = 1;
  Object opresult1675 = callmethod(opresult1674, "||", 1, partcv, params);
// compilenode returning opresult1675
  Object if1664 = done;
  if (istrue(opresult1675)) {
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1676 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_lines
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1677 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1676);
// compilenode returning call1677
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1678 = gc_frame_new();
// compilenode returning *var_cLine
  gc_frame_newslot(*var_cLine);
// compilenode returning *var_cLines
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1679 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1678);
// compilenode returning call1679
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1680 == NULL) {
    strlit1680 = alloc_String("");
    gc_root(strlit1680);
  }
// compilenode returning strlit1680
  *var_line = strlit1680;
  if (strlit1680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1682 == NULL) {
    strlit1682 = alloc_String("");
    gc_root(strlit1682);
  }
// compilenode returning strlit1682
  *var_cLine = strlit1682;
  if (strlit1682 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1664 = done;
  } else {
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1686 == NULL) {
    strlit1686 = alloc_String("""\x0d""");
    gc_root(strlit1686);
  }
// compilenode returning strlit1686
  int op_slot_right_1685 = gc_frame_newslot(strlit1686);
// compilenode returning *var_c
  int op_slot_left_1685 = gc_frame_newslot(*var_c);
  params[0] = strlit1686;
  partcv[0] = 1;
  Object opresult1688 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1688
  Object if1684 = done;
  if (istrue(opresult1688)) {
    gc_frame_newslot(done);
    if1684 = done;
  } else {
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1691 == NULL) {
    strlit1691 = alloc_String("\\");
    gc_root(strlit1691);
  }
// compilenode returning strlit1691
  int op_slot_right_1690 = gc_frame_newslot(strlit1691);
// compilenode returning *var_c
  int op_slot_left_1690 = gc_frame_newslot(*var_c);
  params[0] = strlit1691;
  partcv[0] = 1;
  Object opresult1693 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1693
  Object if1689 = done;
  if (istrue(opresult1693)) {
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1695 == NULL) {
    strlit1695 = alloc_String("\\");
    gc_root(strlit1695);
  }
// compilenode returning strlit1695
  int op_slot_right_1694 = gc_frame_newslot(strlit1695);
// compilenode returning *var_line
  int op_slot_left_1694 = gc_frame_newslot(*var_line);
  params[0] = strlit1695;
  partcv[0] = 1;
  Object opresult1697 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult1697
  *var_line = opresult1697;
  if (opresult1697 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1700 == NULL) {
    strlit1700 = alloc_String("\\\\");
    gc_root(strlit1700);
  }
// compilenode returning strlit1700
  int op_slot_right_1699 = gc_frame_newslot(strlit1700);
// compilenode returning *var_cLine
  int op_slot_left_1699 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1700;
  partcv[0] = 1;
  Object opresult1702 = callmethod(*var_cLine, "++", 1, partcv, params);
// compilenode returning opresult1702
  *var_cLine = opresult1702;
  if (opresult1702 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1689 = done;
  } else {
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1706 == NULL) {
    strlit1706 = alloc_String("""\x22""");
    gc_root(strlit1706);
  }
// compilenode returning strlit1706
  int op_slot_right_1705 = gc_frame_newslot(strlit1706);
// compilenode returning *var_c
  int op_slot_left_1705 = gc_frame_newslot(*var_c);
  params[0] = strlit1706;
  partcv[0] = 1;
  Object opresult1708 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult1708
  Object if1704 = done;
  if (istrue(opresult1708)) {
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1710 == NULL) {
    strlit1710 = alloc_String("""\x22""");
    gc_root(strlit1710);
  }
// compilenode returning strlit1710
  int op_slot_right_1709 = gc_frame_newslot(strlit1710);
// compilenode returning *var_line
  int op_slot_left_1709 = gc_frame_newslot(*var_line);
  params[0] = strlit1710;
  partcv[0] = 1;
  Object opresult1712 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult1712
  *var_line = opresult1712;
  if (opresult1712 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1715 == NULL) {
    strlit1715 = alloc_String("\\""\x22""");
    gc_root(strlit1715);
  }
// compilenode returning strlit1715
  int op_slot_right_1714 = gc_frame_newslot(strlit1715);
// compilenode returning *var_cLine
  int op_slot_left_1714 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1715;
  partcv[0] = 1;
  Object opresult1717 = callmethod(*var_cLine, "++", 1, partcv, params);
// compilenode returning opresult1717
  *var_cLine = opresult1717;
  if (opresult1717 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1704 = done;
  } else {
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_1719 = gc_frame_newslot(*var_c);
// compilenode returning *var_line
  int op_slot_left_1719 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1721 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult1721
  *var_line = opresult1721;
  if (opresult1721 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_1723 = gc_frame_newslot(*var_c);
// compilenode returning *var_cLine
  int op_slot_left_1723 = gc_frame_newslot(*var_cLine);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1725 = callmethod(*var_cLine, "++", 1, partcv, params);
// compilenode returning opresult1725
  *var_cLine = opresult1725;
  if (opresult1725 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1704 = done;
  }
// compilenode returning if1704
    gc_frame_newslot(if1704);
    if1689 = if1704;
  }
// compilenode returning if1689
    gc_frame_newslot(if1689);
    if1684 = if1689;
  }
// compilenode returning if1684
    gc_frame_newslot(if1684);
    if1664 = if1684;
  }
// compilenode returning if1664
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_1727 = gc_frame_newslot(*var_c);
// compilenode returning *var_source
  int op_slot_left_1727 = gc_frame_newslot(*var_source);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1729 = callmethod(*var_source, "++", 1, partcv, params);
// compilenode returning opresult1729
  *var_source = opresult1729;
  if (opresult1729 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_lexfile1650(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexfile");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lexfile");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lexfile (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_file = &(stackframe->slots[0]);
  *var_file = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for lexfile");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lines = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lines");
  Object *var_cLines = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "cLines");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_cLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cLine");
  Object *var_source = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "source");
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1651 = gc_frame_new();
  if (strlit1652 == NULL) {
    strlit1652 = alloc_String("reading source.");
    gc_root(strlit1652);
  }
// compilenode returning strlit1652
  gc_frame_newslot(strlit1652);
// compilenode returning *var_util
  params[0] = strlit1652;
  partcv[0] = 1;
  Object call1653 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe1651);
// compilenode returning call1653
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1654 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1654
  *var_lines = array1654;
  if (array1654 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1655 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1655
  *var_cLines = array1655;
  if (array1655 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1656 == NULL) {
    strlit1656 = alloc_String("");
    gc_root(strlit1656);
  }
// compilenode returning strlit1656
  *var_line = strlit1656;
  if (strlit1656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1657 == NULL) {
    strlit1657 = alloc_String("");
    gc_root(strlit1657);
  }
// compilenode returning strlit1657
  *var_cLine = strlit1657;
  if (strlit1657 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1658 == NULL) {
    strlit1658 = alloc_String("");
    gc_root(strlit1658);
  }
// compilenode returning strlit1658
  *var_source = strlit1658;
  if (strlit1658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1659 = gc_frame_new();
  int callframe1660 = gc_frame_new();
// compilenode returning *var_file
  partcv[0] = 0;
  Object call1661 = callmethod(*var_file, "read",
    1, partcv, params);
  gc_frame_end(callframe1660);
// compilenode returning call1661
// compilenode returning call1661
  gc_frame_newslot(call1661);
  Object block1662 = alloc_Block(NULL, NULL, "lexer", 502);
  gc_frame_newslot(block1662);
  block_savedest(block1662);
  Object closure1663 = createclosure(6, "_apply");
  setclosureframe(closure1663, stackframe);
  addtoclosure(closure1663, var_line);
  addtoclosure(closure1663, var_lines);
  addtoclosure(closure1663, var_cLine);
  addtoclosure(closure1663, var_cLines);
  addtoclosure(closure1663, var_source);
  addtoclosure(closure1663, selfslot);
  struct UserObject *uo1663 = (struct UserObject*)block1662;
  uo1663->data[0] = (Object)closure1663;
  Method *meth_meth_lexer__apply1663 = addmethod2pos(block1662, "_apply", &meth_lexer__apply1663, 0);
int argcv_meth_lexer__apply1663[] = {1};
meth_meth_lexer__apply1663->type = alloc_MethodType(1, argcv_meth_lexer__apply1663);
  meth_meth_lexer__apply1663->definitionModule = modulename;
  meth_meth_lexer__apply1663->definitionLine = 502;
// compilenode returning block1662
  gc_frame_newslot(block1662);
  params[0] = call1661;
  params[1] = block1662;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1732 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1659);
// compilenode returning call1732
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1735 == NULL) {
    strlit1735 = alloc_String("");
    gc_root(strlit1735);
  }
// compilenode returning strlit1735
  int op_slot_right_1734 = gc_frame_newslot(strlit1735);
// compilenode returning *var_line
  int op_slot_left_1734 = gc_frame_newslot(*var_line);
  params[0] = strlit1735;
  partcv[0] = 1;
  Object opresult1737 = callmethod(*var_line, "!=", 1, partcv, params);
// compilenode returning opresult1737
  Object if1733 = done;
  if (istrue(opresult1737)) {
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1738 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_lines
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1739 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1738);
// compilenode returning call1739
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1740 = gc_frame_new();
// compilenode returning *var_cLine
  gc_frame_newslot(*var_cLine);
// compilenode returning *var_cLines
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1741 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1740);
// compilenode returning call1741
    gc_frame_newslot(call1741);
    if1733 = call1741;
  } else {
  }
// compilenode returning if1733
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1742 = gc_frame_new();
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lines
  gc_frame_newslot(*var_lines);
// compilenode returning *var_util
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1743 = callmethod(*var_util, "lines:=",
    1, partcv, params);
  gc_frame_end(callframe1742);
// compilenode returning call1743
// compilenode returning done
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1744 = gc_frame_new();
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cLines
  gc_frame_newslot(*var_cLines);
// compilenode returning *var_util
  params[0] = *var_cLines;
  partcv[0] = 1;
  Object call1745 = callmethod(*var_util, "cLines:=",
    1, partcv, params);
  gc_frame_end(callframe1744);
// compilenode returning call1745
// compilenode returning done
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1746 = gc_frame_new();
// compilenode returning *var_source
  gc_frame_newslot(*var_source);
  params[0] = *var_source;
  partcv[0] = 1;
  Object call1747 = callmethodflags(self, "lexinput", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1746);
// compilenode returning call1747
  gc_frame_end(frame);
  return call1747;
}
Object meth_lexer_push1754(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method push");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for push (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for push");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1757 = alloc_Boolean(0);
// compilenode returning bool1757
  int op_slot_right_1756 = gc_frame_newslot(bool1757);
  int callframe1759 = gc_frame_new();
  partcv[0] = 0;
  Object call1760 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1759);
// compilenode returning call1760
  int op_slot_left_1756 = gc_frame_newslot(call1760);
  params[0] = bool1757;
  partcv[0] = 1;
  Object opresult1761 = callmethod(call1760, "==", 1, partcv, params);
// compilenode returning opresult1761
  Object if1755 = done;
  if (istrue(opresult1761)) {
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1762 = gc_frame_new();
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1763 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1762);
// compilenode returning call1763
// compilenode returning done
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1764 = gc_frame_new();
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1765 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1764);
// compilenode returning call1765
// compilenode returning done
    gc_frame_newslot(done);
    if1755 = done;
  } else {
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1766 = gc_frame_new();
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
  int callframe1767 = gc_frame_new();
  partcv[0] = 0;
  Object call1768 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1767);
// compilenode returning call1768
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1769 = callmethod(call1768, "next:=",
    1, partcv, params);
  gc_frame_end(callframe1766);
// compilenode returning call1769
// compilenode returning done
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1770 = gc_frame_new();
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1771 = gc_frame_new();
  partcv[0] = 0;
  Object call1772 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1771);
// compilenode returning call1772
  gc_frame_newslot(call1772);
// compilenode returning *var_t
  params[0] = call1772;
  partcv[0] = 1;
  Object call1773 = callmethod(*var_t, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe1770);
// compilenode returning call1773
// compilenode returning done
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1774 = gc_frame_new();
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1775 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1774);
// compilenode returning call1775
// compilenode returning done
    gc_frame_newslot(done);
    if1755 = done;
  }
// compilenode returning if1755
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1776 = gc_frame_new();
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1778 = alloc_Float64(1);
// compilenode returning num1778
  int op_slot_right_1777 = gc_frame_newslot(num1778);
  int callframe1780 = gc_frame_new();
  partcv[0] = 0;
  Object call1781 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1780);
// compilenode returning call1781
  int op_slot_left_1777 = gc_frame_newslot(call1781);
  params[0] = num1778;
  partcv[0] = 1;
  Object sum1782 = callmethod(call1781, "+", 1, partcv, params);
// compilenode returning sum1782
  gc_frame_newslot(sum1782);
  params[0] = sum1782;
  partcv[0] = 1;
  Object call1783 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1776);
// compilenode returning call1783
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_pop1784(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pop (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pop");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_popped = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "popped");
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1787 = alloc_Boolean(0);
// compilenode returning bool1787
  int op_slot_right_1786 = gc_frame_newslot(bool1787);
  int callframe1789 = gc_frame_new();
  partcv[0] = 0;
  Object call1790 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1789);
// compilenode returning call1790
  int op_slot_left_1786 = gc_frame_newslot(call1790);
  params[0] = bool1787;
  partcv[0] = 1;
  Object opresult1791 = callmethod(call1790, "!=", 1, partcv, params);
// compilenode returning opresult1791
  Object if1785 = done;
  if (istrue(opresult1791)) {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1792 = gc_frame_new();
  partcv[0] = 0;
  Object call1793 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1792);
// compilenode returning call1793
  *var_popped = call1793;
  if (call1793 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1794 = gc_frame_new();
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1795 = gc_frame_new();
  int callframe1796 = gc_frame_new();
  partcv[0] = 0;
  Object call1797 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1796);
// compilenode returning call1797
  partcv[0] = 0;
  Object call1798 = callmethod(call1797, "prev",
    1, partcv, params);
  gc_frame_end(callframe1795);
// compilenode returning call1798
// compilenode returning call1798
  gc_frame_newslot(call1798);
  params[0] = call1798;
  partcv[0] = 1;
  Object call1799 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1794);
// compilenode returning call1799
// compilenode returning done
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1802 = alloc_Boolean(0);
// compilenode returning bool1802
  int op_slot_right_1801 = gc_frame_newslot(bool1802);
  int callframe1804 = gc_frame_new();
  partcv[0] = 0;
  Object call1805 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1804);
// compilenode returning call1805
  int op_slot_left_1801 = gc_frame_newslot(call1805);
  params[0] = bool1802;
  partcv[0] = 1;
  Object opresult1806 = callmethod(call1805, "==", 1, partcv, params);
// compilenode returning opresult1806
  Object if1800 = done;
  if (istrue(opresult1806)) {
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1807 = gc_frame_new();
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1808 = alloc_Boolean(0);
// compilenode returning bool1808
  gc_frame_newslot(bool1808);
  params[0] = bool1808;
  partcv[0] = 1;
  Object call1809 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1807);
// compilenode returning call1809
// compilenode returning done
    gc_frame_newslot(done);
    if1800 = done;
  } else {
  }
// compilenode returning if1800
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1810 = gc_frame_new();
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1812 = alloc_Float64(1);
// compilenode returning num1812
  int op_slot_right_1811 = gc_frame_newslot(num1812);
  int callframe1814 = gc_frame_new();
  partcv[0] = 0;
  Object call1815 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1814);
// compilenode returning call1815
  int op_slot_left_1811 = gc_frame_newslot(call1815);
  params[0] = num1812;
  partcv[0] = 1;
  Object diff1816 = callmethod(call1815, "-", 1, partcv, params);
// compilenode returning diff1816
  gc_frame_newslot(diff1816);
  params[0] = diff1816;
  partcv[0] = 1;
  Object call1817 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1810);
// compilenode returning call1817
// compilenode returning done
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_popped
    gc_frame_newslot(*var_popped);
    if1785 = *var_popped;
  } else {
  }
// compilenode returning if1785
  gc_frame_end(frame);
  return if1785;
}
Object meth_lexer_poll1818(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "poll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for poll (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for poll");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_polled = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "polled");
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1821 = alloc_Boolean(0);
// compilenode returning bool1821
  int op_slot_right_1820 = gc_frame_newslot(bool1821);
  int callframe1823 = gc_frame_new();
  partcv[0] = 0;
  Object call1824 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1823);
// compilenode returning call1824
  int op_slot_left_1820 = gc_frame_newslot(call1824);
  params[0] = bool1821;
  partcv[0] = 1;
  Object opresult1825 = callmethod(call1824, "!=", 1, partcv, params);
// compilenode returning opresult1825
  Object if1819 = done;
  if (istrue(opresult1825)) {
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1826 = gc_frame_new();
  partcv[0] = 0;
  Object call1827 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1826);
// compilenode returning call1827
  *var_polled = call1827;
  if (call1827 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1828 = gc_frame_new();
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1829 = gc_frame_new();
  int callframe1830 = gc_frame_new();
  partcv[0] = 0;
  Object call1831 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1830);
// compilenode returning call1831
  partcv[0] = 0;
  Object call1832 = callmethod(call1831, "next",
    1, partcv, params);
  gc_frame_end(callframe1829);
// compilenode returning call1832
// compilenode returning call1832
  gc_frame_newslot(call1832);
  params[0] = call1832;
  partcv[0] = 1;
  Object call1833 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1828);
// compilenode returning call1833
// compilenode returning done
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1836 = alloc_Boolean(0);
// compilenode returning bool1836
  int op_slot_right_1835 = gc_frame_newslot(bool1836);
  int callframe1838 = gc_frame_new();
  partcv[0] = 0;
  Object call1839 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1838);
// compilenode returning call1839
  int op_slot_left_1835 = gc_frame_newslot(call1839);
  params[0] = bool1836;
  partcv[0] = 1;
  Object opresult1840 = callmethod(call1839, "==", 1, partcv, params);
// compilenode returning opresult1840
  Object if1834 = done;
  if (istrue(opresult1840)) {
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1841 = gc_frame_new();
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1842 = alloc_Boolean(0);
// compilenode returning bool1842
  gc_frame_newslot(bool1842);
  params[0] = bool1842;
  partcv[0] = 1;
  Object call1843 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1841);
// compilenode returning call1843
// compilenode returning done
    gc_frame_newslot(done);
    if1834 = done;
  } else {
  }
// compilenode returning if1834
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1844 = gc_frame_new();
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1846 = alloc_Float64(1);
// compilenode returning num1846
  int op_slot_right_1845 = gc_frame_newslot(num1846);
  int callframe1848 = gc_frame_new();
  partcv[0] = 0;
  Object call1849 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1848);
// compilenode returning call1849
  int op_slot_left_1845 = gc_frame_newslot(call1849);
  params[0] = num1846;
  partcv[0] = 1;
  Object diff1850 = callmethod(call1849, "-", 1, partcv, params);
// compilenode returning diff1850
  gc_frame_newslot(diff1850);
  params[0] = diff1850;
  partcv[0] = 1;
  Object call1851 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1844);
// compilenode returning call1851
// compilenode returning done
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_polled
    gc_frame_newslot(*var_polled);
    if1819 = *var_polled;
  } else {
  }
// compilenode returning if1819
  gc_frame_end(frame);
  return if1819;
}
Object meth_lexer_size1852(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1854 = alloc_Float64(0);
// compilenode returning num1854
  int op_slot_right_1853 = gc_frame_newslot(num1854);
  int callframe1856 = gc_frame_new();
  partcv[0] = 0;
  Object call1857 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1856);
// compilenode returning call1857
  int op_slot_left_1853 = gc_frame_newslot(call1857);
  params[0] = num1854;
  partcv[0] = 1;
  Object sum1858 = callmethod(call1857, "+", 1, partcv, params);
// compilenode returning sum1858
  gc_frame_end(frame);
  return sum1858;
}
Object meth_lexer_havemore1863(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1865 = alloc_Boolean(0);
// compilenode returning bool1865
  int op_slot_right_1864 = gc_frame_newslot(bool1865);
  int callframe1867 = gc_frame_new();
  partcv[0] = 0;
  Object call1868 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1867);
// compilenode returning call1868
  int op_slot_left_1864 = gc_frame_newslot(call1868);
  params[0] = bool1865;
  partcv[0] = 1;
  Object opresult1869 = callmethod(call1868, "!=", 1, partcv, params);
// compilenode returning opresult1869
  gc_frame_end(frame);
  return opresult1869;
}
Object meth_lexer_hasNext1870(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1872 = alloc_Boolean(0);
// compilenode returning bool1872
  int op_slot_right_1871 = gc_frame_newslot(bool1872);
  int callframe1874 = gc_frame_new();
  partcv[0] = 0;
  Object call1875 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1874);
// compilenode returning call1875
  int op_slot_left_1871 = gc_frame_newslot(call1875);
  params[0] = bool1872;
  partcv[0] = 1;
  Object opresult1876 = callmethod(call1875, "!=", 1, partcv, params);
// compilenode returning opresult1876
  gc_frame_end(frame);
  return opresult1876;
}
Object meth_lexer_next1877(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1878 = gc_frame_new();
  partcv[0] = 0;
  Object call1879 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1878);
// compilenode returning call1879
  *var_ret = call1879;
  if (call1879 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1880 = gc_frame_new();
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1881 = gc_frame_new();
  int callframe1882 = gc_frame_new();
  partcv[0] = 0;
  Object call1883 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1882);
// compilenode returning call1883
  partcv[0] = 0;
  Object call1884 = callmethod(call1883, "next",
    1, partcv, params);
  gc_frame_end(callframe1881);
// compilenode returning call1884
// compilenode returning call1884
  gc_frame_newslot(call1884);
  params[0] = call1884;
  partcv[0] = 1;
  Object call1885 = callmethodflags(self, "n:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1880);
// compilenode returning call1885
// compilenode returning done
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ret
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer_iter1859(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1860 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1860 = alloc_userobj2(5,5, objclass1860);
  gc_frame_newslot(obj1860);
if (objclass1860 == NULL) {
  glfree(obj1860->class->name);
  obj1860->class->name = "obj1749iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1860, self, 0);
  addmethodreal(obj1860,"outer", &reader_lexer_outer_1861);
  Object oldself1860 = self;
  struct StackFrameObject *oldstackframe1860 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1860);
  gc_frame_newslot((Object)stackframe);
  self = obj1860;
  Object *oldselfslot1860 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1860 = (*(struct UserObject *)self).data[0], lowerouter1860 = thisouter1860;
  if (inheritingObject1860) {
    struct UserObject *inho1860 = (struct UserObject *)inheritingObject1860;
    while (inho1860->super != GraceDefaultObject) inho1860 = (struct UserObject *)inho1860->super;
    inho1860->super = obj1860;
    self = inheritingObject1860;
    *selfslot = self;
    lowerouter1860 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1860;
  }
if (objclass1860 == NULL) {
  Method *reader1862 = addmethodrealflags(obj1860, "n",&reader_lexer_n_1862, 0);
  Method *writer1862 = addmethodrealflags(obj1860, "n:=",&writer_lexer_n_1862, 0);
  reader1862->definitionModule = modulename;
  writer1862->definitionModule = modulename;
  reader1862->definitionLine = 580;
  writer1862->definitionLine = 580;
}
obj1860->flags |= OFLAG_MUTABLE;
adddatum2(obj1860, alloc_Undefined(), 1);
  struct UserObject *uo1863 = (struct UserObject*)obj1860;
  uo1863->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1863 = addmethod2pos(obj1860, "havemore", &meth_lexer_havemore1863, 2);
int argcv_meth_lexer_havemore1863[] = {0};
meth_meth_lexer_havemore1863->type = alloc_MethodType(1, argcv_meth_lexer_havemore1863);
  meth_meth_lexer_havemore1863->definitionModule = modulename;
  meth_meth_lexer_havemore1863->definitionLine = 580;
  struct UserObject *uo1870 = (struct UserObject*)obj1860;
  uo1870->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext1870 = addmethod2pos(obj1860, "hasNext", &meth_lexer_hasNext1870, 3);
int argcv_meth_lexer_hasNext1870[] = {0};
meth_meth_lexer_hasNext1870->type = alloc_MethodType(1, argcv_meth_lexer_hasNext1870);
  meth_meth_lexer_hasNext1870->definitionModule = modulename;
  meth_meth_lexer_hasNext1870->definitionLine = 583;
  struct UserObject *uo1877 = (struct UserObject*)obj1860;
  uo1877->data[4] = emptyclosure;
  Method *meth_meth_lexer_next1877 = addmethod2pos(obj1860, "next", &meth_lexer_next1877, 4);
int argcv_meth_lexer_next1877[] = {0};
meth_meth_lexer_next1877->type = alloc_MethodType(1, argcv_meth_lexer_next1877);
  meth_meth_lexer_next1877->definitionModule = modulename;
  meth_meth_lexer_next1877->definitionLine = 586;
  sourceObject = obj1860;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1886 = gc_frame_new();
  int callframe1887 = gc_frame_new();
  Object call1888 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1887);
// compilenode returning call1888
// compilenode returning call1888
  partcv[0] = 0;
  Object call1889 = callmethodflags(call1888, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1886);
// compilenode returning call1889
  adddatum2(obj1860, call1889, 1);
  sourceObject = obj1860;
  sourceObject = obj1860;
  sourceObject = obj1860;
objclass1860 = obj1860->class;
  objclass1860->definitionModule = modulename;
  objclass1860->definitionLine = 578;
  (*(struct UserObject *)self).data[0] = lowerouter1860;
  self = oldself1860;
  selfslot = oldselfslot1860;
  stackframe = oldstackframe1860;
  gc_frame_end(frame);
  return obj1860;
}
Object meth_lexer_iter1859_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1860 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1860 = alloc_userobj2(5,5, objclass1860);
  gc_frame_newslot(obj1860);
if (objclass1860 == NULL) {
  glfree(obj1860->class->name);
  obj1860->class->name = "obj1749iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1860, self, 0);
  addmethodreal(obj1860,"outer", &reader_lexer_outer_1861);
  Object oldself1860 = self;
  struct StackFrameObject *oldstackframe1860 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1860);
  gc_frame_newslot((Object)stackframe);
  self = obj1860;
  Object *oldselfslot1860 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1860 = (*(struct UserObject *)self).data[0], lowerouter1860 = thisouter1860;
  if (inheritingObject1860) {
    struct UserObject *inho1860 = (struct UserObject *)inheritingObject1860;
    while (inho1860->super != GraceDefaultObject) inho1860 = (struct UserObject *)inho1860->super;
    inho1860->super = obj1860;
    self = inheritingObject1860;
    *selfslot = self;
    lowerouter1860 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1860;
  }
if (objclass1860 == NULL) {
  Method *reader1862 = addmethodrealflags(obj1860, "n",&reader_lexer_n_1862, 0);
  Method *writer1862 = addmethodrealflags(obj1860, "n:=",&writer_lexer_n_1862, 0);
  reader1862->definitionModule = modulename;
  writer1862->definitionModule = modulename;
  reader1862->definitionLine = 580;
  writer1862->definitionLine = 580;
}
obj1860->flags |= OFLAG_MUTABLE;
adddatum2(obj1860, alloc_Undefined(), 1);
  struct UserObject *uo1863 = (struct UserObject*)obj1860;
  uo1863->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1863 = addmethod2pos(obj1860, "havemore", &meth_lexer_havemore1863, 2);
int argcv_meth_lexer_havemore1863[] = {0};
meth_meth_lexer_havemore1863->type = alloc_MethodType(1, argcv_meth_lexer_havemore1863);
  meth_meth_lexer_havemore1863->definitionModule = modulename;
  meth_meth_lexer_havemore1863->definitionLine = 580;
  struct UserObject *uo1870 = (struct UserObject*)obj1860;
  uo1870->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext1870 = addmethod2pos(obj1860, "hasNext", &meth_lexer_hasNext1870, 3);
int argcv_meth_lexer_hasNext1870[] = {0};
meth_meth_lexer_hasNext1870->type = alloc_MethodType(1, argcv_meth_lexer_hasNext1870);
  meth_meth_lexer_hasNext1870->definitionModule = modulename;
  meth_meth_lexer_hasNext1870->definitionLine = 583;
  struct UserObject *uo1877 = (struct UserObject*)obj1860;
  uo1877->data[4] = emptyclosure;
  Method *meth_meth_lexer_next1877 = addmethod2pos(obj1860, "next", &meth_lexer_next1877, 4);
int argcv_meth_lexer_next1877[] = {0};
meth_meth_lexer_next1877->type = alloc_MethodType(1, argcv_meth_lexer_next1877);
  meth_meth_lexer_next1877->definitionModule = modulename;
  meth_meth_lexer_next1877->definitionLine = 586;
  sourceObject = obj1860;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1886 = gc_frame_new();
  int callframe1887 = gc_frame_new();
  Object call1888 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1887);
// compilenode returning call1888
// compilenode returning call1888
  partcv[0] = 0;
  Object call1889 = callmethodflags(call1888, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1886);
// compilenode returning call1889
  adddatum2(obj1860, call1889, 1);
  sourceObject = obj1860;
  sourceObject = obj1860;
  sourceObject = obj1860;
objclass1860 = obj1860->class;
  objclass1860->definitionModule = modulename;
  objclass1860->definitionLine = 578;
  (*(struct UserObject *)self).data[0] = lowerouter1860;
  self = oldself1860;
  selfslot = oldselfslot1860;
  stackframe = oldstackframe1860;
  gc_frame_end(frame);
  return obj1860;
}
Object meth_lexer_iterator1891(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1892 = gc_frame_new();
  partcv[0] = 0;
  Object call1893 = callmethodflags(self, "iter", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1892);
// compilenode returning call1893
  gc_frame_end(frame);
  return call1893;
}
Object meth_lexer__apply2879(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_i = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("{");
    gc_root(strlit2881);
  }
// compilenode returning strlit2881
  int op_slot_right_2880 = gc_frame_newslot(strlit2881);
  int callframe2883 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe2884 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2885 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2884);
// compilenode returning call2885
// compilenode returning call2885
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2886 = callmethod(call2885, "at",
    1, partcv, params);
  gc_frame_end(callframe2883);
// compilenode returning call2886
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2887 = callmethod(call2886, "[]", 1, partcv, params);
// compilenode returning idxres2887
  int op_slot_left_2880 = gc_frame_newslot(idxres2887);
  params[0] = strlit2881;
  partcv[0] = 1;
  Object opresult2888 = callmethod(idxres2887, "!=", 1, partcv, params);
// compilenode returning opresult2888
  gc_frame_end(frame);
  return opresult2888;
}
Object meth_lexer__apply2891(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_lineNumber = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2893 = alloc_Float64(1);
// compilenode returning num2893
  int op_slot_right_2892 = gc_frame_newslot(num2893);
// compilenode returning *var_i
  int op_slot_left_2892 = gc_frame_newslot(*var_i);
  params[0] = num2893;
  partcv[0] = 1;
  Object diff2895 = callmethod(*var_i, "-", 1, partcv, params);
// compilenode returning diff2895
  *var_i = diff2895;
  if (diff2895 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2899 = alloc_Float64(0);
// compilenode returning num2899
  int op_slot_right_2898 = gc_frame_newslot(num2899);
// compilenode returning *var_i
  int op_slot_left_2898 = gc_frame_newslot(*var_i);
  params[0] = num2899;
  partcv[0] = 1;
  Object opresult2901 = callmethod(*var_i, "==", 1, partcv, params);
// compilenode returning opresult2901
  Object if2897 = done;
  if (istrue(opresult2901)) {
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2903 = alloc_Float64(1);
// compilenode returning num2903
  int op_slot_right_2902 = gc_frame_newslot(num2903);
// compilenode returning *var_line
  int op_slot_left_2902 = gc_frame_newslot(*var_line);
  params[0] = num2903;
  partcv[0] = 1;
  Object diff2905 = callmethod(*var_line, "-", 1, partcv, params);
// compilenode returning diff2905
  *var_lineNumber = diff2905;
  if (diff2905 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2907 = gc_frame_new();
  int callframe2908 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe2909 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2910 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2909);
// compilenode returning call2910
// compilenode returning call2910
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2911 = callmethod(call2910, "at",
    1, partcv, params);
  gc_frame_end(callframe2908);
// compilenode returning call2911
  partcv[0] = 0;
  Object call2912 = callmethod(call2911, "size",
    1, partcv, params);
  gc_frame_end(callframe2907);
// compilenode returning call2912
// compilenode returning call2912
  *var_i = call2912;
  if (call2912 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2897 = done;
  } else {
  }
// compilenode returning if2897
  gc_frame_end(frame);
  return if2897;
}
Object meth_lexer__apply3003(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3005 = gc_frame_new();
// compilenode returning *var_nextLine
  partcv[0] = 0;
  Object call3006 = callmethod(*var_nextLine, "size",
    1, partcv, params);
  gc_frame_end(callframe3005);
// compilenode returning call3006
// compilenode returning call3006
  int op_slot_right_3004 = gc_frame_newslot(call3006);
// compilenode returning *var_i
  int op_slot_left_3004 = gc_frame_newslot(*var_i);
  params[0] = call3006;
  partcv[0] = 1;
  Object opresult3008 = callmethod(*var_i, "<=", 1, partcv, params);
// compilenode returning opresult3008
  gc_frame_end(frame);
  return opresult3008;
}
Object meth_lexer__apply3011(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object *var_count = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3014 == NULL) {
    strlit3014 = alloc_String("""\x22""");
    gc_root(strlit3014);
  }
// compilenode returning strlit3014
  int op_slot_right_3013 = gc_frame_newslot(strlit3014);
// compilenode returning *var_nextLine
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3016 = callmethod(*var_nextLine, "[]", 1, partcv, params);
// compilenode returning idxres3016
  int op_slot_left_3013 = gc_frame_newslot(idxres3016);
  params[0] = strlit3014;
  partcv[0] = 1;
  Object opresult3017 = callmethod(idxres3016, "==", 1, partcv, params);
// compilenode returning opresult3017
  Object if3012 = done;
  if (istrue(opresult3017)) {
  Object num3019 = alloc_Float64(1);
// compilenode returning num3019
  int op_slot_right_3018 = gc_frame_newslot(num3019);
// compilenode returning *var_count
  int op_slot_left_3018 = gc_frame_newslot(*var_count);
  params[0] = num3019;
  partcv[0] = 1;
  Object sum3021 = callmethod(*var_count, "+", 1, partcv, params);
// compilenode returning sum3021
  *var_count = sum3021;
  if (sum3021 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3012 = done;
  } else {
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3025 == NULL) {
    strlit3025 = alloc_String("\\");
    gc_root(strlit3025);
  }
// compilenode returning strlit3025
  int op_slot_right_3024 = gc_frame_newslot(strlit3025);
// compilenode returning *var_nextLine
// compilenode returning *var_i
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3027 = callmethod(*var_nextLine, "[]", 1, partcv, params);
// compilenode returning idxres3027
  int op_slot_left_3024 = gc_frame_newslot(idxres3027);
  params[0] = strlit3025;
  partcv[0] = 1;
  Object opresult3028 = callmethod(idxres3027, "==", 1, partcv, params);
// compilenode returning opresult3028
  Object if3023 = done;
  if (istrue(opresult3028)) {
  Object num3030 = alloc_Float64(1);
// compilenode returning num3030
  int op_slot_right_3029 = gc_frame_newslot(num3030);
// compilenode returning *var_i
  int op_slot_left_3029 = gc_frame_newslot(*var_i);
  params[0] = num3030;
  partcv[0] = 1;
  Object sum3032 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum3032
  *var_i = sum3032;
  if (sum3032 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3023 = done;
  } else {
  }
// compilenode returning if3023
    gc_frame_newslot(if3023);
    if3012 = if3023;
  }
// compilenode returning if3012
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3035 = alloc_Float64(1);
// compilenode returning num3035
  int op_slot_right_3034 = gc_frame_newslot(num3035);
// compilenode returning *var_i
  int op_slot_left_3034 = gc_frame_newslot(*var_i);
  params[0] = num3035;
  partcv[0] = 1;
  Object sum3037 = callmethod(*var_i, "+", 1, partcv, params);
// compilenode returning sum3037
  *var_i = sum3037;
  if (sum3037 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer__apply2104(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(20, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_badSeparator = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_linePosition = getfromclosure(closure, 2);
  Object *var_lineNumber = getfromclosure(closure, 3);
  Object *var_instr = getfromclosure(closure, 4);
  Object *var_unicode = getfromclosure(closure, 5);
  Object *var_badControl = getfromclosure(closure, 6);
  Object *var_atStart = getfromclosure(closure, 7);
  Object *var_mode = getfromclosure(closure, 8);
  Object *var_newmode = getfromclosure(closure, 9);
  Object *var_identifierChar = getfromclosure(closure, 10);
  Object *var_digit = getfromclosure(closure, 11);
  Object *var_iGTLT = getfromclosure(closure, 12);
  Object *var_tokens = getfromclosure(closure, 13);
  Object *var_accum = getfromclosure(closure, 14);
  Object *var_operatorChar = getfromclosure(closure, 15);
  Object *var_selfModes = getfromclosure(closure, 16);
  Object *var_util = getfromclosure(closure, 17);
  Object *var_escaped = getfromclosure(closure, 18);
  Object *var_interpString = getfromclosure(closure, 19);
  Object *var_interpdepth = getfromclosure(closure, 20);
  Object *var_brackets = getfromclosure(closure, 21);
  Object *var_unichars = getfromclosure(closure, 22);
  Object *var_codepoint = getfromclosure(closure, 23);
  Object *var_startPosition = getfromclosure(closure, 24);
  Object self = *(getfromclosure(closure, 25));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ct = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ct");
  Object *var_ordval = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ordval");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_i = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "i");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_errorLine = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "errorLine");
  Object *var_nextLine = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "nextLine");
  Object *var_count = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "count");
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2105 == NULL) {
    strlit2105 = alloc_String("");
    gc_root(strlit2105);
  }
// compilenode returning strlit2105
  *var_ct = strlit2105;
  if (strlit2105 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2106 = gc_frame_new();
// compilenode returning *var_c
  partcv[0] = 0;
  Object call2107 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe2106);
// compilenode returning call2107
// compilenode returning call2107
  *var_ordval = call2107;
  if (call2107 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2109 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_badSeparator
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2110 = callmethod(*var_badSeparator, "match",
    1, partcv, params);
  gc_frame_end(callframe2109);
// compilenode returning call2110
  Object if2108 = done;
  if (istrue(call2110)) {
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2111 = gc_frame_new();
  int callframe2112 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2113 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2112);
// compilenode returning call2113
// compilenode returning call2113
  partcv[0] = 0;
  Object call2114 = callmethod(call2113, "new",
    1, partcv, params);
  gc_frame_end(callframe2111);
// compilenode returning call2114
// compilenode returning call2114
  *var_suggestion = call2114;
  if (call2114 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2115 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
  if (strlit2116 == NULL) {
    strlit2116 = alloc_String(" ");
    gc_root(strlit2116);
  }
// compilenode returning strlit2116
  gc_frame_newslot(strlit2116);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = strlit2116;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2117 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2115);
// compilenode returning call2117
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2120 = alloc_Float64(9);
// compilenode returning num2120
  int op_slot_right_2119 = gc_frame_newslot(num2120);
// compilenode returning *var_ordval
  int op_slot_left_2119 = gc_frame_newslot(*var_ordval);
  params[0] = num2120;
  partcv[0] = 1;
  Object opresult2122 = callmethod(*var_ordval, "==", 1, partcv, params);
// compilenode returning opresult2122
  Object if2118 = done;
  if (istrue(opresult2122)) {
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2123 = done;
  if (istrue(*var_instr)) {
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2124 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2126 == NULL) {
    strlit2126 = alloc_String("");
    gc_root(strlit2126);
  }
// compilenode returning strlit2126
  int op_slot_right_2125 = gc_frame_newslot(strlit2126);
  int callframe2129 = gc_frame_new();
  int callframe2130 = gc_frame_new();
  Object num2131 = alloc_Float64(16);
// compilenode returning num2131
  gc_frame_newslot(num2131);
// compilenode returning *var_ordval
  params[0] = num2131;
  partcv[0] = 1;
  Object call2132 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2130);
// compilenode returning call2132
  gc_frame_newslot(call2132);
  Object num2133 = alloc_Float64(4);
// compilenode returning num2133
  gc_frame_newslot(num2133);
  if (strlit2134 == NULL) {
    strlit2134 = alloc_String("0");
    gc_root(strlit2134);
  }
// compilenode returning strlit2134
  gc_frame_newslot(strlit2134);
  int callframe2135 = gc_frame_new();
  int callframe2136 = gc_frame_new();
  Object call2137 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2136);
// compilenode returning call2137
// compilenode returning call2137
  partcv[0] = 0;
  Object call2138 = callmethodflags(call2137, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2135);
// compilenode returning call2138
// compilenode returning call2138
  params[0] = call2132;
  params[1] = num2133;
  params[2] = strlit2134;
  partcv[0] = 3;
  Object call2139 = callmethodflags(call2138, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2129);
// compilenode returning call2139
  int op_slot_right_2128 = gc_frame_newslot(call2139);
  if (strlit2141 == NULL) {
    strlit2141 = alloc_String("\\u");
    gc_root(strlit2141);
  }
// compilenode returning strlit2141
  int op_slot_left_2128 = gc_frame_newslot(strlit2141);
  params[0] = call2139;
  partcv[0] = 1;
  Object opresult2142 = callmethod(strlit2141, "++", 1, partcv, params);
// compilenode returning opresult2142
  int op_slot_left_2125 = gc_frame_newslot(opresult2142);
  params[0] = strlit2126;
  partcv[0] = 1;
  Object opresult2143 = callmethod(opresult2142, "++", 1, partcv, params);
// compilenode returning opresult2143
  gc_frame_newslot(opresult2143);
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2143;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2144 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2124);
// compilenode returning call2144
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2145 = gc_frame_new();
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2147 == NULL) {
    strlit2147 = alloc_String(" instead");
    gc_root(strlit2147);
  }
// compilenode returning strlit2147
  int op_slot_right_2146 = gc_frame_newslot(strlit2147);
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2150 = gc_frame_new();
  int callframe2151 = gc_frame_new();
  Object num2152 = alloc_Float64(16);
// compilenode returning num2152
  gc_frame_newslot(num2152);
// compilenode returning *var_ordval
  params[0] = num2152;
  partcv[0] = 1;
  Object call2153 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2151);
// compilenode returning call2153
  gc_frame_newslot(call2153);
  Object num2154 = alloc_Float64(4);
// compilenode returning num2154
  gc_frame_newslot(num2154);
  if (strlit2155 == NULL) {
    strlit2155 = alloc_String("0");
    gc_root(strlit2155);
  }
// compilenode returning strlit2155
  gc_frame_newslot(strlit2155);
  int callframe2156 = gc_frame_new();
  int callframe2157 = gc_frame_new();
  Object call2158 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2157);
// compilenode returning call2158
// compilenode returning call2158
  partcv[0] = 0;
  Object call2159 = callmethodflags(call2158, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2156);
// compilenode returning call2159
// compilenode returning call2159
  params[0] = call2153;
  params[1] = num2154;
  params[2] = strlit2155;
  partcv[0] = 3;
  Object call2160 = callmethodflags(call2159, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2150);
// compilenode returning call2160
  int op_slot_right_2149 = gc_frame_newslot(call2160);
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2163 == NULL) {
    strlit2163 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2163);
  }
// compilenode returning strlit2163
  int op_slot_right_2162 = gc_frame_newslot(strlit2163);
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2166 == NULL) {
    strlit2166 = alloc_String("written in the source code; ");
    gc_root(strlit2166);
  }
// compilenode returning strlit2166
  int op_slot_right_2165 = gc_frame_newslot(strlit2166);
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2168 == NULL) {
    strlit2168 = alloc_String("tabs cannot be ");
    gc_root(strlit2168);
  }
// compilenode returning strlit2168
  int op_slot_left_2165 = gc_frame_newslot(strlit2168);
  params[0] = strlit2166;
  partcv[0] = 1;
  Object opresult2169 = callmethod(strlit2168, "++", 1, partcv, params);
// compilenode returning opresult2169
  int op_slot_left_2162 = gc_frame_newslot(opresult2169);
  params[0] = strlit2163;
  partcv[0] = 1;
  Object opresult2170 = callmethod(opresult2169, "++", 1, partcv, params);
// compilenode returning opresult2170
  int op_slot_left_2149 = gc_frame_newslot(opresult2170);
  params[0] = call2160;
  partcv[0] = 1;
  Object opresult2171 = callmethod(opresult2170, "++", 1, partcv, params);
// compilenode returning opresult2171
  int op_slot_left_2146 = gc_frame_newslot(opresult2171);
  params[0] = strlit2147;
  partcv[0] = 1;
  Object opresult2172 = callmethod(opresult2171, "++", 1, partcv, params);
// compilenode returning opresult2172
  gc_frame_newslot(opresult2172);
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2172;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2173 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2145);
// compilenode returning call2173
    gc_frame_newslot(call2173);
    if2123 = call2173;
  } else {
  }
// compilenode returning if2123
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2174 = gc_frame_new();
  if (strlit2175 == NULL) {
    strlit2175 = alloc_String("Tabs are not allowed; use spaces instead.");
    gc_root(strlit2175);
  }
// compilenode returning strlit2175
  gc_frame_newslot(strlit2175);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2175;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2176 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2174);
// compilenode returning call2176
    gc_frame_newslot(call2176);
    if2118 = call2176;
  } else {
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2177 = done;
  if (istrue(*var_instr)) {
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2178 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2180 == NULL) {
    strlit2180 = alloc_String("");
    gc_root(strlit2180);
  }
// compilenode returning strlit2180
  int op_slot_right_2179 = gc_frame_newslot(strlit2180);
  int callframe2183 = gc_frame_new();
  int callframe2184 = gc_frame_new();
  Object num2185 = alloc_Float64(16);
// compilenode returning num2185
  gc_frame_newslot(num2185);
// compilenode returning *var_ordval
  params[0] = num2185;
  partcv[0] = 1;
  Object call2186 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2184);
// compilenode returning call2186
  gc_frame_newslot(call2186);
  Object num2187 = alloc_Float64(4);
// compilenode returning num2187
  gc_frame_newslot(num2187);
  if (strlit2188 == NULL) {
    strlit2188 = alloc_String("0");
    gc_root(strlit2188);
  }
// compilenode returning strlit2188
  gc_frame_newslot(strlit2188);
  int callframe2189 = gc_frame_new();
  int callframe2190 = gc_frame_new();
  Object call2191 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2190);
// compilenode returning call2191
// compilenode returning call2191
  partcv[0] = 0;
  Object call2192 = callmethodflags(call2191, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2189);
// compilenode returning call2192
// compilenode returning call2192
  params[0] = call2186;
  params[1] = num2187;
  params[2] = strlit2188;
  partcv[0] = 3;
  Object call2193 = callmethodflags(call2192, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2183);
// compilenode returning call2193
  int op_slot_right_2182 = gc_frame_newslot(call2193);
  if (strlit2195 == NULL) {
    strlit2195 = alloc_String("\\u");
    gc_root(strlit2195);
  }
// compilenode returning strlit2195
  int op_slot_left_2182 = gc_frame_newslot(strlit2195);
  params[0] = call2193;
  partcv[0] = 1;
  Object opresult2196 = callmethod(strlit2195, "++", 1, partcv, params);
// compilenode returning opresult2196
  int op_slot_left_2179 = gc_frame_newslot(opresult2196);
  params[0] = strlit2180;
  partcv[0] = 1;
  Object opresult2197 = callmethod(opresult2196, "++", 1, partcv, params);
// compilenode returning opresult2197
  gc_frame_newslot(opresult2197);
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2197;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2198 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2178);
// compilenode returning call2198
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2199 = gc_frame_new();
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2201 == NULL) {
    strlit2201 = alloc_String(" instead");
    gc_root(strlit2201);
  }
// compilenode returning strlit2201
  int op_slot_right_2200 = gc_frame_newslot(strlit2201);
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2204 = gc_frame_new();
  int callframe2205 = gc_frame_new();
  Object num2206 = alloc_Float64(16);
// compilenode returning num2206
  gc_frame_newslot(num2206);
// compilenode returning *var_ordval
  params[0] = num2206;
  partcv[0] = 1;
  Object call2207 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2205);
// compilenode returning call2207
  gc_frame_newslot(call2207);
  Object num2208 = alloc_Float64(4);
// compilenode returning num2208
  gc_frame_newslot(num2208);
  if (strlit2209 == NULL) {
    strlit2209 = alloc_String("0");
    gc_root(strlit2209);
  }
// compilenode returning strlit2209
  gc_frame_newslot(strlit2209);
  int callframe2210 = gc_frame_new();
  int callframe2211 = gc_frame_new();
  Object call2212 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2211);
// compilenode returning call2212
// compilenode returning call2212
  partcv[0] = 0;
  Object call2213 = callmethodflags(call2212, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2210);
// compilenode returning call2213
// compilenode returning call2213
  params[0] = call2207;
  params[1] = num2208;
  params[2] = strlit2209;
  partcv[0] = 3;
  Object call2214 = callmethodflags(call2213, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2204);
// compilenode returning call2214
  int op_slot_right_2203 = gc_frame_newslot(call2214);
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2217 == NULL) {
    strlit2217 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2217);
  }
// compilenode returning strlit2217
  int op_slot_right_2216 = gc_frame_newslot(strlit2217);
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2220 == NULL) {
    strlit2220 = alloc_String("written in the source code; ");
    gc_root(strlit2220);
  }
// compilenode returning strlit2220
  int op_slot_right_2219 = gc_frame_newslot(strlit2220);
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2223 == NULL) {
    strlit2223 = alloc_String(" and cannot be ");
    gc_root(strlit2223);
  }
// compilenode returning strlit2223
  int op_slot_right_2222 = gc_frame_newslot(strlit2223);
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2226 == NULL) {
    strlit2226 = alloc_String("is not a valid whitespace character");
    gc_root(strlit2226);
  }
// compilenode returning strlit2226
  int op_slot_right_2225 = gc_frame_newslot(strlit2226);
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2229 == NULL) {
    strlit2229 = alloc_String(") ");
    gc_root(strlit2229);
  }
// compilenode returning strlit2229
  int op_slot_right_2228 = gc_frame_newslot(strlit2229);
  int callframe2232 = gc_frame_new();
  int callframe2233 = gc_frame_new();
  Object num2234 = alloc_Float64(16);
// compilenode returning num2234
  gc_frame_newslot(num2234);
// compilenode returning *var_ordval
  params[0] = num2234;
  partcv[0] = 1;
  Object call2235 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2233);
// compilenode returning call2235
  gc_frame_newslot(call2235);
  Object num2236 = alloc_Float64(4);
// compilenode returning num2236
  gc_frame_newslot(num2236);
  if (strlit2237 == NULL) {
    strlit2237 = alloc_String("0");
    gc_root(strlit2237);
  }
// compilenode returning strlit2237
  gc_frame_newslot(strlit2237);
  int callframe2238 = gc_frame_new();
  int callframe2239 = gc_frame_new();
  Object call2240 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2239);
// compilenode returning call2240
// compilenode returning call2240
  partcv[0] = 0;
  Object call2241 = callmethodflags(call2240, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2238);
// compilenode returning call2241
// compilenode returning call2241
  params[0] = call2235;
  params[1] = num2236;
  params[2] = strlit2237;
  partcv[0] = 3;
  Object call2242 = callmethodflags(call2241, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2232);
// compilenode returning call2242
  int op_slot_right_2231 = gc_frame_newslot(call2242);
  if (strlit2245 == NULL) {
    strlit2245 = alloc_String(" (U+");
    gc_root(strlit2245);
  }
// compilenode returning strlit2245
  int op_slot_right_2244 = gc_frame_newslot(strlit2245);
  int callframe2248 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2249 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2248);
// compilenode returning call2249
  int op_slot_right_2247 = gc_frame_newslot(call2249);
  if (strlit2251 == NULL) {
    strlit2251 = alloc_String("");
    gc_root(strlit2251);
  }
// compilenode returning strlit2251
  int op_slot_left_2247 = gc_frame_newslot(strlit2251);
  params[0] = call2249;
  partcv[0] = 1;
  Object opresult2252 = callmethod(strlit2251, "++", 1, partcv, params);
// compilenode returning opresult2252
  int op_slot_left_2244 = gc_frame_newslot(opresult2252);
  params[0] = strlit2245;
  partcv[0] = 1;
  Object opresult2253 = callmethod(opresult2252, "++", 1, partcv, params);
// compilenode returning opresult2253
  int op_slot_left_2231 = gc_frame_newslot(opresult2253);
  params[0] = call2242;
  partcv[0] = 1;
  Object opresult2254 = callmethod(opresult2253, "++", 1, partcv, params);
// compilenode returning opresult2254
  int op_slot_left_2228 = gc_frame_newslot(opresult2254);
  params[0] = strlit2229;
  partcv[0] = 1;
  Object opresult2255 = callmethod(opresult2254, "++", 1, partcv, params);
// compilenode returning opresult2255
  int op_slot_left_2225 = gc_frame_newslot(opresult2255);
  params[0] = strlit2226;
  partcv[0] = 1;
  Object opresult2256 = callmethod(opresult2255, "++", 1, partcv, params);
// compilenode returning opresult2256
  int op_slot_left_2222 = gc_frame_newslot(opresult2256);
  params[0] = strlit2223;
  partcv[0] = 1;
  Object opresult2257 = callmethod(opresult2256, "++", 1, partcv, params);
// compilenode returning opresult2257
  int op_slot_left_2219 = gc_frame_newslot(opresult2257);
  params[0] = strlit2220;
  partcv[0] = 1;
  Object opresult2258 = callmethod(opresult2257, "++", 1, partcv, params);
// compilenode returning opresult2258
  int op_slot_left_2216 = gc_frame_newslot(opresult2258);
  params[0] = strlit2217;
  partcv[0] = 1;
  Object opresult2259 = callmethod(opresult2258, "++", 1, partcv, params);
// compilenode returning opresult2259
  int op_slot_left_2203 = gc_frame_newslot(opresult2259);
  params[0] = call2214;
  partcv[0] = 1;
  Object opresult2260 = callmethod(opresult2259, "++", 1, partcv, params);
// compilenode returning opresult2260
  int op_slot_left_2200 = gc_frame_newslot(opresult2260);
  params[0] = strlit2201;
  partcv[0] = 1;
  Object opresult2261 = callmethod(opresult2260, "++", 1, partcv, params);
// compilenode returning opresult2261
  gc_frame_newslot(opresult2261);
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2261;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2262 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2199);
// compilenode returning call2262
    gc_frame_newslot(call2262);
    if2177 = call2262;
  } else {
  }
// compilenode returning if2177
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2263 = gc_frame_new();
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2265 == NULL) {
    strlit2265 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit2265);
  }
// compilenode returning strlit2265
  int op_slot_right_2264 = gc_frame_newslot(strlit2265);
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2268 == NULL) {
    strlit2268 = alloc_String(") ");
    gc_root(strlit2268);
  }
// compilenode returning strlit2268
  int op_slot_right_2267 = gc_frame_newslot(strlit2268);
  int callframe2271 = gc_frame_new();
  int callframe2272 = gc_frame_new();
  Object num2273 = alloc_Float64(16);
// compilenode returning num2273
  gc_frame_newslot(num2273);
// compilenode returning *var_ordval
  params[0] = num2273;
  partcv[0] = 1;
  Object call2274 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2272);
// compilenode returning call2274
  gc_frame_newslot(call2274);
  Object num2275 = alloc_Float64(4);
// compilenode returning num2275
  gc_frame_newslot(num2275);
  if (strlit2276 == NULL) {
    strlit2276 = alloc_String("0");
    gc_root(strlit2276);
  }
// compilenode returning strlit2276
  gc_frame_newslot(strlit2276);
  int callframe2277 = gc_frame_new();
  int callframe2278 = gc_frame_new();
  Object call2279 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2278);
// compilenode returning call2279
// compilenode returning call2279
  partcv[0] = 0;
  Object call2280 = callmethodflags(call2279, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2277);
// compilenode returning call2280
// compilenode returning call2280
  params[0] = call2274;
  params[1] = num2275;
  params[2] = strlit2276;
  partcv[0] = 3;
  Object call2281 = callmethodflags(call2280, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2271);
// compilenode returning call2281
  int op_slot_right_2270 = gc_frame_newslot(call2281);
  if (strlit2284 == NULL) {
    strlit2284 = alloc_String(" (U+");
    gc_root(strlit2284);
  }
// compilenode returning strlit2284
  int op_slot_right_2283 = gc_frame_newslot(strlit2284);
  int callframe2287 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2288 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2287);
// compilenode returning call2288
  int op_slot_right_2286 = gc_frame_newslot(call2288);
  if (strlit2290 == NULL) {
    strlit2290 = alloc_String("");
    gc_root(strlit2290);
  }
// compilenode returning strlit2290
  int op_slot_left_2286 = gc_frame_newslot(strlit2290);
  params[0] = call2288;
  partcv[0] = 1;
  Object opresult2291 = callmethod(strlit2290, "++", 1, partcv, params);
// compilenode returning opresult2291
  int op_slot_left_2283 = gc_frame_newslot(opresult2291);
  params[0] = strlit2284;
  partcv[0] = 1;
  Object opresult2292 = callmethod(opresult2291, "++", 1, partcv, params);
// compilenode returning opresult2292
  int op_slot_left_2270 = gc_frame_newslot(opresult2292);
  params[0] = call2281;
  partcv[0] = 1;
  Object opresult2293 = callmethod(opresult2292, "++", 1, partcv, params);
// compilenode returning opresult2293
  int op_slot_left_2267 = gc_frame_newslot(opresult2293);
  params[0] = strlit2268;
  partcv[0] = 1;
  Object opresult2294 = callmethod(opresult2293, "++", 1, partcv, params);
// compilenode returning opresult2294
  int op_slot_left_2264 = gc_frame_newslot(opresult2294);
  params[0] = strlit2265;
  partcv[0] = 1;
  Object opresult2295 = callmethod(opresult2294, "++", 1, partcv, params);
// compilenode returning opresult2295
  gc_frame_newslot(opresult2295);
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2295;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2296 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2263);
// compilenode returning call2296
    gc_frame_newslot(call2296);
    if2118 = call2296;
  }
// compilenode returning if2118
    gc_frame_newslot(if2118);
    if2108 = if2118;
  } else {
  }
// compilenode returning if2108
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2298 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_badControl
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2299 = callmethod(*var_badControl, "match",
    1, partcv, params);
  gc_frame_end(callframe2298);
// compilenode returning call2299
  Object if2297 = done;
  if (istrue(call2299)) {
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2300 = gc_frame_new();
  int callframe2301 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2302 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2301);
// compilenode returning call2302
// compilenode returning call2302
  partcv[0] = 0;
  Object call2303 = callmethod(call2302, "new",
    1, partcv, params);
  gc_frame_end(callframe2300);
// compilenode returning call2303
// compilenode returning call2303
  *var_suggestion = call2303;
  if (call2303 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2304 = done;
  if (istrue(*var_instr)) {
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2305 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2307 == NULL) {
    strlit2307 = alloc_String("");
    gc_root(strlit2307);
  }
// compilenode returning strlit2307
  int op_slot_right_2306 = gc_frame_newslot(strlit2307);
  int callframe2310 = gc_frame_new();
  int callframe2311 = gc_frame_new();
  Object num2312 = alloc_Float64(16);
// compilenode returning num2312
  gc_frame_newslot(num2312);
// compilenode returning *var_ordval
  params[0] = num2312;
  partcv[0] = 1;
  Object call2313 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2311);
// compilenode returning call2313
  gc_frame_newslot(call2313);
  Object num2314 = alloc_Float64(4);
// compilenode returning num2314
  gc_frame_newslot(num2314);
  if (strlit2315 == NULL) {
    strlit2315 = alloc_String("0");
    gc_root(strlit2315);
  }
// compilenode returning strlit2315
  gc_frame_newslot(strlit2315);
  int callframe2316 = gc_frame_new();
  int callframe2317 = gc_frame_new();
  Object call2318 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2317);
// compilenode returning call2318
// compilenode returning call2318
  partcv[0] = 0;
  Object call2319 = callmethodflags(call2318, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2316);
// compilenode returning call2319
// compilenode returning call2319
  params[0] = call2313;
  params[1] = num2314;
  params[2] = strlit2315;
  partcv[0] = 3;
  Object call2320 = callmethodflags(call2319, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2310);
// compilenode returning call2320
  int op_slot_right_2309 = gc_frame_newslot(call2320);
  if (strlit2322 == NULL) {
    strlit2322 = alloc_String("\\u");
    gc_root(strlit2322);
  }
// compilenode returning strlit2322
  int op_slot_left_2309 = gc_frame_newslot(strlit2322);
  params[0] = call2320;
  partcv[0] = 1;
  Object opresult2323 = callmethod(strlit2322, "++", 1, partcv, params);
// compilenode returning opresult2323
  int op_slot_left_2306 = gc_frame_newslot(opresult2323);
  params[0] = strlit2307;
  partcv[0] = 1;
  Object opresult2324 = callmethod(opresult2323, "++", 1, partcv, params);
// compilenode returning opresult2324
  gc_frame_newslot(opresult2324);
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = *var_linePosition;
  params[2] = opresult2324;
  params[3] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2325 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2305);
// compilenode returning call2325
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2326 = gc_frame_new();
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2328 == NULL) {
    strlit2328 = alloc_String(" instead");
    gc_root(strlit2328);
  }
// compilenode returning strlit2328
  int op_slot_right_2327 = gc_frame_newslot(strlit2328);
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2331 = gc_frame_new();
  int callframe2332 = gc_frame_new();
  Object num2333 = alloc_Float64(16);
// compilenode returning num2333
  gc_frame_newslot(num2333);
// compilenode returning *var_ordval
  params[0] = num2333;
  partcv[0] = 1;
  Object call2334 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2332);
// compilenode returning call2334
  gc_frame_newslot(call2334);
  Object num2335 = alloc_Float64(4);
// compilenode returning num2335
  gc_frame_newslot(num2335);
  if (strlit2336 == NULL) {
    strlit2336 = alloc_String("0");
    gc_root(strlit2336);
  }
// compilenode returning strlit2336
  gc_frame_newslot(strlit2336);
  int callframe2337 = gc_frame_new();
  int callframe2338 = gc_frame_new();
  Object call2339 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2338);
// compilenode returning call2339
// compilenode returning call2339
  partcv[0] = 0;
  Object call2340 = callmethodflags(call2339, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2337);
// compilenode returning call2340
// compilenode returning call2340
  params[0] = call2334;
  params[1] = num2335;
  params[2] = strlit2336;
  partcv[0] = 3;
  Object call2341 = callmethodflags(call2340, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2331);
// compilenode returning call2341
  int op_slot_right_2330 = gc_frame_newslot(call2341);
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2344 == NULL) {
    strlit2344 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2344);
  }
// compilenode returning strlit2344
  int op_slot_right_2343 = gc_frame_newslot(strlit2344);
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2347 == NULL) {
    strlit2347 = alloc_String("written in the source code; ");
    gc_root(strlit2347);
  }
// compilenode returning strlit2347
  int op_slot_right_2346 = gc_frame_newslot(strlit2347);
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2350 == NULL) {
    strlit2350 = alloc_String("is a control character and cannot be ");
    gc_root(strlit2350);
  }
// compilenode returning strlit2350
  int op_slot_right_2349 = gc_frame_newslot(strlit2350);
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2353 == NULL) {
    strlit2353 = alloc_String(") ");
    gc_root(strlit2353);
  }
// compilenode returning strlit2353
  int op_slot_right_2352 = gc_frame_newslot(strlit2353);
  int callframe2356 = gc_frame_new();
  int callframe2357 = gc_frame_new();
  Object num2358 = alloc_Float64(16);
// compilenode returning num2358
  gc_frame_newslot(num2358);
// compilenode returning *var_ordval
  params[0] = num2358;
  partcv[0] = 1;
  Object call2359 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2357);
// compilenode returning call2359
  gc_frame_newslot(call2359);
  Object num2360 = alloc_Float64(4);
// compilenode returning num2360
  gc_frame_newslot(num2360);
  if (strlit2361 == NULL) {
    strlit2361 = alloc_String("0");
    gc_root(strlit2361);
  }
// compilenode returning strlit2361
  gc_frame_newslot(strlit2361);
  int callframe2362 = gc_frame_new();
  int callframe2363 = gc_frame_new();
  Object call2364 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2363);
// compilenode returning call2364
// compilenode returning call2364
  partcv[0] = 0;
  Object call2365 = callmethodflags(call2364, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2362);
// compilenode returning call2365
// compilenode returning call2365
  params[0] = call2359;
  params[1] = num2360;
  params[2] = strlit2361;
  partcv[0] = 3;
  Object call2366 = callmethodflags(call2365, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2356);
// compilenode returning call2366
  int op_slot_right_2355 = gc_frame_newslot(call2366);
  if (strlit2369 == NULL) {
    strlit2369 = alloc_String(" (U+");
    gc_root(strlit2369);
  }
// compilenode returning strlit2369
  int op_slot_right_2368 = gc_frame_newslot(strlit2369);
  int callframe2372 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2373 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2372);
// compilenode returning call2373
  int op_slot_right_2371 = gc_frame_newslot(call2373);
  if (strlit2375 == NULL) {
    strlit2375 = alloc_String("");
    gc_root(strlit2375);
  }
// compilenode returning strlit2375
  int op_slot_left_2371 = gc_frame_newslot(strlit2375);
  params[0] = call2373;
  partcv[0] = 1;
  Object opresult2376 = callmethod(strlit2375, "++", 1, partcv, params);
// compilenode returning opresult2376
  int op_slot_left_2368 = gc_frame_newslot(opresult2376);
  params[0] = strlit2369;
  partcv[0] = 1;
  Object opresult2377 = callmethod(opresult2376, "++", 1, partcv, params);
// compilenode returning opresult2377
  int op_slot_left_2355 = gc_frame_newslot(opresult2377);
  params[0] = call2366;
  partcv[0] = 1;
  Object opresult2378 = callmethod(opresult2377, "++", 1, partcv, params);
// compilenode returning opresult2378
  int op_slot_left_2352 = gc_frame_newslot(opresult2378);
  params[0] = strlit2353;
  partcv[0] = 1;
  Object opresult2379 = callmethod(opresult2378, "++", 1, partcv, params);
// compilenode returning opresult2379
  int op_slot_left_2349 = gc_frame_newslot(opresult2379);
  params[0] = strlit2350;
  partcv[0] = 1;
  Object opresult2380 = callmethod(opresult2379, "++", 1, partcv, params);
// compilenode returning opresult2380
  int op_slot_left_2346 = gc_frame_newslot(opresult2380);
  params[0] = strlit2347;
  partcv[0] = 1;
  Object opresult2381 = callmethod(opresult2380, "++", 1, partcv, params);
// compilenode returning opresult2381
  int op_slot_left_2343 = gc_frame_newslot(opresult2381);
  params[0] = strlit2344;
  partcv[0] = 1;
  Object opresult2382 = callmethod(opresult2381, "++", 1, partcv, params);
// compilenode returning opresult2382
  int op_slot_left_2330 = gc_frame_newslot(opresult2382);
  params[0] = call2341;
  partcv[0] = 1;
  Object opresult2383 = callmethod(opresult2382, "++", 1, partcv, params);
// compilenode returning opresult2383
  int op_slot_left_2327 = gc_frame_newslot(opresult2383);
  params[0] = strlit2328;
  partcv[0] = 1;
  Object opresult2384 = callmethod(opresult2383, "++", 1, partcv, params);
// compilenode returning opresult2384
  gc_frame_newslot(opresult2384);
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2384;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2385 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2326);
// compilenode returning call2385
    gc_frame_newslot(call2385);
    if2304 = call2385;
  } else {
  }
// compilenode returning if2304
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2386 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2387 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe2386);
// compilenode returning call2387
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2388 = gc_frame_new();
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2390 == NULL) {
    strlit2390 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit2390);
  }
// compilenode returning strlit2390
  int op_slot_right_2389 = gc_frame_newslot(strlit2390);
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2393 == NULL) {
    strlit2393 = alloc_String(") ");
    gc_root(strlit2393);
  }
// compilenode returning strlit2393
  int op_slot_right_2392 = gc_frame_newslot(strlit2393);
  int callframe2396 = gc_frame_new();
  int callframe2397 = gc_frame_new();
  Object num2398 = alloc_Float64(16);
// compilenode returning num2398
  gc_frame_newslot(num2398);
// compilenode returning *var_ordval
  params[0] = num2398;
  partcv[0] = 1;
  Object call2399 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2397);
// compilenode returning call2399
  gc_frame_newslot(call2399);
  Object num2400 = alloc_Float64(4);
// compilenode returning num2400
  gc_frame_newslot(num2400);
  if (strlit2401 == NULL) {
    strlit2401 = alloc_String("0");
    gc_root(strlit2401);
  }
// compilenode returning strlit2401
  gc_frame_newslot(strlit2401);
  int callframe2402 = gc_frame_new();
  int callframe2403 = gc_frame_new();
  Object call2404 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2403);
// compilenode returning call2404
// compilenode returning call2404
  partcv[0] = 0;
  Object call2405 = callmethodflags(call2404, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2402);
// compilenode returning call2405
// compilenode returning call2405
  params[0] = call2399;
  params[1] = num2400;
  params[2] = strlit2401;
  partcv[0] = 3;
  Object call2406 = callmethodflags(call2405, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2396);
// compilenode returning call2406
  int op_slot_right_2395 = gc_frame_newslot(call2406);
  if (strlit2409 == NULL) {
    strlit2409 = alloc_String(" (U+");
    gc_root(strlit2409);
  }
// compilenode returning strlit2409
  int op_slot_right_2408 = gc_frame_newslot(strlit2409);
  int callframe2412 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2413 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2412);
// compilenode returning call2413
  int op_slot_right_2411 = gc_frame_newslot(call2413);
  if (strlit2415 == NULL) {
    strlit2415 = alloc_String("");
    gc_root(strlit2415);
  }
// compilenode returning strlit2415
  int op_slot_left_2411 = gc_frame_newslot(strlit2415);
  params[0] = call2413;
  partcv[0] = 1;
  Object opresult2416 = callmethod(strlit2415, "++", 1, partcv, params);
// compilenode returning opresult2416
  int op_slot_left_2408 = gc_frame_newslot(opresult2416);
  params[0] = strlit2409;
  partcv[0] = 1;
  Object opresult2417 = callmethod(opresult2416, "++", 1, partcv, params);
// compilenode returning opresult2417
  int op_slot_left_2395 = gc_frame_newslot(opresult2417);
  params[0] = call2406;
  partcv[0] = 1;
  Object opresult2418 = callmethod(opresult2417, "++", 1, partcv, params);
// compilenode returning opresult2418
  int op_slot_left_2392 = gc_frame_newslot(opresult2418);
  params[0] = strlit2393;
  partcv[0] = 1;
  Object opresult2419 = callmethod(opresult2418, "++", 1, partcv, params);
// compilenode returning opresult2419
  int op_slot_left_2389 = gc_frame_newslot(opresult2419);
  params[0] = strlit2390;
  partcv[0] = 1;
  Object opresult2420 = callmethod(opresult2419, "++", 1, partcv, params);
// compilenode returning opresult2420
  gc_frame_newslot(opresult2420);
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2420;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2421 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2388);
// compilenode returning call2421
    gc_frame_newslot(call2421);
    if2297 = call2421;
  } else {
  }
// compilenode returning if2297
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_atStart
  Object if2422 = done;
  if (istrue(*var_atStart)) {
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2425 = alloc_Float64(1);
// compilenode returning num2425
  int op_slot_right_2424 = gc_frame_newslot(num2425);
// compilenode returning *var_linePosition
  int op_slot_left_2424 = gc_frame_newslot(*var_linePosition);
  params[0] = num2425;
  partcv[0] = 1;
  Object opresult2427 = callmethod(*var_linePosition, "==", 1, partcv, params);
// compilenode returning opresult2427
  Object if2423 = done;
  if (istrue(opresult2427)) {
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2430 == NULL) {
    strlit2430 = alloc_String("#");
    gc_root(strlit2430);
  }
// compilenode returning strlit2430
  int op_slot_right_2429 = gc_frame_newslot(strlit2430);
// compilenode returning *var_c
  int op_slot_left_2429 = gc_frame_newslot(*var_c);
  params[0] = strlit2430;
  partcv[0] = 1;
  Object opresult2432 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2432
  Object if2428 = done;
  if (istrue(opresult2432)) {
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2433 == NULL) {
    strlit2433 = alloc_String("p");
    gc_root(strlit2433);
  }
// compilenode returning strlit2433
  *var_mode = strlit2433;
  if (strlit2433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2428 = done;
  } else {
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2436 = alloc_Boolean(0);
// compilenode returning bool2436
  *var_atStart = bool2436;
  if (bool2436 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2428 = done;
  }
// compilenode returning if2428
    gc_frame_newslot(if2428);
    if2423 = if2428;
  } else {
  }
// compilenode returning if2423
    gc_frame_newslot(if2423);
    if2422 = if2423;
  } else {
  }
// compilenode returning if2422
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2438 = done;
  if (istrue(*var_instr)) {
    gc_frame_newslot(done);
    if2438 = done;
  } else {
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2442 == NULL) {
    strlit2442 = alloc_String("p");
    gc_root(strlit2442);
  }
// compilenode returning strlit2442
  int op_slot_right_2441 = gc_frame_newslot(strlit2442);
// compilenode returning *var_mode
  int op_slot_left_2441 = gc_frame_newslot(*var_mode);
  params[0] = strlit2442;
  partcv[0] = 1;
  Object opresult2444 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2444
  int op_slot_right_2440 = gc_frame_newslot(opresult2444);
  if (strlit2447 == NULL) {
    strlit2447 = alloc_String("c");
    gc_root(strlit2447);
  }
// compilenode returning strlit2447
  int op_slot_right_2446 = gc_frame_newslot(strlit2447);
// compilenode returning *var_mode
  int op_slot_left_2446 = gc_frame_newslot(*var_mode);
  params[0] = strlit2447;
  partcv[0] = 1;
  Object opresult2449 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2449
  int op_slot_left_2440 = gc_frame_newslot(opresult2449);
  params[0] = opresult2444;
  partcv[0] = 1;
  Object opresult2450 = callmethod(opresult2449, "&&", 1, partcv, params);
// compilenode returning opresult2450
  Object if2439 = done;
  if (istrue(opresult2450)) {
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2454 == NULL) {
    strlit2454 = alloc_String("d");
    gc_root(strlit2454);
  }
// compilenode returning strlit2454
  int op_slot_right_2453 = gc_frame_newslot(strlit2454);
// compilenode returning *var_mode
  int op_slot_left_2453 = gc_frame_newslot(*var_mode);
  params[0] = strlit2454;
  partcv[0] = 1;
  Object opresult2456 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2456
  int op_slot_right_2452 = gc_frame_newslot(opresult2456);
  if (strlit2459 == NULL) {
    strlit2459 = alloc_String(" ");
    gc_root(strlit2459);
  }
// compilenode returning strlit2459
  int op_slot_right_2458 = gc_frame_newslot(strlit2459);
// compilenode returning *var_c
  int op_slot_left_2458 = gc_frame_newslot(*var_c);
  params[0] = strlit2459;
  partcv[0] = 1;
  Object opresult2461 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2461
  int op_slot_left_2452 = gc_frame_newslot(opresult2461);
  params[0] = opresult2456;
  partcv[0] = 1;
  Object opresult2462 = callmethod(opresult2461, "&&", 1, partcv, params);
// compilenode returning opresult2462
  Object if2451 = done;
  if (istrue(opresult2462)) {
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2463 == NULL) {
    strlit2463 = alloc_String("n");
    gc_root(strlit2463);
  }
// compilenode returning strlit2463
  *var_newmode = strlit2463;
  if (strlit2463 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2451 = done;
  } else {
  }
// compilenode returning if2451
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2467 == NULL) {
    strlit2467 = alloc_String("""\x22""");
    gc_root(strlit2467);
  }
// compilenode returning strlit2467
  int op_slot_right_2466 = gc_frame_newslot(strlit2467);
// compilenode returning *var_c
  int op_slot_left_2466 = gc_frame_newslot(*var_c);
  params[0] = strlit2467;
  partcv[0] = 1;
  Object opresult2469 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2469
  Object if2465 = done;
  if (istrue(opresult2469)) {
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2470 == NULL) {
    strlit2470 = alloc_String("""\x22""");
    gc_root(strlit2470);
  }
// compilenode returning strlit2470
  *var_newmode = strlit2470;
  if (strlit2470 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2472 = alloc_Boolean(1);
// compilenode returning bool2472
  *var_instr = bool2472;
  if (bool2472 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2465 = done;
  } else {
  }
// compilenode returning if2465
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2475 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_identifierChar
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2476 = callmethod(*var_identifierChar, "match",
    1, partcv, params);
  gc_frame_end(callframe2475);
// compilenode returning call2476
  Object if2474 = done;
  if (istrue(call2476)) {
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2477 == NULL) {
    strlit2477 = alloc_String("i");
    gc_root(strlit2477);
  }
// compilenode returning strlit2477
  *var_newmode = strlit2477;
  if (strlit2477 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2474 = done;
  } else {
  }
// compilenode returning if2474
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2481 = alloc_Float64(57);
// compilenode returning num2481
  int op_slot_right_2480 = gc_frame_newslot(num2481);
// compilenode returning *var_ordval
  int op_slot_left_2480 = gc_frame_newslot(*var_ordval);
  params[0] = num2481;
  partcv[0] = 1;
  Object opresult2483 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compilenode returning opresult2483
  int op_slot_right_2479 = gc_frame_newslot(opresult2483);
  Object num2486 = alloc_Float64(48);
// compilenode returning num2486
  int op_slot_right_2485 = gc_frame_newslot(num2486);
// compilenode returning *var_ordval
  int op_slot_left_2485 = gc_frame_newslot(*var_ordval);
  params[0] = num2486;
  partcv[0] = 1;
  Object opresult2488 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compilenode returning opresult2488
  int op_slot_left_2479 = gc_frame_newslot(opresult2488);
  params[0] = opresult2483;
  partcv[0] = 1;
  Object opresult2489 = callmethod(opresult2488, "&&", 1, partcv, params);
// compilenode returning opresult2489
  *var_ct = opresult2489;
  if (opresult2489 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2492 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_digit
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2493 = callmethod(*var_digit, "match",
    1, partcv, params);
  gc_frame_end(callframe2492);
// compilenode returning call2493
  Object if2491 = done;
  if (istrue(call2493)) {
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2496 == NULL) {
    strlit2496 = alloc_String("i");
    gc_root(strlit2496);
  }
// compilenode returning strlit2496
  int op_slot_right_2495 = gc_frame_newslot(strlit2496);
// compilenode returning *var_mode
  int op_slot_left_2495 = gc_frame_newslot(*var_mode);
  params[0] = strlit2496;
  partcv[0] = 1;
  Object opresult2498 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2498
  Object if2494 = done;
  if (istrue(opresult2498)) {
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2499 == NULL) {
    strlit2499 = alloc_String("m");
    gc_root(strlit2499);
  }
// compilenode returning strlit2499
  *var_newmode = strlit2499;
  if (strlit2499 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2494 = done;
  } else {
  }
// compilenode returning if2494
    gc_frame_newslot(if2494);
    if2491 = if2494;
  } else {
  }
// compilenode returning if2491
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2503 == NULL) {
    strlit2503 = alloc_String("m");
    gc_root(strlit2503);
  }
// compilenode returning strlit2503
  int op_slot_right_2502 = gc_frame_newslot(strlit2503);
// compilenode returning *var_mode
  int op_slot_left_2502 = gc_frame_newslot(*var_mode);
  params[0] = strlit2503;
  partcv[0] = 1;
  Object opresult2505 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2505
  Object if2501 = done;
  if (istrue(opresult2505)) {
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2509 = alloc_Float64(122);
// compilenode returning num2509
  int op_slot_right_2508 = gc_frame_newslot(num2509);
// compilenode returning *var_ordval
  int op_slot_left_2508 = gc_frame_newslot(*var_ordval);
  params[0] = num2509;
  partcv[0] = 1;
  Object opresult2511 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compilenode returning opresult2511
  int op_slot_right_2507 = gc_frame_newslot(opresult2511);
  Object num2514 = alloc_Float64(97);
// compilenode returning num2514
  int op_slot_right_2513 = gc_frame_newslot(num2514);
// compilenode returning *var_ordval
  int op_slot_left_2513 = gc_frame_newslot(*var_ordval);
  params[0] = num2514;
  partcv[0] = 1;
  Object opresult2516 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compilenode returning opresult2516
  int op_slot_left_2507 = gc_frame_newslot(opresult2516);
  params[0] = opresult2511;
  partcv[0] = 1;
  Object opresult2517 = callmethod(opresult2516, "&&", 1, partcv, params);
// compilenode returning opresult2517
  Object if2506 = done;
  if (istrue(opresult2517)) {
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2518 == NULL) {
    strlit2518 = alloc_String("m");
    gc_root(strlit2518);
  }
// compilenode returning strlit2518
  *var_newmode = strlit2518;
  if (strlit2518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2506 = done;
  } else {
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2523 = alloc_Float64(90);
// compilenode returning num2523
  int op_slot_right_2522 = gc_frame_newslot(num2523);
// compilenode returning *var_ordval
  int op_slot_left_2522 = gc_frame_newslot(*var_ordval);
  params[0] = num2523;
  partcv[0] = 1;
  Object opresult2525 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compilenode returning opresult2525
  int op_slot_right_2521 = gc_frame_newslot(opresult2525);
  Object num2528 = alloc_Float64(65);
// compilenode returning num2528
  int op_slot_right_2527 = gc_frame_newslot(num2528);
// compilenode returning *var_ordval
  int op_slot_left_2527 = gc_frame_newslot(*var_ordval);
  params[0] = num2528;
  partcv[0] = 1;
  Object opresult2530 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compilenode returning opresult2530
  int op_slot_left_2521 = gc_frame_newslot(opresult2530);
  params[0] = opresult2525;
  partcv[0] = 1;
  Object opresult2531 = callmethod(opresult2530, "&&", 1, partcv, params);
// compilenode returning opresult2531
  Object if2520 = done;
  if (istrue(opresult2531)) {
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2532 == NULL) {
    strlit2532 = alloc_String("m");
    gc_root(strlit2532);
  }
// compilenode returning strlit2532
  *var_newmode = strlit2532;
  if (strlit2532 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2520 = done;
  } else {
  }
// compilenode returning if2520
    gc_frame_newslot(if2520);
    if2506 = if2520;
  }
// compilenode returning if2506
    gc_frame_newslot(if2506);
    if2501 = if2506;
  } else {
  }
// compilenode returning if2501
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2537 == NULL) {
    strlit2537 = alloc_String("<");
    gc_root(strlit2537);
  }
// compilenode returning strlit2537
  int op_slot_right_2536 = gc_frame_newslot(strlit2537);
// compilenode returning *var_c
  int op_slot_left_2536 = gc_frame_newslot(*var_c);
  params[0] = strlit2537;
  partcv[0] = 1;
  Object opresult2539 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2539
  int op_slot_right_2535 = gc_frame_newslot(opresult2539);
  if (strlit2542 == NULL) {
    strlit2542 = alloc_String("i");
    gc_root(strlit2542);
  }
// compilenode returning strlit2542
  int op_slot_right_2541 = gc_frame_newslot(strlit2542);
// compilenode returning *var_mode
  int op_slot_left_2541 = gc_frame_newslot(*var_mode);
  params[0] = strlit2542;
  partcv[0] = 1;
  Object opresult2544 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2544
  int op_slot_left_2535 = gc_frame_newslot(opresult2544);
  params[0] = opresult2539;
  partcv[0] = 1;
  Object opresult2545 = callmethod(opresult2544, "&&", 1, partcv, params);
// compilenode returning opresult2545
  Object if2534 = done;
  if (istrue(opresult2545)) {
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2546 == NULL) {
    strlit2546 = alloc_String("<");
    gc_root(strlit2546);
  }
// compilenode returning strlit2546
  *var_newmode = strlit2546;
  if (strlit2546 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2534 = done;
  } else {
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2551 == NULL) {
    strlit2551 = alloc_String(">");
    gc_root(strlit2551);
  }
// compilenode returning strlit2551
  int op_slot_right_2550 = gc_frame_newslot(strlit2551);
// compilenode returning *var_c
  int op_slot_left_2550 = gc_frame_newslot(*var_c);
  params[0] = strlit2551;
  partcv[0] = 1;
  Object opresult2553 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2553
  int op_slot_right_2549 = gc_frame_newslot(opresult2553);
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2555 = gc_frame_new();
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_iGTLT
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call2556 = callmethod(*var_iGTLT, "match",
    1, partcv, params);
  gc_frame_end(callframe2555);
// compilenode returning call2556
  int op_slot_left_2549 = gc_frame_newslot(call2556);
  params[0] = opresult2553;
  partcv[0] = 1;
  Object opresult2557 = callmethod(call2556, "&&", 1, partcv, params);
// compilenode returning opresult2557
  Object if2548 = done;
  if (istrue(opresult2557)) {
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2560 == NULL) {
    strlit2560 = alloc_String(">");
    gc_root(strlit2560);
  }
// compilenode returning strlit2560
  int op_slot_right_2559 = gc_frame_newslot(strlit2560);
// compilenode returning *var_mode
  int op_slot_left_2559 = gc_frame_newslot(*var_mode);
  params[0] = strlit2560;
  partcv[0] = 1;
  Object opresult2562 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2562
  Object if2558 = done;
  if (istrue(opresult2562)) {
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2563 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2564 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2563);
// compilenode returning call2564
    gc_frame_newslot(call2564);
    if2558 = call2564;
  } else {
  }
// compilenode returning if2558
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2565 == NULL) {
    strlit2565 = alloc_String(">");
    gc_root(strlit2565);
  }
// compilenode returning strlit2565
  *var_newmode = strlit2565;
  if (strlit2565 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2548 = done;
  } else {
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2568 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_operatorChar
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2569 = callmethod(*var_operatorChar, "match",
    1, partcv, params);
  gc_frame_end(callframe2568);
// compilenode returning call2569
  Object if2567 = done;
  if (istrue(call2569)) {
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2570 == NULL) {
    strlit2570 = alloc_String("o");
    gc_root(strlit2570);
  }
// compilenode returning strlit2570
  *var_newmode = strlit2570;
  if (strlit2570 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2567 = done;
  } else {
  }
// compilenode returning if2567
    gc_frame_newslot(if2567);
    if2548 = if2567;
  }
// compilenode returning if2548
    gc_frame_newslot(if2548);
    if2534 = if2548;
  }
// compilenode returning if2534
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2573 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_selfModes
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2574 = callmethod(*var_selfModes, "match",
    1, partcv, params);
  gc_frame_end(callframe2573);
// compilenode returning call2574
  Object if2572 = done;
  if (istrue(call2574)) {
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  *var_newmode = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2572 = done;
  } else {
  }
// compilenode returning if2572
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2578 == NULL) {
    strlit2578 = alloc_String("#");
    gc_root(strlit2578);
  }
// compilenode returning strlit2578
  int op_slot_right_2577 = gc_frame_newslot(strlit2578);
// compilenode returning *var_c
  int op_slot_left_2577 = gc_frame_newslot(*var_c);
  params[0] = strlit2578;
  partcv[0] = 1;
  Object opresult2580 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2580
  Object if2576 = done;
  if (istrue(opresult2580)) {
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2583 == NULL) {
    strlit2583 = alloc_String("p");
    gc_root(strlit2583);
  }
// compilenode returning strlit2583
  int op_slot_right_2582 = gc_frame_newslot(strlit2583);
// compilenode returning *var_mode
  int op_slot_left_2582 = gc_frame_newslot(*var_mode);
  params[0] = strlit2583;
  partcv[0] = 1;
  Object opresult2585 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult2585
  Object if2581 = done;
  if (istrue(opresult2585)) {
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2588 == NULL) {
    strlit2588 = alloc_String("#pragma");
    gc_root(strlit2588);
  }
// compilenode returning strlit2588
  int op_slot_right_2587 = gc_frame_newslot(strlit2588);
  int callframe2590 = gc_frame_new();
  Object num2591 = alloc_Float64(1);
// compilenode returning num2591
  gc_frame_newslot(num2591);
  Object num2592 = alloc_Float64(7);
// compilenode returning num2592
  gc_frame_newslot(num2592);
  int callframe2593 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe2594 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2595 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2594);
// compilenode returning call2595
// compilenode returning call2595
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call2596 = callmethod(call2595, "at",
    1, partcv, params);
  gc_frame_end(callframe2593);
// compilenode returning call2596
  params[0] = num2591;
  params[1] = num2592;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2597 = callmethod(call2596, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe2590);
// compilenode returning call2597
  int op_slot_left_2587 = gc_frame_newslot(call2597);
  params[0] = strlit2588;
  partcv[0] = 1;
  Object opresult2598 = callmethod(call2597, "==", 1, partcv, params);
// compilenode returning opresult2598
  Object if2586 = done;
  if (istrue(opresult2598)) {
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2601 = alloc_Float64(0);
// compilenode returning num2601
  int op_slot_right_2600 = gc_frame_newslot(num2601);
  int callframe2603 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call2604 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe2603);
// compilenode returning call2604
// compilenode returning call2604
  int op_slot_left_2600 = gc_frame_newslot(call2604);
  params[0] = num2601;
  partcv[0] = 1;
  Object opresult2605 = callmethod(call2604, "==", 1, partcv, params);
// compilenode returning opresult2605
  Object if2599 = done;
  if (istrue(opresult2605)) {
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2606 = gc_frame_new();
  int callframe2607 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2608 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2607);
// compilenode returning call2608
// compilenode returning call2608
  partcv[0] = 0;
  Object call2609 = callmethod(call2608, "new",
    1, partcv, params);
  gc_frame_end(callframe2606);
// compilenode returning call2609
// compilenode returning call2609
  *var_suggestion = call2609;
  if (call2609 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2610 = gc_frame_new();
  Object num2611 = alloc_Float64(1);
// compilenode returning num2611
  gc_frame_newslot(num2611);
  int callframe2612 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe2613 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2614 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2613);
// compilenode returning call2614
// compilenode returning call2614
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call2615 = callmethod(call2614, "at",
    1, partcv, params);
  gc_frame_end(callframe2612);
// compilenode returning call2615
  gc_frame_newslot(call2615);
// compilenode returning *var_suggestion
  params[0] = num2611;
  params[1] = call2615;
  partcv[0] = 2;
  Object call2616 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2610);
// compilenode returning call2616
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2617 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit2618 == NULL) {
    strlit2618 = alloc_String("");
    gc_root(strlit2618);
  }
// compilenode returning strlit2618
  gc_frame_newslot(strlit2618);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = strlit2618;
  partcv[0] = 2;
  Object call2619 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2617);
// compilenode returning call2619
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2620 = gc_frame_new();
  if (strlit2621 == NULL) {
    strlit2621 = alloc_String("Pragma directives must be at the start of the file.");
    gc_root(strlit2621);
  }
// compilenode returning strlit2621
  gc_frame_newslot(strlit2621);
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2621;
  params[1] = *var_lineNumber;
  params[2] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2622 = callmethod(*var_errormessages, "syntaxError()atLine()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2620);
// compilenode returning call2622
    gc_frame_newslot(call2622);
    if2599 = call2622;
  } else {
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2623 = gc_frame_new();
  if (strlit2624 == NULL) {
    strlit2624 = alloc_String("Pragma directives must be at the start of the file.");
    gc_root(strlit2624);
  }
// compilenode returning strlit2624
  gc_frame_newslot(strlit2624);
// Begin line 762
  setline(762);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2624;
  params[1] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2625 = callmethod(*var_errormessages, "syntaxError()atLine",
    2, partcv, params);
  gc_frame_end(callframe2623);
// compilenode returning call2625
    gc_frame_newslot(call2625);
    if2599 = call2625;
  }
// compilenode returning if2599
    gc_frame_newslot(if2599);
    if2586 = if2599;
  } else {
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2626 = gc_frame_new();
  int callframe2627 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2628 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2627);
// compilenode returning call2628
// compilenode returning call2628
  partcv[0] = 0;
  Object call2629 = callmethod(call2628, "new",
    1, partcv, params);
  gc_frame_end(callframe2626);
// compilenode returning call2629
// compilenode returning call2629
  *var_suggestion = call2629;
  if (call2629 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2630 = gc_frame_new();
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
  if (strlit2631 == NULL) {
    strlit2631 = alloc_String("//");
    gc_root(strlit2631);
  }
// compilenode returning strlit2631
  gc_frame_newslot(strlit2631);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = *var_linePosition;
  params[1] = strlit2631;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2632 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2630);
// compilenode returning call2632
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2633 = gc_frame_new();
  if (strlit2634 == NULL) {
    strlit2634 = alloc_String("'#' is not allowed here. For a comment use '//'.");
    gc_root(strlit2634);
  }
// compilenode returning strlit2634
  gc_frame_newslot(strlit2634);
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2634;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2635 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2633);
// compilenode returning call2635
    gc_frame_newslot(call2635);
    if2586 = call2635;
  }
// compilenode returning if2586
    gc_frame_newslot(if2586);
    if2581 = if2586;
  } else {
  }
// compilenode returning if2581
    gc_frame_newslot(if2581);
    if2576 = if2581;
  } else {
  }
// compilenode returning if2576
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2638 == NULL) {
    strlit2638 = alloc_String(".");
    gc_root(strlit2638);
  }
// compilenode returning strlit2638
  int op_slot_right_2637 = gc_frame_newslot(strlit2638);
// compilenode returning *var_c
  int op_slot_left_2637 = gc_frame_newslot(*var_c);
  params[0] = strlit2638;
  partcv[0] = 1;
  Object opresult2640 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2640
  Object if2636 = done;
  if (istrue(opresult2640)) {
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2643 == NULL) {
    strlit2643 = alloc_String(".");
    gc_root(strlit2643);
  }
// compilenode returning strlit2643
  int op_slot_right_2642 = gc_frame_newslot(strlit2643);
// compilenode returning *var_accum
  int op_slot_left_2642 = gc_frame_newslot(*var_accum);
  params[0] = strlit2643;
  partcv[0] = 1;
  Object opresult2645 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult2645
  Object if2641 = done;
  if (istrue(opresult2645)) {
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2646 == NULL) {
    strlit2646 = alloc_String("o");
    gc_root(strlit2646);
  }
// compilenode returning strlit2646
  *var_mode = strlit2646;
  if (strlit2646 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2641 = done;
  } else {
  }
// compilenode returning if2641
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2651 == NULL) {
    strlit2651 = alloc_String("..");
    gc_root(strlit2651);
  }
// compilenode returning strlit2651
  int op_slot_right_2650 = gc_frame_newslot(strlit2651);
// compilenode returning *var_accum
  int op_slot_left_2650 = gc_frame_newslot(*var_accum);
  params[0] = strlit2651;
  partcv[0] = 1;
  Object opresult2653 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult2653
  Object if2649 = done;
  if (istrue(opresult2653)) {
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2654 == NULL) {
    strlit2654 = alloc_String("n");
    gc_root(strlit2654);
  }
// compilenode returning strlit2654
  *var_mode = strlit2654;
  if (strlit2654 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2657 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit2658 == NULL) {
    strlit2658 = alloc_String("i");
    gc_root(strlit2658);
  }
// compilenode returning strlit2658
  gc_frame_newslot(strlit2658);
  if (strlit2659 == NULL) {
    strlit2659 = alloc_String("...");
    gc_root(strlit2659);
  }
// compilenode returning strlit2659
  gc_frame_newslot(strlit2659);
  params[0] = *var_tokens;
  params[1] = strlit2658;
  params[2] = strlit2659;
  partcv[0] = 3;
  Object call2660 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2657);
// compilenode returning call2660
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2661 == NULL) {
    strlit2661 = alloc_String("");
    gc_root(strlit2661);
  }
// compilenode returning strlit2661
  *var_accum = strlit2661;
  if (strlit2661 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2649 = done;
  } else {
  }
// compilenode returning if2649
    gc_frame_newslot(if2649);
    if2636 = if2649;
  } else {
  }
// compilenode returning if2636
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2665 == NULL) {
    strlit2665 = alloc_String("/");
    gc_root(strlit2665);
  }
// compilenode returning strlit2665
  int op_slot_right_2664 = gc_frame_newslot(strlit2665);
// compilenode returning *var_c
  int op_slot_left_2664 = gc_frame_newslot(*var_c);
  params[0] = strlit2665;
  partcv[0] = 1;
  Object opresult2667 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2667
  Object if2663 = done;
  if (istrue(opresult2667)) {
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2670 == NULL) {
    strlit2670 = alloc_String("/");
    gc_root(strlit2670);
  }
// compilenode returning strlit2670
  int op_slot_right_2669 = gc_frame_newslot(strlit2670);
// compilenode returning *var_accum
  int op_slot_left_2669 = gc_frame_newslot(*var_accum);
  params[0] = strlit2670;
  partcv[0] = 1;
  Object opresult2672 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult2672
  Object if2668 = done;
  if (istrue(opresult2672)) {
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2673 == NULL) {
    strlit2673 = alloc_String("c");
    gc_root(strlit2673);
  }
// compilenode returning strlit2673
  *var_mode = strlit2673;
  if (strlit2673 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2668 = done;
  } else {
  }
// compilenode returning if2668
    gc_frame_newslot(if2668);
    if2663 = if2668;
  } else {
  }
// compilenode returning if2663
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2678 == NULL) {
    strlit2678 = alloc_String("n");
    gc_root(strlit2678);
  }
// compilenode returning strlit2678
  int op_slot_right_2677 = gc_frame_newslot(strlit2678);
// compilenode returning *var_mode
  int op_slot_left_2677 = gc_frame_newslot(*var_mode);
  params[0] = strlit2678;
  partcv[0] = 1;
  Object opresult2680 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2680
  Object if2676 = done;
  if (istrue(opresult2680)) {
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newmode
  int op_slot_right_2682 = gc_frame_newslot(*var_newmode);
// compilenode returning *var_mode
  int op_slot_left_2682 = gc_frame_newslot(*var_mode);
  params[0] = *var_newmode;
  partcv[0] = 1;
  Object opresult2684 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2684
  Object if2681 = done;
  if (istrue(opresult2684)) {
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2686 = gc_frame_new();
  int callframe2687 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_unicode
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2688 = callmethod(*var_unicode, "isSeparator",
    1, partcv, params);
  gc_frame_end(callframe2687);
// compilenode returning call2688
  partcv[0] = 0;
  Object call2689 = callmethod(call2688, "not",
    1, partcv, params);
  gc_frame_end(callframe2686);
// compilenode returning call2689
// compilenode returning call2689
  Object if2685 = done;
  if (istrue(call2689)) {
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2691 = gc_frame_new();
  int callframe2692 = gc_frame_new();
// compilenode returning *var_ordval
  gc_frame_newslot(*var_ordval);
// compilenode returning *var_unicode
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2693 = callmethod(*var_unicode, "isControl",
    1, partcv, params);
  gc_frame_end(callframe2692);
// compilenode returning call2693
  partcv[0] = 0;
  Object call2694 = callmethod(call2693, "not",
    1, partcv, params);
  gc_frame_end(callframe2691);
// compilenode returning call2694
// compilenode returning call2694
  Object if2690 = done;
  if (istrue(call2694)) {
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2697 = alloc_Float64(10);
// compilenode returning num2697
  int op_slot_right_2696 = gc_frame_newslot(num2697);
// compilenode returning *var_ordval
  int op_slot_left_2696 = gc_frame_newslot(*var_ordval);
  params[0] = num2697;
  partcv[0] = 1;
  Object opresult2699 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compilenode returning opresult2699
  Object if2695 = done;
  if (istrue(opresult2699)) {
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2702 = alloc_Float64(13);
// compilenode returning num2702
  int op_slot_right_2701 = gc_frame_newslot(num2702);
// compilenode returning *var_ordval
  int op_slot_left_2701 = gc_frame_newslot(*var_ordval);
  params[0] = num2702;
  partcv[0] = 1;
  Object opresult2704 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compilenode returning opresult2704
  Object if2700 = done;
  if (istrue(opresult2704)) {
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2707 = alloc_Float64(32);
// compilenode returning num2707
  int op_slot_right_2706 = gc_frame_newslot(num2707);
// compilenode returning *var_ordval
  int op_slot_left_2706 = gc_frame_newslot(*var_ordval);
  params[0] = num2707;
  partcv[0] = 1;
  Object opresult2709 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compilenode returning opresult2709
  Object if2705 = done;
  if (istrue(opresult2709)) {
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2712 == NULL) {
    strlit2712 = alloc_String(".");
    gc_root(strlit2712);
  }
// compilenode returning strlit2712
  int op_slot_right_2711 = gc_frame_newslot(strlit2712);
// compilenode returning *var_c
  int op_slot_left_2711 = gc_frame_newslot(*var_c);
  params[0] = strlit2712;
  partcv[0] = 1;
  Object opresult2714 = callmethod(*var_c, "!=", 1, partcv, params);
// compilenode returning opresult2714
  Object if2710 = done;
  if (istrue(opresult2714)) {
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2715 = gc_frame_new();
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2717 == NULL) {
    strlit2717 = alloc_String("is not a valid character; use spaces instead.");
    gc_root(strlit2717);
  }
// compilenode returning strlit2717
  int op_slot_right_2716 = gc_frame_newslot(strlit2717);
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2720 == NULL) {
    strlit2720 = alloc_String(") ");
    gc_root(strlit2720);
  }
// compilenode returning strlit2720
  int op_slot_right_2719 = gc_frame_newslot(strlit2720);
  int callframe2723 = gc_frame_new();
  int callframe2724 = gc_frame_new();
  Object num2725 = alloc_Float64(16);
// compilenode returning num2725
  gc_frame_newslot(num2725);
// compilenode returning *var_ordval
  params[0] = num2725;
  partcv[0] = 1;
  Object call2726 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2724);
// compilenode returning call2726
  gc_frame_newslot(call2726);
  Object num2727 = alloc_Float64(4);
// compilenode returning num2727
  gc_frame_newslot(num2727);
  if (strlit2728 == NULL) {
    strlit2728 = alloc_String("0");
    gc_root(strlit2728);
  }
// compilenode returning strlit2728
  gc_frame_newslot(strlit2728);
  int callframe2729 = gc_frame_new();
  int callframe2730 = gc_frame_new();
  Object call2731 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2730);
// compilenode returning call2731
// compilenode returning call2731
  partcv[0] = 0;
  Object call2732 = callmethodflags(call2731, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2729);
// compilenode returning call2732
// compilenode returning call2732
  params[0] = call2726;
  params[1] = num2727;
  params[2] = strlit2728;
  partcv[0] = 3;
  Object call2733 = callmethodflags(call2732, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2723);
// compilenode returning call2733
  int op_slot_right_2722 = gc_frame_newslot(call2733);
  if (strlit2736 == NULL) {
    strlit2736 = alloc_String(" (U+");
    gc_root(strlit2736);
  }
// compilenode returning strlit2736
  int op_slot_right_2735 = gc_frame_newslot(strlit2736);
  int callframe2739 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_unicode
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2740 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2739);
// compilenode returning call2740
  int op_slot_right_2738 = gc_frame_newslot(call2740);
  if (strlit2742 == NULL) {
    strlit2742 = alloc_String("");
    gc_root(strlit2742);
  }
// compilenode returning strlit2742
  int op_slot_left_2738 = gc_frame_newslot(strlit2742);
  params[0] = call2740;
  partcv[0] = 1;
  Object opresult2743 = callmethod(strlit2742, "++", 1, partcv, params);
// compilenode returning opresult2743
  int op_slot_left_2735 = gc_frame_newslot(opresult2743);
  params[0] = strlit2736;
  partcv[0] = 1;
  Object opresult2744 = callmethod(opresult2743, "++", 1, partcv, params);
// compilenode returning opresult2744
  int op_slot_left_2722 = gc_frame_newslot(opresult2744);
  params[0] = call2733;
  partcv[0] = 1;
  Object opresult2745 = callmethod(opresult2744, "++", 1, partcv, params);
// compilenode returning opresult2745
  int op_slot_left_2719 = gc_frame_newslot(opresult2745);
  params[0] = strlit2720;
  partcv[0] = 1;
  Object opresult2746 = callmethod(opresult2745, "++", 1, partcv, params);
// compilenode returning opresult2746
  int op_slot_left_2716 = gc_frame_newslot(opresult2746);
  params[0] = strlit2717;
  partcv[0] = 1;
  Object opresult2747 = callmethod(opresult2746, "++", 1, partcv, params);
// compilenode returning opresult2747
  gc_frame_newslot(opresult2747);
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2747;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2748 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe2715);
// compilenode returning call2748
    gc_frame_newslot(call2748);
    if2710 = call2748;
  } else {
  }
// compilenode returning if2710
    gc_frame_newslot(if2710);
    if2705 = if2710;
  } else {
  }
// compilenode returning if2705
    gc_frame_newslot(if2705);
    if2700 = if2705;
  } else {
  }
// compilenode returning if2700
    gc_frame_newslot(if2700);
    if2695 = if2700;
  } else {
  }
// compilenode returning if2695
    gc_frame_newslot(if2695);
    if2690 = if2695;
  } else {
  }
// compilenode returning if2690
    gc_frame_newslot(if2690);
    if2685 = if2690;
  } else {
  }
// compilenode returning if2685
    gc_frame_newslot(if2685);
    if2681 = if2685;
  } else {
  }
// compilenode returning if2681
    gc_frame_newslot(if2681);
    if2676 = if2681;
  } else {
  }
// compilenode returning if2676
    gc_frame_newslot(if2676);
    if2439 = if2676;
  } else {
  }
// compilenode returning if2439
    gc_frame_newslot(if2439);
    if2438 = if2439;
  }
// compilenode returning if2438
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2751 == NULL) {
    strlit2751 = alloc_String("""\x22""");
    gc_root(strlit2751);
  }
// compilenode returning strlit2751
  int op_slot_right_2750 = gc_frame_newslot(strlit2751);
// compilenode returning *var_mode
  int op_slot_left_2750 = gc_frame_newslot(*var_mode);
  params[0] = strlit2751;
  partcv[0] = 1;
  Object opresult2753 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult2753
  Object if2749 = done;
  if (istrue(opresult2753)) {
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2756 == NULL) {
    strlit2756 = alloc_String("""\x22""");
    gc_root(strlit2756);
  }
// compilenode returning strlit2756
  int op_slot_right_2755 = gc_frame_newslot(strlit2756);
// compilenode returning *var_c
  int op_slot_left_2755 = gc_frame_newslot(*var_c);
  params[0] = strlit2756;
  partcv[0] = 1;
  Object opresult2758 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2758
  Object if2754 = done;
  if (istrue(opresult2758)) {
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2760 = gc_frame_new();
// compilenode returning *var_escaped
  partcv[0] = 0;
  Object call2761 = callmethod(*var_escaped, "not",
    1, partcv, params);
  gc_frame_end(callframe2760);
// compilenode returning call2761
// compilenode returning call2761
  Object if2759 = done;
  if (istrue(call2761)) {
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2762 == NULL) {
    strlit2762 = alloc_String("n");
    gc_root(strlit2762);
  }
// compilenode returning strlit2762
  *var_newmode = strlit2762;
  if (strlit2762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2764 = alloc_Boolean(0);
// compilenode returning bool2764
  *var_instr = bool2764;
  if (bool2764 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_interpString
  Object if2766 = done;
  if (istrue(*var_interpString)) {
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2767 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2768 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2767);
// compilenode returning call2768
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2769 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit2770 == NULL) {
    strlit2770 = alloc_String(")");
    gc_root(strlit2770);
  }
// compilenode returning strlit2770
  gc_frame_newslot(strlit2770);
  if (strlit2771 == NULL) {
    strlit2771 = alloc_String(")");
    gc_root(strlit2771);
  }
// compilenode returning strlit2771
  gc_frame_newslot(strlit2771);
  params[0] = *var_tokens;
  params[1] = strlit2770;
  params[2] = strlit2771;
  partcv[0] = 3;
  Object call2772 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2769);
// compilenode returning call2772
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newmode
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2774 = alloc_Boolean(0);
// compilenode returning bool2774
  *var_interpString = bool2774;
  if (bool2774 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2766 = done;
  } else {
  }
// compilenode returning if2766
    gc_frame_newslot(if2766);
    if2759 = if2766;
  } else {
  }
// compilenode returning if2759
    gc_frame_newslot(if2759);
    if2754 = if2759;
  } else {
  }
// compilenode returning if2754
    gc_frame_newslot(if2754);
    if2749 = if2754;
  } else {
  }
// compilenode returning if2749
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  int op_slot_right_2777 = gc_frame_newslot(*var_mode);
// compilenode returning *var_newmode
  int op_slot_left_2777 = gc_frame_newslot(*var_newmode);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult2779 = callmethod(*var_newmode, "!=", 1, partcv, params);
// compilenode returning opresult2779
  Object if2776 = done;
  if (istrue(opresult2779)) {
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2780 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2781 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2780);
// compilenode returning call2781
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2784 = alloc_Float64(0);
// compilenode returning num2784
  int op_slot_right_2783 = gc_frame_newslot(num2784);
// compilenode returning *var_interpdepth
  int op_slot_left_2783 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2784;
  partcv[0] = 1;
  Object opresult2786 = callmethod(*var_interpdepth, ">", 1, partcv, params);
// compilenode returning opresult2786
  Object if2782 = done;
  if (istrue(opresult2786)) {
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2789 == NULL) {
    strlit2789 = alloc_String("}");
    gc_root(strlit2789);
  }
// compilenode returning strlit2789
  int op_slot_right_2788 = gc_frame_newslot(strlit2789);
// compilenode returning *var_newmode
  int op_slot_left_2788 = gc_frame_newslot(*var_newmode);
  params[0] = strlit2789;
  partcv[0] = 1;
  Object opresult2791 = callmethod(*var_newmode, "==", 1, partcv, params);
// compilenode returning opresult2791
  Object if2787 = done;
  if (istrue(opresult2791)) {
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2794 == NULL) {
    strlit2794 = alloc_String("{");
    gc_root(strlit2794);
  }
// compilenode returning strlit2794
  int op_slot_right_2793 = gc_frame_newslot(strlit2794);
  int callframe2796 = gc_frame_new();
  int callframe2797 = gc_frame_new();
  int callframe2798 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call2799 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2798);
// compilenode returning call2799
// compilenode returning call2799
  partcv[0] = 0;
  Object call2800 = callmethod(call2799, "line",
    1, partcv, params);
  gc_frame_end(callframe2797);
// compilenode returning call2800
// compilenode returning call2800
  gc_frame_newslot(call2800);
  int callframe2801 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2802 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2801);
// compilenode returning call2802
// compilenode returning call2802
  params[0] = call2800;
  partcv[0] = 1;
  Object call2803 = callmethod(call2802, "at",
    1, partcv, params);
  gc_frame_end(callframe2796);
// compilenode returning call2803
  int callframe2804 = gc_frame_new();
  int callframe2805 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call2806 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2805);
// compilenode returning call2806
// compilenode returning call2806
  partcv[0] = 0;
  Object call2807 = callmethod(call2806, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2804);
// compilenode returning call2807
// compilenode returning call2807
  params[0] = call2807;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2808 = callmethod(call2803, "[]", 1, partcv, params);
// compilenode returning idxres2808
  int op_slot_left_2793 = gc_frame_newslot(idxres2808);
  params[0] = strlit2794;
  partcv[0] = 1;
  Object opresult2809 = callmethod(idxres2808, "==", 1, partcv, params);
// compilenode returning opresult2809
  Object if2792 = done;
  if (istrue(opresult2809)) {
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2810 = gc_frame_new();
  int callframe2811 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2812 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2811);
// compilenode returning call2812
// compilenode returning call2812
  partcv[0] = 0;
  Object call2813 = callmethod(call2812, "new",
    1, partcv, params);
  gc_frame_end(callframe2810);
// compilenode returning call2813
// compilenode returning call2813
  *var_suggestion = call2813;
  if (call2813 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2814 = gc_frame_new();
  Object num2816 = alloc_Float64(1);
// compilenode returning num2816
  int op_slot_right_2815 = gc_frame_newslot(num2816);
// compilenode returning *var_linePosition
  int op_slot_left_2815 = gc_frame_newslot(*var_linePosition);
  params[0] = num2816;
  partcv[0] = 1;
  Object diff2818 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff2818
  gc_frame_newslot(diff2818);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = diff2818;
  params[1] = *var_linePosition;
  params[2] = *var_lineNumber;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2819 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe2814);
// compilenode returning call2819
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2820 = gc_frame_new();
  if (strlit2821 == NULL) {
    strlit2821 = alloc_String("A string interpolation cannot be empty.");
    gc_root(strlit2821);
  }
// compilenode returning strlit2821
  gc_frame_newslot(strlit2821);
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe2822 = gc_frame_new();
  int callframe2823 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call2824 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2823);
// compilenode returning call2824
// compilenode returning call2824
  partcv[0] = 0;
  Object call2825 = callmethod(call2824, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2822);
// compilenode returning call2825
// compilenode returning call2825
  gc_frame_newslot(call2825);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2821;
  params[1] = *var_lineNumber;
  params[2] = call2825;
  params[3] = *var_linePosition;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2826 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2820);
// compilenode returning call2826
    gc_frame_newslot(call2826);
    if2792 = call2826;
  } else {
  }
// compilenode returning if2792
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2827 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit2828 == NULL) {
    strlit2828 = alloc_String(")");
    gc_root(strlit2828);
  }
// compilenode returning strlit2828
  gc_frame_newslot(strlit2828);
  if (strlit2829 == NULL) {
    strlit2829 = alloc_String(")");
    gc_root(strlit2829);
  }
// compilenode returning strlit2829
  gc_frame_newslot(strlit2829);
  params[0] = *var_tokens;
  params[1] = strlit2828;
  params[2] = strlit2829;
  partcv[0] = 3;
  Object call2830 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2827);
// compilenode returning call2830
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2831 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit2832 == NULL) {
    strlit2832 = alloc_String("o");
    gc_root(strlit2832);
  }
// compilenode returning strlit2832
  gc_frame_newslot(strlit2832);
  if (strlit2833 == NULL) {
    strlit2833 = alloc_String("++");
    gc_root(strlit2833);
  }
// compilenode returning strlit2833
  gc_frame_newslot(strlit2833);
  params[0] = *var_tokens;
  params[1] = strlit2832;
  params[2] = strlit2833;
  partcv[0] = 3;
  Object call2834 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2831);
// compilenode returning call2834
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2835 == NULL) {
    strlit2835 = alloc_String("""\x22""");
    gc_root(strlit2835);
  }
// compilenode returning strlit2835
  *var_newmode = strlit2835;
  if (strlit2835 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2837 = alloc_Boolean(1);
// compilenode returning bool2837
  *var_instr = bool2837;
  if (bool2837 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2840 = alloc_Float64(1);
// compilenode returning num2840
  int op_slot_right_2839 = gc_frame_newslot(num2840);
// compilenode returning *var_interpdepth
  int op_slot_left_2839 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2840;
  partcv[0] = 1;
  Object diff2842 = callmethod(*var_interpdepth, "-", 1, partcv, params);
// compilenode returning diff2842
  *var_interpdepth = diff2842;
  if (diff2842 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2787 = done;
  } else {
  }
// compilenode returning if2787
    gc_frame_newslot(if2787);
    if2782 = if2787;
  } else {
  }
// compilenode returning if2782
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newmode
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2845 = done;
  if (istrue(*var_instr)) {
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2846 == NULL) {
    strlit2846 = alloc_String("");
    gc_root(strlit2846);
  }
// compilenode returning strlit2846
  *var_accum = strlit2846;
  if (strlit2846 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2845 = done;
  } else {
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  *var_accum = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2845 = done;
  }
// compilenode returning if2845
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2850 = gc_frame_new();
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_brackets
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call2851 = callmethod(*var_brackets, "match",
    1, partcv, params);
  gc_frame_end(callframe2850);
// compilenode returning call2851
  Object if2849 = done;
  if (istrue(call2851)) {
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2852 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2853 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2852);
// compilenode returning call2853
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2854 == NULL) {
    strlit2854 = alloc_String("n");
    gc_root(strlit2854);
  }
// compilenode returning strlit2854
  *var_mode = strlit2854;
  if (strlit2854 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2856 == NULL) {
    strlit2856 = alloc_String("n");
    gc_root(strlit2856);
  }
// compilenode returning strlit2856
  *var_newmode = strlit2856;
  if (strlit2856 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2858 == NULL) {
    strlit2858 = alloc_String("");
    gc_root(strlit2858);
  }
// compilenode returning strlit2858
  *var_accum = strlit2858;
  if (strlit2858 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2849 = done;
  } else {
  }
// compilenode returning if2849
    gc_frame_newslot(if2849);
    if2776 = if2849;
  } else {
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if2860 = done;
  if (istrue(*var_instr)) {
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2863 == NULL) {
    strlit2863 = alloc_String("""\x0a""");
    gc_root(strlit2863);
  }
// compilenode returning strlit2863
  int op_slot_right_2862 = gc_frame_newslot(strlit2863);
// compilenode returning *var_c
  int op_slot_left_2862 = gc_frame_newslot(*var_c);
  params[0] = strlit2863;
  partcv[0] = 1;
  Object opresult2865 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult2865
  Object if2861 = done;
  if (istrue(opresult2865)) {
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2868 = alloc_Float64(0);
// compilenode returning num2868
  int op_slot_right_2867 = gc_frame_newslot(num2868);
// compilenode returning *var_interpdepth
  int op_slot_left_2867 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2868;
  partcv[0] = 1;
  Object opresult2870 = callmethod(*var_interpdepth, ">", 1, partcv, params);
// compilenode returning opresult2870
  Object if2866 = done;
  if (istrue(opresult2870)) {
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  *var_line = *var_lineNumber;
  if (*var_lineNumber == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2871 = gc_frame_new();
  int callframe2872 = gc_frame_new();
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
  int callframe2873 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2874 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2873);
// compilenode returning call2874
// compilenode returning call2874
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2875 = callmethod(call2874, "at",
    1, partcv, params);
  gc_frame_end(callframe2872);
// compilenode returning call2875
  partcv[0] = 0;
  Object call2876 = callmethod(call2875, "size",
    1, partcv, params);
  gc_frame_end(callframe2871);
// compilenode returning call2876
// compilenode returning call2876
  *var_i = call2876;
  if (call2876 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2877 = gc_frame_new();
  Object block2878 = alloc_Block(NULL, NULL, "lexer", 869);
  gc_frame_newslot(block2878);
  block_savedest(block2878);
  Object closure2879 = createclosure(4, "_apply");
  setclosureframe(closure2879, stackframe);
  addtoclosure(closure2879, var_line);
  addtoclosure(closure2879, var_util);
  addtoclosure(closure2879, var_i);
  addtoclosure(closure2879, selfslot);
  struct UserObject *uo2879 = (struct UserObject*)block2878;
  uo2879->data[0] = (Object)closure2879;
  Method *meth_meth_lexer__apply2879 = addmethod2pos(block2878, "_apply", &meth_lexer__apply2879, 0);
int argcv_meth_lexer__apply2879[] = {0};
meth_meth_lexer__apply2879->type = alloc_MethodType(1, argcv_meth_lexer__apply2879);
  meth_meth_lexer__apply2879->definitionModule = modulename;
  meth_meth_lexer__apply2879->definitionLine = 868;
// compilenode returning block2878
  gc_frame_newslot(block2878);
  Object block2890 = alloc_Block(NULL, NULL, "lexer", 869);
  gc_frame_newslot(block2890);
  block_savedest(block2890);
  Object closure2891 = createclosure(5, "_apply");
  setclosureframe(closure2891, stackframe);
  addtoclosure(closure2891, var_i);
  addtoclosure(closure2891, var_line);
  addtoclosure(closure2891, var_lineNumber);
  addtoclosure(closure2891, var_util);
  addtoclosure(closure2891, selfslot);
  struct UserObject *uo2891 = (struct UserObject*)block2890;
  uo2891->data[0] = (Object)closure2891;
  Method *meth_meth_lexer__apply2891 = addmethod2pos(block2890, "_apply", &meth_lexer__apply2891, 0);
int argcv_meth_lexer__apply2891[] = {0};
meth_meth_lexer__apply2891->type = alloc_MethodType(1, argcv_meth_lexer__apply2891);
  meth_meth_lexer__apply2891->definitionModule = modulename;
  meth_meth_lexer__apply2891->definitionLine = 869;
// compilenode returning block2890
  gc_frame_newslot(block2890);
  params[0] = block2878;
  params[1] = block2890;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2915 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2877);
// compilenode returning call2915
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2916 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2916
  *var_suggestions = array2916;
  if (array2916 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2917 = gc_frame_new();
  int callframe2918 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2919 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2918);
// compilenode returning call2919
// compilenode returning call2919
  partcv[0] = 0;
  Object call2920 = callmethod(call2919, "new",
    1, partcv, params);
  gc_frame_end(callframe2917);
// compilenode returning call2920
// compilenode returning call2920
  *var_suggestion = call2920;
  if (call2920 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2921 = gc_frame_new();
  if (strlit2922 == NULL) {
    strlit2922 = alloc_String("\\");
    gc_root(strlit2922);
  }
// compilenode returning strlit2922
  gc_frame_newslot(strlit2922);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_suggestion
  params[0] = strlit2922;
  params[1] = *var_i;
  params[2] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2923 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe2921);
// compilenode returning call2923
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2924 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call2925 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe2924);
// compilenode returning call2925
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2930 = alloc_Float64(2);
// compilenode returning num2930
  int op_slot_right_2929 = gc_frame_newslot(num2930);
// compilenode returning *var_linePosition
  int op_slot_left_2929 = gc_frame_newslot(*var_linePosition);
  params[0] = num2930;
  partcv[0] = 1;
  Object diff2932 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff2932
  int op_slot_right_2928 = gc_frame_newslot(diff2932);
// compilenode returning *var_i
  int op_slot_left_2928 = gc_frame_newslot(*var_i);
  params[0] = diff2932;
  partcv[0] = 1;
  Object opresult2934 = callmethod(*var_i, "==", 1, partcv, params);
// compilenode returning opresult2934
  int op_slot_right_2927 = gc_frame_newslot(opresult2934);
// compilenode returning *var_lineNumber
  int op_slot_right_2936 = gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_line
  int op_slot_left_2936 = gc_frame_newslot(*var_line);
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object opresult2938 = callmethod(*var_line, "==", 1, partcv, params);
// compilenode returning opresult2938
  int op_slot_left_2927 = gc_frame_newslot(opresult2938);
  params[0] = opresult2934;
  partcv[0] = 1;
  Object opresult2939 = callmethod(opresult2938, "&&", 1, partcv, params);
// compilenode returning opresult2939
  Object if2926 = done;
  if (istrue(opresult2939)) {
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2940 = gc_frame_new();
  if (strlit2941 == NULL) {
    strlit2941 = alloc_String("For a '{' character in a string use '\\{'.");
    gc_root(strlit2941);
  }
// compilenode returning strlit2941
  gc_frame_newslot(strlit2941);
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_i
  gc_frame_newslot(*var_i);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2941;
  params[1] = *var_line;
  params[2] = *var_i;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2942 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe2940);
// compilenode returning call2942
    gc_frame_newslot(call2942);
    if2926 = call2942;
  } else {
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2943 = gc_frame_new();
  int callframe2944 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2945 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2944);
// compilenode returning call2945
// compilenode returning call2945
  partcv[0] = 0;
  Object call2946 = callmethod(call2945, "new",
    1, partcv, params);
  gc_frame_end(callframe2943);
// compilenode returning call2946
// compilenode returning call2946
  *var_suggestion = call2946;
  if (call2946 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2948 = gc_frame_new();
  if (strlit2949 == NULL) {
    strlit2949 = alloc_String("}");
    gc_root(strlit2949);
  }
// compilenode returning strlit2949
  gc_frame_newslot(strlit2949);
  Object num2951 = alloc_Float64(1);
// compilenode returning num2951
  int op_slot_right_2950 = gc_frame_newslot(num2951);
  int callframe2954 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call2955 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe2954);
// compilenode returning call2955
// compilenode returning call2955
  int op_slot_right_2953 = gc_frame_newslot(call2955);
// compilenode returning *var_linePosition
  int op_slot_left_2953 = gc_frame_newslot(*var_linePosition);
  params[0] = call2955;
  partcv[0] = 1;
  Object diff2957 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff2957
  int op_slot_left_2950 = gc_frame_newslot(diff2957);
  params[0] = num2951;
  partcv[0] = 1;
  Object diff2958 = callmethod(diff2957, "-", 1, partcv, params);
// compilenode returning diff2958
  gc_frame_newslot(diff2958);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_suggestion
  params[0] = strlit2949;
  params[1] = diff2958;
  params[2] = *var_lineNumber;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2959 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe2948);
// compilenode returning call2959
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2960 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call2961 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe2960);
// compilenode returning call2961
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2962 = gc_frame_new();
  if (strlit2963 == NULL) {
    strlit2963 = alloc_String("A string interpolation must end with a '}'. For a '{' character in a string use '\\{'.");
    gc_root(strlit2963);
  }
// compilenode returning strlit2963
  gc_frame_newslot(strlit2963);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  Object num2965 = alloc_Float64(1);
// compilenode returning num2965
  int op_slot_right_2964 = gc_frame_newslot(num2965);
  int callframe2968 = gc_frame_new();
// compilenode returning *var_accum
  partcv[0] = 0;
  Object call2969 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe2968);
// compilenode returning call2969
// compilenode returning call2969
  int op_slot_right_2967 = gc_frame_newslot(call2969);
// compilenode returning *var_linePosition
  int op_slot_left_2967 = gc_frame_newslot(*var_linePosition);
  params[0] = call2969;
  partcv[0] = 1;
  Object diff2971 = callmethod(*var_linePosition, "-", 1, partcv, params);
// compilenode returning diff2971
  int op_slot_left_2964 = gc_frame_newslot(diff2971);
  params[0] = num2965;
  partcv[0] = 1;
  Object diff2972 = callmethod(diff2971, "-", 1, partcv, params);
// compilenode returning diff2972
  gc_frame_newslot(diff2972);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2963;
  params[1] = *var_lineNumber;
  params[2] = diff2972;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2973 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe2962);
// compilenode returning call2973
    gc_frame_newslot(call2973);
    if2926 = call2973;
  }
// compilenode returning if2926
    gc_frame_newslot(if2926);
    if2866 = if2926;
  } else {
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2974 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe2975 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2976 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2975);
// compilenode returning call2976
// compilenode returning call2976
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call2977 = callmethod(call2976, "at",
    1, partcv, params);
  gc_frame_end(callframe2974);
// compilenode returning call2977
  *var_errorLine = call2977;
  if (call2977 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2981 = alloc_Float64(1);
// compilenode returning num2981
  int op_slot_right_2980 = gc_frame_newslot(num2981);
// compilenode returning *var_lineNumber
  int op_slot_left_2980 = gc_frame_newslot(*var_lineNumber);
  params[0] = num2981;
  partcv[0] = 1;
  Object sum2983 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum2983
  int op_slot_right_2979 = gc_frame_newslot(sum2983);
  int callframe2985 = gc_frame_new();
  int callframe2986 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2987 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2986);
// compilenode returning call2987
// compilenode returning call2987
  partcv[0] = 0;
  Object call2988 = callmethod(call2987, "size",
    1, partcv, params);
  gc_frame_end(callframe2985);
// compilenode returning call2988
// compilenode returning call2988
  int op_slot_left_2979 = gc_frame_newslot(call2988);
  params[0] = sum2983;
  partcv[0] = 1;
  Object opresult2989 = callmethod(call2988, ">=", 1, partcv, params);
// compilenode returning opresult2989
  Object if2978 = done;
struct StackFrameObject *iftmpstackframe2978 = stackframe;
  if (istrue(opresult2989)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2978);
gc_frame_newslot((Object)stackframe);
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2990 = gc_frame_new();
  Object num2992 = alloc_Float64(1);
// compilenode returning num2992
  int op_slot_right_2991 = gc_frame_newslot(num2992);
// compilenode returning *var_lineNumber
  int op_slot_left_2991 = gc_frame_newslot(*var_lineNumber);
  params[0] = num2992;
  partcv[0] = 1;
  Object sum2994 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum2994
  gc_frame_newslot(sum2994);
  int callframe2995 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call2996 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2995);
// compilenode returning call2996
// compilenode returning call2996
  params[0] = sum2994;
  partcv[0] = 1;
  Object call2997 = callmethod(call2996, "at",
    1, partcv, params);
  gc_frame_end(callframe2990);
// compilenode returning call2997
    gc_frame_newslot(call2997);
    if2978 = call2997;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe2978);
gc_frame_newslot((Object)stackframe);
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2998 == NULL) {
    strlit2998 = alloc_String("");
    gc_root(strlit2998);
  }
// compilenode returning strlit2998
    gc_frame_newslot(strlit2998);
    if2978 = strlit2998;
  }
stackframe = iftmpstackframe2978;
// compilenode returning if2978
  *var_nextLine = if2978;
  if (if2978 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2999 = alloc_Float64(1);
// compilenode returning num2999
  *var_i = num2999;
  if (num2999 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3000 = alloc_Float64(0);
// compilenode returning num3000
  *var_count = num3000;
  if (num3000 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3001 = gc_frame_new();
  Object block3002 = alloc_Block(NULL, NULL, "lexer", 900);
  gc_frame_newslot(block3002);
  block_savedest(block3002);
  Object closure3003 = createclosure(3, "_apply");
  setclosureframe(closure3003, stackframe);
  addtoclosure(closure3003, var_nextLine);
  addtoclosure(closure3003, var_i);
  addtoclosure(closure3003, selfslot);
  struct UserObject *uo3003 = (struct UserObject*)block3002;
  uo3003->data[0] = (Object)closure3003;
  Method *meth_meth_lexer__apply3003 = addmethod2pos(block3002, "_apply", &meth_lexer__apply3003, 0);
int argcv_meth_lexer__apply3003[] = {0};
meth_meth_lexer__apply3003->type = alloc_MethodType(1, argcv_meth_lexer__apply3003);
  meth_meth_lexer__apply3003->definitionModule = modulename;
  meth_meth_lexer__apply3003->definitionLine = 893;
// compilenode returning block3002
  gc_frame_newslot(block3002);
  Object block3010 = alloc_Block(NULL, NULL, "lexer", 900);
  gc_frame_newslot(block3010);
  block_savedest(block3010);
  Object closure3011 = createclosure(4, "_apply");
  setclosureframe(closure3011, stackframe);
  addtoclosure(closure3011, var_nextLine);
  addtoclosure(closure3011, var_i);
  addtoclosure(closure3011, var_count);
  addtoclosure(closure3011, selfslot);
  struct UserObject *uo3011 = (struct UserObject*)block3010;
  uo3011->data[0] = (Object)closure3011;
  Method *meth_meth_lexer__apply3011 = addmethod2pos(block3010, "_apply", &meth_lexer__apply3011, 0);
int argcv_meth_lexer__apply3011[] = {0};
meth_meth_lexer__apply3011->type = alloc_MethodType(1, argcv_meth_lexer__apply3011);
  meth_meth_lexer__apply3011->definitionModule = modulename;
  meth_meth_lexer__apply3011->definitionLine = 900;
// compilenode returning block3010
  gc_frame_newslot(block3010);
  params[0] = block3002;
  params[1] = block3010;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3040 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3001);
// compilenode returning call3040
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3043 = alloc_Float64(1);
// compilenode returning num3043
  int op_slot_right_3042 = gc_frame_newslot(num3043);
  Object num3046 = alloc_Float64(2);
// compilenode returning num3046
  int op_slot_right_3045 = gc_frame_newslot(num3046);
// compilenode returning *var_count
  int op_slot_left_3045 = gc_frame_newslot(*var_count);
  params[0] = num3046;
  partcv[0] = 1;
  Object modulus3048 = callmethod(*var_count, "%", 1, partcv, params);
// compilenode returning modulus3048
  int op_slot_left_3042 = gc_frame_newslot(modulus3048);
  params[0] = num3043;
  partcv[0] = 1;
  Object opresult3049 = callmethod(modulus3048, "==", 1, partcv, params);
// compilenode returning opresult3049
  Object if3041 = done;
  if (istrue(opresult3049)) {
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3050 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3050
  *var_suggestions = array3050;
  if (array3050 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3051 = gc_frame_new();
  int callframe3052 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3053 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3052);
// compilenode returning call3053
// compilenode returning call3053
  partcv[0] = 0;
  Object call3054 = callmethod(call3053, "new",
    1, partcv, params);
  gc_frame_end(callframe3051);
// compilenode returning call3054
// compilenode returning call3054
  *var_suggestion = call3054;
  if (call3054 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3055 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_nextLine
  int op_slot_right_3056 = gc_frame_newslot(*var_nextLine);
// compilenode returning *var_errorLine
  int op_slot_left_3056 = gc_frame_newslot(*var_errorLine);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3058 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compilenode returning opresult3058
  gc_frame_newslot(opresult3058);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3058;
  partcv[0] = 2;
  Object call3059 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3055);
// compilenode returning call3059
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3060 = gc_frame_new();
  Object num3062 = alloc_Float64(1);
// compilenode returning num3062
  int op_slot_right_3061 = gc_frame_newslot(num3062);
// compilenode returning *var_lineNumber
  int op_slot_left_3061 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3062;
  partcv[0] = 1;
  Object sum3064 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum3064
  gc_frame_newslot(sum3064);
  if (strlit3065 == NULL) {
    strlit3065 = alloc_String("");
    gc_root(strlit3065);
  }
// compilenode returning strlit3065
  gc_frame_newslot(strlit3065);
// compilenode returning *var_suggestion
  params[0] = sum3064;
  params[1] = strlit3065;
  partcv[0] = 2;
  Object call3066 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3060);
// compilenode returning call3066
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3067 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3068 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3067);
// compilenode returning call3068
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3069 = gc_frame_new();
  int callframe3070 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3071 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3070);
// compilenode returning call3071
// compilenode returning call3071
  partcv[0] = 0;
  Object call3072 = callmethod(call3071, "new",
    1, partcv, params);
  gc_frame_end(callframe3069);
// compilenode returning call3072
// compilenode returning call3072
  *var_suggestion = call3072;
  if (call3072 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3074 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit3076 == NULL) {
    strlit3076 = alloc_String("""\x22""");
    gc_root(strlit3076);
  }
// compilenode returning strlit3076
  int op_slot_right_3075 = gc_frame_newslot(strlit3076);
// compilenode returning *var_errorLine
  int op_slot_left_3075 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3076;
  partcv[0] = 1;
  Object opresult3078 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compilenode returning opresult3078
  gc_frame_newslot(opresult3078);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3078;
  partcv[0] = 2;
  Object call3079 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3074);
// compilenode returning call3079
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3080 = gc_frame_new();
  Object num3082 = alloc_Float64(1);
// compilenode returning num3082
  int op_slot_right_3081 = gc_frame_newslot(num3082);
// compilenode returning *var_lineNumber
  int op_slot_left_3081 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3082;
  partcv[0] = 1;
  Object sum3084 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum3084
  gc_frame_newslot(sum3084);
// compilenode returning *var_nextLine
  int op_slot_right_3085 = gc_frame_newslot(*var_nextLine);
  if (strlit3087 == NULL) {
    strlit3087 = alloc_String("    ++ ""\x22""");
    gc_root(strlit3087);
  }
// compilenode returning strlit3087
  int op_slot_left_3085 = gc_frame_newslot(strlit3087);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3088 = callmethod(strlit3087, "++", 1, partcv, params);
// compilenode returning opresult3088
  gc_frame_newslot(opresult3088);
// compilenode returning *var_suggestion
  params[0] = sum3084;
  params[1] = opresult3088;
  partcv[0] = 2;
  Object call3089 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3080);
// compilenode returning call3089
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3090 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3091 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3090);
// compilenode returning call3091
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3092 = gc_frame_new();
  int callframe3093 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3094 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3093);
// compilenode returning call3094
// compilenode returning call3094
  partcv[0] = 0;
  Object call3095 = callmethod(call3094, "new",
    1, partcv, params);
  gc_frame_end(callframe3092);
// compilenode returning call3095
// compilenode returning call3095
  *var_suggestion = call3095;
  if (call3095 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3097 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_nextLine
  int op_slot_right_3098 = gc_frame_newslot(*var_nextLine);
  if (strlit3101 == NULL) {
    strlit3101 = alloc_String("\\n");
    gc_root(strlit3101);
  }
// compilenode returning strlit3101
  int op_slot_right_3100 = gc_frame_newslot(strlit3101);
// compilenode returning *var_errorLine
  int op_slot_left_3100 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3101;
  partcv[0] = 1;
  Object opresult3103 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compilenode returning opresult3103
  int op_slot_left_3098 = gc_frame_newslot(opresult3103);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3104 = callmethod(opresult3103, "++", 1, partcv, params);
// compilenode returning opresult3104
  gc_frame_newslot(opresult3104);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3104;
  partcv[0] = 2;
  Object call3105 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3097);
// compilenode returning call3105
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3106 = gc_frame_new();
  Object num3108 = alloc_Float64(1);
// compilenode returning num3108
  int op_slot_right_3107 = gc_frame_newslot(num3108);
// compilenode returning *var_lineNumber
  int op_slot_left_3107 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3108;
  partcv[0] = 1;
  Object sum3110 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum3110
  gc_frame_newslot(sum3110);
  if (strlit3111 == NULL) {
    strlit3111 = alloc_String("");
    gc_root(strlit3111);
  }
// compilenode returning strlit3111
  gc_frame_newslot(strlit3111);
// compilenode returning *var_suggestion
  params[0] = sum3110;
  params[1] = strlit3111;
  partcv[0] = 2;
  Object call3112 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3106);
// compilenode returning call3112
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3113 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3114 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3113);
// compilenode returning call3114
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3115 = gc_frame_new();
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3117 == NULL) {
    strlit3117 = alloc_String("To split a string over multiple lines use '++' to join strings together.");
    gc_root(strlit3117);
  }
// compilenode returning strlit3117
  int op_slot_right_3116 = gc_frame_newslot(strlit3117);
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3119 == NULL) {
    strlit3119 = alloc_String("A string must end with a '""\x22""'. To insert a newline in a string use '\\n'. ");
    gc_root(strlit3119);
  }
// compilenode returning strlit3119
  int op_slot_left_3116 = gc_frame_newslot(strlit3119);
  params[0] = strlit3117;
  partcv[0] = 1;
  Object opresult3120 = callmethod(strlit3119, "++", 1, partcv, params);
// compilenode returning opresult3120
  gc_frame_newslot(opresult3120);
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult3120;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_linePosition;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3121 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3115);
// compilenode returning call3121
    gc_frame_newslot(call3121);
    if3041 = call3121;
  } else {
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3122 = gc_frame_new();
  int callframe3123 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3124 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3123);
// compilenode returning call3124
// compilenode returning call3124
  partcv[0] = 0;
  Object call3125 = callmethod(call3124, "new",
    1, partcv, params);
  gc_frame_end(callframe3122);
// compilenode returning call3125
// compilenode returning call3125
  *var_suggestion = call3125;
  if (call3125 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3126 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit3128 == NULL) {
    strlit3128 = alloc_String("""\x22""");
    gc_root(strlit3128);
  }
// compilenode returning strlit3128
  int op_slot_right_3127 = gc_frame_newslot(strlit3128);
// compilenode returning *var_errorLine
  int op_slot_left_3127 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3128;
  partcv[0] = 1;
  Object opresult3130 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compilenode returning opresult3130
  gc_frame_newslot(opresult3130);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3130;
  partcv[0] = 2;
  Object call3131 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3126);
// compilenode returning call3131
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3132 = gc_frame_new();
  if (strlit3133 == NULL) {
    strlit3133 = alloc_String("A string must end with a '""\x22""'.");
    gc_root(strlit3133);
  }
// compilenode returning strlit3133
  gc_frame_newslot(strlit3133);
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3133;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3134 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3132);
// compilenode returning call3134
    gc_frame_newslot(call3134);
    if3041 = call3134;
  }
// compilenode returning if3041
    gc_frame_newslot(if3041);
    if2866 = if3041;
  }
// compilenode returning if2866
    gc_frame_newslot(if2866);
    if2861 = if2866;
  } else {
  }
// compilenode returning if2861
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_escaped
  Object if3135 = done;
  if (istrue(*var_escaped)) {
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3138 == NULL) {
    strlit3138 = alloc_String("n");
    gc_root(strlit3138);
  }
// compilenode returning strlit3138
  int op_slot_right_3137 = gc_frame_newslot(strlit3138);
// compilenode returning *var_c
  int op_slot_left_3137 = gc_frame_newslot(*var_c);
  params[0] = strlit3138;
  partcv[0] = 1;
  Object opresult3140 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3140
  Object if3136 = done;
  if (istrue(opresult3140)) {
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3142 == NULL) {
    strlit3142 = alloc_String("""\x0a""");
    gc_root(strlit3142);
  }
// compilenode returning strlit3142
  int op_slot_right_3141 = gc_frame_newslot(strlit3142);
// compilenode returning *var_accum
  int op_slot_left_3141 = gc_frame_newslot(*var_accum);
  params[0] = strlit3142;
  partcv[0] = 1;
  Object opresult3144 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3144
  *var_accum = opresult3144;
  if (opresult3144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3136 = done;
  } else {
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3148 == NULL) {
    strlit3148 = alloc_String("u");
    gc_root(strlit3148);
  }
// compilenode returning strlit3148
  int op_slot_right_3147 = gc_frame_newslot(strlit3148);
// compilenode returning *var_c
  int op_slot_left_3147 = gc_frame_newslot(*var_c);
  params[0] = strlit3148;
  partcv[0] = 1;
  Object opresult3150 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3150
  Object if3146 = done;
  if (istrue(opresult3150)) {
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3151 = alloc_Float64(4);
// compilenode returning num3151
  *var_unichars = num3151;
  if (num3151 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3153 = alloc_Float64(0);
// compilenode returning num3153
  *var_codepoint = num3153;
  if (num3153 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3146 = done;
  } else {
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3157 == NULL) {
    strlit3157 = alloc_String("U");
    gc_root(strlit3157);
  }
// compilenode returning strlit3157
  int op_slot_right_3156 = gc_frame_newslot(strlit3157);
// compilenode returning *var_c
  int op_slot_left_3156 = gc_frame_newslot(*var_c);
  params[0] = strlit3157;
  partcv[0] = 1;
  Object opresult3159 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3159
  Object if3155 = done;
  if (istrue(opresult3159)) {
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3160 = alloc_Float64(6);
// compilenode returning num3160
  *var_unichars = num3160;
  if (num3160 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3162 = alloc_Float64(0);
// compilenode returning num3162
  *var_codepoint = num3162;
  if (num3162 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3155 = done;
  } else {
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3166 == NULL) {
    strlit3166 = alloc_String("t");
    gc_root(strlit3166);
  }
// compilenode returning strlit3166
  int op_slot_right_3165 = gc_frame_newslot(strlit3166);
// compilenode returning *var_c
  int op_slot_left_3165 = gc_frame_newslot(*var_c);
  params[0] = strlit3166;
  partcv[0] = 1;
  Object opresult3168 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3168
  Object if3164 = done;
  if (istrue(opresult3168)) {
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3170 == NULL) {
    strlit3170 = alloc_String("""\x09""");
    gc_root(strlit3170);
  }
// compilenode returning strlit3170
  int op_slot_right_3169 = gc_frame_newslot(strlit3170);
// compilenode returning *var_accum
  int op_slot_left_3169 = gc_frame_newslot(*var_accum);
  params[0] = strlit3170;
  partcv[0] = 1;
  Object opresult3172 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3172
  *var_accum = opresult3172;
  if (opresult3172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3164 = done;
  } else {
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3176 == NULL) {
    strlit3176 = alloc_String("r");
    gc_root(strlit3176);
  }
// compilenode returning strlit3176
  int op_slot_right_3175 = gc_frame_newslot(strlit3176);
// compilenode returning *var_c
  int op_slot_left_3175 = gc_frame_newslot(*var_c);
  params[0] = strlit3176;
  partcv[0] = 1;
  Object opresult3178 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3178
  Object if3174 = done;
  if (istrue(opresult3178)) {
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3180 == NULL) {
    strlit3180 = alloc_String("""\x0d""");
    gc_root(strlit3180);
  }
// compilenode returning strlit3180
  int op_slot_right_3179 = gc_frame_newslot(strlit3180);
// compilenode returning *var_accum
  int op_slot_left_3179 = gc_frame_newslot(*var_accum);
  params[0] = strlit3180;
  partcv[0] = 1;
  Object opresult3182 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3182
  *var_accum = opresult3182;
  if (opresult3182 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3174 = done;
  } else {
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3186 == NULL) {
    strlit3186 = alloc_String("b");
    gc_root(strlit3186);
  }
// compilenode returning strlit3186
  int op_slot_right_3185 = gc_frame_newslot(strlit3186);
// compilenode returning *var_c
  int op_slot_left_3185 = gc_frame_newslot(*var_c);
  params[0] = strlit3186;
  partcv[0] = 1;
  Object opresult3188 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3188
  Object if3184 = done;
  if (istrue(opresult3188)) {
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3190 == NULL) {
    strlit3190 = alloc_String("""\x08""");
    gc_root(strlit3190);
  }
// compilenode returning strlit3190
  int op_slot_right_3189 = gc_frame_newslot(strlit3190);
// compilenode returning *var_accum
  int op_slot_left_3189 = gc_frame_newslot(*var_accum);
  params[0] = strlit3190;
  partcv[0] = 1;
  Object opresult3192 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3192
  *var_accum = opresult3192;
  if (opresult3192 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3184 = done;
  } else {
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3196 == NULL) {
    strlit3196 = alloc_String("l");
    gc_root(strlit3196);
  }
// compilenode returning strlit3196
  int op_slot_right_3195 = gc_frame_newslot(strlit3196);
// compilenode returning *var_c
  int op_slot_left_3195 = gc_frame_newslot(*var_c);
  params[0] = strlit3196;
  partcv[0] = 1;
  Object opresult3198 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3198
  Object if3194 = done;
  if (istrue(opresult3198)) {
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3200 == NULL) {
    strlit3200 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit3200);
  }
// compilenode returning strlit3200
  int op_slot_right_3199 = gc_frame_newslot(strlit3200);
// compilenode returning *var_accum
  int op_slot_left_3199 = gc_frame_newslot(*var_accum);
  params[0] = strlit3200;
  partcv[0] = 1;
  Object opresult3202 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3202
  *var_accum = opresult3202;
  if (opresult3202 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3194 = done;
  } else {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3206 == NULL) {
    strlit3206 = alloc_String("f");
    gc_root(strlit3206);
  }
// compilenode returning strlit3206
  int op_slot_right_3205 = gc_frame_newslot(strlit3206);
// compilenode returning *var_c
  int op_slot_left_3205 = gc_frame_newslot(*var_c);
  params[0] = strlit3206;
  partcv[0] = 1;
  Object opresult3208 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3208
  Object if3204 = done;
  if (istrue(opresult3208)) {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3210 == NULL) {
    strlit3210 = alloc_String("""\x0c""");
    gc_root(strlit3210);
  }
// compilenode returning strlit3210
  int op_slot_right_3209 = gc_frame_newslot(strlit3210);
// compilenode returning *var_accum
  int op_slot_left_3209 = gc_frame_newslot(*var_accum);
  params[0] = strlit3210;
  partcv[0] = 1;
  Object opresult3212 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3212
  *var_accum = opresult3212;
  if (opresult3212 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3204 = done;
  } else {
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3216 == NULL) {
    strlit3216 = alloc_String("e");
    gc_root(strlit3216);
  }
// compilenode returning strlit3216
  int op_slot_right_3215 = gc_frame_newslot(strlit3216);
// compilenode returning *var_c
  int op_slot_left_3215 = gc_frame_newslot(*var_c);
  params[0] = strlit3216;
  partcv[0] = 1;
  Object opresult3218 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3218
  Object if3214 = done;
  if (istrue(opresult3218)) {
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3220 == NULL) {
    strlit3220 = alloc_String("""\x1b""");
    gc_root(strlit3220);
  }
// compilenode returning strlit3220
  int op_slot_right_3219 = gc_frame_newslot(strlit3220);
// compilenode returning *var_accum
  int op_slot_left_3219 = gc_frame_newslot(*var_accum);
  params[0] = strlit3220;
  partcv[0] = 1;
  Object opresult3222 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3222
  *var_accum = opresult3222;
  if (opresult3222 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3214 = done;
  } else {
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_3224 = gc_frame_newslot(*var_c);
// compilenode returning *var_accum
  int op_slot_left_3224 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3226 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3226
  *var_accum = opresult3226;
  if (opresult3226 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3214 = done;
  }
// compilenode returning if3214
    gc_frame_newslot(if3214);
    if3204 = if3214;
  }
// compilenode returning if3204
    gc_frame_newslot(if3204);
    if3194 = if3204;
  }
// compilenode returning if3194
    gc_frame_newslot(if3194);
    if3184 = if3194;
  }
// compilenode returning if3184
    gc_frame_newslot(if3184);
    if3174 = if3184;
  }
// compilenode returning if3174
    gc_frame_newslot(if3174);
    if3164 = if3174;
  }
// compilenode returning if3164
    gc_frame_newslot(if3164);
    if3155 = if3164;
  }
// compilenode returning if3155
    gc_frame_newslot(if3155);
    if3146 = if3155;
  }
// compilenode returning if3146
    gc_frame_newslot(if3146);
    if3136 = if3146;
  }
// compilenode returning if3136
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3228 = alloc_Boolean(0);
// compilenode returning bool3228
  *var_escaped = bool3228;
  if (bool3228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3135 = done;
  } else {
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3232 == NULL) {
    strlit3232 = alloc_String("\\");
    gc_root(strlit3232);
  }
// compilenode returning strlit3232
  int op_slot_right_3231 = gc_frame_newslot(strlit3232);
// compilenode returning *var_c
  int op_slot_left_3231 = gc_frame_newslot(*var_c);
  params[0] = strlit3232;
  partcv[0] = 1;
  Object opresult3234 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3234
  Object if3230 = done;
  if (istrue(opresult3234)) {
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3235 = alloc_Boolean(1);
// compilenode returning bool3235
  *var_escaped = bool3235;
  if (bool3235 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3230 = done;
  } else {
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3239 = alloc_Float64(0);
// compilenode returning num3239
  int op_slot_right_3238 = gc_frame_newslot(num3239);
// compilenode returning *var_unichars
  int op_slot_left_3238 = gc_frame_newslot(*var_unichars);
  params[0] = num3239;
  partcv[0] = 1;
  Object opresult3241 = callmethod(*var_unichars, ">", 1, partcv, params);
// compilenode returning opresult3241
  Object if3237 = done;
  if (istrue(opresult3241)) {
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3243 = alloc_Float64(1);
// compilenode returning num3243
  int op_slot_right_3242 = gc_frame_newslot(num3243);
// compilenode returning *var_unichars
  int op_slot_left_3242 = gc_frame_newslot(*var_unichars);
  params[0] = num3243;
  partcv[0] = 1;
  Object diff3245 = callmethod(*var_unichars, "-", 1, partcv, params);
// compilenode returning diff3245
  *var_unichars = diff3245;
  if (diff3245 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3248 = alloc_Float64(16);
// compilenode returning num3248
  int op_slot_right_3247 = gc_frame_newslot(num3248);
// compilenode returning *var_codepoint
  int op_slot_left_3247 = gc_frame_newslot(*var_codepoint);
  params[0] = num3248;
  partcv[0] = 1;
  Object prod3250 = callmethod(*var_codepoint, "*", 1, partcv, params);
// compilenode returning prod3250
  *var_codepoint = prod3250;
  if (prod3250 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3253 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
  int callframe3254 = gc_frame_new();
  int callframe3255 = gc_frame_new();
  Object call3256 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3255);
// compilenode returning call3256
// compilenode returning call3256
  partcv[0] = 0;
  Object call3257 = callmethodflags(call3256, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3254);
// compilenode returning call3257
// compilenode returning call3257
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3258 = callmethodflags(call3257, "hexdecchar", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3253);
// compilenode returning call3258
  int op_slot_right_3252 = gc_frame_newslot(call3258);
// compilenode returning *var_codepoint
  int op_slot_left_3252 = gc_frame_newslot(*var_codepoint);
  params[0] = call3258;
  partcv[0] = 1;
  Object sum3260 = callmethod(*var_codepoint, "+", 1, partcv, params);
// compilenode returning sum3260
  *var_codepoint = sum3260;
  if (sum3260 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3264 = alloc_Float64(0);
// compilenode returning num3264
  int op_slot_right_3263 = gc_frame_newslot(num3264);
// compilenode returning *var_unichars
  int op_slot_left_3263 = gc_frame_newslot(*var_unichars);
  params[0] = num3264;
  partcv[0] = 1;
  Object opresult3266 = callmethod(*var_unichars, "==", 1, partcv, params);
// compilenode returning opresult3266
  Object if3262 = done;
  if (istrue(opresult3266)) {
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3268 = gc_frame_new();
// compilenode returning *var_codepoint
  gc_frame_newslot(*var_codepoint);
// compilenode returning *var_unicode
  params[0] = *var_codepoint;
  partcv[0] = 1;
  Object call3269 = callmethod(*var_unicode, "create",
    1, partcv, params);
  gc_frame_end(callframe3268);
// compilenode returning call3269
  int op_slot_right_3267 = gc_frame_newslot(call3269);
// compilenode returning *var_accum
  int op_slot_left_3267 = gc_frame_newslot(*var_accum);
  params[0] = call3269;
  partcv[0] = 1;
  Object opresult3271 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3271
  *var_accum = opresult3271;
  if (opresult3271 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3262 = done;
  } else {
  }
// compilenode returning if3262
    gc_frame_newslot(if3262);
    if3237 = if3262;
  } else {
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3275 == NULL) {
    strlit3275 = alloc_String("{");
    gc_root(strlit3275);
  }
// compilenode returning strlit3275
  int op_slot_right_3274 = gc_frame_newslot(strlit3275);
// compilenode returning *var_c
  int op_slot_left_3274 = gc_frame_newslot(*var_c);
  params[0] = strlit3275;
  partcv[0] = 1;
  Object opresult3277 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3277
  Object if3273 = done;
  if (istrue(opresult3277)) {
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3279 = gc_frame_new();
// compilenode returning *var_interpString
  partcv[0] = 0;
  Object call3280 = callmethod(*var_interpString, "not",
    1, partcv, params);
  gc_frame_end(callframe3279);
// compilenode returning call3280
// compilenode returning call3280
  Object if3278 = done;
  if (istrue(call3280)) {
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3281 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit3282 == NULL) {
    strlit3282 = alloc_String("(");
    gc_root(strlit3282);
  }
// compilenode returning strlit3282
  gc_frame_newslot(strlit3282);
  if (strlit3283 == NULL) {
    strlit3283 = alloc_String("(");
    gc_root(strlit3283);
  }
// compilenode returning strlit3283
  gc_frame_newslot(strlit3283);
  params[0] = *var_tokens;
  params[1] = strlit3282;
  params[2] = strlit3283;
  partcv[0] = 3;
  Object call3284 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3281);
// compilenode returning call3284
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3285 = alloc_Boolean(1);
// compilenode returning bool3285
  *var_interpString = bool3285;
  if (bool3285 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3278 = done;
  } else {
  }
// compilenode returning if3278
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3287 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3288 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3287);
// compilenode returning call3288
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3289 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit3290 == NULL) {
    strlit3290 = alloc_String("o");
    gc_root(strlit3290);
  }
// compilenode returning strlit3290
  gc_frame_newslot(strlit3290);
  if (strlit3291 == NULL) {
    strlit3291 = alloc_String("++");
    gc_root(strlit3291);
  }
// compilenode returning strlit3291
  gc_frame_newslot(strlit3291);
  params[0] = *var_tokens;
  params[1] = strlit3290;
  params[2] = strlit3291;
  partcv[0] = 3;
  Object call3292 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3289);
// compilenode returning call3292
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3293 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit3294 == NULL) {
    strlit3294 = alloc_String("(");
    gc_root(strlit3294);
  }
// compilenode returning strlit3294
  gc_frame_newslot(strlit3294);
  if (strlit3295 == NULL) {
    strlit3295 = alloc_String("(");
    gc_root(strlit3295);
  }
// compilenode returning strlit3295
  gc_frame_newslot(strlit3295);
  params[0] = *var_tokens;
  params[1] = strlit3294;
  params[2] = strlit3295;
  partcv[0] = 3;
  Object call3296 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3293);
// compilenode returning call3296
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3297 == NULL) {
    strlit3297 = alloc_String("n");
    gc_root(strlit3297);
  }
// compilenode returning strlit3297
  *var_mode = strlit3297;
  if (strlit3297 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3299 == NULL) {
    strlit3299 = alloc_String("n");
    gc_root(strlit3299);
  }
// compilenode returning strlit3299
  *var_newmode = strlit3299;
  if (strlit3299 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3301 == NULL) {
    strlit3301 = alloc_String("");
    gc_root(strlit3301);
  }
// compilenode returning strlit3301
  *var_accum = strlit3301;
  if (strlit3301 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3303 = alloc_Boolean(0);
// compilenode returning bool3303
  *var_instr = bool3303;
  if (bool3303 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3306 = alloc_Float64(1);
// compilenode returning num3306
  int op_slot_right_3305 = gc_frame_newslot(num3306);
// compilenode returning *var_interpdepth
  int op_slot_left_3305 = gc_frame_newslot(*var_interpdepth);
  params[0] = num3306;
  partcv[0] = 1;
  Object sum3308 = callmethod(*var_interpdepth, "+", 1, partcv, params);
// compilenode returning sum3308
  *var_interpdepth = sum3308;
  if (sum3308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3273 = done;
  } else {
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_3310 = gc_frame_newslot(*var_c);
// compilenode returning *var_accum
  int op_slot_left_3310 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3312 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3312
  *var_accum = opresult3312;
  if (opresult3312 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3273 = done;
  }
// compilenode returning if3273
    gc_frame_newslot(if3273);
    if3237 = if3273;
  }
// compilenode returning if3237
    gc_frame_newslot(if3237);
    if3230 = if3237;
  }
// compilenode returning if3230
    gc_frame_newslot(if3230);
    if3135 = if3230;
  }
// compilenode returning if3135
    gc_frame_newslot(if3135);
    if2860 = if3135;
  } else {
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3317 == NULL) {
    strlit3317 = alloc_String("""\x0d""");
    gc_root(strlit3317);
  }
// compilenode returning strlit3317
  int op_slot_right_3316 = gc_frame_newslot(strlit3317);
// compilenode returning *var_c
  int op_slot_left_3316 = gc_frame_newslot(*var_c);
  params[0] = strlit3317;
  partcv[0] = 1;
  Object opresult3319 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3319
  int op_slot_right_3315 = gc_frame_newslot(opresult3319);
  if (strlit3322 == NULL) {
    strlit3322 = alloc_String("""\x0a""");
    gc_root(strlit3322);
  }
// compilenode returning strlit3322
  int op_slot_right_3321 = gc_frame_newslot(strlit3322);
// compilenode returning *var_c
  int op_slot_left_3321 = gc_frame_newslot(*var_c);
  params[0] = strlit3322;
  partcv[0] = 1;
  Object opresult3324 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3324
  int op_slot_left_3315 = gc_frame_newslot(opresult3324);
  params[0] = opresult3319;
  partcv[0] = 1;
  Object opresult3325 = callmethod(opresult3324, "||", 1, partcv, params);
// compilenode returning opresult3325
  Object if3314 = done;
  if (istrue(opresult3325)) {
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3326 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3327 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3326);
// compilenode returning call3327
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3328 == NULL) {
    strlit3328 = alloc_String("d");
    gc_root(strlit3328);
  }
// compilenode returning strlit3328
  *var_mode = strlit3328;
  if (strlit3328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3330 == NULL) {
    strlit3330 = alloc_String("d");
    gc_root(strlit3330);
  }
// compilenode returning strlit3330
  *var_newmode = strlit3330;
  if (strlit3330 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3332 == NULL) {
    strlit3332 = alloc_String("");
    gc_root(strlit3332);
  }
// compilenode returning strlit3332
  *var_accum = strlit3332;
  if (strlit3332 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3314 = done;
  } else {
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  int op_slot_right_3334 = gc_frame_newslot(*var_c);
// compilenode returning *var_accum
  int op_slot_left_3334 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3336 = callmethod(*var_accum, "++", 1, partcv, params);
// compilenode returning opresult3336
  *var_accum = opresult3336;
  if (opresult3336 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3314 = done;
  }
// compilenode returning if3314
    gc_frame_newslot(if3314);
    if2860 = if3314;
  }
// compilenode returning if2860
    gc_frame_newslot(if2860);
    if2776 = if2860;
  }
// compilenode returning if2776
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3340 == NULL) {
    strlit3340 = alloc_String("...");
    gc_root(strlit3340);
  }
// compilenode returning strlit3340
  int op_slot_right_3339 = gc_frame_newslot(strlit3340);
// compilenode returning *var_accum
  int op_slot_left_3339 = gc_frame_newslot(*var_accum);
  params[0] = strlit3340;
  partcv[0] = 1;
  Object opresult3342 = callmethod(*var_accum, "==", 1, partcv, params);
// compilenode returning opresult3342
  Object if3338 = done;
  if (istrue(opresult3342)) {
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3345 == NULL) {
    strlit3345 = alloc_String("o");
    gc_root(strlit3345);
  }
// compilenode returning strlit3345
  int op_slot_right_3344 = gc_frame_newslot(strlit3345);
// compilenode returning *var_mode
  int op_slot_left_3344 = gc_frame_newslot(*var_mode);
  params[0] = strlit3345;
  partcv[0] = 1;
  Object opresult3347 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult3347
  Object if3343 = done;
  if (istrue(opresult3347)) {
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3348 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
  if (strlit3349 == NULL) {
    strlit3349 = alloc_String("i");
    gc_root(strlit3349);
  }
// compilenode returning strlit3349
  gc_frame_newslot(strlit3349);
  if (strlit3350 == NULL) {
    strlit3350 = alloc_String("...");
    gc_root(strlit3350);
  }
// compilenode returning strlit3350
  gc_frame_newslot(strlit3350);
  params[0] = *var_tokens;
  params[1] = strlit3349;
  params[2] = strlit3350;
  partcv[0] = 3;
  Object call3351 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3348);
// compilenode returning call3351
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3352 == NULL) {
    strlit3352 = alloc_String("n");
    gc_root(strlit3352);
  }
// compilenode returning strlit3352
  *var_newmode = strlit3352;
  if (strlit3352 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newmode
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3355 == NULL) {
    strlit3355 = alloc_String("");
    gc_root(strlit3355);
  }
// compilenode returning strlit3355
  *var_accum = strlit3355;
  if (strlit3355 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3343 = done;
  } else {
  }
// compilenode returning if3343
    gc_frame_newslot(if3343);
    if3338 = if3343;
  } else {
  }
// compilenode returning if3338
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3359 == NULL) {
    strlit3359 = alloc_String("""\x0a""");
    gc_root(strlit3359);
  }
// compilenode returning strlit3359
  int op_slot_right_3358 = gc_frame_newslot(strlit3359);
// compilenode returning *var_c
  int op_slot_left_3358 = gc_frame_newslot(*var_c);
  params[0] = strlit3359;
  partcv[0] = 1;
  Object opresult3361 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3361
  Object if3357 = done;
  if (istrue(opresult3361)) {
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3363 = alloc_Float64(1);
// compilenode returning num3363
  int op_slot_right_3362 = gc_frame_newslot(num3363);
// compilenode returning *var_lineNumber
  int op_slot_left_3362 = gc_frame_newslot(*var_lineNumber);
  params[0] = num3363;
  partcv[0] = 1;
  Object sum3365 = callmethod(*var_lineNumber, "+", 1, partcv, params);
// compilenode returning sum3365
  *var_lineNumber = sum3365;
  if (sum3365 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3367 = alloc_Float64(0);
// compilenode returning num3367
  *var_linePosition = num3367;
  if (num3367 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3369 = alloc_Float64(1);
// compilenode returning num3369
  *var_startPosition = num3369;
  if (num3369 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3357 = done;
  } else {
  }
// compilenode returning if3357
  gc_frame_end(frame);
  return if3357;
}
Object meth_lexer__apply3374(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_linePosition = getfromclosure(closure, 0);
  Object *var_mode = getfromclosure(closure, 1);
  Object *var_mainBlock = getfromclosure(closure, 2);
  Object *var_prev = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3376 = alloc_Float64(1);
// compilenode returning num3376
  int op_slot_right_3375 = gc_frame_newslot(num3376);
// compilenode returning *var_linePosition
  int op_slot_left_3375 = gc_frame_newslot(*var_linePosition);
  params[0] = num3376;
  partcv[0] = 1;
  Object sum3378 = callmethod(*var_linePosition, "+", 1, partcv, params);
// compilenode returning sum3378
  *var_linePosition = sum3378;
  if (sum3378 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3382 == NULL) {
    strlit3382 = alloc_String(" ");
    gc_root(strlit3382);
  }
// compilenode returning strlit3382
  int op_slot_right_3381 = gc_frame_newslot(strlit3382);
// compilenode returning *var_c
  int op_slot_left_3381 = gc_frame_newslot(*var_c);
  params[0] = strlit3382;
  partcv[0] = 1;
  Object opresult3384 = callmethod(*var_c, "==", 1, partcv, params);
// compilenode returning opresult3384
  Object if3380 = done;
  if (istrue(opresult3384)) {
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3387 == NULL) {
    strlit3387 = alloc_String("d");
    gc_root(strlit3387);
  }
// compilenode returning strlit3387
  int op_slot_right_3386 = gc_frame_newslot(strlit3387);
// compilenode returning *var_mode
  int op_slot_left_3386 = gc_frame_newslot(*var_mode);
  params[0] = strlit3387;
  partcv[0] = 1;
  Object opresult3389 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult3389
  Object if3385 = done;
  if (istrue(opresult3389)) {
    gc_frame_newslot(done);
    if3385 = done;
  } else {
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3392 == NULL) {
    strlit3392 = alloc_String("n");
    gc_root(strlit3392);
  }
// compilenode returning strlit3392
  int op_slot_right_3391 = gc_frame_newslot(strlit3392);
// compilenode returning *var_mode
  int op_slot_left_3391 = gc_frame_newslot(*var_mode);
  params[0] = strlit3392;
  partcv[0] = 1;
  Object opresult3394 = callmethod(*var_mode, "!=", 1, partcv, params);
// compilenode returning opresult3394
  Object if3390 = done;
  if (istrue(opresult3394)) {
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3395 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_mainBlock
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3396 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3395);
// compilenode returning call3396
    gc_frame_newslot(call3396);
    if3390 = call3396;
  } else {
  }
// compilenode returning if3390
    gc_frame_newslot(if3390);
    if3385 = if3390;
  }
// compilenode returning if3385
    gc_frame_newslot(if3385);
    if3380 = if3385;
  } else {
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3397 = gc_frame_new();
// compilenode returning *var_c
  gc_frame_newslot(*var_c);
// compilenode returning *var_mainBlock
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3398 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3397);
// compilenode returning call3398
    gc_frame_newslot(call3398);
    if3380 = call3398;
  }
// compilenode returning if3380
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_c
  *var_prev = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_lexinput1748(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(28, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexinput");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lexinput");
  Object params[14];
  int partcv[3];
  Object *var_linePosition = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lineNumber = getfromclosure(closure, 4);
  Object *var_startPosition = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lexinput (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_input = &(stackframe->slots[0]);
  *var_input = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for lexinput");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tokens");
  Object *var_mode = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "mode");
  Object *var_newmode = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newmode");
  Object *var_instr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "instr");
  Object *var_inBackticks = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "inBackticks");
  Object *var_backtickIdent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "backtickIdent");
  Object *var_accum = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "accum");
  Object *var_escaped = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "escaped");
  Object *var_prev = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "prev");
  Object *var_unichars = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "unichars");
  Object *var_codepoint = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "codepoint");
  Object *var_interpdepth = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "interpdepth");
  Object *var_interpString = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "interpString");
  Object *var_atStart = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "atStart");
  Object *var_badSeparator = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "badSeparator");
  Object *var_badControl = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "badControl");
  Object *var_selfModes = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "selfModes");
  Object *var_brackets = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "brackets");
  Object *var_identifierChar = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "identifierChar");
  Object *var_digit = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "digit");
  Object *var_digitB = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "digitB");
  Object *var_operatorChar = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "operatorChar");
  Object *var_iGTLT = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "iGTLT");
  Object *var_notcp = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "notcp");
  Object *var_mainBlock = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "mainBlock");
  Object *var_suggestion = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "suggestion");
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject1749 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1749 = alloc_userobj2(13,11, objclass1749);
  gc_frame_newslot(obj1749);
// OBJECT OUTER DEC outer
  adddatum2(obj1749, self, 0);
  addmethodreal(obj1749,"outer", &reader_lexer_outer_1750);
  Object oldself1749 = self;
  struct StackFrameObject *oldstackframe1749 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1749);
  gc_frame_newslot((Object)stackframe);
  self = obj1749;
  Object *oldselfslot1749 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1749 = (*(struct UserObject *)self).data[0], lowerouter1749 = thisouter1749;
  if (inheritingObject1749) {
    struct UserObject *inho1749 = (struct UserObject *)inheritingObject1749;
    while (inho1749->super != GraceDefaultObject) inho1749 = (struct UserObject *)inho1749->super;
    inho1749->super = obj1749;
    self = inheritingObject1749;
    *selfslot = self;
    lowerouter1749 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1749;
  }
if (objclass1749 == NULL) {
  Method *reader1751 = addmethodrealflags(obj1749, "first",&reader_lexer_first_1751, 0);
  Method *writer1751 = addmethodrealflags(obj1749, "first:=",&writer_lexer_first_1751, 0);
  reader1751->definitionModule = modulename;
  writer1751->definitionModule = modulename;
  reader1751->definitionLine = 534;
  writer1751->definitionLine = 534;
}
obj1749->flags |= OFLAG_MUTABLE;
adddatum2(obj1749, alloc_Undefined(), 1);
if (objclass1749 == NULL) {
  Method *reader1752 = addmethodrealflags(obj1749, "last",&reader_lexer_last_1752, 0);
  Method *writer1752 = addmethodrealflags(obj1749, "last:=",&writer_lexer_last_1752, 0);
  reader1752->definitionModule = modulename;
  writer1752->definitionModule = modulename;
  reader1752->definitionLine = 535;
  writer1752->definitionLine = 535;
}
obj1749->flags |= OFLAG_MUTABLE;
adddatum2(obj1749, alloc_Undefined(), 2);
if (objclass1749 == NULL) {
  Method *reader1753 = addmethodrealflags(obj1749, "size'",&reader_lexer_size_39__1753, 0);
  Method *writer1753 = addmethodrealflags(obj1749, "size':=",&writer_lexer_size_39__1753, 0);
  reader1753->definitionModule = modulename;
  writer1753->definitionModule = modulename;
  reader1753->definitionLine = 537;
  writer1753->definitionLine = 537;
}
obj1749->flags |= OFLAG_MUTABLE;
adddatum2(obj1749, alloc_Undefined(), 3);
  struct UserObject *uo1754 = (struct UserObject*)obj1749;
  uo1754->data[4] = emptyclosure;
  Method *meth_meth_lexer_push1754 = addmethod2pos(obj1749, "push", &meth_lexer_push1754, 4);
int argcv_meth_lexer_push1754[] = {1};
meth_meth_lexer_push1754->type = alloc_MethodType(1, argcv_meth_lexer_push1754);
  meth_meth_lexer_push1754->definitionModule = modulename;
  meth_meth_lexer_push1754->definitionLine = 537;
  struct UserObject *uo1784 = (struct UserObject*)obj1749;
  uo1784->data[5] = emptyclosure;
  Method *meth_meth_lexer_pop1784 = addmethod2pos(obj1749, "pop", &meth_lexer_pop1784, 5);
int argcv_meth_lexer_pop1784[] = {0};
meth_meth_lexer_pop1784->type = alloc_MethodType(1, argcv_meth_lexer_pop1784);
  meth_meth_lexer_pop1784->definitionModule = modulename;
  meth_meth_lexer_pop1784->definitionLine = 549;
  struct UserObject *uo1818 = (struct UserObject*)obj1749;
  uo1818->data[6] = emptyclosure;
  Method *meth_meth_lexer_poll1818 = addmethod2pos(obj1749, "poll", &meth_lexer_poll1818, 6);
int argcv_meth_lexer_poll1818[] = {0};
meth_meth_lexer_poll1818->type = alloc_MethodType(1, argcv_meth_lexer_poll1818);
  meth_meth_lexer_poll1818->definitionModule = modulename;
  meth_meth_lexer_poll1818->definitionLine = 561;
  struct UserObject *uo1852 = (struct UserObject*)obj1749;
  uo1852->data[7] = emptyclosure;
  Method *meth_meth_lexer_size1852 = addmethod2pos(obj1749, "size", &meth_lexer_size1852, 7);
int argcv_meth_lexer_size1852[] = {0};
meth_meth_lexer_size1852->type = alloc_MethodType(1, argcv_meth_lexer_size1852);
  meth_meth_lexer_size1852->definitionModule = modulename;
  meth_meth_lexer_size1852->definitionLine = 573;
  struct UserObject *uo1859 = (struct UserObject*)obj1749;
  uo1859->data[8] = emptyclosure;
  Method *meth_meth_lexer_iter1859 = addmethod2pos(obj1749, "iter", &meth_lexer_iter1859, 8);
int argcv_meth_lexer_iter1859[] = {0};
meth_meth_lexer_iter1859->type = alloc_MethodType(1, argcv_meth_lexer_iter1859);
  meth_meth_lexer_iter1859->definitionModule = modulename;
  meth_meth_lexer_iter1859->definitionLine = 577;
  Method *meth_meth_lexer_iter1859_object = addmethod2pos(obj1749, "iter()object", &meth_lexer_iter1859_object, 8);
int argcv_meth_lexer_iter1859_object[] = {0};
meth_meth_lexer_iter1859_object->type = alloc_MethodType(1, argcv_meth_lexer_iter1859_object);
  meth_meth_lexer_iter1859_object->definitionModule = modulename;
  meth_meth_lexer_iter1859_object->definitionLine = 577;
  struct UserObject *uo1891 = (struct UserObject*)obj1749;
  uo1891->data[9] = emptyclosure;
  Method *meth_meth_lexer_iterator1891 = addmethod2pos(obj1749, "iterator", &meth_lexer_iterator1891, 9);
int argcv_meth_lexer_iterator1891[] = {0};
meth_meth_lexer_iterator1891->type = alloc_MethodType(1, argcv_meth_lexer_iterator1891);
  meth_meth_lexer_iterator1891->definitionModule = modulename;
  meth_meth_lexer_iterator1891->definitionLine = 594;
  sourceObject = obj1749;
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1894 = alloc_Boolean(0);
// compilenode returning bool1894
  adddatum2(obj1749, bool1894, 1);
  sourceObject = obj1749;
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1895 = alloc_Boolean(0);
// compilenode returning bool1895
  adddatum2(obj1749, bool1895, 2);
  sourceObject = obj1749;
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1896 = alloc_Float64(0);
// compilenode returning num1896
  adddatum2(obj1749, num1896, 3);
  sourceObject = obj1749;
  sourceObject = obj1749;
  sourceObject = obj1749;
  sourceObject = obj1749;
  sourceObject = obj1749;
  sourceObject = obj1749;
objclass1749 = obj1749->class;
  objclass1749->definitionModule = modulename;
  objclass1749->definitionLine = 532;
  (*(struct UserObject *)self).data[0] = lowerouter1749;
  self = oldself1749;
  selfslot = oldselfslot1749;
  stackframe = oldstackframe1749;
// compilenode returning obj1749
  *var_tokens = obj1749;
  if (obj1749 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1897 == NULL) {
    strlit1897 = alloc_String("d");
    gc_root(strlit1897);
  }
// compilenode returning strlit1897
  *var_mode = strlit1897;
  if (strlit1897 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_mode
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1898 = alloc_Boolean(0);
// compilenode returning bool1898
  *var_instr = bool1898;
  if (bool1898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1899 = alloc_Boolean(0);
// compilenode returning bool1899
  *var_inBackticks = bool1899;
  if (bool1899 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1900 = alloc_Boolean(0);
// compilenode returning bool1900
  *var_backtickIdent = bool1900;
  if (bool1900 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1901 == NULL) {
    strlit1901 = alloc_String("");
    gc_root(strlit1901);
  }
// compilenode returning strlit1901
  *var_accum = strlit1901;
  if (strlit1901 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1902 = alloc_Boolean(0);
// compilenode returning bool1902
  *var_escaped = bool1902;
  if (bool1902 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1903 == NULL) {
    strlit1903 = alloc_String("");
    gc_root(strlit1903);
  }
// compilenode returning strlit1903
  *var_prev = strlit1903;
  if (strlit1903 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1904 = alloc_Float64(0);
// compilenode returning num1904
  *var_unichars = num1904;
  if (num1904 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1905 = alloc_Float64(0);
// compilenode returning num1905
  *var_codepoint = num1905;
  if (num1905 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1906 = alloc_Float64(0);
// compilenode returning num1906
  *var_interpdepth = num1906;
  if (num1906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1907 = alloc_Boolean(0);
// compilenode returning bool1907
  *var_interpString = bool1907;
  if (bool1907 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1908 = alloc_Boolean(1);
// compilenode returning bool1908
  *var_atStart = bool1908;
  if (bool1908 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1909 = alloc_Float64(0);
// compilenode returning num1909
  *var_linePosition = num1909;
  if (num1909 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1911 = gc_frame_new();
  if (strlit1912 == NULL) {
    strlit1912 = alloc_String("lexing.");
    gc_root(strlit1912);
  }
// compilenode returning strlit1912
  gc_frame_newslot(strlit1912);
// compilenode returning *var_util
  params[0] = strlit1912;
  partcv[0] = 1;
  Object call1913 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe1911);
// compilenode returning call1913
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1914 = gc_frame_new();
  if (strlit1915 == NULL) {
    strlit1915 = alloc_String("Z");
    gc_root(strlit1915);
  }
// compilenode returning strlit1915
  gc_frame_newslot(strlit1915);
  Object num1916 = alloc_Float64(9);
// compilenode returning num1916
  gc_frame_newslot(num1916);
  Object num1917 = alloc_Float64(32);
// compilenode returning num1917
  gc_frame_newslot(num1917);
  Object num1918 = alloc_Float64(8232);
// compilenode returning num1918
  gc_frame_newslot(num1918);
// compilenode returning *var_unicode
  params[0] = strlit1915;
  params[1] = num1916;
  params[2] = num1917;
  params[3] = num1918;
  partcv[0] = 2;
  partcv[1] = 2;
  Object call1919 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe1914);
// compilenode returning call1919
  *var_badSeparator = call1919;
  if (call1919 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1920 = gc_frame_new();
  if (strlit1921 == NULL) {
    strlit1921 = alloc_String("C");
    gc_root(strlit1921);
  }
// compilenode returning strlit1921
  gc_frame_newslot(strlit1921);
  Object num1922 = alloc_Float64(10);
// compilenode returning num1922
  gc_frame_newslot(num1922);
  Object num1923 = alloc_Float64(13);
// compilenode returning num1923
  gc_frame_newslot(num1923);
// compilenode returning *var_unicode
  params[0] = strlit1921;
  params[1] = num1922;
  params[2] = num1923;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call1924 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe1920);
// compilenode returning call1924
  *var_badControl = call1924;
  if (call1924 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1925 = gc_frame_new();
  int callframe1926 = gc_frame_new();
  if (strlit1927 == NULL) {
    strlit1927 = alloc_String("(");
    gc_root(strlit1927);
  }
// compilenode returning strlit1927
  partcv[0] = 0;
  Object call1928 = callmethod(strlit1927, "ord",
    1, partcv, params);
  gc_frame_end(callframe1926);
// compilenode returning call1928
// compilenode returning call1928
  gc_frame_newslot(call1928);
  int callframe1929 = gc_frame_new();
  if (strlit1930 == NULL) {
    strlit1930 = alloc_String(")");
    gc_root(strlit1930);
  }
// compilenode returning strlit1930
  partcv[0] = 0;
  Object call1931 = callmethod(strlit1930, "ord",
    1, partcv, params);
  gc_frame_end(callframe1929);
// compilenode returning call1931
// compilenode returning call1931
  gc_frame_newslot(call1931);
  int callframe1932 = gc_frame_new();
  if (strlit1933 == NULL) {
    strlit1933 = alloc_String(",");
    gc_root(strlit1933);
  }
// compilenode returning strlit1933
  partcv[0] = 0;
  Object call1934 = callmethod(strlit1933, "ord",
    1, partcv, params);
  gc_frame_end(callframe1932);
// compilenode returning call1934
// compilenode returning call1934
  gc_frame_newslot(call1934);
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1935 = gc_frame_new();
  if (strlit1936 == NULL) {
    strlit1936 = alloc_String(".");
    gc_root(strlit1936);
  }
// compilenode returning strlit1936
  partcv[0] = 0;
  Object call1937 = callmethod(strlit1936, "ord",
    1, partcv, params);
  gc_frame_end(callframe1935);
// compilenode returning call1937
// compilenode returning call1937
  gc_frame_newslot(call1937);
  int callframe1938 = gc_frame_new();
  if (strlit1939 == NULL) {
    strlit1939 = alloc_String("{");
    gc_root(strlit1939);
  }
// compilenode returning strlit1939
  partcv[0] = 0;
  Object call1940 = callmethod(strlit1939, "ord",
    1, partcv, params);
  gc_frame_end(callframe1938);
// compilenode returning call1940
// compilenode returning call1940
  gc_frame_newslot(call1940);
  int callframe1941 = gc_frame_new();
  if (strlit1942 == NULL) {
    strlit1942 = alloc_String("}");
    gc_root(strlit1942);
  }
// compilenode returning strlit1942
  partcv[0] = 0;
  Object call1943 = callmethod(strlit1942, "ord",
    1, partcv, params);
  gc_frame_end(callframe1941);
// compilenode returning call1943
// compilenode returning call1943
  gc_frame_newslot(call1943);
  int callframe1944 = gc_frame_new();
  if (strlit1945 == NULL) {
    strlit1945 = alloc_String("[");
    gc_root(strlit1945);
  }
// compilenode returning strlit1945
  partcv[0] = 0;
  Object call1946 = callmethod(strlit1945, "ord",
    1, partcv, params);
  gc_frame_end(callframe1944);
// compilenode returning call1946
// compilenode returning call1946
  gc_frame_newslot(call1946);
  int callframe1947 = gc_frame_new();
  if (strlit1948 == NULL) {
    strlit1948 = alloc_String("]");
    gc_root(strlit1948);
  }
// compilenode returning strlit1948
  partcv[0] = 0;
  Object call1949 = callmethod(strlit1948, "ord",
    1, partcv, params);
  gc_frame_end(callframe1947);
// compilenode returning call1949
// compilenode returning call1949
  gc_frame_newslot(call1949);
  int callframe1950 = gc_frame_new();
  if (strlit1951 == NULL) {
    strlit1951 = alloc_String(";");
    gc_root(strlit1951);
  }
// compilenode returning strlit1951
  partcv[0] = 0;
  Object call1952 = callmethod(strlit1951, "ord",
    1, partcv, params);
  gc_frame_end(callframe1950);
// compilenode returning call1952
// compilenode returning call1952
  gc_frame_newslot(call1952);
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = call1928;
  params[1] = call1931;
  params[2] = call1934;
  params[3] = call1937;
  params[4] = call1940;
  params[5] = call1943;
  params[6] = call1946;
  params[7] = call1949;
  params[8] = call1952;
  partcv[0] = 9;
  Object call1953 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1925);
// compilenode returning call1953
  *var_selfModes = call1953;
  if (call1953 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1954 = gc_frame_new();
  int callframe1955 = gc_frame_new();
  if (strlit1956 == NULL) {
    strlit1956 = alloc_String("(");
    gc_root(strlit1956);
  }
// compilenode returning strlit1956
  partcv[0] = 0;
  Object call1957 = callmethod(strlit1956, "ord",
    1, partcv, params);
  gc_frame_end(callframe1955);
// compilenode returning call1957
// compilenode returning call1957
  gc_frame_newslot(call1957);
  int callframe1958 = gc_frame_new();
  if (strlit1959 == NULL) {
    strlit1959 = alloc_String(")");
    gc_root(strlit1959);
  }
// compilenode returning strlit1959
  partcv[0] = 0;
  Object call1960 = callmethod(strlit1959, "ord",
    1, partcv, params);
  gc_frame_end(callframe1958);
// compilenode returning call1960
// compilenode returning call1960
  gc_frame_newslot(call1960);
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1961 = gc_frame_new();
  if (strlit1962 == NULL) {
    strlit1962 = alloc_String("{");
    gc_root(strlit1962);
  }
// compilenode returning strlit1962
  partcv[0] = 0;
  Object call1963 = callmethod(strlit1962, "ord",
    1, partcv, params);
  gc_frame_end(callframe1961);
// compilenode returning call1963
// compilenode returning call1963
  gc_frame_newslot(call1963);
  int callframe1964 = gc_frame_new();
  if (strlit1965 == NULL) {
    strlit1965 = alloc_String("}");
    gc_root(strlit1965);
  }
// compilenode returning strlit1965
  partcv[0] = 0;
  Object call1966 = callmethod(strlit1965, "ord",
    1, partcv, params);
  gc_frame_end(callframe1964);
// compilenode returning call1966
// compilenode returning call1966
  gc_frame_newslot(call1966);
  int callframe1967 = gc_frame_new();
  if (strlit1968 == NULL) {
    strlit1968 = alloc_String("[");
    gc_root(strlit1968);
  }
// compilenode returning strlit1968
  partcv[0] = 0;
  Object call1969 = callmethod(strlit1968, "ord",
    1, partcv, params);
  gc_frame_end(callframe1967);
// compilenode returning call1969
// compilenode returning call1969
  gc_frame_newslot(call1969);
  int callframe1970 = gc_frame_new();
  if (strlit1971 == NULL) {
    strlit1971 = alloc_String("]");
    gc_root(strlit1971);
  }
// compilenode returning strlit1971
  partcv[0] = 0;
  Object call1972 = callmethod(strlit1971, "ord",
    1, partcv, params);
  gc_frame_end(callframe1970);
// compilenode returning call1972
// compilenode returning call1972
  gc_frame_newslot(call1972);
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = call1957;
  params[1] = call1960;
  params[2] = call1963;
  params[3] = call1966;
  params[4] = call1969;
  params[5] = call1972;
  partcv[0] = 6;
  Object call1973 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1954);
// compilenode returning call1973
  *var_brackets = call1973;
  if (call1973 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1974 = gc_frame_new();
  if (strlit1975 == NULL) {
    strlit1975 = alloc_String("L");
    gc_root(strlit1975);
  }
// compilenode returning strlit1975
  gc_frame_newslot(strlit1975);
  if (strlit1976 == NULL) {
    strlit1976 = alloc_String("N");
    gc_root(strlit1976);
  }
// compilenode returning strlit1976
  gc_frame_newslot(strlit1976);
  Object num1977 = alloc_Float64(95);
// compilenode returning num1977
  gc_frame_newslot(num1977);
  Object num1978 = alloc_Float64(39);
// compilenode returning num1978
  gc_frame_newslot(num1978);
// compilenode returning *var_unicode
  params[0] = strlit1975;
  params[1] = strlit1976;
  params[2] = num1977;
  params[3] = num1978;
  partcv[0] = 4;
  Object call1979 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1974);
// compilenode returning call1979
  *var_identifierChar = call1979;
  if (call1979 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1980 = gc_frame_new();
  int callframe1981 = gc_frame_new();
  if (strlit1982 == NULL) {
    strlit1982 = alloc_String("0");
    gc_root(strlit1982);
  }
// compilenode returning strlit1982
  partcv[0] = 0;
  Object call1983 = callmethod(strlit1982, "ord",
    1, partcv, params);
  gc_frame_end(callframe1981);
// compilenode returning call1983
// compilenode returning call1983
  gc_frame_newslot(call1983);
  int callframe1984 = gc_frame_new();
  if (strlit1985 == NULL) {
    strlit1985 = alloc_String("1");
    gc_root(strlit1985);
  }
// compilenode returning strlit1985
  partcv[0] = 0;
  Object call1986 = callmethod(strlit1985, "ord",
    1, partcv, params);
  gc_frame_end(callframe1984);
// compilenode returning call1986
// compilenode returning call1986
  gc_frame_newslot(call1986);
  int callframe1987 = gc_frame_new();
  if (strlit1988 == NULL) {
    strlit1988 = alloc_String("2");
    gc_root(strlit1988);
  }
// compilenode returning strlit1988
  partcv[0] = 0;
  Object call1989 = callmethod(strlit1988, "ord",
    1, partcv, params);
  gc_frame_end(callframe1987);
// compilenode returning call1989
// compilenode returning call1989
  gc_frame_newslot(call1989);
  int callframe1990 = gc_frame_new();
  if (strlit1991 == NULL) {
    strlit1991 = alloc_String("3");
    gc_root(strlit1991);
  }
// compilenode returning strlit1991
  partcv[0] = 0;
  Object call1992 = callmethod(strlit1991, "ord",
    1, partcv, params);
  gc_frame_end(callframe1990);
// compilenode returning call1992
// compilenode returning call1992
  gc_frame_newslot(call1992);
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1993 = gc_frame_new();
  if (strlit1994 == NULL) {
    strlit1994 = alloc_String("4");
    gc_root(strlit1994);
  }
// compilenode returning strlit1994
  partcv[0] = 0;
  Object call1995 = callmethod(strlit1994, "ord",
    1, partcv, params);
  gc_frame_end(callframe1993);
// compilenode returning call1995
// compilenode returning call1995
  gc_frame_newslot(call1995);
  int callframe1996 = gc_frame_new();
  if (strlit1997 == NULL) {
    strlit1997 = alloc_String("5");
    gc_root(strlit1997);
  }
// compilenode returning strlit1997
  partcv[0] = 0;
  Object call1998 = callmethod(strlit1997, "ord",
    1, partcv, params);
  gc_frame_end(callframe1996);
// compilenode returning call1998
// compilenode returning call1998
  gc_frame_newslot(call1998);
  int callframe1999 = gc_frame_new();
  if (strlit2000 == NULL) {
    strlit2000 = alloc_String("6");
    gc_root(strlit2000);
  }
// compilenode returning strlit2000
  partcv[0] = 0;
  Object call2001 = callmethod(strlit2000, "ord",
    1, partcv, params);
  gc_frame_end(callframe1999);
// compilenode returning call2001
// compilenode returning call2001
  gc_frame_newslot(call2001);
  int callframe2002 = gc_frame_new();
  if (strlit2003 == NULL) {
    strlit2003 = alloc_String("7");
    gc_root(strlit2003);
  }
// compilenode returning strlit2003
  partcv[0] = 0;
  Object call2004 = callmethod(strlit2003, "ord",
    1, partcv, params);
  gc_frame_end(callframe2002);
// compilenode returning call2004
// compilenode returning call2004
  gc_frame_newslot(call2004);
  int callframe2005 = gc_frame_new();
  if (strlit2006 == NULL) {
    strlit2006 = alloc_String("8");
    gc_root(strlit2006);
  }
// compilenode returning strlit2006
  partcv[0] = 0;
  Object call2007 = callmethod(strlit2006, "ord",
    1, partcv, params);
  gc_frame_end(callframe2005);
// compilenode returning call2007
// compilenode returning call2007
  gc_frame_newslot(call2007);
  int callframe2008 = gc_frame_new();
  if (strlit2009 == NULL) {
    strlit2009 = alloc_String("9");
    gc_root(strlit2009);
  }
// compilenode returning strlit2009
  partcv[0] = 0;
  Object call2010 = callmethod(strlit2009, "ord",
    1, partcv, params);
  gc_frame_end(callframe2008);
// compilenode returning call2010
// compilenode returning call2010
  gc_frame_newslot(call2010);
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = call1983;
  params[1] = call1986;
  params[2] = call1989;
  params[3] = call1992;
  params[4] = call1995;
  params[5] = call1998;
  params[6] = call2001;
  params[7] = call2004;
  params[8] = call2007;
  params[9] = call2010;
  partcv[0] = 10;
  Object call2011 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe1980);
// compilenode returning call2011
  *var_digit = call2011;
  if (call2011 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2012 = gc_frame_new();
  int callframe2013 = gc_frame_new();
  if (strlit2014 == NULL) {
    strlit2014 = alloc_String("0");
    gc_root(strlit2014);
  }
// compilenode returning strlit2014
  partcv[0] = 0;
  Object call2015 = callmethod(strlit2014, "ord",
    1, partcv, params);
  gc_frame_end(callframe2013);
// compilenode returning call2015
// compilenode returning call2015
  gc_frame_newslot(call2015);
  int callframe2016 = gc_frame_new();
  if (strlit2017 == NULL) {
    strlit2017 = alloc_String("1");
    gc_root(strlit2017);
  }
// compilenode returning strlit2017
  partcv[0] = 0;
  Object call2018 = callmethod(strlit2017, "ord",
    1, partcv, params);
  gc_frame_end(callframe2016);
// compilenode returning call2018
// compilenode returning call2018
  gc_frame_newslot(call2018);
  int callframe2019 = gc_frame_new();
  if (strlit2020 == NULL) {
    strlit2020 = alloc_String("2");
    gc_root(strlit2020);
  }
// compilenode returning strlit2020
  partcv[0] = 0;
  Object call2021 = callmethod(strlit2020, "ord",
    1, partcv, params);
  gc_frame_end(callframe2019);
// compilenode returning call2021
// compilenode returning call2021
  gc_frame_newslot(call2021);
  int callframe2022 = gc_frame_new();
  if (strlit2023 == NULL) {
    strlit2023 = alloc_String("3");
    gc_root(strlit2023);
  }
// compilenode returning strlit2023
  partcv[0] = 0;
  Object call2024 = callmethod(strlit2023, "ord",
    1, partcv, params);
  gc_frame_end(callframe2022);
// compilenode returning call2024
// compilenode returning call2024
  gc_frame_newslot(call2024);
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2025 = gc_frame_new();
  if (strlit2026 == NULL) {
    strlit2026 = alloc_String("4");
    gc_root(strlit2026);
  }
// compilenode returning strlit2026
  partcv[0] = 0;
  Object call2027 = callmethod(strlit2026, "ord",
    1, partcv, params);
  gc_frame_end(callframe2025);
// compilenode returning call2027
// compilenode returning call2027
  gc_frame_newslot(call2027);
  int callframe2028 = gc_frame_new();
  if (strlit2029 == NULL) {
    strlit2029 = alloc_String("5");
    gc_root(strlit2029);
  }
// compilenode returning strlit2029
  partcv[0] = 0;
  Object call2030 = callmethod(strlit2029, "ord",
    1, partcv, params);
  gc_frame_end(callframe2028);
// compilenode returning call2030
// compilenode returning call2030
  gc_frame_newslot(call2030);
  int callframe2031 = gc_frame_new();
  if (strlit2032 == NULL) {
    strlit2032 = alloc_String("6");
    gc_root(strlit2032);
  }
// compilenode returning strlit2032
  partcv[0] = 0;
  Object call2033 = callmethod(strlit2032, "ord",
    1, partcv, params);
  gc_frame_end(callframe2031);
// compilenode returning call2033
// compilenode returning call2033
  gc_frame_newslot(call2033);
  int callframe2034 = gc_frame_new();
  if (strlit2035 == NULL) {
    strlit2035 = alloc_String("7");
    gc_root(strlit2035);
  }
// compilenode returning strlit2035
  partcv[0] = 0;
  Object call2036 = callmethod(strlit2035, "ord",
    1, partcv, params);
  gc_frame_end(callframe2034);
// compilenode returning call2036
// compilenode returning call2036
  gc_frame_newslot(call2036);
  int callframe2037 = gc_frame_new();
  if (strlit2038 == NULL) {
    strlit2038 = alloc_String("8");
    gc_root(strlit2038);
  }
// compilenode returning strlit2038
  partcv[0] = 0;
  Object call2039 = callmethod(strlit2038, "ord",
    1, partcv, params);
  gc_frame_end(callframe2037);
// compilenode returning call2039
// compilenode returning call2039
  gc_frame_newslot(call2039);
  int callframe2040 = gc_frame_new();
  if (strlit2041 == NULL) {
    strlit2041 = alloc_String("9");
    gc_root(strlit2041);
  }
// compilenode returning strlit2041
  partcv[0] = 0;
  Object call2042 = callmethod(strlit2041, "ord",
    1, partcv, params);
  gc_frame_end(callframe2040);
// compilenode returning call2042
// compilenode returning call2042
  gc_frame_newslot(call2042);
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = call2015;
  params[1] = call2018;
  params[2] = call2021;
  params[3] = call2024;
  params[4] = call2027;
  params[5] = call2030;
  params[6] = call2033;
  params[7] = call2036;
  params[8] = call2039;
  params[9] = call2042;
  partcv[0] = 10;
  Object call2043 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2012);
// compilenode returning call2043
  *var_digitB = call2043;
  if (call2043 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2044 = gc_frame_new();
  if (strlit2045 == NULL) {
    strlit2045 = alloc_String("Sm");
    gc_root(strlit2045);
  }
// compilenode returning strlit2045
  gc_frame_newslot(strlit2045);
  if (strlit2046 == NULL) {
    strlit2046 = alloc_String("So");
    gc_root(strlit2046);
  }
// compilenode returning strlit2046
  gc_frame_newslot(strlit2046);
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2047 = gc_frame_new();
  if (strlit2048 == NULL) {
    strlit2048 = alloc_String("-");
    gc_root(strlit2048);
  }
// compilenode returning strlit2048
  partcv[0] = 0;
  Object call2049 = callmethod(strlit2048, "ord",
    1, partcv, params);
  gc_frame_end(callframe2047);
// compilenode returning call2049
// compilenode returning call2049
  gc_frame_newslot(call2049);
  int callframe2050 = gc_frame_new();
  if (strlit2051 == NULL) {
    strlit2051 = alloc_String("&");
    gc_root(strlit2051);
  }
// compilenode returning strlit2051
  partcv[0] = 0;
  Object call2052 = callmethod(strlit2051, "ord",
    1, partcv, params);
  gc_frame_end(callframe2050);
// compilenode returning call2052
// compilenode returning call2052
  gc_frame_newslot(call2052);
  int callframe2053 = gc_frame_new();
  if (strlit2054 == NULL) {
    strlit2054 = alloc_String("|");
    gc_root(strlit2054);
  }
// compilenode returning strlit2054
  partcv[0] = 0;
  Object call2055 = callmethod(strlit2054, "ord",
    1, partcv, params);
  gc_frame_end(callframe2053);
// compilenode returning call2055
// compilenode returning call2055
  gc_frame_newslot(call2055);
  int callframe2056 = gc_frame_new();
  if (strlit2057 == NULL) {
    strlit2057 = alloc_String(":");
    gc_root(strlit2057);
  }
// compilenode returning strlit2057
  partcv[0] = 0;
  Object call2058 = callmethod(strlit2057, "ord",
    1, partcv, params);
  gc_frame_end(callframe2056);
// compilenode returning call2058
// compilenode returning call2058
  gc_frame_newslot(call2058);
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2059 = gc_frame_new();
  if (strlit2060 == NULL) {
    strlit2060 = alloc_String("%");
    gc_root(strlit2060);
  }
// compilenode returning strlit2060
  partcv[0] = 0;
  Object call2061 = callmethod(strlit2060, "ord",
    1, partcv, params);
  gc_frame_end(callframe2059);
// compilenode returning call2061
// compilenode returning call2061
  gc_frame_newslot(call2061);
  int callframe2062 = gc_frame_new();
  if (strlit2063 == NULL) {
    strlit2063 = alloc_String("^");
    gc_root(strlit2063);
  }
// compilenode returning strlit2063
  partcv[0] = 0;
  Object call2064 = callmethod(strlit2063, "ord",
    1, partcv, params);
  gc_frame_end(callframe2062);
// compilenode returning call2064
// compilenode returning call2064
  gc_frame_newslot(call2064);
  int callframe2065 = gc_frame_new();
  if (strlit2066 == NULL) {
    strlit2066 = alloc_String("@");
    gc_root(strlit2066);
  }
// compilenode returning strlit2066
  partcv[0] = 0;
  Object call2067 = callmethod(strlit2066, "ord",
    1, partcv, params);
  gc_frame_end(callframe2065);
// compilenode returning call2067
// compilenode returning call2067
  gc_frame_newslot(call2067);
  int callframe2068 = gc_frame_new();
  if (strlit2069 == NULL) {
    strlit2069 = alloc_String("?");
    gc_root(strlit2069);
  }
// compilenode returning strlit2069
  partcv[0] = 0;
  Object call2070 = callmethod(strlit2069, "ord",
    1, partcv, params);
  gc_frame_end(callframe2068);
// compilenode returning call2070
// compilenode returning call2070
  gc_frame_newslot(call2070);
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2071 = gc_frame_new();
  if (strlit2072 == NULL) {
    strlit2072 = alloc_String("*");
    gc_root(strlit2072);
  }
// compilenode returning strlit2072
  partcv[0] = 0;
  Object call2073 = callmethod(strlit2072, "ord",
    1, partcv, params);
  gc_frame_end(callframe2071);
// compilenode returning call2073
// compilenode returning call2073
  gc_frame_newslot(call2073);
  int callframe2074 = gc_frame_new();
  if (strlit2075 == NULL) {
    strlit2075 = alloc_String("/");
    gc_root(strlit2075);
  }
// compilenode returning strlit2075
  partcv[0] = 0;
  Object call2076 = callmethod(strlit2075, "ord",
    1, partcv, params);
  gc_frame_end(callframe2074);
// compilenode returning call2076
// compilenode returning call2076
  gc_frame_newslot(call2076);
  int callframe2077 = gc_frame_new();
  if (strlit2078 == NULL) {
    strlit2078 = alloc_String("+");
    gc_root(strlit2078);
  }
// compilenode returning strlit2078
  partcv[0] = 0;
  Object call2079 = callmethod(strlit2078, "ord",
    1, partcv, params);
  gc_frame_end(callframe2077);
// compilenode returning call2079
// compilenode returning call2079
  gc_frame_newslot(call2079);
  int callframe2080 = gc_frame_new();
  if (strlit2081 == NULL) {
    strlit2081 = alloc_String("!");
    gc_root(strlit2081);
  }
// compilenode returning strlit2081
  partcv[0] = 0;
  Object call2082 = callmethod(strlit2081, "ord",
    1, partcv, params);
  gc_frame_end(callframe2080);
// compilenode returning call2082
// compilenode returning call2082
  gc_frame_newslot(call2082);
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_unicode
  params[0] = strlit2045;
  params[1] = strlit2046;
  params[2] = call2049;
  params[3] = call2052;
  params[4] = call2055;
  params[5] = call2058;
  params[6] = call2061;
  params[7] = call2064;
  params[8] = call2067;
  params[9] = call2070;
  params[10] = call2073;
  params[11] = call2076;
  params[12] = call2079;
  params[13] = call2082;
  partcv[0] = 14;
  Object call2083 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2044);
// compilenode returning call2083
  *var_operatorChar = call2083;
  if (call2083 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2084 = gc_frame_new();
  int callframe2085 = gc_frame_new();
  if (strlit2086 == NULL) {
    strlit2086 = alloc_String("i");
    gc_root(strlit2086);
  }
// compilenode returning strlit2086
  partcv[0] = 0;
  Object call2087 = callmethod(strlit2086, "ord",
    1, partcv, params);
  gc_frame_end(callframe2085);
// compilenode returning call2087
// compilenode returning call2087
  gc_frame_newslot(call2087);
  int callframe2088 = gc_frame_new();
  if (strlit2089 == NULL) {
    strlit2089 = alloc_String("<");
    gc_root(strlit2089);
  }
// compilenode returning strlit2089
  partcv[0] = 0;
  Object call2090 = callmethod(strlit2089, "ord",
    1, partcv, params);
  gc_frame_end(callframe2088);
// compilenode returning call2090
// compilenode returning call2090
  gc_frame_newslot(call2090);
  int callframe2091 = gc_frame_new();
  if (strlit2092 == NULL) {
    strlit2092 = alloc_String(">");
    gc_root(strlit2092);
  }
// compilenode returning strlit2092
  partcv[0] = 0;
  Object call2093 = callmethod(strlit2092, "ord",
    1, partcv, params);
  gc_frame_end(callframe2091);
// compilenode returning call2093
// compilenode returning call2093
  gc_frame_newslot(call2093);
// compilenode returning *var_unicode
  params[0] = call2087;
  params[1] = call2090;
  params[2] = call2093;
  partcv[0] = 3;
  Object call2094 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2084);
// compilenode returning call2094
  *var_iGTLT = call2094;
  if (call2094 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2095 = gc_frame_new();
  int callframe2096 = gc_frame_new();
  if (strlit2097 == NULL) {
    strlit2097 = alloc_String("c");
    gc_root(strlit2097);
  }
// compilenode returning strlit2097
  partcv[0] = 0;
  Object call2098 = callmethod(strlit2097, "ord",
    1, partcv, params);
  gc_frame_end(callframe2096);
// compilenode returning call2098
// compilenode returning call2098
  gc_frame_newslot(call2098);
  int callframe2099 = gc_frame_new();
  if (strlit2100 == NULL) {
    strlit2100 = alloc_String("p");
    gc_root(strlit2100);
  }
// compilenode returning strlit2100
  partcv[0] = 0;
  Object call2101 = callmethod(strlit2100, "ord",
    1, partcv, params);
  gc_frame_end(callframe2099);
// compilenode returning call2101
// compilenode returning call2101
  gc_frame_newslot(call2101);
// compilenode returning *var_unicode
  params[0] = call2098;
  params[1] = call2101;
  partcv[0] = 0;
  partcv[1] = 2;
  Object call2102 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe2095);
// compilenode returning call2102
  *var_notcp = call2102;
  if (call2102 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block2103 = alloc_Block(NULL, NULL, "lexer", 632);
  gc_frame_newslot(block2103);
  block_savedest(block2103);
  Object closure2104 = createclosure(26, "_apply");
  setclosureframe(closure2104, stackframe);
  addtoclosure(closure2104, var_badSeparator);
  addtoclosure(closure2104, var_errormessages);
  addtoclosure(closure2104, var_linePosition);
  addtoclosure(closure2104, var_lineNumber);
  addtoclosure(closure2104, var_instr);
  addtoclosure(closure2104, var_unicode);
  addtoclosure(closure2104, var_badControl);
  addtoclosure(closure2104, var_atStart);
  addtoclosure(closure2104, var_mode);
  addtoclosure(closure2104, var_newmode);
  addtoclosure(closure2104, var_identifierChar);
  addtoclosure(closure2104, var_digit);
  addtoclosure(closure2104, var_iGTLT);
  addtoclosure(closure2104, var_tokens);
  addtoclosure(closure2104, var_accum);
  addtoclosure(closure2104, var_operatorChar);
  addtoclosure(closure2104, var_selfModes);
  addtoclosure(closure2104, var_util);
  addtoclosure(closure2104, var_escaped);
  addtoclosure(closure2104, var_interpString);
  addtoclosure(closure2104, var_interpdepth);
  addtoclosure(closure2104, var_brackets);
  addtoclosure(closure2104, var_unichars);
  addtoclosure(closure2104, var_codepoint);
  addtoclosure(closure2104, var_startPosition);
  addtoclosure(closure2104, selfslot);
  struct UserObject *uo2104 = (struct UserObject*)block2103;
  uo2104->data[0] = (Object)closure2104;
  Method *meth_meth_lexer__apply2104 = addmethod2pos(block2103, "_apply", &meth_lexer__apply2104, 0);
int argcv_meth_lexer__apply2104[] = {1};
meth_meth_lexer__apply2104->type = alloc_MethodType(1, argcv_meth_lexer__apply2104);
  meth_meth_lexer__apply2104->definitionModule = modulename;
  meth_meth_lexer__apply2104->definitionLine = 631;
// compilenode returning block2103
  *var_mainBlock = block2103;
  if (block2103 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3372 = gc_frame_new();
// compilenode returning *var_input
  gc_frame_newslot(*var_input);
  Object block3373 = alloc_Block(NULL, NULL, "lexer", 1027);
  gc_frame_newslot(block3373);
  block_savedest(block3373);
  Object closure3374 = createclosure(5, "_apply");
  setclosureframe(closure3374, stackframe);
  addtoclosure(closure3374, var_linePosition);
  addtoclosure(closure3374, var_mode);
  addtoclosure(closure3374, var_mainBlock);
  addtoclosure(closure3374, var_prev);
  addtoclosure(closure3374, selfslot);
  struct UserObject *uo3374 = (struct UserObject*)block3373;
  uo3374->data[0] = (Object)closure3374;
  Method *meth_meth_lexer__apply3374 = addmethod2pos(block3373, "_apply", &meth_lexer__apply3374, 0);
int argcv_meth_lexer__apply3374[] = {1};
meth_meth_lexer__apply3374->type = alloc_MethodType(1, argcv_meth_lexer__apply3374);
  meth_meth_lexer__apply3374->definitionModule = modulename;
  meth_meth_lexer__apply3374->definitionLine = 985;
// compilenode returning block3373
  gc_frame_newslot(block3373);
  params[0] = *var_input;
  params[1] = block3373;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3401 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3372);
// compilenode returning call3401
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3403 = alloc_Float64(1);
// compilenode returning num3403
  int op_slot_right_3402 = gc_frame_newslot(num3403);
// compilenode returning *var_linePosition
  int op_slot_left_3402 = gc_frame_newslot(*var_linePosition);
  params[0] = num3403;
  partcv[0] = 1;
  Object sum3405 = callmethod(*var_linePosition, "+", 1, partcv, params);
// compilenode returning sum3405
  *var_linePosition = sum3405;
  if (sum3405 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_instr
  Object if3407 = done;
  if (istrue(*var_instr)) {
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3410 == NULL) {
    strlit3410 = alloc_String("""\x22""");
    gc_root(strlit3410);
  }
// compilenode returning strlit3410
  int op_slot_right_3409 = gc_frame_newslot(strlit3410);
// compilenode returning *var_mode
  int op_slot_left_3409 = gc_frame_newslot(*var_mode);
  params[0] = strlit3410;
  partcv[0] = 1;
  Object opresult3412 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult3412
  Object if3408 = done;
  if (istrue(opresult3412)) {
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3413 = gc_frame_new();
  int callframe3414 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3415 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3414);
// compilenode returning call3415
// compilenode returning call3415
  partcv[0] = 0;
  Object call3416 = callmethod(call3415, "new",
    1, partcv, params);
  gc_frame_end(callframe3413);
// compilenode returning call3416
// compilenode returning call3416
  *var_suggestion = call3416;
  if (call3416 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3417 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  if (strlit3419 == NULL) {
    strlit3419 = alloc_String("""\x22""");
    gc_root(strlit3419);
  }
// compilenode returning strlit3419
  int op_slot_right_3418 = gc_frame_newslot(strlit3419);
  int callframe3421 = gc_frame_new();
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
  int callframe3422 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call3423 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3422);
// compilenode returning call3423
// compilenode returning call3423
  params[0] = *var_lineNumber;
  partcv[0] = 1;
  Object call3424 = callmethod(call3423, "at",
    1, partcv, params);
  gc_frame_end(callframe3421);
// compilenode returning call3424
  int op_slot_left_3418 = gc_frame_newslot(call3424);
  params[0] = strlit3419;
  partcv[0] = 1;
  Object opresult3425 = callmethod(call3424, "++", 1, partcv, params);
// compilenode returning opresult3425
  gc_frame_newslot(opresult3425);
// compilenode returning *var_suggestion
  params[0] = *var_lineNumber;
  params[1] = opresult3425;
  partcv[0] = 2;
  Object call3426 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3417);
// compilenode returning call3426
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3427 = gc_frame_new();
  if (strlit3428 == NULL) {
    strlit3428 = alloc_String("A string must end with a '""\x22""'.");
    gc_root(strlit3428);
  }
// compilenode returning strlit3428
  gc_frame_newslot(strlit3428);
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3428;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3429 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3427);
// compilenode returning call3429
    gc_frame_newslot(call3429);
    if3408 = call3429;
  } else {
  }
// compilenode returning if3408
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3432 == NULL) {
    strlit3432 = alloc_String("x");
    gc_root(strlit3432);
  }
// compilenode returning strlit3432
  int op_slot_right_3431 = gc_frame_newslot(strlit3432);
// compilenode returning *var_mode
  int op_slot_left_3431 = gc_frame_newslot(*var_mode);
  params[0] = strlit3432;
  partcv[0] = 1;
  Object opresult3434 = callmethod(*var_mode, "==", 1, partcv, params);
// compilenode returning opresult3434
  Object if3430 = done;
  if (istrue(opresult3434)) {
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3435 = gc_frame_new();
  if (strlit3436 == NULL) {
    strlit3436 = alloc_String("Unfinished octets literal, expected '""\x22""'.");
    gc_root(strlit3436);
  }
// compilenode returning strlit3436
  gc_frame_newslot(strlit3436);
// compilenode returning *var_lineNumber
  gc_frame_newslot(*var_lineNumber);
// compilenode returning *var_linePosition
  gc_frame_newslot(*var_linePosition);
// compilenode returning *var_errormessages
  params[0] = strlit3436;
  params[1] = *var_lineNumber;
  params[2] = *var_linePosition;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call3437 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe3435);
// compilenode returning call3437
    gc_frame_newslot(call3437);
    if3430 = call3437;
  } else {
  }
// compilenode returning if3430
    gc_frame_newslot(if3430);
    if3407 = if3430;
  } else {
  }
// compilenode returning if3407
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3438 = gc_frame_new();
// compilenode returning *var_tokens
  gc_frame_newslot(*var_tokens);
// compilenode returning *var_mode
  gc_frame_newslot(*var_mode);
// compilenode returning *var_accum
  gc_frame_newslot(*var_accum);
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3439 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3438);
// compilenode returning call3439
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tokens
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_lexer_new62(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(27, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lineNumber = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lineNumber");
  Object *var_linePosition = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "linePosition");
  Object *var_startPosition = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startPosition");
  Object *var_indentLevel = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "indentLevel");
  Object *var_Token = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "Token");
  Object *var_IdentifierToken = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "IdentifierToken");
  Object *var_StringToken = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "StringToken");
  Object *var_CommentToken = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "CommentToken");
  Object *var_OctetsToken = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "OctetsToken");
  Object *var_LBraceToken = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "LBraceToken");
  Object *var_RBraceToken = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "RBraceToken");
  Object *var_LParenToken = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "LParenToken");
  Object *var_RParenToken = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "RParenToken");
  Object *var_LSquareToken = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "LSquareToken");
  Object *var_RSquareToken = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "RSquareToken");
  Object *var_CommaToken = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "CommaToken");
  Object *var_ColonToken = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "ColonToken");
  Object *var_DotToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "DotToken");
  Object *var_NumToken = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "NumToken");
  Object *var_KeywordToken = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "KeywordToken");
  Object *var_OpToken = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "OpToken");
  Object *var_ArrowToken = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "ArrowToken");
  Object *var_BindToken = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "BindToken");
  Object *var_SemicolonToken = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "SemicolonToken");
  Object *var_LGenericToken = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "LGenericToken");
  Object *var_RGenericToken = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "RGenericToken");
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num63 = alloc_Float64(1);
// compilenode returning num63
  *var_lineNumber = num63;
  if (num63 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num64 = alloc_Float64(0);
// compilenode returning num64
  *var_linePosition = num64;
  if (num64 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num65 = alloc_Float64(1);
// compilenode returning num65
  *var_startPosition = num65;
  if (num65 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num66 = alloc_Float64(0);
// compilenode returning num66
  *var_indentLevel = num66;
  if (num66 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject67 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj67 = alloc_userobj2(2,4, objclass67);
  gc_frame_newslot(obj67);
// OBJECT OUTER DEC outer
  adddatum2(obj67, self, 0);
  addmethodreal(obj67,"outer", &reader_lexer_outer_68);
  Object oldself67 = self;
  struct StackFrameObject *oldstackframe67 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe67);
  gc_frame_newslot((Object)stackframe);
  self = obj67;
  Object *oldselfslot67 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter67 = (*(struct UserObject *)self).data[0], lowerouter67 = thisouter67;
  if (inheritingObject67) {
    struct UserObject *inho67 = (struct UserObject *)inheritingObject67;
    while (inho67->super != GraceDefaultObject) inho67 = (struct UserObject *)inho67->super;
    inho67->super = obj67;
    self = inheritingObject67;
    *selfslot = self;
    lowerouter67 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter67;
  }
  block_savedest(obj67);
  Object closure69 = createclosure(3, "new");
  setclosureframe(closure69, stackframe);
  addtoclosure(closure69, var_lineNumber);
  addtoclosure(closure69, var_indentLevel);
  addtoclosure(closure69, var_startPosition);
  struct UserObject *uo69 = (struct UserObject*)obj67;
  uo69->data[1] = (Object)closure69;
  Method *meth_meth_lexer_new69 = addmethod2pos(obj67, "new", &meth_lexer_new69, 1);
int argcv_meth_lexer_new69[] = {0};
meth_meth_lexer_new69->type = alloc_MethodType(1, argcv_meth_lexer_new69);
  meth_meth_lexer_new69->definitionModule = modulename;
  meth_meth_lexer_new69->definitionLine = 28;
  block_savedest(obj67);
  Object closure103 = createclosure(3, "new()object");
setclosureframe(closure103, stackframe);
  addtoclosure(closure103, var_lineNumber);
  addtoclosure(closure103, var_indentLevel);
  addtoclosure(closure103, var_startPosition);
  Method *meth_meth_lexer_new69_object = addmethod2pos(obj67, "new()object", &meth_lexer_new69_object, 1);
  meth_meth_lexer_new69_object->definitionModule = modulename;
  meth_meth_lexer_new69_object->definitionLine = 28;
  sourceObject = obj67;
objclass67 = obj67->class;
  objclass67->definitionModule = modulename;
  objclass67->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter67;
  self = oldself67;
  selfslot = oldselfslot67;
  stackframe = oldstackframe67;
// compilenode returning obj67
  *var_Token = obj67;
  if (obj67 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject104 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj104 = alloc_userobj2(2,4, objclass104);
  gc_frame_newslot(obj104);
// OBJECT OUTER DEC outer
  adddatum2(obj104, self, 0);
  addmethodreal(obj104,"outer", &reader_lexer_outer_105);
  Object oldself104 = self;
  struct StackFrameObject *oldstackframe104 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe104);
  gc_frame_newslot((Object)stackframe);
  self = obj104;
  Object *oldselfslot104 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter104 = (*(struct UserObject *)self).data[0], lowerouter104 = thisouter104;
  if (inheritingObject104) {
    struct UserObject *inho104 = (struct UserObject *)inheritingObject104;
    while (inho104->super != GraceDefaultObject) inho104 = (struct UserObject *)inho104->super;
    inho104->super = obj104;
    self = inheritingObject104;
    *selfslot = self;
    lowerouter104 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter104;
  }
  block_savedest(obj104);
  Object closure106 = createclosure(1, "new");
  setclosureframe(closure106, stackframe);
  addtoclosure(closure106, var_Token);
  struct UserObject *uo106 = (struct UserObject*)obj104;
  uo106->data[1] = (Object)closure106;
  Method *meth_meth_lexer_new106 = addmethod2pos(obj104, "new", &meth_lexer_new106, 1);
int argcv_meth_lexer_new106[] = {1};
meth_meth_lexer_new106->type = alloc_MethodType(1, argcv_meth_lexer_new106);
  meth_meth_lexer_new106->definitionModule = modulename;
  meth_meth_lexer_new106->definitionLine = 53;
  block_savedest(obj104);
  Object closure117 = createclosure(1, "new()object");
setclosureframe(closure117, stackframe);
  addtoclosure(closure117, var_Token);
  Method *meth_meth_lexer_new106_object = addmethod2pos(obj104, "new()object", &meth_lexer_new106_object, 1);
  meth_meth_lexer_new106_object->definitionModule = modulename;
  meth_meth_lexer_new106_object->definitionLine = 53;
  sourceObject = obj104;
objclass104 = obj104->class;
  objclass104->definitionModule = modulename;
  objclass104->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter104;
  self = oldself104;
  selfslot = oldselfslot104;
  stackframe = oldstackframe104;
// compilenode returning obj104
  *var_IdentifierToken = obj104;
  if (obj104 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject118 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj118 = alloc_userobj2(2,4, objclass118);
  gc_frame_newslot(obj118);
// OBJECT OUTER DEC outer
  adddatum2(obj118, self, 0);
  addmethodreal(obj118,"outer", &reader_lexer_outer_119);
  Object oldself118 = self;
  struct StackFrameObject *oldstackframe118 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe118);
  gc_frame_newslot((Object)stackframe);
  self = obj118;
  Object *oldselfslot118 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter118 = (*(struct UserObject *)self).data[0], lowerouter118 = thisouter118;
  if (inheritingObject118) {
    struct UserObject *inho118 = (struct UserObject *)inheritingObject118;
    while (inho118->super != GraceDefaultObject) inho118 = (struct UserObject *)inho118->super;
    inho118->super = obj118;
    self = inheritingObject118;
    *selfslot = self;
    lowerouter118 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter118;
  }
  block_savedest(obj118);
  Object closure120 = createclosure(1, "new");
  setclosureframe(closure120, stackframe);
  addtoclosure(closure120, var_Token);
  struct UserObject *uo120 = (struct UserObject*)obj118;
  uo120->data[1] = (Object)closure120;
  Method *meth_meth_lexer_new120 = addmethod2pos(obj118, "new", &meth_lexer_new120, 1);
int argcv_meth_lexer_new120[] = {1};
meth_meth_lexer_new120->type = alloc_MethodType(1, argcv_meth_lexer_new120);
  meth_meth_lexer_new120->definitionModule = modulename;
  meth_meth_lexer_new120->definitionLine = 62;
  block_savedest(obj118);
  Object closure135 = createclosure(1, "new()object");
setclosureframe(closure135, stackframe);
  addtoclosure(closure135, var_Token);
  Method *meth_meth_lexer_new120_object = addmethod2pos(obj118, "new()object", &meth_lexer_new120_object, 1);
  meth_meth_lexer_new120_object->definitionModule = modulename;
  meth_meth_lexer_new120_object->definitionLine = 62;
  sourceObject = obj118;
objclass118 = obj118->class;
  objclass118->definitionModule = modulename;
  objclass118->definitionLine = 62;
  (*(struct UserObject *)self).data[0] = lowerouter118;
  self = oldself118;
  selfslot = oldselfslot118;
  stackframe = oldstackframe118;
// compilenode returning obj118
  *var_StringToken = obj118;
  if (obj118 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject136 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj136 = alloc_userobj2(2,4, objclass136);
  gc_frame_newslot(obj136);
// OBJECT OUTER DEC outer
  adddatum2(obj136, self, 0);
  addmethodreal(obj136,"outer", &reader_lexer_outer_137);
  Object oldself136 = self;
  struct StackFrameObject *oldstackframe136 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe136);
  gc_frame_newslot((Object)stackframe);
  self = obj136;
  Object *oldselfslot136 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter136 = (*(struct UserObject *)self).data[0], lowerouter136 = thisouter136;
  if (inheritingObject136) {
    struct UserObject *inho136 = (struct UserObject *)inheritingObject136;
    while (inho136->super != GraceDefaultObject) inho136 = (struct UserObject *)inho136->super;
    inho136->super = obj136;
    self = inheritingObject136;
    *selfslot = self;
    lowerouter136 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter136;
  }
  block_savedest(obj136);
  Object closure138 = createclosure(1, "new");
  setclosureframe(closure138, stackframe);
  addtoclosure(closure138, var_Token);
  struct UserObject *uo138 = (struct UserObject*)obj136;
  uo138->data[1] = (Object)closure138;
  Method *meth_meth_lexer_new138 = addmethod2pos(obj136, "new", &meth_lexer_new138, 1);
int argcv_meth_lexer_new138[] = {1};
meth_meth_lexer_new138->type = alloc_MethodType(1, argcv_meth_lexer_new138);
  meth_meth_lexer_new138->definitionModule = modulename;
  meth_meth_lexer_new138->definitionLine = 68;
  block_savedest(obj136);
  Object closure153 = createclosure(1, "new()object");
setclosureframe(closure153, stackframe);
  addtoclosure(closure153, var_Token);
  Method *meth_meth_lexer_new138_object = addmethod2pos(obj136, "new()object", &meth_lexer_new138_object, 1);
  meth_meth_lexer_new138_object->definitionModule = modulename;
  meth_meth_lexer_new138_object->definitionLine = 68;
  sourceObject = obj136;
objclass136 = obj136->class;
  objclass136->definitionModule = modulename;
  objclass136->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter136;
  self = oldself136;
  selfslot = oldselfslot136;
  stackframe = oldstackframe136;
// compilenode returning obj136
  *var_CommentToken = obj136;
  if (obj136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject154 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj154 = alloc_userobj2(2,4, objclass154);
  gc_frame_newslot(obj154);
// OBJECT OUTER DEC outer
  adddatum2(obj154, self, 0);
  addmethodreal(obj154,"outer", &reader_lexer_outer_155);
  Object oldself154 = self;
  struct StackFrameObject *oldstackframe154 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe154);
  gc_frame_newslot((Object)stackframe);
  self = obj154;
  Object *oldselfslot154 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter154 = (*(struct UserObject *)self).data[0], lowerouter154 = thisouter154;
  if (inheritingObject154) {
    struct UserObject *inho154 = (struct UserObject *)inheritingObject154;
    while (inho154->super != GraceDefaultObject) inho154 = (struct UserObject *)inho154->super;
    inho154->super = obj154;
    self = inheritingObject154;
    *selfslot = self;
    lowerouter154 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter154;
  }
  block_savedest(obj154);
  Object closure156 = createclosure(1, "new");
  setclosureframe(closure156, stackframe);
  addtoclosure(closure156, var_Token);
  struct UserObject *uo156 = (struct UserObject*)obj154;
  uo156->data[1] = (Object)closure156;
  Method *meth_meth_lexer_new156 = addmethod2pos(obj154, "new", &meth_lexer_new156, 1);
int argcv_meth_lexer_new156[] = {1};
meth_meth_lexer_new156->type = alloc_MethodType(1, argcv_meth_lexer_new156);
  meth_meth_lexer_new156->definitionModule = modulename;
  meth_meth_lexer_new156->definitionLine = 74;
  block_savedest(obj154);
  Object closure171 = createclosure(1, "new()object");
setclosureframe(closure171, stackframe);
  addtoclosure(closure171, var_Token);
  Method *meth_meth_lexer_new156_object = addmethod2pos(obj154, "new()object", &meth_lexer_new156_object, 1);
  meth_meth_lexer_new156_object->definitionModule = modulename;
  meth_meth_lexer_new156_object->definitionLine = 74;
  sourceObject = obj154;
objclass154 = obj154->class;
  objclass154->definitionModule = modulename;
  objclass154->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter154;
  self = oldself154;
  selfslot = oldselfslot154;
  stackframe = oldstackframe154;
// compilenode returning obj154
  *var_OctetsToken = obj154;
  if (obj154 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject172 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj172 = alloc_userobj2(2,4, objclass172);
  gc_frame_newslot(obj172);
// OBJECT OUTER DEC outer
  adddatum2(obj172, self, 0);
  addmethodreal(obj172,"outer", &reader_lexer_outer_173);
  Object oldself172 = self;
  struct StackFrameObject *oldstackframe172 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe172);
  gc_frame_newslot((Object)stackframe);
  self = obj172;
  Object *oldselfslot172 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter172 = (*(struct UserObject *)self).data[0], lowerouter172 = thisouter172;
  if (inheritingObject172) {
    struct UserObject *inho172 = (struct UserObject *)inheritingObject172;
    while (inho172->super != GraceDefaultObject) inho172 = (struct UserObject *)inho172->super;
    inho172->super = obj172;
    self = inheritingObject172;
    *selfslot = self;
    lowerouter172 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter172;
  }
  block_savedest(obj172);
  Object closure174 = createclosure(1, "new");
  setclosureframe(closure174, stackframe);
  addtoclosure(closure174, var_Token);
  struct UserObject *uo174 = (struct UserObject*)obj172;
  uo174->data[1] = (Object)closure174;
  Method *meth_meth_lexer_new174 = addmethod2pos(obj172, "new", &meth_lexer_new174, 1);
int argcv_meth_lexer_new174[] = {0};
meth_meth_lexer_new174->type = alloc_MethodType(1, argcv_meth_lexer_new174);
  meth_meth_lexer_new174->definitionModule = modulename;
  meth_meth_lexer_new174->definitionLine = 80;
  block_savedest(obj172);
  Object closure185 = createclosure(1, "new()object");
setclosureframe(closure185, stackframe);
  addtoclosure(closure185, var_Token);
  Method *meth_meth_lexer_new174_object = addmethod2pos(obj172, "new()object", &meth_lexer_new174_object, 1);
  meth_meth_lexer_new174_object->definitionModule = modulename;
  meth_meth_lexer_new174_object->definitionLine = 80;
  sourceObject = obj172;
objclass172 = obj172->class;
  objclass172->definitionModule = modulename;
  objclass172->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter172;
  self = oldself172;
  selfslot = oldselfslot172;
  stackframe = oldstackframe172;
// compilenode returning obj172
  *var_LBraceToken = obj172;
  if (obj172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject186 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj186 = alloc_userobj2(2,4, objclass186);
  gc_frame_newslot(obj186);
// OBJECT OUTER DEC outer
  adddatum2(obj186, self, 0);
  addmethodreal(obj186,"outer", &reader_lexer_outer_187);
  Object oldself186 = self;
  struct StackFrameObject *oldstackframe186 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe186);
  gc_frame_newslot((Object)stackframe);
  self = obj186;
  Object *oldselfslot186 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter186 = (*(struct UserObject *)self).data[0], lowerouter186 = thisouter186;
  if (inheritingObject186) {
    struct UserObject *inho186 = (struct UserObject *)inheritingObject186;
    while (inho186->super != GraceDefaultObject) inho186 = (struct UserObject *)inho186->super;
    inho186->super = obj186;
    self = inheritingObject186;
    *selfslot = self;
    lowerouter186 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter186;
  }
  block_savedest(obj186);
  Object closure188 = createclosure(1, "new");
  setclosureframe(closure188, stackframe);
  addtoclosure(closure188, var_Token);
  struct UserObject *uo188 = (struct UserObject*)obj186;
  uo188->data[1] = (Object)closure188;
  Method *meth_meth_lexer_new188 = addmethod2pos(obj186, "new", &meth_lexer_new188, 1);
int argcv_meth_lexer_new188[] = {0};
meth_meth_lexer_new188->type = alloc_MethodType(1, argcv_meth_lexer_new188);
  meth_meth_lexer_new188->definitionModule = modulename;
  meth_meth_lexer_new188->definitionLine = 80;
  block_savedest(obj186);
  Object closure199 = createclosure(1, "new()object");
setclosureframe(closure199, stackframe);
  addtoclosure(closure199, var_Token);
  Method *meth_meth_lexer_new188_object = addmethod2pos(obj186, "new()object", &meth_lexer_new188_object, 1);
  meth_meth_lexer_new188_object->definitionModule = modulename;
  meth_meth_lexer_new188_object->definitionLine = 80;
  sourceObject = obj186;
objclass186 = obj186->class;
  objclass186->definitionModule = modulename;
  objclass186->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter186;
  self = oldself186;
  selfslot = oldselfslot186;
  stackframe = oldstackframe186;
// compilenode returning obj186
  *var_RBraceToken = obj186;
  if (obj186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject200 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj200 = alloc_userobj2(2,4, objclass200);
  gc_frame_newslot(obj200);
// OBJECT OUTER DEC outer
  adddatum2(obj200, self, 0);
  addmethodreal(obj200,"outer", &reader_lexer_outer_201);
  Object oldself200 = self;
  struct StackFrameObject *oldstackframe200 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe200);
  gc_frame_newslot((Object)stackframe);
  self = obj200;
  Object *oldselfslot200 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter200 = (*(struct UserObject *)self).data[0], lowerouter200 = thisouter200;
  if (inheritingObject200) {
    struct UserObject *inho200 = (struct UserObject *)inheritingObject200;
    while (inho200->super != GraceDefaultObject) inho200 = (struct UserObject *)inho200->super;
    inho200->super = obj200;
    self = inheritingObject200;
    *selfslot = self;
    lowerouter200 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter200;
  }
  block_savedest(obj200);
  Object closure202 = createclosure(1, "new");
  setclosureframe(closure202, stackframe);
  addtoclosure(closure202, var_Token);
  struct UserObject *uo202 = (struct UserObject*)obj200;
  uo202->data[1] = (Object)closure202;
  Method *meth_meth_lexer_new202 = addmethod2pos(obj200, "new", &meth_lexer_new202, 1);
int argcv_meth_lexer_new202[] = {0};
meth_meth_lexer_new202->type = alloc_MethodType(1, argcv_meth_lexer_new202);
  meth_meth_lexer_new202->definitionModule = modulename;
  meth_meth_lexer_new202->definitionLine = 80;
  block_savedest(obj200);
  Object closure213 = createclosure(1, "new()object");
setclosureframe(closure213, stackframe);
  addtoclosure(closure213, var_Token);
  Method *meth_meth_lexer_new202_object = addmethod2pos(obj200, "new()object", &meth_lexer_new202_object, 1);
  meth_meth_lexer_new202_object->definitionModule = modulename;
  meth_meth_lexer_new202_object->definitionLine = 80;
  sourceObject = obj200;
objclass200 = obj200->class;
  objclass200->definitionModule = modulename;
  objclass200->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter200;
  self = oldself200;
  selfslot = oldselfslot200;
  stackframe = oldstackframe200;
// compilenode returning obj200
  *var_LParenToken = obj200;
  if (obj200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject214 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj214 = alloc_userobj2(2,4, objclass214);
  gc_frame_newslot(obj214);
// OBJECT OUTER DEC outer
  adddatum2(obj214, self, 0);
  addmethodreal(obj214,"outer", &reader_lexer_outer_215);
  Object oldself214 = self;
  struct StackFrameObject *oldstackframe214 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe214);
  gc_frame_newslot((Object)stackframe);
  self = obj214;
  Object *oldselfslot214 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter214 = (*(struct UserObject *)self).data[0], lowerouter214 = thisouter214;
  if (inheritingObject214) {
    struct UserObject *inho214 = (struct UserObject *)inheritingObject214;
    while (inho214->super != GraceDefaultObject) inho214 = (struct UserObject *)inho214->super;
    inho214->super = obj214;
    self = inheritingObject214;
    *selfslot = self;
    lowerouter214 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter214;
  }
  block_savedest(obj214);
  Object closure216 = createclosure(1, "new");
  setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_Token);
  struct UserObject *uo216 = (struct UserObject*)obj214;
  uo216->data[1] = (Object)closure216;
  Method *meth_meth_lexer_new216 = addmethod2pos(obj214, "new", &meth_lexer_new216, 1);
int argcv_meth_lexer_new216[] = {0};
meth_meth_lexer_new216->type = alloc_MethodType(1, argcv_meth_lexer_new216);
  meth_meth_lexer_new216->definitionModule = modulename;
  meth_meth_lexer_new216->definitionLine = 80;
  block_savedest(obj214);
  Object closure227 = createclosure(1, "new()object");
setclosureframe(closure227, stackframe);
  addtoclosure(closure227, var_Token);
  Method *meth_meth_lexer_new216_object = addmethod2pos(obj214, "new()object", &meth_lexer_new216_object, 1);
  meth_meth_lexer_new216_object->definitionModule = modulename;
  meth_meth_lexer_new216_object->definitionLine = 80;
  sourceObject = obj214;
objclass214 = obj214->class;
  objclass214->definitionModule = modulename;
  objclass214->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter214;
  self = oldself214;
  selfslot = oldselfslot214;
  stackframe = oldstackframe214;
// compilenode returning obj214
  *var_RParenToken = obj214;
  if (obj214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj228 = alloc_userobj2(2,4, objclass228);
  gc_frame_newslot(obj228);
// OBJECT OUTER DEC outer
  adddatum2(obj228, self, 0);
  addmethodreal(obj228,"outer", &reader_lexer_outer_229);
  Object oldself228 = self;
  struct StackFrameObject *oldstackframe228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe228);
  gc_frame_newslot((Object)stackframe);
  self = obj228;
  Object *oldselfslot228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter228 = (*(struct UserObject *)self).data[0], lowerouter228 = thisouter228;
  if (inheritingObject228) {
    struct UserObject *inho228 = (struct UserObject *)inheritingObject228;
    while (inho228->super != GraceDefaultObject) inho228 = (struct UserObject *)inho228->super;
    inho228->super = obj228;
    self = inheritingObject228;
    *selfslot = self;
    lowerouter228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter228;
  }
  block_savedest(obj228);
  Object closure230 = createclosure(1, "new");
  setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_Token);
  struct UserObject *uo230 = (struct UserObject*)obj228;
  uo230->data[1] = (Object)closure230;
  Method *meth_meth_lexer_new230 = addmethod2pos(obj228, "new", &meth_lexer_new230, 1);
int argcv_meth_lexer_new230[] = {0};
meth_meth_lexer_new230->type = alloc_MethodType(1, argcv_meth_lexer_new230);
  meth_meth_lexer_new230->definitionModule = modulename;
  meth_meth_lexer_new230->definitionLine = 80;
  block_savedest(obj228);
  Object closure241 = createclosure(1, "new()object");
setclosureframe(closure241, stackframe);
  addtoclosure(closure241, var_Token);
  Method *meth_meth_lexer_new230_object = addmethod2pos(obj228, "new()object", &meth_lexer_new230_object, 1);
  meth_meth_lexer_new230_object->definitionModule = modulename;
  meth_meth_lexer_new230_object->definitionLine = 80;
  sourceObject = obj228;
objclass228 = obj228->class;
  objclass228->definitionModule = modulename;
  objclass228->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter228;
  self = oldself228;
  selfslot = oldselfslot228;
  stackframe = oldstackframe228;
// compilenode returning obj228
  *var_LSquareToken = obj228;
  if (obj228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject242 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj242 = alloc_userobj2(2,4, objclass242);
  gc_frame_newslot(obj242);
// OBJECT OUTER DEC outer
  adddatum2(obj242, self, 0);
  addmethodreal(obj242,"outer", &reader_lexer_outer_243);
  Object oldself242 = self;
  struct StackFrameObject *oldstackframe242 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe242);
  gc_frame_newslot((Object)stackframe);
  self = obj242;
  Object *oldselfslot242 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter242 = (*(struct UserObject *)self).data[0], lowerouter242 = thisouter242;
  if (inheritingObject242) {
    struct UserObject *inho242 = (struct UserObject *)inheritingObject242;
    while (inho242->super != GraceDefaultObject) inho242 = (struct UserObject *)inho242->super;
    inho242->super = obj242;
    self = inheritingObject242;
    *selfslot = self;
    lowerouter242 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter242;
  }
  block_savedest(obj242);
  Object closure244 = createclosure(1, "new");
  setclosureframe(closure244, stackframe);
  addtoclosure(closure244, var_Token);
  struct UserObject *uo244 = (struct UserObject*)obj242;
  uo244->data[1] = (Object)closure244;
  Method *meth_meth_lexer_new244 = addmethod2pos(obj242, "new", &meth_lexer_new244, 1);
int argcv_meth_lexer_new244[] = {0};
meth_meth_lexer_new244->type = alloc_MethodType(1, argcv_meth_lexer_new244);
  meth_meth_lexer_new244->definitionModule = modulename;
  meth_meth_lexer_new244->definitionLine = 80;
  block_savedest(obj242);
  Object closure255 = createclosure(1, "new()object");
setclosureframe(closure255, stackframe);
  addtoclosure(closure255, var_Token);
  Method *meth_meth_lexer_new244_object = addmethod2pos(obj242, "new()object", &meth_lexer_new244_object, 1);
  meth_meth_lexer_new244_object->definitionModule = modulename;
  meth_meth_lexer_new244_object->definitionLine = 80;
  sourceObject = obj242;
objclass242 = obj242->class;
  objclass242->definitionModule = modulename;
  objclass242->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter242;
  self = oldself242;
  selfslot = oldselfslot242;
  stackframe = oldstackframe242;
// compilenode returning obj242
  *var_RSquareToken = obj242;
  if (obj242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj256 = alloc_userobj2(2,4, objclass256);
  gc_frame_newslot(obj256);
// OBJECT OUTER DEC outer
  adddatum2(obj256, self, 0);
  addmethodreal(obj256,"outer", &reader_lexer_outer_257);
  Object oldself256 = self;
  struct StackFrameObject *oldstackframe256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe256);
  gc_frame_newslot((Object)stackframe);
  self = obj256;
  Object *oldselfslot256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter256 = (*(struct UserObject *)self).data[0], lowerouter256 = thisouter256;
  if (inheritingObject256) {
    struct UserObject *inho256 = (struct UserObject *)inheritingObject256;
    while (inho256->super != GraceDefaultObject) inho256 = (struct UserObject *)inho256->super;
    inho256->super = obj256;
    self = inheritingObject256;
    *selfslot = self;
    lowerouter256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter256;
  }
  block_savedest(obj256);
  Object closure258 = createclosure(1, "new");
  setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_Token);
  struct UserObject *uo258 = (struct UserObject*)obj256;
  uo258->data[1] = (Object)closure258;
  Method *meth_meth_lexer_new258 = addmethod2pos(obj256, "new", &meth_lexer_new258, 1);
int argcv_meth_lexer_new258[] = {0};
meth_meth_lexer_new258->type = alloc_MethodType(1, argcv_meth_lexer_new258);
  meth_meth_lexer_new258->definitionModule = modulename;
  meth_meth_lexer_new258->definitionLine = 80;
  block_savedest(obj256);
  Object closure269 = createclosure(1, "new()object");
setclosureframe(closure269, stackframe);
  addtoclosure(closure269, var_Token);
  Method *meth_meth_lexer_new258_object = addmethod2pos(obj256, "new()object", &meth_lexer_new258_object, 1);
  meth_meth_lexer_new258_object->definitionModule = modulename;
  meth_meth_lexer_new258_object->definitionLine = 80;
  sourceObject = obj256;
objclass256 = obj256->class;
  objclass256->definitionModule = modulename;
  objclass256->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter256;
  self = oldself256;
  selfslot = oldselfslot256;
  stackframe = oldstackframe256;
// compilenode returning obj256
  *var_CommaToken = obj256;
  if (obj256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject270 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj270 = alloc_userobj2(2,4, objclass270);
  gc_frame_newslot(obj270);
// OBJECT OUTER DEC outer
  adddatum2(obj270, self, 0);
  addmethodreal(obj270,"outer", &reader_lexer_outer_271);
  Object oldself270 = self;
  struct StackFrameObject *oldstackframe270 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe270);
  gc_frame_newslot((Object)stackframe);
  self = obj270;
  Object *oldselfslot270 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter270 = (*(struct UserObject *)self).data[0], lowerouter270 = thisouter270;
  if (inheritingObject270) {
    struct UserObject *inho270 = (struct UserObject *)inheritingObject270;
    while (inho270->super != GraceDefaultObject) inho270 = (struct UserObject *)inho270->super;
    inho270->super = obj270;
    self = inheritingObject270;
    *selfslot = self;
    lowerouter270 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter270;
  }
  block_savedest(obj270);
  Object closure272 = createclosure(1, "new");
  setclosureframe(closure272, stackframe);
  addtoclosure(closure272, var_Token);
  struct UserObject *uo272 = (struct UserObject*)obj270;
  uo272->data[1] = (Object)closure272;
  Method *meth_meth_lexer_new272 = addmethod2pos(obj270, "new", &meth_lexer_new272, 1);
int argcv_meth_lexer_new272[] = {0};
meth_meth_lexer_new272->type = alloc_MethodType(1, argcv_meth_lexer_new272);
  meth_meth_lexer_new272->definitionModule = modulename;
  meth_meth_lexer_new272->definitionLine = 80;
  block_savedest(obj270);
  Object closure283 = createclosure(1, "new()object");
setclosureframe(closure283, stackframe);
  addtoclosure(closure283, var_Token);
  Method *meth_meth_lexer_new272_object = addmethod2pos(obj270, "new()object", &meth_lexer_new272_object, 1);
  meth_meth_lexer_new272_object->definitionModule = modulename;
  meth_meth_lexer_new272_object->definitionLine = 80;
  sourceObject = obj270;
objclass270 = obj270->class;
  objclass270->definitionModule = modulename;
  objclass270->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter270;
  self = oldself270;
  selfslot = oldselfslot270;
  stackframe = oldstackframe270;
// compilenode returning obj270
  *var_ColonToken = obj270;
  if (obj270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject284 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj284 = alloc_userobj2(2,4, objclass284);
  gc_frame_newslot(obj284);
// OBJECT OUTER DEC outer
  adddatum2(obj284, self, 0);
  addmethodreal(obj284,"outer", &reader_lexer_outer_285);
  Object oldself284 = self;
  struct StackFrameObject *oldstackframe284 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe284);
  gc_frame_newslot((Object)stackframe);
  self = obj284;
  Object *oldselfslot284 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter284 = (*(struct UserObject *)self).data[0], lowerouter284 = thisouter284;
  if (inheritingObject284) {
    struct UserObject *inho284 = (struct UserObject *)inheritingObject284;
    while (inho284->super != GraceDefaultObject) inho284 = (struct UserObject *)inho284->super;
    inho284->super = obj284;
    self = inheritingObject284;
    *selfslot = self;
    lowerouter284 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter284;
  }
  block_savedest(obj284);
  Object closure286 = createclosure(1, "new");
  setclosureframe(closure286, stackframe);
  addtoclosure(closure286, var_Token);
  struct UserObject *uo286 = (struct UserObject*)obj284;
  uo286->data[1] = (Object)closure286;
  Method *meth_meth_lexer_new286 = addmethod2pos(obj284, "new", &meth_lexer_new286, 1);
int argcv_meth_lexer_new286[] = {0};
meth_meth_lexer_new286->type = alloc_MethodType(1, argcv_meth_lexer_new286);
  meth_meth_lexer_new286->definitionModule = modulename;
  meth_meth_lexer_new286->definitionLine = 80;
  block_savedest(obj284);
  Object closure297 = createclosure(1, "new()object");
setclosureframe(closure297, stackframe);
  addtoclosure(closure297, var_Token);
  Method *meth_meth_lexer_new286_object = addmethod2pos(obj284, "new()object", &meth_lexer_new286_object, 1);
  meth_meth_lexer_new286_object->definitionModule = modulename;
  meth_meth_lexer_new286_object->definitionLine = 80;
  sourceObject = obj284;
objclass284 = obj284->class;
  objclass284->definitionModule = modulename;
  objclass284->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter284;
  self = oldself284;
  selfslot = oldselfslot284;
  stackframe = oldstackframe284;
// compilenode returning obj284
  *var_DotToken = obj284;
  if (obj284 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject298 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj298 = alloc_userobj2(2,4, objclass298);
  gc_frame_newslot(obj298);
// OBJECT OUTER DEC outer
  adddatum2(obj298, self, 0);
  addmethodreal(obj298,"outer", &reader_lexer_outer_299);
  Object oldself298 = self;
  struct StackFrameObject *oldstackframe298 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe298);
  gc_frame_newslot((Object)stackframe);
  self = obj298;
  Object *oldselfslot298 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter298 = (*(struct UserObject *)self).data[0], lowerouter298 = thisouter298;
  if (inheritingObject298) {
    struct UserObject *inho298 = (struct UserObject *)inheritingObject298;
    while (inho298->super != GraceDefaultObject) inho298 = (struct UserObject *)inho298->super;
    inho298->super = obj298;
    self = inheritingObject298;
    *selfslot = self;
    lowerouter298 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter298;
  }
  block_savedest(obj298);
  Object closure300 = createclosure(3, "new");
  setclosureframe(closure300, stackframe);
  addtoclosure(closure300, var_Token);
  addtoclosure(closure300, var_startPosition);
  addtoclosure(closure300, var_linePosition);
  struct UserObject *uo300 = (struct UserObject*)obj298;
  uo300->data[1] = (Object)closure300;
  Method *meth_meth_lexer_new300 = addmethod2pos(obj298, "new", &meth_lexer_new300, 1);
int argcv_meth_lexer_new300[] = {2};
meth_meth_lexer_new300->type = alloc_MethodType(1, argcv_meth_lexer_new300);
  meth_meth_lexer_new300->definitionModule = modulename;
  meth_meth_lexer_new300->definitionLine = 80;
  block_savedest(obj298);
  Object closure313 = createclosure(3, "new()object");
setclosureframe(closure313, stackframe);
  addtoclosure(closure313, var_Token);
  addtoclosure(closure313, var_startPosition);
  addtoclosure(closure313, var_linePosition);
  Method *meth_meth_lexer_new300_object = addmethod2pos(obj298, "new()object", &meth_lexer_new300_object, 1);
  meth_meth_lexer_new300_object->definitionModule = modulename;
  meth_meth_lexer_new300_object->definitionLine = 80;
  sourceObject = obj298;
objclass298 = obj298->class;
  objclass298->definitionModule = modulename;
  objclass298->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter298;
  self = oldself298;
  selfslot = oldselfslot298;
  stackframe = oldstackframe298;
// compilenode returning obj298
  *var_NumToken = obj298;
  if (obj298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject314 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj314 = alloc_userobj2(2,4, objclass314);
  gc_frame_newslot(obj314);
// OBJECT OUTER DEC outer
  adddatum2(obj314, self, 0);
  addmethodreal(obj314,"outer", &reader_lexer_outer_315);
  Object oldself314 = self;
  struct StackFrameObject *oldstackframe314 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe314);
  gc_frame_newslot((Object)stackframe);
  self = obj314;
  Object *oldselfslot314 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter314 = (*(struct UserObject *)self).data[0], lowerouter314 = thisouter314;
  if (inheritingObject314) {
    struct UserObject *inho314 = (struct UserObject *)inheritingObject314;
    while (inho314->super != GraceDefaultObject) inho314 = (struct UserObject *)inho314->super;
    inho314->super = obj314;
    self = inheritingObject314;
    *selfslot = self;
    lowerouter314 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter314;
  }
  block_savedest(obj314);
  Object closure316 = createclosure(1, "new");
  setclosureframe(closure316, stackframe);
  addtoclosure(closure316, var_Token);
  struct UserObject *uo316 = (struct UserObject*)obj314;
  uo316->data[1] = (Object)closure316;
  Method *meth_meth_lexer_new316 = addmethod2pos(obj314, "new", &meth_lexer_new316, 1);
int argcv_meth_lexer_new316[] = {1};
meth_meth_lexer_new316->type = alloc_MethodType(1, argcv_meth_lexer_new316);
  meth_meth_lexer_new316->definitionModule = modulename;
  meth_meth_lexer_new316->definitionLine = 80;
  block_savedest(obj314);
  Object closure327 = createclosure(1, "new()object");
setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_Token);
  Method *meth_meth_lexer_new316_object = addmethod2pos(obj314, "new()object", &meth_lexer_new316_object, 1);
  meth_meth_lexer_new316_object->definitionModule = modulename;
  meth_meth_lexer_new316_object->definitionLine = 80;
  sourceObject = obj314;
objclass314 = obj314->class;
  objclass314->definitionModule = modulename;
  objclass314->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter314;
  self = oldself314;
  selfslot = oldselfslot314;
  stackframe = oldstackframe314;
// compilenode returning obj314
  *var_KeywordToken = obj314;
  if (obj314 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject328 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj328 = alloc_userobj2(2,4, objclass328);
  gc_frame_newslot(obj328);
// OBJECT OUTER DEC outer
  adddatum2(obj328, self, 0);
  addmethodreal(obj328,"outer", &reader_lexer_outer_329);
  Object oldself328 = self;
  struct StackFrameObject *oldstackframe328 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe328);
  gc_frame_newslot((Object)stackframe);
  self = obj328;
  Object *oldselfslot328 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter328 = (*(struct UserObject *)self).data[0], lowerouter328 = thisouter328;
  if (inheritingObject328) {
    struct UserObject *inho328 = (struct UserObject *)inheritingObject328;
    while (inho328->super != GraceDefaultObject) inho328 = (struct UserObject *)inho328->super;
    inho328->super = obj328;
    self = inheritingObject328;
    *selfslot = self;
    lowerouter328 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter328;
  }
  block_savedest(obj328);
  Object closure330 = createclosure(1, "new");
  setclosureframe(closure330, stackframe);
  addtoclosure(closure330, var_Token);
  struct UserObject *uo330 = (struct UserObject*)obj328;
  uo330->data[1] = (Object)closure330;
  Method *meth_meth_lexer_new330 = addmethod2pos(obj328, "new", &meth_lexer_new330, 1);
int argcv_meth_lexer_new330[] = {1};
meth_meth_lexer_new330->type = alloc_MethodType(1, argcv_meth_lexer_new330);
  meth_meth_lexer_new330->definitionModule = modulename;
  meth_meth_lexer_new330->definitionLine = 147;
  block_savedest(obj328);
  Object closure341 = createclosure(1, "new()object");
setclosureframe(closure341, stackframe);
  addtoclosure(closure341, var_Token);
  Method *meth_meth_lexer_new330_object = addmethod2pos(obj328, "new()object", &meth_lexer_new330_object, 1);
  meth_meth_lexer_new330_object->definitionModule = modulename;
  meth_meth_lexer_new330_object->definitionLine = 147;
  sourceObject = obj328;
objclass328 = obj328->class;
  objclass328->definitionModule = modulename;
  objclass328->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter328;
  self = oldself328;
  selfslot = oldselfslot328;
  stackframe = oldstackframe328;
// compilenode returning obj328
  *var_OpToken = obj328;
  if (obj328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject342 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj342 = alloc_userobj2(2,4, objclass342);
  gc_frame_newslot(obj342);
// OBJECT OUTER DEC outer
  adddatum2(obj342, self, 0);
  addmethodreal(obj342,"outer", &reader_lexer_outer_343);
  Object oldself342 = self;
  struct StackFrameObject *oldstackframe342 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe342);
  gc_frame_newslot((Object)stackframe);
  self = obj342;
  Object *oldselfslot342 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter342 = (*(struct UserObject *)self).data[0], lowerouter342 = thisouter342;
  if (inheritingObject342) {
    struct UserObject *inho342 = (struct UserObject *)inheritingObject342;
    while (inho342->super != GraceDefaultObject) inho342 = (struct UserObject *)inho342->super;
    inho342->super = obj342;
    self = inheritingObject342;
    *selfslot = self;
    lowerouter342 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter342;
  }
  block_savedest(obj342);
  Object closure344 = createclosure(1, "new");
  setclosureframe(closure344, stackframe);
  addtoclosure(closure344, var_Token);
  struct UserObject *uo344 = (struct UserObject*)obj342;
  uo344->data[1] = (Object)closure344;
  Method *meth_meth_lexer_new344 = addmethod2pos(obj342, "new", &meth_lexer_new344, 1);
int argcv_meth_lexer_new344[] = {0};
meth_meth_lexer_new344->type = alloc_MethodType(1, argcv_meth_lexer_new344);
  meth_meth_lexer_new344->definitionModule = modulename;
  meth_meth_lexer_new344->definitionLine = 153;
  block_savedest(obj342);
  Object closure355 = createclosure(1, "new()object");
setclosureframe(closure355, stackframe);
  addtoclosure(closure355, var_Token);
  Method *meth_meth_lexer_new344_object = addmethod2pos(obj342, "new()object", &meth_lexer_new344_object, 1);
  meth_meth_lexer_new344_object->definitionModule = modulename;
  meth_meth_lexer_new344_object->definitionLine = 153;
  sourceObject = obj342;
objclass342 = obj342->class;
  objclass342->definitionModule = modulename;
  objclass342->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter342;
  self = oldself342;
  selfslot = oldselfslot342;
  stackframe = oldstackframe342;
// compilenode returning obj342
  *var_ArrowToken = obj342;
  if (obj342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject356 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj356 = alloc_userobj2(2,4, objclass356);
  gc_frame_newslot(obj356);
// OBJECT OUTER DEC outer
  adddatum2(obj356, self, 0);
  addmethodreal(obj356,"outer", &reader_lexer_outer_357);
  Object oldself356 = self;
  struct StackFrameObject *oldstackframe356 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe356);
  gc_frame_newslot((Object)stackframe);
  self = obj356;
  Object *oldselfslot356 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter356 = (*(struct UserObject *)self).data[0], lowerouter356 = thisouter356;
  if (inheritingObject356) {
    struct UserObject *inho356 = (struct UserObject *)inheritingObject356;
    while (inho356->super != GraceDefaultObject) inho356 = (struct UserObject *)inho356->super;
    inho356->super = obj356;
    self = inheritingObject356;
    *selfslot = self;
    lowerouter356 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter356;
  }
  block_savedest(obj356);
  Object closure358 = createclosure(1, "new");
  setclosureframe(closure358, stackframe);
  addtoclosure(closure358, var_Token);
  struct UserObject *uo358 = (struct UserObject*)obj356;
  uo358->data[1] = (Object)closure358;
  Method *meth_meth_lexer_new358 = addmethod2pos(obj356, "new", &meth_lexer_new358, 1);
int argcv_meth_lexer_new358[] = {0};
meth_meth_lexer_new358->type = alloc_MethodType(1, argcv_meth_lexer_new358);
  meth_meth_lexer_new358->definitionModule = modulename;
  meth_meth_lexer_new358->definitionLine = 153;
  block_savedest(obj356);
  Object closure369 = createclosure(1, "new()object");
setclosureframe(closure369, stackframe);
  addtoclosure(closure369, var_Token);
  Method *meth_meth_lexer_new358_object = addmethod2pos(obj356, "new()object", &meth_lexer_new358_object, 1);
  meth_meth_lexer_new358_object->definitionModule = modulename;
  meth_meth_lexer_new358_object->definitionLine = 153;
  sourceObject = obj356;
objclass356 = obj356->class;
  objclass356->definitionModule = modulename;
  objclass356->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter356;
  self = oldself356;
  selfslot = oldselfslot356;
  stackframe = oldstackframe356;
// compilenode returning obj356
  *var_BindToken = obj356;
  if (obj356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject370 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj370 = alloc_userobj2(2,4, objclass370);
  gc_frame_newslot(obj370);
// OBJECT OUTER DEC outer
  adddatum2(obj370, self, 0);
  addmethodreal(obj370,"outer", &reader_lexer_outer_371);
  Object oldself370 = self;
  struct StackFrameObject *oldstackframe370 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe370);
  gc_frame_newslot((Object)stackframe);
  self = obj370;
  Object *oldselfslot370 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter370 = (*(struct UserObject *)self).data[0], lowerouter370 = thisouter370;
  if (inheritingObject370) {
    struct UserObject *inho370 = (struct UserObject *)inheritingObject370;
    while (inho370->super != GraceDefaultObject) inho370 = (struct UserObject *)inho370->super;
    inho370->super = obj370;
    self = inheritingObject370;
    *selfslot = self;
    lowerouter370 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter370;
  }
  block_savedest(obj370);
  Object closure372 = createclosure(1, "new");
  setclosureframe(closure372, stackframe);
  addtoclosure(closure372, var_Token);
  struct UserObject *uo372 = (struct UserObject*)obj370;
  uo372->data[1] = (Object)closure372;
  Method *meth_meth_lexer_new372 = addmethod2pos(obj370, "new", &meth_lexer_new372, 1);
int argcv_meth_lexer_new372[] = {0};
meth_meth_lexer_new372->type = alloc_MethodType(1, argcv_meth_lexer_new372);
  meth_meth_lexer_new372->definitionModule = modulename;
  meth_meth_lexer_new372->definitionLine = 153;
  block_savedest(obj370);
  Object closure383 = createclosure(1, "new()object");
setclosureframe(closure383, stackframe);
  addtoclosure(closure383, var_Token);
  Method *meth_meth_lexer_new372_object = addmethod2pos(obj370, "new()object", &meth_lexer_new372_object, 1);
  meth_meth_lexer_new372_object->definitionModule = modulename;
  meth_meth_lexer_new372_object->definitionLine = 153;
  sourceObject = obj370;
objclass370 = obj370->class;
  objclass370->definitionModule = modulename;
  objclass370->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter370;
  self = oldself370;
  selfslot = oldselfslot370;
  stackframe = oldstackframe370;
// compilenode returning obj370
  *var_SemicolonToken = obj370;
  if (obj370 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject384 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj384 = alloc_userobj2(2,4, objclass384);
  gc_frame_newslot(obj384);
// OBJECT OUTER DEC outer
  adddatum2(obj384, self, 0);
  addmethodreal(obj384,"outer", &reader_lexer_outer_385);
  Object oldself384 = self;
  struct StackFrameObject *oldstackframe384 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe384);
  gc_frame_newslot((Object)stackframe);
  self = obj384;
  Object *oldselfslot384 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter384 = (*(struct UserObject *)self).data[0], lowerouter384 = thisouter384;
  if (inheritingObject384) {
    struct UserObject *inho384 = (struct UserObject *)inheritingObject384;
    while (inho384->super != GraceDefaultObject) inho384 = (struct UserObject *)inho384->super;
    inho384->super = obj384;
    self = inheritingObject384;
    *selfslot = self;
    lowerouter384 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter384;
  }
  block_savedest(obj384);
  Object closure386 = createclosure(1, "new");
  setclosureframe(closure386, stackframe);
  addtoclosure(closure386, var_Token);
  struct UserObject *uo386 = (struct UserObject*)obj384;
  uo386->data[1] = (Object)closure386;
  Method *meth_meth_lexer_new386 = addmethod2pos(obj384, "new", &meth_lexer_new386, 1);
int argcv_meth_lexer_new386[] = {0};
meth_meth_lexer_new386->type = alloc_MethodType(1, argcv_meth_lexer_new386);
  meth_meth_lexer_new386->definitionModule = modulename;
  meth_meth_lexer_new386->definitionLine = 153;
  block_savedest(obj384);
  Object closure397 = createclosure(1, "new()object");
setclosureframe(closure397, stackframe);
  addtoclosure(closure397, var_Token);
  Method *meth_meth_lexer_new386_object = addmethod2pos(obj384, "new()object", &meth_lexer_new386_object, 1);
  meth_meth_lexer_new386_object->definitionModule = modulename;
  meth_meth_lexer_new386_object->definitionLine = 153;
  sourceObject = obj384;
objclass384 = obj384->class;
  objclass384->definitionModule = modulename;
  objclass384->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter384;
  self = oldself384;
  selfslot = oldselfslot384;
  stackframe = oldstackframe384;
// compilenode returning obj384
  *var_LGenericToken = obj384;
  if (obj384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject398 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj398 = alloc_userobj2(2,4, objclass398);
  gc_frame_newslot(obj398);
// OBJECT OUTER DEC outer
  adddatum2(obj398, self, 0);
  addmethodreal(obj398,"outer", &reader_lexer_outer_399);
  Object oldself398 = self;
  struct StackFrameObject *oldstackframe398 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe398);
  gc_frame_newslot((Object)stackframe);
  self = obj398;
  Object *oldselfslot398 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter398 = (*(struct UserObject *)self).data[0], lowerouter398 = thisouter398;
  if (inheritingObject398) {
    struct UserObject *inho398 = (struct UserObject *)inheritingObject398;
    while (inho398->super != GraceDefaultObject) inho398 = (struct UserObject *)inho398->super;
    inho398->super = obj398;
    self = inheritingObject398;
    *selfslot = self;
    lowerouter398 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter398;
  }
  block_savedest(obj398);
  Object closure400 = createclosure(1, "new");
  setclosureframe(closure400, stackframe);
  addtoclosure(closure400, var_Token);
  struct UserObject *uo400 = (struct UserObject*)obj398;
  uo400->data[1] = (Object)closure400;
  Method *meth_meth_lexer_new400 = addmethod2pos(obj398, "new", &meth_lexer_new400, 1);
int argcv_meth_lexer_new400[] = {0};
meth_meth_lexer_new400->type = alloc_MethodType(1, argcv_meth_lexer_new400);
  meth_meth_lexer_new400->definitionModule = modulename;
  meth_meth_lexer_new400->definitionLine = 153;
  block_savedest(obj398);
  Object closure411 = createclosure(1, "new()object");
setclosureframe(closure411, stackframe);
  addtoclosure(closure411, var_Token);
  Method *meth_meth_lexer_new400_object = addmethod2pos(obj398, "new()object", &meth_lexer_new400_object, 1);
  meth_meth_lexer_new400_object->definitionModule = modulename;
  meth_meth_lexer_new400_object->definitionLine = 153;
  sourceObject = obj398;
objclass398 = obj398->class;
  objclass398->definitionModule = modulename;
  objclass398->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter398;
  self = oldself398;
  selfslot = oldselfslot398;
  stackframe = oldstackframe398;
// compilenode returning obj398
  *var_RGenericToken = obj398;
  if (obj398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject412 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj412 = alloc_userobj2(7,8, objclass412);
  gc_frame_newslot(obj412);
if (objclass412 == NULL) {
  glfree(obj412->class->name);
  obj412->class->name = "obj60new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj412, self, 0);
  addmethodreal(obj412,"outer", &reader_lexer_outer_413);
  Object oldself412 = self;
  struct StackFrameObject *oldstackframe412 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe412);
  gc_frame_newslot((Object)stackframe);
  self = obj412;
  Object *oldselfslot412 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter412 = (*(struct UserObject *)self).data[0], lowerouter412 = thisouter412;
  if (inheritingObject412) {
    struct UserObject *inho412 = (struct UserObject *)inheritingObject412;
    while (inho412->super != GraceDefaultObject) inho412 = (struct UserObject *)inho412->super;
    inho412->super = obj412;
    self = inheritingObject412;
    *selfslot = self;
    lowerouter412 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter412;
  }
  block_savedest(obj412);
  Object closure414 = createclosure(27, "modechange");
  setclosureframe(closure414, stackframe);
  addtoclosure(closure414, var_IdentifierToken);
  addtoclosure(closure414, var_KeywordToken);
  addtoclosure(closure414, var_StringToken);
  addtoclosure(closure414, var_OctetsToken);
  addtoclosure(closure414, var_CommaToken);
  addtoclosure(closure414, var_DotToken);
  addtoclosure(closure414, var_LBraceToken);
  addtoclosure(closure414, var_RBraceToken);
  addtoclosure(closure414, var_LParenToken);
  addtoclosure(closure414, var_RParenToken);
  addtoclosure(closure414, var_LSquareToken);
  addtoclosure(closure414, var_RSquareToken);
  addtoclosure(closure414, var_LGenericToken);
  addtoclosure(closure414, var_RGenericToken);
  addtoclosure(closure414, var_SemicolonToken);
  addtoclosure(closure414, var_NumToken);
  addtoclosure(closure414, var_errormessages);
  addtoclosure(closure414, var_linePosition);
  addtoclosure(closure414, var_lineNumber);
  addtoclosure(closure414, var_OpToken);
  addtoclosure(closure414, var_ArrowToken);
  addtoclosure(closure414, var_BindToken);
  addtoclosure(closure414, var_ColonToken);
  addtoclosure(closure414, var_indentLevel);
  addtoclosure(closure414, var_CommentToken);
  addtoclosure(closure414, var_util);
  addtoclosure(closure414, var_startPosition);
  struct UserObject *uo414 = (struct UserObject*)obj412;
  uo414->data[1] = (Object)closure414;
  Method *meth_meth_lexer_modechange414 = addmethod2pos(obj412, "modechange", &meth_lexer_modechange414, 1);
int argcv_meth_lexer_modechange414[] = {3};
meth_meth_lexer_modechange414->type = alloc_MethodType(1, argcv_meth_lexer_modechange414);
  meth_meth_lexer_modechange414->definitionModule = modulename;
  meth_meth_lexer_modechange414->definitionLine = 203;
  block_savedest(obj412);
  Object closure1138 = createclosure(4, "fromBase");
  setclosureframe(closure1138, stackframe);
  addtoclosure(closure1138, var_errormessages);
  addtoclosure(closure1138, var_linePosition);
  addtoclosure(closure1138, var_lineNumber);
  addtoclosure(closure1138, var_unicode);
  struct UserObject *uo1138 = (struct UserObject*)obj412;
  uo1138->data[2] = (Object)closure1138;
  Method *meth_meth_lexer_fromBase1138 = addmethod2pos(obj412, "fromBase", &meth_lexer_fromBase1138, 2);
int argcv_meth_lexer_fromBase1138[] = {2};
meth_meth_lexer_fromBase1138->type = alloc_MethodType(1, argcv_meth_lexer_fromBase1138);
  meth_meth_lexer_fromBase1138->definitionModule = modulename;
  meth_meth_lexer_fromBase1138->definitionLine = 376;
  block_savedest(obj412);
  Object closure1354 = createclosure(4, "makeNumToken");
  setclosureframe(closure1354, stackframe);
  addtoclosure(closure1354, var_errormessages);
  addtoclosure(closure1354, var_linePosition);
  addtoclosure(closure1354, var_lineNumber);
  addtoclosure(closure1354, var_NumToken);
  struct UserObject *uo1354 = (struct UserObject*)obj412;
  uo1354->data[3] = (Object)closure1354;
  Method *meth_meth_lexer_makeNumToken1354 = addmethod2pos(obj412, "makeNumToken", &meth_lexer_makeNumToken1354, 3);
int argcv_meth_lexer_makeNumToken1354[] = {1};
meth_meth_lexer_makeNumToken1354->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken1354);
  meth_meth_lexer_makeNumToken1354->definitionModule = modulename;
  meth_meth_lexer_makeNumToken1354->definitionLine = 417;
  block_savedest(obj412);
  Object closure1533 = createclosure(1, "isidentifierchar");
  setclosureframe(closure1533, stackframe);
  addtoclosure(closure1533, var_unicode);
  struct UserObject *uo1533 = (struct UserObject*)obj412;
  uo1533->data[4] = (Object)closure1533;
  Method *meth_meth_lexer_isidentifierchar1533 = addmethod2pos(obj412, "isidentifierchar", &meth_lexer_isidentifierchar1533, 4);
int argcv_meth_lexer_isidentifierchar1533[] = {1};
meth_meth_lexer_isidentifierchar1533->type = alloc_MethodType(1, argcv_meth_lexer_isidentifierchar1533);
  meth_meth_lexer_isidentifierchar1533->definitionModule = modulename;
  meth_meth_lexer_isidentifierchar1533->definitionLine = 462;
  block_savedest(obj412);
  Object closure1556 = createclosure(1, "isoperatorchar");
  setclosureframe(closure1556, stackframe);
  addtoclosure(closure1556, var_unicode);
  struct UserObject *uo1556 = (struct UserObject*)obj412;
  uo1556->data[5] = (Object)closure1556;
  Method *meth_meth_lexer_isoperatorchar1556 = addmethod2pos(obj412, "isoperatorchar", &meth_lexer_isoperatorchar1556, 5);
int argcv_meth_lexer_isoperatorchar1556[] = {2};
meth_meth_lexer_isoperatorchar1556->type = alloc_MethodType(1, argcv_meth_lexer_isoperatorchar1556);
  meth_meth_lexer_isoperatorchar1556->definitionModule = modulename;
  meth_meth_lexer_isoperatorchar1556->definitionLine = 478;
  block_savedest(obj412);
  Object closure1650 = createclosure(1, "lexfile");
  setclosureframe(closure1650, stackframe);
  addtoclosure(closure1650, var_util);
  struct UserObject *uo1650 = (struct UserObject*)obj412;
  uo1650->data[6] = (Object)closure1650;
  Method *meth_meth_lexer_lexfile1650 = addmethod2pos(obj412, "lexfile", &meth_lexer_lexfile1650, 6);
int argcv_meth_lexer_lexfile1650[] = {1};
meth_meth_lexer_lexfile1650->type = alloc_MethodType(1, argcv_meth_lexer_lexfile1650);
  meth_meth_lexer_lexfile1650->definitionModule = modulename;
  meth_meth_lexer_lexfile1650->definitionLine = 495;
  block_savedest(obj412);
  Object closure1748 = createclosure(6, "lexinput");
  setclosureframe(closure1748, stackframe);
  addtoclosure(closure1748, var_linePosition);
  addtoclosure(closure1748, var_util);
  addtoclosure(closure1748, var_unicode);
  addtoclosure(closure1748, var_errormessages);
  addtoclosure(closure1748, var_lineNumber);
  addtoclosure(closure1748, var_startPosition);
  struct UserObject *uo1748 = (struct UserObject*)obj412;
  uo1748->data[7] = (Object)closure1748;
  Method *meth_meth_lexer_lexinput1748 = addmethod2pos(obj412, "lexinput", &meth_lexer_lexinput1748, 7);
int argcv_meth_lexer_lexinput1748[] = {1};
meth_meth_lexer_lexinput1748->type = alloc_MethodType(1, argcv_meth_lexer_lexinput1748);
  meth_meth_lexer_lexinput1748->definitionModule = modulename;
  meth_meth_lexer_lexinput1748->definitionLine = 530;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
objclass412 = obj412->class;
  objclass412->definitionModule = modulename;
  objclass412->definitionLine = 186;
  (*(struct UserObject *)self).data[0] = lowerouter412;
  self = oldself412;
  selfslot = oldselfslot412;
  stackframe = oldstackframe412;
  gc_frame_end(frame);
  return obj412;
}
Object meth_lexer_new62_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(27, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lineNumber = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lineNumber");
  Object *var_linePosition = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "linePosition");
  Object *var_startPosition = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startPosition");
  Object *var_indentLevel = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "indentLevel");
  Object *var_Token = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "Token");
  Object *var_IdentifierToken = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "IdentifierToken");
  Object *var_StringToken = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "StringToken");
  Object *var_CommentToken = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "CommentToken");
  Object *var_OctetsToken = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "OctetsToken");
  Object *var_LBraceToken = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "LBraceToken");
  Object *var_RBraceToken = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "RBraceToken");
  Object *var_LParenToken = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "LParenToken");
  Object *var_RParenToken = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "RParenToken");
  Object *var_LSquareToken = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "LSquareToken");
  Object *var_RSquareToken = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "RSquareToken");
  Object *var_CommaToken = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "CommaToken");
  Object *var_ColonToken = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "ColonToken");
  Object *var_DotToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "DotToken");
  Object *var_NumToken = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "NumToken");
  Object *var_KeywordToken = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "KeywordToken");
  Object *var_OpToken = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "OpToken");
  Object *var_ArrowToken = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "ArrowToken");
  Object *var_BindToken = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "BindToken");
  Object *var_SemicolonToken = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "SemicolonToken");
  Object *var_LGenericToken = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "LGenericToken");
  Object *var_RGenericToken = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "RGenericToken");
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num63 = alloc_Float64(1);
// compilenode returning num63
  *var_lineNumber = num63;
  if (num63 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num64 = alloc_Float64(0);
// compilenode returning num64
  *var_linePosition = num64;
  if (num64 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num65 = alloc_Float64(1);
// compilenode returning num65
  *var_startPosition = num65;
  if (num65 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num66 = alloc_Float64(0);
// compilenode returning num66
  *var_indentLevel = num66;
  if (num66 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject67 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj67 = alloc_userobj2(2,4, objclass67);
  gc_frame_newslot(obj67);
// OBJECT OUTER DEC outer
  adddatum2(obj67, self, 0);
  addmethodreal(obj67,"outer", &reader_lexer_outer_68);
  Object oldself67 = self;
  struct StackFrameObject *oldstackframe67 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe67);
  gc_frame_newslot((Object)stackframe);
  self = obj67;
  Object *oldselfslot67 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter67 = (*(struct UserObject *)self).data[0], lowerouter67 = thisouter67;
  if (inheritingObject67) {
    struct UserObject *inho67 = (struct UserObject *)inheritingObject67;
    while (inho67->super != GraceDefaultObject) inho67 = (struct UserObject *)inho67->super;
    inho67->super = obj67;
    self = inheritingObject67;
    *selfslot = self;
    lowerouter67 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter67;
  }
  block_savedest(obj67);
  Object closure69 = createclosure(3, "new");
  setclosureframe(closure69, stackframe);
  addtoclosure(closure69, var_lineNumber);
  addtoclosure(closure69, var_indentLevel);
  addtoclosure(closure69, var_startPosition);
  struct UserObject *uo69 = (struct UserObject*)obj67;
  uo69->data[1] = (Object)closure69;
  Method *meth_meth_lexer_new69 = addmethod2pos(obj67, "new", &meth_lexer_new69, 1);
int argcv_meth_lexer_new69[] = {0};
meth_meth_lexer_new69->type = alloc_MethodType(1, argcv_meth_lexer_new69);
  meth_meth_lexer_new69->definitionModule = modulename;
  meth_meth_lexer_new69->definitionLine = 28;
  block_savedest(obj67);
  Object closure103 = createclosure(3, "new()object");
setclosureframe(closure103, stackframe);
  addtoclosure(closure103, var_lineNumber);
  addtoclosure(closure103, var_indentLevel);
  addtoclosure(closure103, var_startPosition);
  Method *meth_meth_lexer_new69_object = addmethod2pos(obj67, "new()object", &meth_lexer_new69_object, 1);
  meth_meth_lexer_new69_object->definitionModule = modulename;
  meth_meth_lexer_new69_object->definitionLine = 28;
  sourceObject = obj67;
objclass67 = obj67->class;
  objclass67->definitionModule = modulename;
  objclass67->definitionLine = 28;
  (*(struct UserObject *)self).data[0] = lowerouter67;
  self = oldself67;
  selfslot = oldselfslot67;
  stackframe = oldstackframe67;
// compilenode returning obj67
  *var_Token = obj67;
  if (obj67 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject104 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj104 = alloc_userobj2(2,4, objclass104);
  gc_frame_newslot(obj104);
// OBJECT OUTER DEC outer
  adddatum2(obj104, self, 0);
  addmethodreal(obj104,"outer", &reader_lexer_outer_105);
  Object oldself104 = self;
  struct StackFrameObject *oldstackframe104 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe104);
  gc_frame_newslot((Object)stackframe);
  self = obj104;
  Object *oldselfslot104 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter104 = (*(struct UserObject *)self).data[0], lowerouter104 = thisouter104;
  if (inheritingObject104) {
    struct UserObject *inho104 = (struct UserObject *)inheritingObject104;
    while (inho104->super != GraceDefaultObject) inho104 = (struct UserObject *)inho104->super;
    inho104->super = obj104;
    self = inheritingObject104;
    *selfslot = self;
    lowerouter104 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter104;
  }
  block_savedest(obj104);
  Object closure106 = createclosure(1, "new");
  setclosureframe(closure106, stackframe);
  addtoclosure(closure106, var_Token);
  struct UserObject *uo106 = (struct UserObject*)obj104;
  uo106->data[1] = (Object)closure106;
  Method *meth_meth_lexer_new106 = addmethod2pos(obj104, "new", &meth_lexer_new106, 1);
int argcv_meth_lexer_new106[] = {1};
meth_meth_lexer_new106->type = alloc_MethodType(1, argcv_meth_lexer_new106);
  meth_meth_lexer_new106->definitionModule = modulename;
  meth_meth_lexer_new106->definitionLine = 53;
  block_savedest(obj104);
  Object closure117 = createclosure(1, "new()object");
setclosureframe(closure117, stackframe);
  addtoclosure(closure117, var_Token);
  Method *meth_meth_lexer_new106_object = addmethod2pos(obj104, "new()object", &meth_lexer_new106_object, 1);
  meth_meth_lexer_new106_object->definitionModule = modulename;
  meth_meth_lexer_new106_object->definitionLine = 53;
  sourceObject = obj104;
objclass104 = obj104->class;
  objclass104->definitionModule = modulename;
  objclass104->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter104;
  self = oldself104;
  selfslot = oldselfslot104;
  stackframe = oldstackframe104;
// compilenode returning obj104
  *var_IdentifierToken = obj104;
  if (obj104 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject118 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj118 = alloc_userobj2(2,4, objclass118);
  gc_frame_newslot(obj118);
// OBJECT OUTER DEC outer
  adddatum2(obj118, self, 0);
  addmethodreal(obj118,"outer", &reader_lexer_outer_119);
  Object oldself118 = self;
  struct StackFrameObject *oldstackframe118 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe118);
  gc_frame_newslot((Object)stackframe);
  self = obj118;
  Object *oldselfslot118 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter118 = (*(struct UserObject *)self).data[0], lowerouter118 = thisouter118;
  if (inheritingObject118) {
    struct UserObject *inho118 = (struct UserObject *)inheritingObject118;
    while (inho118->super != GraceDefaultObject) inho118 = (struct UserObject *)inho118->super;
    inho118->super = obj118;
    self = inheritingObject118;
    *selfslot = self;
    lowerouter118 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter118;
  }
  block_savedest(obj118);
  Object closure120 = createclosure(1, "new");
  setclosureframe(closure120, stackframe);
  addtoclosure(closure120, var_Token);
  struct UserObject *uo120 = (struct UserObject*)obj118;
  uo120->data[1] = (Object)closure120;
  Method *meth_meth_lexer_new120 = addmethod2pos(obj118, "new", &meth_lexer_new120, 1);
int argcv_meth_lexer_new120[] = {1};
meth_meth_lexer_new120->type = alloc_MethodType(1, argcv_meth_lexer_new120);
  meth_meth_lexer_new120->definitionModule = modulename;
  meth_meth_lexer_new120->definitionLine = 62;
  block_savedest(obj118);
  Object closure135 = createclosure(1, "new()object");
setclosureframe(closure135, stackframe);
  addtoclosure(closure135, var_Token);
  Method *meth_meth_lexer_new120_object = addmethod2pos(obj118, "new()object", &meth_lexer_new120_object, 1);
  meth_meth_lexer_new120_object->definitionModule = modulename;
  meth_meth_lexer_new120_object->definitionLine = 62;
  sourceObject = obj118;
objclass118 = obj118->class;
  objclass118->definitionModule = modulename;
  objclass118->definitionLine = 62;
  (*(struct UserObject *)self).data[0] = lowerouter118;
  self = oldself118;
  selfslot = oldselfslot118;
  stackframe = oldstackframe118;
// compilenode returning obj118
  *var_StringToken = obj118;
  if (obj118 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject136 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj136 = alloc_userobj2(2,4, objclass136);
  gc_frame_newslot(obj136);
// OBJECT OUTER DEC outer
  adddatum2(obj136, self, 0);
  addmethodreal(obj136,"outer", &reader_lexer_outer_137);
  Object oldself136 = self;
  struct StackFrameObject *oldstackframe136 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe136);
  gc_frame_newslot((Object)stackframe);
  self = obj136;
  Object *oldselfslot136 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter136 = (*(struct UserObject *)self).data[0], lowerouter136 = thisouter136;
  if (inheritingObject136) {
    struct UserObject *inho136 = (struct UserObject *)inheritingObject136;
    while (inho136->super != GraceDefaultObject) inho136 = (struct UserObject *)inho136->super;
    inho136->super = obj136;
    self = inheritingObject136;
    *selfslot = self;
    lowerouter136 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter136;
  }
  block_savedest(obj136);
  Object closure138 = createclosure(1, "new");
  setclosureframe(closure138, stackframe);
  addtoclosure(closure138, var_Token);
  struct UserObject *uo138 = (struct UserObject*)obj136;
  uo138->data[1] = (Object)closure138;
  Method *meth_meth_lexer_new138 = addmethod2pos(obj136, "new", &meth_lexer_new138, 1);
int argcv_meth_lexer_new138[] = {1};
meth_meth_lexer_new138->type = alloc_MethodType(1, argcv_meth_lexer_new138);
  meth_meth_lexer_new138->definitionModule = modulename;
  meth_meth_lexer_new138->definitionLine = 68;
  block_savedest(obj136);
  Object closure153 = createclosure(1, "new()object");
setclosureframe(closure153, stackframe);
  addtoclosure(closure153, var_Token);
  Method *meth_meth_lexer_new138_object = addmethod2pos(obj136, "new()object", &meth_lexer_new138_object, 1);
  meth_meth_lexer_new138_object->definitionModule = modulename;
  meth_meth_lexer_new138_object->definitionLine = 68;
  sourceObject = obj136;
objclass136 = obj136->class;
  objclass136->definitionModule = modulename;
  objclass136->definitionLine = 68;
  (*(struct UserObject *)self).data[0] = lowerouter136;
  self = oldself136;
  selfslot = oldselfslot136;
  stackframe = oldstackframe136;
// compilenode returning obj136
  *var_CommentToken = obj136;
  if (obj136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject154 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj154 = alloc_userobj2(2,4, objclass154);
  gc_frame_newslot(obj154);
// OBJECT OUTER DEC outer
  adddatum2(obj154, self, 0);
  addmethodreal(obj154,"outer", &reader_lexer_outer_155);
  Object oldself154 = self;
  struct StackFrameObject *oldstackframe154 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe154);
  gc_frame_newslot((Object)stackframe);
  self = obj154;
  Object *oldselfslot154 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter154 = (*(struct UserObject *)self).data[0], lowerouter154 = thisouter154;
  if (inheritingObject154) {
    struct UserObject *inho154 = (struct UserObject *)inheritingObject154;
    while (inho154->super != GraceDefaultObject) inho154 = (struct UserObject *)inho154->super;
    inho154->super = obj154;
    self = inheritingObject154;
    *selfslot = self;
    lowerouter154 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter154;
  }
  block_savedest(obj154);
  Object closure156 = createclosure(1, "new");
  setclosureframe(closure156, stackframe);
  addtoclosure(closure156, var_Token);
  struct UserObject *uo156 = (struct UserObject*)obj154;
  uo156->data[1] = (Object)closure156;
  Method *meth_meth_lexer_new156 = addmethod2pos(obj154, "new", &meth_lexer_new156, 1);
int argcv_meth_lexer_new156[] = {1};
meth_meth_lexer_new156->type = alloc_MethodType(1, argcv_meth_lexer_new156);
  meth_meth_lexer_new156->definitionModule = modulename;
  meth_meth_lexer_new156->definitionLine = 74;
  block_savedest(obj154);
  Object closure171 = createclosure(1, "new()object");
setclosureframe(closure171, stackframe);
  addtoclosure(closure171, var_Token);
  Method *meth_meth_lexer_new156_object = addmethod2pos(obj154, "new()object", &meth_lexer_new156_object, 1);
  meth_meth_lexer_new156_object->definitionModule = modulename;
  meth_meth_lexer_new156_object->definitionLine = 74;
  sourceObject = obj154;
objclass154 = obj154->class;
  objclass154->definitionModule = modulename;
  objclass154->definitionLine = 74;
  (*(struct UserObject *)self).data[0] = lowerouter154;
  self = oldself154;
  selfslot = oldselfslot154;
  stackframe = oldstackframe154;
// compilenode returning obj154
  *var_OctetsToken = obj154;
  if (obj154 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject172 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj172 = alloc_userobj2(2,4, objclass172);
  gc_frame_newslot(obj172);
// OBJECT OUTER DEC outer
  adddatum2(obj172, self, 0);
  addmethodreal(obj172,"outer", &reader_lexer_outer_173);
  Object oldself172 = self;
  struct StackFrameObject *oldstackframe172 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe172);
  gc_frame_newslot((Object)stackframe);
  self = obj172;
  Object *oldselfslot172 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter172 = (*(struct UserObject *)self).data[0], lowerouter172 = thisouter172;
  if (inheritingObject172) {
    struct UserObject *inho172 = (struct UserObject *)inheritingObject172;
    while (inho172->super != GraceDefaultObject) inho172 = (struct UserObject *)inho172->super;
    inho172->super = obj172;
    self = inheritingObject172;
    *selfslot = self;
    lowerouter172 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter172;
  }
  block_savedest(obj172);
  Object closure174 = createclosure(1, "new");
  setclosureframe(closure174, stackframe);
  addtoclosure(closure174, var_Token);
  struct UserObject *uo174 = (struct UserObject*)obj172;
  uo174->data[1] = (Object)closure174;
  Method *meth_meth_lexer_new174 = addmethod2pos(obj172, "new", &meth_lexer_new174, 1);
int argcv_meth_lexer_new174[] = {0};
meth_meth_lexer_new174->type = alloc_MethodType(1, argcv_meth_lexer_new174);
  meth_meth_lexer_new174->definitionModule = modulename;
  meth_meth_lexer_new174->definitionLine = 80;
  block_savedest(obj172);
  Object closure185 = createclosure(1, "new()object");
setclosureframe(closure185, stackframe);
  addtoclosure(closure185, var_Token);
  Method *meth_meth_lexer_new174_object = addmethod2pos(obj172, "new()object", &meth_lexer_new174_object, 1);
  meth_meth_lexer_new174_object->definitionModule = modulename;
  meth_meth_lexer_new174_object->definitionLine = 80;
  sourceObject = obj172;
objclass172 = obj172->class;
  objclass172->definitionModule = modulename;
  objclass172->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter172;
  self = oldself172;
  selfslot = oldselfslot172;
  stackframe = oldstackframe172;
// compilenode returning obj172
  *var_LBraceToken = obj172;
  if (obj172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject186 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj186 = alloc_userobj2(2,4, objclass186);
  gc_frame_newslot(obj186);
// OBJECT OUTER DEC outer
  adddatum2(obj186, self, 0);
  addmethodreal(obj186,"outer", &reader_lexer_outer_187);
  Object oldself186 = self;
  struct StackFrameObject *oldstackframe186 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe186);
  gc_frame_newslot((Object)stackframe);
  self = obj186;
  Object *oldselfslot186 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter186 = (*(struct UserObject *)self).data[0], lowerouter186 = thisouter186;
  if (inheritingObject186) {
    struct UserObject *inho186 = (struct UserObject *)inheritingObject186;
    while (inho186->super != GraceDefaultObject) inho186 = (struct UserObject *)inho186->super;
    inho186->super = obj186;
    self = inheritingObject186;
    *selfslot = self;
    lowerouter186 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter186;
  }
  block_savedest(obj186);
  Object closure188 = createclosure(1, "new");
  setclosureframe(closure188, stackframe);
  addtoclosure(closure188, var_Token);
  struct UserObject *uo188 = (struct UserObject*)obj186;
  uo188->data[1] = (Object)closure188;
  Method *meth_meth_lexer_new188 = addmethod2pos(obj186, "new", &meth_lexer_new188, 1);
int argcv_meth_lexer_new188[] = {0};
meth_meth_lexer_new188->type = alloc_MethodType(1, argcv_meth_lexer_new188);
  meth_meth_lexer_new188->definitionModule = modulename;
  meth_meth_lexer_new188->definitionLine = 80;
  block_savedest(obj186);
  Object closure199 = createclosure(1, "new()object");
setclosureframe(closure199, stackframe);
  addtoclosure(closure199, var_Token);
  Method *meth_meth_lexer_new188_object = addmethod2pos(obj186, "new()object", &meth_lexer_new188_object, 1);
  meth_meth_lexer_new188_object->definitionModule = modulename;
  meth_meth_lexer_new188_object->definitionLine = 80;
  sourceObject = obj186;
objclass186 = obj186->class;
  objclass186->definitionModule = modulename;
  objclass186->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter186;
  self = oldself186;
  selfslot = oldselfslot186;
  stackframe = oldstackframe186;
// compilenode returning obj186
  *var_RBraceToken = obj186;
  if (obj186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject200 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj200 = alloc_userobj2(2,4, objclass200);
  gc_frame_newslot(obj200);
// OBJECT OUTER DEC outer
  adddatum2(obj200, self, 0);
  addmethodreal(obj200,"outer", &reader_lexer_outer_201);
  Object oldself200 = self;
  struct StackFrameObject *oldstackframe200 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe200);
  gc_frame_newslot((Object)stackframe);
  self = obj200;
  Object *oldselfslot200 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter200 = (*(struct UserObject *)self).data[0], lowerouter200 = thisouter200;
  if (inheritingObject200) {
    struct UserObject *inho200 = (struct UserObject *)inheritingObject200;
    while (inho200->super != GraceDefaultObject) inho200 = (struct UserObject *)inho200->super;
    inho200->super = obj200;
    self = inheritingObject200;
    *selfslot = self;
    lowerouter200 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter200;
  }
  block_savedest(obj200);
  Object closure202 = createclosure(1, "new");
  setclosureframe(closure202, stackframe);
  addtoclosure(closure202, var_Token);
  struct UserObject *uo202 = (struct UserObject*)obj200;
  uo202->data[1] = (Object)closure202;
  Method *meth_meth_lexer_new202 = addmethod2pos(obj200, "new", &meth_lexer_new202, 1);
int argcv_meth_lexer_new202[] = {0};
meth_meth_lexer_new202->type = alloc_MethodType(1, argcv_meth_lexer_new202);
  meth_meth_lexer_new202->definitionModule = modulename;
  meth_meth_lexer_new202->definitionLine = 80;
  block_savedest(obj200);
  Object closure213 = createclosure(1, "new()object");
setclosureframe(closure213, stackframe);
  addtoclosure(closure213, var_Token);
  Method *meth_meth_lexer_new202_object = addmethod2pos(obj200, "new()object", &meth_lexer_new202_object, 1);
  meth_meth_lexer_new202_object->definitionModule = modulename;
  meth_meth_lexer_new202_object->definitionLine = 80;
  sourceObject = obj200;
objclass200 = obj200->class;
  objclass200->definitionModule = modulename;
  objclass200->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter200;
  self = oldself200;
  selfslot = oldselfslot200;
  stackframe = oldstackframe200;
// compilenode returning obj200
  *var_LParenToken = obj200;
  if (obj200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject214 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj214 = alloc_userobj2(2,4, objclass214);
  gc_frame_newslot(obj214);
// OBJECT OUTER DEC outer
  adddatum2(obj214, self, 0);
  addmethodreal(obj214,"outer", &reader_lexer_outer_215);
  Object oldself214 = self;
  struct StackFrameObject *oldstackframe214 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe214);
  gc_frame_newslot((Object)stackframe);
  self = obj214;
  Object *oldselfslot214 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter214 = (*(struct UserObject *)self).data[0], lowerouter214 = thisouter214;
  if (inheritingObject214) {
    struct UserObject *inho214 = (struct UserObject *)inheritingObject214;
    while (inho214->super != GraceDefaultObject) inho214 = (struct UserObject *)inho214->super;
    inho214->super = obj214;
    self = inheritingObject214;
    *selfslot = self;
    lowerouter214 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter214;
  }
  block_savedest(obj214);
  Object closure216 = createclosure(1, "new");
  setclosureframe(closure216, stackframe);
  addtoclosure(closure216, var_Token);
  struct UserObject *uo216 = (struct UserObject*)obj214;
  uo216->data[1] = (Object)closure216;
  Method *meth_meth_lexer_new216 = addmethod2pos(obj214, "new", &meth_lexer_new216, 1);
int argcv_meth_lexer_new216[] = {0};
meth_meth_lexer_new216->type = alloc_MethodType(1, argcv_meth_lexer_new216);
  meth_meth_lexer_new216->definitionModule = modulename;
  meth_meth_lexer_new216->definitionLine = 80;
  block_savedest(obj214);
  Object closure227 = createclosure(1, "new()object");
setclosureframe(closure227, stackframe);
  addtoclosure(closure227, var_Token);
  Method *meth_meth_lexer_new216_object = addmethod2pos(obj214, "new()object", &meth_lexer_new216_object, 1);
  meth_meth_lexer_new216_object->definitionModule = modulename;
  meth_meth_lexer_new216_object->definitionLine = 80;
  sourceObject = obj214;
objclass214 = obj214->class;
  objclass214->definitionModule = modulename;
  objclass214->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter214;
  self = oldself214;
  selfslot = oldselfslot214;
  stackframe = oldstackframe214;
// compilenode returning obj214
  *var_RParenToken = obj214;
  if (obj214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj228 = alloc_userobj2(2,4, objclass228);
  gc_frame_newslot(obj228);
// OBJECT OUTER DEC outer
  adddatum2(obj228, self, 0);
  addmethodreal(obj228,"outer", &reader_lexer_outer_229);
  Object oldself228 = self;
  struct StackFrameObject *oldstackframe228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe228);
  gc_frame_newslot((Object)stackframe);
  self = obj228;
  Object *oldselfslot228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter228 = (*(struct UserObject *)self).data[0], lowerouter228 = thisouter228;
  if (inheritingObject228) {
    struct UserObject *inho228 = (struct UserObject *)inheritingObject228;
    while (inho228->super != GraceDefaultObject) inho228 = (struct UserObject *)inho228->super;
    inho228->super = obj228;
    self = inheritingObject228;
    *selfslot = self;
    lowerouter228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter228;
  }
  block_savedest(obj228);
  Object closure230 = createclosure(1, "new");
  setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_Token);
  struct UserObject *uo230 = (struct UserObject*)obj228;
  uo230->data[1] = (Object)closure230;
  Method *meth_meth_lexer_new230 = addmethod2pos(obj228, "new", &meth_lexer_new230, 1);
int argcv_meth_lexer_new230[] = {0};
meth_meth_lexer_new230->type = alloc_MethodType(1, argcv_meth_lexer_new230);
  meth_meth_lexer_new230->definitionModule = modulename;
  meth_meth_lexer_new230->definitionLine = 80;
  block_savedest(obj228);
  Object closure241 = createclosure(1, "new()object");
setclosureframe(closure241, stackframe);
  addtoclosure(closure241, var_Token);
  Method *meth_meth_lexer_new230_object = addmethod2pos(obj228, "new()object", &meth_lexer_new230_object, 1);
  meth_meth_lexer_new230_object->definitionModule = modulename;
  meth_meth_lexer_new230_object->definitionLine = 80;
  sourceObject = obj228;
objclass228 = obj228->class;
  objclass228->definitionModule = modulename;
  objclass228->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter228;
  self = oldself228;
  selfslot = oldselfslot228;
  stackframe = oldstackframe228;
// compilenode returning obj228
  *var_LSquareToken = obj228;
  if (obj228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject242 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj242 = alloc_userobj2(2,4, objclass242);
  gc_frame_newslot(obj242);
// OBJECT OUTER DEC outer
  adddatum2(obj242, self, 0);
  addmethodreal(obj242,"outer", &reader_lexer_outer_243);
  Object oldself242 = self;
  struct StackFrameObject *oldstackframe242 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe242);
  gc_frame_newslot((Object)stackframe);
  self = obj242;
  Object *oldselfslot242 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter242 = (*(struct UserObject *)self).data[0], lowerouter242 = thisouter242;
  if (inheritingObject242) {
    struct UserObject *inho242 = (struct UserObject *)inheritingObject242;
    while (inho242->super != GraceDefaultObject) inho242 = (struct UserObject *)inho242->super;
    inho242->super = obj242;
    self = inheritingObject242;
    *selfslot = self;
    lowerouter242 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter242;
  }
  block_savedest(obj242);
  Object closure244 = createclosure(1, "new");
  setclosureframe(closure244, stackframe);
  addtoclosure(closure244, var_Token);
  struct UserObject *uo244 = (struct UserObject*)obj242;
  uo244->data[1] = (Object)closure244;
  Method *meth_meth_lexer_new244 = addmethod2pos(obj242, "new", &meth_lexer_new244, 1);
int argcv_meth_lexer_new244[] = {0};
meth_meth_lexer_new244->type = alloc_MethodType(1, argcv_meth_lexer_new244);
  meth_meth_lexer_new244->definitionModule = modulename;
  meth_meth_lexer_new244->definitionLine = 80;
  block_savedest(obj242);
  Object closure255 = createclosure(1, "new()object");
setclosureframe(closure255, stackframe);
  addtoclosure(closure255, var_Token);
  Method *meth_meth_lexer_new244_object = addmethod2pos(obj242, "new()object", &meth_lexer_new244_object, 1);
  meth_meth_lexer_new244_object->definitionModule = modulename;
  meth_meth_lexer_new244_object->definitionLine = 80;
  sourceObject = obj242;
objclass242 = obj242->class;
  objclass242->definitionModule = modulename;
  objclass242->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter242;
  self = oldself242;
  selfslot = oldselfslot242;
  stackframe = oldstackframe242;
// compilenode returning obj242
  *var_RSquareToken = obj242;
  if (obj242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj256 = alloc_userobj2(2,4, objclass256);
  gc_frame_newslot(obj256);
// OBJECT OUTER DEC outer
  adddatum2(obj256, self, 0);
  addmethodreal(obj256,"outer", &reader_lexer_outer_257);
  Object oldself256 = self;
  struct StackFrameObject *oldstackframe256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe256);
  gc_frame_newslot((Object)stackframe);
  self = obj256;
  Object *oldselfslot256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter256 = (*(struct UserObject *)self).data[0], lowerouter256 = thisouter256;
  if (inheritingObject256) {
    struct UserObject *inho256 = (struct UserObject *)inheritingObject256;
    while (inho256->super != GraceDefaultObject) inho256 = (struct UserObject *)inho256->super;
    inho256->super = obj256;
    self = inheritingObject256;
    *selfslot = self;
    lowerouter256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter256;
  }
  block_savedest(obj256);
  Object closure258 = createclosure(1, "new");
  setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_Token);
  struct UserObject *uo258 = (struct UserObject*)obj256;
  uo258->data[1] = (Object)closure258;
  Method *meth_meth_lexer_new258 = addmethod2pos(obj256, "new", &meth_lexer_new258, 1);
int argcv_meth_lexer_new258[] = {0};
meth_meth_lexer_new258->type = alloc_MethodType(1, argcv_meth_lexer_new258);
  meth_meth_lexer_new258->definitionModule = modulename;
  meth_meth_lexer_new258->definitionLine = 80;
  block_savedest(obj256);
  Object closure269 = createclosure(1, "new()object");
setclosureframe(closure269, stackframe);
  addtoclosure(closure269, var_Token);
  Method *meth_meth_lexer_new258_object = addmethod2pos(obj256, "new()object", &meth_lexer_new258_object, 1);
  meth_meth_lexer_new258_object->definitionModule = modulename;
  meth_meth_lexer_new258_object->definitionLine = 80;
  sourceObject = obj256;
objclass256 = obj256->class;
  objclass256->definitionModule = modulename;
  objclass256->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter256;
  self = oldself256;
  selfslot = oldselfslot256;
  stackframe = oldstackframe256;
// compilenode returning obj256
  *var_CommaToken = obj256;
  if (obj256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject270 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj270 = alloc_userobj2(2,4, objclass270);
  gc_frame_newslot(obj270);
// OBJECT OUTER DEC outer
  adddatum2(obj270, self, 0);
  addmethodreal(obj270,"outer", &reader_lexer_outer_271);
  Object oldself270 = self;
  struct StackFrameObject *oldstackframe270 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe270);
  gc_frame_newslot((Object)stackframe);
  self = obj270;
  Object *oldselfslot270 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter270 = (*(struct UserObject *)self).data[0], lowerouter270 = thisouter270;
  if (inheritingObject270) {
    struct UserObject *inho270 = (struct UserObject *)inheritingObject270;
    while (inho270->super != GraceDefaultObject) inho270 = (struct UserObject *)inho270->super;
    inho270->super = obj270;
    self = inheritingObject270;
    *selfslot = self;
    lowerouter270 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter270;
  }
  block_savedest(obj270);
  Object closure272 = createclosure(1, "new");
  setclosureframe(closure272, stackframe);
  addtoclosure(closure272, var_Token);
  struct UserObject *uo272 = (struct UserObject*)obj270;
  uo272->data[1] = (Object)closure272;
  Method *meth_meth_lexer_new272 = addmethod2pos(obj270, "new", &meth_lexer_new272, 1);
int argcv_meth_lexer_new272[] = {0};
meth_meth_lexer_new272->type = alloc_MethodType(1, argcv_meth_lexer_new272);
  meth_meth_lexer_new272->definitionModule = modulename;
  meth_meth_lexer_new272->definitionLine = 80;
  block_savedest(obj270);
  Object closure283 = createclosure(1, "new()object");
setclosureframe(closure283, stackframe);
  addtoclosure(closure283, var_Token);
  Method *meth_meth_lexer_new272_object = addmethod2pos(obj270, "new()object", &meth_lexer_new272_object, 1);
  meth_meth_lexer_new272_object->definitionModule = modulename;
  meth_meth_lexer_new272_object->definitionLine = 80;
  sourceObject = obj270;
objclass270 = obj270->class;
  objclass270->definitionModule = modulename;
  objclass270->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter270;
  self = oldself270;
  selfslot = oldselfslot270;
  stackframe = oldstackframe270;
// compilenode returning obj270
  *var_ColonToken = obj270;
  if (obj270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject284 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj284 = alloc_userobj2(2,4, objclass284);
  gc_frame_newslot(obj284);
// OBJECT OUTER DEC outer
  adddatum2(obj284, self, 0);
  addmethodreal(obj284,"outer", &reader_lexer_outer_285);
  Object oldself284 = self;
  struct StackFrameObject *oldstackframe284 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe284);
  gc_frame_newslot((Object)stackframe);
  self = obj284;
  Object *oldselfslot284 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter284 = (*(struct UserObject *)self).data[0], lowerouter284 = thisouter284;
  if (inheritingObject284) {
    struct UserObject *inho284 = (struct UserObject *)inheritingObject284;
    while (inho284->super != GraceDefaultObject) inho284 = (struct UserObject *)inho284->super;
    inho284->super = obj284;
    self = inheritingObject284;
    *selfslot = self;
    lowerouter284 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter284;
  }
  block_savedest(obj284);
  Object closure286 = createclosure(1, "new");
  setclosureframe(closure286, stackframe);
  addtoclosure(closure286, var_Token);
  struct UserObject *uo286 = (struct UserObject*)obj284;
  uo286->data[1] = (Object)closure286;
  Method *meth_meth_lexer_new286 = addmethod2pos(obj284, "new", &meth_lexer_new286, 1);
int argcv_meth_lexer_new286[] = {0};
meth_meth_lexer_new286->type = alloc_MethodType(1, argcv_meth_lexer_new286);
  meth_meth_lexer_new286->definitionModule = modulename;
  meth_meth_lexer_new286->definitionLine = 80;
  block_savedest(obj284);
  Object closure297 = createclosure(1, "new()object");
setclosureframe(closure297, stackframe);
  addtoclosure(closure297, var_Token);
  Method *meth_meth_lexer_new286_object = addmethod2pos(obj284, "new()object", &meth_lexer_new286_object, 1);
  meth_meth_lexer_new286_object->definitionModule = modulename;
  meth_meth_lexer_new286_object->definitionLine = 80;
  sourceObject = obj284;
objclass284 = obj284->class;
  objclass284->definitionModule = modulename;
  objclass284->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter284;
  self = oldself284;
  selfslot = oldselfslot284;
  stackframe = oldstackframe284;
// compilenode returning obj284
  *var_DotToken = obj284;
  if (obj284 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject298 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj298 = alloc_userobj2(2,4, objclass298);
  gc_frame_newslot(obj298);
// OBJECT OUTER DEC outer
  adddatum2(obj298, self, 0);
  addmethodreal(obj298,"outer", &reader_lexer_outer_299);
  Object oldself298 = self;
  struct StackFrameObject *oldstackframe298 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe298);
  gc_frame_newslot((Object)stackframe);
  self = obj298;
  Object *oldselfslot298 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter298 = (*(struct UserObject *)self).data[0], lowerouter298 = thisouter298;
  if (inheritingObject298) {
    struct UserObject *inho298 = (struct UserObject *)inheritingObject298;
    while (inho298->super != GraceDefaultObject) inho298 = (struct UserObject *)inho298->super;
    inho298->super = obj298;
    self = inheritingObject298;
    *selfslot = self;
    lowerouter298 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter298;
  }
  block_savedest(obj298);
  Object closure300 = createclosure(3, "new");
  setclosureframe(closure300, stackframe);
  addtoclosure(closure300, var_Token);
  addtoclosure(closure300, var_startPosition);
  addtoclosure(closure300, var_linePosition);
  struct UserObject *uo300 = (struct UserObject*)obj298;
  uo300->data[1] = (Object)closure300;
  Method *meth_meth_lexer_new300 = addmethod2pos(obj298, "new", &meth_lexer_new300, 1);
int argcv_meth_lexer_new300[] = {2};
meth_meth_lexer_new300->type = alloc_MethodType(1, argcv_meth_lexer_new300);
  meth_meth_lexer_new300->definitionModule = modulename;
  meth_meth_lexer_new300->definitionLine = 80;
  block_savedest(obj298);
  Object closure313 = createclosure(3, "new()object");
setclosureframe(closure313, stackframe);
  addtoclosure(closure313, var_Token);
  addtoclosure(closure313, var_startPosition);
  addtoclosure(closure313, var_linePosition);
  Method *meth_meth_lexer_new300_object = addmethod2pos(obj298, "new()object", &meth_lexer_new300_object, 1);
  meth_meth_lexer_new300_object->definitionModule = modulename;
  meth_meth_lexer_new300_object->definitionLine = 80;
  sourceObject = obj298;
objclass298 = obj298->class;
  objclass298->definitionModule = modulename;
  objclass298->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter298;
  self = oldself298;
  selfslot = oldselfslot298;
  stackframe = oldstackframe298;
// compilenode returning obj298
  *var_NumToken = obj298;
  if (obj298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject314 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj314 = alloc_userobj2(2,4, objclass314);
  gc_frame_newslot(obj314);
// OBJECT OUTER DEC outer
  adddatum2(obj314, self, 0);
  addmethodreal(obj314,"outer", &reader_lexer_outer_315);
  Object oldself314 = self;
  struct StackFrameObject *oldstackframe314 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe314);
  gc_frame_newslot((Object)stackframe);
  self = obj314;
  Object *oldselfslot314 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter314 = (*(struct UserObject *)self).data[0], lowerouter314 = thisouter314;
  if (inheritingObject314) {
    struct UserObject *inho314 = (struct UserObject *)inheritingObject314;
    while (inho314->super != GraceDefaultObject) inho314 = (struct UserObject *)inho314->super;
    inho314->super = obj314;
    self = inheritingObject314;
    *selfslot = self;
    lowerouter314 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter314;
  }
  block_savedest(obj314);
  Object closure316 = createclosure(1, "new");
  setclosureframe(closure316, stackframe);
  addtoclosure(closure316, var_Token);
  struct UserObject *uo316 = (struct UserObject*)obj314;
  uo316->data[1] = (Object)closure316;
  Method *meth_meth_lexer_new316 = addmethod2pos(obj314, "new", &meth_lexer_new316, 1);
int argcv_meth_lexer_new316[] = {1};
meth_meth_lexer_new316->type = alloc_MethodType(1, argcv_meth_lexer_new316);
  meth_meth_lexer_new316->definitionModule = modulename;
  meth_meth_lexer_new316->definitionLine = 80;
  block_savedest(obj314);
  Object closure327 = createclosure(1, "new()object");
setclosureframe(closure327, stackframe);
  addtoclosure(closure327, var_Token);
  Method *meth_meth_lexer_new316_object = addmethod2pos(obj314, "new()object", &meth_lexer_new316_object, 1);
  meth_meth_lexer_new316_object->definitionModule = modulename;
  meth_meth_lexer_new316_object->definitionLine = 80;
  sourceObject = obj314;
objclass314 = obj314->class;
  objclass314->definitionModule = modulename;
  objclass314->definitionLine = 80;
  (*(struct UserObject *)self).data[0] = lowerouter314;
  self = oldself314;
  selfslot = oldselfslot314;
  stackframe = oldstackframe314;
// compilenode returning obj314
  *var_KeywordToken = obj314;
  if (obj314 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject328 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj328 = alloc_userobj2(2,4, objclass328);
  gc_frame_newslot(obj328);
// OBJECT OUTER DEC outer
  adddatum2(obj328, self, 0);
  addmethodreal(obj328,"outer", &reader_lexer_outer_329);
  Object oldself328 = self;
  struct StackFrameObject *oldstackframe328 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe328);
  gc_frame_newslot((Object)stackframe);
  self = obj328;
  Object *oldselfslot328 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter328 = (*(struct UserObject *)self).data[0], lowerouter328 = thisouter328;
  if (inheritingObject328) {
    struct UserObject *inho328 = (struct UserObject *)inheritingObject328;
    while (inho328->super != GraceDefaultObject) inho328 = (struct UserObject *)inho328->super;
    inho328->super = obj328;
    self = inheritingObject328;
    *selfslot = self;
    lowerouter328 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter328;
  }
  block_savedest(obj328);
  Object closure330 = createclosure(1, "new");
  setclosureframe(closure330, stackframe);
  addtoclosure(closure330, var_Token);
  struct UserObject *uo330 = (struct UserObject*)obj328;
  uo330->data[1] = (Object)closure330;
  Method *meth_meth_lexer_new330 = addmethod2pos(obj328, "new", &meth_lexer_new330, 1);
int argcv_meth_lexer_new330[] = {1};
meth_meth_lexer_new330->type = alloc_MethodType(1, argcv_meth_lexer_new330);
  meth_meth_lexer_new330->definitionModule = modulename;
  meth_meth_lexer_new330->definitionLine = 147;
  block_savedest(obj328);
  Object closure341 = createclosure(1, "new()object");
setclosureframe(closure341, stackframe);
  addtoclosure(closure341, var_Token);
  Method *meth_meth_lexer_new330_object = addmethod2pos(obj328, "new()object", &meth_lexer_new330_object, 1);
  meth_meth_lexer_new330_object->definitionModule = modulename;
  meth_meth_lexer_new330_object->definitionLine = 147;
  sourceObject = obj328;
objclass328 = obj328->class;
  objclass328->definitionModule = modulename;
  objclass328->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter328;
  self = oldself328;
  selfslot = oldselfslot328;
  stackframe = oldstackframe328;
// compilenode returning obj328
  *var_OpToken = obj328;
  if (obj328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject342 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj342 = alloc_userobj2(2,4, objclass342);
  gc_frame_newslot(obj342);
// OBJECT OUTER DEC outer
  adddatum2(obj342, self, 0);
  addmethodreal(obj342,"outer", &reader_lexer_outer_343);
  Object oldself342 = self;
  struct StackFrameObject *oldstackframe342 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe342);
  gc_frame_newslot((Object)stackframe);
  self = obj342;
  Object *oldselfslot342 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter342 = (*(struct UserObject *)self).data[0], lowerouter342 = thisouter342;
  if (inheritingObject342) {
    struct UserObject *inho342 = (struct UserObject *)inheritingObject342;
    while (inho342->super != GraceDefaultObject) inho342 = (struct UserObject *)inho342->super;
    inho342->super = obj342;
    self = inheritingObject342;
    *selfslot = self;
    lowerouter342 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter342;
  }
  block_savedest(obj342);
  Object closure344 = createclosure(1, "new");
  setclosureframe(closure344, stackframe);
  addtoclosure(closure344, var_Token);
  struct UserObject *uo344 = (struct UserObject*)obj342;
  uo344->data[1] = (Object)closure344;
  Method *meth_meth_lexer_new344 = addmethod2pos(obj342, "new", &meth_lexer_new344, 1);
int argcv_meth_lexer_new344[] = {0};
meth_meth_lexer_new344->type = alloc_MethodType(1, argcv_meth_lexer_new344);
  meth_meth_lexer_new344->definitionModule = modulename;
  meth_meth_lexer_new344->definitionLine = 153;
  block_savedest(obj342);
  Object closure355 = createclosure(1, "new()object");
setclosureframe(closure355, stackframe);
  addtoclosure(closure355, var_Token);
  Method *meth_meth_lexer_new344_object = addmethod2pos(obj342, "new()object", &meth_lexer_new344_object, 1);
  meth_meth_lexer_new344_object->definitionModule = modulename;
  meth_meth_lexer_new344_object->definitionLine = 153;
  sourceObject = obj342;
objclass342 = obj342->class;
  objclass342->definitionModule = modulename;
  objclass342->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter342;
  self = oldself342;
  selfslot = oldselfslot342;
  stackframe = oldstackframe342;
// compilenode returning obj342
  *var_ArrowToken = obj342;
  if (obj342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject356 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj356 = alloc_userobj2(2,4, objclass356);
  gc_frame_newslot(obj356);
// OBJECT OUTER DEC outer
  adddatum2(obj356, self, 0);
  addmethodreal(obj356,"outer", &reader_lexer_outer_357);
  Object oldself356 = self;
  struct StackFrameObject *oldstackframe356 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe356);
  gc_frame_newslot((Object)stackframe);
  self = obj356;
  Object *oldselfslot356 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter356 = (*(struct UserObject *)self).data[0], lowerouter356 = thisouter356;
  if (inheritingObject356) {
    struct UserObject *inho356 = (struct UserObject *)inheritingObject356;
    while (inho356->super != GraceDefaultObject) inho356 = (struct UserObject *)inho356->super;
    inho356->super = obj356;
    self = inheritingObject356;
    *selfslot = self;
    lowerouter356 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter356;
  }
  block_savedest(obj356);
  Object closure358 = createclosure(1, "new");
  setclosureframe(closure358, stackframe);
  addtoclosure(closure358, var_Token);
  struct UserObject *uo358 = (struct UserObject*)obj356;
  uo358->data[1] = (Object)closure358;
  Method *meth_meth_lexer_new358 = addmethod2pos(obj356, "new", &meth_lexer_new358, 1);
int argcv_meth_lexer_new358[] = {0};
meth_meth_lexer_new358->type = alloc_MethodType(1, argcv_meth_lexer_new358);
  meth_meth_lexer_new358->definitionModule = modulename;
  meth_meth_lexer_new358->definitionLine = 153;
  block_savedest(obj356);
  Object closure369 = createclosure(1, "new()object");
setclosureframe(closure369, stackframe);
  addtoclosure(closure369, var_Token);
  Method *meth_meth_lexer_new358_object = addmethod2pos(obj356, "new()object", &meth_lexer_new358_object, 1);
  meth_meth_lexer_new358_object->definitionModule = modulename;
  meth_meth_lexer_new358_object->definitionLine = 153;
  sourceObject = obj356;
objclass356 = obj356->class;
  objclass356->definitionModule = modulename;
  objclass356->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter356;
  self = oldself356;
  selfslot = oldselfslot356;
  stackframe = oldstackframe356;
// compilenode returning obj356
  *var_BindToken = obj356;
  if (obj356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject370 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj370 = alloc_userobj2(2,4, objclass370);
  gc_frame_newslot(obj370);
// OBJECT OUTER DEC outer
  adddatum2(obj370, self, 0);
  addmethodreal(obj370,"outer", &reader_lexer_outer_371);
  Object oldself370 = self;
  struct StackFrameObject *oldstackframe370 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe370);
  gc_frame_newslot((Object)stackframe);
  self = obj370;
  Object *oldselfslot370 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter370 = (*(struct UserObject *)self).data[0], lowerouter370 = thisouter370;
  if (inheritingObject370) {
    struct UserObject *inho370 = (struct UserObject *)inheritingObject370;
    while (inho370->super != GraceDefaultObject) inho370 = (struct UserObject *)inho370->super;
    inho370->super = obj370;
    self = inheritingObject370;
    *selfslot = self;
    lowerouter370 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter370;
  }
  block_savedest(obj370);
  Object closure372 = createclosure(1, "new");
  setclosureframe(closure372, stackframe);
  addtoclosure(closure372, var_Token);
  struct UserObject *uo372 = (struct UserObject*)obj370;
  uo372->data[1] = (Object)closure372;
  Method *meth_meth_lexer_new372 = addmethod2pos(obj370, "new", &meth_lexer_new372, 1);
int argcv_meth_lexer_new372[] = {0};
meth_meth_lexer_new372->type = alloc_MethodType(1, argcv_meth_lexer_new372);
  meth_meth_lexer_new372->definitionModule = modulename;
  meth_meth_lexer_new372->definitionLine = 153;
  block_savedest(obj370);
  Object closure383 = createclosure(1, "new()object");
setclosureframe(closure383, stackframe);
  addtoclosure(closure383, var_Token);
  Method *meth_meth_lexer_new372_object = addmethod2pos(obj370, "new()object", &meth_lexer_new372_object, 1);
  meth_meth_lexer_new372_object->definitionModule = modulename;
  meth_meth_lexer_new372_object->definitionLine = 153;
  sourceObject = obj370;
objclass370 = obj370->class;
  objclass370->definitionModule = modulename;
  objclass370->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter370;
  self = oldself370;
  selfslot = oldselfslot370;
  stackframe = oldstackframe370;
// compilenode returning obj370
  *var_SemicolonToken = obj370;
  if (obj370 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject384 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj384 = alloc_userobj2(2,4, objclass384);
  gc_frame_newslot(obj384);
// OBJECT OUTER DEC outer
  adddatum2(obj384, self, 0);
  addmethodreal(obj384,"outer", &reader_lexer_outer_385);
  Object oldself384 = self;
  struct StackFrameObject *oldstackframe384 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe384);
  gc_frame_newslot((Object)stackframe);
  self = obj384;
  Object *oldselfslot384 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter384 = (*(struct UserObject *)self).data[0], lowerouter384 = thisouter384;
  if (inheritingObject384) {
    struct UserObject *inho384 = (struct UserObject *)inheritingObject384;
    while (inho384->super != GraceDefaultObject) inho384 = (struct UserObject *)inho384->super;
    inho384->super = obj384;
    self = inheritingObject384;
    *selfslot = self;
    lowerouter384 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter384;
  }
  block_savedest(obj384);
  Object closure386 = createclosure(1, "new");
  setclosureframe(closure386, stackframe);
  addtoclosure(closure386, var_Token);
  struct UserObject *uo386 = (struct UserObject*)obj384;
  uo386->data[1] = (Object)closure386;
  Method *meth_meth_lexer_new386 = addmethod2pos(obj384, "new", &meth_lexer_new386, 1);
int argcv_meth_lexer_new386[] = {0};
meth_meth_lexer_new386->type = alloc_MethodType(1, argcv_meth_lexer_new386);
  meth_meth_lexer_new386->definitionModule = modulename;
  meth_meth_lexer_new386->definitionLine = 153;
  block_savedest(obj384);
  Object closure397 = createclosure(1, "new()object");
setclosureframe(closure397, stackframe);
  addtoclosure(closure397, var_Token);
  Method *meth_meth_lexer_new386_object = addmethod2pos(obj384, "new()object", &meth_lexer_new386_object, 1);
  meth_meth_lexer_new386_object->definitionModule = modulename;
  meth_meth_lexer_new386_object->definitionLine = 153;
  sourceObject = obj384;
objclass384 = obj384->class;
  objclass384->definitionModule = modulename;
  objclass384->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter384;
  self = oldself384;
  selfslot = oldselfslot384;
  stackframe = oldstackframe384;
// compilenode returning obj384
  *var_LGenericToken = obj384;
  if (obj384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject398 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj398 = alloc_userobj2(2,4, objclass398);
  gc_frame_newslot(obj398);
// OBJECT OUTER DEC outer
  adddatum2(obj398, self, 0);
  addmethodreal(obj398,"outer", &reader_lexer_outer_399);
  Object oldself398 = self;
  struct StackFrameObject *oldstackframe398 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe398);
  gc_frame_newslot((Object)stackframe);
  self = obj398;
  Object *oldselfslot398 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter398 = (*(struct UserObject *)self).data[0], lowerouter398 = thisouter398;
  if (inheritingObject398) {
    struct UserObject *inho398 = (struct UserObject *)inheritingObject398;
    while (inho398->super != GraceDefaultObject) inho398 = (struct UserObject *)inho398->super;
    inho398->super = obj398;
    self = inheritingObject398;
    *selfslot = self;
    lowerouter398 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter398;
  }
  block_savedest(obj398);
  Object closure400 = createclosure(1, "new");
  setclosureframe(closure400, stackframe);
  addtoclosure(closure400, var_Token);
  struct UserObject *uo400 = (struct UserObject*)obj398;
  uo400->data[1] = (Object)closure400;
  Method *meth_meth_lexer_new400 = addmethod2pos(obj398, "new", &meth_lexer_new400, 1);
int argcv_meth_lexer_new400[] = {0};
meth_meth_lexer_new400->type = alloc_MethodType(1, argcv_meth_lexer_new400);
  meth_meth_lexer_new400->definitionModule = modulename;
  meth_meth_lexer_new400->definitionLine = 153;
  block_savedest(obj398);
  Object closure411 = createclosure(1, "new()object");
setclosureframe(closure411, stackframe);
  addtoclosure(closure411, var_Token);
  Method *meth_meth_lexer_new400_object = addmethod2pos(obj398, "new()object", &meth_lexer_new400_object, 1);
  meth_meth_lexer_new400_object->definitionModule = modulename;
  meth_meth_lexer_new400_object->definitionLine = 153;
  sourceObject = obj398;
objclass398 = obj398->class;
  objclass398->definitionModule = modulename;
  objclass398->definitionLine = 153;
  (*(struct UserObject *)self).data[0] = lowerouter398;
  self = oldself398;
  selfslot = oldselfslot398;
  stackframe = oldstackframe398;
// compilenode returning obj398
  *var_RGenericToken = obj398;
  if (obj398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// compilenode returning done
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject412 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj412 = alloc_userobj2(7,8, objclass412);
  gc_frame_newslot(obj412);
if (objclass412 == NULL) {
  glfree(obj412->class->name);
  obj412->class->name = "obj60new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj412, self, 0);
  addmethodreal(obj412,"outer", &reader_lexer_outer_413);
  Object oldself412 = self;
  struct StackFrameObject *oldstackframe412 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe412);
  gc_frame_newslot((Object)stackframe);
  self = obj412;
  Object *oldselfslot412 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter412 = (*(struct UserObject *)self).data[0], lowerouter412 = thisouter412;
  if (inheritingObject412) {
    struct UserObject *inho412 = (struct UserObject *)inheritingObject412;
    while (inho412->super != GraceDefaultObject) inho412 = (struct UserObject *)inho412->super;
    inho412->super = obj412;
    self = inheritingObject412;
    *selfslot = self;
    lowerouter412 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter412;
  }
  block_savedest(obj412);
  Object closure414 = createclosure(27, "modechange");
  setclosureframe(closure414, stackframe);
  addtoclosure(closure414, var_IdentifierToken);
  addtoclosure(closure414, var_KeywordToken);
  addtoclosure(closure414, var_StringToken);
  addtoclosure(closure414, var_OctetsToken);
  addtoclosure(closure414, var_CommaToken);
  addtoclosure(closure414, var_DotToken);
  addtoclosure(closure414, var_LBraceToken);
  addtoclosure(closure414, var_RBraceToken);
  addtoclosure(closure414, var_LParenToken);
  addtoclosure(closure414, var_RParenToken);
  addtoclosure(closure414, var_LSquareToken);
  addtoclosure(closure414, var_RSquareToken);
  addtoclosure(closure414, var_LGenericToken);
  addtoclosure(closure414, var_RGenericToken);
  addtoclosure(closure414, var_SemicolonToken);
  addtoclosure(closure414, var_NumToken);
  addtoclosure(closure414, var_errormessages);
  addtoclosure(closure414, var_linePosition);
  addtoclosure(closure414, var_lineNumber);
  addtoclosure(closure414, var_OpToken);
  addtoclosure(closure414, var_ArrowToken);
  addtoclosure(closure414, var_BindToken);
  addtoclosure(closure414, var_ColonToken);
  addtoclosure(closure414, var_indentLevel);
  addtoclosure(closure414, var_CommentToken);
  addtoclosure(closure414, var_util);
  addtoclosure(closure414, var_startPosition);
  struct UserObject *uo414 = (struct UserObject*)obj412;
  uo414->data[1] = (Object)closure414;
  Method *meth_meth_lexer_modechange414 = addmethod2pos(obj412, "modechange", &meth_lexer_modechange414, 1);
int argcv_meth_lexer_modechange414[] = {3};
meth_meth_lexer_modechange414->type = alloc_MethodType(1, argcv_meth_lexer_modechange414);
  meth_meth_lexer_modechange414->definitionModule = modulename;
  meth_meth_lexer_modechange414->definitionLine = 203;
  block_savedest(obj412);
  Object closure1138 = createclosure(4, "fromBase");
  setclosureframe(closure1138, stackframe);
  addtoclosure(closure1138, var_errormessages);
  addtoclosure(closure1138, var_linePosition);
  addtoclosure(closure1138, var_lineNumber);
  addtoclosure(closure1138, var_unicode);
  struct UserObject *uo1138 = (struct UserObject*)obj412;
  uo1138->data[2] = (Object)closure1138;
  Method *meth_meth_lexer_fromBase1138 = addmethod2pos(obj412, "fromBase", &meth_lexer_fromBase1138, 2);
int argcv_meth_lexer_fromBase1138[] = {2};
meth_meth_lexer_fromBase1138->type = alloc_MethodType(1, argcv_meth_lexer_fromBase1138);
  meth_meth_lexer_fromBase1138->definitionModule = modulename;
  meth_meth_lexer_fromBase1138->definitionLine = 376;
  block_savedest(obj412);
  Object closure1354 = createclosure(4, "makeNumToken");
  setclosureframe(closure1354, stackframe);
  addtoclosure(closure1354, var_errormessages);
  addtoclosure(closure1354, var_linePosition);
  addtoclosure(closure1354, var_lineNumber);
  addtoclosure(closure1354, var_NumToken);
  struct UserObject *uo1354 = (struct UserObject*)obj412;
  uo1354->data[3] = (Object)closure1354;
  Method *meth_meth_lexer_makeNumToken1354 = addmethod2pos(obj412, "makeNumToken", &meth_lexer_makeNumToken1354, 3);
int argcv_meth_lexer_makeNumToken1354[] = {1};
meth_meth_lexer_makeNumToken1354->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken1354);
  meth_meth_lexer_makeNumToken1354->definitionModule = modulename;
  meth_meth_lexer_makeNumToken1354->definitionLine = 417;
  block_savedest(obj412);
  Object closure1533 = createclosure(1, "isidentifierchar");
  setclosureframe(closure1533, stackframe);
  addtoclosure(closure1533, var_unicode);
  struct UserObject *uo1533 = (struct UserObject*)obj412;
  uo1533->data[4] = (Object)closure1533;
  Method *meth_meth_lexer_isidentifierchar1533 = addmethod2pos(obj412, "isidentifierchar", &meth_lexer_isidentifierchar1533, 4);
int argcv_meth_lexer_isidentifierchar1533[] = {1};
meth_meth_lexer_isidentifierchar1533->type = alloc_MethodType(1, argcv_meth_lexer_isidentifierchar1533);
  meth_meth_lexer_isidentifierchar1533->definitionModule = modulename;
  meth_meth_lexer_isidentifierchar1533->definitionLine = 462;
  block_savedest(obj412);
  Object closure1556 = createclosure(1, "isoperatorchar");
  setclosureframe(closure1556, stackframe);
  addtoclosure(closure1556, var_unicode);
  struct UserObject *uo1556 = (struct UserObject*)obj412;
  uo1556->data[5] = (Object)closure1556;
  Method *meth_meth_lexer_isoperatorchar1556 = addmethod2pos(obj412, "isoperatorchar", &meth_lexer_isoperatorchar1556, 5);
int argcv_meth_lexer_isoperatorchar1556[] = {2};
meth_meth_lexer_isoperatorchar1556->type = alloc_MethodType(1, argcv_meth_lexer_isoperatorchar1556);
  meth_meth_lexer_isoperatorchar1556->definitionModule = modulename;
  meth_meth_lexer_isoperatorchar1556->definitionLine = 478;
  block_savedest(obj412);
  Object closure1650 = createclosure(1, "lexfile");
  setclosureframe(closure1650, stackframe);
  addtoclosure(closure1650, var_util);
  struct UserObject *uo1650 = (struct UserObject*)obj412;
  uo1650->data[6] = (Object)closure1650;
  Method *meth_meth_lexer_lexfile1650 = addmethod2pos(obj412, "lexfile", &meth_lexer_lexfile1650, 6);
int argcv_meth_lexer_lexfile1650[] = {1};
meth_meth_lexer_lexfile1650->type = alloc_MethodType(1, argcv_meth_lexer_lexfile1650);
  meth_meth_lexer_lexfile1650->definitionModule = modulename;
  meth_meth_lexer_lexfile1650->definitionLine = 495;
  block_savedest(obj412);
  Object closure1748 = createclosure(6, "lexinput");
  setclosureframe(closure1748, stackframe);
  addtoclosure(closure1748, var_linePosition);
  addtoclosure(closure1748, var_util);
  addtoclosure(closure1748, var_unicode);
  addtoclosure(closure1748, var_errormessages);
  addtoclosure(closure1748, var_lineNumber);
  addtoclosure(closure1748, var_startPosition);
  struct UserObject *uo1748 = (struct UserObject*)obj412;
  uo1748->data[7] = (Object)closure1748;
  Method *meth_meth_lexer_lexinput1748 = addmethod2pos(obj412, "lexinput", &meth_lexer_lexinput1748, 7);
int argcv_meth_lexer_lexinput1748[] = {1};
meth_meth_lexer_lexinput1748->type = alloc_MethodType(1, argcv_meth_lexer_lexinput1748);
  meth_meth_lexer_lexinput1748->definitionModule = modulename;
  meth_meth_lexer_lexinput1748->definitionLine = 530;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
  sourceObject = obj412;
objclass412 = obj412->class;
  objclass412->definitionModule = modulename;
  objclass412->definitionLine = 186;
  (*(struct UserObject *)self).data[0] = lowerouter412;
  self = oldself412;
  selfslot = oldselfslot412;
  stackframe = oldstackframe412;
  gc_frame_end(frame);
  return obj412;
}
Object meth_lexer_LexerClass3441(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "LexerClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_LexerClass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for LexerClass (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[LexerClass]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_LexerClass
  gc_frame_end(frame);
  return *var_LexerClass;
}
Object module_lexer_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(6, 6);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<lexer>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_io = alloc_var();
Object *var_sys = alloc_var();
Object *var_util = alloc_var();
Object *var_unicode = alloc_var();
Object *var_collections = alloc_var();
Object *var_errormessages = alloc_var();
  Object *var_LexerClass = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "LexerClass");
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = emptyclosure;
  Method *meth_meth_lexer_hexdecchar0 = addmethod2pos(self, "hexdecchar", &meth_lexer_hexdecchar0, 1);
int argcv_meth_lexer_hexdecchar0[] = {1};
meth_meth_lexer_hexdecchar0->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar0);
  meth_meth_lexer_hexdecchar0->definitionModule = modulename;
  meth_meth_lexer_hexdecchar0->definitionLine = 10;
// compilenode returning 
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo35 = (struct UserObject*)self;
  uo35->data[2] = emptyclosure;
  Method *meth_meth_lexer_padl35 = addmethod2pos(self, "padl", &meth_lexer_padl35, 2);
int argcv_meth_lexer_padl35[] = {3};
meth_meth_lexer_padl35->type = alloc_MethodType(1, argcv_meth_lexer_padl35);
  meth_meth_lexer_padl35->definitionModule = modulename;
  meth_meth_lexer_padl35->definitionLine = 23;
// compilenode returning 
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure59 = createclosure(1, "Lexer");
  setclosureframe(closure59, stackframe);
  addtoclosure(closure59, var_LexerClass);
  struct UserObject *uo59 = (struct UserObject*)self;
  uo59->data[3] = (Object)closure59;
  Method *meth_meth_lexer_Lexer59 = addmethod2pos(self, "Lexer", &meth_lexer_Lexer59, 3);
int argcv_meth_lexer_Lexer59[] = {0};
meth_meth_lexer_Lexer59->type = alloc_MethodType(1, argcv_meth_lexer_Lexer59);
  meth_meth_lexer_Lexer59->definitionModule = modulename;
  meth_meth_lexer_Lexer59->definitionLine = 1060;
// compilenode returning 
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compilenode returning done
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of sys as sys
  if (module_sys == NULL)
    module_sys = module_sys_init();
  *var_sys = module_sys;
// compilenode returning done
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compilenode returning done
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of unicode as unicode
  if (module_unicode == NULL)
    module_unicode = dlmodule("unicode");
  *var_unicode = module_unicode;
// compilenode returning done
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of mgcollections as collections
  if (module_mgcollections == NULL)
    module_mgcollections = module_mgcollections_init();
  *var_collections = module_mgcollections;
// compilenode returning done
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = module_errormessages_init();
  *var_errormessages = module_errormessages;
// compilenode returning done
// compilenode returning 
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject60 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj60 = alloc_userobj2(2,4, objclass60);
  gc_frame_newslot(obj60);
// OBJECT OUTER DEC outer
  adddatum2(obj60, self, 0);
  addmethodreal(obj60,"outer", &reader_lexer_outer_61);
  Object oldself60 = self;
  struct StackFrameObject *oldstackframe60 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe60);
  gc_frame_newslot((Object)stackframe);
  self = obj60;
  Object *oldselfslot60 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter60 = (*(struct UserObject *)self).data[0], lowerouter60 = thisouter60;
  if (inheritingObject60) {
    struct UserObject *inho60 = (struct UserObject *)inheritingObject60;
    while (inho60->super != GraceDefaultObject) inho60 = (struct UserObject *)inho60->super;
    inho60->super = obj60;
    self = inheritingObject60;
    *selfslot = self;
    lowerouter60 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter60;
  }
  block_savedest(obj60);
  Object closure62 = createclosure(3, "new");
  setclosureframe(closure62, stackframe);
  addtoclosure(closure62, var_errormessages);
  addtoclosure(closure62, var_util);
  addtoclosure(closure62, var_unicode);
  struct UserObject *uo62 = (struct UserObject*)obj60;
  uo62->data[1] = (Object)closure62;
  Method *meth_meth_lexer_new62 = addmethod2pos(obj60, "new", &meth_lexer_new62, 1);
int argcv_meth_lexer_new62[] = {0};
meth_meth_lexer_new62->type = alloc_MethodType(1, argcv_meth_lexer_new62);
  meth_meth_lexer_new62->definitionModule = modulename;
  meth_meth_lexer_new62->definitionLine = 35;
  block_savedest(obj60);
  Object closure3440 = createclosure(3, "new()object");
setclosureframe(closure3440, stackframe);
  addtoclosure(closure3440, var_errormessages);
  addtoclosure(closure3440, var_util);
  addtoclosure(closure3440, var_unicode);
  Method *meth_meth_lexer_new62_object = addmethod2pos(obj60, "new()object", &meth_lexer_new62_object, 1);
  meth_meth_lexer_new62_object->definitionModule = modulename;
  meth_meth_lexer_new62_object->definitionLine = 35;
  sourceObject = obj60;
objclass60 = obj60->class;
  objclass60->definitionModule = modulename;
  objclass60->definitionLine = 34;
  (*(struct UserObject *)self).data[0] = lowerouter60;
  self = oldself60;
  selfslot = oldselfslot60;
  stackframe = oldstackframe60;
// compilenode returning obj60
  *var_LexerClass = obj60;
  if (obj60 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3441 = createclosure(1, "LexerClass");
  setclosureframe(closure3441, stackframe);
  addtoclosure(closure3441, var_LexerClass);
  struct UserObject *uo3441 = (struct UserObject*)self;
  uo3441->data[4] = (Object)closure3441;
  Method *meth_meth_lexer_LexerClass3441 = addmethod2pos(self, "LexerClass", &meth_lexer_LexerClass3441, 4);
int argcv_meth_lexer_LexerClass3441[] = {0};
meth_meth_lexer_LexerClass3441->type = alloc_MethodType(1, argcv_meth_lexer_LexerClass3441);
  meth_meth_lexer_LexerClass3441->definitionModule = modulename;
  meth_meth_lexer_LexerClass3441->definitionLine = 1045;
// compilenode returning 
// compilenode returning done
// compilenode returning 
  gc_frame_end(frame);
  return self;
}
