#include <gracelib.h>
#include <stdlib.h>
static char compilerRevision[] = "c01c85ef098bb275d73965aa95d8fdbe0bf2cf18";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "parser";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma DefaultVisibility=public",
  "import \"io\" as io",
  "import \"ast\" as ast",
  "import \"util\" as util",
  "import \"mgcollections\" as collections",
  "import \"errormessages\" as errormessages",
  "",
  "def don'tBreak = true",
  "var lastline := 0",
  "var linenum := 0",
  "var lastIndent := 0",
  "var indentFreePass := false",
  "var minIndentLevel := 0",
  "var statementIndent := 0",
  "var tokens := false",
  "var values := []",
  "var auto_count := 0",
  "def noBlocks = false",
  "def blocksOK = true",
  "var braceIsType := false",
  "var defaultDefVisibility := \"confidential\"",
  "var defaultVarVisibility := \"confidential\"",
  "var defaultMethodVisibility := \"public\"",
  "",
  "// Global object containing the current token",
  "var sym",
  "var lastToken := object {",
  "    var kind := \"start\"",
  "    var line := 1",
  "    var linePos := 0",
  "    var indent := 0",
  "    var value := \"\"",
  "    def size = 0",
  "}",
  "",
  "var statementToken := lastToken",
  "var comment := false",
  "",
  "// Advance to the next token in the stream, with special handling",
  "// so the magic \"line\" tokens update the line number for error output.",
  "method next {",
  "    lastToken := sym",
  "    if (tokens.size > 0) then {",
  "        lastline := linenum",
  "        lastIndent := sym.indent",
  "        sym := tokens.poll",
  "        if (sym.kind == \"comment\") then {",
  "            comment := \"\"",
  "            while {(sym.kind == \"comment\").andAlso {tokens.size > 0}} do {",
  "                comment := comment ++ sym.value",
  "                sym := tokens.poll",
  "            }",
  "        }",
  "        linenum := sym.line",
  "        util.setPosition(sym.line, sym.linePos)",
  "    } elseif { sym.kind == \"eof\" } then {",
  "        errormessages.syntaxError(\"Unexpetedly found the end of the input. This is often caused by a missing '\\}'\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "    } else {",
  "        sym := object {",
  "            var kind := \"eof\"",
  "            var line := lastToken.line",
  "            var linePos := util.lines[lastToken.line].size + 1",
  "            var indent := 0",
  "            var value := \"\"",
  "            def size = 0",
  "        }",
  "    }",
  "}",
  "",
  "// Search for the next token that the given block returns true for.",
  "// Used for generating suggestions.",
  "method findNextToken(tokenMatcher) {",
  "    if(tokenMatcher.apply(sym)) then {",
  "        return sym",
  "    }",
  "    var nextTok := false",
  "    var n := sym",
  "    while {(n != false).andAlso { nextTok == false }.andAlso { n.indent >= lastToken.indent }} do {",
  "        if(tokenMatcher.apply(n)) then {",
  "            nextTok := n",
  "        }",
  "        n := n.next",
  "    }",
  "    nextTok",
  "}",
  "",
  "method findNextTokenIndentedAt(tok) {",
  "    if(((sym.line > tok.line) && (sym.indent <= tok.indent)) || (sym.kind == \"eof\")) then {",
  "        return sym",
  "    }",
  "    var nextTok := false",
  "    var n := sym",
  "    while {(n != false).andAlso { nextTok == false }} do {",
  "        if(((n.line > tok.line) && (n.indent <= tok.indent)) || (sym.kind == \"eof\")) then {",
  "            nextTok := n",
  "        }",
  "        n := n.next",
  "    }",
  "    nextTok",
  "}",
  "",
  "method findNextValidToken(*validFollowTokens) {",
  "    // Tokens that cannot start an expression.",
  "    def invalidTokens = [\"dot\", \"comma\", \"colon\", \"rparen\", \"rbrace\", \"rsquare\", \"arrow\", \"bind\"];",
  "    var validToken := sym",
  "    while {validToken.kind != \"eof\"} do {",
  "        // If the token is a valid follow token, then return that token.",
  "        if(validFollowTokens.contains(validToken.kind)) then {",
  "            return validToken",
  "        }",
  "        // If the token is not an invalid token for starting an expression, return that token.",
  "        if(!invalidTokens.contains(validToken.kind)) then {",
  "            return validToken",
  "        }",
  "        // The token is invalid, go to the next one.",
  "        validToken := validToken.next",
  "    }",
  "    return validToken",
  "}",
  "",
  "// Finds the closing brace for a given token (that is the beginning of a control",
  "// structure with an opening brace. Returns an object with two fields: found",
  "// and tok. If a closing brace is found, found is set to true, and tok is set to",
  "// the closing brace. Otherwise found is set to false, and tok is set to the",
  "// token that the closing brace should appear after.",
  "method findClosingBrace(tok, inserted) {",
  "    var n := sym",
  "    var numOpening := if(inserted) then {1} else {0}",
  "    var numClosing := 0",
  "    def result = object {",
  "        var found",
  "        var tok",
  "    }",
  "    // Skip all tokens on the same line first.",
  "    while {(n.kind != \"eof\") && (n.line == tok.line)} do {",
  "        if(n.kind == \"lbrace\") then { numOpening := numOpening + 1 }",
  "        elseif(n.kind == \"rbrace\") then { numClosing := numClosing + 1 }",
  "        n := n.next",
  "    }",
  "    // Skip all tokens that have greater indent than the target closing brace.",
  "    while {(n.kind != \"eof\") && (n.indent > tok.indent)} do {",
  "        if(n.kind == \"lbrace\") then { numOpening := numOpening + 1 }",
  "        elseif(n.kind == \"rbrace\") then { numClosing := numClosing + 1 }",
  "        n := n.next",
  "    }",
  "    if(n.kind == \"rbrace\") then {",
  "        result.found := true",
  "        result.tok := n",
  "    } elseif((n.prev.kind == \"rbrace\") && (numOpening == numClosing)) then {",
  "        // Check that the number of opening and closing braces matches.",
  "        result.found := true",
  "        result.tok := n.prev",
  "    } else {",
  "        result.found := false",
  "        result.tok := n.prev",
  "    }",
  "    result",
  "}",
  "",
  "// True if the current token (next to be processed) is a t, where",
  "// t is \"num\", \"string\", \"method\", etc.",
  "method accept(t) {",
  "    sym.kind == t",
  "}",
  "",
  "// True if the current token is a t, and it is on the same logical",
  "// line (either because it's on the same physical line, or because",
  "// it's on an indented continuation line).",
  "method acceptSameLine(t) {",
  "    (sym.kind == t) && ((lastline == sym.line) ||",
  "        (sym.indent > lastIndent))",
  "}",
  "",
  "// True if the current token is a t, and it is on the same logical",
  "// line as a provided token.",
  "method accept(t)onLineOf(other) {",
  "    (sym.kind == t) && ((other.line == sym.line) ||",
  "        (sym.indent > other.indent))",
  "}",
  "// True if the current token is a t, and it is on the same logical",
  "// line as a provided token.",
  "method accept(t)onLineOfLastOr(other) {",
  "    (sym.kind == t) && (((other.line == sym.line) ||",
  "        (sym.indent > other.indent)) || (lastToken.line == sym.line))",
  "}",
  "// True if there is a token on the same logical line",
  "method tokenOnSameLine {",
  "    (lastline == sym.line) || (sym.indent > lastIndent)",
  "}",
  "// Check if block did consume at least one token.",
  "method didConsume(ablock) {",
  "    var sz := tokens.size",
  "    ablock.apply",
  "    tokens.size != sz",
  "}",
  "// Expect block to consume at least one token, or call fallback code.",
  "method ifConsume(ablock)then(tblock) {",
  "    var sz := tokens.size",
  "    ablock.apply",
  "    if (tokens.size != sz) then {",
  "        tblock.apply",
  "    }",
  "}",
  "",
  "// Push the current token onto the output stack as a number",
  "method pushnum {",
  "    var o := ast.numNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as an octet literal",
  "method pushoctets {",
  "    var o := ast.octetsNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as a string",
  "method pushstring {",
  "    var o := ast.stringNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as an identifier.",
  "// false means that this identifier has not been assigned a dtype (yet).",
  "method pushidentifier {",
  "    util.setline(sym.line)",
  "    var o := ast.identifierNode.new(sym.value, false)",
  "    if (o.value == \"_\") then {",
  "        o.value := \"__\" ++ auto_count",
  "        o.wildcard := true",
  "        auto_count := auto_count + 1",
  "    }",
  "    values.push(o)",
  "    next",
  "}",
  "method checkAnnotation(ann) {",
  "    if (ann.kind == \"call\") then {",
  "        for (ann.with) do {p->",
  "            for (p.args) do {a->",
  "                if ((a.kind == \"identifier\").andAlso {a.dtype != false}) then {",
  "                    var tok := sym",
  "                    // Look back from the current token to try and find the tokens that cause this error.",
  "                    while {tok.value != \":\"} do { tok := tok.prev }",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(tok, tok.next)leading(true)trailing(false)",
  "                    errormessages.syntaxError(\"An argument to an annotation cannot have a type.\")atRange(",
  "                        tok.line, tok.linePos, tok.next.linePos + tok.next.size - 1)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "    }",
  "    ann",
  "}",
  "method doannotation {",
  "    if ((!accept(\"keyword\")).orElse {sym.value != \"is\"}) then {",
  "        return false",
  "    }",
  "    next",
  "    def anns = collections.list.new",
  "    if(didConsume({expression(noBlocks)}).not) then {",
  "        def suggestions = []",
  "        var suggestion := errormessages.suggestion.new",
  "        def nextTok = findNextValidToken(\"bind\")",
  "        if(nextTok == sym) then {",
  "            suggestion.insert(\" «annotation»\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «annotation»\")",
  "        }",
  "        suggestions.push(suggestion)",
  "        suggestion := errormessages.suggestion.new",
  "        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "        suggestions.push(suggestion)",
  "        errormessages.syntaxError(\"One or more annotations separated by commas must follow 'is'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "    }",
  "    while {accept(\"comma\")} do {",
  "        anns.push(checkAnnotation(values.pop))",
  "        next",
  "        if(didConsume({expression(noBlocks)}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"bind\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\" «annotation»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «annotation»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"One or more annotations separated by commas must follow 'is'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "    }",
  "    anns.push(checkAnnotation(values.pop))",
  "    anns",
  "}",
  "",
  "method blank {",
  "    if (sym.line > (lastToken.line + 1)) then {",
  "        if (values.size > 0) then {",
  "            if (values.last.kind != \"blank\") then {",
  "                values.push(ast.blankNode.new)",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method dotypeterm {",
  "    if (accept(\"identifier\")) then {",
  "        pushidentifier",
  "        generic",
  "        dotrest(noBlocks)",
  "    } else {",
  "        if (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "            dotypeLiteral",
  "        }",
  "    }",
  "}",
  "",
  "method typeexpression {",
  "    var sz := values.size",
  "    if (accept(\"lparen\")) then {",
  "        def prevStatementToken = statementToken",
  "        statementToken := sym",
  "        next",
  "        if(didConsume({typeexpression}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if (nextTok == sym) then {",
  "                suggestion.insert(\"«type expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«type expression»\")",
  "            }",
  "            errormessages.syntaxError(\"Parentheses must contain a valid type expression.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A type expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        statementToken := prevStatementToken",
  "        next",
  "    } else {",
  "        dotypeterm",
  "    }",
  "    if (values.size > sz) then {",
  "        dotrest(noBlocks)",
  "        typeexpressionrest",
  "    }",
  "    // TODO: check that the expression doesn't contain requests or var references.",
  "    // This has to happen in the identifier resolution phase.",
  "}",
  "",
  "// Accept a block",
  "method block {",
  "    if (accept(\"lbrace\")) then {",
  "        def btok = sym",
  "        next",
  "        var minInd := statementIndent + 1",
  "        var startIndent := statementIndent",
  "        var ident1",
  "        var s := sym",
  "        var tmp",
  "        var params := []",
  "        var body := []",
  "        var havearrow := true",
  "        var found := false",
  "        var i := 0",
  "        var isMatchingBlock := false",
  "        statementToken := sym",
  "        if (sym.kind == \"lparen\") then {",
  "            isMatchingBlock := true",
  "        }",
  "        ifConsume {expression(blocksOK)} then {",
  "            if (accept(\"comma\") || accept(\"arrow\") || accept(\"colon\")) then {",
  "                // This block has parameters",
  "                ident1 := values.pop",
  "                if (accept(\"colon\")) then {",
  "                    // We allow an expression here for the case of v : T",
  "                    // patterns, where T may be \"Pair(hd, tl)\" or similar.",
  "                    next",
  "                    braceIsType := true",
  "                    if(didConsume({expression(blocksOK)}).not) then {",
  "                        def suggestions = []",
  "                        var suggestion := errormessages.suggestion.new",
  "                        def nextTok = findNextValidToken(\"arrow\", \"rbrace\")",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                        }",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                        suggestions.push(suggestion)",
  "                        errormessages.syntaxError(\"A block must have an expression after the ':'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestions(suggestions)",
  "                    }",
  "                    braceIsType := false",
  "                    ident1.dtype := values.pop",
  "                }",
  "                params.push(ident1)",
  "                if (ident1.kind != \"identifier\") then {",
  "                    isMatchingBlock := true",
  "                }",
  "                if (isMatchingBlock && {accept(\"comma\")}) then {",
  "                    def suggestions = []",
  "                    var suggestion",
  "                    def arrow = findNextToken({ t -> t.kind == \"arrow\" })",
  "                    if(arrow != false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(sym, arrow.prev)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceToken(sym)leading(true)trailing(false)with(\" |\")",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A matching block may only have one parameter.\")atRange(",
  "                        sym.line, sym.linePos, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                while {accept(\"comma\")} do {",
  "                    // Keep doing the above for the rest of the parameters.",
  "                    next",
  "                    pushidentifier",
  "                    ident1 := values.pop",
  "                    if (accept(\"colon\")) then {",
  "                        next",
  "                        typeexpression",
  "                        ident1.dtype := values.pop",
  "                    }",
  "                    params.push(ident1)",
  "                }",
  "                if ((accept(\"arrow\")).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if((sym.kind == \"bind\") || (sym.value == \"=\")) then {",
  "                        suggestion.replaceToken(sym)with(\"->\")",
  "                    } else {",
  "                        suggestion.insert(\" ->\")afterToken(lastToken)",
  "                    }",
  "                    errormessages.syntaxError(\"A block must have one or more parameters followed by '->' and an expression.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                next",
  "            } elseif (accept(\"semicolon\")) then {",
  "                body.push(values.pop)",
  "                next",
  "                if (accept(\"semicolon\")) then {",
  "                    next",
  "                    if (sym.line == lastToken.line) then {",
  "                        indentFreePass := true",
  "                    }",
  "                }",
  "            } elseif (((values.last.kind == \"member\")",
  "                || (values.last.kind == \"identifier\")",
  "                || (values.last.kind == \"index\"))",
  "                && accept(\"bind\")) then {",
  "                var lhs := values.pop",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rbrace\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A valid expression must follow ':='.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                var rhs := values.pop",
  "                body.push(ast.bindNode.new(lhs, rhs))",
  "                if (accept(\"semicolon\")) then {",
  "                    next",
  "                    if (sym.line == lastToken.line) then {",
  "                        indentFreePass := true",
  "                    }",
  "                }",
  "            } else {",
  "                checkUnexpectedTokenAfterStatement",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        if (accept(\"arrow\")) then {",
  "            next",
  "        }",
  "        var ln := values.size",
  "        if (sym.line == lastToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := minInd",
  "        }",
  "        while {(accept(\"rbrace\")).not} do {",
  "            // Take the body of the block",
  "            if(didConsume({statement}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\"}\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A block must end with a '}'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            tmp := values.pop",
  "            body.push(tmp)",
  "        }",
  "        minIndentLevel := minInd - 1",
  "        statementIndent := startIndent",
  "        next",
  "        util.setline(btok.line)",
  "        var o := ast.blockNode.new(params, body)",
  "        if (isMatchingBlock) then {",
  "            if (params.size > 0) then {",
  "                o.matchingPattern := params.first",
  "            }",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept an \"if\" statement. This is a special syntactic case, rather",
  "// than just a call with a multi-part method name - it might be possible",
  "// to change that and compensate later on.",
  "method doif {",
  "    if (accept(\"identifier\") && (sym.value == \"if\")) then {",
  "        def btok = sym",
  "        next",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rparen or then.",
  "            def nextTok = findNextToken({ t -> (t.line == btok.line)",
  "                && ((t.kind == \"rparen\") || (t.kind == \"lbrace\")",
  "                || ((t.kind == \"identifier\") && (t.value == \"then\"))) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" («expression») then \\{\")afterToken(btok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                }",
  "            } elseif(nextTok.kind == \"lbrace\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" («expression») then\")afterToken(btok)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                    suggestion.insert(\") then\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression») \")beforeToken(sym)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                    suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                }",
  "            }",
  "            errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rparen.",
  "            var nextTok := findNextToken({ t -> (t.line == lastToken.line) && (t.kind == \"rparen\") })",
  "            if(nextTok == false) then {",
  "                nextTok := findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression») then \\{\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression») then \\{\")",
  "                }",
  "                errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            } else {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(false)trailing(true)with(\"«expression»\")",
  "                    errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atRange(",
  "                        sym.line, sym.linePos, nextTok.linePos - 1)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var cond := values.pop",
  "        var body := []",
  "",
  "        // These two are for else/elseif handling. elseif is turned into",
  "        // nested if statements for the AST, so curelse points to the",
  "        // most deeply-nested of those (where any eventual \"else\" block's",
  "        // statements will go). elseblock contains the statements of the",
  "        // top-level \"else\" block - if there are any elseifs, that",
  "        // consists of only one statement, another if.",
  "        var elseblock := []",
  "        var curelse := elseblock",
  "        var v",
  "        def localMin = minIndentLevel",
  "        def localStatementIndent = statementIndent",
  "        var minInd := statementIndent + 1",
  "        if (accept(\"identifier\") && (sym.value == \"then\")) then {",
  "            next",
  "            if(sym.kind != \"lbrace\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def closingBrace = findClosingBrace(btok, true)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == lastToken) then {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{}\")",
  "                    } else {",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                    }",
  "                } else {",
  "                    suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                }",
  "                errormessages.syntaxError(\"An if statement must have a '\\{' after the 'then'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "            if (sym.line == lastToken.line) then {",
  "                minIndentLevel := sym.linePos - 1",
  "            } else {",
  "                minIndentLevel := minInd",
  "            }",
  "            while {(accept(\"rbrace\")).not} do {",
  "                if(didConsume({statement}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, false)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.insert(\"}\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                        }",
  "                    }",
  "                    suggestion.deleteToken(sym)",
  "                    errormessages.syntaxError(\"An if statement must end with a '}'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                v := values.pop",
  "                body.push(v)",
  "            }",
  "            next",
  "            var econd",
  "            var eif",
  "            var newelse",
  "            var ebody",
  "            while {accept(\"identifier\") && (sym.value == \"elseif\")} do {",
  "                // Currently, the parser just accepts arbitrarily many",
  "                // \"elseifs\", turning them into ifs inside the else.",
  "                // TODO: allow blocks after elseif to contain a sequence of expressions.",
  "                statementToken := sym",
  "                next",
  "                def opener = if ((sym.kind == \"lparen\").orElse{sym.kind == \"lbrace\"}) ",
  "                                then { sym.value } else { \"-missing-\" }",
  "                def closer = if (opener == \"(\") then { \")\" }",
  "                                else { if (opener == \"\\{\") then { \"\\}\" } else { \"-nothing-\" } }",
  "                if (opener == \"-missing-\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    // Look ahead for a rparen or then.",
  "                    def nextTok = findNextToken({ t -> (t.line == statementToken.line)",
  "                        && ((t.kind == \"rparen\") || (t.kind == \"rbrace\") || (t.kind == \"lbrace\")",
  "                        || ((t.kind == \"identifier\") && (t.value == \"then\"))) })",
  "                    if(nextTok == false) then {",
  "                        suggestion.insert(\" («expression») then \\{\")afterToken(statementToken)",
  "                    } elseif(nextTok.kind == \"rparen\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                        }",
  "                    } elseif(nextTok.kind == \"lbrace\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" («expression») then\")afterToken(statementToken)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                            suggestion.insert(\") then\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                        }",
  "                    } elseif(nextTok.kind == \"identifier\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"(«expression») \")beforeToken(sym)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                            suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                        }",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    // Look ahead for a rparen or then.",
  "                    var nextTok := findNextToken({ t -> (t.line == lastToken.line) && ",
  "                        ((t.kind == \"rparen\") || (t.kind == \"rbrace\"))})",
  "                    if(nextTok == false) then {",
  "                        nextTok := findNextValidToken(\"rparen\")",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"«expression») then \\{\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression») then \\{\")",
  "                        }",
  "                        errormessages.syntaxError(\"An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    } else {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                            errormessages.syntaxError(\"An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atPosition(",
  "                                sym.line, sym.linePos)withSuggestion(suggestion)",
  "                        } else {",
  "                            //checkInvalidExpression",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(false)trailing(true)with(\"«expression»\")",
  "                            errormessages.syntaxError(\"4: An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atRange(",
  "                                sym.line, sym.linePos, nextTok.linePos - 1)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                }",
  "                if(sym.value != closer) then {",
  "                    checkBadOperators",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An expression beginning with a '{opener}' must end with a '{closer}'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                econd := values.pop",
  "                if ((accept(\"identifier\") &&",
  "                    (sym.value == \"then\"))) then {",
  "                    next",
  "                    ebody := []",
  "                } else {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(sym.kind == \"lbrace\") then {",
  "                        def closingBrace = findClosingBrace(statementToken, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == sym) then {",
  "                                suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{}\")",
  "                            } else {",
  "                                suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        } else {",
  "                            suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                        }",
  "                    } else {",
  "                        def closingBrace = findClosingBrace(statementToken, true)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\" then \\{}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        } else {",
  "                            suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                        }",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have 'then' after the expression in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                if(sym.kind != \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, true)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{}\")",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                        }",
  "                    } else {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have a '\\{' after the 'then'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                if (sym.line == lastToken.line) then {",
  "                    minIndentLevel := sym.linePos - 1",
  "                } else {",
  "                    minIndentLevel := minInd",
  "                }",
  "                while {(accept(\"rbrace\")).not} do {",
  "                    if(didConsume({statement}).not) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        def closingBrace = findClosingBrace(btok, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\"}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        }",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"An elseif statement must end with a '}'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                    v := values.pop",
  "                    ebody.push(v)",
  "                }",
  "                next",
  "                newelse := []",
  "                eif := ast.ifNode.new(econd, ebody, newelse)",
  "                // Construct the inner \"if\" AST node, and then push it",
  "                // inside the current \"else\" block.",
  "                curelse.push(eif)",
  "                // Update curelse to point to the new, empty, nested",
  "                // else block.",
  "                curelse := newelse",
  "            }",
  "            if (accept(\"identifier\") && (sym.value == \"else\")) then {",
  "                next",
  "                if(sym.kind != \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, true)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{}\")",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{\")",
  "                        }",
  "                    } else {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{\")",
  "                    }",
  "                    errormessages.syntaxError(\"An else statement must have a '\\{' after the 'else'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                // Just take all the statements and put them into",
  "                // curelse.",
  "                if (sym.line == lastToken.line) then {",
  "                    minIndentLevel := sym.linePos - 1",
  "                } else {",
  "                    minIndentLevel := minInd",
  "                }",
  "                while {(accept(\"rbrace\")).not} do {",
  "                    if(didConsume({statement}).not) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        def closingBrace = findClosingBrace(btok, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\"}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        }",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"An else statement must end with a '}'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                    v := values.pop",
  "                    curelse.push(v)",
  "                }",
  "                next",
  "            }",
  "            var o := ast.ifNode.new(cond, body, elseblock)",
  "            values.push(o)",
  "        } else {",
  "            // Raise an error here, or it will spin nastily forever.",
  "            def suggestion = errormessages.suggestion.new",
  "            if(sym.kind == \"lbrace\") then {",
  "                def closingBrace = findClosingBrace(btok, false)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == sym) then {",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{}\")",
  "                    } else {",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                } else {",
  "                    suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                }",
  "            } else {",
  "                def closingBrace = findClosingBrace(btok, true)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == lastToken) then {",
  "                        suggestion.insert(\" then \\{}\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                } else {",
  "                    suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                }",
  "            }",
  "            errormessages.syntaxError(\"An if statement must have 'then' after the expression in parentheses.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        minIndentLevel := localMin",
  "        statementIndent := localStatementIndent",
  "    }",
  "}",
  "",
  "// Accept an identifier. Handle \"if\", \"while\", and \"for\" specially by",
  "// passing them on to the appropriate method above.",
  "method identifier {",
  "    if (accept(\"identifier\")) then {",
  "        if (sym.value == \"if\") then {",
  "            doif",
  "        } else {",
  "            pushidentifier",
  "        }",
  "    }",
  "}",
  "",
  "method prefixop {",
  "    if (accept(\"op\")) then {",
  "        var op := sym.value",
  "        var val",
  "        next",
  "        if (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"Parentheses must contain a valid expression.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            if(didConsume({term}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                if(lastToken.prev.kind == \"bind\") then {",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestion.deleteToken(lastToken.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"A prefix operator must be followed by an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "        }",
  "        dotrest(blocksOK)",
  "        callrest(blocksOK)",
  "        postfixsquare",
  "        val := values.pop",
  "        var mem := ast.memberNode.new(\"prefix\" ++ op, val)",
  "        var call := ast.callNode.new(mem, [ast.callWithPart.new(mem.value)])",
  "        values.push(call)",
  "    }",
  "}",
  "",
  "method generic {",
  "    if (accept(\"lgeneric\")) then {",
  "        def id = values.pop",
  "        def gens = []",
  "        def startToken = sym",
  "        next",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            while {accept(\"dot\")} do {",
  "                next",
  "                def memberIn = values.pop",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«type name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A type name must follow the '.'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + 1)withSuggestions(suggestions)",
  "                }",
  "                identifier",
  "                def memberName = values.pop",
  "                values.push(ast.memberNode.new(memberName.value, memberIn))",
  "            }",
  "            generic",
  "            gens.push(values.pop)",
  "            if (accept(\"comma\")) then {",
  "                next",
  "            } else {",
  "                if(sym.kind != \"rgeneric\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\">\")afterToken(lastToken)",
  "                    def suggestion2 = errormessages.suggestion.new",
  "                    suggestion2.insert(\" \")beforeToken(startToken)",
  "                    def suggestions = [suggestion, suggestion2]",
  "                    errormessages.syntaxError(\"A type containing a '<' must end with a '>', or the '<' operator must have a space before it.\")atPosition(",
  "                            lastToken.line, lastToken.linePos + lastToken.size)",
  "                        withSuggestions(suggestions)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            def suggestion2 = errormessages.suggestion.new",
  "            suggestion2.insert(\" \")beforeToken(startToken)",
  "            def suggestions = [suggestion, suggestion2]",
  "            errormessages.syntaxError(\"A type containing a '<' must end with a '>', or the '<' operator must have a space before it.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)",
  "                withSuggestions(suggestions)",
  "        }",
  "        next",
  "        values.push(ast.genericNode.new(id, gens))",
  "    }",
  "}",
  "method trycatch {",
  "    if (!(accept(\"identifier\") && (sym.value == \"try\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def catchTok = sym",
  "    next",
  "    if (accept(\"lbrace\")) then {",
  "        block",
  "    } else {",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rbrace, rparen, or catch.",
  "            def nextTok = findNextToken({ t -> (t.kind == \"rbrace\")",
  "                || ((t.kind == \"rparen\") && (t.line == catchTok.line))",
  "                || ((t.kind == \"identifier\") && (t.value == \"catch\")) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rbrace\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.insert(\"(\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "                suggestion.insert(\"\\} \")beforeToken(nextTok)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                catchTok.line, catchTok.linePos + catchTok.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    def mainblock = values.pop",
  "    def cases = []",
  "    var finally := false",
  "    while {accept(\"identifier\") && (sym.value == \"catch\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    if (accept(\"identifier\")onLineOf(catchTok) && (sym.value == \"case\")) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.replaceToken(sym)with(\"catch\")",
  "        errormessages.syntaxError(\"A try-catch statement starts with a \"",
  "                ++ \"'try' and then zero or more 'catch' blocks; there \"",
  "                ++ \"are no 'case' blocks.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos + 3)",
  "            withSuggestion(suggestion)",
  "    }",
  "    if (accept(\"identifier\") && (sym.value == \"finally\")) then {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.first)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A try-finally statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        finally := values.pop",
  "    }",
  "    values.push(ast.catchCaseNode.new(mainblock, cases, finally))",
  "    minIndentLevel := localmin",
  "}",
  "method catchcase { // TODO: This construct is DEPRECATED. Remove it.",
  "    if (!(accept(\"identifier\") && (sym.value == \"catch\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def catchTok = sym",
  "    next",
  "    util.warning(\"The catch-case statement is deprecated and will be \"",
  "        ++ \"removed in a future version of the compiler. Use try-catch \"",
  "        ++ \"instead.\")",
  "    if (accept(\"lbrace\")) then {",
  "        block",
  "    } else {",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rbrace, rparen, or case.",
  "            def nextTok = findNextToken({ t -> (t.kind == \"rbrace\")",
  "                || ((t.kind == \"rparen\") && (t.line == catchTok.line))",
  "                || ((t.kind == \"identifier\") && (t.value == \"case\")) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rbrace\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.insert(\"(\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "                suggestion.insert(\"\\} \")beforeToken(nextTok)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                catchTok.line, catchTok.linePos + catchTok.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    def mainblock = values.pop",
  "    def cases = []",
  "    var finally := false",
  "    while {accept(\"identifier\") && (sym.value == \"case\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    if (accept(\"identifier\") && (sym.value == \"finally\")) then {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.first)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        finally := values.pop",
  "    }",
  "    values.push(ast.catchCaseNode.new(mainblock, cases, finally))",
  "    minIndentLevel := localmin",
  "}",
  "method matchcase {",
  "    if (!(accept(\"identifier\") && (sym.value == \"match\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def matchTok = sym",
  "    next",
  "    if(sym.kind != \"lparen\") then {",
  "        def suggestion = errormessages.suggestion.new",
  "        // Look ahead for a rparen or case.",
  "        def nextTok = findNextToken({ t -> ((t.kind == \"rparen\") && (t.line == matchTok.line))",
  "            || ((t.kind == \"identifier\") && (t.value == \"case\")) })",
  "        if(nextTok == false) then {",
  "            suggestion.insert(\"(«expression»)\")afterToken(matchTok)",
  "        } elseif(nextTok.kind == \"rparen\") then {",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "            } else {",
  "                suggestion.insert(\"(\")beforeToken(sym)",
  "            }",
  "        } elseif(nextTok.kind == \"identifier\") then {",
  "            suggestion.insert(\"(\")beforeToken(sym)",
  "            suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "        }",
  "        errormessages.syntaxError(\"A match statement must have an expression in parentheses after the 'match'.\")atPosition(",
  "            matchTok.line, matchTok.linePos + matchTok.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    if(didConsume({expression(blocksOK)}).not) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        def nextTok = findNextValidToken(\"rparen\")",
  "        if(nextTok == sym) then {",
  "            suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "        }",
  "        errormessages.syntaxError(\"A match statement must have an expression in parentheses after the 'match'.\")atPosition(",
  "            sym.line, sym.linePos)withSuggestion(suggestion)",
  "    }",
  "    def matchee = values.pop",
  "    if(sym.kind != \"rparen\") then {",
  "        checkBadOperators",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\")\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    def cases = []",
  "    var elsecase := false",
  "    while {accept(\"identifier\") && (sym.value == \"case\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A match statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A match statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "//    if (accept(\"identifier\") && (sym.value == \"else\")) then {",
  "//        next",
  "//        if (accept(\"lbrace\")) then {",
  "//            block",
  "//        } elseif (accept(\"lparen\")) then {",
  "//            next",
  "//            if(didConsume({expression(blocksOK)}).not) then {",
  "//                def suggestion = errormessages.suggestion.new",
  "//                def nextTok = findNextValidToken(\"rparen\")",
  "//                if(nextTok == sym) then {",
  "//                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "//                } else {",
  "//                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "//                }",
  "//                errormessages.syntaxError(\"A match statement must have either a block or an expression in parentheses after the 'else'.\")atPosition(",
  "//                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "//            }",
  "//            if(sym.kind != \"rparen\") then {",
  "//                checkBadOperators",
  "//                def suggestion = errormessages.suggestion.new",
  "//                suggestion.insert(\")\")afterToken(lastToken)",
  "//                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "//                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "//            }",
  "//            next",
  "//        } else {",
  "//            def suggestions = []",
  "//            def nextTok = findNextTokenIndentedAt(lastToken)",
  "//            var suggestion := errormessages.suggestion.new",
  "//            if(nextTok == false) then {",
  "//                suggestion.insert(\" }\")afterToken(tokens.first)",
  "//                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "//                suggestions.push(suggestion)",
  "//            } elseif(nextTok == sym) then {",
  "//                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "//                suggestions.push(suggestion)",
  "//                suggestion := errormessages.suggestion.new",
  "//                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "//                suggestions.push(suggestion)",
  "//            } else {",
  "//                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "//                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "//                suggestions.push(suggestion)",
  "//            }",
  "//            errormessages.syntaxError(\"A match statement must have either a block or an expression in parentheses after the 'else'.\")atPosition(",
  "//                sym.line, sym.linePos)withSuggestions(suggestions)",
  "//        }",
  "//        elsecase := values.pop",
  "//    }",
  "    values.push(ast.matchCaseNode.new(matchee, cases, elsecase))",
  "    minIndentLevel := localmin",
  "}",
  "// Accept a term. Terms consist only of single syntactic units and",
  "// do not contain any operators or parentheses, unlike expression.",
  "method term {",
  "    if (accept(\"num\")) then {",
  "        pushnum",
  "    } elseif (accept(\"string\")) then {",
  "        pushstring",
  "    } elseif (accept(\"octets\")) then {",
  "        pushoctets",
  "    } elseif(accept(\"identifier\") && (sym.value == \"match\")) then {",
  "        matchcase",
  "    } elseif(accept(\"identifier\") && (sym.value == \"catch\")) then {",
  "        catchcase",
  "    } elseif(accept(\"identifier\") && (sym.value == \"try\")) then {",
  "        trycatch",
  "    } elseif (accept(\"identifier\")) then {",
  "        identifier",
  "    } elseif (accept(\"keyword\") && (sym.value == \"object\")) then {",
  "        doobject",
  "    } elseif (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "        dotypeLiteral",
  "    } elseif (accept(\"lbrace\")) then {",
  "        block",
  "    } elseif (accept(\"lsquare\")) then {",
  "        doarray",
  "    } elseif (accept(\"op\")) then {",
  "        // Prefix operator",
  "        prefixop",
  "    }",
  "}",
  "",
  "// Accept an expression. Expressions may consist of parenthesised",
  "// subexpressions or terms, which may be followed by method invocations",
  "// (dotrest), postcircumfix square brackets, the rest of a method call,",
  "// or an operator expression.",
  "method expression(acceptBlocks) {",
  "    var sz := values.size",
  "    if (accept(\"lparen\")) then {",
  "        def tmpStatementToken = statementToken",
  "        statementToken := sym",
  "        next",
  "        if(didConsume({expression(acceptBlocks)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"Parentheses must contain a valid expression.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        statementToken := tmpStatementToken",
  "        next",
  "    } else {",
  "        term",
  "    }",
  "    if (values.size > sz) then {",
  "        dotrest(acceptBlocks)",
  "        callrest(acceptBlocks)",
  "        postfixsquare",
  "        valueexpressionrest",
  "    }",
  "}",
  "",
  "// Accept postcircumfix square brackets (as in x[y]) and replace the",
  "// preceding expression with an index node into itself.",
  "method postfixsquare {",
  "    if (acceptSameLine(\"lsquare\")) then {",
  "        next",
  "        var expr := values.pop",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rsquare\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«index»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«index»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            if(nextTok.kind == \"rsquare\") then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A '[' in an expression must be followed by another expression and a ']'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        var index := values.pop",
  "        if(sym.kind != \"rsquare\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"]\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A '[' in an expression must be followed by another expression and a ']'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var o := ast.indexNode.new(expr, index)",
  "        values.push(o)",
  "        dotrest(blocksOK)",
  "        callrest(blocksOK)",
  "        postfixsquare",
  "    }",
  "}",
  "",
  "// Calculate the precedence of an operator. In this case, only",
  "// multiplication and division have nontrivial precedence. Used in",
  "// expressionrest.",
  "method oprec(o) {",
  "    if (o == \"*\") then {",
  "        return 10",
  "    } elseif (o == \"/\") then {",
  "        return 10",
  "    }",
  "    return 5",
  "}",
  "",
  "// Return the precedence of the operator at the top of the \"ops\" stack.",
  "method toprec(ops) {",
  "    if (ops.size > 0) then {",
  "        var o := ops.last",
  "        return oprec(o)",
  "    }",
  "    0",
  "}",
  "",
  "",
  "method typeexpressionrest {",
  "    if (acceptSameLine(\"op\")) then {",
  "        expressionrest \"type expression\" recursingWith {typeexpression} blocks (noBlocks)",
  "    }",
  "}",
  "",
  "method valueexpressionrest {",
  "    if (accept(\"op\")) then {",
  "        expressionrest \"expression\" recursingWith {expression(blocksOK)} blocks (blocksOK)",
  "    }",
  "}",
  "",
  "method expressionrest(name) recursingWith (recurse) blocks (acceptBlocks) {",
  "    // Process the rest of an operator expression using the shunting-yard",
  "    // algorithm. This method uses the oprec and toprec methods above to",
  "    // ensure the correct precedence, and treats all operators as",
  "    // left-associative.  It is parametrised so that it",
  "    // can be used for both type- and value- expressions.",
  "    var terms := [] // List of operands yet to be used",
  "    var ops := [] // Operator stack",
  "    var o",
  "    var o2",
  "    var tmp2",
  "    var tmp := values.pop",
  "    terms.push(tmp)",
  "    var prec",
  "    var allarith := true // Consists only of arithmetic operators",
  "    var opcount := 0",
  "    var opdtype := \"\" // The single operator being used in this expression",
  "    while {accept(\"op\")onLineOfLastOr(statementToken).andAlso",
  "            {sym.value != \"=\"}} do {",
  "        opcount := opcount + 1",
  "        o := sym.value",
  "        next",
  "        prec := oprec(o)",
  "        if ((o != \"*\") && (o != \"/\") && (o != \"+\") && (o != \"-\")) then {",
  "            allarith := false",
  "        }",
  "        if ((opdtype != \"\") && (opdtype != o) && (allarith.not)) then {",
  "            // If: this is not the first operator, it is not the same",
  "            // as the last operator, and the expression has not been",
  "            // entirely arithmetic, raise a syntax error.",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(sym)",
  "            suggestion.insert(\"(\")beforeToken(lastToken.prev)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken.prev)",
  "            suggestion.insert(\"(\")beforeToken(lastToken.prev.prev.prev)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"An expression containing both mathematical and non-mathematical operators requires parentheses.\")atPosition(",
  "                lastToken.prev.line, lastToken.prev.linePos)withSuggestions(suggestions)",
  "        }",
  "        opdtype := o",
  "        while {(ops.size > 0) && (prec <= toprec(ops))} do {",
  "            // Do the shunting: for as long as the current operator",
  "            // has lesser or equal precedence than the one on the",
  "            // top of the stack, take the operator off the stack and",
  "            // replace its two operands with the combined operator node.",
  "            // This corresponds to left-associative operators only.",
  "            o2 := ops.pop",
  "            tmp2 := terms.pop",
  "            tmp := terms.pop",
  "            tmp := ast.opNode.new(o2, tmp, tmp2)",
  "            terms.push(tmp)",
  "        }",
  "        ops.push(o)",
  "        if (accept(\"lparen\")) then {",
  "            // When a parenthesis is found, take an expression from",
  "            // *within* the parentheses and add it to the stack. Do",
  "            // not delegate entirely to expression, because it will",
  "            // then consume all the following operators and break",
  "            // precedence. Possibly parenthesised expressions could",
  "            // be allowed in term above?",
  "            next",
  "            if(didConsume(recurse).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«{name}»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«{name}»\")",
  "                }",
  "                errormessages.syntaxError(\"Parentheses must contain a valid {name}.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            if (!tokenOnSameLine) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.deleteToken(lastToken)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «{name}»\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \" ++ util.lines[sym.line])afterToken(lastToken)",
  "                suggestion.deleteLine(sym.line)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A valid expression must follow '{lastToken.value}'. This is often caused by a new line in the middle of an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "            if(didConsume({term}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"comma\", \"rparen\", \"rsquare\", \"rbrace\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «{name}»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «{name}»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A valid {name} must follow '{lastToken.value}'. This is often caused by a new line in the middle of an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "        }",
  "",
  "        // Regardless of where the last value came from, it may have",
  "        // method invocations, indexes, or method call happening to it,",
  "        // which should be applied and the result put into the operands",
  "        // list.",
  "        dotrest(acceptBlocks)",
  "        callrest(acceptBlocks)",
  "        postfixsquare",
  "        tmp := values.pop",
  "        terms.push(tmp)",
  "    }",
  "    while {ops.size > 0} do {",
  "        // Shunt off any remaining operators at the end",
  "        o := ops.pop",
  "        tmp2 := terms.pop",
  "        tmp := terms.pop",
  "        tmp := ast.opNode.new(o, tmp, tmp2)",
  "        terms.push(tmp)",
  "    }",
  "    tmp := terms.pop",
  "    values.push(tmp)",
  "    if (terms.size > 0) then {",
  "        errormessages.syntaxError(\"Values left on term stack.\")atPosition(sym.line, sym.linePos)",
  "    }",
  "}",
  "",
  "// Accept a member lookup with \".\". This consumes the dot and",
  "// a following identifier, and will pass along to further lookups or",
  "// method calls on the result.",
  "method dotrest(acceptBlocks) {",
  "    if (acceptSameLine(\"dot\")) then {",
  "        var lookuptarget := values.pop",
  "        next",
  "        if (accept(\"identifier\")) then {",
  "            var dro := ast.memberNode.new(sym.value, lookuptarget)",
  "            values.push(dro)",
  "            next",
  "            if (accept(\"dot\")) then {",
  "                dotrest(acceptBlocks)",
  "            } elseif (accept(\"lparen\") || (acceptBlocks && accept(\"lbrace\"))",
  "                || accept(\"num\") || accept(\"string\") || accept(\"lsquare\")",
  "                || accept(\"lgeneric\")",
  "                ) then {",
  "                callrest(acceptBlocks)",
  "            }",
  "        } else {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.deleteToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\"«method name»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A field or method name must follow a '.'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    }",
  "}",
  "",
  "// Accept a method invocation indicated by parentheses. Unparenthesised",
  "// method calls are left as \"member\" AST nodes and processed correctly at",
  "// a later stage.",
  "method callrest(acceptBlocks) {",
  "    if (values.size == 0) then {",
  "        return 0",
  "    }",
  "    var meth := values.pop",
  "    var lnum := linenum",
  "    var lpos := 1",
  "    if (meth.kind != \"identifier\") then {",
  "        if (meth.kind != \"member\") then {",
  "            values.push(meth)",
  "            return 0",
  "        }",
  "    }",
  "    if (meth.kind == \"identifier\") then {",
  "        lnum := meth.line",
  "        lpos := meth.linePos",
  "    }",
  "    var methn",
  "    def btok = sym",
  "    var tmp",
  "    var ln := false",
  "    var signature := []",
  "    var part := ast.callWithPart.new",
  "    signature.push(part)",
  "    var hadcall := false",
  "    var tok := lastToken",
  "    var startInd := minIndentLevel",
  "    var genericIdents := false",
  "    if (acceptSameLine \"lgeneric\") then {",
  "        // Generic!",
  "        def startToken = sym",
  "        next",
  "        genericIdents := collections.list.new",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            genericIdents.push(values.pop)",
  "            if (accept(\"comma\")) then {",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            def suggestion2 = errormessages.suggestion.new",
  "            suggestion2.insert(\" \")beforeToken(startToken)",
  "            def suggestions = [suggestion, suggestion2]",
  "            errormessages.syntaxError(\"A method request containing a '<' must have a matching '>'. If '<' is intended as an operator, precede it by a space.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)",
  "                withSuggestions(suggestions)",
  "        }",
  "        next",
  "    }",
  "    if (acceptSameLine(\"lparen\")) then {",
  "        part.line := sym.line",
  "        part.linePos := sym.linePos",
  "        tok := sym",
  "        hadcall := true",
  "        methn := meth.value",
  "        part.name := methn",
  "        next",
  "        ifConsume {expression(blocksOK)} then {",
  "            // For matching blocks - same as below",
  "            if (accept(\"colon\")) then {",
  "                tmp := values.pop",
  "                if (tmp.kind != \"identifier\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(sym.next.kind == \"identifier\") then {",
  "                        suggestion.deleteTokenRange(sym, sym.next)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                            sym.line, sym.linePos, sym.next.linePos + sym.next.size - 1)withSuggestion(suggestion)",
  "                    } else {",
  "                        suggestion.deleteToken(sym)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                            sym.line, sym.linePos, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                }",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    checkBadTypeLiteral",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «type name»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                tmp.dtype := values.pop",
  "                values.push(tmp)",
  "            }",
  "            while {accept(\"comma\")} do {",
  "                tmp := values.pop",
  "                part.args.push(tmp)",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A method request must have an expression after a ','.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                // For matching blocks - same as above",
  "                if (accept(\"colon\")) then {",
  "                    tmp := values.pop",
  "                    if (tmp.kind != \"identifier\") then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        if(sym.next.kind == \"identifier\") then {",
  "                            suggestion.deleteTokenRange(sym, sym.next)leading(true)trailing(false)",
  "                            errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                                sym.line, sym.linePos, sym.next.linePos + sym.next.size - 1)withSuggestion(suggestion)",
  "                        } else {",
  "                            suggestion.deleteToken(sym)",
  "                            errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                                sym.line, sym.linePos, sym.linePos)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                    next",
  "                    if(didConsume({expression(blocksOK)}).not) then {",
  "                        checkBadTypeLiteral",
  "                        def suggestions = []",
  "                        var suggestion := errormessages.suggestion.new",
  "                        def nextTok = findNextValidToken(\"rparen\")",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «type name»\")",
  "                        }",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                        suggestions.push(suggestion)",
  "                        errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestions(suggestions)",
  "                    }",
  "                    tmp.dtype := values.pop",
  "                    values.push(tmp)",
  "                }",
  "            }",
  "            tmp := values.pop",
  "            part.args.push(tmp)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A method request beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        if (sym.line == part.line) then {",
  "            part.lineLength := sym.linePos - part.linePos",
  "        }",
  "        ln := linenum",
  "        next",
  "    } elseif (acceptBlocks.not && {accept(\"lbrace\")onLineOf(tok)}) then {",
  "        values.push(meth)",
  "    } elseif (accept(\"string\")onLineOf(tok) || accept(\"num\")onLineOf(tok)",
  "        || accept(\"lbrace\")onLineOf(tok)",
  "        || (accept(\"identifier\")onLineOf(tok) && ((sym.value == \"true\")",
  "                                   || (sym.value == \"false\")))) then {",
  "        tok := sym",
  "        hadcall := true",
  "        methn := meth.value",
  "        part.name := methn",
  "        ln := linenum",
  "        term",
  "        var ar := values.pop",
  "        part.args.push(ar)",
  "    } elseif (meth.kind == \"identifier\") then {",
  "        values.push(meth)",
  "    } elseif (meth.kind == \"member\") then {",
  "        var root := meth.in",
  "        var outroot := meth",
  "        while {root.kind == \"member\"} do {",
  "            outroot := root",
  "            root := root.in",
  "        }",
  "        if (root.kind == \"identifier\") then {",
  "            values.push(meth)",
  "        } else {",
  "            values.push(meth)",
  "        }",
  "    } else {",
  "        values.push(meth)",
  "    }",
  "    if (hadcall) then {",
  "        if (accept(\"identifier\")onLineOfLastOr(tok)) then {",
  "            // Multi-part method name",
  "            def meth' = ast.identifierNode.new(methn, false)",
  "            meth'.line := lnum",
  "            meth'.linePos := lpos",
  "            methn := callmprest(meth', signature, tok)",
  "            if (meth.kind == \"member\") then {",
  "                // callmprest loses this information, so restore",
  "                // the member lookup (for x.between(3)and(10)-type",
  "                // calls).",
  "                meth := ast.memberNode.new(methn.value, meth.in)",
  "            } else {",
  "                meth := methn",
  "            }",
  "        }",
  "        util.setline(lnum)",
  "        tmp := ast.callNode.new(meth, signature)",
  "        tmp.generics := genericIdents",
  "        values.push(tmp)",
  "    }",
  "    minIndentLevel := startInd",
  "    dotrest(acceptBlocks)",
  "}",
  "",
  "// Process the rest of a multi-part method name. Returns an identifier",
  "// to replace the one passed in, in which each word is joined by \"\",",
  "// and updates params in place.",
  "method callmprest(meth, signature, tok) {",
  "    var methname := meth.value",
  "    var nxt",
  "    var ln := linenum",
  "    var lp := meth.linePos",
  "    var part",
  "    while {accept(\"identifier\")onLineOf(tok)",
  "           || accept(\"identifier\")onLineOf(lastToken)} do {",
  "        // Each word must start on the same line as the preceding parameter",
  "        // ended.",
  "        part := ast.callWithPart.new",
  "        signature.push(part)",
  "        methname := methname ++ \"()\"",
  "        pushidentifier",
  "        nxt := values.pop",
  "        methname := methname ++ nxt.value",
  "        part.name := nxt.value",
  "        var isTerm := false",
  "        if ((accept(\"lparen\")).not && (accept(\"lbrace\")).not",
  "            && accept(\"string\").not && accept(\"num\").not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            if(sym.kind == \"identifier\") then {",
  "                suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value})\")",
  "                if(methname == \"while()do\") then {",
  "                    errormessages.syntaxError(\"A while loop must have either a loop body in braces, or a block in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } elseif(methname == \"for()do\") then {",
  "                    errormessages.syntaxError(\"A for loop must have either a loop body in braces, or a block in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"Each argument list in a multi-part method request must be parenthesized, unless it is self-delimiting.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            } else {",
  "                if(methname == \"while()do\") then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A while loop must have a body.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } elseif(methname == \"for()do\") then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A for loop must have a body.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.insert(\"()\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A multi-part method request must end with '()'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if (accept(\"lbrace\")onLineOfLastOr(tok)",
  "            || accept(\"string\")onLineOfLastOr(tok)",
  "            || accept(\"num\")onLineOfLastOr(tok)",
  "            || (accept(\"identifier\")onLineOfLastOr(tok)",
  "                && ((sym.value == \"true\")",
  "                    || (sym.value == \"false\")))) then {",
  "            isTerm := true",
  "        } else {",
  "            next",
  "        }",
  "        var isEmpty := false",
  "        if (accept \"rparen\") then {",
  "            isEmpty := true",
  "        }",
  "        if (isTerm) then {",
  "            ln := lastline",
  "            term",
  "        } else {",
  "            if(sym.kind != \"rparen\") then {",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A method request must have an expression or a ')' after a '('.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            while {accept(\"comma\")} do {",
  "                nxt := values.pop",
  "                part.args.push(nxt)",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A method request must have an expression after a ','.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "        }",
  "        if (!isEmpty) then {",
  "            nxt := values.pop",
  "            part.args.push(nxt)",
  "        }",
  "        if (isTerm.not) then {",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A part of a multi-part method request beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "        }",
  "        if (accept(\"rparen\") && isTerm.not) then {",
  "            ln := lastline",
  "            next",
  "        }",
  "    }",
  "    def meth' = ast.identifierNode.new(methname, false)",
  "    meth'.line := meth.line",
  "    meth'.linePos := meth.linePos",
  "    meth'",
  "}",
  "",
  "// Accept a const declaration",
  "method defdec {",
  "    if (accept(\"keyword\") && (sym.value == \"def\")) then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        def defTok = sym",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextToken = findNextToken({ t -> (t.kind == \"op\")",
  "                && (t.value == \"=\") && (t.line == sym.line)})",
  "            if(nextToken == false) then {",
  "                suggestion.insert(\" «name» =\")afterToken(lastToken)",
  "            } elseif(nextToken == sym) then {",
  "                suggestion.insert(\" «name»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextToken.prev)leading(false)trailing(true)with(\"«name» \")",
  "            }",
  "            errormessages.syntaxError(\"A constant declaration must have a name, a '=', and a value after the 'def'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        var val := false",
  "        var dtype := ast.identifierNode.new(\"Unknown\", false)",
  "        var name := values.pop",
  "        if (accept(\"colon\")) then {",
  "            next",
  "            typeexpression",
  "            dtype := values.pop",
  "        }",
  "        def anns = doannotation",
  "        if (accept(\"op\") && (sym.value == \"=\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken()",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A constant declaration must have a value after the '='.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            val := values.pop",
  "        } elseif (accept(\"bind\")) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(sym)with(\"=\")",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(defTok)with(\"var\")",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A constant declaration must use '=' instead of ':='. A variable declaration uses 'var' and ':='.\")atRange(",
  "                sym.line, sym.linePos, sym.linePos + 1)withSuggestions(suggestions)",
  "        } else {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" = «expression»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(defTok)with(\"var\")",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A constant declaration must have a '=' and a value after the name. \"",
  "                ++ \"A variable declaration does not require a value and uses 'var' instead of 'def'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        var o := ast.defDecNode.new(name, val, dtype)",
  "        var hasVisibility := false",
  "        var hasAccessibility := false",
  "        if (anns != false) then {",
  "            for (anns) do {a->",
  "                if ((a.kind == \"identifier\").andAlso {",
  "                    (a.value == \"public\")",
  "                     || (a.value == \"confidential\")}) then {",
  "                    hasVisibility := true",
  "                }",
  "                if ((a.kind == \"identifier\").andAlso {",
  "                    (a.value == \"readable\")",
  "                     || (a.value == \"writable\")}) then {",
  "                    hasAccessibility := true",
  "                }",
  "            }",
  "            o.annotations.extend(anns)",
  "        }",
  "        if ((!hasVisibility) && (!hasAccessibility)) then {",
  "            if (defaultDefVisibility == \"public\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"public\", false))",
  "            }",
  "        }",
  "        o.startToken := defTok",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a var declaration",
  "method vardec {",
  "    if (accept(\"keyword\") && (sym.value == \"var\")) then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        def varTok = sym",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextToken = findNextToken({ t -> (t.kind == \"bind\")",
  "                && (t.line == sym.line)})",
  "            if((nextToken == false).orElse({nextToken == sym})) then {",
  "                suggestion.insert(\" «name»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextToken.prev)leading(false)trailing(true)with(\"«name» \")",
  "            }",
  "            errormessages.syntaxError(\"A variable declaration must have a name after the 'var'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        var val := false",
  "        var dtype := ast.identifierNode.new(\"Unknown\", false)",
  "        var name := values.pop",
  "        if (accept(\"colon\")) then {",
  "            next",
  "            typeexpression",
  "            dtype := values.pop",
  "        }",
  "        def anns = doannotation",
  "        if (accept(\"bind\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken()",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A variable declaration must have a value after the ':='. \"",
  "                    ++ \"A variable without a value can be declared with 'var' followed only by the variable name.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "            val := values.pop",
  "        } else {",
  "            if (accept(\"op\") && (sym.value == \"=\")) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(sym)with(\":=\")",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(varTok)with(\"def\")",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A variable declaration must use ':=' instead of '='. A constant declaration uses 'def' and '='.\")",
  "                    atRange(sym.line, sym.linePos, sym.linePos)",
  "                    withSuggestions(suggestions)",
  "            }",
  "        }",
  "        var o := ast.varDecNode.new(name, val, dtype)",
  "        var hasVisibility := false",
  "        var hasAccessibility := false",
  "        if (anns != false) then {",
  "            for (anns) do {a->",
  "                if ((a.kind == \"identifier\").andAlso {",
  "                    (a.value == \"public\")",
  "                     || (a.value == \"confidential\")}) then {",
  "                    hasVisibility := true",
  "                }",
  "                if ((a.kind == \"identifier\").andAlso {",
  "                    (a.value == \"readable\")",
  "                     || (a.value == \"writable\")}) then {",
  "                    hasAccessibility := true",
  "                }",
  "            }",
  "            o.annotations.extend(anns)",
  "        }",
  "        if ((!hasVisibility) && (!hasAccessibility)) then {",
  "            if (defaultVarVisibility == \"public\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"readable\",",
  "                    false))",
  "                o.annotations.push(ast.identifierNode.new(\"writable\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a square-bracketed list literal like [1,2,3].",
  "method doarray {",
  "    if (accept(\"lsquare\")) then {",
  "        next",
  "        var tmp",
  "        var params := []",
  "        ifConsume {expression(blocksOK)} then {",
  "            while {accept(\"comma\")} do {",
  "                tmp := values.pop",
  "                params.push(tmp)",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rsquare\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A list must contain zero or more valid expressions separated by commas.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            tmp := values.pop",
  "            params.push(tmp)",
  "        }",
  "        if(sym.kind != \"rsquare\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"]\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A list beginning with a '[' must end with a ']'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        var o := ast.arrayNode.new(params)",
  "        values.push(o)",
  "        next",
  "    }",
  "}",
  "",
  "// Accept \"dialect \"X\"\"",
  "method dodialect {",
  "    if (accept(\"keyword\") && (sym.value == \"dialect\")) then {",
  "        next",
  "        if(sym.kind != \"string\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"\\\"{sym.value}\\\"\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" \\\"«dialect name»\\\"\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"A dialect statement must have the name of the dialect in quotes after the 'dialect'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        values.push(ast.dialectNode.new(sym.value))",
  "        next",
  "    }",
  "}",
  "",
  "// Accept \"inherits X.new\"",
  "method inheritsdec {",
  "    if (accept(\"keyword\") && (sym.value == \"inherits\")) then {",
  "        checkIndent",
  "        next",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rsquare\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\" «parent»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «parent»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"An inheritance statement must have the object being inherited from after the 'inherits'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "        var tmp := values.pop",
  "        values.push(ast.inheritsNode.new(tmp))",
  "    }",
  "}",
  "",
  "// Accept an object literal.",
  "method doobject {",
  "    // doobject because \"object\" is a keyword",
  "    if (accept(\"keyword\") && (sym.value == \"object\")) then {",
  "        def btok = sym",
  "        def localMinIndentLevel = minIndentLevel",
  "        next",
  "        var superclass := false",
  "        if(sym.kind != \"lbrace\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextToken({ t -> t.kind == \"rbrace\" })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "            }",
  "            errormessages.syntaxError(\"An object must have a '\\{' afer the 'object'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        values.push(object {",
  "            var kind := \"lbrace\"",
  "            var register := \"\"",
  "        })",
  "        next",
  "        if (sym.line == statementToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := statementToken.indent + 1",
  "        }",
  "        var sz := values.size",
  "        while {(accept(\"rbrace\")).not} do {",
  "            // An object body contains zero or more var declarations,",
  "            // const declarations, and method declarations. If anything",
  "            // else appears before the closing brace, it is a syntax error.",
  "            methoddec",
  "            inheritsdec",
  "            statement",
  "            if (sym.kind == \"eof\") then {",
  "                if(sym.kind != \"rbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\"}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An object must end with a '}'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            } elseif ((values.size == sz) && (lastToken.kind != \"semicolon\")) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.deleteToken(sym)",
  "                errormessages.syntaxError(\"An object can only contain variable, constant, and method declarations; and statements.\")atRange(",
  "                    sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestion(suggestion)",
  "            }",
  "            sz := values.size",
  "        }",
  "        next",
  "        var rbody := []",
  "        var n := values.pop",
  "        while {n.kind != \"lbrace\"} do {",
  "            rbody.push(n)",
  "            n := values.pop",
  "        }",
  "        var body := []",
  "        for (rbody.indices) do { x ->",
  "            // Reorder the list",
  "            var p := rbody.pop",
  "            body.push(p)",
  "        }",
  "        util.setline(btok.line)",
  "        var o := ast.objectNode.new(body, superclass)",
  "        values.push(o)",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "// Accept a class declaration",
  "// Class declarations are currently of the form:",
  "//   class classname.methodName (param1, param2) {",
  "//     inherits foo.new(...)",
  "//     var x",
  "//     method y(z) { ... }",
  "//   }",
  "method doclass {",
  "    if (accept(\"keyword\") && (sym.value == \"class\")) then {",
  "        def btok = sym",
  "        next",
  "        def localMinIndentLevel = minIndentLevel",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestions = []",
  "            if(sym.kind == \"lbrace\") then {",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «class name».new\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(lastToken)with(\"object\")",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\" «class name».new \\{}\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A class must have a name after the 'class'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "        def cname = if (tokens.first.kind == \"dot\") then {",
  "            pushidentifier // A class currently cannot be anonymous",
  "            def cname' = values.pop",
  "            if (!accept(\"dot\")) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.replaceToken(sym) with(\".\")",
  "                errormessages.syntaxError \"A class must have a dot after the object name.\"",
  "                    atPosition(lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "                    withSuggestion(suggestion)",
  "            }",
  "            next",
  "            cname'",
  "        } else {",
  "            false",
  "        }",
  "        var s := methodsignature(false)",
  "        var csig := s.sig",
  "        var methodName := s.m",
  "        var dtype := s.rtype",
  "        def anns = doannotation",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" \\{\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A class must have a '\\{' after the method name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if (sym.line == statementToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := statementToken.indent + 1",
  "        }",
  "        def body = []",
  "        while {(accept(\"rbrace\")).not.andAlso{sym.kind != \"eof\"}} do {",
  "            ifConsume {methoddec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {inheritsdec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {statement} then {",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        next",
  "        util.setline(btok.line)",
  "        def o = if (false == cname) then {",
  "            ast.methodNode.new(methodName, csig,",
  "                [ast.objectNode.new(body, false)], false)",
  "        } else {",
  "            ast.classNode.new(cname, csig, body, false, methodName, dtype)",
  "        }",
  "        o.generics := s.generics",
  "        if (false != anns) then {",
  "            o.annotations.extend(anns)",
  "        } else {",
  "            if (defaultMethodVisibility == \"confidential\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"confidential\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(o)",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "// Accept a factory method declaration",
  "method dofactoryMethod {",
  "    if ((accept(\"keyword\") && (sym.value == \"factory\")).andAlso{",
  "            tokens.first.kind == \"keyword\"}.andAlso{",
  "            tokens.first.value == \"method\"}) then {",
  "        def btok = sym",
  "        next",
  "        next",
  "        def localMinIndentLevel = minIndentLevel",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestions = []",
  "            if(sym.kind == \"lbrace\") then {",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «method name»\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(lastToken)with(\"object\")",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\" «method name» \\{}\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A factory method must have a name after the 'method'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "        var s := methodsignature(false)",
  "        var csig := s.sig",
  "        var methodName := s.m",
  "        var dtype := s.rtype",
  "        def anns = doannotation",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" \\{\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A factory method must have a '\\{' after the name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if (sym.line == statementToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := statementToken.indent + 1",
  "        }",
  "        def body = []",
  "        while {(accept(\"rbrace\")).not} do {",
  "            ifConsume {methoddec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {inheritsdec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {statement} then {",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        next",
  "        util.setline(btok.line)",
  "        def obj = ast.objectNode.new(body, false)",
  "        def meth = ast.methodNode.new(methodName, csig,",
  "            collections.list.new(obj), dtype)",
  "        meth.generics := s.generics",
  "        if (false != anns) then {",
  "            meth.annotations.extend(anns)",
  "        } else {",
  "            if (defaultMethodVisibility == \"confidential\") then {",
  "                meth.annotations.push(ast.identifierNode.new(\"confidential\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(meth)",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "// Accept a method declaration",
  "method methoddec {",
  "    if (accept(\"keyword\") && (sym.value == \"method\")) then {",
  "        def btok = sym",
  "        checkIndent",
  "        statementToken := sym",
  "        var stok := sym",
  "        next",
  "        var m := methodsignature(false)",
  "        var meth := m.m",
  "        var signature := m.sig",
  "        var dtype := m.rtype",
  "        var varargs := m.v",
  "        var generics := m.generics",
  "        var body := []",
  "        var localMin",
  "        def anns = doannotation",
  "        if (accept(\"lbrace\")) then {",
  "            next",
  "            localMin := minIndentLevel",
  "            if (sym.line == stok.line) then {",
  "                minIndentLevel := sym.linePos - 1",
  "            } else {",
  "                minIndentLevel := stok.indent + 1",
  "            }",
  "            values.push(object {",
  "                var kind := \"lbrace\"",
  "                var register := \"\"",
  "            })",
  "            statement",
  "            var s := values.pop",
  "            while {s.kind != \"lbrace\"} do {",
  "                // The body is a sequence of statements, and",
  "                // the method ends when no further statement",
  "                // is found.",
  "                body.push(s)",
  "                statement",
  "                s := values.pop",
  "            }",
  "            if(sym.kind != \"rbrace\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def closingBrace = findClosingBrace(btok, false)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == sym) then {",
  "                        suggestion.insert(\"}\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                }",
  "                suggestion.deleteToken(sym)",
  "                errormessages.syntaxError(\"A method must end with a '}'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            next",
  "            minIndentLevel := localMin",
  "        } else {",
  "            def suggestion = errormessages.suggestion.new",
  "            def closingBrace = findClosingBrace(btok, true)",
  "            if(closingBrace.found == false) then {",
  "                if(closingBrace.tok == lastToken) then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    suggestion.insert(\" \\{\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } else {",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)andTrailingSpace(true)",
  "            }",
  "            errormessages.syntaxError(\"A method must have a '\\{' after the name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        util.setline(btok.line)",
  "        var o := ast.methodNode.new(meth, signature, body, dtype)",
  "        if (varargs) then {",
  "            o.varargs := true",
  "        }",
  "        o.generics := generics",
  "        if (false != anns) then {",
  "            o.annotations.extend(anns)",
  "        } else {",
  "            if (defaultMethodVisibility == \"confidential\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"confidential\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Process the declaration of a multi-part method name. These follow",
  "// mostly the same rules as calls, but aren't strictly enforced to be on",
  "// a single line (because they are ended by \"{\" or \"->\"). This method",
  "// returns a replacement method name identifier and modifies params in",
  "// place.",
  "method parsempmndecrest(tm, sameline) {",
  "    var methname := tm.value.value",
  "    var signature := tm.signature",
  "    var nxt",
  "    while {(!sameline && accept(\"identifier\")) || acceptSameLine(\"identifier\")} do {",
  "        methname := methname ++ \"()\"",
  "        var part := ast.signaturePart.new",
  "        pushidentifier",
  "        nxt := values.pop",
  "        methname := methname ++ nxt.value",
  "        part.name := nxt.value",
  "        var vararg := false",
  "        if ((accept(\"lparen\")).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"()\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A multi-part method must have parentheses around each part of the method.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var comma := false",
  "        while {accept(\"identifier\")",
  "                || (accept(\"op\") && (sym.value == \"*\"))} do {",
  "            if (accept(\"op\")) then {",
  "                next",
  "                vararg := true",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«parameter name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    if(comma == false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteToken(lastToken)",
  "                        suggestions.push(suggestion)",
  "                    } else {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(comma, lastToken)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            pushidentifier",
  "            nxt := values.pop",
  "            if (accept(\"colon\")) then {",
  "                next",
  "                typeexpression",
  "                var tp := values.pop",
  "                nxt.dtype := tp",
  "            }",
  "            if (vararg) then {",
  "                part.vararg := nxt",
  "                tm.varargs := true",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A part of a multi-part method beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            } else {",
  "                part.params.push(nxt)",
  "            }",
  "            if (accept(\"comma\")) then {",
  "                comma := sym",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A part of a multi-part method beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        signature.push(part)",
  "    }",
  "    ast.identifierNode.new(methname, false)",
  "}",
  "",
  "// Accept a method signature",
  "method methodsignature(sameline) {",
  "    if((sym.kind != \"identifier\") && (sym.kind != \"op\") && (sym.kind != \"lsquare\")) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\" «method name»\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"A method name must start with an identifier, an operator, or '[]'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    pushidentifier",
  "    var meth := values.pop",
  "    var signature := []",
  "    var part := ast.signaturePart.new(meth.value)",
  "    var genericIdents := []",
  "    signature.push(part)",
  "    if (meth.value == \"[\") then {",
  "        if(sym.kind != \"rsquare\") then {",
  "            if((sym.kind == \"identifier\") && ((tokens.size == 0).orElse",
  "                {tokens.first.kind == \"rsquare\"})) then {",
  "                def suggestions = []",
  "                def suggestion = errormessages.suggestion.new",
  "                if(tokens.size == 0) then {",
  "                    suggestion.replaceToken(sym)with(\"]({sym.value})\")",
  "                    suggestions.push(suggestion)",
  "                } elseif(tokens.first.line == meth.line) then {",
  "                    suggestion.replaceTokenRange(sym, tokens.first)with(\"]({sym.value})\")",
  "                    suggestions.push(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"A method name beginning with '[]' must have the parameter name in parentheses after the '[]'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\"]\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A method name must either start with an identifier or '[]'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "        }",
  "        next",
  "        meth.value := \"[]\"",
  "    }",
  "    if (accept(\"lgeneric\")) then {",
  "        // Generic!",
  "        next",
  "        genericIdents := part.generics",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            genericIdents.push(values.pop)",
  "            if (accept(\"comma\")) then {",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A type containing a '<' must end with a '>'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    if (accept(\"bind\")) then {",
  "        next",
  "        meth.value := meth.value ++ \":=\"",
  "        part.name := part.name ++ \":=\"",
  "    } elseif (accept(\"op\") && (meth.value == \"prefix\")) then {",
  "        meth.value := meth.value ++ sym.value",
  "        part.name := part.name ++ sym.value",
  "        next",
  "    }",
  "    var dtype := false",
  "    var varargs := false",
  "    var vararg := false",
  "    if (accept(\"lparen\")) then {",
  "        def lparen = sym",
  "        part.linePos := sym.linePos",
  "        next",
  "        var id",
  "        var comma := false",
  "        while {accept(\"identifier\") ||",
  "                (accept(\"op\") && (sym.value == \"*\"))} do {",
  "            // Parse the parameter list, including optional dtype",
  "            // annotations.",
  "            if (accept(\"op\")) then {",
  "                next",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«parameter name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    if(comma == false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteToken(lastToken)",
  "                        suggestions.push(suggestion)",
  "                    } else {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(comma, lastToken)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "                }",
  "                vararg := true",
  "                varargs := true",
  "            }",
  "            pushidentifier",
  "            id := values.pop",
  "            dtype := false",
  "            if (accept(\"colon\")) then {",
  "                next",
  "                if (didConsume { typeexpression }) then {",
  "                    dtype := values.pop",
  "                } else {",
  "                    checkBadTypeLiteral",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(lastToken)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            id.dtype := dtype",
  "            if (vararg) then {",
  "                part.vararg := id",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def rparen = findNextToken({ t -> (t.kind == \"rparen\") && (t.line == sym.line) })",
  "                    if((sym.kind == \"comma\") && (rparen != false)) then {",
  "                        suggestion.insert(\",*{id.value}\")beforeToken(rparen)",
  "                        suggestion.deleteTokenRange(lparen.next, sym)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"A variable length parameter (a parameter beginning with a '*') cannot have any more parameters after it.\")atRange(",
  "                            lastToken.line, sym.linePos, rparen.linePos - 1)withSuggestion(suggestion)",
  "                    } else {",
  "                        suggestion.insert(\")\")afterToken(lastToken)",
  "                        errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atPosition(",
  "                            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                    }",
  "                }",
  "            } else {",
  "                part.params.push(id)",
  "            }",
  "            if (accept(\"comma\")) then {",
  "                comma := sym",
  "                next",
  "            } elseif (sym.kind != \"rparen\") then {",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def rparen = findNextToken({ t -> (t.kind == \"rparen\") && (t.line == lastToken.line) })",
  "            if(rparen == false) then {",
  "                suggestion.replaceToken(lastToken)with(\")\")",
  "            } else {",
  "                suggestion.deleteToken(sym)",
  "            }",
  "            errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atRange(",
  "                lastToken.line, lastToken.linePos, lastToken.linePos)withSuggestion(suggestion)",
  "        }",
  "        if (sym.line == part.line) then {",
  "            part.lineLength := sym.linePos - part.linePos",
  "        }",
  "        next",
  "        if ((!sameline && accept(\"identifier\")) ||",
  "            acceptSameLine(\"identifier\")) then {",
  "            // The presence of an identifier here means",
  "            // a multi-part method name.",
  "            var tm := ast.methodNode.new(meth, signature, [], false)",
  "            meth := parsempmndecrest(tm, sameline)",
  "            varargs := varargs || tm.varargs",
  "        }",
  "    }",
  "    if (accept(\"arrow\")) then {",
  "        // Return dtype",
  "        next",
  "        typeexpression",
  "        dtype := values.pop",
  "    } else {",
  "        dtype := false",
  "    }",
  "    var o := object {",
  "        var m := meth",
  "        var sig := signature",
  "        var rtype := dtype",
  "        var v := varargs",
  "        var generics := genericIdents",
  "    }",
  "    o",
  "}",
  "",
  "method doimport {",
  "    // Accept an import statement, which has the form",
  "    //      import ‹string› as ‹identifier›:‹type expression› is ‹annotation›",
  "    if (accept(\"keyword\") && (sym.value == \"import\")) then {",
  "        def importline = sym.line",
  "        next",
  "        if(sym.kind != \"string\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"\\\"{sym.value}\\\"\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" \\\"«module name»\\\"\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have the name of the module in quotes, 'as', and an identifier after 'import'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        pushstring",
  "        def p = values.pop",
  "        if((sym.kind != \"identifier\") || (sym.value != \"as\")) then {",
  "            var suggestion := errormessages.suggestion.new",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.insert(\" as\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.insert(\" as {p.value}\")afterToken(lastToken)",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have 'as', and an identifier after the name of the module in quotes.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"string\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"{sym.value}\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" {p.value}\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have an identifier after 'as'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        def name = values.pop",
  "        util.setline(importline)",
  "        def o = ast.importNode.new(p.value, name.value)",
  "        if (accept(\"colon\")) then {",
  "            next",
  "            typeexpression",
  "            o.dtype := values.pop",
  "        }",
  "        def anns = doannotation",
  "        if (anns == false) then {",
  "            if (defaultVarVisibility == \"public\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"readable\",",
  "                    false))",
  "                o.annotations.push(ast.identifierNode.new(\"writable\",",
  "                    false))",
  "            }",
  "        } else {",
  "            o.annotations.extend(anns)",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a return statement. return takes a mandatory argument,",
  "// of the form \"return x\". x may be any expression.",
  "method doreturn {",
  "    if (accept(\"keyword\") && (sym.value == \"return\")) then {",
  "        next",
  "        var retval",
  "        if (tokenOnSameLine) then {",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rbrace\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(sym)leading(true)trailing(false)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                }",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A return statement must have either an expression or a new-line after 'return'.\")atRange(",
  "                    sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestions(suggestions)",
  "            }",
  "            retval := values.pop",
  "        } else {",
  "            retval := ast.identifierNode.new(\"done\", false)",
  "        }",
  "        var o := ast.returnNode.new(retval)",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "method domethodtype {",
  "    // parses a method in a type literal",
  "    var m := methodsignature(true)",
  "    var meth := m.m",
  "    var signature := m.sig",
  "    var dtype := m.rtype",
  "    var varargs := m.v",
  "    if (dtype == false) then {",
  "        dtype := ast.identifierNode.new(\"Done\", false)",
  "    }",
  "    var o := ast.methodTypeNode.new(meth.value, signature, dtype)",
  "    o.generics := m.generics",
  "    values.push(o)",
  "    if (accept(\"semicolon\")) then {",
  "        next",
  "    } else {",
  "        if (!accept(\"rbrace\")) then {",
  "            if (lastToken.line == sym.line) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def newLine = util.lines[sym.line].substringFrom(1)to(lastToken.linePos - 1) ++ sym.value",
  "                suggestion.addLine(sym.line + 0.1, newLine)",
  "                suggestion.deleteToken(sym)leading(true)trailing(true)",
  "                errormessages.syntaxError(\"Methods in a type must be on separate lines, or separated by semicolons.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method dotypeLiteral {",
  "    // parses a type literal between braces, with optional leading 'type' keyword.",
  "    if (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "        next",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceToken(sym) with(\"\\{\")",
  "            errormessages.syntaxError \"type literals must open with a brace.\"",
  "                atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "            return",
  "        }",
  "    }",
  "    if (accept(\"lbrace\")) then {",
  "        def methods = []",
  "        def types = []",
  "        def mc = auto_count",
  "        auto_count := auto_count + 1",
  "        next",
  "        while {accept(\"rbrace\").not} do {",
  "            if (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "                typedec",
  "                types.push(values.pop)",
  "            } else {",
  "                domethodtype",
  "                methods.push(values.pop)",
  "            }",
  "        }",
  "        next",
  "        def t = ast.typeLiteralNode.new(methods, types)",
  "        values.push(t)",
  "    }",
  "}",
  "",
  "method typedec {",
  "    // Accept a declaration: 'type = <type expression>'",
  "    if (accept(\"keyword\") && (sym.value == \"type\")) then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A type declaration must have a name after the 'type'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        generic",
  "        var p := values.pop",
  "        var gens := []",
  "        if (p.kind == \"generic\") then {",
  "            gens := p.params",
  "            p := p.value",
  "        }",
  "        def anns = doannotation",
  "        if((sym.kind != \"op\") || (sym.value != \"=\")) then {",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextToken({ t -> t.kind == \"lbrace\" })",
  "            if((nextTok == false).orElse({nextTok == sym})) then {",
  "                suggestion.insert(\" =\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)with(\"=\")",
  "            }",
  "            errormessages.syntaxError(\"A type declaration must have a '=' after the type name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        // Special case for type Literals without leading 'type' keyword.",
  "        if (accept(\"lbrace\")) then {",
  "            dotypeLiteral",
  "        } else {",
  "            expression(noBlocks)",
  "        }",
  "        def nt = ast.typeDecNode.new(p, values.pop)",
  "        nt.generics := gens",
  "        if (false != anns) then {",
  "            nt.annotations.extend(anns)",
  "        }",
  "        values.push(nt)",
  "    }",
  "}",
  "",
  "method checkIndent {",
  "    if (indentFreePass) then {",
  "        indentFreePass := false",
  "    } elseif (sym.kind == \"semicolon\") then {",
  "        // pass",
  "    } elseif ((sym.kind == \"rbrace\") || (sym.kind == \"rparen\")",
  "        || (sym.kind == \"rsquare\")) then {",
  "        // pass",
  "    } elseif (sym.kind == \"eof\") then {",
  "    } elseif (sym.indent < minIndentLevel) then {",
  "        if ((sym.linePos - 1) != minIndentLevel) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            for(1..(minIndentLevel - (sym.linePos - 1))) do { _ ->",
  "                suggestion.insert(\" \")atPosition(1)onLine(sym.line)",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            // Find the indent level for the opening brace.",
  "            var tok := lastToken",
  "            while {(tok.linePos != (tok.indent + 1)) || (tok.indent >= minIndentLevel)} do { tok := tok.prev }",
  "            var line := \"\"",
  "            for(1..(tok.indent)) do { _ ->",
  "                line := line ++ \" \"",
  "            }",
  "            line := line ++ \"}\"",
  "            suggestion.addLine(sym.line - 0.9, line)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"The indentation for this line must be at least {minIndentLevel}. This is often caused by a missing '}'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    } elseif (sym.indent > minIndentLevel) then {",
  "        minIndentLevel := sym.indent",
  "    }",
  "}",
  "",
  "// Accept a statement. A statement is any of the above that may exist",
  "// at the top level, and includes expressions.",
  "// A statement may also be a bind statement x := y, which creates a",
  "// bind AST node out of the expressions on either side (which at this point",
  "// can be any arbitrary expression).",
  "method statement {",
  "    statementIndent := sym.indent",
  "    statementToken := sym",
  "    checkIndent",
  "    if (accept(\"keyword\")) then {",
  "        if (sym.value == \"var\") then {",
  "            vardec",
  "        } elseif (sym.value == \"def\") then {",
  "            defdec",
  "        } elseif (sym.value == \"import\") then {",
  "            doimport",
  "        } elseif (sym.value == \"dialect\") then {",
  "            dodialect",
  "        } elseif (sym.value == \"type\") then {",
  "            typedec",
  "        } elseif (sym.value == \"class\") then {",
  "            doclass",
  "        } elseif (sym.value == \"factory\") then {",
  "            dofactoryMethod",
  "        } elseif (sym.value == \"return\") then {",
  "            doreturn",
  "        } else {",
  "            expression(blocksOK)",
  "        }",
  "    } else {",
  "        ifConsume {expression(blocksOK)} then {",
  "            if (((values.last.kind == \"identifier\")",
  "                || (values.last.kind == \"member\")",
  "                || (values.last.kind == \"index\"))",
  "                && accept(\"bind\")) then {",
  "                var dest := values.pop",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rbrace\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A valid expression must follow ':='.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                var val := values.pop",
  "                var o := ast.bindNode.new(dest, val)",
  "                values.push(o)",
  "            }",
  "        }",
  "    }",
  "    if (accept(\"eof\")) then {",
  "        return true",
  "    }",
  "    if (accept(\"semicolon\")) then {",
  "        def oldLine = sym.line",
  "        next",
  "        if (sym.line == oldLine) then {",
  "            indentFreePass := true",
  "        }",
  "    } else {",
  "        checkUnexpectedTokenAfterStatement",
  "    }",
  "}",
  "",
  "method checkBadOperators {",
  "    if (sym.value == \"=\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\"=\")afterToken(sym)",
  "        errormessages.syntaxError(\"Use '==' to test equality, not '='.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "    if (sym.kind == \"rgeneric\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\" \")beforeToken(sym)",
  "        errormessages.syntaxError(\"The '>' operator must be preceded by a space.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "}",
  "",
  "method checkBadTypeLiteral {",
  "    if (sym.kind == \"lbrace\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\"type \") beforeToken(sym)",
  "        errormessages.syntaxError(\"type literals must start with the keyword 'type'.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "}",
  "",
  "method checkUnexpectedTokenAfterStatement {",
  "    if (sym.line == lastToken.line) then {",
  "        if ((sym.kind == \"op\") && (sym.value == \"=\")",
  "            && (lastToken.kind == \"identifier\")) then {",
  "            def sugg = errormessages.suggestion.new",
  "            def suggestions = []",
  "            sugg.replaceToken(sym)leading(false)trailing(false)with(\":=\")",
  "            suggestions.push(sugg)",
  "            def sugg2 = errormessages.suggestion.new",
  "            sugg2.replaceToken(sym)leading(false)trailing(false)with \"==\"",
  "            suggestions.push(sugg2)",
  "            errormessages.syntaxError(\"Assignment uses ':=', not '='.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos)",
  "                withSuggestions (suggestions)",
  "        }",
  "        if (sym.kind == \"rgeneric\") then {",
  "            def sugg = errormessages.suggestion.new",
  "            sugg.insert(\" \")atPosition(sym.linePos)onLine(sym.line)",
  "            errormessages.syntaxError(",
  "                    \"The '>' operator must have a space before it.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos)",
  "                withSuggestion(sugg)",
  "        }",
  "        if (sym.kind != \"rbrace\") then {",
  "            def suggestions = []",
  "            var suggestion",
  "            if ((values.size > 0).andAlso {",
  "                    (values.last.kind == \"identifier\").orElse {",
  "                        values.last.kind == \"member\"",
  "                    }.andAlso {",
  "                        sym.kind == \"identifier\"",
  "                    }",
  "                }) then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value})\")",
  "                suggestions.push(suggestion)",
  "                if (false != sym.next) then {",
  "                    def n = sym.next",
  "                    if (n.line == sym.line) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value}\")",
  "                        suggestion.append \")\" onLine(sym.line)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                }",
  "                if (values.last.kind == \"identifier\") then {",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceToken(sym)leading(false)trailing(false)with(\"\\\"{sym.value}\\\"\")",
  "                    suggestions.push(suggestion)",
  "                }",
  "            }",
  "            def nextTok = findNextValidToken(\"rbrace\")",
  "            if(nextTok == sym) then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lastToken.line, util.lines[lastToken.line].substringFrom(1)to(lastToken.linePos + lastToken.size - 1))",
  "                def newLine = util.lines[sym.line].substringFrom(sym.linePos)to(util.lines[sym.line].size)",
  "                suggestion.addLine(lastToken.line + 0.1, newLine)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"Multiple statements must be separated by a newline or a semicolon. This is often caused by missing parentheses.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    }",
  "}",
  "",
  "// Parse the given list of tokens, returning a list of AST nodes",
  "// corresponding to it.",
  "method parse(toks) {",
  "    util.log_verbose(\"processing tokens.\")",
  "    values := []",
  "    if (util.extensions.contains(\"DefaultVisibility\")) then {",
  "        defaultDefVisibility := util.extensions.get(\"DefaultVisibility\")",
  "        defaultVarVisibility := util.extensions.get(\"DefaultVisibility\")",
  "        defaultMethodVisibility := util.extensions.get(\"DefaultVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultDefVisibility\")) then {",
  "        defaultDefVisibility := util.extensions.get(\"DefaultDefVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultVarVisibility\")) then {",
  "        defaultVarVisibility := util.extensions.get(\"DefaultVarVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultMethodVisibility\")) then {",
  "        defaultMethodVisibility := util.extensions.get(\"DefaultMethodVisibility\")",
  "    }",
  "    if (toks.size == 0) then {",
  "        return []",
  "    }",
  "    tokens := toks",
  "    sym := tokens.first",
  "    if (sym.indent > 0) then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.deleteRange(1, sym.indent) onLine(sym.line)",
  "        errormessages.syntaxError(\"The first line must not be indented.\")",
  "            atRange(sym.line, 1, sym.indent)",
  "            withSuggestion(sugg)",
  "    }",
  "    sym.prev := lastToken",
  "// TODO: Do this in lexer.",
  "    tokens.push(object {",
  "        var kind := \"eof\"",
  "        var line := tokens.last.line",
  "        var linePos := util.lines[tokens.last.line].size + 1",
  "        var indent := 0",
  "        var value := \"\"",
  "        def size = 0",
  "        var next := false",
  "        var prev := false",
  "    })",
  "    util.log_verbose(\"parsing.\")",
  "    linenum := 1",
  "    next",
  "    var oldlength := tokens.size",
  "    while {tokens.size > 0} do {",
  "        blank",
  "        methoddec",
  "        blank",
  "        inheritsdec",
  "        blank",
  "        statement",
  "        if (tokens.size == oldlength) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.deleteToken(sym)",
  "            errormessages.syntaxError(\"Invalid statement. This is often caused by an extra '}', ')', or ']'.\")atRange(",
  "                sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestion(suggestion)",
  "        }",
  "        oldlength := tokens.size",
  "    }",
  "    statement",
  "    values",
  "}",
  NULL
};
Object reader_parser_outer_85(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_86(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_86(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_87(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_87(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_88(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_88(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_89(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_89(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_90(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_90(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_91(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_parser_outer_281(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_found_282(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_found_282(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_tok_283(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_tok_283(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_7994(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_7995(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_7995(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_register_7996(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_register_7996(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_8815(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_8816(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_8816(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_register_8817(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_register_8817(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_9968(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_m_9969(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_m_9969(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_sig_9970(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_sig_9970(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_rtype_9971(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_rtype_9971(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_v_9972(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_v_9972(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_generics_9973(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_generics_9973(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_outer_11643(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_11644(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_11644(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_11645(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_11645(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_11646(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_11646(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_11647(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_11647(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_11648(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_11648(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_11649(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_parser_next_11650(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_parser_next_11650(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_parser_prev_11651(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_parser_prev_11651(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_parser_outer_11809(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_11810(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_11810(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_11811(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_11811(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_11812(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_11812(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_11813(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_11813(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_11814(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_11814(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_11815(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
static Object strlit18;
static Object strlit23;
static Object strlit39;
static Object strlit70;
static Object strlit76;
static ClassData objclass84;
static Object strlit92;
static Object strlit107;
static Object strlit159;
static Object strlit206;
static Object strlit238;
static Object strlit239;
static Object strlit240;
static Object strlit241;
static Object strlit242;
static Object strlit243;
static Object strlit244;
static Object strlit245;
static Object strlit250;
static ClassData objclass280;
static Object strlit297;
static Object strlit308;
static Object strlit320;
static Object strlit348;
static Object strlit359;
static Object strlit371;
static Object strlit388;
static Object strlit405;
static Object strlit602;
static Object strlit610;
static Object strlit628;
static Object strlit655;
static Object strlit665;
static Object strlit689;
static Object strlit720;
static Object strlit728;
static Object strlit755;
static Object strlit762;
static Object strlit769;
static Object strlit787;
static Object strlit806;
static Object strlit835;
static Object strlit842;
static Object strlit849;
static Object strlit867;
static Object strlit912;
static Object strlit928;
static Object strlit941;
static Object strlit948;
static Object strlit958;
static Object strlit978;
static Object strlit985;
static Object strlit992;
static Object strlit995;
static Object strlit1003;
static Object strlit1015;
static Object strlit1018;
static Object strlit1047;
static Object strlit1064;
static Object strlit1082;
static Object strlit1087;
static Object strlit1091;
static Object strlit1100;
static Object strlit1122;
static Object strlit1123;
static Object strlit1130;
static Object strlit1137;
static Object strlit1155;
static Object strlit1171;
static Object strlit1183;
static Object strlit1193;
static Object strlit1224;
static Object strlit1229;
static Object strlit1241;
static Object strlit1255;
static Object strlit1272;
static Object strlit1282;
static Object strlit1289;
static Object strlit1296;
static Object strlit1299;
static Object strlit1302;
static Object strlit1312;
static Object strlit1322;
static Object strlit1339;
static Object strlit1344;
static Object strlit1354;
static Object strlit1363;
static Object strlit1393;
static Object strlit1400;
static Object strlit1407;
static Object strlit1425;
static Object strlit1441;
static Object strlit1465;
static Object strlit1492;
static Object strlit1513;
static Object strlit1516;
static Object strlit1563;
static Object strlit1570;
static Object strlit1577;
static Object strlit1593;
static Object strlit1600;
static Object strlit1609;
static Object strlit1616;
static Object strlit1640;
static Object strlit1644;
static Object strlit1654;
static Object strlit1657;
static Object strlit1661;
static Object strlit1671;
static Object strlit1674;
static Object strlit1677;
static Object strlit1684;
static Object strlit1694;
static Object strlit1697;
static Object strlit1700;
static Object strlit1706;
static Object strlit1733;
static Object strlit1755;
static Object strlit1763;
static Object strlit1770;
static Object strlit1773;
static Object strlit1784;
static Object strlit1787;
static Object strlit1798;
static Object strlit1801;
static Object strlit1815;
static Object strlit1827;
static Object strlit1830;
static Object strlit1854;
static Object strlit1861;
static Object strlit1868;
static Object strlit1896;
static Object strlit1907;
static Object strlit1912;
static Object strlit1917;
static Object strlit1920;
static Object strlit1954;
static Object strlit1991;
static Object strlit2002;
static Object strlit2007;
static Object strlit2027;
static Object strlit2034;
static Object strlit2048;
static Object strlit2055;
static Object strlit2063;
static Object strlit2066;
static Object strlit2069;
static Object strlit2072;
static Object strlit2075;
static Object strlit2076;
static Object strlit2079;
static Object strlit2093;
static Object strlit2100;
static Object strlit2109;
static Object strlit2117;
static Object strlit2124;
static Object strlit2149;
static Object strlit2153;
static Object strlit2163;
static Object strlit2166;
static Object strlit2170;
static Object strlit2180;
static Object strlit2183;
static Object strlit2186;
static Object strlit2193;
static Object strlit2203;
static Object strlit2206;
static Object strlit2209;
static Object strlit2215;
static Object strlit2243;
static Object strlit2250;
static Object strlit2273;
static Object strlit2281;
static Object strlit2288;
static Object strlit2291;
static Object strlit2302;
static Object strlit2305;
static Object strlit2316;
static Object strlit2319;
static Object strlit2344;
static Object strlit2348;
static Object strlit2353;
static Object strlit2357;
static Object strlit2380;
static Object strlit2387;
static Object strlit2400;
static Object strlit2424;
static Object strlit2429;
static Object strlit2440;
static Object strlit2445;
static Object strlit2464;
static Object strlit2467;
static Object strlit2478;
static Object strlit2481;
static Object strlit2484;
static Object strlit2492;
static Object strlit2520;
static Object strlit2531;
static Object strlit2536;
static Object strlit2541;
static Object strlit2544;
static Object strlit2578;
static Object strlit2615;
static Object strlit2626;
static Object strlit2631;
static Object strlit2661;
static Object strlit2668;
static Object strlit2675;
static Object strlit2703;
static Object strlit2714;
static Object strlit2719;
static Object strlit2724;
static Object strlit2727;
static Object strlit2761;
static Object strlit2798;
static Object strlit2809;
static Object strlit2814;
static Object strlit2841;
static Object strlit2865;
static Object strlit2870;
static Object strlit2881;
static Object strlit2886;
static Object strlit2905;
static Object strlit2908;
static Object strlit2919;
static Object strlit2922;
static Object strlit2925;
static Object strlit2936;
static Object strlit2940;
static Object strlit2952;
static Object strlit2960;
static Object strlit2979;
static Object strlit2986;
static Object strlit2993;
static Object strlit2996;
static Object strlit3004;
static Object strlit3016;
static Object strlit3019;
static Object strlit3048;
static Object strlit3055;
static Object strlit3062;
static Object strlit3068;
static Object strlit3095;
static Object strlit3118;
static Object strlit3139;
static Object strlit3150;
static Object strlit3161;
static Object strlit3172;
static Object strlit3183;
static Object strlit3197;
static Object strlit3229;
static Object strlit3235;
static Object strlit3245;
static Object strlit3252;
static Object strlit3256;
static Object strlit3271;
static Object strlit3281;
static Object strlit3288;
static Object strlit3292;
static Object strlit3316;
static Object strlit3323;
static Object strlit3332;
static Object strlit3338;
static Object strlit3353;
static Object strlit3360;
static Object strlit3378;
static Object strlit3386;
static Object strlit3401;
static Object strlit3405;
static Object strlit3411;
static Object strlit3415;
static Object strlit3425;
static Object strlit3429;
static Object strlit3434;
static Object strlit3440;
static Object strlit3443;
static Object strlit3446;
static Object strlit3478;
static Object strlit3485;
static Object strlit3492;
static Object strlit3495;
static Object strlit3503;
static Object strlit3515;
static Object strlit3518;
static Object strlit3540;
static Object strlit3547;
static Object strlit3557;
static Object strlit3563;
static Object strlit3582;
static Object strlit3589;
static Object strlit3596;
static Object strlit3599;
static Object strlit3607;
static Object strlit3619;
static Object strlit3622;
static Object strlit3648;
static Object strlit3653;
static Object strlit3662;
static Object strlit3672;
static Object strlit3677;
static Object strlit3682;
static Object strlit3687;
static Object strlit3702;
static Object strlit3709;
static Object strlit3717;
static Object strlit3721;
static Object strlit3724;
static Object strlit3726;
static Object strlit3743;
static Object strlit3750;
static Object strlit3757;
static Object strlit3763;
static Object strlit3782;
static Object strlit3789;
static Object strlit3796;
static Object strlit3799;
static Object strlit3807;
static Object strlit3819;
static Object strlit3822;
static Object strlit3848;
static Object strlit3853;
static Object strlit3862;
static Object strlit3872;
static Object strlit3877;
static Object strlit3882;
static Object strlit3887;
static Object strlit3908;
static Object strlit3915;
static Object strlit3924;
static Object strlit3927;
static Object strlit3929;
static Object strlit3935;
static Object strlit3941;
static Object strlit3956;
static Object strlit3963;
static Object strlit3981;
static Object strlit3989;
static Object strlit4004;
static Object strlit4008;
static Object strlit4014;
static Object strlit4018;
static Object strlit4028;
static Object strlit4032;
static Object strlit4037;
static Object strlit4043;
static Object strlit4046;
static Object strlit4049;
static Object strlit4081;
static Object strlit4088;
static Object strlit4095;
static Object strlit4098;
static Object strlit4106;
static Object strlit4118;
static Object strlit4121;
static Object strlit4143;
static Object strlit4150;
static Object strlit4160;
static Object strlit4166;
static Object strlit4185;
static Object strlit4192;
static Object strlit4199;
static Object strlit4202;
static Object strlit4210;
static Object strlit4222;
static Object strlit4225;
static Object strlit4251;
static Object strlit4256;
static Object strlit4265;
static Object strlit4275;
static Object strlit4280;
static Object strlit4285;
static Object strlit4290;
static Object strlit4305;
static Object strlit4312;
static Object strlit4319;
static Object strlit4325;
static Object strlit4344;
static Object strlit4351;
static Object strlit4358;
static Object strlit4361;
static Object strlit4369;
static Object strlit4381;
static Object strlit4384;
static Object strlit4410;
static Object strlit4415;
static Object strlit4424;
static Object strlit4434;
static Object strlit4439;
static Object strlit4444;
static Object strlit4449;
static Object strlit4470;
static Object strlit4477;
static Object strlit4486;
static Object strlit4501;
static Object strlit4508;
static Object strlit4525;
static Object strlit4540;
static Object strlit4544;
static Object strlit4554;
static Object strlit4557;
static Object strlit4561;
static Object strlit4567;
static Object strlit4570;
static Object strlit4576;
static Object strlit4604;
static Object strlit4611;
static Object strlit4618;
static Object strlit4621;
static Object strlit4631;
static Object strlit4643;
static Object strlit4646;
static Object strlit4666;
static Object strlit4673;
static Object strlit4683;
static Object strlit4689;
static Object strlit4708;
static Object strlit4715;
static Object strlit4722;
static Object strlit4725;
static Object strlit4733;
static Object strlit4745;
static Object strlit4748;
static Object strlit4774;
static Object strlit4779;
static Object strlit4788;
static Object strlit4798;
static Object strlit4803;
static Object strlit4808;
static Object strlit4813;
static Object strlit4835;
static Object strlit4841;
static Object strlit4847;
static Object strlit4854;
static Object strlit4861;
static Object strlit4869;
static Object strlit4876;
static Object strlit4884;
static Object strlit4891;
static Object strlit4898;
static Object strlit4905;
static Object strlit4912;
static Object strlit4922;
static Object strlit4929;
static Object strlit4936;
static Object strlit4942;
static Object strlit4948;
static Object strlit4957;
static Object strlit4977;
static Object strlit4984;
static Object strlit4991;
static Object strlit4994;
static Object strlit5002;
static Object strlit5014;
static Object strlit5017;
static Object strlit5050;
static Object strlit5072;
static Object strlit5079;
static Object strlit5086;
static Object strlit5092;
static Object strlit5109;
static Object strlit5119;
static Object strlit5129;
static Object strlit5132;
static Object strlit5160;
static Object strlit5166;
static Object strlit5187;
static Object strlit5190;
static Object strlit5200;
static Object strlit5203;
static Object strlit5219;
static Object strlit5227;
static Object strlit5234;
static Object strlit5256;
static Object strlit5262;
static Object strlit5268;
static Object strlit5273;
static Object strlit5292;
static Object strlit5303;
static Object strlit5306;
static Object strlit5318;
static Object strlit5323;
static Object strlit5334;
static Object strlit5387;
static Object strlit5401;
static Object strlit5409;
static Object strlit5413;
static Object strlit5423;
static Object strlit5427;
static Object strlit5433;
static Object strlit5437;
static Object strlit5447;
static Object strlit5459;
static Object strlit5462;
static Object strlit5498;
static Object strlit5502;
static Object strlit5521;
static Object strlit5532;
static Object strlit5538;
static Object strlit5567;
static Object strlit5568;
static Object strlit5569;
static Object strlit5570;
static Object strlit5578;
static Object strlit5582;
static Object strlit5592;
static Object strlit5596;
static Object strlit5617;
static Object strlit5624;
static Object strlit5628;
static Object strlit5699;
static Object strlit5708;
static Object strlit5716;
static Object strlit5730;
static Object strlit5737;
static Object strlit5742;
static Object strlit5747;
static Object strlit5752;
static Object strlit5758;
static Object strlit5764;
static Object strlit5788;
static Object strlit5793;
static Object strlit5813;
static Object strlit5820;
static Object strlit5830;
static Object strlit5853;
static Object strlit5866;
static Object strlit5879;
static Object strlit5887;
static Object strlit5897;
static Object strlit5904;
static Object strlit5908;
static Object strlit5923;
static Object strlit5953;
static Object strlit5960;
static Object strlit5971;
static Object strlit5985;
static Object strlit6011;
static Object strlit6039;
static Object strlit6046;
static Object strlit6053;
static Object strlit6071;
static Object strlit6087;
static Object strlit6117;
static Object strlit6124;
static Object strlit6131;
static Object strlit6149;
static Object strlit6157;
static Object strlit6164;
static Object strlit6175;
static Object strlit6189;
static Object strlit6213;
static Object strlit6241;
static Object strlit6248;
static Object strlit6255;
static Object strlit6273;
static Object strlit6298;
static Object strlit6310;
static Object strlit6313;
static Object strlit6349;
static Object strlit6363;
static Object strlit6370;
static Object strlit6378;
static Object strlit6384;
static Object strlit6389;
static Object strlit6393;
static Object strlit6417;
static Object strlit6426;
static Object strlit6437;
static Object strlit6453;
static Object strlit6467;
static Object strlit6483;
static Object strlit6522;
static Object strlit6526;
static Object strlit6540;
static Object strlit6564;
static Object strlit6571;
static Object strlit6578;
static Object strlit6584;
static Object strlit6596;
static Object strlit6605;
static Object strlit6611;
static Object strlit6617;
static Object strlit6621;
static Object strlit6629;
static Object strlit6633;
static Object strlit6640;
static Object strlit6648;
static Object strlit6652;
static Object strlit6655;
static Object strlit6663;
static Object strlit6667;
static Object strlit6670;
static Object strlit6677;
static Object strlit6680;
static Object strlit6691;
static Object strlit6698;
static Object strlit6706;
static Object strlit6712;
static Object strlit6717;
static Object strlit6721;
static Object strlit6733;
static Object strlit6743;
static Object strlit6764;
static Object strlit6771;
static Object strlit6778;
static Object strlit6796;
static Object strlit6806;
static Object strlit6836;
static Object strlit6843;
static Object strlit6850;
static Object strlit6868;
static Object strlit6891;
static Object strlit6903;
static Object strlit6906;
static Object strlit6923;
static Object strlit6948;
static Object strlit6955;
static Object strlit6966;
static Object strlit6989;
static Object strlit6996;
static Object strlit7011;
static Object strlit7018;
static Object strlit7025;
static Object strlit7028;
static Object strlit7038;
static Object strlit7047;
static Object strlit7061;
static Object strlit7068;
static Object strlit7094;
static Object strlit7101;
static Object strlit7104;
static Object strlit7120;
static Object strlit7128;
static Object strlit7138;
static Object strlit7143;
static Object strlit7161;
static Object strlit7171;
static Object strlit7177;
static Object strlit7179;
static Object strlit7206;
static Object strlit7213;
static Object strlit7221;
static Object strlit7235;
static Object strlit7242;
static Object strlit7250;
static Object strlit7274;
static Object strlit7279;
static Object strlit7295;
static Object strlit7302;
static Object strlit7313;
static Object strlit7335;
static Object strlit7357;
static Object strlit7364;
static Object strlit7367;
static Object strlit7377;
static Object strlit7386;
static Object strlit7399;
static Object strlit7425;
static Object strlit7432;
static Object strlit7451;
static Object strlit7453;
static Object strlit7471;
static Object strlit7478;
static Object strlit7487;
static Object strlit7497;
static Object strlit7502;
static Object strlit7530;
static Object strlit7537;
static Object strlit7545;
static Object strlit7559;
static Object strlit7566;
static Object strlit7574;
static Object strlit7598;
static Object strlit7603;
static Object strlit7613;
static Object strlit7626;
static Object strlit7643;
static Object strlit7671;
static Object strlit7678;
static Object strlit7685;
static Object strlit7703;
static Object strlit7720;
static Object strlit7730;
static Object strlit7733;
static Object strlit7756;
static Object strlit7763;
static Object strlit7770;
static Object strlit7790;
static Object strlit7798;
static Object strlit7804;
static Object strlit7812;
static Object strlit7827;
static Object strlit7845;
static Object strlit7852;
static Object strlit7875;
static Object strlit7882;
static Object strlit7889;
static Object strlit7907;
static Object strlit7934;
static Object strlit7941;
static Object strlit7949;
static Object strlit7962;
static Object strlit7975;
static Object strlit7978;
static Object strlit7981;
static ClassData objclass7993;
static Object strlit7997;
static Object strlit7998;
static Object strlit8031;
static Object strlit8045;
static Object strlit8052;
static Object strlit8062;
static Object strlit8065;
static Object strlit8079;
static Object strlit8098;
static Object strlit8129;
static Object strlit8171;
static Object strlit8178;
static Object strlit8185;
static Object strlit8193;
static Object strlit8203;
static Object strlit8213;
static Object strlit8222;
static Object strlit8227;
static Object strlit8244;
static Object strlit8258;
static Object strlit8266;
static Object strlit8269;
static Object strlit8301;
static Object strlit8309;
static Object strlit8312;
static Object strlit8359;
static Object strlit8367;
static Object strlit8460;
static Object strlit8465;
static Object strlit8482;
static Object strlit8494;
static Object strlit8504;
static Object strlit8511;
static Object strlit8522;
static Object strlit8530;
static Object strlit8540;
static Object strlit8550;
static Object strlit8559;
static Object strlit8564;
static Object strlit8593;
static Object strlit8601;
static Object strlit8604;
static Object strlit8649;
static Object strlit8733;
static Object strlit8738;
static Object strlit8753;
static Object strlit8760;
static Object strlit8786;
static ClassData objclass8814;
static Object strlit8818;
static Object strlit8819;
static Object strlit8829;
static Object strlit8848;
static Object strlit8874;
static Object strlit8885;
static Object strlit8890;
static Object strlit8920;
static Object strlit8932;
static Object strlit8935;
static Object strlit8939;
static Object strlit8943;
static Object strlit8979;
static Object strlit8984;
static Object strlit9006;
static Object strlit9011;
static Object strlit9022;
static Object strlit9049;
static Object strlit9057;
static Object strlit9060;
static Object strlit9075;
static Object strlit9082;
static Object strlit9087;
static Object strlit9095;
static Object strlit9103;
static Object strlit9114;
static Object strlit9142;
static Object strlit9160;
static Object strlit9178;
static Object strlit9188;
static Object strlit9191;
static Object strlit9208;
static Object strlit9217;
static Object strlit9227;
static Object strlit9230;
static Object strlit9256;
static Object strlit9264;
static Object strlit9271;
static Object strlit9283;
static Object strlit9286;
static Object strlit9313;
static Object strlit9320;
static Object strlit9331;
static Object strlit9348;
static Object strlit9368;
static Object strlit9374;
static Object strlit9394;
static Object strlit9400;
static Object strlit9407;
static Object strlit9423;
static Object strlit9426;
static Object strlit9440;
static Object strlit9444;
static Object strlit9455;
static Object strlit9468;
static Object strlit9476;
static Object strlit9486;
static Object strlit9489;
static Object strlit9504;
static Object strlit9510;
static Object strlit9518;
static Object strlit9527;
static Object strlit9534;
static Object strlit9562;
static Object strlit9577;
static Object strlit9584;
static Object strlit9589;
static Object strlit9597;
static Object strlit9603;
static Object strlit9614;
static Object strlit9642;
static Object strlit9666;
static Object strlit9689;
static Object strlit9705;
static Object strlit9718;
static Object strlit9740;
static Object strlit9756;
static Object strlit9764;
static Object strlit9770;
static Object strlit9781;
static Object strlit9794;
static Object strlit9797;
static Object strlit9814;
static Object strlit9821;
static Object strlit9828;
static Object strlit9838;
static Object strlit9841;
static Object strlit9856;
static Object strlit9878;
static Object strlit9892;
static Object strlit9897;
static Object strlit9927;
static Object strlit9932;
static Object strlit9956;
static ClassData objclass9967;
static Object strlit9979;
static Object strlit9986;
static Object strlit9995;
static Object strlit10015;
static Object strlit10023;
static Object strlit10029;
static Object strlit10037;
static Object strlit10052;
static Object strlit10063;
static Object strlit10070;
static Object strlit10091;
static Object strlit10098;
static Object strlit10102;
static Object strlit10108;
static Object strlit10113;
static Object strlit10132;
static Object strlit10152;
static Object strlit10160;
static Object strlit10166;
static Object strlit10175;
static Object strlit10181;
static Object strlit10198;
static Object strlit10218;
static Object strlit10237;
static Object strlit10242;
static Object strlit10252;
static Object strlit10270;
static Object strlit10277;
static Object strlit10301;
static Object strlit10308;
static Object strlit10326;
static Object strlit10344;
static Object strlit10365;
static Object strlit10395;
static Object strlit10415;
static Object strlit10422;
static Object strlit10469;
static Object strlit10481;
static Object strlit10488;
static Object strlit10496;
static Object strlit10504;
static Object strlit10507;
static Object strlit10515;
static Object strlit10531;
static Object strlit10542;
static Object strlit10549;
static Object strlit10578;
static Object strlit10585;
static Object strlit10596;
static Object strlit10606;
static Object strlit10609;
static Object strlit10633;
static Object strlit10649;
static Object strlit10656;
static Object strlit10670;
static Object strlit10691;
static Object strlit10696;
static Object strlit10699;
static Object strlit10718;
static Object strlit10749;
static Object strlit10757;
static Object strlit10765;
static Object strlit10772;
static Object strlit10781;
static Object strlit10824;
static Object strlit10868;
static Object strlit10879;
static Object strlit10886;
static Object strlit10902;
static Object strlit10906;
static Object strlit10932;
static Object strlit10936;
static Object strlit10945;
static Object strlit10954;
static Object strlit10963;
static Object strlit10972;
static Object strlit10981;
static Object strlit10990;
static Object strlit10999;
static Object strlit11019;
static Object strlit11024;
static Object strlit11034;
static Object strlit11043;
static Object strlit11073;
static Object strlit11080;
static Object strlit11087;
static Object strlit11105;
static Object strlit11123;
static Object strlit11128;
static Object strlit11147;
static Object strlit11157;
static Object strlit11160;
static Object strlit11170;
static Object strlit11180;
static Object strlit11183;
static Object strlit11194;
static Object strlit11204;
static Object strlit11207;
static Object strlit11227;
static Object strlit11235;
static Object strlit11242;
static Object strlit11257;
static Object strlit11268;
static Object strlit11273;
static Object strlit11283;
static Object strlit11293;
static Object strlit11300;
static Object strlit11310;
static Object strlit11324;
static Object strlit11334;
static Object strlit11343;
static Object strlit11369;
static Object strlit11375;
static Object strlit11407;
static Object strlit11413;
static Object strlit11418;
static Object strlit11426;
static Object strlit11442;
static Object strlit11448;
static Object strlit11455;
static Object strlit11529;
static Object strlit11537;
static Object strlit11543;
static Object strlit11548;
static Object strlit11554;
static Object strlit11560;
static Object strlit11567;
static Object strlit11572;
static Object strlit11579;
static Object strlit11584;
static Object strlit11591;
static Object strlit11596;
static Object strlit11632;
static ClassData objclass11642;
static Object strlit11652;
static Object strlit11671;
static Object strlit11677;
static Object strlit11722;
Object module_io;
Object module_io_init();
Object module_ast;
Object module_ast_init();
Object module_util;
Object module_util_init();
Object module_mgcollections;
Object module_mgcollections_init();
Object module_errormessages;
Object module_errormessages_init();
static Object strlit11793;
static Object strlit11797;
static Object strlit11801;
static ClassData objclass11808;
static Object strlit11816;
static Object strlit11820;
Object meth_parser__apply30(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object num32 = alloc_Float64(0);
// compilenode returning num32
  int op_slot_right_31 = gc_frame_newslot(num32);
  int callframe34 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call35 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe34);
// compilenode returning call35
// compilenode returning call35
  int op_slot_left_31 = gc_frame_newslot(call35);
  params[0] = num32;
  partcv[0] = 1;
  Object opresult36 = callmethod(call35, ">", 1, partcv, params);
// compilenode returning opresult36
  gc_frame_end(frame);
  return opresult36;
}
Object meth_parser__apply27(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe28 = gc_frame_new();
  Object block29 = alloc_Block(NULL, NULL, "parser", 49);
  gc_frame_newslot(block29);
  block_savedest(block29);
  Object closure30 = createclosure(2, "_apply");
  setclosureframe(closure30, stackframe);
  addtoclosure(closure30, var_tokens);
  addtoclosure(closure30, selfslot);
  struct UserObject *uo30 = (struct UserObject*)block29;
  uo30->data[0] = (Object)closure30;
  Method *meth_meth_parser__apply30 = addmethod2pos(block29, "_apply", &meth_parser__apply30, 0);
int argcv_meth_parser__apply30[] = {0};
meth_meth_parser__apply30->type = alloc_MethodType(1, argcv_meth_parser__apply30);
  meth_meth_parser__apply30->definitionModule = modulename;
  meth_meth_parser__apply30->definitionLine = 47;
// compilenode returning block29
  gc_frame_newslot(block29);
  if (strlit39 == NULL) {
    strlit39 = alloc_String("comment");
    gc_root(strlit39);
  }
// compilenode returning strlit39
  int op_slot_right_38 = gc_frame_newslot(strlit39);
  int callframe41 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call42 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe41);
// compilenode returning call42
// compilenode returning call42
  int op_slot_left_38 = gc_frame_newslot(call42);
  params[0] = strlit39;
  partcv[0] = 1;
  Object opresult43 = callmethod(call42, "==", 1, partcv, params);
// compilenode returning opresult43
  params[0] = block29;
  partcv[0] = 1;
  Object call44 = callmethod(opresult43, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe28);
// compilenode returning call44
  gc_frame_end(frame);
  return call44;
}
Object meth_parser__apply47(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_comment = getfromclosure(closure, 1);
  Object *var_tokens = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe49 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call50 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe49);
// compilenode returning call50
// compilenode returning call50
  int op_slot_right_48 = gc_frame_newslot(call50);
// compilenode returning *var_comment
  int op_slot_left_48 = gc_frame_newslot(*var_comment);
  params[0] = call50;
  partcv[0] = 1;
  Object opresult52 = callmethod(*var_comment, "++", 1, partcv, params);
// compilenode returning opresult52
  *var_comment = opresult52;
  if (opresult52 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe54 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call55 = callmethod(*var_tokens, "poll",
    1, partcv, params);
  gc_frame_end(callframe54);
// compilenode returning call55
// compilenode returning call55
  *var_sym = call55;
  if (call55 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_next0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_tokens = getfromclosure(closure, 2);
  Object *var_linenum = getfromclosure(closure, 3);
  Object *var_lastline = getfromclosure(closure, 4);
  Object *var_lastIndent = getfromclosure(closure, 5);
  Object *var_comment = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_errormessages = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_lastToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num4 = alloc_Float64(0);
// compilenode returning num4
  int op_slot_right_3 = gc_frame_newslot(num4);
  int callframe6 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call7 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe6);
// compilenode returning call7
// compilenode returning call7
  int op_slot_left_3 = gc_frame_newslot(call7);
  params[0] = num4;
  partcv[0] = 1;
  Object opresult8 = callmethod(call7, ">", 1, partcv, params);
// compilenode returning opresult8
  Object if2 = done;
  if (istrue(opresult8)) {
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_lastline = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10);
// compilenode returning call11
// compilenode returning call11
  *var_lastIndent = call11;
  if (call11 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe13 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call14 = callmethod(*var_tokens, "poll",
    1, partcv, params);
  gc_frame_end(callframe13);
// compilenode returning call14
// compilenode returning call14
  *var_sym = call14;
  if (call14 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit18 == NULL) {
    strlit18 = alloc_String("comment");
    gc_root(strlit18);
  }
// compilenode returning strlit18
  int op_slot_right_17 = gc_frame_newslot(strlit18);
  int callframe20 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call21 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe20);
// compilenode returning call21
// compilenode returning call21
  int op_slot_left_17 = gc_frame_newslot(call21);
  params[0] = strlit18;
  partcv[0] = 1;
  Object opresult22 = callmethod(call21, "==", 1, partcv, params);
// compilenode returning opresult22
  Object if16 = done;
  if (istrue(opresult22)) {
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit23 == NULL) {
    strlit23 = alloc_String("");
    gc_root(strlit23);
  }
// compilenode returning strlit23
  *var_comment = strlit23;
  if (strlit23 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe25 = gc_frame_new();
  Object block26 = alloc_Block(NULL, NULL, "parser", 49);
  gc_frame_newslot(block26);
  block_savedest(block26);
  Object closure27 = createclosure(3, "_apply");
  setclosureframe(closure27, stackframe);
  addtoclosure(closure27, var_tokens);
  addtoclosure(closure27, var_sym);
  addtoclosure(closure27, selfslot);
  struct UserObject *uo27 = (struct UserObject*)block26;
  uo27->data[0] = (Object)closure27;
  Method *meth_meth_parser__apply27 = addmethod2pos(block26, "_apply", &meth_parser__apply27, 0);
int argcv_meth_parser__apply27[] = {0};
meth_meth_parser__apply27->type = alloc_MethodType(1, argcv_meth_parser__apply27);
  meth_meth_parser__apply27->definitionModule = modulename;
  meth_meth_parser__apply27->definitionLine = 47;
// compilenode returning block26
  gc_frame_newslot(block26);
  Object block46 = alloc_Block(NULL, NULL, "parser", 49);
  gc_frame_newslot(block46);
  block_savedest(block46);
  Object closure47 = createclosure(4, "_apply");
  setclosureframe(closure47, stackframe);
  addtoclosure(closure47, var_sym);
  addtoclosure(closure47, var_comment);
  addtoclosure(closure47, var_tokens);
  addtoclosure(closure47, selfslot);
  struct UserObject *uo47 = (struct UserObject*)block46;
  uo47->data[0] = (Object)closure47;
  Method *meth_meth_parser__apply47 = addmethod2pos(block46, "_apply", &meth_parser__apply47, 0);
int argcv_meth_parser__apply47[] = {0};
meth_meth_parser__apply47->type = alloc_MethodType(1, argcv_meth_parser__apply47);
  meth_meth_parser__apply47->definitionModule = modulename;
  meth_meth_parser__apply47->definitionLine = 49;
// compilenode returning block46
  gc_frame_newslot(block46);
  params[0] = block26;
  params[1] = block46;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call58 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe25);
// compilenode returning call58
    gc_frame_newslot(call58);
    if16 = call58;
  } else {
  }
// compilenode returning if16
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe59 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call60 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe59);
// compilenode returning call60
// compilenode returning call60
  *var_linenum = call60;
  if (call60 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe62 = gc_frame_new();
  int callframe63 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call64 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe63);
// compilenode returning call64
// compilenode returning call64
  gc_frame_newslot(call64);
  int callframe65 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call66 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe65);
// compilenode returning call66
// compilenode returning call66
  gc_frame_newslot(call66);
// compilenode returning *var_util
  params[0] = call64;
  params[1] = call66;
  partcv[0] = 2;
  Object call67 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe62);
// compilenode returning call67
    gc_frame_newslot(call67);
    if2 = call67;
  } else {
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit70 == NULL) {
    strlit70 = alloc_String("eof");
    gc_root(strlit70);
  }
// compilenode returning strlit70
  int op_slot_right_69 = gc_frame_newslot(strlit70);
  int callframe72 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call73 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe72);
// compilenode returning call73
// compilenode returning call73
  int op_slot_left_69 = gc_frame_newslot(call73);
  params[0] = strlit70;
  partcv[0] = 1;
  Object opresult74 = callmethod(call73, "==", 1, partcv, params);
// compilenode returning opresult74
  Object if68 = done;
  if (istrue(opresult74)) {
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe75 = gc_frame_new();
  if (strlit76 == NULL) {
    strlit76 = alloc_String("Unexpetedly found the end of the input. This is often caused by a missing '}'");
    gc_root(strlit76);
  }
// compilenode returning strlit76
  gc_frame_newslot(strlit76);
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe77 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call78 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe77);
// compilenode returning call78
// compilenode returning call78
  gc_frame_newslot(call78);
  int callframe79 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call80 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe79);
// compilenode returning call80
// compilenode returning call80
  gc_frame_newslot(call80);
  int callframe81 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call82 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe81);
// compilenode returning call82
// compilenode returning call82
  gc_frame_newslot(call82);
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit76;
  params[1] = call78;
  params[2] = call80;
  params[3] = call82;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call83 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe75);
// compilenode returning call83
    gc_frame_newslot(call83);
    if68 = call83;
  } else {
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject84 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj84 = alloc_userobj2(11,7, objclass84);
  gc_frame_newslot(obj84);
// OBJECT OUTER DEC outer
  adddatum2(obj84, self, 0);
  addmethodreal(obj84,"outer", &reader_parser_outer_85);
  Object oldself84 = self;
  struct StackFrameObject *oldstackframe84 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe84);
  gc_frame_newslot((Object)stackframe);
  self = obj84;
  Object *oldselfslot84 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter84 = (*(struct UserObject *)self).data[0], lowerouter84 = thisouter84;
  if (inheritingObject84) {
    struct UserObject *inho84 = (struct UserObject *)inheritingObject84;
    while (inho84->super != GraceDefaultObject) inho84 = (struct UserObject *)inho84->super;
    inho84->super = obj84;
    self = inheritingObject84;
    *selfslot = self;
    lowerouter84 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter84;
  }
if (objclass84 == NULL) {
  Method *reader86 = addmethodrealflags(obj84, "kind",&reader_parser_kind_86, 0);
  Method *writer86 = addmethodrealflags(obj84, "kind:=",&writer_parser_kind_86, 0);
  reader86->definitionModule = modulename;
  writer86->definitionModule = modulename;
  reader86->definitionLine = 62;
  writer86->definitionLine = 62;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 1);
if (objclass84 == NULL) {
  Method *reader87 = addmethodrealflags(obj84, "line",&reader_parser_line_87, 0);
  Method *writer87 = addmethodrealflags(obj84, "line:=",&writer_parser_line_87, 0);
  reader87->definitionModule = modulename;
  writer87->definitionModule = modulename;
  reader87->definitionLine = 63;
  writer87->definitionLine = 63;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 2);
if (objclass84 == NULL) {
  Method *reader88 = addmethodrealflags(obj84, "linePos",&reader_parser_linePos_88, 0);
  Method *writer88 = addmethodrealflags(obj84, "linePos:=",&writer_parser_linePos_88, 0);
  reader88->definitionModule = modulename;
  writer88->definitionModule = modulename;
  reader88->definitionLine = 64;
  writer88->definitionLine = 64;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 3);
if (objclass84 == NULL) {
  Method *reader89 = addmethodrealflags(obj84, "indent",&reader_parser_indent_89, 0);
  Method *writer89 = addmethodrealflags(obj84, "indent:=",&writer_parser_indent_89, 0);
  reader89->definitionModule = modulename;
  writer89->definitionModule = modulename;
  reader89->definitionLine = 65;
  writer89->definitionLine = 65;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 4);
if (objclass84 == NULL) {
  Method *reader90 = addmethodrealflags(obj84, "value",&reader_parser_value_90, 0);
  Method *writer90 = addmethodrealflags(obj84, "value:=",&writer_parser_value_90, 0);
  reader90->definitionModule = modulename;
  writer90->definitionModule = modulename;
  reader90->definitionLine = 66;
  writer90->definitionLine = 66;
}
obj84->flags |= OFLAG_MUTABLE;
adddatum2(obj84, alloc_Undefined(), 5);
if (objclass84 == NULL) {
  Method *reader91 = addmethodrealflags(obj84, "size",&reader_parser_size_91, MFLAG_DEF);
  reader91->definitionModule = modulename;
  reader91->definitionLine = 67;
}
adddatum2(obj84, alloc_Undefined(), 6);
  sourceObject = obj84;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit92 == NULL) {
    strlit92 = alloc_String("eof");
    gc_root(strlit92);
  }
// compilenode returning strlit92
  adddatum2(obj84, strlit92, 1);
  sourceObject = obj84;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe93 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call94 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe93);
// compilenode returning call94
// compilenode returning call94
  adddatum2(obj84, call94, 2);
  sourceObject = obj84;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num96 = alloc_Float64(1);
// compilenode returning num96
  int op_slot_right_95 = gc_frame_newslot(num96);
  int callframe98 = gc_frame_new();
  int callframe99 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call100 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe99);
// compilenode returning call100
// compilenode returning call100
  int callframe101 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call102 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe101);
// compilenode returning call102
// compilenode returning call102
  params[0] = call102;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres103 = callmethod(call100, "[]", 1, partcv, params);
// compilenode returning idxres103
  partcv[0] = 0;
  Object call104 = callmethod(idxres103, "size",
    1, partcv, params);
  gc_frame_end(callframe98);
// compilenode returning call104
// compilenode returning call104
  int op_slot_left_95 = gc_frame_newslot(call104);
  params[0] = num96;
  partcv[0] = 1;
  Object sum105 = callmethod(call104, "+", 1, partcv, params);
// compilenode returning sum105
  adddatum2(obj84, sum105, 3);
  sourceObject = obj84;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num106 = alloc_Float64(0);
// compilenode returning num106
  adddatum2(obj84, num106, 4);
  sourceObject = obj84;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit107 == NULL) {
    strlit107 = alloc_String("");
    gc_root(strlit107);
  }
// compilenode returning strlit107
  adddatum2(obj84, strlit107, 5);
  sourceObject = obj84;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num108 = alloc_Float64(0);
// compilenode returning num108
  adddatum2(obj84, num108, 6);
objclass84 = obj84->class;
  objclass84->definitionModule = modulename;
  objclass84->definitionLine = 60;
  (*(struct UserObject *)self).data[0] = lowerouter84;
  self = oldself84;
  selfslot = oldselfslot84;
  stackframe = oldstackframe84;
// compilenode returning obj84
  *var_sym = obj84;
  if (obj84 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if68 = done;
  }
// compilenode returning if68
    gc_frame_newslot(if68);
    if2 = if68;
  }
// compilenode returning if2
  gc_frame_end(frame);
  return if2;
}
Object meth_parser__apply120(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe122 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call123 = callmethod(*var_lastToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe122);
// compilenode returning call123
// compilenode returning call123
  int op_slot_right_121 = gc_frame_newslot(call123);
  int callframe125 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call126 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe125);
// compilenode returning call126
// compilenode returning call126
  int op_slot_left_121 = gc_frame_newslot(call126);
  params[0] = call123;
  partcv[0] = 1;
  Object opresult127 = callmethod(call126, ">=", 1, partcv, params);
// compilenode returning opresult127
  gc_frame_end(frame);
  return opresult127;
}
Object meth_parser__apply131(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object bool133 = alloc_Boolean(0);
// compilenode returning bool133
  int op_slot_right_132 = gc_frame_newslot(bool133);
// compilenode returning *var_nextTok
  int op_slot_left_132 = gc_frame_newslot(*var_nextTok);
  params[0] = bool133;
  partcv[0] = 1;
  Object opresult135 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult135
  gc_frame_end(frame);
  return opresult135;
}
Object meth_parser__apply117(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_nextTok = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe118 = gc_frame_new();
  Object block119 = alloc_Block(NULL, NULL, "parser", 79);
  gc_frame_newslot(block119);
  block_savedest(block119);
  Object closure120 = createclosure(3, "_apply");
  setclosureframe(closure120, stackframe);
  addtoclosure(closure120, var_lastToken);
  addtoclosure(closure120, var_n);
  addtoclosure(closure120, selfslot);
  struct UserObject *uo120 = (struct UserObject*)block119;
  uo120->data[0] = (Object)closure120;
  Method *meth_meth_parser__apply120 = addmethod2pos(block119, "_apply", &meth_parser__apply120, 0);
int argcv_meth_parser__apply120[] = {0};
meth_meth_parser__apply120->type = alloc_MethodType(1, argcv_meth_parser__apply120);
  meth_meth_parser__apply120->definitionModule = modulename;
  meth_meth_parser__apply120->definitionLine = 63;
// compilenode returning block119
  gc_frame_newslot(block119);
  int callframe129 = gc_frame_new();
  Object block130 = alloc_Block(NULL, NULL, "parser", 79);
  gc_frame_newslot(block130);
  block_savedest(block130);
  Object closure131 = createclosure(2, "_apply");
  setclosureframe(closure131, stackframe);
  addtoclosure(closure131, var_nextTok);
  addtoclosure(closure131, selfslot);
  struct UserObject *uo131 = (struct UserObject*)block130;
  uo131->data[0] = (Object)closure131;
  Method *meth_meth_parser__apply131 = addmethod2pos(block130, "_apply", &meth_parser__apply131, 0);
int argcv_meth_parser__apply131[] = {0};
meth_meth_parser__apply131->type = alloc_MethodType(1, argcv_meth_parser__apply131);
  meth_meth_parser__apply131->definitionModule = modulename;
  meth_meth_parser__apply131->definitionLine = 79;
// compilenode returning block130
  gc_frame_newslot(block130);
  Object bool138 = alloc_Boolean(0);
// compilenode returning bool138
  int op_slot_right_137 = gc_frame_newslot(bool138);
// compilenode returning *var_n
  int op_slot_left_137 = gc_frame_newslot(*var_n);
  params[0] = bool138;
  partcv[0] = 1;
  Object opresult140 = callmethod(*var_n, "!=", 1, partcv, params);
// compilenode returning opresult140
  params[0] = block130;
  partcv[0] = 1;
  Object call141 = callmethod(opresult140, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe129);
// compilenode returning call141
  params[0] = block119;
  partcv[0] = 1;
  Object call142 = callmethod(call141, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe118);
// compilenode returning call142
  gc_frame_end(frame);
  return call142;
}
Object meth_parser__apply145(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_tokenMatcher = getfromclosure(closure, 1);
  Object *var_nextTok = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe147 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_tokenMatcher
  params[0] = *var_n;
  partcv[0] = 1;
  Object call148 = callmethod(*var_tokenMatcher, "apply",
    1, partcv, params);
  gc_frame_end(callframe147);
// compilenode returning call148
  Object if146 = done;
  if (istrue(call148)) {
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  *var_nextTok = *var_n;
  if (*var_n == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if146 = done;
  } else {
  }
// compilenode returning if146
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe150 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call151 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe150);
// compilenode returning call151
// compilenode returning call151
  *var_n = call151;
  if (call151 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextToken110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findNextToken");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokenMatcher = &(stackframe->slots[0]);
  *var_tokenMatcher = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findNextToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe112 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_tokenMatcher
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call113 = callmethod(*var_tokenMatcher, "apply",
    1, partcv, params);
  gc_frame_end(callframe112);
// compilenode returning call113
  Object if111 = done;
  if (istrue(call113)) {
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  return *var_sym;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if111 = undefined;
  } else {
  }
// compilenode returning if111
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool114 = alloc_Boolean(0);
// compilenode returning bool114
  *var_nextTok = bool114;
  if (bool114 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe115 = gc_frame_new();
  Object block116 = alloc_Block(NULL, NULL, "parser", 79);
  gc_frame_newslot(block116);
  block_savedest(block116);
  Object closure117 = createclosure(4, "_apply");
  setclosureframe(closure117, stackframe);
  addtoclosure(closure117, var_lastToken);
  addtoclosure(closure117, var_n);
  addtoclosure(closure117, var_nextTok);
  addtoclosure(closure117, selfslot);
  struct UserObject *uo117 = (struct UserObject*)block116;
  uo117->data[0] = (Object)closure117;
  Method *meth_meth_parser__apply117 = addmethod2pos(block116, "_apply", &meth_parser__apply117, 0);
int argcv_meth_parser__apply117[] = {0};
meth_meth_parser__apply117->type = alloc_MethodType(1, argcv_meth_parser__apply117);
  meth_meth_parser__apply117->definitionModule = modulename;
  meth_meth_parser__apply117->definitionLine = 63;
// compilenode returning block116
  gc_frame_newslot(block116);
  Object block144 = alloc_Block(NULL, NULL, "parser", 79);
  gc_frame_newslot(block144);
  block_savedest(block144);
  Object closure145 = createclosure(4, "_apply");
  setclosureframe(closure145, stackframe);
  addtoclosure(closure145, var_n);
  addtoclosure(closure145, var_tokenMatcher);
  addtoclosure(closure145, var_nextTok);
  addtoclosure(closure145, selfslot);
  struct UserObject *uo145 = (struct UserObject*)block144;
  uo145->data[0] = (Object)closure145;
  Method *meth_meth_parser__apply145 = addmethod2pos(block144, "_apply", &meth_parser__apply145, 0);
int argcv_meth_parser__apply145[] = {0};
meth_meth_parser__apply145->type = alloc_MethodType(1, argcv_meth_parser__apply145);
  meth_meth_parser__apply145->definitionModule = modulename;
  meth_meth_parser__apply145->definitionLine = 79;
// compilenode returning block144
  gc_frame_newslot(block144);
  params[0] = block116;
  params[1] = block144;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call154 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe115);
// compilenode returning call154
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_nextTok
  gc_frame_end(frame);
  return *var_nextTok;
}
Object meth_parser__apply189(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object bool191 = alloc_Boolean(0);
// compilenode returning bool191
  int op_slot_right_190 = gc_frame_newslot(bool191);
// compilenode returning *var_nextTok
  int op_slot_left_190 = gc_frame_newslot(*var_nextTok);
  params[0] = bool191;
  partcv[0] = 1;
  Object opresult193 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult193
  gc_frame_end(frame);
  return opresult193;
}
Object meth_parser__apply186(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe187 = gc_frame_new();
  Object block188 = alloc_Block(NULL, NULL, "parser", 94);
  gc_frame_newslot(block188);
  block_savedest(block188);
  Object closure189 = createclosure(2, "_apply");
  setclosureframe(closure189, stackframe);
  addtoclosure(closure189, var_nextTok);
  addtoclosure(closure189, selfslot);
  struct UserObject *uo189 = (struct UserObject*)block188;
  uo189->data[0] = (Object)closure189;
  Method *meth_meth_parser__apply189 = addmethod2pos(block188, "_apply", &meth_parser__apply189, 0);
int argcv_meth_parser__apply189[] = {0};
meth_meth_parser__apply189->type = alloc_MethodType(1, argcv_meth_parser__apply189);
  meth_meth_parser__apply189->definitionModule = modulename;
  meth_meth_parser__apply189->definitionLine = 89;
// compilenode returning block188
  gc_frame_newslot(block188);
  Object bool196 = alloc_Boolean(0);
// compilenode returning bool196
  int op_slot_right_195 = gc_frame_newslot(bool196);
// compilenode returning *var_n
  int op_slot_left_195 = gc_frame_newslot(*var_n);
  params[0] = bool196;
  partcv[0] = 1;
  Object opresult198 = callmethod(*var_n, "!=", 1, partcv, params);
// compilenode returning opresult198
  params[0] = block188;
  partcv[0] = 1;
  Object call199 = callmethod(opresult198, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe187);
// compilenode returning call199
  gc_frame_end(frame);
  return call199;
}
Object meth_parser__apply202(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object *var_n = getfromclosure(closure, 2);
  Object *var_nextTok = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit206 == NULL) {
    strlit206 = alloc_String("eof");
    gc_root(strlit206);
  }
// compilenode returning strlit206
  int op_slot_right_205 = gc_frame_newslot(strlit206);
  int callframe208 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call209 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe208);
// compilenode returning call209
// compilenode returning call209
  int op_slot_left_205 = gc_frame_newslot(call209);
  params[0] = strlit206;
  partcv[0] = 1;
  Object opresult210 = callmethod(call209, "==", 1, partcv, params);
// compilenode returning opresult210
  int op_slot_right_204 = gc_frame_newslot(opresult210);
  int callframe214 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call215 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe214);
// compilenode returning call215
// compilenode returning call215
  int op_slot_right_213 = gc_frame_newslot(call215);
  int callframe217 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call218 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe217);
// compilenode returning call218
// compilenode returning call218
  int op_slot_left_213 = gc_frame_newslot(call218);
  params[0] = call215;
  partcv[0] = 1;
  Object opresult219 = callmethod(call218, "<=", 1, partcv, params);
// compilenode returning opresult219
  int op_slot_right_212 = gc_frame_newslot(opresult219);
  int callframe222 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call223 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe222);
// compilenode returning call223
// compilenode returning call223
  int op_slot_right_221 = gc_frame_newslot(call223);
  int callframe225 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call226 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe225);
// compilenode returning call226
// compilenode returning call226
  int op_slot_left_221 = gc_frame_newslot(call226);
  params[0] = call223;
  partcv[0] = 1;
  Object opresult227 = callmethod(call226, ">", 1, partcv, params);
// compilenode returning opresult227
  int op_slot_left_212 = gc_frame_newslot(opresult227);
  params[0] = opresult219;
  partcv[0] = 1;
  Object opresult228 = callmethod(opresult227, "&&", 1, partcv, params);
// compilenode returning opresult228
  int op_slot_left_204 = gc_frame_newslot(opresult228);
  params[0] = opresult210;
  partcv[0] = 1;
  Object opresult229 = callmethod(opresult228, "||", 1, partcv, params);
// compilenode returning opresult229
  Object if203 = done;
  if (istrue(opresult229)) {
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  *var_nextTok = *var_n;
  if (*var_n == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if203 = done;
  } else {
  }
// compilenode returning if203
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe231 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call232 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe231);
// compilenode returning call232
// compilenode returning call232
  *var_n = call232;
  if (call232 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextTokenIndentedAt155(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextTokenIndentedAt");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findNextTokenIndentedAt");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextTokenIndentedAt (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findNextTokenIndentedAt");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit159 == NULL) {
    strlit159 = alloc_String("eof");
    gc_root(strlit159);
  }
// compilenode returning strlit159
  int op_slot_right_158 = gc_frame_newslot(strlit159);
  int callframe161 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call162 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe161);
// compilenode returning call162
// compilenode returning call162
  int op_slot_left_158 = gc_frame_newslot(call162);
  params[0] = strlit159;
  partcv[0] = 1;
  Object opresult163 = callmethod(call162, "==", 1, partcv, params);
// compilenode returning opresult163
  int op_slot_right_157 = gc_frame_newslot(opresult163);
  int callframe167 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call168 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe167);
// compilenode returning call168
// compilenode returning call168
  int op_slot_right_166 = gc_frame_newslot(call168);
  int callframe170 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call171 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe170);
// compilenode returning call171
// compilenode returning call171
  int op_slot_left_166 = gc_frame_newslot(call171);
  params[0] = call168;
  partcv[0] = 1;
  Object opresult172 = callmethod(call171, "<=", 1, partcv, params);
// compilenode returning opresult172
  int op_slot_right_165 = gc_frame_newslot(opresult172);
  int callframe175 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call176 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe175);
// compilenode returning call176
// compilenode returning call176
  int op_slot_right_174 = gc_frame_newslot(call176);
  int callframe178 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call179 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe178);
// compilenode returning call179
// compilenode returning call179
  int op_slot_left_174 = gc_frame_newslot(call179);
  params[0] = call176;
  partcv[0] = 1;
  Object opresult180 = callmethod(call179, ">", 1, partcv, params);
// compilenode returning opresult180
  int op_slot_left_165 = gc_frame_newslot(opresult180);
  params[0] = opresult172;
  partcv[0] = 1;
  Object opresult181 = callmethod(opresult180, "&&", 1, partcv, params);
// compilenode returning opresult181
  int op_slot_left_157 = gc_frame_newslot(opresult181);
  params[0] = opresult163;
  partcv[0] = 1;
  Object opresult182 = callmethod(opresult181, "||", 1, partcv, params);
// compilenode returning opresult182
  Object if156 = done;
  if (istrue(opresult182)) {
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  return *var_sym;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if156 = undefined;
  } else {
  }
// compilenode returning if156
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool183 = alloc_Boolean(0);
// compilenode returning bool183
  *var_nextTok = bool183;
  if (bool183 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe184 = gc_frame_new();
  Object block185 = alloc_Block(NULL, NULL, "parser", 94);
  gc_frame_newslot(block185);
  block_savedest(block185);
  Object closure186 = createclosure(3, "_apply");
  setclosureframe(closure186, stackframe);
  addtoclosure(closure186, var_nextTok);
  addtoclosure(closure186, var_n);
  addtoclosure(closure186, selfslot);
  struct UserObject *uo186 = (struct UserObject*)block185;
  uo186->data[0] = (Object)closure186;
  Method *meth_meth_parser__apply186 = addmethod2pos(block185, "_apply", &meth_parser__apply186, 0);
int argcv_meth_parser__apply186[] = {0};
meth_meth_parser__apply186->type = alloc_MethodType(1, argcv_meth_parser__apply186);
  meth_meth_parser__apply186->definitionModule = modulename;
  meth_meth_parser__apply186->definitionLine = 89;
// compilenode returning block185
  gc_frame_newslot(block185);
  Object block201 = alloc_Block(NULL, NULL, "parser", 94);
  gc_frame_newslot(block201);
  block_savedest(block201);
  Object closure202 = createclosure(5, "_apply");
  setclosureframe(closure202, stackframe);
  addtoclosure(closure202, var_sym);
  addtoclosure(closure202, var_tok);
  addtoclosure(closure202, var_n);
  addtoclosure(closure202, var_nextTok);
  addtoclosure(closure202, selfslot);
  struct UserObject *uo202 = (struct UserObject*)block201;
  uo202->data[0] = (Object)closure202;
  Method *meth_meth_parser__apply202 = addmethod2pos(block201, "_apply", &meth_parser__apply202, 0);
int argcv_meth_parser__apply202[] = {0};
meth_meth_parser__apply202->type = alloc_MethodType(1, argcv_meth_parser__apply202);
  meth_meth_parser__apply202->definitionModule = modulename;
  meth_meth_parser__apply202->definitionLine = 89;
// compilenode returning block201
  gc_frame_newslot(block201);
  params[0] = block185;
  params[1] = block201;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call235 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe184);
// compilenode returning call235
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_nextTok
  gc_frame_end(frame);
  return *var_nextTok;
}
Object meth_parser__apply248(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_validToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit250 == NULL) {
    strlit250 = alloc_String("eof");
    gc_root(strlit250);
  }
// compilenode returning strlit250
  int op_slot_right_249 = gc_frame_newslot(strlit250);
  int callframe252 = gc_frame_new();
// compilenode returning *var_validToken
  partcv[0] = 0;
  Object call253 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe252);
// compilenode returning call253
// compilenode returning call253
  int op_slot_left_249 = gc_frame_newslot(call253);
  params[0] = strlit250;
  partcv[0] = 1;
  Object opresult254 = callmethod(call253, "!=", 1, partcv, params);
// compilenode returning opresult254
  gc_frame_end(frame);
  return opresult254;
}
Object meth_parser__apply257(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_validToken = getfromclosure(closure, 0);
  Object *var_validFollowTokens = getfromclosure(closure, 1);
  Object *var_invalidTokens = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe259 = gc_frame_new();
  int callframe260 = gc_frame_new();
// compilenode returning *var_validToken
  partcv[0] = 0;
  Object call261 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe260);
// compilenode returning call261
// compilenode returning call261
  gc_frame_newslot(call261);
// compilenode returning *var_validFollowTokens
  params[0] = call261;
  partcv[0] = 1;
  Object call262 = callmethod(*var_validFollowTokens, "contains",
    1, partcv, params);
  gc_frame_end(callframe259);
// compilenode returning call262
  Object if258 = done;
  if (istrue(call262)) {
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_validToken
  block_return(realself, *var_validToken);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if258 = undefined;
  } else {
  }
// compilenode returning if258
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe264 = gc_frame_new();
  int callframe265 = gc_frame_new();
  int callframe266 = gc_frame_new();
// compilenode returning *var_validToken
  partcv[0] = 0;
  Object call267 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe266);
// compilenode returning call267
// compilenode returning call267
  gc_frame_newslot(call267);
// compilenode returning *var_invalidTokens
  params[0] = call267;
  partcv[0] = 1;
  Object call268 = callmethod(*var_invalidTokens, "contains",
    1, partcv, params);
  gc_frame_end(callframe265);
// compilenode returning call268
  partcv[0] = 0;
  Object call269 = callmethod(call268, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe264);
// compilenode returning call269
  Object if263 = done;
  if (istrue(call269)) {
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_validToken
  block_return(realself, *var_validToken);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if263 = undefined;
  } else {
  }
// compilenode returning if263
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe270 = gc_frame_new();
// compilenode returning *var_validToken
  partcv[0] = 0;
  Object call271 = callmethod(*var_validToken, "next",
    1, partcv, params);
  gc_frame_end(callframe270);
// compilenode returning call271
// compilenode returning call271
  *var_validToken = call271;
  if (call271 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextValidToken236(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextValidToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextValidToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_validFollowTokens = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_validFollowTokens, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_validFollowTokens = &(stackframe->slots[0]);
  *var_validFollowTokens = var_init_validFollowTokens;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_invalidTokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "invalidTokens");
  Object *var_validToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "validToken");
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array237 = alloc_BuiltinList();
  gc_pause();
  if (strlit238 == NULL) {
    strlit238 = alloc_String("dot");
    gc_root(strlit238);
  }
// compilenode returning strlit238
  params[0] = strlit238;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  if (strlit239 == NULL) {
    strlit239 = alloc_String("comma");
    gc_root(strlit239);
  }
// compilenode returning strlit239
  params[0] = strlit239;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  if (strlit240 == NULL) {
    strlit240 = alloc_String("colon");
    gc_root(strlit240);
  }
// compilenode returning strlit240
  params[0] = strlit240;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  if (strlit241 == NULL) {
    strlit241 = alloc_String("rparen");
    gc_root(strlit241);
  }
// compilenode returning strlit241
  params[0] = strlit241;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  if (strlit242 == NULL) {
    strlit242 = alloc_String("rbrace");
    gc_root(strlit242);
  }
// compilenode returning strlit242
  params[0] = strlit242;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  if (strlit243 == NULL) {
    strlit243 = alloc_String("rsquare");
    gc_root(strlit243);
  }
// compilenode returning strlit243
  params[0] = strlit243;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  if (strlit244 == NULL) {
    strlit244 = alloc_String("arrow");
    gc_root(strlit244);
  }
// compilenode returning strlit244
  params[0] = strlit244;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  if (strlit245 == NULL) {
    strlit245 = alloc_String("bind");
    gc_root(strlit245);
  }
// compilenode returning strlit245
  params[0] = strlit245;
  partcv[0] = 1;
  callmethod(array237, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array237
  *var_invalidTokens = array237;
  if (array237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_validToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe246 = gc_frame_new();
  Object block247 = alloc_Block(NULL, NULL, "parser", 107);
  gc_frame_newslot(block247);
  block_savedest(block247);
  Object closure248 = createclosure(2, "_apply");
  setclosureframe(closure248, stackframe);
  addtoclosure(closure248, var_validToken);
  addtoclosure(closure248, selfslot);
  struct UserObject *uo248 = (struct UserObject*)block247;
  uo248->data[0] = (Object)closure248;
  Method *meth_meth_parser__apply248 = addmethod2pos(block247, "_apply", &meth_parser__apply248, 0);
int argcv_meth_parser__apply248[] = {0};
meth_meth_parser__apply248->type = alloc_MethodType(1, argcv_meth_parser__apply248);
  meth_meth_parser__apply248->definitionModule = modulename;
  meth_meth_parser__apply248->definitionLine = 98;
// compilenode returning block247
  gc_frame_newslot(block247);
  Object block256 = alloc_Block(NULL, NULL, "parser", 107);
  gc_frame_newslot(block256);
  block_savedest(block256);
  Object closure257 = createclosure(4, "_apply");
  setclosureframe(closure257, stackframe);
  addtoclosure(closure257, var_validToken);
  addtoclosure(closure257, var_validFollowTokens);
  addtoclosure(closure257, var_invalidTokens);
  addtoclosure(closure257, selfslot);
  struct UserObject *uo257 = (struct UserObject*)block256;
  uo257->data[0] = (Object)closure257;
  Method *meth_meth_parser__apply257 = addmethod2pos(block256, "_apply", &meth_parser__apply257, 0);
int argcv_meth_parser__apply257[] = {0};
meth_meth_parser__apply257->type = alloc_MethodType(1, argcv_meth_parser__apply257);
  meth_meth_parser__apply257->definitionModule = modulename;
  meth_meth_parser__apply257->definitionLine = 107;
// compilenode returning block256
  gc_frame_newslot(block256);
  params[0] = block247;
  params[1] = block256;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call274 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe246);
// compilenode returning call274
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_validToken
  return *var_validToken;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser__apply286(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe289 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call290 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe289);
// compilenode returning call290
// compilenode returning call290
  int op_slot_right_288 = gc_frame_newslot(call290);
  int callframe292 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call293 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe292);
// compilenode returning call293
// compilenode returning call293
  int op_slot_left_288 = gc_frame_newslot(call293);
  params[0] = call290;
  partcv[0] = 1;
  Object opresult294 = callmethod(call293, "==", 1, partcv, params);
// compilenode returning opresult294
  int op_slot_right_287 = gc_frame_newslot(opresult294);
  if (strlit297 == NULL) {
    strlit297 = alloc_String("eof");
    gc_root(strlit297);
  }
// compilenode returning strlit297
  int op_slot_right_296 = gc_frame_newslot(strlit297);
  int callframe299 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call300 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe299);
// compilenode returning call300
// compilenode returning call300
  int op_slot_left_296 = gc_frame_newslot(call300);
  params[0] = strlit297;
  partcv[0] = 1;
  Object opresult301 = callmethod(call300, "!=", 1, partcv, params);
// compilenode returning opresult301
  int op_slot_left_287 = gc_frame_newslot(opresult301);
  params[0] = opresult294;
  partcv[0] = 1;
  Object opresult302 = callmethod(opresult301, "&&", 1, partcv, params);
// compilenode returning opresult302
  gc_frame_end(frame);
  return opresult302;
}
Object meth_parser__apply305(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_numOpening = getfromclosure(closure, 1);
  Object *var_numClosing = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit308 == NULL) {
    strlit308 = alloc_String("lbrace");
    gc_root(strlit308);
  }
// compilenode returning strlit308
  int op_slot_right_307 = gc_frame_newslot(strlit308);
  int callframe310 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call311 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe310);
// compilenode returning call311
// compilenode returning call311
  int op_slot_left_307 = gc_frame_newslot(call311);
  params[0] = strlit308;
  partcv[0] = 1;
  Object opresult312 = callmethod(call311, "==", 1, partcv, params);
// compilenode returning opresult312
  Object if306 = done;
  if (istrue(opresult312)) {
  Object num314 = alloc_Float64(1);
// compilenode returning num314
  int op_slot_right_313 = gc_frame_newslot(num314);
// compilenode returning *var_numOpening
  int op_slot_left_313 = gc_frame_newslot(*var_numOpening);
  params[0] = num314;
  partcv[0] = 1;
  Object sum316 = callmethod(*var_numOpening, "+", 1, partcv, params);
// compilenode returning sum316
  *var_numOpening = sum316;
  if (sum316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if306 = done;
  } else {
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit320 == NULL) {
    strlit320 = alloc_String("rbrace");
    gc_root(strlit320);
  }
// compilenode returning strlit320
  int op_slot_right_319 = gc_frame_newslot(strlit320);
  int callframe322 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call323 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe322);
// compilenode returning call323
// compilenode returning call323
  int op_slot_left_319 = gc_frame_newslot(call323);
  params[0] = strlit320;
  partcv[0] = 1;
  Object opresult324 = callmethod(call323, "==", 1, partcv, params);
// compilenode returning opresult324
  Object if318 = done;
  if (istrue(opresult324)) {
  Object num326 = alloc_Float64(1);
// compilenode returning num326
  int op_slot_right_325 = gc_frame_newslot(num326);
// compilenode returning *var_numClosing
  int op_slot_left_325 = gc_frame_newslot(*var_numClosing);
  params[0] = num326;
  partcv[0] = 1;
  Object sum328 = callmethod(*var_numClosing, "+", 1, partcv, params);
// compilenode returning sum328
  *var_numClosing = sum328;
  if (sum328 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if318 = done;
  } else {
  }
// compilenode returning if318
    gc_frame_newslot(if318);
    if306 = if318;
  }
// compilenode returning if306
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe330 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call331 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe330);
// compilenode returning call331
// compilenode returning call331
  *var_n = call331;
  if (call331 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply337(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe340 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call341 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe340);
// compilenode returning call341
// compilenode returning call341
  int op_slot_right_339 = gc_frame_newslot(call341);
  int callframe343 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call344 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe343);
// compilenode returning call344
// compilenode returning call344
  int op_slot_left_339 = gc_frame_newslot(call344);
  params[0] = call341;
  partcv[0] = 1;
  Object opresult345 = callmethod(call344, ">", 1, partcv, params);
// compilenode returning opresult345
  int op_slot_right_338 = gc_frame_newslot(opresult345);
  if (strlit348 == NULL) {
    strlit348 = alloc_String("eof");
    gc_root(strlit348);
  }
// compilenode returning strlit348
  int op_slot_right_347 = gc_frame_newslot(strlit348);
  int callframe350 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call351 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe350);
// compilenode returning call351
// compilenode returning call351
  int op_slot_left_347 = gc_frame_newslot(call351);
  params[0] = strlit348;
  partcv[0] = 1;
  Object opresult352 = callmethod(call351, "!=", 1, partcv, params);
// compilenode returning opresult352
  int op_slot_left_338 = gc_frame_newslot(opresult352);
  params[0] = opresult345;
  partcv[0] = 1;
  Object opresult353 = callmethod(opresult352, "&&", 1, partcv, params);
// compilenode returning opresult353
  gc_frame_end(frame);
  return opresult353;
}
Object meth_parser__apply356(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_numOpening = getfromclosure(closure, 1);
  Object *var_numClosing = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit359 == NULL) {
    strlit359 = alloc_String("lbrace");
    gc_root(strlit359);
  }
// compilenode returning strlit359
  int op_slot_right_358 = gc_frame_newslot(strlit359);
  int callframe361 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call362 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe361);
// compilenode returning call362
// compilenode returning call362
  int op_slot_left_358 = gc_frame_newslot(call362);
  params[0] = strlit359;
  partcv[0] = 1;
  Object opresult363 = callmethod(call362, "==", 1, partcv, params);
// compilenode returning opresult363
  Object if357 = done;
  if (istrue(opresult363)) {
  Object num365 = alloc_Float64(1);
// compilenode returning num365
  int op_slot_right_364 = gc_frame_newslot(num365);
// compilenode returning *var_numOpening
  int op_slot_left_364 = gc_frame_newslot(*var_numOpening);
  params[0] = num365;
  partcv[0] = 1;
  Object sum367 = callmethod(*var_numOpening, "+", 1, partcv, params);
// compilenode returning sum367
  *var_numOpening = sum367;
  if (sum367 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if357 = done;
  } else {
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit371 == NULL) {
    strlit371 = alloc_String("rbrace");
    gc_root(strlit371);
  }
// compilenode returning strlit371
  int op_slot_right_370 = gc_frame_newslot(strlit371);
  int callframe373 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call374 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe373);
// compilenode returning call374
// compilenode returning call374
  int op_slot_left_370 = gc_frame_newslot(call374);
  params[0] = strlit371;
  partcv[0] = 1;
  Object opresult375 = callmethod(call374, "==", 1, partcv, params);
// compilenode returning opresult375
  Object if369 = done;
  if (istrue(opresult375)) {
  Object num377 = alloc_Float64(1);
// compilenode returning num377
  int op_slot_right_376 = gc_frame_newslot(num377);
// compilenode returning *var_numClosing
  int op_slot_left_376 = gc_frame_newslot(*var_numClosing);
  params[0] = num377;
  partcv[0] = 1;
  Object sum379 = callmethod(*var_numClosing, "+", 1, partcv, params);
// compilenode returning sum379
  *var_numClosing = sum379;
  if (sum379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if369 = done;
  } else {
  }
// compilenode returning if369
    gc_frame_newslot(if369);
    if357 = if369;
  }
// compilenode returning if357
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe381 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call382 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe381);
// compilenode returning call382
// compilenode returning call382
  *var_n = call382;
  if (call382 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findClosingBrace275(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findClosingBrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method findClosingBrace");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findClosingBrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
  Object *var_inserted = &(stackframe->slots[1]);
  *var_inserted = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for findClosingBrace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_numOpening = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "numOpening");
  Object *var_numClosing = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "numClosing");
  Object *var_result = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "result");
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_inserted
  Object if276 = done;
struct StackFrameObject *iftmpstackframe276 = stackframe;
  if (istrue(*var_inserted)) {
stackframe = alloc_StackFrame(0, iftmpstackframe276);
gc_frame_newslot((Object)stackframe);
  Object num277 = alloc_Float64(1);
// compilenode returning num277
    gc_frame_newslot(num277);
    if276 = num277;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe276);
gc_frame_newslot((Object)stackframe);
  Object num278 = alloc_Float64(0);
// compilenode returning num278
    gc_frame_newslot(num278);
    if276 = num278;
  }
stackframe = iftmpstackframe276;
// compilenode returning if276
  *var_numOpening = if276;
  if (if276 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num279 = alloc_Float64(0);
// compilenode returning num279
  *var_numClosing = num279;
  if (num279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject280 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj280 = alloc_userobj2(4,4, objclass280);
  gc_frame_newslot(obj280);
// OBJECT OUTER DEC outer
  adddatum2(obj280, self, 0);
  addmethodreal(obj280,"outer", &reader_parser_outer_281);
  Object oldself280 = self;
  struct StackFrameObject *oldstackframe280 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe280);
  gc_frame_newslot((Object)stackframe);
  self = obj280;
  Object *oldselfslot280 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter280 = (*(struct UserObject *)self).data[0], lowerouter280 = thisouter280;
  if (inheritingObject280) {
    struct UserObject *inho280 = (struct UserObject *)inheritingObject280;
    while (inho280->super != GraceDefaultObject) inho280 = (struct UserObject *)inho280->super;
    inho280->super = obj280;
    self = inheritingObject280;
    *selfslot = self;
    lowerouter280 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter280;
  }
if (objclass280 == NULL) {
  Method *reader282 = addmethodrealflags(obj280, "found",&reader_parser_found_282, 0);
  Method *writer282 = addmethodrealflags(obj280, "found:=",&writer_parser_found_282, 0);
  reader282->definitionModule = modulename;
  writer282->definitionModule = modulename;
  reader282->definitionLine = 133;
  writer282->definitionLine = 133;
}
obj280->flags |= OFLAG_MUTABLE;
adddatum2(obj280, alloc_Undefined(), 1);
if (objclass280 == NULL) {
  Method *reader283 = addmethodrealflags(obj280, "tok",&reader_parser_tok_283, 0);
  Method *writer283 = addmethodrealflags(obj280, "tok:=",&writer_parser_tok_283, 0);
  reader283->definitionModule = modulename;
  writer283->definitionModule = modulename;
  reader283->definitionLine = 134;
  writer283->definitionLine = 134;
}
obj280->flags |= OFLAG_MUTABLE;
adddatum2(obj280, alloc_Undefined(), 2);
  sourceObject = obj280;
  adddatum2(obj280, undefined, 1);
  sourceObject = obj280;
  adddatum2(obj280, undefined, 2);
objclass280 = obj280->class;
  objclass280->definitionModule = modulename;
  objclass280->definitionLine = 131;
  (*(struct UserObject *)self).data[0] = lowerouter280;
  self = oldself280;
  selfslot = oldselfslot280;
  stackframe = oldstackframe280;
// compilenode returning obj280
  *var_result = obj280;
  if (obj280 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe284 = gc_frame_new();
  Object block285 = alloc_Block(NULL, NULL, "parser", 136);
  gc_frame_newslot(block285);
  block_savedest(block285);
  Object closure286 = createclosure(3, "_apply");
  setclosureframe(closure286, stackframe);
  addtoclosure(closure286, var_tok);
  addtoclosure(closure286, var_n);
  addtoclosure(closure286, selfslot);
  struct UserObject *uo286 = (struct UserObject*)block285;
  uo286->data[0] = (Object)closure286;
  Method *meth_meth_parser__apply286 = addmethod2pos(block285, "_apply", &meth_parser__apply286, 0);
int argcv_meth_parser__apply286[] = {0};
meth_meth_parser__apply286->type = alloc_MethodType(1, argcv_meth_parser__apply286);
  meth_meth_parser__apply286->definitionModule = modulename;
  meth_meth_parser__apply286->definitionLine = 117;
// compilenode returning block285
  gc_frame_newslot(block285);
  Object block304 = alloc_Block(NULL, NULL, "parser", 136);
  gc_frame_newslot(block304);
  block_savedest(block304);
  Object closure305 = createclosure(4, "_apply");
  setclosureframe(closure305, stackframe);
  addtoclosure(closure305, var_n);
  addtoclosure(closure305, var_numOpening);
  addtoclosure(closure305, var_numClosing);
  addtoclosure(closure305, selfslot);
  struct UserObject *uo305 = (struct UserObject*)block304;
  uo305->data[0] = (Object)closure305;
  Method *meth_meth_parser__apply305 = addmethod2pos(block304, "_apply", &meth_parser__apply305, 0);
int argcv_meth_parser__apply305[] = {0};
meth_meth_parser__apply305->type = alloc_MethodType(1, argcv_meth_parser__apply305);
  meth_meth_parser__apply305->definitionModule = modulename;
  meth_meth_parser__apply305->definitionLine = 136;
// compilenode returning block304
  gc_frame_newslot(block304);
  params[0] = block285;
  params[1] = block304;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call334 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe284);
// compilenode returning call334
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe335 = gc_frame_new();
  Object block336 = alloc_Block(NULL, NULL, "parser", 142);
  gc_frame_newslot(block336);
  block_savedest(block336);
  Object closure337 = createclosure(3, "_apply");
  setclosureframe(closure337, stackframe);
  addtoclosure(closure337, var_tok);
  addtoclosure(closure337, var_n);
  addtoclosure(closure337, selfslot);
  struct UserObject *uo337 = (struct UserObject*)block336;
  uo337->data[0] = (Object)closure337;
  Method *meth_meth_parser__apply337 = addmethod2pos(block336, "_apply", &meth_parser__apply337, 0);
int argcv_meth_parser__apply337[] = {0};
meth_meth_parser__apply337->type = alloc_MethodType(1, argcv_meth_parser__apply337);
  meth_meth_parser__apply337->definitionModule = modulename;
  meth_meth_parser__apply337->definitionLine = 139;
// compilenode returning block336
  gc_frame_newslot(block336);
  Object block355 = alloc_Block(NULL, NULL, "parser", 142);
  gc_frame_newslot(block355);
  block_savedest(block355);
  Object closure356 = createclosure(4, "_apply");
  setclosureframe(closure356, stackframe);
  addtoclosure(closure356, var_n);
  addtoclosure(closure356, var_numOpening);
  addtoclosure(closure356, var_numClosing);
  addtoclosure(closure356, selfslot);
  struct UserObject *uo356 = (struct UserObject*)block355;
  uo356->data[0] = (Object)closure356;
  Method *meth_meth_parser__apply356 = addmethod2pos(block355, "_apply", &meth_parser__apply356, 0);
int argcv_meth_parser__apply356[] = {0};
meth_meth_parser__apply356->type = alloc_MethodType(1, argcv_meth_parser__apply356);
  meth_meth_parser__apply356->definitionModule = modulename;
  meth_meth_parser__apply356->definitionLine = 142;
// compilenode returning block355
  gc_frame_newslot(block355);
  params[0] = block336;
  params[1] = block355;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call385 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe335);
// compilenode returning call385
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit388 == NULL) {
    strlit388 = alloc_String("rbrace");
    gc_root(strlit388);
  }
// compilenode returning strlit388
  int op_slot_right_387 = gc_frame_newslot(strlit388);
  int callframe390 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call391 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe390);
// compilenode returning call391
// compilenode returning call391
  int op_slot_left_387 = gc_frame_newslot(call391);
  params[0] = strlit388;
  partcv[0] = 1;
  Object opresult392 = callmethod(call391, "==", 1, partcv, params);
// compilenode returning opresult392
  Object if386 = done;
  if (istrue(opresult392)) {
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe393 = gc_frame_new();
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool394 = alloc_Boolean(1);
// compilenode returning bool394
  gc_frame_newslot(bool394);
// compilenode returning *var_result
  params[0] = bool394;
  partcv[0] = 1;
  Object call395 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe393);
// compilenode returning call395
// compilenode returning done
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe396 = gc_frame_new();
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_result
  params[0] = *var_n;
  partcv[0] = 1;
  Object call397 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe396);
// compilenode returning call397
// compilenode returning done
    gc_frame_newslot(done);
    if386 = done;
  } else {
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_numClosing
  int op_slot_right_400 = gc_frame_newslot(*var_numClosing);
// compilenode returning *var_numOpening
  int op_slot_left_400 = gc_frame_newslot(*var_numOpening);
  params[0] = *var_numClosing;
  partcv[0] = 1;
  Object opresult402 = callmethod(*var_numOpening, "==", 1, partcv, params);
// compilenode returning opresult402
  int op_slot_right_399 = gc_frame_newslot(opresult402);
  if (strlit405 == NULL) {
    strlit405 = alloc_String("rbrace");
    gc_root(strlit405);
  }
// compilenode returning strlit405
  int op_slot_right_404 = gc_frame_newslot(strlit405);
  int callframe407 = gc_frame_new();
  int callframe408 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call409 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe408);
// compilenode returning call409
// compilenode returning call409
  partcv[0] = 0;
  Object call410 = callmethod(call409, "kind",
    1, partcv, params);
  gc_frame_end(callframe407);
// compilenode returning call410
// compilenode returning call410
  int op_slot_left_404 = gc_frame_newslot(call410);
  params[0] = strlit405;
  partcv[0] = 1;
  Object opresult411 = callmethod(call410, "==", 1, partcv, params);
// compilenode returning opresult411
  int op_slot_left_399 = gc_frame_newslot(opresult411);
  params[0] = opresult402;
  partcv[0] = 1;
  Object opresult412 = callmethod(opresult411, "&&", 1, partcv, params);
// compilenode returning opresult412
  Object if398 = done;
  if (istrue(opresult412)) {
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe413 = gc_frame_new();
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool414 = alloc_Boolean(1);
// compilenode returning bool414
  gc_frame_newslot(bool414);
// compilenode returning *var_result
  params[0] = bool414;
  partcv[0] = 1;
  Object call415 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe413);
// compilenode returning call415
// compilenode returning done
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe416 = gc_frame_new();
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe417 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call418 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe417);
// compilenode returning call418
// compilenode returning call418
  gc_frame_newslot(call418);
// compilenode returning *var_result
  params[0] = call418;
  partcv[0] = 1;
  Object call419 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe416);
// compilenode returning call419
// compilenode returning done
    gc_frame_newslot(done);
    if398 = done;
  } else {
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe420 = gc_frame_new();
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool421 = alloc_Boolean(0);
// compilenode returning bool421
  gc_frame_newslot(bool421);
// compilenode returning *var_result
  params[0] = bool421;
  partcv[0] = 1;
  Object call422 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe420);
// compilenode returning call422
// compilenode returning done
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe423 = gc_frame_new();
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe424 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call425 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe424);
// compilenode returning call425
// compilenode returning call425
  gc_frame_newslot(call425);
// compilenode returning *var_result
  params[0] = call425;
  partcv[0] = 1;
  Object call426 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe423);
// compilenode returning call426
// compilenode returning done
    gc_frame_newslot(done);
    if398 = done;
  }
// compilenode returning if398
    gc_frame_newslot(if398);
    if386 = if398;
  }
// compilenode returning if386
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_result
  gc_frame_end(frame);
  return *var_result;
}
Object meth_parser_findClosingBrace275_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findClosingBrace()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method findClosingBrace()object");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findClosingBrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
  Object *var_inserted = &(stackframe->slots[1]);
  *var_inserted = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for findClosingBrace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_numOpening = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "numOpening");
  Object *var_numClosing = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "numClosing");
  Object *var_result = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "result");
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_inserted
  Object if276 = done;
struct StackFrameObject *iftmpstackframe276 = stackframe;
  if (istrue(*var_inserted)) {
stackframe = alloc_StackFrame(0, iftmpstackframe276);
gc_frame_newslot((Object)stackframe);
  Object num277 = alloc_Float64(1);
// compilenode returning num277
    gc_frame_newslot(num277);
    if276 = num277;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe276);
gc_frame_newslot((Object)stackframe);
  Object num278 = alloc_Float64(0);
// compilenode returning num278
    gc_frame_newslot(num278);
    if276 = num278;
  }
stackframe = iftmpstackframe276;
// compilenode returning if276
  *var_numOpening = if276;
  if (if276 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num279 = alloc_Float64(0);
// compilenode returning num279
  *var_numClosing = num279;
  if (num279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject280 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj280 = alloc_userobj2(4,4, objclass280);
  gc_frame_newslot(obj280);
// OBJECT OUTER DEC outer
  adddatum2(obj280, self, 0);
  addmethodreal(obj280,"outer", &reader_parser_outer_281);
  Object oldself280 = self;
  struct StackFrameObject *oldstackframe280 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe280);
  gc_frame_newslot((Object)stackframe);
  self = obj280;
  Object *oldselfslot280 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter280 = (*(struct UserObject *)self).data[0], lowerouter280 = thisouter280;
  if (inheritingObject280) {
    struct UserObject *inho280 = (struct UserObject *)inheritingObject280;
    while (inho280->super != GraceDefaultObject) inho280 = (struct UserObject *)inho280->super;
    inho280->super = obj280;
    self = inheritingObject280;
    *selfslot = self;
    lowerouter280 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter280;
  }
if (objclass280 == NULL) {
  Method *reader282 = addmethodrealflags(obj280, "found",&reader_parser_found_282, 0);
  Method *writer282 = addmethodrealflags(obj280, "found:=",&writer_parser_found_282, 0);
  reader282->definitionModule = modulename;
  writer282->definitionModule = modulename;
  reader282->definitionLine = 133;
  writer282->definitionLine = 133;
}
obj280->flags |= OFLAG_MUTABLE;
adddatum2(obj280, alloc_Undefined(), 1);
if (objclass280 == NULL) {
  Method *reader283 = addmethodrealflags(obj280, "tok",&reader_parser_tok_283, 0);
  Method *writer283 = addmethodrealflags(obj280, "tok:=",&writer_parser_tok_283, 0);
  reader283->definitionModule = modulename;
  writer283->definitionModule = modulename;
  reader283->definitionLine = 134;
  writer283->definitionLine = 134;
}
obj280->flags |= OFLAG_MUTABLE;
adddatum2(obj280, alloc_Undefined(), 2);
  sourceObject = obj280;
  adddatum2(obj280, undefined, 1);
  sourceObject = obj280;
  adddatum2(obj280, undefined, 2);
objclass280 = obj280->class;
  objclass280->definitionModule = modulename;
  objclass280->definitionLine = 131;
  (*(struct UserObject *)self).data[0] = lowerouter280;
  self = oldself280;
  selfslot = oldselfslot280;
  stackframe = oldstackframe280;
// compilenode returning obj280
  *var_result = obj280;
  if (obj280 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe284 = gc_frame_new();
  Object block285 = alloc_Block(NULL, NULL, "parser", 136);
  gc_frame_newslot(block285);
  block_savedest(block285);
  Object closure286 = createclosure(3, "_apply");
  setclosureframe(closure286, stackframe);
  addtoclosure(closure286, var_tok);
  addtoclosure(closure286, var_n);
  addtoclosure(closure286, selfslot);
  struct UserObject *uo286 = (struct UserObject*)block285;
  uo286->data[0] = (Object)closure286;
  Method *meth_meth_parser__apply286 = addmethod2pos(block285, "_apply", &meth_parser__apply286, 0);
int argcv_meth_parser__apply286[] = {0};
meth_meth_parser__apply286->type = alloc_MethodType(1, argcv_meth_parser__apply286);
  meth_meth_parser__apply286->definitionModule = modulename;
  meth_meth_parser__apply286->definitionLine = 117;
// compilenode returning block285
  gc_frame_newslot(block285);
  Object block304 = alloc_Block(NULL, NULL, "parser", 136);
  gc_frame_newslot(block304);
  block_savedest(block304);
  Object closure305 = createclosure(4, "_apply");
  setclosureframe(closure305, stackframe);
  addtoclosure(closure305, var_n);
  addtoclosure(closure305, var_numOpening);
  addtoclosure(closure305, var_numClosing);
  addtoclosure(closure305, selfslot);
  struct UserObject *uo305 = (struct UserObject*)block304;
  uo305->data[0] = (Object)closure305;
  Method *meth_meth_parser__apply305 = addmethod2pos(block304, "_apply", &meth_parser__apply305, 0);
int argcv_meth_parser__apply305[] = {0};
meth_meth_parser__apply305->type = alloc_MethodType(1, argcv_meth_parser__apply305);
  meth_meth_parser__apply305->definitionModule = modulename;
  meth_meth_parser__apply305->definitionLine = 136;
// compilenode returning block304
  gc_frame_newslot(block304);
  params[0] = block285;
  params[1] = block304;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call334 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe284);
// compilenode returning call334
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe335 = gc_frame_new();
  Object block336 = alloc_Block(NULL, NULL, "parser", 142);
  gc_frame_newslot(block336);
  block_savedest(block336);
  Object closure337 = createclosure(3, "_apply");
  setclosureframe(closure337, stackframe);
  addtoclosure(closure337, var_tok);
  addtoclosure(closure337, var_n);
  addtoclosure(closure337, selfslot);
  struct UserObject *uo337 = (struct UserObject*)block336;
  uo337->data[0] = (Object)closure337;
  Method *meth_meth_parser__apply337 = addmethod2pos(block336, "_apply", &meth_parser__apply337, 0);
int argcv_meth_parser__apply337[] = {0};
meth_meth_parser__apply337->type = alloc_MethodType(1, argcv_meth_parser__apply337);
  meth_meth_parser__apply337->definitionModule = modulename;
  meth_meth_parser__apply337->definitionLine = 139;
// compilenode returning block336
  gc_frame_newslot(block336);
  Object block355 = alloc_Block(NULL, NULL, "parser", 142);
  gc_frame_newslot(block355);
  block_savedest(block355);
  Object closure356 = createclosure(4, "_apply");
  setclosureframe(closure356, stackframe);
  addtoclosure(closure356, var_n);
  addtoclosure(closure356, var_numOpening);
  addtoclosure(closure356, var_numClosing);
  addtoclosure(closure356, selfslot);
  struct UserObject *uo356 = (struct UserObject*)block355;
  uo356->data[0] = (Object)closure356;
  Method *meth_meth_parser__apply356 = addmethod2pos(block355, "_apply", &meth_parser__apply356, 0);
int argcv_meth_parser__apply356[] = {0};
meth_meth_parser__apply356->type = alloc_MethodType(1, argcv_meth_parser__apply356);
  meth_meth_parser__apply356->definitionModule = modulename;
  meth_meth_parser__apply356->definitionLine = 142;
// compilenode returning block355
  gc_frame_newslot(block355);
  params[0] = block336;
  params[1] = block355;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call385 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe335);
// compilenode returning call385
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit388 == NULL) {
    strlit388 = alloc_String("rbrace");
    gc_root(strlit388);
  }
// compilenode returning strlit388
  int op_slot_right_387 = gc_frame_newslot(strlit388);
  int callframe390 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call391 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe390);
// compilenode returning call391
// compilenode returning call391
  int op_slot_left_387 = gc_frame_newslot(call391);
  params[0] = strlit388;
  partcv[0] = 1;
  Object opresult392 = callmethod(call391, "==", 1, partcv, params);
// compilenode returning opresult392
  Object if386 = done;
  if (istrue(opresult392)) {
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe393 = gc_frame_new();
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool394 = alloc_Boolean(1);
// compilenode returning bool394
  gc_frame_newslot(bool394);
// compilenode returning *var_result
  params[0] = bool394;
  partcv[0] = 1;
  Object call395 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe393);
// compilenode returning call395
// compilenode returning done
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe396 = gc_frame_new();
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_result
  params[0] = *var_n;
  partcv[0] = 1;
  Object call397 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe396);
// compilenode returning call397
// compilenode returning done
    gc_frame_newslot(done);
    if386 = done;
  } else {
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_numClosing
  int op_slot_right_400 = gc_frame_newslot(*var_numClosing);
// compilenode returning *var_numOpening
  int op_slot_left_400 = gc_frame_newslot(*var_numOpening);
  params[0] = *var_numClosing;
  partcv[0] = 1;
  Object opresult402 = callmethod(*var_numOpening, "==", 1, partcv, params);
// compilenode returning opresult402
  int op_slot_right_399 = gc_frame_newslot(opresult402);
  if (strlit405 == NULL) {
    strlit405 = alloc_String("rbrace");
    gc_root(strlit405);
  }
// compilenode returning strlit405
  int op_slot_right_404 = gc_frame_newslot(strlit405);
  int callframe407 = gc_frame_new();
  int callframe408 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call409 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe408);
// compilenode returning call409
// compilenode returning call409
  partcv[0] = 0;
  Object call410 = callmethod(call409, "kind",
    1, partcv, params);
  gc_frame_end(callframe407);
// compilenode returning call410
// compilenode returning call410
  int op_slot_left_404 = gc_frame_newslot(call410);
  params[0] = strlit405;
  partcv[0] = 1;
  Object opresult411 = callmethod(call410, "==", 1, partcv, params);
// compilenode returning opresult411
  int op_slot_left_399 = gc_frame_newslot(opresult411);
  params[0] = opresult402;
  partcv[0] = 1;
  Object opresult412 = callmethod(opresult411, "&&", 1, partcv, params);
// compilenode returning opresult412
  Object if398 = done;
  if (istrue(opresult412)) {
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe413 = gc_frame_new();
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool414 = alloc_Boolean(1);
// compilenode returning bool414
  gc_frame_newslot(bool414);
// compilenode returning *var_result
  params[0] = bool414;
  partcv[0] = 1;
  Object call415 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe413);
// compilenode returning call415
// compilenode returning done
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe416 = gc_frame_new();
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe417 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call418 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe417);
// compilenode returning call418
// compilenode returning call418
  gc_frame_newslot(call418);
// compilenode returning *var_result
  params[0] = call418;
  partcv[0] = 1;
  Object call419 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe416);
// compilenode returning call419
// compilenode returning done
    gc_frame_newslot(done);
    if398 = done;
  } else {
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe420 = gc_frame_new();
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool421 = alloc_Boolean(0);
// compilenode returning bool421
  gc_frame_newslot(bool421);
// compilenode returning *var_result
  params[0] = bool421;
  partcv[0] = 1;
  Object call422 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe420);
// compilenode returning call422
// compilenode returning done
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe423 = gc_frame_new();
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe424 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call425 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe424);
// compilenode returning call425
// compilenode returning call425
  gc_frame_newslot(call425);
// compilenode returning *var_result
  params[0] = call425;
  partcv[0] = 1;
  Object call426 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe423);
// compilenode returning call426
// compilenode returning done
    gc_frame_newslot(done);
    if398 = done;
  }
// compilenode returning if398
    gc_frame_newslot(if398);
    if386 = if398;
  }
// compilenode returning if386
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_result
  gc_frame_end(frame);
  return *var_result;
}
Object meth_parser_accept428(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  int op_slot_right_429 = gc_frame_newslot(*var_t);
  int callframe431 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call432 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe431);
// compilenode returning call432
// compilenode returning call432
  int op_slot_left_429 = gc_frame_newslot(call432);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult433 = callmethod(call432, "==", 1, partcv, params);
// compilenode returning opresult433
  gc_frame_end(frame);
  return opresult433;
}
Object meth_parser_acceptSameLine434(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptSameLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method acceptSameLine");
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastline = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for acceptSameLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for acceptSameLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastIndent
  int op_slot_right_437 = gc_frame_newslot(*var_lastIndent);
  int callframe439 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call440 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe439);
// compilenode returning call440
// compilenode returning call440
  int op_slot_left_437 = gc_frame_newslot(call440);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object opresult441 = callmethod(call440, ">", 1, partcv, params);
// compilenode returning opresult441
  int op_slot_right_436 = gc_frame_newslot(opresult441);
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe444 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call445 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe444);
// compilenode returning call445
// compilenode returning call445
  int op_slot_right_443 = gc_frame_newslot(call445);
// compilenode returning *var_lastline
  int op_slot_left_443 = gc_frame_newslot(*var_lastline);
  params[0] = call445;
  partcv[0] = 1;
  Object opresult447 = callmethod(*var_lastline, "==", 1, partcv, params);
// compilenode returning opresult447
  int op_slot_left_436 = gc_frame_newslot(opresult447);
  params[0] = opresult441;
  partcv[0] = 1;
  Object opresult448 = callmethod(opresult447, "||", 1, partcv, params);
// compilenode returning opresult448
  int op_slot_right_435 = gc_frame_newslot(opresult448);
// compilenode returning *var_t
  int op_slot_right_450 = gc_frame_newslot(*var_t);
  int callframe452 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call453 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe452);
// compilenode returning call453
// compilenode returning call453
  int op_slot_left_450 = gc_frame_newslot(call453);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult454 = callmethod(call453, "==", 1, partcv, params);
// compilenode returning opresult454
  int op_slot_left_435 = gc_frame_newslot(opresult454);
  params[0] = opresult448;
  partcv[0] = 1;
  Object opresult455 = callmethod(opresult454, "&&", 1, partcv, params);
// compilenode returning opresult455
  gc_frame_end(frame);
  return opresult455;
}
Object meth_parser_accept_40__41_onLineOf456(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept()onLineOf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()onLineOf");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()onLineOf");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()onLineOf (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for onLineOf");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe460 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call461 = callmethod(*var_other, "indent",
    1, partcv, params);
  gc_frame_end(callframe460);
// compilenode returning call461
// compilenode returning call461
  int op_slot_right_459 = gc_frame_newslot(call461);
  int callframe463 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call464 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe463);
// compilenode returning call464
// compilenode returning call464
  int op_slot_left_459 = gc_frame_newslot(call464);
  params[0] = call461;
  partcv[0] = 1;
  Object opresult465 = callmethod(call464, ">", 1, partcv, params);
// compilenode returning opresult465
  int op_slot_right_458 = gc_frame_newslot(opresult465);
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe468 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call469 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe468);
// compilenode returning call469
// compilenode returning call469
  int op_slot_right_467 = gc_frame_newslot(call469);
  int callframe471 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call472 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe471);
// compilenode returning call472
// compilenode returning call472
  int op_slot_left_467 = gc_frame_newslot(call472);
  params[0] = call469;
  partcv[0] = 1;
  Object opresult473 = callmethod(call472, "==", 1, partcv, params);
// compilenode returning opresult473
  int op_slot_left_458 = gc_frame_newslot(opresult473);
  params[0] = opresult465;
  partcv[0] = 1;
  Object opresult474 = callmethod(opresult473, "||", 1, partcv, params);
// compilenode returning opresult474
  int op_slot_right_457 = gc_frame_newslot(opresult474);
// compilenode returning *var_t
  int op_slot_right_476 = gc_frame_newslot(*var_t);
  int callframe478 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call479 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe478);
// compilenode returning call479
// compilenode returning call479
  int op_slot_left_476 = gc_frame_newslot(call479);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult480 = callmethod(call479, "==", 1, partcv, params);
// compilenode returning opresult480
  int op_slot_left_457 = gc_frame_newslot(opresult480);
  params[0] = opresult474;
  partcv[0] = 1;
  Object opresult481 = callmethod(opresult480, "&&", 1, partcv, params);
// compilenode returning opresult481
  gc_frame_end(frame);
  return opresult481;
}
Object meth_parser_accept_40__41_onLineOfLastOr482(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept()onLineOfLastOr");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()onLineOfLastOr");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()onLineOfLastOr");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()onLineOfLastOr (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for onLineOfLastOr");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe486 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call487 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe486);
// compilenode returning call487
// compilenode returning call487
  int op_slot_right_485 = gc_frame_newslot(call487);
  int callframe489 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call490 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe489);
// compilenode returning call490
// compilenode returning call490
  int op_slot_left_485 = gc_frame_newslot(call490);
  params[0] = call487;
  partcv[0] = 1;
  Object opresult491 = callmethod(call490, "==", 1, partcv, params);
// compilenode returning opresult491
  int op_slot_right_484 = gc_frame_newslot(opresult491);
  int callframe495 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call496 = callmethod(*var_other, "indent",
    1, partcv, params);
  gc_frame_end(callframe495);
// compilenode returning call496
// compilenode returning call496
  int op_slot_right_494 = gc_frame_newslot(call496);
  int callframe498 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call499 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe498);
// compilenode returning call499
// compilenode returning call499
  int op_slot_left_494 = gc_frame_newslot(call499);
  params[0] = call496;
  partcv[0] = 1;
  Object opresult500 = callmethod(call499, ">", 1, partcv, params);
// compilenode returning opresult500
  int op_slot_right_493 = gc_frame_newslot(opresult500);
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe503 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call504 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe503);
// compilenode returning call504
// compilenode returning call504
  int op_slot_right_502 = gc_frame_newslot(call504);
  int callframe506 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call507 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe506);
// compilenode returning call507
// compilenode returning call507
  int op_slot_left_502 = gc_frame_newslot(call507);
  params[0] = call504;
  partcv[0] = 1;
  Object opresult508 = callmethod(call507, "==", 1, partcv, params);
// compilenode returning opresult508
  int op_slot_left_493 = gc_frame_newslot(opresult508);
  params[0] = opresult500;
  partcv[0] = 1;
  Object opresult509 = callmethod(opresult508, "||", 1, partcv, params);
// compilenode returning opresult509
  int op_slot_left_484 = gc_frame_newslot(opresult509);
  params[0] = opresult491;
  partcv[0] = 1;
  Object opresult510 = callmethod(opresult509, "||", 1, partcv, params);
// compilenode returning opresult510
  int op_slot_right_483 = gc_frame_newslot(opresult510);
// compilenode returning *var_t
  int op_slot_right_512 = gc_frame_newslot(*var_t);
  int callframe514 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call515 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe514);
// compilenode returning call515
// compilenode returning call515
  int op_slot_left_512 = gc_frame_newslot(call515);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult516 = callmethod(call515, "==", 1, partcv, params);
// compilenode returning opresult516
  int op_slot_left_483 = gc_frame_newslot(opresult516);
  params[0] = opresult510;
  partcv[0] = 1;
  Object opresult517 = callmethod(opresult516, "&&", 1, partcv, params);
// compilenode returning opresult517
  gc_frame_end(frame);
  return opresult517;
}
Object meth_parser_tokenOnSameLine518(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokenOnSameLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastline = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokenOnSameLine (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for tokenOnSameLine");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastIndent
  int op_slot_right_520 = gc_frame_newslot(*var_lastIndent);
  int callframe522 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call523 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe522);
// compilenode returning call523
// compilenode returning call523
  int op_slot_left_520 = gc_frame_newslot(call523);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object opresult524 = callmethod(call523, ">", 1, partcv, params);
// compilenode returning opresult524
  int op_slot_right_519 = gc_frame_newslot(opresult524);
  int callframe527 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call528 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe527);
// compilenode returning call528
// compilenode returning call528
  int op_slot_right_526 = gc_frame_newslot(call528);
// compilenode returning *var_lastline
  int op_slot_left_526 = gc_frame_newslot(*var_lastline);
  params[0] = call528;
  partcv[0] = 1;
  Object opresult530 = callmethod(*var_lastline, "==", 1, partcv, params);
// compilenode returning opresult530
  int op_slot_left_519 = gc_frame_newslot(opresult530);
  params[0] = opresult524;
  partcv[0] = 1;
  Object opresult531 = callmethod(opresult530, "||", 1, partcv, params);
// compilenode returning opresult531
  gc_frame_end(frame);
  return opresult531;
}
Object meth_parser_didConsume532(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "didConsume");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method didConsume");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for didConsume (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ablock = &(stackframe->slots[0]);
  *var_ablock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for didConsume");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sz");
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe533 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call534 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe533);
// compilenode returning call534
// compilenode returning call534
  *var_sz = call534;
  if (call534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe535 = gc_frame_new();
// compilenode returning *var_ablock
  partcv[0] = 0;
  Object call536 = callmethod(*var_ablock, "apply",
    1, partcv, params);
  gc_frame_end(callframe535);
// compilenode returning call536
// compilenode returning call536
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sz
  int op_slot_right_537 = gc_frame_newslot(*var_sz);
  int callframe539 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call540 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe539);
// compilenode returning call540
// compilenode returning call540
  int op_slot_left_537 = gc_frame_newslot(call540);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult541 = callmethod(call540, "!=", 1, partcv, params);
// compilenode returning opresult541
  gc_frame_end(frame);
  return opresult541;
}
Object meth_parser_ifConsume_40__41_then542(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifConsume()then");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ifConsume()then");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method ifConsume()then");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for ifConsume()then (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_ablock = &(stackframe->slots[0]);
  *var_ablock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ifConsume");
  Object *var_tblock = &(stackframe->slots[1]);
  *var_tblock = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for then");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sz");
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe543 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call544 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe543);
// compilenode returning call544
// compilenode returning call544
  *var_sz = call544;
  if (call544 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe545 = gc_frame_new();
// compilenode returning *var_ablock
  partcv[0] = 0;
  Object call546 = callmethod(*var_ablock, "apply",
    1, partcv, params);
  gc_frame_end(callframe545);
// compilenode returning call546
// compilenode returning call546
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sz
  int op_slot_right_548 = gc_frame_newslot(*var_sz);
  int callframe550 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call551 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe550);
// compilenode returning call551
// compilenode returning call551
  int op_slot_left_548 = gc_frame_newslot(call551);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult552 = callmethod(call551, "!=", 1, partcv, params);
// compilenode returning opresult552
  Object if547 = done;
  if (istrue(opresult552)) {
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe553 = gc_frame_new();
// compilenode returning *var_tblock
  partcv[0] = 0;
  Object call554 = callmethod(*var_tblock, "apply",
    1, partcv, params);
  gc_frame_end(callframe553);
// compilenode returning call554
// compilenode returning call554
    gc_frame_newslot(call554);
    if547 = call554;
  } else {
  }
// compilenode returning if547
  gc_frame_end(frame);
  return if547;
}
Object meth_parser_pushnum555(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushnum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushnum (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pushnum");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe556 = gc_frame_new();
  int callframe557 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call558 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe557);
// compilenode returning call558
// compilenode returning call558
  gc_frame_newslot(call558);
  int callframe559 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call560 = callmethod(*var_ast, "numNode",
    1, partcv, params);
  gc_frame_end(callframe559);
// compilenode returning call560
// compilenode returning call560
  params[0] = call558;
  partcv[0] = 1;
  Object call561 = callmethod(call560, "new",
    1, partcv, params);
  gc_frame_end(callframe556);
// compilenode returning call561
  *var_o = call561;
  if (call561 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe562 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call563 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe562);
// compilenode returning call563
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe564 = gc_frame_new();
  partcv[0] = 0;
  Object call565 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe564);
// compilenode returning call565
  gc_frame_end(frame);
  return call565;
}
Object meth_parser_pushoctets566(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushoctets");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushoctets (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pushoctets");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe567 = gc_frame_new();
  int callframe568 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call569 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe568);
// compilenode returning call569
// compilenode returning call569
  gc_frame_newslot(call569);
  int callframe570 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call571 = callmethod(*var_ast, "octetsNode",
    1, partcv, params);
  gc_frame_end(callframe570);
// compilenode returning call571
// compilenode returning call571
  params[0] = call569;
  partcv[0] = 1;
  Object call572 = callmethod(call571, "new",
    1, partcv, params);
  gc_frame_end(callframe567);
// compilenode returning call572
  *var_o = call572;
  if (call572 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 216
  setline(216);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe573 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call574 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe573);
// compilenode returning call574
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe575 = gc_frame_new();
  partcv[0] = 0;
  Object call576 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe575);
// compilenode returning call576
  gc_frame_end(frame);
  return call576;
}
Object meth_parser_pushstring577(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushstring");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushstring (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pushstring");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe578 = gc_frame_new();
  int callframe579 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call580 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe579);
// compilenode returning call580
// compilenode returning call580
  gc_frame_newslot(call580);
  int callframe581 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call582 = callmethod(*var_ast, "stringNode",
    1, partcv, params);
  gc_frame_end(callframe581);
// compilenode returning call582
// compilenode returning call582
  params[0] = call580;
  partcv[0] = 1;
  Object call583 = callmethod(call582, "new",
    1, partcv, params);
  gc_frame_end(callframe578);
// compilenode returning call583
  *var_o = call583;
  if (call583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe584 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call585 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe584);
// compilenode returning call585
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe586 = gc_frame_new();
  partcv[0] = 0;
  Object call587 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe586);
// compilenode returning call587
  gc_frame_end(frame);
  return call587;
}
Object meth_parser_pushidentifier588(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushidentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_auto_count = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushidentifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pushidentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe589 = gc_frame_new();
  int callframe590 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call591 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe590);
// compilenode returning call591
// compilenode returning call591
  gc_frame_newslot(call591);
// compilenode returning *var_util
  params[0] = call591;
  partcv[0] = 1;
  Object call592 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe589);
// compilenode returning call592
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe593 = gc_frame_new();
  int callframe594 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call595 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe594);
// compilenode returning call595
// compilenode returning call595
  gc_frame_newslot(call595);
  Object bool596 = alloc_Boolean(0);
// compilenode returning bool596
  gc_frame_newslot(bool596);
  int callframe597 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call598 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe597);
// compilenode returning call598
// compilenode returning call598
  params[0] = call595;
  params[1] = bool596;
  partcv[0] = 2;
  Object call599 = callmethod(call598, "new",
    1, partcv, params);
  gc_frame_end(callframe593);
// compilenode returning call599
  *var_o = call599;
  if (call599 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit602 == NULL) {
    strlit602 = alloc_String("_");
    gc_root(strlit602);
  }
// compilenode returning strlit602
  int op_slot_right_601 = gc_frame_newslot(strlit602);
  int callframe604 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call605 = callmethod(*var_o, "value",
    1, partcv, params);
  gc_frame_end(callframe604);
// compilenode returning call605
// compilenode returning call605
  int op_slot_left_601 = gc_frame_newslot(call605);
  params[0] = strlit602;
  partcv[0] = 1;
  Object opresult606 = callmethod(call605, "==", 1, partcv, params);
// compilenode returning opresult606
  Object if600 = done;
  if (istrue(opresult606)) {
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe607 = gc_frame_new();
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_auto_count
  int op_slot_right_608 = gc_frame_newslot(*var_auto_count);
  if (strlit610 == NULL) {
    strlit610 = alloc_String("__");
    gc_root(strlit610);
  }
// compilenode returning strlit610
  int op_slot_left_608 = gc_frame_newslot(strlit610);
  params[0] = *var_auto_count;
  partcv[0] = 1;
  Object opresult611 = callmethod(strlit610, "++", 1, partcv, params);
// compilenode returning opresult611
  gc_frame_newslot(opresult611);
// compilenode returning *var_o
  params[0] = opresult611;
  partcv[0] = 1;
  Object call612 = callmethod(*var_o, "value:=",
    1, partcv, params);
  gc_frame_end(callframe607);
// compilenode returning call612
// compilenode returning done
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe613 = gc_frame_new();
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool614 = alloc_Boolean(1);
// compilenode returning bool614
  gc_frame_newslot(bool614);
// compilenode returning *var_o
  params[0] = bool614;
  partcv[0] = 1;
  Object call615 = callmethod(*var_o, "wildcard:=",
    1, partcv, params);
  gc_frame_end(callframe613);
// compilenode returning call615
// compilenode returning done
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num617 = alloc_Float64(1);
// compilenode returning num617
  int op_slot_right_616 = gc_frame_newslot(num617);
// compilenode returning *var_auto_count
  int op_slot_left_616 = gc_frame_newslot(*var_auto_count);
  params[0] = num617;
  partcv[0] = 1;
  Object sum619 = callmethod(*var_auto_count, "+", 1, partcv, params);
// compilenode returning sum619
  *var_auto_count = sum619;
  if (sum619 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if600 = done;
  } else {
  }
// compilenode returning if600
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe621 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call622 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe621);
// compilenode returning call622
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe623 = gc_frame_new();
  partcv[0] = 0;
  Object call624 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe623);
// compilenode returning call624
  gc_frame_end(frame);
  return call624;
}
Object meth_parser__apply646(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object bool648 = alloc_Boolean(0);
// compilenode returning bool648
  int op_slot_right_647 = gc_frame_newslot(bool648);
  int callframe650 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call651 = callmethod(*var_a, "dtype",
    1, partcv, params);
  gc_frame_end(callframe650);
// compilenode returning call651
// compilenode returning call651
  int op_slot_left_647 = gc_frame_newslot(call651);
  params[0] = bool648;
  partcv[0] = 1;
  Object opresult652 = callmethod(call651, "!=", 1, partcv, params);
// compilenode returning opresult652
  gc_frame_end(frame);
  return opresult652;
}
Object meth_parser__apply663(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit665 == NULL) {
    strlit665 = alloc_String(":");
    gc_root(strlit665);
  }
// compilenode returning strlit665
  int op_slot_right_664 = gc_frame_newslot(strlit665);
  int callframe667 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call668 = callmethod(*var_tok, "value",
    1, partcv, params);
  gc_frame_end(callframe667);
// compilenode returning call668
// compilenode returning call668
  int op_slot_left_664 = gc_frame_newslot(call668);
  params[0] = strlit665;
  partcv[0] = 1;
  Object opresult669 = callmethod(call668, "!=", 1, partcv, params);
// compilenode returning opresult669
  gc_frame_end(frame);
  return opresult669;
}
Object meth_parser__apply672(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe673 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call674 = callmethod(*var_tok, "prev",
    1, partcv, params);
  gc_frame_end(callframe673);
// compilenode returning call674
// compilenode returning call674
  *var_tok = call674;
  if (call674 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply642(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe644 = gc_frame_new();
  Object block645 = alloc_Block(NULL, NULL, "parser", 244);
  gc_frame_newslot(block645);
  block_savedest(block645);
  Object closure646 = createclosure(2, "_apply");
  setclosureframe(closure646, stackframe);
  addtoclosure(closure646, var_a);
  addtoclosure(closure646, selfslot);
  struct UserObject *uo646 = (struct UserObject*)block645;
  uo646->data[0] = (Object)closure646;
  Method *meth_meth_parser__apply646 = addmethod2pos(block645, "_apply", &meth_parser__apply646, 0);
int argcv_meth_parser__apply646[] = {0};
meth_meth_parser__apply646->type = alloc_MethodType(1, argcv_meth_parser__apply646);
  meth_meth_parser__apply646->definitionModule = modulename;
  meth_meth_parser__apply646->definitionLine = 243;
// compilenode returning block645
  gc_frame_newslot(block645);
  if (strlit655 == NULL) {
    strlit655 = alloc_String("identifier");
    gc_root(strlit655);
  }
// compilenode returning strlit655
  int op_slot_right_654 = gc_frame_newslot(strlit655);
  int callframe657 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call658 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe657);
// compilenode returning call658
// compilenode returning call658
  int op_slot_left_654 = gc_frame_newslot(call658);
  params[0] = strlit655;
  partcv[0] = 1;
  Object opresult659 = callmethod(call658, "==", 1, partcv, params);
// compilenode returning opresult659
  params[0] = block645;
  partcv[0] = 1;
  Object call660 = callmethod(opresult659, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe644);
// compilenode returning call660
  Object if643 = done;
  if (istrue(call660)) {
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe661 = gc_frame_new();
  Object block662 = alloc_Block(NULL, NULL, "parser", 247);
  gc_frame_newslot(block662);
  block_savedest(block662);
  Object closure663 = createclosure(2, "_apply");
  setclosureframe(closure663, stackframe);
  addtoclosure(closure663, var_tok);
  addtoclosure(closure663, selfslot);
  struct UserObject *uo663 = (struct UserObject*)block662;
  uo663->data[0] = (Object)closure663;
  Method *meth_meth_parser__apply663 = addmethod2pos(block662, "_apply", &meth_parser__apply663, 0);
int argcv_meth_parser__apply663[] = {0};
meth_meth_parser__apply663->type = alloc_MethodType(1, argcv_meth_parser__apply663);
  meth_meth_parser__apply663->definitionModule = modulename;
  meth_meth_parser__apply663->definitionLine = 244;
// compilenode returning block662
  gc_frame_newslot(block662);
  Object block671 = alloc_Block(NULL, NULL, "parser", 247);
  gc_frame_newslot(block671);
  block_savedest(block671);
  Object closure672 = createclosure(2, "_apply");
  setclosureframe(closure672, stackframe);
  addtoclosure(closure672, var_tok);
  addtoclosure(closure672, selfslot);
  struct UserObject *uo672 = (struct UserObject*)block671;
  uo672->data[0] = (Object)closure672;
  Method *meth_meth_parser__apply672 = addmethod2pos(block671, "_apply", &meth_parser__apply672, 0);
int argcv_meth_parser__apply672[] = {0};
meth_meth_parser__apply672->type = alloc_MethodType(1, argcv_meth_parser__apply672);
  meth_meth_parser__apply672->definitionModule = modulename;
  meth_meth_parser__apply672->definitionLine = 247;
// compilenode returning block671
  gc_frame_newslot(block671);
  params[0] = block662;
  params[1] = block671;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call677 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe661);
// compilenode returning call677
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe678 = gc_frame_new();
  int callframe679 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call680 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe679);
// compilenode returning call680
// compilenode returning call680
  partcv[0] = 0;
  Object call681 = callmethod(call680, "new",
    1, partcv, params);
  gc_frame_end(callframe678);
// compilenode returning call681
// compilenode returning call681
  *var_suggestion = call681;
  if (call681 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe682 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  int callframe683 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call684 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe683);
// compilenode returning call684
// compilenode returning call684
  gc_frame_newslot(call684);
  Object bool685 = alloc_Boolean(1);
// compilenode returning bool685
  gc_frame_newslot(bool685);
  Object bool686 = alloc_Boolean(0);
// compilenode returning bool686
  gc_frame_newslot(bool686);
// compilenode returning *var_suggestion
  params[0] = *var_tok;
  params[1] = call684;
  params[2] = bool685;
  params[3] = bool686;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call687 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe682);
// compilenode returning call687
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe688 = gc_frame_new();
  if (strlit689 == NULL) {
    strlit689 = alloc_String("An argument to an annotation cannot have a type.");
    gc_root(strlit689);
  }
// compilenode returning strlit689
  gc_frame_newslot(strlit689);
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe690 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call691 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe690);
// compilenode returning call691
// compilenode returning call691
  gc_frame_newslot(call691);
  int callframe692 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call693 = callmethod(*var_tok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe692);
// compilenode returning call693
// compilenode returning call693
  gc_frame_newslot(call693);
  Object num695 = alloc_Float64(1);
// compilenode returning num695
  int op_slot_right_694 = gc_frame_newslot(num695);
  int callframe698 = gc_frame_new();
  int callframe699 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call700 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe699);
// compilenode returning call700
// compilenode returning call700
  partcv[0] = 0;
  Object call701 = callmethod(call700, "size",
    1, partcv, params);
  gc_frame_end(callframe698);
// compilenode returning call701
// compilenode returning call701
  int op_slot_right_697 = gc_frame_newslot(call701);
  int callframe703 = gc_frame_new();
  int callframe704 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call705 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe704);
// compilenode returning call705
// compilenode returning call705
  partcv[0] = 0;
  Object call706 = callmethod(call705, "linePos",
    1, partcv, params);
  gc_frame_end(callframe703);
// compilenode returning call706
// compilenode returning call706
  int op_slot_left_697 = gc_frame_newslot(call706);
  params[0] = call701;
  partcv[0] = 1;
  Object sum707 = callmethod(call706, "+", 1, partcv, params);
// compilenode returning sum707
  int op_slot_left_694 = gc_frame_newslot(sum707);
  params[0] = num695;
  partcv[0] = 1;
  Object diff708 = callmethod(sum707, "-", 1, partcv, params);
// compilenode returning diff708
  gc_frame_newslot(diff708);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit689;
  params[1] = call691;
  params[2] = call693;
  params[3] = diff708;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call709 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe688);
// compilenode returning call709
    gc_frame_newslot(call709);
    if643 = call709;
  } else {
  }
// compilenode returning if643
  gc_frame_end(frame);
  return if643;
}
Object meth_parser__apply637(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe638 = gc_frame_new();
  int callframe639 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call640 = callmethod(*var_p, "args",
    1, partcv, params);
  gc_frame_end(callframe639);
// compilenode returning call640
// compilenode returning call640
  gc_frame_newslot(call640);
  Object block641 = alloc_Block(NULL, NULL, "parser", 243);
  gc_frame_newslot(block641);
  block_savedest(block641);
  Object closure642 = createclosure(3, "_apply");
  setclosureframe(closure642, stackframe);
  addtoclosure(closure642, var_sym);
  addtoclosure(closure642, var_errormessages);
  addtoclosure(closure642, selfslot);
  struct UserObject *uo642 = (struct UserObject*)block641;
  uo642->data[0] = (Object)closure642;
  Method *meth_meth_parser__apply642 = addmethod2pos(block641, "_apply", &meth_parser__apply642, 0);
int argcv_meth_parser__apply642[] = {1};
meth_meth_parser__apply642->type = alloc_MethodType(1, argcv_meth_parser__apply642);
  meth_meth_parser__apply642->definitionModule = modulename;
  meth_meth_parser__apply642->definitionLine = 243;
// compilenode returning block641
  gc_frame_newslot(block641);
  params[0] = call640;
  params[1] = block641;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call711 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe638);
// compilenode returning call711
  gc_frame_end(frame);
  return call711;
}
Object meth_parser_checkAnnotation625(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkAnnotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method checkAnnotation");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkAnnotation (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for checkAnnotation");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit628 == NULL) {
    strlit628 = alloc_String("call");
    gc_root(strlit628);
  }
// compilenode returning strlit628
  int op_slot_right_627 = gc_frame_newslot(strlit628);
  int callframe630 = gc_frame_new();
// compilenode returning *var_ann
  partcv[0] = 0;
  Object call631 = callmethod(*var_ann, "kind",
    1, partcv, params);
  gc_frame_end(callframe630);
// compilenode returning call631
// compilenode returning call631
  int op_slot_left_627 = gc_frame_newslot(call631);
  params[0] = strlit628;
  partcv[0] = 1;
  Object opresult632 = callmethod(call631, "==", 1, partcv, params);
// compilenode returning opresult632
  Object if626 = done;
  if (istrue(opresult632)) {
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe633 = gc_frame_new();
  int callframe634 = gc_frame_new();
// compilenode returning *var_ann
  partcv[0] = 0;
  Object call635 = callmethod(*var_ann, "with",
    1, partcv, params);
  gc_frame_end(callframe634);
// compilenode returning call635
// compilenode returning call635
  gc_frame_newslot(call635);
  Object block636 = alloc_Block(NULL, NULL, "parser", 242);
  gc_frame_newslot(block636);
  block_savedest(block636);
  Object closure637 = createclosure(3, "_apply");
  setclosureframe(closure637, stackframe);
  addtoclosure(closure637, var_sym);
  addtoclosure(closure637, var_errormessages);
  addtoclosure(closure637, selfslot);
  struct UserObject *uo637 = (struct UserObject*)block636;
  uo637->data[0] = (Object)closure637;
  Method *meth_meth_parser__apply637 = addmethod2pos(block636, "_apply", &meth_parser__apply637, 0);
int argcv_meth_parser__apply637[] = {1};
meth_meth_parser__apply637->type = alloc_MethodType(1, argcv_meth_parser__apply637);
  meth_meth_parser__apply637->definitionModule = modulename;
  meth_meth_parser__apply637->definitionLine = 242;
// compilenode returning block636
  gc_frame_newslot(block636);
  params[0] = call635;
  params[1] = block636;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call713 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe633);
// compilenode returning call713
    gc_frame_newslot(call713);
    if626 = call713;
  } else {
  }
// compilenode returning if626
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ann
  gc_frame_end(frame);
  return *var_ann;
}
Object meth_parser__apply718(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit720 == NULL) {
    strlit720 = alloc_String("is");
    gc_root(strlit720);
  }
// compilenode returning strlit720
  int op_slot_right_719 = gc_frame_newslot(strlit720);
  int callframe722 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call723 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe722);
// compilenode returning call723
// compilenode returning call723
  int op_slot_left_719 = gc_frame_newslot(call723);
  params[0] = strlit720;
  partcv[0] = 1;
  Object opresult724 = callmethod(call723, "!=", 1, partcv, params);
// compilenode returning opresult724
  gc_frame_end(frame);
  return opresult724;
}
Object meth_parser__apply743(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe744 = gc_frame_new();
// compilenode returning *var_noBlocks
  gc_frame_newslot(*var_noBlocks);
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call745 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe744);
// compilenode returning call745
  gc_frame_end(frame);
  return call745;
}
Object meth_parser__apply804(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe805 = gc_frame_new();
  if (strlit806 == NULL) {
    strlit806 = alloc_String("comma");
    gc_root(strlit806);
  }
// compilenode returning strlit806
  gc_frame_newslot(strlit806);
  params[0] = strlit806;
  partcv[0] = 1;
  Object call807 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe805);
// compilenode returning call807
  gc_frame_end(frame);
  return call807;
}
Object meth_parser__apply823(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe824 = gc_frame_new();
// compilenode returning *var_noBlocks
  gc_frame_newslot(*var_noBlocks);
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call825 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe824);
// compilenode returning call825
  gc_frame_end(frame);
  return call825;
}
Object meth_parser__apply810(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_anns = getfromclosure(closure, 1);
  Object *var_noBlocks = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe811 = gc_frame_new();
  int callframe812 = gc_frame_new();
  int callframe813 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call814 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe813);
// compilenode returning call814
// compilenode returning call814
  gc_frame_newslot(call814);
  params[0] = call814;
  partcv[0] = 1;
  Object call815 = callmethodflags(self, "checkAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe812);
// compilenode returning call815
  gc_frame_newslot(call815);
// compilenode returning *var_anns
  params[0] = call815;
  partcv[0] = 1;
  Object call816 = callmethod(*var_anns, "push",
    1, partcv, params);
  gc_frame_end(callframe811);
// compilenode returning call816
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe817 = gc_frame_new();
  partcv[0] = 0;
  Object call818 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe817);
// compilenode returning call818
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe820 = gc_frame_new();
  int callframe821 = gc_frame_new();
  Object block822 = alloc_Block(NULL, NULL, "parser", 283);
  gc_frame_newslot(block822);
  block_savedest(block822);
  Object closure823 = createclosure(2, "_apply");
  setclosureframe(closure823, stackframe);
  addtoclosure(closure823, var_noBlocks);
  addtoclosure(closure823, selfslot);
  struct UserObject *uo823 = (struct UserObject*)block822;
  uo823->data[0] = (Object)closure823;
  Method *meth_meth_parser__apply823 = addmethod2pos(block822, "_apply", &meth_parser__apply823, 0);
int argcv_meth_parser__apply823[] = {0};
meth_meth_parser__apply823->type = alloc_MethodType(1, argcv_meth_parser__apply823);
  meth_meth_parser__apply823->definitionModule = modulename;
  meth_meth_parser__apply823->definitionLine = 283;
// compilenode returning block822
  gc_frame_newslot(block822);
  params[0] = block822;
  partcv[0] = 1;
  Object call827 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe821);
// compilenode returning call827
  partcv[0] = 0;
  Object call828 = callmethod(call827, "not",
    1, partcv, params);
  gc_frame_end(callframe820);
// compilenode returning call828
// compilenode returning call828
  Object if819 = done;
  if (istrue(call828)) {
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array829 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array829
  *var_suggestions = array829;
  if (array829 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe830 = gc_frame_new();
  int callframe831 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call832 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe831);
// compilenode returning call832
// compilenode returning call832
  partcv[0] = 0;
  Object call833 = callmethod(call832, "new",
    1, partcv, params);
  gc_frame_end(callframe830);
// compilenode returning call833
// compilenode returning call833
  *var_suggestion = call833;
  if (call833 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe834 = gc_frame_new();
  if (strlit835 == NULL) {
    strlit835 = alloc_String("bind");
    gc_root(strlit835);
  }
// compilenode returning strlit835
  gc_frame_newslot(strlit835);
  params[0] = strlit835;
  partcv[0] = 1;
  Object call836 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe834);
// compilenode returning call836
  *var_nextTok = call836;
  if (call836 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_838 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_838 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult840 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult840
  Object if837 = done;
  if (istrue(opresult840)) {
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe841 = gc_frame_new();
  if (strlit842 == NULL) {
    strlit842 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit842);
  }
// compilenode returning strlit842
  gc_frame_newslot(strlit842);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit842;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call843 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe841);
// compilenode returning call843
    gc_frame_newslot(call843);
    if837 = call843;
  } else {
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe844 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe845 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call846 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe845);
// compilenode returning call846
// compilenode returning call846
  gc_frame_newslot(call846);
  Object bool847 = alloc_Boolean(1);
// compilenode returning bool847
  gc_frame_newslot(bool847);
  Object bool848 = alloc_Boolean(0);
// compilenode returning bool848
  gc_frame_newslot(bool848);
  if (strlit849 == NULL) {
    strlit849 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit849);
  }
// compilenode returning strlit849
  gc_frame_newslot(strlit849);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call846;
  params[2] = bool847;
  params[3] = bool848;
  params[4] = strlit849;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call850 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe844);
// compilenode returning call850
    gc_frame_newslot(call850);
    if837 = call850;
  }
// compilenode returning if837
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe851 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call852 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe851);
// compilenode returning call852
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe853 = gc_frame_new();
  int callframe854 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call855 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe854);
// compilenode returning call855
// compilenode returning call855
  partcv[0] = 0;
  Object call856 = callmethod(call855, "new",
    1, partcv, params);
  gc_frame_end(callframe853);
// compilenode returning call856
// compilenode returning call856
  *var_suggestion = call856;
  if (call856 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe858 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe859 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call860 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe859);
// compilenode returning call860
// compilenode returning call860
  gc_frame_newslot(call860);
  Object bool861 = alloc_Boolean(1);
// compilenode returning bool861
  gc_frame_newslot(bool861);
  Object bool862 = alloc_Boolean(0);
// compilenode returning bool862
  gc_frame_newslot(bool862);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call860;
  params[2] = bool861;
  params[3] = bool862;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call863 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe858);
// compilenode returning call863
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe864 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call865 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe864);
// compilenode returning call865
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe866 = gc_frame_new();
  if (strlit867 == NULL) {
    strlit867 = alloc_String("One or more annotations separated by commas must follow 'is'.");
    gc_root(strlit867);
  }
// compilenode returning strlit867
  gc_frame_newslot(strlit867);
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe868 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call869 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe868);
// compilenode returning call869
// compilenode returning call869
  gc_frame_newslot(call869);
  Object num871 = alloc_Float64(1);
// compilenode returning num871
  int op_slot_right_870 = gc_frame_newslot(num871);
  int callframe874 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call875 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe874);
// compilenode returning call875
// compilenode returning call875
  int op_slot_right_873 = gc_frame_newslot(call875);
  int callframe877 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call878 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe877);
// compilenode returning call878
// compilenode returning call878
  int op_slot_left_873 = gc_frame_newslot(call878);
  params[0] = call875;
  partcv[0] = 1;
  Object sum879 = callmethod(call878, "+", 1, partcv, params);
// compilenode returning sum879
  int op_slot_left_870 = gc_frame_newslot(sum879);
  params[0] = num871;
  partcv[0] = 1;
  Object sum880 = callmethod(sum879, "+", 1, partcv, params);
// compilenode returning sum880
  gc_frame_newslot(sum880);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit867;
  params[1] = call869;
  params[2] = sum880;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call881 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe866);
// compilenode returning call881
    gc_frame_newslot(call881);
    if819 = call881;
  } else {
  }
// compilenode returning if819
  gc_frame_end(frame);
  return if819;
}
Object meth_parser_doannotation714(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doannotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_collections = getfromclosure(closure, 1);
  Object *var_noBlocks = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doannotation (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doannotation");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_anns = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "anns");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe716 = gc_frame_new();
  Object block717 = alloc_Block(NULL, NULL, "parser", 259);
  gc_frame_newslot(block717);
  block_savedest(block717);
  Object closure718 = createclosure(2, "_apply");
  setclosureframe(closure718, stackframe);
  addtoclosure(closure718, var_sym);
  addtoclosure(closure718, selfslot);
  struct UserObject *uo718 = (struct UserObject*)block717;
  uo718->data[0] = (Object)closure718;
  Method *meth_meth_parser__apply718 = addmethod2pos(block717, "_apply", &meth_parser__apply718, 0);
int argcv_meth_parser__apply718[] = {0};
meth_meth_parser__apply718->type = alloc_MethodType(1, argcv_meth_parser__apply718);
  meth_meth_parser__apply718->definitionModule = modulename;
  meth_meth_parser__apply718->definitionLine = 251;
// compilenode returning block717
  gc_frame_newslot(block717);
  int callframe726 = gc_frame_new();
  int callframe727 = gc_frame_new();
  if (strlit728 == NULL) {
    strlit728 = alloc_String("keyword");
    gc_root(strlit728);
  }
// compilenode returning strlit728
  gc_frame_newslot(strlit728);
  params[0] = strlit728;
  partcv[0] = 1;
  Object call729 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe727);
// compilenode returning call729
  partcv[0] = 0;
  Object call730 = callmethod(call729, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe726);
// compilenode returning call730
  params[0] = block717;
  partcv[0] = 1;
  Object call731 = callmethod(call730, "orElse",
    1, partcv, params);
  gc_frame_end(callframe716);
// compilenode returning call731
  Object if715 = done;
  if (istrue(call731)) {
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool732 = alloc_Boolean(0);
// compilenode returning bool732
  return bool732;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if715 = undefined;
  } else {
  }
// compilenode returning if715
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe733 = gc_frame_new();
  partcv[0] = 0;
  Object call734 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe733);
// compilenode returning call734
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe735 = gc_frame_new();
  int callframe736 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call737 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe736);
// compilenode returning call737
// compilenode returning call737
  partcv[0] = 0;
  Object call738 = callmethod(call737, "new",
    1, partcv, params);
  gc_frame_end(callframe735);
// compilenode returning call738
// compilenode returning call738
  *var_anns = call738;
  if (call738 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe740 = gc_frame_new();
  int callframe741 = gc_frame_new();
  Object block742 = alloc_Block(NULL, NULL, "parser", 264);
  gc_frame_newslot(block742);
  block_savedest(block742);
  Object closure743 = createclosure(2, "_apply");
  setclosureframe(closure743, stackframe);
  addtoclosure(closure743, var_noBlocks);
  addtoclosure(closure743, selfslot);
  struct UserObject *uo743 = (struct UserObject*)block742;
  uo743->data[0] = (Object)closure743;
  Method *meth_meth_parser__apply743 = addmethod2pos(block742, "_apply", &meth_parser__apply743, 0);
int argcv_meth_parser__apply743[] = {0};
meth_meth_parser__apply743->type = alloc_MethodType(1, argcv_meth_parser__apply743);
  meth_meth_parser__apply743->definitionModule = modulename;
  meth_meth_parser__apply743->definitionLine = 264;
// compilenode returning block742
  gc_frame_newslot(block742);
  params[0] = block742;
  partcv[0] = 1;
  Object call747 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe741);
// compilenode returning call747
  partcv[0] = 0;
  Object call748 = callmethod(call747, "not",
    1, partcv, params);
  gc_frame_end(callframe740);
// compilenode returning call748
// compilenode returning call748
  Object if739 = done;
  if (istrue(call748)) {
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array749 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array749
  *var_suggestions = array749;
  if (array749 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe750 = gc_frame_new();
  int callframe751 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call752 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe751);
// compilenode returning call752
// compilenode returning call752
  partcv[0] = 0;
  Object call753 = callmethod(call752, "new",
    1, partcv, params);
  gc_frame_end(callframe750);
// compilenode returning call753
// compilenode returning call753
  *var_suggestion = call753;
  if (call753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe754 = gc_frame_new();
  if (strlit755 == NULL) {
    strlit755 = alloc_String("bind");
    gc_root(strlit755);
  }
// compilenode returning strlit755
  gc_frame_newslot(strlit755);
  params[0] = strlit755;
  partcv[0] = 1;
  Object call756 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe754);
// compilenode returning call756
  *var_nextTok = call756;
  if (call756 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_758 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_758 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult760 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult760
  Object if757 = done;
  if (istrue(opresult760)) {
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe761 = gc_frame_new();
  if (strlit762 == NULL) {
    strlit762 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit762);
  }
// compilenode returning strlit762
  gc_frame_newslot(strlit762);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit762;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call763 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe761);
// compilenode returning call763
    gc_frame_newslot(call763);
    if757 = call763;
  } else {
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe764 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe765 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call766 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe765);
// compilenode returning call766
// compilenode returning call766
  gc_frame_newslot(call766);
  Object bool767 = alloc_Boolean(1);
// compilenode returning bool767
  gc_frame_newslot(bool767);
  Object bool768 = alloc_Boolean(0);
// compilenode returning bool768
  gc_frame_newslot(bool768);
  if (strlit769 == NULL) {
    strlit769 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit769);
  }
// compilenode returning strlit769
  gc_frame_newslot(strlit769);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call766;
  params[2] = bool767;
  params[3] = bool768;
  params[4] = strlit769;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call770 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe764);
// compilenode returning call770
    gc_frame_newslot(call770);
    if757 = call770;
  }
// compilenode returning if757
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe771 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call772 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe771);
// compilenode returning call772
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe773 = gc_frame_new();
  int callframe774 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call775 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe774);
// compilenode returning call775
// compilenode returning call775
  partcv[0] = 0;
  Object call776 = callmethod(call775, "new",
    1, partcv, params);
  gc_frame_end(callframe773);
// compilenode returning call776
// compilenode returning call776
  *var_suggestion = call776;
  if (call776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe778 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe779 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call780 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe779);
// compilenode returning call780
// compilenode returning call780
  gc_frame_newslot(call780);
  Object bool781 = alloc_Boolean(1);
// compilenode returning bool781
  gc_frame_newslot(bool781);
  Object bool782 = alloc_Boolean(0);
// compilenode returning bool782
  gc_frame_newslot(bool782);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call780;
  params[2] = bool781;
  params[3] = bool782;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call783 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe778);
// compilenode returning call783
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe784 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call785 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe784);
// compilenode returning call785
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe786 = gc_frame_new();
  if (strlit787 == NULL) {
    strlit787 = alloc_String("One or more annotations separated by commas must follow 'is'.");
    gc_root(strlit787);
  }
// compilenode returning strlit787
  gc_frame_newslot(strlit787);
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe788 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call789 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe788);
// compilenode returning call789
// compilenode returning call789
  gc_frame_newslot(call789);
  Object num791 = alloc_Float64(1);
// compilenode returning num791
  int op_slot_right_790 = gc_frame_newslot(num791);
  int callframe794 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call795 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe794);
// compilenode returning call795
// compilenode returning call795
  int op_slot_right_793 = gc_frame_newslot(call795);
  int callframe797 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call798 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe797);
// compilenode returning call798
// compilenode returning call798
  int op_slot_left_793 = gc_frame_newslot(call798);
  params[0] = call795;
  partcv[0] = 1;
  Object sum799 = callmethod(call798, "+", 1, partcv, params);
// compilenode returning sum799
  int op_slot_left_790 = gc_frame_newslot(sum799);
  params[0] = num791;
  partcv[0] = 1;
  Object sum800 = callmethod(sum799, "+", 1, partcv, params);
// compilenode returning sum800
  gc_frame_newslot(sum800);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit787;
  params[1] = call789;
  params[2] = sum800;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call801 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe786);
// compilenode returning call801
    gc_frame_newslot(call801);
    if739 = call801;
  } else {
  }
// compilenode returning if739
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe802 = gc_frame_new();
  Object block803 = alloc_Block(NULL, NULL, "parser", 280);
  gc_frame_newslot(block803);
  block_savedest(block803);
  Object closure804 = createclosure(1, "_apply");
  setclosureframe(closure804, stackframe);
  addtoclosure(closure804, selfslot);
  struct UserObject *uo804 = (struct UserObject*)block803;
  uo804->data[0] = (Object)closure804;
  Method *meth_meth_parser__apply804 = addmethod2pos(block803, "_apply", &meth_parser__apply804, 0);
int argcv_meth_parser__apply804[] = {0};
meth_meth_parser__apply804->type = alloc_MethodType(1, argcv_meth_parser__apply804);
  meth_meth_parser__apply804->definitionModule = modulename;
  meth_meth_parser__apply804->definitionLine = 278;
// compilenode returning block803
  gc_frame_newslot(block803);
  Object block809 = alloc_Block(NULL, NULL, "parser", 280);
  gc_frame_newslot(block809);
  block_savedest(block809);
  Object closure810 = createclosure(7, "_apply");
  setclosureframe(closure810, stackframe);
  addtoclosure(closure810, var_values);
  addtoclosure(closure810, var_anns);
  addtoclosure(closure810, var_noBlocks);
  addtoclosure(closure810, var_errormessages);
  addtoclosure(closure810, var_sym);
  addtoclosure(closure810, var_lastToken);
  addtoclosure(closure810, selfslot);
  struct UserObject *uo810 = (struct UserObject*)block809;
  uo810->data[0] = (Object)closure810;
  Method *meth_meth_parser__apply810 = addmethod2pos(block809, "_apply", &meth_parser__apply810, 0);
int argcv_meth_parser__apply810[] = {0};
meth_meth_parser__apply810->type = alloc_MethodType(1, argcv_meth_parser__apply810);
  meth_meth_parser__apply810->definitionModule = modulename;
  meth_meth_parser__apply810->definitionLine = 278;
// compilenode returning block809
  gc_frame_newslot(block809);
  params[0] = block803;
  params[1] = block809;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call883 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe802);
// compilenode returning call883
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe884 = gc_frame_new();
  int callframe885 = gc_frame_new();
  int callframe886 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call887 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe886);
// compilenode returning call887
// compilenode returning call887
  gc_frame_newslot(call887);
  params[0] = call887;
  partcv[0] = 1;
  Object call888 = callmethodflags(self, "checkAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe885);
// compilenode returning call888
  gc_frame_newslot(call888);
// compilenode returning *var_anns
  params[0] = call888;
  partcv[0] = 1;
  Object call889 = callmethod(*var_anns, "push",
    1, partcv, params);
  gc_frame_end(callframe884);
// compilenode returning call889
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  gc_frame_end(frame);
  return *var_anns;
}
Object meth_parser_blank890(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blank");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blank (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for blank");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num894 = alloc_Float64(1);
// compilenode returning num894
  int op_slot_right_893 = gc_frame_newslot(num894);
  int callframe896 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call897 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe896);
// compilenode returning call897
// compilenode returning call897
  int op_slot_left_893 = gc_frame_newslot(call897);
  params[0] = num894;
  partcv[0] = 1;
  Object sum898 = callmethod(call897, "+", 1, partcv, params);
// compilenode returning sum898
  int op_slot_right_892 = gc_frame_newslot(sum898);
  int callframe900 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call901 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe900);
// compilenode returning call901
// compilenode returning call901
  int op_slot_left_892 = gc_frame_newslot(call901);
  params[0] = sum898;
  partcv[0] = 1;
  Object opresult902 = callmethod(call901, ">", 1, partcv, params);
// compilenode returning opresult902
  Object if891 = done;
  if (istrue(opresult902)) {
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num905 = alloc_Float64(0);
// compilenode returning num905
  int op_slot_right_904 = gc_frame_newslot(num905);
  int callframe907 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call908 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe907);
// compilenode returning call908
// compilenode returning call908
  int op_slot_left_904 = gc_frame_newslot(call908);
  params[0] = num905;
  partcv[0] = 1;
  Object opresult909 = callmethod(call908, ">", 1, partcv, params);
// compilenode returning opresult909
  Object if903 = done;
  if (istrue(opresult909)) {
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit912 == NULL) {
    strlit912 = alloc_String("blank");
    gc_root(strlit912);
  }
// compilenode returning strlit912
  int op_slot_right_911 = gc_frame_newslot(strlit912);
  int callframe914 = gc_frame_new();
  int callframe915 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call916 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe915);
// compilenode returning call916
// compilenode returning call916
  partcv[0] = 0;
  Object call917 = callmethod(call916, "kind",
    1, partcv, params);
  gc_frame_end(callframe914);
// compilenode returning call917
// compilenode returning call917
  int op_slot_left_911 = gc_frame_newslot(call917);
  params[0] = strlit912;
  partcv[0] = 1;
  Object opresult918 = callmethod(call917, "!=", 1, partcv, params);
// compilenode returning opresult918
  Object if910 = done;
  if (istrue(opresult918)) {
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe919 = gc_frame_new();
  int callframe920 = gc_frame_new();
  int callframe921 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call922 = callmethod(*var_ast, "blankNode",
    1, partcv, params);
  gc_frame_end(callframe921);
// compilenode returning call922
// compilenode returning call922
  partcv[0] = 0;
  Object call923 = callmethod(call922, "new",
    1, partcv, params);
  gc_frame_end(callframe920);
// compilenode returning call923
// compilenode returning call923
  gc_frame_newslot(call923);
// compilenode returning *var_values
  params[0] = call923;
  partcv[0] = 1;
  Object call924 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe919);
// compilenode returning call924
    gc_frame_newslot(call924);
    if910 = call924;
  } else {
  }
// compilenode returning if910
    gc_frame_newslot(if910);
    if903 = if910;
  } else {
  }
// compilenode returning if903
    gc_frame_newslot(if903);
    if891 = if903;
  } else {
  }
// compilenode returning if891
  gc_frame_end(frame);
  return if891;
}
Object meth_parser__apply939(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit941 == NULL) {
    strlit941 = alloc_String("type");
    gc_root(strlit941);
  }
// compilenode returning strlit941
  int op_slot_right_940 = gc_frame_newslot(strlit941);
  int callframe943 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call944 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe943);
// compilenode returning call944
// compilenode returning call944
  int op_slot_left_940 = gc_frame_newslot(call944);
  params[0] = strlit941;
  partcv[0] = 1;
  Object opresult945 = callmethod(call944, "==", 1, partcv, params);
// compilenode returning opresult945
  gc_frame_end(frame);
  return opresult945;
}
Object meth_parser_dotypeterm925(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotypeterm");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotypeterm (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dotypeterm");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe927 = gc_frame_new();
  if (strlit928 == NULL) {
    strlit928 = alloc_String("identifier");
    gc_root(strlit928);
  }
// compilenode returning strlit928
  gc_frame_newslot(strlit928);
  params[0] = strlit928;
  partcv[0] = 1;
  Object call929 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe927);
// compilenode returning call929
  Object if926 = done;
  if (istrue(call929)) {
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe930 = gc_frame_new();
  partcv[0] = 0;
  Object call931 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe930);
// compilenode returning call931
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe932 = gc_frame_new();
  partcv[0] = 0;
  Object call933 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe932);
// compilenode returning call933
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe934 = gc_frame_new();
// compilenode returning *var_noBlocks
  gc_frame_newslot(*var_noBlocks);
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call935 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe934);
// compilenode returning call935
    gc_frame_newslot(call935);
    if926 = call935;
  } else {
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe937 = gc_frame_new();
  Object block938 = alloc_Block(NULL, NULL, "parser", 320);
  gc_frame_newslot(block938);
  block_savedest(block938);
  Object closure939 = createclosure(2, "_apply");
  setclosureframe(closure939, stackframe);
  addtoclosure(closure939, var_sym);
  addtoclosure(closure939, selfslot);
  struct UserObject *uo939 = (struct UserObject*)block938;
  uo939->data[0] = (Object)closure939;
  Method *meth_meth_parser__apply939 = addmethod2pos(block938, "_apply", &meth_parser__apply939, 0);
int argcv_meth_parser__apply939[] = {0};
meth_meth_parser__apply939->type = alloc_MethodType(1, argcv_meth_parser__apply939);
  meth_meth_parser__apply939->definitionModule = modulename;
  meth_meth_parser__apply939->definitionLine = 308;
// compilenode returning block938
  gc_frame_newslot(block938);
  int callframe947 = gc_frame_new();
  if (strlit948 == NULL) {
    strlit948 = alloc_String("keyword");
    gc_root(strlit948);
  }
// compilenode returning strlit948
  gc_frame_newslot(strlit948);
  params[0] = strlit948;
  partcv[0] = 1;
  Object call949 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe947);
// compilenode returning call949
  params[0] = block938;
  partcv[0] = 1;
  Object call950 = callmethod(call949, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe937);
// compilenode returning call950
  Object if936 = done;
  if (istrue(call950)) {
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe951 = gc_frame_new();
  partcv[0] = 0;
  Object call952 = callmethodflags(self, "dotypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe951);
// compilenode returning call952
    gc_frame_newslot(call952);
    if936 = call952;
  } else {
  }
// compilenode returning if936
    gc_frame_newslot(if936);
    if926 = if936;
  }
// compilenode returning if926
  gc_frame_end(frame);
  return if926;
}
Object meth_parser__apply967(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe968 = gc_frame_new();
  partcv[0] = 0;
  Object call969 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe968);
// compilenode returning call969
  gc_frame_end(frame);
  return call969;
}
Object meth_parser_typeexpression953(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeexpression");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_noBlocks = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeexpression (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeexpression");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sz");
  Object *var_prevStatementToken = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "prevStatementToken");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe954 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call955 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe954);
// compilenode returning call955
// compilenode returning call955
  *var_sz = call955;
  if (call955 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe957 = gc_frame_new();
  if (strlit958 == NULL) {
    strlit958 = alloc_String("lparen");
    gc_root(strlit958);
  }
// compilenode returning strlit958
  gc_frame_newslot(strlit958);
  params[0] = strlit958;
  partcv[0] = 1;
  Object call959 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe957);
// compilenode returning call959
  Object if956 = done;
  if (istrue(call959)) {
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementToken
  *var_prevStatementToken = *var_statementToken;
  if (*var_statementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe961 = gc_frame_new();
  partcv[0] = 0;
  Object call962 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe961);
// compilenode returning call962
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe964 = gc_frame_new();
  int callframe965 = gc_frame_new();
  Object block966 = alloc_Block(NULL, NULL, "parser", 332);
  gc_frame_newslot(block966);
  block_savedest(block966);
  Object closure967 = createclosure(1, "_apply");
  setclosureframe(closure967, stackframe);
  addtoclosure(closure967, selfslot);
  struct UserObject *uo967 = (struct UserObject*)block966;
  uo967->data[0] = (Object)closure967;
  Method *meth_meth_parser__apply967 = addmethod2pos(block966, "_apply", &meth_parser__apply967, 0);
int argcv_meth_parser__apply967[] = {0};
meth_meth_parser__apply967->type = alloc_MethodType(1, argcv_meth_parser__apply967);
  meth_meth_parser__apply967->definitionModule = modulename;
  meth_meth_parser__apply967->definitionLine = 332;
// compilenode returning block966
  gc_frame_newslot(block966);
  params[0] = block966;
  partcv[0] = 1;
  Object call971 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe965);
// compilenode returning call971
  partcv[0] = 0;
  Object call972 = callmethod(call971, "not",
    1, partcv, params);
  gc_frame_end(callframe964);
// compilenode returning call972
// compilenode returning call972
  Object if963 = done;
  if (istrue(call972)) {
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe973 = gc_frame_new();
  int callframe974 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call975 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe974);
// compilenode returning call975
// compilenode returning call975
  partcv[0] = 0;
  Object call976 = callmethod(call975, "new",
    1, partcv, params);
  gc_frame_end(callframe973);
// compilenode returning call976
// compilenode returning call976
  *var_suggestion = call976;
  if (call976 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe977 = gc_frame_new();
  if (strlit978 == NULL) {
    strlit978 = alloc_String("rparen");
    gc_root(strlit978);
  }
// compilenode returning strlit978
  gc_frame_newslot(strlit978);
  params[0] = strlit978;
  partcv[0] = 1;
  Object call979 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe977);
// compilenode returning call979
  *var_nextTok = call979;
  if (call979 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_981 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_981 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult983 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult983
  Object if980 = done;
  if (istrue(opresult983)) {
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe984 = gc_frame_new();
  if (strlit985 == NULL) {
    strlit985 = alloc_String("""\xc2""""\xab""type expression""\xc2""""\xbb""");
    gc_root(strlit985);
  }
// compilenode returning strlit985
  gc_frame_newslot(strlit985);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit985;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call986 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe984);
// compilenode returning call986
    gc_frame_newslot(call986);
    if980 = call986;
  } else {
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe987 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe988 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call989 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe988);
// compilenode returning call989
// compilenode returning call989
  gc_frame_newslot(call989);
  Object bool990 = alloc_Boolean(1);
// compilenode returning bool990
  gc_frame_newslot(bool990);
  Object bool991 = alloc_Boolean(0);
// compilenode returning bool991
  gc_frame_newslot(bool991);
  if (strlit992 == NULL) {
    strlit992 = alloc_String("""\xc2""""\xab""type expression""\xc2""""\xbb""");
    gc_root(strlit992);
  }
// compilenode returning strlit992
  gc_frame_newslot(strlit992);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call989;
  params[2] = bool990;
  params[3] = bool991;
  params[4] = strlit992;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call993 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe987);
// compilenode returning call993
    gc_frame_newslot(call993);
    if980 = call993;
  }
// compilenode returning if980
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe994 = gc_frame_new();
  if (strlit995 == NULL) {
    strlit995 = alloc_String("Parentheses must contain a valid type expression.");
    gc_root(strlit995);
  }
// compilenode returning strlit995
  gc_frame_newslot(strlit995);
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe996 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call997 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe996);
// compilenode returning call997
// compilenode returning call997
  gc_frame_newslot(call997);
  int callframe998 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call999 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe998);
// compilenode returning call999
// compilenode returning call999
  gc_frame_newslot(call999);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit995;
  params[1] = call997;
  params[2] = call999;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1000 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe994);
// compilenode returning call1000
    gc_frame_newslot(call1000);
    if963 = call1000;
  } else {
  }
// compilenode returning if963
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1003 == NULL) {
    strlit1003 = alloc_String("rparen");
    gc_root(strlit1003);
  }
// compilenode returning strlit1003
  int op_slot_right_1002 = gc_frame_newslot(strlit1003);
  int callframe1005 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1006 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1005);
// compilenode returning call1006
// compilenode returning call1006
  int op_slot_left_1002 = gc_frame_newslot(call1006);
  params[0] = strlit1003;
  partcv[0] = 1;
  Object opresult1007 = callmethod(call1006, "!=", 1, partcv, params);
// compilenode returning opresult1007
  Object if1001 = done;
  if (istrue(opresult1007)) {
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1008 = gc_frame_new();
  partcv[0] = 0;
  Object call1009 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1008);
// compilenode returning call1009
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1010 = gc_frame_new();
  int callframe1011 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1012 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1011);
// compilenode returning call1012
// compilenode returning call1012
  partcv[0] = 0;
  Object call1013 = callmethod(call1012, "new",
    1, partcv, params);
  gc_frame_end(callframe1010);
// compilenode returning call1013
// compilenode returning call1013
  *var_suggestion = call1013;
  if (call1013 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1014 = gc_frame_new();
  if (strlit1015 == NULL) {
    strlit1015 = alloc_String(")");
    gc_root(strlit1015);
  }
// compilenode returning strlit1015
  gc_frame_newslot(strlit1015);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1015;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1016 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1014);
// compilenode returning call1016
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1017 = gc_frame_new();
  if (strlit1018 == NULL) {
    strlit1018 = alloc_String("A type expression beginning with a '(' must end with a ')'.");
    gc_root(strlit1018);
  }
// compilenode returning strlit1018
  gc_frame_newslot(strlit1018);
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1019 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1020 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1019);
// compilenode returning call1020
// compilenode returning call1020
  gc_frame_newslot(call1020);
  int callframe1022 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1023 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe1022);
// compilenode returning call1023
// compilenode returning call1023
  int op_slot_right_1021 = gc_frame_newslot(call1023);
  int callframe1025 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1026 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1025);
// compilenode returning call1026
// compilenode returning call1026
  int op_slot_left_1021 = gc_frame_newslot(call1026);
  params[0] = call1023;
  partcv[0] = 1;
  Object sum1027 = callmethod(call1026, "+", 1, partcv, params);
// compilenode returning sum1027
  gc_frame_newslot(sum1027);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1018;
  params[1] = call1020;
  params[2] = sum1027;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1028 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1017);
// compilenode returning call1028
    gc_frame_newslot(call1028);
    if1001 = call1028;
  } else {
  }
// compilenode returning if1001
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_prevStatementToken
  *var_statementToken = *var_prevStatementToken;
  if (*var_prevStatementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1030 = gc_frame_new();
  partcv[0] = 0;
  Object call1031 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1030);
// compilenode returning call1031
    gc_frame_newslot(call1031);
    if956 = call1031;
  } else {
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1032 = gc_frame_new();
  partcv[0] = 0;
  Object call1033 = callmethodflags(self, "dotypeterm", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1032);
// compilenode returning call1033
    gc_frame_newslot(call1033);
    if956 = call1033;
  }
// compilenode returning if956
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sz
  int op_slot_right_1035 = gc_frame_newslot(*var_sz);
  int callframe1037 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1038 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe1037);
// compilenode returning call1038
// compilenode returning call1038
  int op_slot_left_1035 = gc_frame_newslot(call1038);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult1039 = callmethod(call1038, ">", 1, partcv, params);
// compilenode returning opresult1039
  Object if1034 = done;
  if (istrue(opresult1039)) {
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1040 = gc_frame_new();
// compilenode returning *var_noBlocks
  gc_frame_newslot(*var_noBlocks);
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call1041 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1040);
// compilenode returning call1041
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1042 = gc_frame_new();
  partcv[0] = 0;
  Object call1043 = callmethodflags(self, "typeexpressionrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1042);
// compilenode returning call1043
    gc_frame_newslot(call1043);
    if1034 = call1043;
  } else {
  }
// compilenode returning if1034
  gc_frame_end(frame);
  return if1034;
}
Object meth_parser__apply1073(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1074 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1075 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1074);
// compilenode returning call1075
  gc_frame_end(frame);
  return call1075;
}
Object meth_parser__apply1110(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1111 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1112 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1111);
// compilenode returning call1112
  gc_frame_end(frame);
  return call1112;
}
Object meth_parser__apply1181(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1182 = gc_frame_new();
  if (strlit1183 == NULL) {
    strlit1183 = alloc_String("comma");
    gc_root(strlit1183);
  }
// compilenode returning strlit1183
  gc_frame_newslot(strlit1183);
  params[0] = strlit1183;
  partcv[0] = 1;
  Object call1184 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1182);
// compilenode returning call1184
  gc_frame_end(frame);
  return call1184;
}
Object meth_parser__apply1191(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit1193 == NULL) {
    strlit1193 = alloc_String("arrow");
    gc_root(strlit1193);
  }
// compilenode returning strlit1193
  int op_slot_right_1192 = gc_frame_newslot(strlit1193);
  int callframe1195 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1196 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1195);
// compilenode returning call1196
// compilenode returning call1196
  int op_slot_left_1192 = gc_frame_newslot(call1196);
  params[0] = strlit1193;
  partcv[0] = 1;
  Object opresult1197 = callmethod(call1196, "==", 1, partcv, params);
// compilenode returning opresult1197
  gc_frame_end(frame);
  return opresult1197;
}
Object meth_parser__apply1239(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1240 = gc_frame_new();
  if (strlit1241 == NULL) {
    strlit1241 = alloc_String("comma");
    gc_root(strlit1241);
  }
// compilenode returning strlit1241
  gc_frame_newslot(strlit1241);
  params[0] = strlit1241;
  partcv[0] = 1;
  Object call1242 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1240);
// compilenode returning call1242
  gc_frame_end(frame);
  return call1242;
}
Object meth_parser__apply1245(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_ident1 = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1246 = gc_frame_new();
  partcv[0] = 0;
  Object call1247 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1246);
// compilenode returning call1247
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1248 = gc_frame_new();
  partcv[0] = 0;
  Object call1249 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1248);
// compilenode returning call1249
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1250 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1251 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1250);
// compilenode returning call1251
// compilenode returning call1251
  *var_ident1 = call1251;
  if (call1251 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1254 = gc_frame_new();
  if (strlit1255 == NULL) {
    strlit1255 = alloc_String("colon");
    gc_root(strlit1255);
  }
// compilenode returning strlit1255
  gc_frame_newslot(strlit1255);
  params[0] = strlit1255;
  partcv[0] = 1;
  Object call1256 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1254);
// compilenode returning call1256
  Object if1253 = done;
  if (istrue(call1256)) {
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1257 = gc_frame_new();
  partcv[0] = 0;
  Object call1258 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1257);
// compilenode returning call1258
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1259 = gc_frame_new();
  partcv[0] = 0;
  Object call1260 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1259);
// compilenode returning call1260
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1261 = gc_frame_new();
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1262 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1263 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1262);
// compilenode returning call1263
// compilenode returning call1263
  gc_frame_newslot(call1263);
// compilenode returning *var_ident1
  params[0] = call1263;
  partcv[0] = 1;
  Object call1264 = callmethod(*var_ident1, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe1261);
// compilenode returning call1264
// compilenode returning done
    gc_frame_newslot(done);
    if1253 = done;
  } else {
  }
// compilenode returning if1253
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1265 = gc_frame_new();
// compilenode returning *var_ident1
  gc_frame_newslot(*var_ident1);
// compilenode returning *var_params
  params[0] = *var_ident1;
  partcv[0] = 1;
  Object call1266 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe1265);
// compilenode returning call1266
  gc_frame_end(frame);
  return call1266;
}
Object meth_parser__apply1381(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1382 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1383 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1382);
// compilenode returning call1383
  gc_frame_end(frame);
  return call1383;
}
Object meth_parser__apply1078(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(13, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_ident1 = getfromclosure(closure, 1);
  Object *var_braceIsType = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object *var_params = getfromclosure(closure, 7);
  Object *var_isMatchingBlock = getfromclosure(closure, 8);
  Object *var_body = getfromclosure(closure, 9);
  Object *var_indentFreePass = getfromclosure(closure, 10);
  Object *var_ast = getfromclosure(closure, 11);
  Object self = *(getfromclosure(closure, 12));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_arrow = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arrow");
  Object *var_lhs = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "lhs");
  Object *var_rhs = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "rhs");
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1081 = gc_frame_new();
  if (strlit1082 == NULL) {
    strlit1082 = alloc_String("colon");
    gc_root(strlit1082);
  }
// compilenode returning strlit1082
  gc_frame_newslot(strlit1082);
  params[0] = strlit1082;
  partcv[0] = 1;
  Object call1083 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1081);
// compilenode returning call1083
  int op_slot_right_1080 = gc_frame_newslot(call1083);
  int callframe1086 = gc_frame_new();
  if (strlit1087 == NULL) {
    strlit1087 = alloc_String("arrow");
    gc_root(strlit1087);
  }
// compilenode returning strlit1087
  gc_frame_newslot(strlit1087);
  params[0] = strlit1087;
  partcv[0] = 1;
  Object call1088 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1086);
// compilenode returning call1088
  int op_slot_right_1085 = gc_frame_newslot(call1088);
  int callframe1090 = gc_frame_new();
  if (strlit1091 == NULL) {
    strlit1091 = alloc_String("comma");
    gc_root(strlit1091);
  }
// compilenode returning strlit1091
  gc_frame_newslot(strlit1091);
  params[0] = strlit1091;
  partcv[0] = 1;
  Object call1092 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1090);
// compilenode returning call1092
  int op_slot_left_1085 = gc_frame_newslot(call1092);
  params[0] = call1088;
  partcv[0] = 1;
  Object opresult1093 = callmethod(call1092, "||", 1, partcv, params);
// compilenode returning opresult1093
  int op_slot_left_1080 = gc_frame_newslot(opresult1093);
  params[0] = call1083;
  partcv[0] = 1;
  Object opresult1094 = callmethod(opresult1093, "||", 1, partcv, params);
// compilenode returning opresult1094
  Object if1079 = done;
  if (istrue(opresult1094)) {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1095 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1096 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1095);
// compilenode returning call1096
// compilenode returning call1096
  *var_ident1 = call1096;
  if (call1096 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1099 = gc_frame_new();
  if (strlit1100 == NULL) {
    strlit1100 = alloc_String("colon");
    gc_root(strlit1100);
  }
// compilenode returning strlit1100
  gc_frame_newslot(strlit1100);
  params[0] = strlit1100;
  partcv[0] = 1;
  Object call1101 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1099);
// compilenode returning call1101
  Object if1098 = done;
  if (istrue(call1101)) {
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1102 = gc_frame_new();
  partcv[0] = 0;
  Object call1103 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1102);
// compilenode returning call1103
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1104 = alloc_Boolean(1);
// compilenode returning bool1104
  *var_braceIsType = bool1104;
  if (bool1104 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1107 = gc_frame_new();
  int callframe1108 = gc_frame_new();
  Object block1109 = alloc_Block(NULL, NULL, "parser", 392);
  gc_frame_newslot(block1109);
  block_savedest(block1109);
  Object closure1110 = createclosure(2, "_apply");
  setclosureframe(closure1110, stackframe);
  addtoclosure(closure1110, var_blocksOK);
  addtoclosure(closure1110, selfslot);
  struct UserObject *uo1110 = (struct UserObject*)block1109;
  uo1110->data[0] = (Object)closure1110;
  Method *meth_meth_parser__apply1110 = addmethod2pos(block1109, "_apply", &meth_parser__apply1110, 0);
int argcv_meth_parser__apply1110[] = {0};
meth_meth_parser__apply1110->type = alloc_MethodType(1, argcv_meth_parser__apply1110);
  meth_meth_parser__apply1110->definitionModule = modulename;
  meth_meth_parser__apply1110->definitionLine = 392;
// compilenode returning block1109
  gc_frame_newslot(block1109);
  params[0] = block1109;
  partcv[0] = 1;
  Object call1114 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1108);
// compilenode returning call1114
  partcv[0] = 0;
  Object call1115 = callmethod(call1114, "not",
    1, partcv, params);
  gc_frame_end(callframe1107);
// compilenode returning call1115
// compilenode returning call1115
  Object if1106 = done;
  if (istrue(call1115)) {
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1116 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1116
  *var_suggestions = array1116;
  if (array1116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1117 = gc_frame_new();
  int callframe1118 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1119 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1118);
// compilenode returning call1119
// compilenode returning call1119
  partcv[0] = 0;
  Object call1120 = callmethod(call1119, "new",
    1, partcv, params);
  gc_frame_end(callframe1117);
// compilenode returning call1120
// compilenode returning call1120
  *var_suggestion = call1120;
  if (call1120 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1121 = gc_frame_new();
  if (strlit1122 == NULL) {
    strlit1122 = alloc_String("arrow");
    gc_root(strlit1122);
  }
// compilenode returning strlit1122
  gc_frame_newslot(strlit1122);
  if (strlit1123 == NULL) {
    strlit1123 = alloc_String("rbrace");
    gc_root(strlit1123);
  }
// compilenode returning strlit1123
  gc_frame_newslot(strlit1123);
  params[0] = strlit1122;
  params[1] = strlit1123;
  partcv[0] = 2;
  Object call1124 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1121);
// compilenode returning call1124
  *var_nextTok = call1124;
  if (call1124 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1126 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1126 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1128 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1128
  Object if1125 = done;
  if (istrue(opresult1128)) {
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1129 = gc_frame_new();
  if (strlit1130 == NULL) {
    strlit1130 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1130);
  }
// compilenode returning strlit1130
  gc_frame_newslot(strlit1130);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1130;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1131 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1129);
// compilenode returning call1131
    gc_frame_newslot(call1131);
    if1125 = call1131;
  } else {
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1132 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1133 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1134 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1133);
// compilenode returning call1134
// compilenode returning call1134
  gc_frame_newslot(call1134);
  Object bool1135 = alloc_Boolean(1);
// compilenode returning bool1135
  gc_frame_newslot(bool1135);
  Object bool1136 = alloc_Boolean(0);
// compilenode returning bool1136
  gc_frame_newslot(bool1136);
  if (strlit1137 == NULL) {
    strlit1137 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1137);
  }
// compilenode returning strlit1137
  gc_frame_newslot(strlit1137);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1134;
  params[2] = bool1135;
  params[3] = bool1136;
  params[4] = strlit1137;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1138 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1132);
// compilenode returning call1138
    gc_frame_newslot(call1138);
    if1125 = call1138;
  }
// compilenode returning if1125
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1139 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1140 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1139);
// compilenode returning call1140
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1141 = gc_frame_new();
  int callframe1142 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1143 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1142);
// compilenode returning call1143
// compilenode returning call1143
  partcv[0] = 0;
  Object call1144 = callmethod(call1143, "new",
    1, partcv, params);
  gc_frame_end(callframe1141);
// compilenode returning call1144
// compilenode returning call1144
  *var_suggestion = call1144;
  if (call1144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1146 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe1147 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1148 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1147);
// compilenode returning call1148
// compilenode returning call1148
  gc_frame_newslot(call1148);
  Object bool1149 = alloc_Boolean(1);
// compilenode returning bool1149
  gc_frame_newslot(bool1149);
  Object bool1150 = alloc_Boolean(0);
// compilenode returning bool1150
  gc_frame_newslot(bool1150);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call1148;
  params[2] = bool1149;
  params[3] = bool1150;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1151 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe1146);
// compilenode returning call1151
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1152 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1153 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1152);
// compilenode returning call1153
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1154 = gc_frame_new();
  if (strlit1155 == NULL) {
    strlit1155 = alloc_String("A block must have an expression after the ':'.");
    gc_root(strlit1155);
  }
// compilenode returning strlit1155
  gc_frame_newslot(strlit1155);
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1156 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1157 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1156);
// compilenode returning call1157
// compilenode returning call1157
  gc_frame_newslot(call1157);
  int callframe1158 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1159 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1158);
// compilenode returning call1159
// compilenode returning call1159
  gc_frame_newslot(call1159);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1155;
  params[1] = call1157;
  params[2] = call1159;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1160 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1154);
// compilenode returning call1160
    gc_frame_newslot(call1160);
    if1106 = call1160;
  } else {
  }
// compilenode returning if1106
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1161 = alloc_Boolean(0);
// compilenode returning bool1161
  *var_braceIsType = bool1161;
  if (bool1161 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1163 = gc_frame_new();
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1164 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1165 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1164);
// compilenode returning call1165
// compilenode returning call1165
  gc_frame_newslot(call1165);
// compilenode returning *var_ident1
  params[0] = call1165;
  partcv[0] = 1;
  Object call1166 = callmethod(*var_ident1, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe1163);
// compilenode returning call1166
// compilenode returning done
    gc_frame_newslot(done);
    if1098 = done;
  } else {
  }
// compilenode returning if1098
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1167 = gc_frame_new();
// compilenode returning *var_ident1
  gc_frame_newslot(*var_ident1);
// compilenode returning *var_params
  params[0] = *var_ident1;
  partcv[0] = 1;
  Object call1168 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe1167);
// compilenode returning call1168
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1171 == NULL) {
    strlit1171 = alloc_String("identifier");
    gc_root(strlit1171);
  }
// compilenode returning strlit1171
  int op_slot_right_1170 = gc_frame_newslot(strlit1171);
  int callframe1173 = gc_frame_new();
// compilenode returning *var_ident1
  partcv[0] = 0;
  Object call1174 = callmethod(*var_ident1, "kind",
    1, partcv, params);
  gc_frame_end(callframe1173);
// compilenode returning call1174
// compilenode returning call1174
  int op_slot_left_1170 = gc_frame_newslot(call1174);
  params[0] = strlit1171;
  partcv[0] = 1;
  Object opresult1175 = callmethod(call1174, "!=", 1, partcv, params);
// compilenode returning opresult1175
  Object if1169 = done;
  if (istrue(opresult1175)) {
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1176 = alloc_Boolean(1);
// compilenode returning bool1176
  *var_isMatchingBlock = bool1176;
  if (bool1176 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1169 = done;
  } else {
  }
// compilenode returning if1169
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block1180 = alloc_Block(NULL, NULL, "parser", 415);
  gc_frame_newslot(block1180);
  block_savedest(block1180);
  Object closure1181 = createclosure(1, "_apply");
  setclosureframe(closure1181, stackframe);
  addtoclosure(closure1181, selfslot);
  struct UserObject *uo1181 = (struct UserObject*)block1180;
  uo1181->data[0] = (Object)closure1181;
  Method *meth_meth_parser__apply1181 = addmethod2pos(block1180, "_apply", &meth_parser__apply1181, 0);
int argcv_meth_parser__apply1181[] = {0};
meth_meth_parser__apply1181->type = alloc_MethodType(1, argcv_meth_parser__apply1181);
  meth_meth_parser__apply1181->definitionModule = modulename;
  meth_meth_parser__apply1181->definitionLine = 412;
// compilenode returning block1180
  int op_slot_right_1179 = gc_frame_newslot(block1180);
// compilenode returning *var_isMatchingBlock
  int op_slot_left_1179 = gc_frame_newslot(*var_isMatchingBlock);
  params[0] = block1180;
  partcv[0] = 1;
  Object opresult1187 = callmethod(*var_isMatchingBlock, "&&", 1, partcv, params);
// compilenode returning opresult1187
  Object if1178 = done;
  if (istrue(opresult1187)) {
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1188 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1188
  *var_suggestions = array1188;
  if (array1188 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_suggestion = undefined;
// compilenode returning done
  int callframe1189 = gc_frame_new();
  Object block1190 = alloc_Block(NULL, NULL, "parser", 418);
  gc_frame_newslot(block1190);
  block_savedest(block1190);
  Object closure1191 = createclosure(1, "_apply");
  setclosureframe(closure1191, stackframe);
  addtoclosure(closure1191, selfslot);
  struct UserObject *uo1191 = (struct UserObject*)block1190;
  uo1191->data[0] = (Object)closure1191;
  Method *meth_meth_parser__apply1191 = addmethod2pos(block1190, "_apply", &meth_parser__apply1191, 0);
int argcv_meth_parser__apply1191[] = {1};
meth_meth_parser__apply1191->type = alloc_MethodType(1, argcv_meth_parser__apply1191);
  meth_meth_parser__apply1191->definitionModule = modulename;
  meth_meth_parser__apply1191->definitionLine = 412;
// compilenode returning block1190
  gc_frame_newslot(block1190);
  params[0] = block1190;
  partcv[0] = 1;
  Object call1199 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1189);
// compilenode returning call1199
  *var_arrow = call1199;
  if (call1199 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1202 = alloc_Boolean(0);
// compilenode returning bool1202
  int op_slot_right_1201 = gc_frame_newslot(bool1202);
// compilenode returning *var_arrow
  int op_slot_left_1201 = gc_frame_newslot(*var_arrow);
  params[0] = bool1202;
  partcv[0] = 1;
  Object opresult1204 = callmethod(*var_arrow, "!=", 1, partcv, params);
// compilenode returning opresult1204
  Object if1200 = done;
  if (istrue(opresult1204)) {
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1205 = gc_frame_new();
  int callframe1206 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1207 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1206);
// compilenode returning call1207
// compilenode returning call1207
  partcv[0] = 0;
  Object call1208 = callmethod(call1207, "new",
    1, partcv, params);
  gc_frame_end(callframe1205);
// compilenode returning call1208
// compilenode returning call1208
  *var_suggestion = call1208;
  if (call1208 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1210 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1211 = gc_frame_new();
// compilenode returning *var_arrow
  partcv[0] = 0;
  Object call1212 = callmethod(*var_arrow, "prev",
    1, partcv, params);
  gc_frame_end(callframe1211);
// compilenode returning call1212
// compilenode returning call1212
  gc_frame_newslot(call1212);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1212;
  partcv[0] = 2;
  Object call1213 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe1210);
// compilenode returning call1213
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1214 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1215 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1214);
// compilenode returning call1215
    gc_frame_newslot(call1215);
    if1200 = call1215;
  } else {
  }
// compilenode returning if1200
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1216 = gc_frame_new();
  int callframe1217 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1218 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1217);
// compilenode returning call1218
// compilenode returning call1218
  partcv[0] = 0;
  Object call1219 = callmethod(call1218, "new",
    1, partcv, params);
  gc_frame_end(callframe1216);
// compilenode returning call1219
// compilenode returning call1219
  *var_suggestion = call1219;
  if (call1219 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1221 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool1222 = alloc_Boolean(1);
// compilenode returning bool1222
  gc_frame_newslot(bool1222);
  Object bool1223 = alloc_Boolean(0);
// compilenode returning bool1223
  gc_frame_newslot(bool1223);
  if (strlit1224 == NULL) {
    strlit1224 = alloc_String(" |");
    gc_root(strlit1224);
  }
// compilenode returning strlit1224
  gc_frame_newslot(strlit1224);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool1222;
  params[2] = bool1223;
  params[3] = strlit1224;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1225 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1221);
// compilenode returning call1225
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1226 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1227 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1226);
// compilenode returning call1227
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1228 = gc_frame_new();
  if (strlit1229 == NULL) {
    strlit1229 = alloc_String("A matching block may only have one parameter.");
    gc_root(strlit1229);
  }
// compilenode returning strlit1229
  gc_frame_newslot(strlit1229);
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1230 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1231 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1230);
// compilenode returning call1231
// compilenode returning call1231
  gc_frame_newslot(call1231);
  int callframe1232 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1233 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1232);
// compilenode returning call1233
// compilenode returning call1233
  gc_frame_newslot(call1233);
  int callframe1234 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1235 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1234);
// compilenode returning call1235
// compilenode returning call1235
  gc_frame_newslot(call1235);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1229;
  params[1] = call1231;
  params[2] = call1233;
  params[3] = call1235;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1236 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1228);
// compilenode returning call1236
    gc_frame_newslot(call1236);
    if1178 = call1236;
  } else {
  }
// compilenode returning if1178
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1237 = gc_frame_new();
  Object block1238 = alloc_Block(NULL, NULL, "parser", 430);
  gc_frame_newslot(block1238);
  block_savedest(block1238);
  Object closure1239 = createclosure(1, "_apply");
  setclosureframe(closure1239, stackframe);
  addtoclosure(closure1239, selfslot);
  struct UserObject *uo1239 = (struct UserObject*)block1238;
  uo1239->data[0] = (Object)closure1239;
  Method *meth_meth_parser__apply1239 = addmethod2pos(block1238, "_apply", &meth_parser__apply1239, 0);
int argcv_meth_parser__apply1239[] = {0};
meth_meth_parser__apply1239->type = alloc_MethodType(1, argcv_meth_parser__apply1239);
  meth_meth_parser__apply1239->definitionModule = modulename;
  meth_meth_parser__apply1239->definitionLine = 428;
// compilenode returning block1238
  gc_frame_newslot(block1238);
  Object block1244 = alloc_Block(NULL, NULL, "parser", 430);
  gc_frame_newslot(block1244);
  block_savedest(block1244);
  Object closure1245 = createclosure(4, "_apply");
  setclosureframe(closure1245, stackframe);
  addtoclosure(closure1245, var_values);
  addtoclosure(closure1245, var_ident1);
  addtoclosure(closure1245, var_params);
  addtoclosure(closure1245, selfslot);
  struct UserObject *uo1245 = (struct UserObject*)block1244;
  uo1245->data[0] = (Object)closure1245;
  Method *meth_meth_parser__apply1245 = addmethod2pos(block1244, "_apply", &meth_parser__apply1245, 0);
int argcv_meth_parser__apply1245[] = {0};
meth_meth_parser__apply1245->type = alloc_MethodType(1, argcv_meth_parser__apply1245);
  meth_meth_parser__apply1245->definitionModule = modulename;
  meth_meth_parser__apply1245->definitionLine = 428;
// compilenode returning block1244
  gc_frame_newslot(block1244);
  params[0] = block1238;
  params[1] = block1244;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1268 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1237);
// compilenode returning call1268
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1270 = gc_frame_new();
  int callframe1271 = gc_frame_new();
  if (strlit1272 == NULL) {
    strlit1272 = alloc_String("arrow");
    gc_root(strlit1272);
  }
// compilenode returning strlit1272
  gc_frame_newslot(strlit1272);
  params[0] = strlit1272;
  partcv[0] = 1;
  Object call1273 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1271);
// compilenode returning call1273
  partcv[0] = 0;
  Object call1274 = callmethod(call1273, "not",
    1, partcv, params);
  gc_frame_end(callframe1270);
// compilenode returning call1274
// compilenode returning call1274
  Object if1269 = done;
  if (istrue(call1274)) {
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1275 = gc_frame_new();
  int callframe1276 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1277 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1276);
// compilenode returning call1277
// compilenode returning call1277
  partcv[0] = 0;
  Object call1278 = callmethod(call1277, "new",
    1, partcv, params);
  gc_frame_end(callframe1275);
// compilenode returning call1278
// compilenode returning call1278
  *var_suggestion = call1278;
  if (call1278 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1282 == NULL) {
    strlit1282 = alloc_String("=");
    gc_root(strlit1282);
  }
// compilenode returning strlit1282
  int op_slot_right_1281 = gc_frame_newslot(strlit1282);
  int callframe1284 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1285 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1284);
// compilenode returning call1285
// compilenode returning call1285
  int op_slot_left_1281 = gc_frame_newslot(call1285);
  params[0] = strlit1282;
  partcv[0] = 1;
  Object opresult1286 = callmethod(call1285, "==", 1, partcv, params);
// compilenode returning opresult1286
  int op_slot_right_1280 = gc_frame_newslot(opresult1286);
  if (strlit1289 == NULL) {
    strlit1289 = alloc_String("bind");
    gc_root(strlit1289);
  }
// compilenode returning strlit1289
  int op_slot_right_1288 = gc_frame_newslot(strlit1289);
  int callframe1291 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1292 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1291);
// compilenode returning call1292
// compilenode returning call1292
  int op_slot_left_1288 = gc_frame_newslot(call1292);
  params[0] = strlit1289;
  partcv[0] = 1;
  Object opresult1293 = callmethod(call1292, "==", 1, partcv, params);
// compilenode returning opresult1293
  int op_slot_left_1280 = gc_frame_newslot(opresult1293);
  params[0] = opresult1286;
  partcv[0] = 1;
  Object opresult1294 = callmethod(opresult1293, "||", 1, partcv, params);
// compilenode returning opresult1294
  Object if1279 = done;
  if (istrue(opresult1294)) {
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1295 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit1296 == NULL) {
    strlit1296 = alloc_String("->");
    gc_root(strlit1296);
  }
// compilenode returning strlit1296
  gc_frame_newslot(strlit1296);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit1296;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1297 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe1295);
// compilenode returning call1297
    gc_frame_newslot(call1297);
    if1279 = call1297;
  } else {
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1298 = gc_frame_new();
  if (strlit1299 == NULL) {
    strlit1299 = alloc_String(" ->");
    gc_root(strlit1299);
  }
// compilenode returning strlit1299
  gc_frame_newslot(strlit1299);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1299;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1300 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1298);
// compilenode returning call1300
    gc_frame_newslot(call1300);
    if1279 = call1300;
  }
// compilenode returning if1279
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1301 = gc_frame_new();
  if (strlit1302 == NULL) {
    strlit1302 = alloc_String("A block must have one or more parameters followed by '->' and an expression.");
    gc_root(strlit1302);
  }
// compilenode returning strlit1302
  gc_frame_newslot(strlit1302);
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1303 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1304 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1303);
// compilenode returning call1304
// compilenode returning call1304
  gc_frame_newslot(call1304);
  int callframe1305 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1306 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1305);
// compilenode returning call1306
// compilenode returning call1306
  gc_frame_newslot(call1306);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1302;
  params[1] = call1304;
  params[2] = call1306;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1307 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1301);
// compilenode returning call1307
    gc_frame_newslot(call1307);
    if1269 = call1307;
  } else {
  }
// compilenode returning if1269
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1308 = gc_frame_new();
  partcv[0] = 0;
  Object call1309 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1308);
// compilenode returning call1309
    gc_frame_newslot(call1309);
    if1079 = call1309;
  } else {
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1311 = gc_frame_new();
  if (strlit1312 == NULL) {
    strlit1312 = alloc_String("semicolon");
    gc_root(strlit1312);
  }
// compilenode returning strlit1312
  gc_frame_newslot(strlit1312);
  params[0] = strlit1312;
  partcv[0] = 1;
  Object call1313 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1311);
// compilenode returning call1313
  Object if1310 = done;
  if (istrue(call1313)) {
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1314 = gc_frame_new();
  int callframe1315 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1316 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1315);
// compilenode returning call1316
// compilenode returning call1316
  gc_frame_newslot(call1316);
// compilenode returning *var_body
  params[0] = call1316;
  partcv[0] = 1;
  Object call1317 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1314);
// compilenode returning call1317
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1318 = gc_frame_new();
  partcv[0] = 0;
  Object call1319 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1318);
// compilenode returning call1319
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1321 = gc_frame_new();
  if (strlit1322 == NULL) {
    strlit1322 = alloc_String("semicolon");
    gc_root(strlit1322);
  }
// compilenode returning strlit1322
  gc_frame_newslot(strlit1322);
  params[0] = strlit1322;
  partcv[0] = 1;
  Object call1323 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1321);
// compilenode returning call1323
  Object if1320 = done;
  if (istrue(call1323)) {
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1324 = gc_frame_new();
  partcv[0] = 0;
  Object call1325 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1324);
// compilenode returning call1325
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1328 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1329 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1328);
// compilenode returning call1329
// compilenode returning call1329
  int op_slot_right_1327 = gc_frame_newslot(call1329);
  int callframe1331 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1332 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1331);
// compilenode returning call1332
// compilenode returning call1332
  int op_slot_left_1327 = gc_frame_newslot(call1332);
  params[0] = call1329;
  partcv[0] = 1;
  Object opresult1333 = callmethod(call1332, "==", 1, partcv, params);
// compilenode returning opresult1333
  Object if1326 = done;
  if (istrue(opresult1333)) {
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1334 = alloc_Boolean(1);
// compilenode returning bool1334
  *var_indentFreePass = bool1334;
  if (bool1334 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1326 = done;
  } else {
  }
// compilenode returning if1326
    gc_frame_newslot(if1326);
    if1320 = if1326;
  } else {
  }
// compilenode returning if1320
    gc_frame_newslot(if1320);
    if1310 = if1320;
  } else {
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1338 = gc_frame_new();
  if (strlit1339 == NULL) {
    strlit1339 = alloc_String("bind");
    gc_root(strlit1339);
  }
// compilenode returning strlit1339
  gc_frame_newslot(strlit1339);
  params[0] = strlit1339;
  partcv[0] = 1;
  Object call1340 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1338);
// compilenode returning call1340
  int op_slot_right_1337 = gc_frame_newslot(call1340);
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1344 == NULL) {
    strlit1344 = alloc_String("index");
    gc_root(strlit1344);
  }
// compilenode returning strlit1344
  int op_slot_right_1343 = gc_frame_newslot(strlit1344);
  int callframe1346 = gc_frame_new();
  int callframe1347 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1348 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1347);
// compilenode returning call1348
// compilenode returning call1348
  partcv[0] = 0;
  Object call1349 = callmethod(call1348, "kind",
    1, partcv, params);
  gc_frame_end(callframe1346);
// compilenode returning call1349
// compilenode returning call1349
  int op_slot_left_1343 = gc_frame_newslot(call1349);
  params[0] = strlit1344;
  partcv[0] = 1;
  Object opresult1350 = callmethod(call1349, "==", 1, partcv, params);
// compilenode returning opresult1350
  int op_slot_right_1342 = gc_frame_newslot(opresult1350);
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1354 == NULL) {
    strlit1354 = alloc_String("identifier");
    gc_root(strlit1354);
  }
// compilenode returning strlit1354
  int op_slot_right_1353 = gc_frame_newslot(strlit1354);
  int callframe1356 = gc_frame_new();
  int callframe1357 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1358 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1357);
// compilenode returning call1358
// compilenode returning call1358
  partcv[0] = 0;
  Object call1359 = callmethod(call1358, "kind",
    1, partcv, params);
  gc_frame_end(callframe1356);
// compilenode returning call1359
// compilenode returning call1359
  int op_slot_left_1353 = gc_frame_newslot(call1359);
  params[0] = strlit1354;
  partcv[0] = 1;
  Object opresult1360 = callmethod(call1359, "==", 1, partcv, params);
// compilenode returning opresult1360
  int op_slot_right_1352 = gc_frame_newslot(opresult1360);
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1363 == NULL) {
    strlit1363 = alloc_String("member");
    gc_root(strlit1363);
  }
// compilenode returning strlit1363
  int op_slot_right_1362 = gc_frame_newslot(strlit1363);
  int callframe1365 = gc_frame_new();
  int callframe1366 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1367 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1366);
// compilenode returning call1367
// compilenode returning call1367
  partcv[0] = 0;
  Object call1368 = callmethod(call1367, "kind",
    1, partcv, params);
  gc_frame_end(callframe1365);
// compilenode returning call1368
// compilenode returning call1368
  int op_slot_left_1362 = gc_frame_newslot(call1368);
  params[0] = strlit1363;
  partcv[0] = 1;
  Object opresult1369 = callmethod(call1368, "==", 1, partcv, params);
// compilenode returning opresult1369
  int op_slot_left_1352 = gc_frame_newslot(opresult1369);
  params[0] = opresult1360;
  partcv[0] = 1;
  Object opresult1370 = callmethod(opresult1369, "||", 1, partcv, params);
// compilenode returning opresult1370
  int op_slot_left_1342 = gc_frame_newslot(opresult1370);
  params[0] = opresult1350;
  partcv[0] = 1;
  Object opresult1371 = callmethod(opresult1370, "||", 1, partcv, params);
// compilenode returning opresult1371
  int op_slot_left_1337 = gc_frame_newslot(opresult1371);
  params[0] = call1340;
  partcv[0] = 1;
  Object opresult1372 = callmethod(opresult1371, "&&", 1, partcv, params);
// compilenode returning opresult1372
  Object if1336 = done;
  if (istrue(opresult1372)) {
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1373 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1374 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1373);
// compilenode returning call1374
// compilenode returning call1374
  *var_lhs = call1374;
  if (call1374 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1375 = gc_frame_new();
  partcv[0] = 0;
  Object call1376 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1375);
// compilenode returning call1376
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1378 = gc_frame_new();
  int callframe1379 = gc_frame_new();
  Object block1380 = alloc_Block(NULL, NULL, "parser", 468);
  gc_frame_newslot(block1380);
  block_savedest(block1380);
  Object closure1381 = createclosure(2, "_apply");
  setclosureframe(closure1381, stackframe);
  addtoclosure(closure1381, var_blocksOK);
  addtoclosure(closure1381, selfslot);
  struct UserObject *uo1381 = (struct UserObject*)block1380;
  uo1381->data[0] = (Object)closure1381;
  Method *meth_meth_parser__apply1381 = addmethod2pos(block1380, "_apply", &meth_parser__apply1381, 0);
int argcv_meth_parser__apply1381[] = {0};
meth_meth_parser__apply1381->type = alloc_MethodType(1, argcv_meth_parser__apply1381);
  meth_meth_parser__apply1381->definitionModule = modulename;
  meth_meth_parser__apply1381->definitionLine = 468;
// compilenode returning block1380
  gc_frame_newslot(block1380);
  params[0] = block1380;
  partcv[0] = 1;
  Object call1385 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1379);
// compilenode returning call1385
  partcv[0] = 0;
  Object call1386 = callmethod(call1385, "not",
    1, partcv, params);
  gc_frame_end(callframe1378);
// compilenode returning call1386
// compilenode returning call1386
  Object if1377 = done;
  if (istrue(call1386)) {
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1387 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1387
  *var_suggestions = array1387;
  if (array1387 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1388 = gc_frame_new();
  int callframe1389 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1390 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1389);
// compilenode returning call1390
// compilenode returning call1390
  partcv[0] = 0;
  Object call1391 = callmethod(call1390, "new",
    1, partcv, params);
  gc_frame_end(callframe1388);
// compilenode returning call1391
// compilenode returning call1391
  *var_suggestion = call1391;
  if (call1391 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1392 = gc_frame_new();
  if (strlit1393 == NULL) {
    strlit1393 = alloc_String("rbrace");
    gc_root(strlit1393);
  }
// compilenode returning strlit1393
  gc_frame_newslot(strlit1393);
  params[0] = strlit1393;
  partcv[0] = 1;
  Object call1394 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1392);
// compilenode returning call1394
  *var_nextTok = call1394;
  if (call1394 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1396 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1396 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1398 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1398
  Object if1395 = done;
  if (istrue(opresult1398)) {
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1399 = gc_frame_new();
  if (strlit1400 == NULL) {
    strlit1400 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1400);
  }
// compilenode returning strlit1400
  gc_frame_newslot(strlit1400);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1400;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1401 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1399);
// compilenode returning call1401
    gc_frame_newslot(call1401);
    if1395 = call1401;
  } else {
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1402 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1403 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1404 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1403);
// compilenode returning call1404
// compilenode returning call1404
  gc_frame_newslot(call1404);
  Object bool1405 = alloc_Boolean(1);
// compilenode returning bool1405
  gc_frame_newslot(bool1405);
  Object bool1406 = alloc_Boolean(0);
// compilenode returning bool1406
  gc_frame_newslot(bool1406);
  if (strlit1407 == NULL) {
    strlit1407 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1407);
  }
// compilenode returning strlit1407
  gc_frame_newslot(strlit1407);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1404;
  params[2] = bool1405;
  params[3] = bool1406;
  params[4] = strlit1407;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1408 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1402);
// compilenode returning call1408
    gc_frame_newslot(call1408);
    if1395 = call1408;
  }
// compilenode returning if1395
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1409 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1410 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1409);
// compilenode returning call1410
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1411 = gc_frame_new();
  int callframe1412 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1413 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1412);
// compilenode returning call1413
// compilenode returning call1413
  partcv[0] = 0;
  Object call1414 = callmethod(call1413, "new",
    1, partcv, params);
  gc_frame_end(callframe1411);
// compilenode returning call1414
// compilenode returning call1414
  *var_suggestion = call1414;
  if (call1414 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1416 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe1417 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1418 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1417);
// compilenode returning call1418
// compilenode returning call1418
  gc_frame_newslot(call1418);
  Object bool1419 = alloc_Boolean(1);
// compilenode returning bool1419
  gc_frame_newslot(bool1419);
  Object bool1420 = alloc_Boolean(0);
// compilenode returning bool1420
  gc_frame_newslot(bool1420);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call1418;
  params[2] = bool1419;
  params[3] = bool1420;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1421 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe1416);
// compilenode returning call1421
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1422 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1423 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1422);
// compilenode returning call1423
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1424 = gc_frame_new();
  if (strlit1425 == NULL) {
    strlit1425 = alloc_String("A valid expression must follow ':='.");
    gc_root(strlit1425);
  }
// compilenode returning strlit1425
  gc_frame_newslot(strlit1425);
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1426 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1427 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1426);
// compilenode returning call1427
// compilenode returning call1427
  gc_frame_newslot(call1427);
  int callframe1428 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1429 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1428);
// compilenode returning call1429
// compilenode returning call1429
  gc_frame_newslot(call1429);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1425;
  params[1] = call1427;
  params[2] = call1429;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1430 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1424);
// compilenode returning call1430
    gc_frame_newslot(call1430);
    if1377 = call1430;
  } else {
  }
// compilenode returning if1377
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1431 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1432 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1431);
// compilenode returning call1432
// compilenode returning call1432
  *var_rhs = call1432;
  if (call1432 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1433 = gc_frame_new();
  int callframe1434 = gc_frame_new();
// compilenode returning *var_lhs
  gc_frame_newslot(*var_lhs);
// compilenode returning *var_rhs
  gc_frame_newslot(*var_rhs);
  int callframe1435 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call1436 = callmethod(*var_ast, "bindNode",
    1, partcv, params);
  gc_frame_end(callframe1435);
// compilenode returning call1436
// compilenode returning call1436
  params[0] = *var_lhs;
  params[1] = *var_rhs;
  partcv[0] = 2;
  Object call1437 = callmethod(call1436, "new",
    1, partcv, params);
  gc_frame_end(callframe1434);
// compilenode returning call1437
  gc_frame_newslot(call1437);
// compilenode returning *var_body
  params[0] = call1437;
  partcv[0] = 1;
  Object call1438 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1433);
// compilenode returning call1438
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1440 = gc_frame_new();
  if (strlit1441 == NULL) {
    strlit1441 = alloc_String("semicolon");
    gc_root(strlit1441);
  }
// compilenode returning strlit1441
  gc_frame_newslot(strlit1441);
  params[0] = strlit1441;
  partcv[0] = 1;
  Object call1442 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1440);
// compilenode returning call1442
  Object if1439 = done;
  if (istrue(call1442)) {
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1443 = gc_frame_new();
  partcv[0] = 0;
  Object call1444 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1443);
// compilenode returning call1444
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1447 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1448 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1447);
// compilenode returning call1448
// compilenode returning call1448
  int op_slot_right_1446 = gc_frame_newslot(call1448);
  int callframe1450 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1451 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1450);
// compilenode returning call1451
// compilenode returning call1451
  int op_slot_left_1446 = gc_frame_newslot(call1451);
  params[0] = call1448;
  partcv[0] = 1;
  Object opresult1452 = callmethod(call1451, "==", 1, partcv, params);
// compilenode returning opresult1452
  Object if1445 = done;
  if (istrue(opresult1452)) {
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1453 = alloc_Boolean(1);
// compilenode returning bool1453
  *var_indentFreePass = bool1453;
  if (bool1453 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1445 = done;
  } else {
  }
// compilenode returning if1445
    gc_frame_newslot(if1445);
    if1439 = if1445;
  } else {
  }
// compilenode returning if1439
    gc_frame_newslot(if1439);
    if1336 = if1439;
  } else {
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1455 = gc_frame_new();
  partcv[0] = 0;
  Object call1456 = callmethodflags(self, "checkUnexpectedTokenAfterStatement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1455);
// compilenode returning call1456
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1457 = gc_frame_new();
  int callframe1458 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1459 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1458);
// compilenode returning call1459
// compilenode returning call1459
  gc_frame_newslot(call1459);
// compilenode returning *var_body
  params[0] = call1459;
  partcv[0] = 1;
  Object call1460 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1457);
// compilenode returning call1460
    gc_frame_newslot(call1460);
    if1336 = call1460;
  }
// compilenode returning if1336
    gc_frame_newslot(if1336);
    if1310 = if1336;
  }
// compilenode returning if1310
    gc_frame_newslot(if1310);
    if1079 = if1310;
  }
// compilenode returning if1079
  gc_frame_end(frame);
  return if1079;
}
Object meth_parser__apply1489(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1490 = gc_frame_new();
  int callframe1491 = gc_frame_new();
  if (strlit1492 == NULL) {
    strlit1492 = alloc_String("rbrace");
    gc_root(strlit1492);
  }
// compilenode returning strlit1492
  gc_frame_newslot(strlit1492);
  params[0] = strlit1492;
  partcv[0] = 1;
  Object call1493 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1491);
// compilenode returning call1493
  partcv[0] = 0;
  Object call1494 = callmethod(call1493, "not",
    1, partcv, params);
  gc_frame_end(callframe1490);
// compilenode returning call1494
// compilenode returning call1494
  gc_frame_end(frame);
  return call1494;
}
Object meth_parser__apply1502(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1503 = gc_frame_new();
  partcv[0] = 0;
  Object call1504 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1503);
// compilenode returning call1504
  gc_frame_end(frame);
  return call1504;
}
Object meth_parser__apply1497(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_body = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1499 = gc_frame_new();
  int callframe1500 = gc_frame_new();
  Object block1501 = alloc_Block(NULL, NULL, "parser", 508);
  gc_frame_newslot(block1501);
  block_savedest(block1501);
  Object closure1502 = createclosure(1, "_apply");
  setclosureframe(closure1502, stackframe);
  addtoclosure(closure1502, selfslot);
  struct UserObject *uo1502 = (struct UserObject*)block1501;
  uo1502->data[0] = (Object)closure1502;
  Method *meth_meth_parser__apply1502 = addmethod2pos(block1501, "_apply", &meth_parser__apply1502, 0);
int argcv_meth_parser__apply1502[] = {0};
meth_meth_parser__apply1502->type = alloc_MethodType(1, argcv_meth_parser__apply1502);
  meth_meth_parser__apply1502->definitionModule = modulename;
  meth_meth_parser__apply1502->definitionLine = 508;
// compilenode returning block1501
  gc_frame_newslot(block1501);
  params[0] = block1501;
  partcv[0] = 1;
  Object call1506 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1500);
// compilenode returning call1506
  partcv[0] = 0;
  Object call1507 = callmethod(call1506, "not",
    1, partcv, params);
  gc_frame_end(callframe1499);
// compilenode returning call1507
// compilenode returning call1507
  Object if1498 = done;
  if (istrue(call1507)) {
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1508 = gc_frame_new();
  int callframe1509 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1510 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1509);
// compilenode returning call1510
// compilenode returning call1510
  partcv[0] = 0;
  Object call1511 = callmethod(call1510, "new",
    1, partcv, params);
  gc_frame_end(callframe1508);
// compilenode returning call1511
// compilenode returning call1511
  *var_suggestion = call1511;
  if (call1511 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1512 = gc_frame_new();
  if (strlit1513 == NULL) {
    strlit1513 = alloc_String("}");
    gc_root(strlit1513);
  }
// compilenode returning strlit1513
  gc_frame_newslot(strlit1513);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1513;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1514 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1512);
// compilenode returning call1514
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1515 = gc_frame_new();
  if (strlit1516 == NULL) {
    strlit1516 = alloc_String("A block must end with a '}'.");
    gc_root(strlit1516);
  }
// compilenode returning strlit1516
  gc_frame_newslot(strlit1516);
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1517 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1518 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1517);
// compilenode returning call1518
// compilenode returning call1518
  gc_frame_newslot(call1518);
  int callframe1519 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1520 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1519);
// compilenode returning call1520
// compilenode returning call1520
  gc_frame_newslot(call1520);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1516;
  params[1] = call1518;
  params[2] = call1520;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1521 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1515);
// compilenode returning call1521
    gc_frame_newslot(call1521);
    if1498 = call1521;
  } else {
  }
// compilenode returning if1498
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1522 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1523 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1522);
// compilenode returning call1523
// compilenode returning call1523
  *var_tmp = call1523;
  if (call1523 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1525 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_body
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call1526 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1525);
// compilenode returning call1526
  gc_frame_end(frame);
  return call1526;
}
Object meth_parser_block1044(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(15, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "block");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementIndent = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_braceIsType = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_indentFreePass = getfromclosure(closure, 8);
  Object *var_ast = getfromclosure(closure, 9);
  Object *var_minIndentLevel = getfromclosure(closure, 10);
  Object *var_util = getfromclosure(closure, 11);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for block (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for block");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_minInd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "minInd");
  Object *var_startIndent = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startIndent");
  Object *var_ident1 = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ident1");
  Object *var_s = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "s");
  Object *var_tmp = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "tmp");
  Object *var_params = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "params");
  Object *var_body = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "body");
  Object *var_havearrow = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "havearrow");
  Object *var_found = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "found");
  Object *var_i = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "i");
  Object *var_isMatchingBlock = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "isMatchingBlock");
  Object *var_ln = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "ln");
  Object *var_o = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "o");
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1046 = gc_frame_new();
  if (strlit1047 == NULL) {
    strlit1047 = alloc_String("lbrace");
    gc_root(strlit1047);
  }
// compilenode returning strlit1047
  gc_frame_newslot(strlit1047);
  params[0] = strlit1047;
  partcv[0] = 1;
  Object call1048 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1046);
// compilenode returning call1048
  Object if1045 = done;
  if (istrue(call1048)) {
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1049 = gc_frame_new();
  partcv[0] = 0;
  Object call1050 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1049);
// compilenode returning call1050
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1052 = alloc_Float64(1);
// compilenode returning num1052
  int op_slot_right_1051 = gc_frame_newslot(num1052);
// compilenode returning *var_statementIndent
  int op_slot_left_1051 = gc_frame_newslot(*var_statementIndent);
  params[0] = num1052;
  partcv[0] = 1;
  Object sum1054 = callmethod(*var_statementIndent, "+", 1, partcv, params);
// compilenode returning sum1054
  *var_minInd = sum1054;
  if (sum1054 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementIndent
  *var_startIndent = *var_statementIndent;
  if (*var_statementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_ident1 = undefined;
// compilenode returning done
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_s = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_tmp = undefined;
// compilenode returning done
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1055 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1055
  *var_params = array1055;
  if (array1055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1056 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1056
  *var_body = array1056;
  if (array1056 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1057 = alloc_Boolean(1);
// compilenode returning bool1057
  *var_havearrow = bool1057;
  if (bool1057 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1058 = alloc_Boolean(0);
// compilenode returning bool1058
  *var_found = bool1058;
  if (bool1058 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1059 = alloc_Float64(0);
// compilenode returning num1059
  *var_i = num1059;
  if (num1059 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1060 = alloc_Boolean(0);
// compilenode returning bool1060
  *var_isMatchingBlock = bool1060;
  if (bool1060 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1064 == NULL) {
    strlit1064 = alloc_String("lparen");
    gc_root(strlit1064);
  }
// compilenode returning strlit1064
  int op_slot_right_1063 = gc_frame_newslot(strlit1064);
  int callframe1066 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1067 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1066);
// compilenode returning call1067
// compilenode returning call1067
  int op_slot_left_1063 = gc_frame_newslot(call1067);
  params[0] = strlit1064;
  partcv[0] = 1;
  Object opresult1068 = callmethod(call1067, "==", 1, partcv, params);
// compilenode returning opresult1068
  Object if1062 = done;
  if (istrue(opresult1068)) {
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1069 = alloc_Boolean(1);
// compilenode returning bool1069
  *var_isMatchingBlock = bool1069;
  if (bool1069 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1062 = done;
  } else {
  }
// compilenode returning if1062
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1071 = gc_frame_new();
  Object block1072 = alloc_Block(NULL, NULL, "parser", 383);
  gc_frame_newslot(block1072);
  block_savedest(block1072);
  Object closure1073 = createclosure(2, "_apply");
  setclosureframe(closure1073, stackframe);
  addtoclosure(closure1073, var_blocksOK);
  addtoclosure(closure1073, selfslot);
  struct UserObject *uo1073 = (struct UserObject*)block1072;
  uo1073->data[0] = (Object)closure1073;
  Method *meth_meth_parser__apply1073 = addmethod2pos(block1072, "_apply", &meth_parser__apply1073, 0);
int argcv_meth_parser__apply1073[] = {0};
meth_meth_parser__apply1073->type = alloc_MethodType(1, argcv_meth_parser__apply1073);
  meth_meth_parser__apply1073->definitionModule = modulename;
  meth_meth_parser__apply1073->definitionLine = 380;
// compilenode returning block1072
  gc_frame_newslot(block1072);
  Object block1077 = alloc_Block(NULL, NULL, "parser", 383);
  gc_frame_newslot(block1077);
  block_savedest(block1077);
  Object closure1078 = createclosure(13, "_apply");
  setclosureframe(closure1078, stackframe);
  addtoclosure(closure1078, var_values);
  addtoclosure(closure1078, var_ident1);
  addtoclosure(closure1078, var_braceIsType);
  addtoclosure(closure1078, var_blocksOK);
  addtoclosure(closure1078, var_errormessages);
  addtoclosure(closure1078, var_sym);
  addtoclosure(closure1078, var_lastToken);
  addtoclosure(closure1078, var_params);
  addtoclosure(closure1078, var_isMatchingBlock);
  addtoclosure(closure1078, var_body);
  addtoclosure(closure1078, var_indentFreePass);
  addtoclosure(closure1078, var_ast);
  addtoclosure(closure1078, selfslot);
  struct UserObject *uo1078 = (struct UserObject*)block1077;
  uo1078->data[0] = (Object)closure1078;
  Method *meth_meth_parser__apply1078 = addmethod2pos(block1077, "_apply", &meth_parser__apply1078, 0);
int argcv_meth_parser__apply1078[] = {0};
meth_meth_parser__apply1078->type = alloc_MethodType(1, argcv_meth_parser__apply1078);
  meth_meth_parser__apply1078->definitionModule = modulename;
  meth_meth_parser__apply1078->definitionLine = 380;
// compilenode returning block1077
  gc_frame_newslot(block1077);
  params[0] = block1072;
  params[1] = block1077;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1462 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1071);
// compilenode returning call1462
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1464 = gc_frame_new();
  if (strlit1465 == NULL) {
    strlit1465 = alloc_String("arrow");
    gc_root(strlit1465);
  }
// compilenode returning strlit1465
  gc_frame_newslot(strlit1465);
  params[0] = strlit1465;
  partcv[0] = 1;
  Object call1466 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1464);
// compilenode returning call1466
  Object if1463 = done;
  if (istrue(call1466)) {
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1467 = gc_frame_new();
  partcv[0] = 0;
  Object call1468 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1467);
// compilenode returning call1468
    gc_frame_newslot(call1468);
    if1463 = call1468;
  } else {
  }
// compilenode returning if1463
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1469 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1470 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe1469);
// compilenode returning call1470
// compilenode returning call1470
  *var_ln = call1470;
  if (call1470 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1473 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1474 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1473);
// compilenode returning call1474
// compilenode returning call1474
  int op_slot_right_1472 = gc_frame_newslot(call1474);
  int callframe1476 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1477 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1476);
// compilenode returning call1477
// compilenode returning call1477
  int op_slot_left_1472 = gc_frame_newslot(call1477);
  params[0] = call1474;
  partcv[0] = 1;
  Object opresult1478 = callmethod(call1477, "==", 1, partcv, params);
// compilenode returning opresult1478
  Object if1471 = done;
  if (istrue(opresult1478)) {
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1480 = alloc_Float64(1);
// compilenode returning num1480
  int op_slot_right_1479 = gc_frame_newslot(num1480);
  int callframe1482 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1483 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1482);
// compilenode returning call1483
// compilenode returning call1483
  int op_slot_left_1479 = gc_frame_newslot(call1483);
  params[0] = num1480;
  partcv[0] = 1;
  Object diff1484 = callmethod(call1483, "-", 1, partcv, params);
// compilenode returning diff1484
  *var_minIndentLevel = diff1484;
  if (diff1484 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1471 = done;
  } else {
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minInd
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1471 = done;
  }
// compilenode returning if1471
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1487 = gc_frame_new();
  Object block1488 = alloc_Block(NULL, NULL, "parser", 506);
  gc_frame_newslot(block1488);
  block_savedest(block1488);
  Object closure1489 = createclosure(1, "_apply");
  setclosureframe(closure1489, stackframe);
  addtoclosure(closure1489, selfslot);
  struct UserObject *uo1489 = (struct UserObject*)block1488;
  uo1489->data[0] = (Object)closure1489;
  Method *meth_meth_parser__apply1489 = addmethod2pos(block1488, "_apply", &meth_parser__apply1489, 0);
int argcv_meth_parser__apply1489[] = {0};
meth_meth_parser__apply1489->type = alloc_MethodType(1, argcv_meth_parser__apply1489);
  meth_meth_parser__apply1489->definitionModule = modulename;
  meth_meth_parser__apply1489->definitionLine = 502;
// compilenode returning block1488
  gc_frame_newslot(block1488);
  Object block1496 = alloc_Block(NULL, NULL, "parser", 506);
  gc_frame_newslot(block1496);
  block_savedest(block1496);
  Object closure1497 = createclosure(7, "_apply");
  setclosureframe(closure1497, stackframe);
  addtoclosure(closure1497, var_errormessages);
  addtoclosure(closure1497, var_lastToken);
  addtoclosure(closure1497, var_sym);
  addtoclosure(closure1497, var_values);
  addtoclosure(closure1497, var_tmp);
  addtoclosure(closure1497, var_body);
  addtoclosure(closure1497, selfslot);
  struct UserObject *uo1497 = (struct UserObject*)block1496;
  uo1497->data[0] = (Object)closure1497;
  Method *meth_meth_parser__apply1497 = addmethod2pos(block1496, "_apply", &meth_parser__apply1497, 0);
int argcv_meth_parser__apply1497[] = {0};
meth_meth_parser__apply1497->type = alloc_MethodType(1, argcv_meth_parser__apply1497);
  meth_meth_parser__apply1497->definitionModule = modulename;
  meth_meth_parser__apply1497->definitionLine = 506;
// compilenode returning block1496
  gc_frame_newslot(block1496);
  params[0] = block1488;
  params[1] = block1496;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1528 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1487);
// compilenode returning call1528
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1530 = alloc_Float64(1);
// compilenode returning num1530
  int op_slot_right_1529 = gc_frame_newslot(num1530);
// compilenode returning *var_minInd
  int op_slot_left_1529 = gc_frame_newslot(*var_minInd);
  params[0] = num1530;
  partcv[0] = 1;
  Object diff1532 = callmethod(*var_minInd, "-", 1, partcv, params);
// compilenode returning diff1532
  *var_minIndentLevel = diff1532;
  if (diff1532 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startIndent
  *var_statementIndent = *var_startIndent;
  if (*var_startIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1535 = gc_frame_new();
  partcv[0] = 0;
  Object call1536 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1535);
// compilenode returning call1536
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1537 = gc_frame_new();
  int callframe1538 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call1539 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe1538);
// compilenode returning call1539
// compilenode returning call1539
  gc_frame_newslot(call1539);
// compilenode returning *var_util
  params[0] = call1539;
  partcv[0] = 1;
  Object call1540 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe1537);
// compilenode returning call1540
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1541 = gc_frame_new();
// compilenode returning *var_params
  gc_frame_newslot(*var_params);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
  int callframe1542 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call1543 = callmethod(*var_ast, "blockNode",
    1, partcv, params);
  gc_frame_end(callframe1542);
// compilenode returning call1543
// compilenode returning call1543
  params[0] = *var_params;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call1544 = callmethod(call1543, "new",
    1, partcv, params);
  gc_frame_end(callframe1541);
// compilenode returning call1544
  *var_o = call1544;
  if (call1544 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_isMatchingBlock
  Object if1545 = done;
  if (istrue(*var_isMatchingBlock)) {
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1548 = alloc_Float64(0);
// compilenode returning num1548
  int op_slot_right_1547 = gc_frame_newslot(num1548);
  int callframe1550 = gc_frame_new();
// compilenode returning *var_params
  partcv[0] = 0;
  Object call1551 = callmethod(*var_params, "size",
    1, partcv, params);
  gc_frame_end(callframe1550);
// compilenode returning call1551
// compilenode returning call1551
  int op_slot_left_1547 = gc_frame_newslot(call1551);
  params[0] = num1548;
  partcv[0] = 1;
  Object opresult1552 = callmethod(call1551, ">", 1, partcv, params);
// compilenode returning opresult1552
  Object if1546 = done;
  if (istrue(opresult1552)) {
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1553 = gc_frame_new();
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1554 = gc_frame_new();
// compilenode returning *var_params
  partcv[0] = 0;
  Object call1555 = callmethod(*var_params, "first",
    1, partcv, params);
  gc_frame_end(callframe1554);
// compilenode returning call1555
// compilenode returning call1555
  gc_frame_newslot(call1555);
// compilenode returning *var_o
  params[0] = call1555;
  partcv[0] = 1;
  Object call1556 = callmethod(*var_o, "matchingPattern:=",
    1, partcv, params);
  gc_frame_end(callframe1553);
// compilenode returning call1556
// compilenode returning done
    gc_frame_newslot(done);
    if1546 = done;
  } else {
  }
// compilenode returning if1546
    gc_frame_newslot(if1546);
    if1545 = if1546;
  } else {
  }
// compilenode returning if1545
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1557 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1558 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe1557);
// compilenode returning call1558
    gc_frame_newslot(call1558);
    if1045 = call1558;
  } else {
  }
// compilenode returning if1045
  gc_frame_end(frame);
  return if1045;
}
Object meth_parser__apply1588(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_btok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1593 == NULL) {
    strlit1593 = alloc_String("then");
    gc_root(strlit1593);
  }
// compilenode returning strlit1593
  int op_slot_right_1592 = gc_frame_newslot(strlit1593);
  int callframe1595 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1596 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe1595);
// compilenode returning call1596
// compilenode returning call1596
  int op_slot_left_1592 = gc_frame_newslot(call1596);
  params[0] = strlit1593;
  partcv[0] = 1;
  Object opresult1597 = callmethod(call1596, "==", 1, partcv, params);
// compilenode returning opresult1597
  int op_slot_right_1591 = gc_frame_newslot(opresult1597);
  if (strlit1600 == NULL) {
    strlit1600 = alloc_String("identifier");
    gc_root(strlit1600);
  }
// compilenode returning strlit1600
  int op_slot_right_1599 = gc_frame_newslot(strlit1600);
  int callframe1602 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1603 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1602);
// compilenode returning call1603
// compilenode returning call1603
  int op_slot_left_1599 = gc_frame_newslot(call1603);
  params[0] = strlit1600;
  partcv[0] = 1;
  Object opresult1604 = callmethod(call1603, "==", 1, partcv, params);
// compilenode returning opresult1604
  int op_slot_left_1591 = gc_frame_newslot(opresult1604);
  params[0] = opresult1597;
  partcv[0] = 1;
  Object opresult1605 = callmethod(opresult1604, "&&", 1, partcv, params);
// compilenode returning opresult1605
  int op_slot_right_1590 = gc_frame_newslot(opresult1605);
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1609 == NULL) {
    strlit1609 = alloc_String("lbrace");
    gc_root(strlit1609);
  }
// compilenode returning strlit1609
  int op_slot_right_1608 = gc_frame_newslot(strlit1609);
  int callframe1611 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1612 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1611);
// compilenode returning call1612
// compilenode returning call1612
  int op_slot_left_1608 = gc_frame_newslot(call1612);
  params[0] = strlit1609;
  partcv[0] = 1;
  Object opresult1613 = callmethod(call1612, "==", 1, partcv, params);
// compilenode returning opresult1613
  int op_slot_right_1607 = gc_frame_newslot(opresult1613);
  if (strlit1616 == NULL) {
    strlit1616 = alloc_String("rparen");
    gc_root(strlit1616);
  }
// compilenode returning strlit1616
  int op_slot_right_1615 = gc_frame_newslot(strlit1616);
  int callframe1618 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1619 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1618);
// compilenode returning call1619
// compilenode returning call1619
  int op_slot_left_1615 = gc_frame_newslot(call1619);
  params[0] = strlit1616;
  partcv[0] = 1;
  Object opresult1620 = callmethod(call1619, "==", 1, partcv, params);
// compilenode returning opresult1620
  int op_slot_left_1607 = gc_frame_newslot(opresult1620);
  params[0] = opresult1613;
  partcv[0] = 1;
  Object opresult1621 = callmethod(opresult1620, "||", 1, partcv, params);
// compilenode returning opresult1621
  int op_slot_left_1590 = gc_frame_newslot(opresult1621);
  params[0] = opresult1605;
  partcv[0] = 1;
  Object opresult1622 = callmethod(opresult1621, "||", 1, partcv, params);
// compilenode returning opresult1622
  int op_slot_right_1589 = gc_frame_newslot(opresult1622);
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1625 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call1626 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe1625);
// compilenode returning call1626
// compilenode returning call1626
  int op_slot_right_1624 = gc_frame_newslot(call1626);
  int callframe1628 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1629 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe1628);
// compilenode returning call1629
// compilenode returning call1629
  int op_slot_left_1624 = gc_frame_newslot(call1629);
  params[0] = call1626;
  partcv[0] = 1;
  Object opresult1630 = callmethod(call1629, "==", 1, partcv, params);
// compilenode returning opresult1630
  int op_slot_left_1589 = gc_frame_newslot(opresult1630);
  params[0] = opresult1622;
  partcv[0] = 1;
  Object opresult1631 = callmethod(opresult1630, "&&", 1, partcv, params);
// compilenode returning opresult1631
  gc_frame_end(frame);
  return opresult1631;
}
Object meth_parser__apply1718(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1719 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1720 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1719);
// compilenode returning call1720
  gc_frame_end(frame);
  return call1720;
}
Object meth_parser__apply1730(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit1733 == NULL) {
    strlit1733 = alloc_String("rparen");
    gc_root(strlit1733);
  }
// compilenode returning strlit1733
  int op_slot_right_1732 = gc_frame_newslot(strlit1733);
  int callframe1735 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1736 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1735);
// compilenode returning call1736
// compilenode returning call1736
  int op_slot_left_1732 = gc_frame_newslot(call1736);
  params[0] = strlit1733;
  partcv[0] = 1;
  Object opresult1737 = callmethod(call1736, "==", 1, partcv, params);
// compilenode returning opresult1737
  int op_slot_right_1731 = gc_frame_newslot(opresult1737);
  int callframe1740 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1741 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1740);
// compilenode returning call1741
// compilenode returning call1741
  int op_slot_right_1739 = gc_frame_newslot(call1741);
  int callframe1743 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1744 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe1743);
// compilenode returning call1744
// compilenode returning call1744
  int op_slot_left_1739 = gc_frame_newslot(call1744);
  params[0] = call1741;
  partcv[0] = 1;
  Object opresult1745 = callmethod(call1744, "==", 1, partcv, params);
// compilenode returning opresult1745
  int op_slot_left_1731 = gc_frame_newslot(opresult1745);
  params[0] = opresult1737;
  partcv[0] = 1;
  Object opresult1746 = callmethod(opresult1745, "&&", 1, partcv, params);
// compilenode returning opresult1746
  gc_frame_end(frame);
  return opresult1746;
}
Object meth_parser__apply1951(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1952 = gc_frame_new();
  int callframe1953 = gc_frame_new();
  if (strlit1954 == NULL) {
    strlit1954 = alloc_String("rbrace");
    gc_root(strlit1954);
  }
// compilenode returning strlit1954
  gc_frame_newslot(strlit1954);
  params[0] = strlit1954;
  partcv[0] = 1;
  Object call1955 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1953);
// compilenode returning call1955
  partcv[0] = 0;
  Object call1956 = callmethod(call1955, "not",
    1, partcv, params);
  gc_frame_end(callframe1952);
// compilenode returning call1956
// compilenode returning call1956
  gc_frame_end(frame);
  return call1956;
}
Object meth_parser__apply1964(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1965 = gc_frame_new();
  partcv[0] = 0;
  Object call1966 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1965);
// compilenode returning call1966
  gc_frame_end(frame);
  return call1966;
}
Object meth_parser__apply1959(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_body = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1961 = gc_frame_new();
  int callframe1962 = gc_frame_new();
  Object block1963 = alloc_Block(NULL, NULL, "parser", 644);
  gc_frame_newslot(block1963);
  block_savedest(block1963);
  Object closure1964 = createclosure(1, "_apply");
  setclosureframe(closure1964, stackframe);
  addtoclosure(closure1964, selfslot);
  struct UserObject *uo1964 = (struct UserObject*)block1963;
  uo1964->data[0] = (Object)closure1964;
  Method *meth_meth_parser__apply1964 = addmethod2pos(block1963, "_apply", &meth_parser__apply1964, 0);
int argcv_meth_parser__apply1964[] = {0};
meth_meth_parser__apply1964->type = alloc_MethodType(1, argcv_meth_parser__apply1964);
  meth_meth_parser__apply1964->definitionModule = modulename;
  meth_meth_parser__apply1964->definitionLine = 644;
// compilenode returning block1963
  gc_frame_newslot(block1963);
  params[0] = block1963;
  partcv[0] = 1;
  Object call1968 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1962);
// compilenode returning call1968
  partcv[0] = 0;
  Object call1969 = callmethod(call1968, "not",
    1, partcv, params);
  gc_frame_end(callframe1961);
// compilenode returning call1969
// compilenode returning call1969
  Object if1960 = done;
  if (istrue(call1969)) {
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1970 = gc_frame_new();
  int callframe1971 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1972 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1971);
// compilenode returning call1972
// compilenode returning call1972
  partcv[0] = 0;
  Object call1973 = callmethod(call1972, "new",
    1, partcv, params);
  gc_frame_end(callframe1970);
// compilenode returning call1973
// compilenode returning call1973
  *var_suggestion = call1973;
  if (call1973 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1974 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool1975 = alloc_Boolean(0);
// compilenode returning bool1975
  gc_frame_newslot(bool1975);
  params[0] = *var_btok;
  params[1] = bool1975;
  partcv[0] = 2;
  Object call1976 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1974);
// compilenode returning call1976
  *var_closingBrace = call1976;
  if (call1976 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1979 = alloc_Boolean(0);
// compilenode returning bool1979
  int op_slot_right_1978 = gc_frame_newslot(bool1979);
  int callframe1981 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call1982 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe1981);
// compilenode returning call1982
// compilenode returning call1982
  int op_slot_left_1978 = gc_frame_newslot(call1982);
  params[0] = bool1979;
  partcv[0] = 1;
  Object opresult1983 = callmethod(call1982, "==", 1, partcv, params);
// compilenode returning opresult1983
  Object if1977 = done;
  if (istrue(opresult1983)) {
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_1985 = gc_frame_newslot(*var_lastToken);
  int callframe1987 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call1988 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe1987);
// compilenode returning call1988
// compilenode returning call1988
  int op_slot_left_1985 = gc_frame_newslot(call1988);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult1989 = callmethod(call1988, "==", 1, partcv, params);
// compilenode returning opresult1989
  Object if1984 = done;
  if (istrue(opresult1989)) {
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1990 = gc_frame_new();
  if (strlit1991 == NULL) {
    strlit1991 = alloc_String("}");
    gc_root(strlit1991);
  }
// compilenode returning strlit1991
  gc_frame_newslot(strlit1991);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1991;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1992 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1990);
// compilenode returning call1992
    gc_frame_newslot(call1992);
    if1984 = call1992;
  } else {
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1993 = gc_frame_new();
  Object num1995 = alloc_Float64(0.1);
// compilenode returning num1995
  int op_slot_right_1994 = gc_frame_newslot(num1995);
  int callframe1997 = gc_frame_new();
  int callframe1998 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call1999 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe1998);
// compilenode returning call1999
// compilenode returning call1999
  partcv[0] = 0;
  Object call2000 = callmethod(call1999, "line",
    1, partcv, params);
  gc_frame_end(callframe1997);
// compilenode returning call2000
// compilenode returning call2000
  int op_slot_left_1994 = gc_frame_newslot(call2000);
  params[0] = num1995;
  partcv[0] = 1;
  Object sum2001 = callmethod(call2000, "+", 1, partcv, params);
// compilenode returning sum2001
  gc_frame_newslot(sum2001);
  if (strlit2002 == NULL) {
    strlit2002 = alloc_String("}");
    gc_root(strlit2002);
  }
// compilenode returning strlit2002
  gc_frame_newslot(strlit2002);
// compilenode returning *var_suggestion
  params[0] = sum2001;
  params[1] = strlit2002;
  partcv[0] = 2;
  Object call2003 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe1993);
// compilenode returning call2003
    gc_frame_newslot(call2003);
    if1984 = call2003;
  }
// compilenode returning if1984
    gc_frame_newslot(if1984);
    if1977 = if1984;
  } else {
  }
// compilenode returning if1977
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2004 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2005 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2004);
// compilenode returning call2005
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2006 = gc_frame_new();
  if (strlit2007 == NULL) {
    strlit2007 = alloc_String("An if statement must end with a '}'.");
    gc_root(strlit2007);
  }
// compilenode returning strlit2007
  gc_frame_newslot(strlit2007);
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2008 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2009 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2008);
// compilenode returning call2009
// compilenode returning call2009
  gc_frame_newslot(call2009);
  int callframe2010 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2011 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2010);
// compilenode returning call2011
// compilenode returning call2011
  gc_frame_newslot(call2011);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2007;
  params[1] = call2009;
  params[2] = call2011;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2012 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2006);
// compilenode returning call2012
    gc_frame_newslot(call2012);
    if1960 = call2012;
  } else {
  }
// compilenode returning if1960
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2013 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2014 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2013);
// compilenode returning call2014
// compilenode returning call2014
  *var_v = call2014;
  if (call2014 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2016 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_body
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2017 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe2016);
// compilenode returning call2017
  gc_frame_end(frame);
  return call2017;
}
Object meth_parser__apply2024(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit2027 == NULL) {
    strlit2027 = alloc_String("elseif");
    gc_root(strlit2027);
  }
// compilenode returning strlit2027
  int op_slot_right_2026 = gc_frame_newslot(strlit2027);
  int callframe2029 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2030 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2029);
// compilenode returning call2030
// compilenode returning call2030
  int op_slot_left_2026 = gc_frame_newslot(call2030);
  params[0] = strlit2027;
  partcv[0] = 1;
  Object opresult2031 = callmethod(call2030, "==", 1, partcv, params);
// compilenode returning opresult2031
  int op_slot_right_2025 = gc_frame_newslot(opresult2031);
  int callframe2033 = gc_frame_new();
  if (strlit2034 == NULL) {
    strlit2034 = alloc_String("identifier");
    gc_root(strlit2034);
  }
// compilenode returning strlit2034
  gc_frame_newslot(strlit2034);
  params[0] = strlit2034;
  partcv[0] = 1;
  Object call2035 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2033);
// compilenode returning call2035
  int op_slot_left_2025 = gc_frame_newslot(call2035);
  params[0] = opresult2031;
  partcv[0] = 1;
  Object opresult2036 = callmethod(call2035, "&&", 1, partcv, params);
// compilenode returning opresult2036
  gc_frame_end(frame);
  return opresult2036;
}
Object meth_parser__apply2046(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit2048 == NULL) {
    strlit2048 = alloc_String("lbrace");
    gc_root(strlit2048);
  }
// compilenode returning strlit2048
  int op_slot_right_2047 = gc_frame_newslot(strlit2048);
  int callframe2050 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2051 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2050);
// compilenode returning call2051
// compilenode returning call2051
  int op_slot_left_2047 = gc_frame_newslot(call2051);
  params[0] = strlit2048;
  partcv[0] = 1;
  Object opresult2052 = callmethod(call2051, "==", 1, partcv, params);
// compilenode returning opresult2052
  gc_frame_end(frame);
  return opresult2052;
}
Object meth_parser__apply2088(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2093 == NULL) {
    strlit2093 = alloc_String("then");
    gc_root(strlit2093);
  }
// compilenode returning strlit2093
  int op_slot_right_2092 = gc_frame_newslot(strlit2093);
  int callframe2095 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2096 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe2095);
// compilenode returning call2096
// compilenode returning call2096
  int op_slot_left_2092 = gc_frame_newslot(call2096);
  params[0] = strlit2093;
  partcv[0] = 1;
  Object opresult2097 = callmethod(call2096, "==", 1, partcv, params);
// compilenode returning opresult2097
  int op_slot_right_2091 = gc_frame_newslot(opresult2097);
  if (strlit2100 == NULL) {
    strlit2100 = alloc_String("identifier");
    gc_root(strlit2100);
  }
// compilenode returning strlit2100
  int op_slot_right_2099 = gc_frame_newslot(strlit2100);
  int callframe2102 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2103 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2102);
// compilenode returning call2103
// compilenode returning call2103
  int op_slot_left_2099 = gc_frame_newslot(call2103);
  params[0] = strlit2100;
  partcv[0] = 1;
  Object opresult2104 = callmethod(call2103, "==", 1, partcv, params);
// compilenode returning opresult2104
  int op_slot_left_2091 = gc_frame_newslot(opresult2104);
  params[0] = opresult2097;
  partcv[0] = 1;
  Object opresult2105 = callmethod(opresult2104, "&&", 1, partcv, params);
// compilenode returning opresult2105
  int op_slot_right_2090 = gc_frame_newslot(opresult2105);
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2109 == NULL) {
    strlit2109 = alloc_String("lbrace");
    gc_root(strlit2109);
  }
// compilenode returning strlit2109
  int op_slot_right_2108 = gc_frame_newslot(strlit2109);
  int callframe2111 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2112 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2111);
// compilenode returning call2112
// compilenode returning call2112
  int op_slot_left_2108 = gc_frame_newslot(call2112);
  params[0] = strlit2109;
  partcv[0] = 1;
  Object opresult2113 = callmethod(call2112, "==", 1, partcv, params);
// compilenode returning opresult2113
  int op_slot_right_2107 = gc_frame_newslot(opresult2113);
  if (strlit2117 == NULL) {
    strlit2117 = alloc_String("rbrace");
    gc_root(strlit2117);
  }
// compilenode returning strlit2117
  int op_slot_right_2116 = gc_frame_newslot(strlit2117);
  int callframe2119 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2120 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2119);
// compilenode returning call2120
// compilenode returning call2120
  int op_slot_left_2116 = gc_frame_newslot(call2120);
  params[0] = strlit2117;
  partcv[0] = 1;
  Object opresult2121 = callmethod(call2120, "==", 1, partcv, params);
// compilenode returning opresult2121
  int op_slot_right_2115 = gc_frame_newslot(opresult2121);
  if (strlit2124 == NULL) {
    strlit2124 = alloc_String("rparen");
    gc_root(strlit2124);
  }
// compilenode returning strlit2124
  int op_slot_right_2123 = gc_frame_newslot(strlit2124);
  int callframe2126 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2127 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2126);
// compilenode returning call2127
// compilenode returning call2127
  int op_slot_left_2123 = gc_frame_newslot(call2127);
  params[0] = strlit2124;
  partcv[0] = 1;
  Object opresult2128 = callmethod(call2127, "==", 1, partcv, params);
// compilenode returning opresult2128
  int op_slot_left_2115 = gc_frame_newslot(opresult2128);
  params[0] = opresult2121;
  partcv[0] = 1;
  Object opresult2129 = callmethod(opresult2128, "||", 1, partcv, params);
// compilenode returning opresult2129
  int op_slot_left_2107 = gc_frame_newslot(opresult2129);
  params[0] = opresult2113;
  partcv[0] = 1;
  Object opresult2130 = callmethod(opresult2129, "||", 1, partcv, params);
// compilenode returning opresult2130
  int op_slot_left_2090 = gc_frame_newslot(opresult2130);
  params[0] = opresult2105;
  partcv[0] = 1;
  Object opresult2131 = callmethod(opresult2130, "||", 1, partcv, params);
// compilenode returning opresult2131
  int op_slot_right_2089 = gc_frame_newslot(opresult2131);
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2134 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call2135 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2134);
// compilenode returning call2135
// compilenode returning call2135
  int op_slot_right_2133 = gc_frame_newslot(call2135);
  int callframe2137 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2138 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe2137);
// compilenode returning call2138
// compilenode returning call2138
  int op_slot_left_2133 = gc_frame_newslot(call2138);
  params[0] = call2135;
  partcv[0] = 1;
  Object opresult2139 = callmethod(call2138, "==", 1, partcv, params);
// compilenode returning opresult2139
  int op_slot_left_2089 = gc_frame_newslot(opresult2139);
  params[0] = opresult2131;
  partcv[0] = 1;
  Object opresult2140 = callmethod(opresult2139, "&&", 1, partcv, params);
// compilenode returning opresult2140
  gc_frame_end(frame);
  return opresult2140;
}
Object meth_parser__apply2227(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2228 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call2229 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2228);
// compilenode returning call2229
  gc_frame_end(frame);
  return call2229;
}
Object meth_parser__apply2239(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2243 == NULL) {
    strlit2243 = alloc_String("rbrace");
    gc_root(strlit2243);
  }
// compilenode returning strlit2243
  int op_slot_right_2242 = gc_frame_newslot(strlit2243);
  int callframe2245 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2246 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2245);
// compilenode returning call2246
// compilenode returning call2246
  int op_slot_left_2242 = gc_frame_newslot(call2246);
  params[0] = strlit2243;
  partcv[0] = 1;
  Object opresult2247 = callmethod(call2246, "==", 1, partcv, params);
// compilenode returning opresult2247
  int op_slot_right_2241 = gc_frame_newslot(opresult2247);
  if (strlit2250 == NULL) {
    strlit2250 = alloc_String("rparen");
    gc_root(strlit2250);
  }
// compilenode returning strlit2250
  int op_slot_right_2249 = gc_frame_newslot(strlit2250);
  int callframe2252 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2253 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2252);
// compilenode returning call2253
// compilenode returning call2253
  int op_slot_left_2249 = gc_frame_newslot(call2253);
  params[0] = strlit2250;
  partcv[0] = 1;
  Object opresult2254 = callmethod(call2253, "==", 1, partcv, params);
// compilenode returning opresult2254
  int op_slot_left_2241 = gc_frame_newslot(opresult2254);
  params[0] = opresult2247;
  partcv[0] = 1;
  Object opresult2255 = callmethod(opresult2254, "||", 1, partcv, params);
// compilenode returning opresult2255
  int op_slot_right_2240 = gc_frame_newslot(opresult2255);
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2258 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2259 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2258);
// compilenode returning call2259
// compilenode returning call2259
  int op_slot_right_2257 = gc_frame_newslot(call2259);
  int callframe2261 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2262 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe2261);
// compilenode returning call2262
// compilenode returning call2262
  int op_slot_left_2257 = gc_frame_newslot(call2262);
  params[0] = call2259;
  partcv[0] = 1;
  Object opresult2263 = callmethod(call2262, "==", 1, partcv, params);
// compilenode returning opresult2263
  int op_slot_left_2240 = gc_frame_newslot(opresult2263);
  params[0] = opresult2255;
  partcv[0] = 1;
  Object opresult2264 = callmethod(opresult2263, "&&", 1, partcv, params);
// compilenode returning opresult2264
  gc_frame_end(frame);
  return opresult2264;
}
Object meth_parser__apply2575(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2576 = gc_frame_new();
  int callframe2577 = gc_frame_new();
  if (strlit2578 == NULL) {
    strlit2578 = alloc_String("rbrace");
    gc_root(strlit2578);
  }
// compilenode returning strlit2578
  gc_frame_newslot(strlit2578);
  params[0] = strlit2578;
  partcv[0] = 1;
  Object call2579 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2577);
// compilenode returning call2579
  partcv[0] = 0;
  Object call2580 = callmethod(call2579, "not",
    1, partcv, params);
  gc_frame_end(callframe2576);
// compilenode returning call2580
// compilenode returning call2580
  gc_frame_end(frame);
  return call2580;
}
Object meth_parser__apply2588(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2589 = gc_frame_new();
  partcv[0] = 0;
  Object call2590 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2589);
// compilenode returning call2590
  gc_frame_end(frame);
  return call2590;
}
Object meth_parser__apply2583(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_ebody = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2585 = gc_frame_new();
  int callframe2586 = gc_frame_new();
  Object block2587 = alloc_Block(NULL, NULL, "parser", 802);
  gc_frame_newslot(block2587);
  block_savedest(block2587);
  Object closure2588 = createclosure(1, "_apply");
  setclosureframe(closure2588, stackframe);
  addtoclosure(closure2588, selfslot);
  struct UserObject *uo2588 = (struct UserObject*)block2587;
  uo2588->data[0] = (Object)closure2588;
  Method *meth_meth_parser__apply2588 = addmethod2pos(block2587, "_apply", &meth_parser__apply2588, 0);
int argcv_meth_parser__apply2588[] = {0};
meth_meth_parser__apply2588->type = alloc_MethodType(1, argcv_meth_parser__apply2588);
  meth_meth_parser__apply2588->definitionModule = modulename;
  meth_meth_parser__apply2588->definitionLine = 802;
// compilenode returning block2587
  gc_frame_newslot(block2587);
  params[0] = block2587;
  partcv[0] = 1;
  Object call2592 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2586);
// compilenode returning call2592
  partcv[0] = 0;
  Object call2593 = callmethod(call2592, "not",
    1, partcv, params);
  gc_frame_end(callframe2585);
// compilenode returning call2593
// compilenode returning call2593
  Object if2584 = done;
  if (istrue(call2593)) {
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2594 = gc_frame_new();
  int callframe2595 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2596 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2595);
// compilenode returning call2596
// compilenode returning call2596
  partcv[0] = 0;
  Object call2597 = callmethod(call2596, "new",
    1, partcv, params);
  gc_frame_end(callframe2594);
// compilenode returning call2597
// compilenode returning call2597
  *var_suggestion = call2597;
  if (call2597 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2598 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2599 = alloc_Boolean(0);
// compilenode returning bool2599
  gc_frame_newslot(bool2599);
  params[0] = *var_btok;
  params[1] = bool2599;
  partcv[0] = 2;
  Object call2600 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2598);
// compilenode returning call2600
  *var_closingBrace = call2600;
  if (call2600 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2603 = alloc_Boolean(0);
// compilenode returning bool2603
  int op_slot_right_2602 = gc_frame_newslot(bool2603);
  int callframe2605 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2606 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2605);
// compilenode returning call2606
// compilenode returning call2606
  int op_slot_left_2602 = gc_frame_newslot(call2606);
  params[0] = bool2603;
  partcv[0] = 1;
  Object opresult2607 = callmethod(call2606, "==", 1, partcv, params);
// compilenode returning opresult2607
  Object if2601 = done;
  if (istrue(opresult2607)) {
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2609 = gc_frame_newslot(*var_lastToken);
  int callframe2611 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2612 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2611);
// compilenode returning call2612
// compilenode returning call2612
  int op_slot_left_2609 = gc_frame_newslot(call2612);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2613 = callmethod(call2612, "==", 1, partcv, params);
// compilenode returning opresult2613
  Object if2608 = done;
  if (istrue(opresult2613)) {
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2614 = gc_frame_new();
  if (strlit2615 == NULL) {
    strlit2615 = alloc_String("}");
    gc_root(strlit2615);
  }
// compilenode returning strlit2615
  gc_frame_newslot(strlit2615);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2615;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2616 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2614);
// compilenode returning call2616
    gc_frame_newslot(call2616);
    if2608 = call2616;
  } else {
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2617 = gc_frame_new();
  Object num2619 = alloc_Float64(0.1);
// compilenode returning num2619
  int op_slot_right_2618 = gc_frame_newslot(num2619);
  int callframe2621 = gc_frame_new();
  int callframe2622 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2623 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2622);
// compilenode returning call2623
// compilenode returning call2623
  partcv[0] = 0;
  Object call2624 = callmethod(call2623, "line",
    1, partcv, params);
  gc_frame_end(callframe2621);
// compilenode returning call2624
// compilenode returning call2624
  int op_slot_left_2618 = gc_frame_newslot(call2624);
  params[0] = num2619;
  partcv[0] = 1;
  Object sum2625 = callmethod(call2624, "+", 1, partcv, params);
// compilenode returning sum2625
  gc_frame_newslot(sum2625);
  if (strlit2626 == NULL) {
    strlit2626 = alloc_String("}");
    gc_root(strlit2626);
  }
// compilenode returning strlit2626
  gc_frame_newslot(strlit2626);
// compilenode returning *var_suggestion
  params[0] = sum2625;
  params[1] = strlit2626;
  partcv[0] = 2;
  Object call2627 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2617);
// compilenode returning call2627
    gc_frame_newslot(call2627);
    if2608 = call2627;
  }
// compilenode returning if2608
    gc_frame_newslot(if2608);
    if2601 = if2608;
  } else {
  }
// compilenode returning if2601
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2628 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2629 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2628);
// compilenode returning call2629
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2630 = gc_frame_new();
  if (strlit2631 == NULL) {
    strlit2631 = alloc_String("An elseif statement must end with a '}'.");
    gc_root(strlit2631);
  }
// compilenode returning strlit2631
  gc_frame_newslot(strlit2631);
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2632 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2633 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2632);
// compilenode returning call2633
// compilenode returning call2633
  gc_frame_newslot(call2633);
  int callframe2634 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2635 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2634);
// compilenode returning call2635
// compilenode returning call2635
  gc_frame_newslot(call2635);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2631;
  params[1] = call2633;
  params[2] = call2635;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2636 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2630);
// compilenode returning call2636
    gc_frame_newslot(call2636);
    if2584 = call2636;
  } else {
  }
// compilenode returning if2584
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2637 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2638 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2637);
// compilenode returning call2638
// compilenode returning call2638
  *var_v = call2638;
  if (call2638 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2640 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_ebody
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2641 = callmethod(*var_ebody, "push",
    1, partcv, params);
  gc_frame_end(callframe2640);
// compilenode returning call2641
  gc_frame_end(frame);
  return call2641;
}
Object meth_parser__apply2039(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(13, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_econd = getfromclosure(closure, 6);
  Object *var_ebody = getfromclosure(closure, 7);
  Object *var_btok = getfromclosure(closure, 8);
  Object *var_minIndentLevel = getfromclosure(closure, 9);
  Object *var_minInd = getfromclosure(closure, 10);
  Object *var_v = getfromclosure(closure, 11);
  Object *var_newelse = getfromclosure(closure, 12);
  Object *var_ast = getfromclosure(closure, 13);
  Object *var_eif = getfromclosure(closure, 14);
  Object *var_curelse = getfromclosure(closure, 15);
  Object self = *(getfromclosure(closure, 16));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_opener = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "opener");
  Object *var_closer = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closer");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_closingBrace = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "closingBrace");
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2041 = gc_frame_new();
  partcv[0] = 0;
  Object call2042 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2041);
// compilenode returning call2042
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2044 = gc_frame_new();
  Object block2045 = alloc_Block(NULL, NULL, "parser", 672);
  gc_frame_newslot(block2045);
  block_savedest(block2045);
  Object closure2046 = createclosure(2, "_apply");
  setclosureframe(closure2046, stackframe);
  addtoclosure(closure2046, var_sym);
  addtoclosure(closure2046, selfslot);
  struct UserObject *uo2046 = (struct UserObject*)block2045;
  uo2046->data[0] = (Object)closure2046;
  Method *meth_meth_parser__apply2046 = addmethod2pos(block2045, "_apply", &meth_parser__apply2046, 0);
int argcv_meth_parser__apply2046[] = {0};
meth_meth_parser__apply2046->type = alloc_MethodType(1, argcv_meth_parser__apply2046);
  meth_meth_parser__apply2046->definitionModule = modulename;
  meth_meth_parser__apply2046->definitionLine = 666;
// compilenode returning block2045
  gc_frame_newslot(block2045);
  if (strlit2055 == NULL) {
    strlit2055 = alloc_String("lparen");
    gc_root(strlit2055);
  }
// compilenode returning strlit2055
  int op_slot_right_2054 = gc_frame_newslot(strlit2055);
  int callframe2057 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2058 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2057);
// compilenode returning call2058
// compilenode returning call2058
  int op_slot_left_2054 = gc_frame_newslot(call2058);
  params[0] = strlit2055;
  partcv[0] = 1;
  Object opresult2059 = callmethod(call2058, "==", 1, partcv, params);
// compilenode returning opresult2059
  params[0] = block2045;
  partcv[0] = 1;
  Object call2060 = callmethod(opresult2059, "orElse",
    1, partcv, params);
  gc_frame_end(callframe2044);
// compilenode returning call2060
  Object if2043 = done;
struct StackFrameObject *iftmpstackframe2043 = stackframe;
  if (istrue(call2060)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2043);
gc_frame_newslot((Object)stackframe);
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2061 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2062 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2061);
// compilenode returning call2062
// compilenode returning call2062
    gc_frame_newslot(call2062);
    if2043 = call2062;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe2043);
gc_frame_newslot((Object)stackframe);
  if (strlit2063 == NULL) {
    strlit2063 = alloc_String("-missing-");
    gc_root(strlit2063);
  }
// compilenode returning strlit2063
    gc_frame_newslot(strlit2063);
    if2043 = strlit2063;
  }
stackframe = iftmpstackframe2043;
// compilenode returning if2043
  *var_opener = if2043;
  if (if2043 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2066 == NULL) {
    strlit2066 = alloc_String("(");
    gc_root(strlit2066);
  }
// compilenode returning strlit2066
  int op_slot_right_2065 = gc_frame_newslot(strlit2066);
// compilenode returning *var_opener
  int op_slot_left_2065 = gc_frame_newslot(*var_opener);
  params[0] = strlit2066;
  partcv[0] = 1;
  Object opresult2068 = callmethod(*var_opener, "==", 1, partcv, params);
// compilenode returning opresult2068
  Object if2064 = done;
struct StackFrameObject *iftmpstackframe2064 = stackframe;
  if (istrue(opresult2068)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2064);
gc_frame_newslot((Object)stackframe);
  if (strlit2069 == NULL) {
    strlit2069 = alloc_String(")");
    gc_root(strlit2069);
  }
// compilenode returning strlit2069
    gc_frame_newslot(strlit2069);
    if2064 = strlit2069;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe2064);
gc_frame_newslot((Object)stackframe);
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2072 == NULL) {
    strlit2072 = alloc_String("{");
    gc_root(strlit2072);
  }
// compilenode returning strlit2072
  int op_slot_right_2071 = gc_frame_newslot(strlit2072);
// compilenode returning *var_opener
  int op_slot_left_2071 = gc_frame_newslot(*var_opener);
  params[0] = strlit2072;
  partcv[0] = 1;
  Object opresult2074 = callmethod(*var_opener, "==", 1, partcv, params);
// compilenode returning opresult2074
  Object if2070 = done;
  if (istrue(opresult2074)) {
  if (strlit2075 == NULL) {
    strlit2075 = alloc_String("}");
    gc_root(strlit2075);
  }
// compilenode returning strlit2075
    gc_frame_newslot(strlit2075);
    if2070 = strlit2075;
  } else {
  if (strlit2076 == NULL) {
    strlit2076 = alloc_String("-nothing-");
    gc_root(strlit2076);
  }
// compilenode returning strlit2076
    gc_frame_newslot(strlit2076);
    if2070 = strlit2076;
  }
// compilenode returning if2070
    gc_frame_newslot(if2070);
    if2064 = if2070;
  }
stackframe = iftmpstackframe2064;
// compilenode returning if2064
  *var_closer = if2064;
  if (if2064 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2079 == NULL) {
    strlit2079 = alloc_String("-missing-");
    gc_root(strlit2079);
  }
// compilenode returning strlit2079
  int op_slot_right_2078 = gc_frame_newslot(strlit2079);
// compilenode returning *var_opener
  int op_slot_left_2078 = gc_frame_newslot(*var_opener);
  params[0] = strlit2079;
  partcv[0] = 1;
  Object opresult2081 = callmethod(*var_opener, "==", 1, partcv, params);
// compilenode returning opresult2081
  Object if2077 = done;
  if (istrue(opresult2081)) {
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2082 = gc_frame_new();
  int callframe2083 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2084 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2083);
// compilenode returning call2084
// compilenode returning call2084
  partcv[0] = 0;
  Object call2085 = callmethod(call2084, "new",
    1, partcv, params);
  gc_frame_end(callframe2082);
// compilenode returning call2085
// compilenode returning call2085
  *var_suggestion = call2085;
  if (call2085 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2086 = gc_frame_new();
  Object block2087 = alloc_Block(NULL, NULL, "parser", 679);
  gc_frame_newslot(block2087);
  block_savedest(block2087);
  Object closure2088 = createclosure(2, "_apply");
  setclosureframe(closure2088, stackframe);
  addtoclosure(closure2088, var_statementToken);
  addtoclosure(closure2088, selfslot);
  struct UserObject *uo2088 = (struct UserObject*)block2087;
  uo2088->data[0] = (Object)closure2088;
  Method *meth_meth_parser__apply2088 = addmethod2pos(block2087, "_apply", &meth_parser__apply2088, 0);
int argcv_meth_parser__apply2088[] = {1};
meth_meth_parser__apply2088->type = alloc_MethodType(1, argcv_meth_parser__apply2088);
  meth_meth_parser__apply2088->definitionModule = modulename;
  meth_meth_parser__apply2088->definitionLine = 677;
// compilenode returning block2087
  gc_frame_newslot(block2087);
  params[0] = block2087;
  partcv[0] = 1;
  Object call2142 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2086);
// compilenode returning call2142
  *var_nextTok = call2142;
  if (call2142 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2145 = alloc_Boolean(0);
// compilenode returning bool2145
  int op_slot_right_2144 = gc_frame_newslot(bool2145);
// compilenode returning *var_nextTok
  int op_slot_left_2144 = gc_frame_newslot(*var_nextTok);
  params[0] = bool2145;
  partcv[0] = 1;
  Object opresult2147 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2147
  Object if2143 = done;
  if (istrue(opresult2147)) {
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2148 = gc_frame_new();
  if (strlit2149 == NULL) {
    strlit2149 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2149);
  }
// compilenode returning strlit2149
  gc_frame_newslot(strlit2149);
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
// compilenode returning *var_suggestion
  params[0] = strlit2149;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2150 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2148);
// compilenode returning call2150
    gc_frame_newslot(call2150);
    if2143 = call2150;
  } else {
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2153 == NULL) {
    strlit2153 = alloc_String("rparen");
    gc_root(strlit2153);
  }
// compilenode returning strlit2153
  int op_slot_right_2152 = gc_frame_newslot(strlit2153);
  int callframe2155 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2156 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2155);
// compilenode returning call2156
// compilenode returning call2156
  int op_slot_left_2152 = gc_frame_newslot(call2156);
  params[0] = strlit2153;
  partcv[0] = 1;
  Object opresult2157 = callmethod(call2156, "==", 1, partcv, params);
// compilenode returning opresult2157
  Object if2151 = done;
  if (istrue(opresult2157)) {
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2159 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2159 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2161 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2161
  Object if2158 = done;
  if (istrue(opresult2161)) {
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2162 = gc_frame_new();
  if (strlit2163 == NULL) {
    strlit2163 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2163);
  }
// compilenode returning strlit2163
  gc_frame_newslot(strlit2163);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2163;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2164 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2162);
// compilenode returning call2164
    gc_frame_newslot(call2164);
    if2158 = call2164;
  } else {
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2165 = gc_frame_new();
  if (strlit2166 == NULL) {
    strlit2166 = alloc_String("(");
    gc_root(strlit2166);
  }
// compilenode returning strlit2166
  gc_frame_newslot(strlit2166);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2166;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2167 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2165);
// compilenode returning call2167
    gc_frame_newslot(call2167);
    if2158 = call2167;
  }
// compilenode returning if2158
    gc_frame_newslot(if2158);
    if2151 = if2158;
  } else {
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2170 == NULL) {
    strlit2170 = alloc_String("lbrace");
    gc_root(strlit2170);
  }
// compilenode returning strlit2170
  int op_slot_right_2169 = gc_frame_newslot(strlit2170);
  int callframe2172 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2173 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2172);
// compilenode returning call2173
// compilenode returning call2173
  int op_slot_left_2169 = gc_frame_newslot(call2173);
  params[0] = strlit2170;
  partcv[0] = 1;
  Object opresult2174 = callmethod(call2173, "==", 1, partcv, params);
// compilenode returning opresult2174
  Object if2168 = done;
  if (istrue(opresult2174)) {
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2176 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2176 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2178 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2178
  Object if2175 = done;
  if (istrue(opresult2178)) {
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2179 = gc_frame_new();
  if (strlit2180 == NULL) {
    strlit2180 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then");
    gc_root(strlit2180);
  }
// compilenode returning strlit2180
  gc_frame_newslot(strlit2180);
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
// compilenode returning *var_suggestion
  params[0] = strlit2180;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2181 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2179);
// compilenode returning call2181
    gc_frame_newslot(call2181);
    if2175 = call2181;
  } else {
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2182 = gc_frame_new();
  if (strlit2183 == NULL) {
    strlit2183 = alloc_String("(");
    gc_root(strlit2183);
  }
// compilenode returning strlit2183
  gc_frame_newslot(strlit2183);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2183;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2184 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2182);
// compilenode returning call2184
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2185 = gc_frame_new();
  if (strlit2186 == NULL) {
    strlit2186 = alloc_String(") then");
    gc_root(strlit2186);
  }
// compilenode returning strlit2186
  gc_frame_newslot(strlit2186);
  int callframe2187 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2188 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2187);
// compilenode returning call2188
// compilenode returning call2188
  gc_frame_newslot(call2188);
  Object bool2189 = alloc_Boolean(1);
// compilenode returning bool2189
  gc_frame_newslot(bool2189);
// compilenode returning *var_suggestion
  params[0] = strlit2186;
  params[1] = call2188;
  params[2] = bool2189;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2190 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe2185);
// compilenode returning call2190
    gc_frame_newslot(call2190);
    if2175 = call2190;
  }
// compilenode returning if2175
    gc_frame_newslot(if2175);
    if2168 = if2175;
  } else {
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2193 == NULL) {
    strlit2193 = alloc_String("identifier");
    gc_root(strlit2193);
  }
// compilenode returning strlit2193
  int op_slot_right_2192 = gc_frame_newslot(strlit2193);
  int callframe2195 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2196 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2195);
// compilenode returning call2196
// compilenode returning call2196
  int op_slot_left_2192 = gc_frame_newslot(call2196);
  params[0] = strlit2193;
  partcv[0] = 1;
  Object opresult2197 = callmethod(call2196, "==", 1, partcv, params);
// compilenode returning opresult2197
  Object if2191 = done;
  if (istrue(opresult2197)) {
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2199 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2199 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2201 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2201
  Object if2198 = done;
  if (istrue(opresult2201)) {
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2202 = gc_frame_new();
  if (strlit2203 == NULL) {
    strlit2203 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"") ");
    gc_root(strlit2203);
  }
// compilenode returning strlit2203
  gc_frame_newslot(strlit2203);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2203;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2204 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2202);
// compilenode returning call2204
    gc_frame_newslot(call2204);
    if2198 = call2204;
  } else {
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2205 = gc_frame_new();
  if (strlit2206 == NULL) {
    strlit2206 = alloc_String("(");
    gc_root(strlit2206);
  }
// compilenode returning strlit2206
  gc_frame_newslot(strlit2206);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2206;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2207 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2205);
// compilenode returning call2207
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2208 = gc_frame_new();
  if (strlit2209 == NULL) {
    strlit2209 = alloc_String(")");
    gc_root(strlit2209);
  }
// compilenode returning strlit2209
  gc_frame_newslot(strlit2209);
  int callframe2210 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2211 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2210);
// compilenode returning call2211
// compilenode returning call2211
  gc_frame_newslot(call2211);
  Object bool2212 = alloc_Boolean(1);
// compilenode returning bool2212
  gc_frame_newslot(bool2212);
// compilenode returning *var_suggestion
  params[0] = strlit2209;
  params[1] = call2211;
  params[2] = bool2212;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2213 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe2208);
// compilenode returning call2213
    gc_frame_newslot(call2213);
    if2198 = call2213;
  }
// compilenode returning if2198
    gc_frame_newslot(if2198);
    if2191 = if2198;
  } else {
  }
// compilenode returning if2191
    gc_frame_newslot(if2191);
    if2168 = if2191;
  }
// compilenode returning if2168
    gc_frame_newslot(if2168);
    if2151 = if2168;
  }
// compilenode returning if2151
    gc_frame_newslot(if2151);
    if2143 = if2151;
  }
// compilenode returning if2143
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2214 = gc_frame_new();
  if (strlit2215 == NULL) {
    strlit2215 = alloc_String("An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2215);
  }
// compilenode returning strlit2215
  gc_frame_newslot(strlit2215);
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2216 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2217 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2216);
// compilenode returning call2217
// compilenode returning call2217
  gc_frame_newslot(call2217);
  int callframe2218 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2219 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2218);
// compilenode returning call2219
// compilenode returning call2219
  gc_frame_newslot(call2219);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2215;
  params[1] = call2217;
  params[2] = call2219;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2220 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2214);
// compilenode returning call2220
    gc_frame_newslot(call2220);
    if2077 = call2220;
  } else {
  }
// compilenode returning if2077
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2221 = gc_frame_new();
  partcv[0] = 0;
  Object call2222 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2221);
// compilenode returning call2222
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2224 = gc_frame_new();
  int callframe2225 = gc_frame_new();
  Object block2226 = alloc_Block(NULL, NULL, "parser", 709);
  gc_frame_newslot(block2226);
  block_savedest(block2226);
  Object closure2227 = createclosure(2, "_apply");
  setclosureframe(closure2227, stackframe);
  addtoclosure(closure2227, var_blocksOK);
  addtoclosure(closure2227, selfslot);
  struct UserObject *uo2227 = (struct UserObject*)block2226;
  uo2227->data[0] = (Object)closure2227;
  Method *meth_meth_parser__apply2227 = addmethod2pos(block2226, "_apply", &meth_parser__apply2227, 0);
int argcv_meth_parser__apply2227[] = {0};
meth_meth_parser__apply2227->type = alloc_MethodType(1, argcv_meth_parser__apply2227);
  meth_meth_parser__apply2227->definitionModule = modulename;
  meth_meth_parser__apply2227->definitionLine = 709;
// compilenode returning block2226
  gc_frame_newslot(block2226);
  params[0] = block2226;
  partcv[0] = 1;
  Object call2231 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2225);
// compilenode returning call2231
  partcv[0] = 0;
  Object call2232 = callmethod(call2231, "not",
    1, partcv, params);
  gc_frame_end(callframe2224);
// compilenode returning call2232
// compilenode returning call2232
  Object if2223 = done;
  if (istrue(call2232)) {
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2233 = gc_frame_new();
  int callframe2234 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2235 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2234);
// compilenode returning call2235
// compilenode returning call2235
  partcv[0] = 0;
  Object call2236 = callmethod(call2235, "new",
    1, partcv, params);
  gc_frame_end(callframe2233);
// compilenode returning call2236
// compilenode returning call2236
  *var_suggestion = call2236;
  if (call2236 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2237 = gc_frame_new();
  Object block2238 = alloc_Block(NULL, NULL, "parser", 712);
  gc_frame_newslot(block2238);
  block_savedest(block2238);
  Object closure2239 = createclosure(2, "_apply");
  setclosureframe(closure2239, stackframe);
  addtoclosure(closure2239, var_lastToken);
  addtoclosure(closure2239, selfslot);
  struct UserObject *uo2239 = (struct UserObject*)block2238;
  uo2239->data[0] = (Object)closure2239;
  Method *meth_meth_parser__apply2239 = addmethod2pos(block2238, "_apply", &meth_parser__apply2239, 0);
int argcv_meth_parser__apply2239[] = {1};
meth_meth_parser__apply2239->type = alloc_MethodType(1, argcv_meth_parser__apply2239);
  meth_meth_parser__apply2239->definitionModule = modulename;
  meth_meth_parser__apply2239->definitionLine = 710;
// compilenode returning block2238
  gc_frame_newslot(block2238);
  params[0] = block2238;
  partcv[0] = 1;
  Object call2266 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2237);
// compilenode returning call2266
  *var_nextTok = call2266;
  if (call2266 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2269 = alloc_Boolean(0);
// compilenode returning bool2269
  int op_slot_right_2268 = gc_frame_newslot(bool2269);
// compilenode returning *var_nextTok
  int op_slot_left_2268 = gc_frame_newslot(*var_nextTok);
  params[0] = bool2269;
  partcv[0] = 1;
  Object opresult2271 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2271
  Object if2267 = done;
  if (istrue(opresult2271)) {
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2272 = gc_frame_new();
  if (strlit2273 == NULL) {
    strlit2273 = alloc_String("rparen");
    gc_root(strlit2273);
  }
// compilenode returning strlit2273
  gc_frame_newslot(strlit2273);
  params[0] = strlit2273;
  partcv[0] = 1;
  Object call2274 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2272);
// compilenode returning call2274
  *var_nextTok = call2274;
  if (call2274 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2277 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2277 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2279 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2279
  Object if2276 = done;
  if (istrue(opresult2279)) {
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2280 = gc_frame_new();
  if (strlit2281 == NULL) {
    strlit2281 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2281);
  }
// compilenode returning strlit2281
  gc_frame_newslot(strlit2281);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2281;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2282 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2280);
// compilenode returning call2282
    gc_frame_newslot(call2282);
    if2276 = call2282;
  } else {
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2283 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe2284 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2285 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2284);
// compilenode returning call2285
// compilenode returning call2285
  gc_frame_newslot(call2285);
  Object bool2286 = alloc_Boolean(1);
// compilenode returning bool2286
  gc_frame_newslot(bool2286);
  Object bool2287 = alloc_Boolean(0);
// compilenode returning bool2287
  gc_frame_newslot(bool2287);
  if (strlit2288 == NULL) {
    strlit2288 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2288);
  }
// compilenode returning strlit2288
  gc_frame_newslot(strlit2288);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call2285;
  params[2] = bool2286;
  params[3] = bool2287;
  params[4] = strlit2288;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2289 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2283);
// compilenode returning call2289
    gc_frame_newslot(call2289);
    if2276 = call2289;
  }
// compilenode returning if2276
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2290 = gc_frame_new();
  if (strlit2291 == NULL) {
    strlit2291 = alloc_String("An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2291);
  }
// compilenode returning strlit2291
  gc_frame_newslot(strlit2291);
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2292 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2293 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2292);
// compilenode returning call2293
// compilenode returning call2293
  gc_frame_newslot(call2293);
  int callframe2294 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2295 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2294);
// compilenode returning call2295
// compilenode returning call2295
  gc_frame_newslot(call2295);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2291;
  params[1] = call2293;
  params[2] = call2295;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2296 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2290);
// compilenode returning call2296
    gc_frame_newslot(call2296);
    if2267 = call2296;
  } else {
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2298 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2298 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2300 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2300
  Object if2297 = done;
  if (istrue(opresult2300)) {
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2301 = gc_frame_new();
  if (strlit2302 == NULL) {
    strlit2302 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2302);
  }
// compilenode returning strlit2302
  gc_frame_newslot(strlit2302);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2302;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2303 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2301);
// compilenode returning call2303
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2304 = gc_frame_new();
  if (strlit2305 == NULL) {
    strlit2305 = alloc_String("An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2305);
  }
// compilenode returning strlit2305
  gc_frame_newslot(strlit2305);
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2306 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2307 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2306);
// compilenode returning call2307
// compilenode returning call2307
  gc_frame_newslot(call2307);
  int callframe2308 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2309 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2308);
// compilenode returning call2309
// compilenode returning call2309
  gc_frame_newslot(call2309);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2305;
  params[1] = call2307;
  params[2] = call2309;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2310 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2304);
// compilenode returning call2310
    gc_frame_newslot(call2310);
    if2297 = call2310;
  } else {
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2311 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe2312 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2313 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2312);
// compilenode returning call2313
// compilenode returning call2313
  gc_frame_newslot(call2313);
  Object bool2314 = alloc_Boolean(0);
// compilenode returning bool2314
  gc_frame_newslot(bool2314);
  Object bool2315 = alloc_Boolean(1);
// compilenode returning bool2315
  gc_frame_newslot(bool2315);
  if (strlit2316 == NULL) {
    strlit2316 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2316);
  }
// compilenode returning strlit2316
  gc_frame_newslot(strlit2316);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call2313;
  params[2] = bool2314;
  params[3] = bool2315;
  params[4] = strlit2316;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2317 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2311);
// compilenode returning call2317
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2318 = gc_frame_new();
  if (strlit2319 == NULL) {
    strlit2319 = alloc_String("4: An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2319);
  }
// compilenode returning strlit2319
  gc_frame_newslot(strlit2319);
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2320 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2321 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2320);
// compilenode returning call2321
// compilenode returning call2321
  gc_frame_newslot(call2321);
  int callframe2322 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2323 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2322);
// compilenode returning call2323
// compilenode returning call2323
  gc_frame_newslot(call2323);
  Object num2325 = alloc_Float64(1);
// compilenode returning num2325
  int op_slot_right_2324 = gc_frame_newslot(num2325);
  int callframe2327 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2328 = callmethod(*var_nextTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2327);
// compilenode returning call2328
// compilenode returning call2328
  int op_slot_left_2324 = gc_frame_newslot(call2328);
  params[0] = num2325;
  partcv[0] = 1;
  Object diff2329 = callmethod(call2328, "-", 1, partcv, params);
// compilenode returning diff2329
  gc_frame_newslot(diff2329);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2319;
  params[1] = call2321;
  params[2] = call2323;
  params[3] = diff2329;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2330 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2318);
// compilenode returning call2330
    gc_frame_newslot(call2330);
    if2297 = call2330;
  }
// compilenode returning if2297
    gc_frame_newslot(if2297);
    if2267 = if2297;
  }
// compilenode returning if2267
    gc_frame_newslot(if2267);
    if2223 = if2267;
  } else {
  }
// compilenode returning if2223
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_closer
  int op_slot_right_2332 = gc_frame_newslot(*var_closer);
  int callframe2334 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2335 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2334);
// compilenode returning call2335
// compilenode returning call2335
  int op_slot_left_2332 = gc_frame_newslot(call2335);
  params[0] = *var_closer;
  partcv[0] = 1;
  Object opresult2336 = callmethod(call2335, "!=", 1, partcv, params);
// compilenode returning opresult2336
  Object if2331 = done;
  if (istrue(opresult2336)) {
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2337 = gc_frame_new();
  partcv[0] = 0;
  Object call2338 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2337);
// compilenode returning call2338
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2339 = gc_frame_new();
  int callframe2340 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2341 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2340);
// compilenode returning call2341
// compilenode returning call2341
  partcv[0] = 0;
  Object call2342 = callmethod(call2341, "new",
    1, partcv, params);
  gc_frame_end(callframe2339);
// compilenode returning call2342
// compilenode returning call2342
  *var_suggestion = call2342;
  if (call2342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2343 = gc_frame_new();
  if (strlit2344 == NULL) {
    strlit2344 = alloc_String(")");
    gc_root(strlit2344);
  }
// compilenode returning strlit2344
  gc_frame_newslot(strlit2344);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2344;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2345 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2343);
// compilenode returning call2345
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2346 = gc_frame_new();
  if (strlit2348 == NULL) {
    strlit2348 = alloc_String("'.");
    gc_root(strlit2348);
  }
// compilenode returning strlit2348
  int op_slot_right_2347 = gc_frame_newslot(strlit2348);
// compilenode returning *var_closer
  int op_slot_right_2350 = gc_frame_newslot(*var_closer);
  if (strlit2353 == NULL) {
    strlit2353 = alloc_String("' must end with a '");
    gc_root(strlit2353);
  }
// compilenode returning strlit2353
  int op_slot_right_2352 = gc_frame_newslot(strlit2353);
// compilenode returning *var_opener
  int op_slot_right_2355 = gc_frame_newslot(*var_opener);
  if (strlit2357 == NULL) {
    strlit2357 = alloc_String("An expression beginning with a '");
    gc_root(strlit2357);
  }
// compilenode returning strlit2357
  int op_slot_left_2355 = gc_frame_newslot(strlit2357);
  params[0] = *var_opener;
  partcv[0] = 1;
  Object opresult2358 = callmethod(strlit2357, "++", 1, partcv, params);
// compilenode returning opresult2358
  int op_slot_left_2352 = gc_frame_newslot(opresult2358);
  params[0] = strlit2353;
  partcv[0] = 1;
  Object opresult2359 = callmethod(opresult2358, "++", 1, partcv, params);
// compilenode returning opresult2359
  int op_slot_left_2350 = gc_frame_newslot(opresult2359);
  params[0] = *var_closer;
  partcv[0] = 1;
  Object opresult2360 = callmethod(opresult2359, "++", 1, partcv, params);
// compilenode returning opresult2360
  int op_slot_left_2347 = gc_frame_newslot(opresult2360);
  params[0] = strlit2348;
  partcv[0] = 1;
  Object opresult2361 = callmethod(opresult2360, "++", 1, partcv, params);
// compilenode returning opresult2361
  gc_frame_newslot(opresult2361);
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2362 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2363 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2362);
// compilenode returning call2363
// compilenode returning call2363
  gc_frame_newslot(call2363);
  int callframe2365 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2366 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2365);
// compilenode returning call2366
// compilenode returning call2366
  int op_slot_right_2364 = gc_frame_newslot(call2366);
  int callframe2368 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2369 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2368);
// compilenode returning call2369
// compilenode returning call2369
  int op_slot_left_2364 = gc_frame_newslot(call2369);
  params[0] = call2366;
  partcv[0] = 1;
  Object sum2370 = callmethod(call2369, "+", 1, partcv, params);
// compilenode returning sum2370
  gc_frame_newslot(sum2370);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult2361;
  params[1] = call2363;
  params[2] = sum2370;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2371 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2346);
// compilenode returning call2371
    gc_frame_newslot(call2371);
    if2331 = call2371;
  } else {
  }
// compilenode returning if2331
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2372 = gc_frame_new();
  partcv[0] = 0;
  Object call2373 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2372);
// compilenode returning call2373
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2374 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2375 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2374);
// compilenode returning call2375
// compilenode returning call2375
  *var_econd = call2375;
  if (call2375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2380 == NULL) {
    strlit2380 = alloc_String("then");
    gc_root(strlit2380);
  }
// compilenode returning strlit2380
  int op_slot_right_2379 = gc_frame_newslot(strlit2380);
  int callframe2382 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2383 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2382);
// compilenode returning call2383
// compilenode returning call2383
  int op_slot_left_2379 = gc_frame_newslot(call2383);
  params[0] = strlit2380;
  partcv[0] = 1;
  Object opresult2384 = callmethod(call2383, "==", 1, partcv, params);
// compilenode returning opresult2384
  int op_slot_right_2378 = gc_frame_newslot(opresult2384);
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2386 = gc_frame_new();
  if (strlit2387 == NULL) {
    strlit2387 = alloc_String("identifier");
    gc_root(strlit2387);
  }
// compilenode returning strlit2387
  gc_frame_newslot(strlit2387);
  params[0] = strlit2387;
  partcv[0] = 1;
  Object call2388 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2386);
// compilenode returning call2388
  int op_slot_left_2378 = gc_frame_newslot(call2388);
  params[0] = opresult2384;
  partcv[0] = 1;
  Object opresult2389 = callmethod(call2388, "&&", 1, partcv, params);
// compilenode returning opresult2389
  Object if2377 = done;
  if (istrue(opresult2389)) {
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2390 = gc_frame_new();
  partcv[0] = 0;
  Object call2391 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2390);
// compilenode returning call2391
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2392 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2392
  *var_ebody = array2392;
  if (array2392 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2377 = done;
  } else {
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2394 = gc_frame_new();
  int callframe2395 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2396 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2395);
// compilenode returning call2396
// compilenode returning call2396
  partcv[0] = 0;
  Object call2397 = callmethod(call2396, "new",
    1, partcv, params);
  gc_frame_end(callframe2394);
// compilenode returning call2397
// compilenode returning call2397
  *var_suggestion = call2397;
  if (call2397 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2400 == NULL) {
    strlit2400 = alloc_String("lbrace");
    gc_root(strlit2400);
  }
// compilenode returning strlit2400
  int op_slot_right_2399 = gc_frame_newslot(strlit2400);
  int callframe2402 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2403 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2402);
// compilenode returning call2403
// compilenode returning call2403
  int op_slot_left_2399 = gc_frame_newslot(call2403);
  params[0] = strlit2400;
  partcv[0] = 1;
  Object opresult2404 = callmethod(call2403, "==", 1, partcv, params);
// compilenode returning opresult2404
  Object if2398 = done;
  if (istrue(opresult2404)) {
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2405 = gc_frame_new();
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
  Object bool2406 = alloc_Boolean(0);
// compilenode returning bool2406
  gc_frame_newslot(bool2406);
  params[0] = *var_statementToken;
  params[1] = bool2406;
  partcv[0] = 2;
  Object call2407 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2405);
// compilenode returning call2407
  *var_closingBrace = call2407;
  if (call2407 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2410 = alloc_Boolean(0);
// compilenode returning bool2410
  int op_slot_right_2409 = gc_frame_newslot(bool2410);
  int callframe2412 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2413 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2412);
// compilenode returning call2413
// compilenode returning call2413
  int op_slot_left_2409 = gc_frame_newslot(call2413);
  params[0] = bool2410;
  partcv[0] = 1;
  Object opresult2414 = callmethod(call2413, "==", 1, partcv, params);
// compilenode returning opresult2414
  Object if2408 = done;
  if (istrue(opresult2414)) {
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2416 = gc_frame_newslot(*var_sym);
  int callframe2418 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2419 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2418);
// compilenode returning call2419
// compilenode returning call2419
  int op_slot_left_2416 = gc_frame_newslot(call2419);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2420 = callmethod(call2419, "==", 1, partcv, params);
// compilenode returning opresult2420
  Object if2415 = done;
  if (istrue(opresult2420)) {
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2421 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2422 = alloc_Boolean(1);
// compilenode returning bool2422
  gc_frame_newslot(bool2422);
  Object bool2423 = alloc_Boolean(0);
// compilenode returning bool2423
  gc_frame_newslot(bool2423);
  if (strlit2424 == NULL) {
    strlit2424 = alloc_String(" then {}");
    gc_root(strlit2424);
  }
// compilenode returning strlit2424
  gc_frame_newslot(strlit2424);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2422;
  params[2] = bool2423;
  params[3] = strlit2424;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2425 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2421);
// compilenode returning call2425
    gc_frame_newslot(call2425);
    if2415 = call2425;
  } else {
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2426 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2427 = alloc_Boolean(1);
// compilenode returning bool2427
  gc_frame_newslot(bool2427);
  Object bool2428 = alloc_Boolean(0);
// compilenode returning bool2428
  gc_frame_newslot(bool2428);
  if (strlit2429 == NULL) {
    strlit2429 = alloc_String(" then {");
    gc_root(strlit2429);
  }
// compilenode returning strlit2429
  gc_frame_newslot(strlit2429);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2427;
  params[2] = bool2428;
  params[3] = strlit2429;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2430 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2426);
// compilenode returning call2430
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2431 = gc_frame_new();
  Object num2433 = alloc_Float64(0.1);
// compilenode returning num2433
  int op_slot_right_2432 = gc_frame_newslot(num2433);
  int callframe2435 = gc_frame_new();
  int callframe2436 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2437 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2436);
// compilenode returning call2437
// compilenode returning call2437
  partcv[0] = 0;
  Object call2438 = callmethod(call2437, "line",
    1, partcv, params);
  gc_frame_end(callframe2435);
// compilenode returning call2438
// compilenode returning call2438
  int op_slot_left_2432 = gc_frame_newslot(call2438);
  params[0] = num2433;
  partcv[0] = 1;
  Object sum2439 = callmethod(call2438, "+", 1, partcv, params);
// compilenode returning sum2439
  gc_frame_newslot(sum2439);
  if (strlit2440 == NULL) {
    strlit2440 = alloc_String("}");
    gc_root(strlit2440);
  }
// compilenode returning strlit2440
  gc_frame_newslot(strlit2440);
// compilenode returning *var_suggestion
  params[0] = sum2439;
  params[1] = strlit2440;
  partcv[0] = 2;
  Object call2441 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2431);
// compilenode returning call2441
    gc_frame_newslot(call2441);
    if2415 = call2441;
  }
// compilenode returning if2415
    gc_frame_newslot(if2415);
    if2408 = if2415;
  } else {
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2442 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2443 = alloc_Boolean(1);
// compilenode returning bool2443
  gc_frame_newslot(bool2443);
  Object bool2444 = alloc_Boolean(0);
// compilenode returning bool2444
  gc_frame_newslot(bool2444);
  if (strlit2445 == NULL) {
    strlit2445 = alloc_String(" then {");
    gc_root(strlit2445);
  }
// compilenode returning strlit2445
  gc_frame_newslot(strlit2445);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2443;
  params[2] = bool2444;
  params[3] = strlit2445;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2446 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2442);
// compilenode returning call2446
    gc_frame_newslot(call2446);
    if2408 = call2446;
  }
// compilenode returning if2408
    gc_frame_newslot(if2408);
    if2398 = if2408;
  } else {
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2447 = gc_frame_new();
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
  Object bool2448 = alloc_Boolean(1);
// compilenode returning bool2448
  gc_frame_newslot(bool2448);
  params[0] = *var_statementToken;
  params[1] = bool2448;
  partcv[0] = 2;
  Object call2449 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2447);
// compilenode returning call2449
  *var_closingBrace = call2449;
  if (call2449 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2452 = alloc_Boolean(0);
// compilenode returning bool2452
  int op_slot_right_2451 = gc_frame_newslot(bool2452);
  int callframe2454 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2455 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2454);
// compilenode returning call2455
// compilenode returning call2455
  int op_slot_left_2451 = gc_frame_newslot(call2455);
  params[0] = bool2452;
  partcv[0] = 1;
  Object opresult2456 = callmethod(call2455, "==", 1, partcv, params);
// compilenode returning opresult2456
  Object if2450 = done;
  if (istrue(opresult2456)) {
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2458 = gc_frame_newslot(*var_lastToken);
  int callframe2460 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2461 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2460);
// compilenode returning call2461
// compilenode returning call2461
  int op_slot_left_2458 = gc_frame_newslot(call2461);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2462 = callmethod(call2461, "==", 1, partcv, params);
// compilenode returning opresult2462
  Object if2457 = done;
  if (istrue(opresult2462)) {
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2463 = gc_frame_new();
  if (strlit2464 == NULL) {
    strlit2464 = alloc_String(" then {}");
    gc_root(strlit2464);
  }
// compilenode returning strlit2464
  gc_frame_newslot(strlit2464);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2464;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2465 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2463);
// compilenode returning call2465
    gc_frame_newslot(call2465);
    if2457 = call2465;
  } else {
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2466 = gc_frame_new();
  if (strlit2467 == NULL) {
    strlit2467 = alloc_String(" then {");
    gc_root(strlit2467);
  }
// compilenode returning strlit2467
  gc_frame_newslot(strlit2467);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2467;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2468 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2466);
// compilenode returning call2468
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2469 = gc_frame_new();
  Object num2471 = alloc_Float64(0.1);
// compilenode returning num2471
  int op_slot_right_2470 = gc_frame_newslot(num2471);
  int callframe2473 = gc_frame_new();
  int callframe2474 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2475 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2474);
// compilenode returning call2475
// compilenode returning call2475
  partcv[0] = 0;
  Object call2476 = callmethod(call2475, "line",
    1, partcv, params);
  gc_frame_end(callframe2473);
// compilenode returning call2476
// compilenode returning call2476
  int op_slot_left_2470 = gc_frame_newslot(call2476);
  params[0] = num2471;
  partcv[0] = 1;
  Object sum2477 = callmethod(call2476, "+", 1, partcv, params);
// compilenode returning sum2477
  gc_frame_newslot(sum2477);
  if (strlit2478 == NULL) {
    strlit2478 = alloc_String("}");
    gc_root(strlit2478);
  }
// compilenode returning strlit2478
  gc_frame_newslot(strlit2478);
// compilenode returning *var_suggestion
  params[0] = sum2477;
  params[1] = strlit2478;
  partcv[0] = 2;
  Object call2479 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2469);
// compilenode returning call2479
    gc_frame_newslot(call2479);
    if2457 = call2479;
  }
// compilenode returning if2457
    gc_frame_newslot(if2457);
    if2450 = if2457;
  } else {
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2480 = gc_frame_new();
  if (strlit2481 == NULL) {
    strlit2481 = alloc_String(" then {");
    gc_root(strlit2481);
  }
// compilenode returning strlit2481
  gc_frame_newslot(strlit2481);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2481;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2482 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2480);
// compilenode returning call2482
    gc_frame_newslot(call2482);
    if2450 = call2482;
  }
// compilenode returning if2450
    gc_frame_newslot(if2450);
    if2398 = if2450;
  }
// compilenode returning if2398
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2483 = gc_frame_new();
  if (strlit2484 == NULL) {
    strlit2484 = alloc_String("An elseif statement must have 'then' after the expression in parentheses.");
    gc_root(strlit2484);
  }
// compilenode returning strlit2484
  gc_frame_newslot(strlit2484);
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2485 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2486 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2485);
// compilenode returning call2486
// compilenode returning call2486
  gc_frame_newslot(call2486);
  int callframe2487 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2488 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2487);
// compilenode returning call2488
// compilenode returning call2488
  gc_frame_newslot(call2488);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2484;
  params[1] = call2486;
  params[2] = call2488;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2489 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2483);
// compilenode returning call2489
    gc_frame_newslot(call2489);
    if2377 = call2489;
  }
// compilenode returning if2377
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2492 == NULL) {
    strlit2492 = alloc_String("lbrace");
    gc_root(strlit2492);
  }
// compilenode returning strlit2492
  int op_slot_right_2491 = gc_frame_newslot(strlit2492);
  int callframe2494 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2495 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2494);
// compilenode returning call2495
// compilenode returning call2495
  int op_slot_left_2491 = gc_frame_newslot(call2495);
  params[0] = strlit2492;
  partcv[0] = 1;
  Object opresult2496 = callmethod(call2495, "!=", 1, partcv, params);
// compilenode returning opresult2496
  Object if2490 = done;
  if (istrue(opresult2496)) {
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2497 = gc_frame_new();
  int callframe2498 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2499 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2498);
// compilenode returning call2499
// compilenode returning call2499
  partcv[0] = 0;
  Object call2500 = callmethod(call2499, "new",
    1, partcv, params);
  gc_frame_end(callframe2497);
// compilenode returning call2500
// compilenode returning call2500
  *var_suggestion = call2500;
  if (call2500 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2501 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2502 = alloc_Boolean(1);
// compilenode returning bool2502
  gc_frame_newslot(bool2502);
  params[0] = *var_btok;
  params[1] = bool2502;
  partcv[0] = 2;
  Object call2503 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2501);
// compilenode returning call2503
  *var_closingBrace = call2503;
  if (call2503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2506 = alloc_Boolean(0);
// compilenode returning bool2506
  int op_slot_right_2505 = gc_frame_newslot(bool2506);
  int callframe2508 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2509 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2508);
// compilenode returning call2509
// compilenode returning call2509
  int op_slot_left_2505 = gc_frame_newslot(call2509);
  params[0] = bool2506;
  partcv[0] = 1;
  Object opresult2510 = callmethod(call2509, "==", 1, partcv, params);
// compilenode returning opresult2510
  Object if2504 = done;
  if (istrue(opresult2510)) {
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2512 = gc_frame_newslot(*var_lastToken);
  int callframe2514 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2515 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2514);
// compilenode returning call2515
// compilenode returning call2515
  int op_slot_left_2512 = gc_frame_newslot(call2515);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2516 = callmethod(call2515, "==", 1, partcv, params);
// compilenode returning opresult2516
  Object if2511 = done;
  if (istrue(opresult2516)) {
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2517 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2518 = alloc_Boolean(0);
// compilenode returning bool2518
  gc_frame_newslot(bool2518);
  Object bool2519 = alloc_Boolean(1);
// compilenode returning bool2519
  gc_frame_newslot(bool2519);
  if (strlit2520 == NULL) {
    strlit2520 = alloc_String("then {}");
    gc_root(strlit2520);
  }
// compilenode returning strlit2520
  gc_frame_newslot(strlit2520);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2518;
  params[2] = bool2519;
  params[3] = strlit2520;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2521 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2517);
// compilenode returning call2521
    gc_frame_newslot(call2521);
    if2511 = call2521;
  } else {
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2522 = gc_frame_new();
  Object num2524 = alloc_Float64(0.1);
// compilenode returning num2524
  int op_slot_right_2523 = gc_frame_newslot(num2524);
  int callframe2526 = gc_frame_new();
  int callframe2527 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2528 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2527);
// compilenode returning call2528
// compilenode returning call2528
  partcv[0] = 0;
  Object call2529 = callmethod(call2528, "line",
    1, partcv, params);
  gc_frame_end(callframe2526);
// compilenode returning call2529
// compilenode returning call2529
  int op_slot_left_2523 = gc_frame_newslot(call2529);
  params[0] = num2524;
  partcv[0] = 1;
  Object sum2530 = callmethod(call2529, "+", 1, partcv, params);
// compilenode returning sum2530
  gc_frame_newslot(sum2530);
  if (strlit2531 == NULL) {
    strlit2531 = alloc_String("}");
    gc_root(strlit2531);
  }
// compilenode returning strlit2531
  gc_frame_newslot(strlit2531);
// compilenode returning *var_suggestion
  params[0] = sum2530;
  params[1] = strlit2531;
  partcv[0] = 2;
  Object call2532 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2522);
// compilenode returning call2532
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2533 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2534 = alloc_Boolean(0);
// compilenode returning bool2534
  gc_frame_newslot(bool2534);
  Object bool2535 = alloc_Boolean(1);
// compilenode returning bool2535
  gc_frame_newslot(bool2535);
  if (strlit2536 == NULL) {
    strlit2536 = alloc_String("then {");
    gc_root(strlit2536);
  }
// compilenode returning strlit2536
  gc_frame_newslot(strlit2536);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2534;
  params[2] = bool2535;
  params[3] = strlit2536;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2537 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2533);
// compilenode returning call2537
    gc_frame_newslot(call2537);
    if2511 = call2537;
  }
// compilenode returning if2511
    gc_frame_newslot(if2511);
    if2504 = if2511;
  } else {
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2538 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2539 = alloc_Boolean(0);
// compilenode returning bool2539
  gc_frame_newslot(bool2539);
  Object bool2540 = alloc_Boolean(1);
// compilenode returning bool2540
  gc_frame_newslot(bool2540);
  if (strlit2541 == NULL) {
    strlit2541 = alloc_String("then {");
    gc_root(strlit2541);
  }
// compilenode returning strlit2541
  gc_frame_newslot(strlit2541);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2539;
  params[2] = bool2540;
  params[3] = strlit2541;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2542 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2538);
// compilenode returning call2542
    gc_frame_newslot(call2542);
    if2504 = call2542;
  }
// compilenode returning if2504
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2543 = gc_frame_new();
  if (strlit2544 == NULL) {
    strlit2544 = alloc_String("An elseif statement must have a '{' after the 'then'.");
    gc_root(strlit2544);
  }
// compilenode returning strlit2544
  gc_frame_newslot(strlit2544);
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2545 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2546 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2545);
// compilenode returning call2546
// compilenode returning call2546
  gc_frame_newslot(call2546);
  int callframe2548 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2549 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2548);
// compilenode returning call2549
// compilenode returning call2549
  int op_slot_right_2547 = gc_frame_newslot(call2549);
  int callframe2551 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2552 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2551);
// compilenode returning call2552
// compilenode returning call2552
  int op_slot_left_2547 = gc_frame_newslot(call2552);
  params[0] = call2549;
  partcv[0] = 1;
  Object sum2553 = callmethod(call2552, "+", 1, partcv, params);
// compilenode returning sum2553
  gc_frame_newslot(sum2553);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2544;
  params[1] = call2546;
  params[2] = sum2553;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2554 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2543);
// compilenode returning call2554
    gc_frame_newslot(call2554);
    if2490 = call2554;
  } else {
  }
// compilenode returning if2490
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2555 = gc_frame_new();
  partcv[0] = 0;
  Object call2556 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2555);
// compilenode returning call2556
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2559 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2560 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2559);
// compilenode returning call2560
// compilenode returning call2560
  int op_slot_right_2558 = gc_frame_newslot(call2560);
  int callframe2562 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2563 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2562);
// compilenode returning call2563
// compilenode returning call2563
  int op_slot_left_2558 = gc_frame_newslot(call2563);
  params[0] = call2560;
  partcv[0] = 1;
  Object opresult2564 = callmethod(call2563, "==", 1, partcv, params);
// compilenode returning opresult2564
  Object if2557 = done;
  if (istrue(opresult2564)) {
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2566 = alloc_Float64(1);
// compilenode returning num2566
  int op_slot_right_2565 = gc_frame_newslot(num2566);
  int callframe2568 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2569 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2568);
// compilenode returning call2569
// compilenode returning call2569
  int op_slot_left_2565 = gc_frame_newslot(call2569);
  params[0] = num2566;
  partcv[0] = 1;
  Object diff2570 = callmethod(call2569, "-", 1, partcv, params);
// compilenode returning diff2570
  *var_minIndentLevel = diff2570;
  if (diff2570 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2557 = done;
  } else {
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minInd
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2557 = done;
  }
// compilenode returning if2557
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2573 = gc_frame_new();
  Object block2574 = alloc_Block(NULL, NULL, "parser", 801);
  gc_frame_newslot(block2574);
  block_savedest(block2574);
  Object closure2575 = createclosure(1, "_apply");
  setclosureframe(closure2575, stackframe);
  addtoclosure(closure2575, selfslot);
  struct UserObject *uo2575 = (struct UserObject*)block2574;
  uo2575->data[0] = (Object)closure2575;
  Method *meth_meth_parser__apply2575 = addmethod2pos(block2574, "_apply", &meth_parser__apply2575, 0);
int argcv_meth_parser__apply2575[] = {0};
meth_meth_parser__apply2575->type = alloc_MethodType(1, argcv_meth_parser__apply2575);
  meth_meth_parser__apply2575->definitionModule = modulename;
  meth_meth_parser__apply2575->definitionLine = 797;
// compilenode returning block2574
  gc_frame_newslot(block2574);
  Object block2582 = alloc_Block(NULL, NULL, "parser", 801);
  gc_frame_newslot(block2582);
  block_savedest(block2582);
  Object closure2583 = createclosure(8, "_apply");
  setclosureframe(closure2583, stackframe);
  addtoclosure(closure2583, var_errormessages);
  addtoclosure(closure2583, var_btok);
  addtoclosure(closure2583, var_lastToken);
  addtoclosure(closure2583, var_sym);
  addtoclosure(closure2583, var_values);
  addtoclosure(closure2583, var_v);
  addtoclosure(closure2583, var_ebody);
  addtoclosure(closure2583, selfslot);
  struct UserObject *uo2583 = (struct UserObject*)block2582;
  uo2583->data[0] = (Object)closure2583;
  Method *meth_meth_parser__apply2583 = addmethod2pos(block2582, "_apply", &meth_parser__apply2583, 0);
int argcv_meth_parser__apply2583[] = {0};
meth_meth_parser__apply2583->type = alloc_MethodType(1, argcv_meth_parser__apply2583);
  meth_meth_parser__apply2583->definitionModule = modulename;
  meth_meth_parser__apply2583->definitionLine = 801;
// compilenode returning block2582
  gc_frame_newslot(block2582);
  params[0] = block2574;
  params[1] = block2582;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2643 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2573);
// compilenode returning call2643
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2644 = gc_frame_new();
  partcv[0] = 0;
  Object call2645 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2644);
// compilenode returning call2645
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2646 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2646
  *var_newelse = array2646;
  if (array2646 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2648 = gc_frame_new();
// compilenode returning *var_econd
  gc_frame_newslot(*var_econd);
// compilenode returning *var_ebody
  gc_frame_newslot(*var_ebody);
// compilenode returning *var_newelse
  gc_frame_newslot(*var_newelse);
  int callframe2649 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call2650 = callmethod(*var_ast, "ifNode",
    1, partcv, params);
  gc_frame_end(callframe2649);
// compilenode returning call2650
// compilenode returning call2650
  params[0] = *var_econd;
  params[1] = *var_ebody;
  params[2] = *var_newelse;
  partcv[0] = 3;
  Object call2651 = callmethod(call2650, "new",
    1, partcv, params);
  gc_frame_end(callframe2648);
// compilenode returning call2651
  *var_eif = call2651;
  if (call2651 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2653 = gc_frame_new();
// compilenode returning *var_eif
  gc_frame_newslot(*var_eif);
// compilenode returning *var_curelse
  params[0] = *var_eif;
  partcv[0] = 1;
  Object call2654 = callmethod(*var_curelse, "push",
    1, partcv, params);
  gc_frame_end(callframe2653);
// compilenode returning call2654
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newelse
  *var_curelse = *var_newelse;
  if (*var_newelse == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply2758(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2759 = gc_frame_new();
  int callframe2760 = gc_frame_new();
  if (strlit2761 == NULL) {
    strlit2761 = alloc_String("rbrace");
    gc_root(strlit2761);
  }
// compilenode returning strlit2761
  gc_frame_newslot(strlit2761);
  params[0] = strlit2761;
  partcv[0] = 1;
  Object call2762 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2760);
// compilenode returning call2762
  partcv[0] = 0;
  Object call2763 = callmethod(call2762, "not",
    1, partcv, params);
  gc_frame_end(callframe2759);
// compilenode returning call2763
// compilenode returning call2763
  gc_frame_end(frame);
  return call2763;
}
Object meth_parser__apply2771(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2772 = gc_frame_new();
  partcv[0] = 0;
  Object call2773 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2772);
// compilenode returning call2773
  gc_frame_end(frame);
  return call2773;
}
Object meth_parser__apply2766(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_curelse = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2768 = gc_frame_new();
  int callframe2769 = gc_frame_new();
  Object block2770 = alloc_Block(NULL, NULL, "parser", 856);
  gc_frame_newslot(block2770);
  block_savedest(block2770);
  Object closure2771 = createclosure(1, "_apply");
  setclosureframe(closure2771, stackframe);
  addtoclosure(closure2771, selfslot);
  struct UserObject *uo2771 = (struct UserObject*)block2770;
  uo2771->data[0] = (Object)closure2771;
  Method *meth_meth_parser__apply2771 = addmethod2pos(block2770, "_apply", &meth_parser__apply2771, 0);
int argcv_meth_parser__apply2771[] = {0};
meth_meth_parser__apply2771->type = alloc_MethodType(1, argcv_meth_parser__apply2771);
  meth_meth_parser__apply2771->definitionModule = modulename;
  meth_meth_parser__apply2771->definitionLine = 856;
// compilenode returning block2770
  gc_frame_newslot(block2770);
  params[0] = block2770;
  partcv[0] = 1;
  Object call2775 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2769);
// compilenode returning call2775
  partcv[0] = 0;
  Object call2776 = callmethod(call2775, "not",
    1, partcv, params);
  gc_frame_end(callframe2768);
// compilenode returning call2776
// compilenode returning call2776
  Object if2767 = done;
  if (istrue(call2776)) {
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2777 = gc_frame_new();
  int callframe2778 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2779 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2778);
// compilenode returning call2779
// compilenode returning call2779
  partcv[0] = 0;
  Object call2780 = callmethod(call2779, "new",
    1, partcv, params);
  gc_frame_end(callframe2777);
// compilenode returning call2780
// compilenode returning call2780
  *var_suggestion = call2780;
  if (call2780 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2781 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2782 = alloc_Boolean(0);
// compilenode returning bool2782
  gc_frame_newslot(bool2782);
  params[0] = *var_btok;
  params[1] = bool2782;
  partcv[0] = 2;
  Object call2783 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2781);
// compilenode returning call2783
  *var_closingBrace = call2783;
  if (call2783 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2786 = alloc_Boolean(0);
// compilenode returning bool2786
  int op_slot_right_2785 = gc_frame_newslot(bool2786);
  int callframe2788 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2789 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2788);
// compilenode returning call2789
// compilenode returning call2789
  int op_slot_left_2785 = gc_frame_newslot(call2789);
  params[0] = bool2786;
  partcv[0] = 1;
  Object opresult2790 = callmethod(call2789, "==", 1, partcv, params);
// compilenode returning opresult2790
  Object if2784 = done;
  if (istrue(opresult2790)) {
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2792 = gc_frame_newslot(*var_lastToken);
  int callframe2794 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2795 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2794);
// compilenode returning call2795
// compilenode returning call2795
  int op_slot_left_2792 = gc_frame_newslot(call2795);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2796 = callmethod(call2795, "==", 1, partcv, params);
// compilenode returning opresult2796
  Object if2791 = done;
  if (istrue(opresult2796)) {
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2797 = gc_frame_new();
  if (strlit2798 == NULL) {
    strlit2798 = alloc_String("}");
    gc_root(strlit2798);
  }
// compilenode returning strlit2798
  gc_frame_newslot(strlit2798);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2798;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2799 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2797);
// compilenode returning call2799
    gc_frame_newslot(call2799);
    if2791 = call2799;
  } else {
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2800 = gc_frame_new();
  Object num2802 = alloc_Float64(0.1);
// compilenode returning num2802
  int op_slot_right_2801 = gc_frame_newslot(num2802);
  int callframe2804 = gc_frame_new();
  int callframe2805 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2806 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2805);
// compilenode returning call2806
// compilenode returning call2806
  partcv[0] = 0;
  Object call2807 = callmethod(call2806, "line",
    1, partcv, params);
  gc_frame_end(callframe2804);
// compilenode returning call2807
// compilenode returning call2807
  int op_slot_left_2801 = gc_frame_newslot(call2807);
  params[0] = num2802;
  partcv[0] = 1;
  Object sum2808 = callmethod(call2807, "+", 1, partcv, params);
// compilenode returning sum2808
  gc_frame_newslot(sum2808);
  if (strlit2809 == NULL) {
    strlit2809 = alloc_String("}");
    gc_root(strlit2809);
  }
// compilenode returning strlit2809
  gc_frame_newslot(strlit2809);
// compilenode returning *var_suggestion
  params[0] = sum2808;
  params[1] = strlit2809;
  partcv[0] = 2;
  Object call2810 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2800);
// compilenode returning call2810
    gc_frame_newslot(call2810);
    if2791 = call2810;
  }
// compilenode returning if2791
    gc_frame_newslot(if2791);
    if2784 = if2791;
  } else {
  }
// compilenode returning if2784
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2811 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2812 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2811);
// compilenode returning call2812
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2813 = gc_frame_new();
  if (strlit2814 == NULL) {
    strlit2814 = alloc_String("An else statement must end with a '}'.");
    gc_root(strlit2814);
  }
// compilenode returning strlit2814
  gc_frame_newslot(strlit2814);
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2815 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2816 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2815);
// compilenode returning call2816
// compilenode returning call2816
  gc_frame_newslot(call2816);
  int callframe2817 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2818 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2817);
// compilenode returning call2818
// compilenode returning call2818
  gc_frame_newslot(call2818);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2814;
  params[1] = call2816;
  params[2] = call2818;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2819 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2813);
// compilenode returning call2819
    gc_frame_newslot(call2819);
    if2767 = call2819;
  } else {
  }
// compilenode returning if2767
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2820 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2821 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2820);
// compilenode returning call2821
// compilenode returning call2821
  *var_v = call2821;
  if (call2821 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2823 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_curelse
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2824 = callmethod(*var_curelse, "push",
    1, partcv, params);
  gc_frame_end(callframe2823);
// compilenode returning call2824
  gc_frame_end(frame);
  return call2824;
}
Object meth_parser_doif1559(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(27, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doif");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_blocksOK = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_minIndentLevel = getfromclosure(closure, 5);
  Object *var_statementIndent = getfromclosure(closure, 6);
  Object *var_statementToken = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doif (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doif");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_cond = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "cond");
  Object *var_body = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "body");
  Object *var_elseblock = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "elseblock");
  Object *var_curelse = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "curelse");
  Object *var_v = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "v");
  Object *var_localMin = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "localMin");
  Object *var_localStatementIndent = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "localStatementIndent");
  Object *var_minInd = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "minInd");
  Object *var_closingBrace = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "closingBrace");
  Object *var_econd = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "econd");
  Object *var_eif = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "eif");
  Object *var_newelse = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "newelse");
  Object *var_ebody = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "ebody");
  Object *var_o = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "o");
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1563 == NULL) {
    strlit1563 = alloc_String("if");
    gc_root(strlit1563);
  }
// compilenode returning strlit1563
  int op_slot_right_1562 = gc_frame_newslot(strlit1563);
  int callframe1565 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1566 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1565);
// compilenode returning call1566
// compilenode returning call1566
  int op_slot_left_1562 = gc_frame_newslot(call1566);
  params[0] = strlit1563;
  partcv[0] = 1;
  Object opresult1567 = callmethod(call1566, "==", 1, partcv, params);
// compilenode returning opresult1567
  int op_slot_right_1561 = gc_frame_newslot(opresult1567);
  int callframe1569 = gc_frame_new();
  if (strlit1570 == NULL) {
    strlit1570 = alloc_String("identifier");
    gc_root(strlit1570);
  }
// compilenode returning strlit1570
  gc_frame_newslot(strlit1570);
  params[0] = strlit1570;
  partcv[0] = 1;
  Object call1571 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1569);
// compilenode returning call1571
  int op_slot_left_1561 = gc_frame_newslot(call1571);
  params[0] = opresult1567;
  partcv[0] = 1;
  Object opresult1572 = callmethod(call1571, "&&", 1, partcv, params);
// compilenode returning opresult1572
  Object if1560 = done;
  if (istrue(opresult1572)) {
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1573 = gc_frame_new();
  partcv[0] = 0;
  Object call1574 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1573);
// compilenode returning call1574
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1577 == NULL) {
    strlit1577 = alloc_String("lparen");
    gc_root(strlit1577);
  }
// compilenode returning strlit1577
  int op_slot_right_1576 = gc_frame_newslot(strlit1577);
  int callframe1579 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1580 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1579);
// compilenode returning call1580
// compilenode returning call1580
  int op_slot_left_1576 = gc_frame_newslot(call1580);
  params[0] = strlit1577;
  partcv[0] = 1;
  Object opresult1581 = callmethod(call1580, "!=", 1, partcv, params);
// compilenode returning opresult1581
  Object if1575 = done;
  if (istrue(opresult1581)) {
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1582 = gc_frame_new();
  int callframe1583 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1584 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1583);
// compilenode returning call1584
// compilenode returning call1584
  partcv[0] = 0;
  Object call1585 = callmethod(call1584, "new",
    1, partcv, params);
  gc_frame_end(callframe1582);
// compilenode returning call1585
// compilenode returning call1585
  *var_suggestion = call1585;
  if (call1585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1586 = gc_frame_new();
  Object block1587 = alloc_Block(NULL, NULL, "parser", 541);
  gc_frame_newslot(block1587);
  block_savedest(block1587);
  Object closure1588 = createclosure(2, "_apply");
  setclosureframe(closure1588, stackframe);
  addtoclosure(closure1588, var_btok);
  addtoclosure(closure1588, selfslot);
  struct UserObject *uo1588 = (struct UserObject*)block1587;
  uo1588->data[0] = (Object)closure1588;
  Method *meth_meth_parser__apply1588 = addmethod2pos(block1587, "_apply", &meth_parser__apply1588, 0);
int argcv_meth_parser__apply1588[] = {1};
meth_meth_parser__apply1588->type = alloc_MethodType(1, argcv_meth_parser__apply1588);
  meth_meth_parser__apply1588->definitionModule = modulename;
  meth_meth_parser__apply1588->definitionLine = 539;
// compilenode returning block1587
  gc_frame_newslot(block1587);
  params[0] = block1587;
  partcv[0] = 1;
  Object call1633 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1586);
// compilenode returning call1633
  *var_nextTok = call1633;
  if (call1633 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1636 = alloc_Boolean(0);
// compilenode returning bool1636
  int op_slot_right_1635 = gc_frame_newslot(bool1636);
// compilenode returning *var_nextTok
  int op_slot_left_1635 = gc_frame_newslot(*var_nextTok);
  params[0] = bool1636;
  partcv[0] = 1;
  Object opresult1638 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1638
  Object if1634 = done;
  if (istrue(opresult1638)) {
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1639 = gc_frame_new();
  if (strlit1640 == NULL) {
    strlit1640 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1640);
  }
// compilenode returning strlit1640
  gc_frame_newslot(strlit1640);
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
// compilenode returning *var_suggestion
  params[0] = strlit1640;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1641 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1639);
// compilenode returning call1641
    gc_frame_newslot(call1641);
    if1634 = call1641;
  } else {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1644 == NULL) {
    strlit1644 = alloc_String("rparen");
    gc_root(strlit1644);
  }
// compilenode returning strlit1644
  int op_slot_right_1643 = gc_frame_newslot(strlit1644);
  int callframe1646 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1647 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1646);
// compilenode returning call1647
// compilenode returning call1647
  int op_slot_left_1643 = gc_frame_newslot(call1647);
  params[0] = strlit1644;
  partcv[0] = 1;
  Object opresult1648 = callmethod(call1647, "==", 1, partcv, params);
// compilenode returning opresult1648
  Object if1642 = done;
  if (istrue(opresult1648)) {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1650 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1650 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1652 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1652
  Object if1649 = done;
  if (istrue(opresult1652)) {
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1653 = gc_frame_new();
  if (strlit1654 == NULL) {
    strlit1654 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1654);
  }
// compilenode returning strlit1654
  gc_frame_newslot(strlit1654);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1654;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1655 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1653);
// compilenode returning call1655
    gc_frame_newslot(call1655);
    if1649 = call1655;
  } else {
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1656 = gc_frame_new();
  if (strlit1657 == NULL) {
    strlit1657 = alloc_String("(");
    gc_root(strlit1657);
  }
// compilenode returning strlit1657
  gc_frame_newslot(strlit1657);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1657;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1658 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1656);
// compilenode returning call1658
    gc_frame_newslot(call1658);
    if1649 = call1658;
  }
// compilenode returning if1649
    gc_frame_newslot(if1649);
    if1642 = if1649;
  } else {
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1661 == NULL) {
    strlit1661 = alloc_String("lbrace");
    gc_root(strlit1661);
  }
// compilenode returning strlit1661
  int op_slot_right_1660 = gc_frame_newslot(strlit1661);
  int callframe1663 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1664 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1663);
// compilenode returning call1664
// compilenode returning call1664
  int op_slot_left_1660 = gc_frame_newslot(call1664);
  params[0] = strlit1661;
  partcv[0] = 1;
  Object opresult1665 = callmethod(call1664, "==", 1, partcv, params);
// compilenode returning opresult1665
  Object if1659 = done;
  if (istrue(opresult1665)) {
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1667 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1667 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1669 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1669
  Object if1666 = done;
  if (istrue(opresult1669)) {
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1670 = gc_frame_new();
  if (strlit1671 == NULL) {
    strlit1671 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then");
    gc_root(strlit1671);
  }
// compilenode returning strlit1671
  gc_frame_newslot(strlit1671);
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
// compilenode returning *var_suggestion
  params[0] = strlit1671;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1672 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1670);
// compilenode returning call1672
    gc_frame_newslot(call1672);
    if1666 = call1672;
  } else {
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1673 = gc_frame_new();
  if (strlit1674 == NULL) {
    strlit1674 = alloc_String("(");
    gc_root(strlit1674);
  }
// compilenode returning strlit1674
  gc_frame_newslot(strlit1674);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1674;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1675 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1673);
// compilenode returning call1675
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1676 = gc_frame_new();
  if (strlit1677 == NULL) {
    strlit1677 = alloc_String(") then");
    gc_root(strlit1677);
  }
// compilenode returning strlit1677
  gc_frame_newslot(strlit1677);
  int callframe1678 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1679 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1678);
// compilenode returning call1679
// compilenode returning call1679
  gc_frame_newslot(call1679);
  Object bool1680 = alloc_Boolean(1);
// compilenode returning bool1680
  gc_frame_newslot(bool1680);
// compilenode returning *var_suggestion
  params[0] = strlit1677;
  params[1] = call1679;
  params[2] = bool1680;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1681 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe1676);
// compilenode returning call1681
    gc_frame_newslot(call1681);
    if1666 = call1681;
  }
// compilenode returning if1666
    gc_frame_newslot(if1666);
    if1659 = if1666;
  } else {
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1684 == NULL) {
    strlit1684 = alloc_String("identifier");
    gc_root(strlit1684);
  }
// compilenode returning strlit1684
  int op_slot_right_1683 = gc_frame_newslot(strlit1684);
  int callframe1686 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1687 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1686);
// compilenode returning call1687
// compilenode returning call1687
  int op_slot_left_1683 = gc_frame_newslot(call1687);
  params[0] = strlit1684;
  partcv[0] = 1;
  Object opresult1688 = callmethod(call1687, "==", 1, partcv, params);
// compilenode returning opresult1688
  Object if1682 = done;
  if (istrue(opresult1688)) {
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1690 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1690 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1692 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1692
  Object if1689 = done;
  if (istrue(opresult1692)) {
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1693 = gc_frame_new();
  if (strlit1694 == NULL) {
    strlit1694 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"") ");
    gc_root(strlit1694);
  }
// compilenode returning strlit1694
  gc_frame_newslot(strlit1694);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1694;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1695 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1693);
// compilenode returning call1695
    gc_frame_newslot(call1695);
    if1689 = call1695;
  } else {
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1696 = gc_frame_new();
  if (strlit1697 == NULL) {
    strlit1697 = alloc_String("(");
    gc_root(strlit1697);
  }
// compilenode returning strlit1697
  gc_frame_newslot(strlit1697);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1697;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1698 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1696);
// compilenode returning call1698
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1699 = gc_frame_new();
  if (strlit1700 == NULL) {
    strlit1700 = alloc_String(")");
    gc_root(strlit1700);
  }
// compilenode returning strlit1700
  gc_frame_newslot(strlit1700);
  int callframe1701 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1702 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1701);
// compilenode returning call1702
// compilenode returning call1702
  gc_frame_newslot(call1702);
  Object bool1703 = alloc_Boolean(1);
// compilenode returning bool1703
  gc_frame_newslot(bool1703);
// compilenode returning *var_suggestion
  params[0] = strlit1700;
  params[1] = call1702;
  params[2] = bool1703;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1704 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe1699);
// compilenode returning call1704
    gc_frame_newslot(call1704);
    if1689 = call1704;
  }
// compilenode returning if1689
    gc_frame_newslot(if1689);
    if1682 = if1689;
  } else {
  }
// compilenode returning if1682
    gc_frame_newslot(if1682);
    if1659 = if1682;
  }
// compilenode returning if1659
    gc_frame_newslot(if1659);
    if1642 = if1659;
  }
// compilenode returning if1642
    gc_frame_newslot(if1642);
    if1634 = if1642;
  }
// compilenode returning if1634
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1705 = gc_frame_new();
  if (strlit1706 == NULL) {
    strlit1706 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1706);
  }
// compilenode returning strlit1706
  gc_frame_newslot(strlit1706);
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1707 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1708 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1707);
// compilenode returning call1708
// compilenode returning call1708
  gc_frame_newslot(call1708);
  int callframe1709 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1710 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1709);
// compilenode returning call1710
// compilenode returning call1710
  gc_frame_newslot(call1710);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1706;
  params[1] = call1708;
  params[2] = call1710;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1711 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1705);
// compilenode returning call1711
    gc_frame_newslot(call1711);
    if1575 = call1711;
  } else {
  }
// compilenode returning if1575
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1712 = gc_frame_new();
  partcv[0] = 0;
  Object call1713 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1712);
// compilenode returning call1713
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1715 = gc_frame_new();
  int callframe1716 = gc_frame_new();
  Object block1717 = alloc_Block(NULL, NULL, "parser", 571);
  gc_frame_newslot(block1717);
  block_savedest(block1717);
  Object closure1718 = createclosure(2, "_apply");
  setclosureframe(closure1718, stackframe);
  addtoclosure(closure1718, var_blocksOK);
  addtoclosure(closure1718, selfslot);
  struct UserObject *uo1718 = (struct UserObject*)block1717;
  uo1718->data[0] = (Object)closure1718;
  Method *meth_meth_parser__apply1718 = addmethod2pos(block1717, "_apply", &meth_parser__apply1718, 0);
int argcv_meth_parser__apply1718[] = {0};
meth_meth_parser__apply1718->type = alloc_MethodType(1, argcv_meth_parser__apply1718);
  meth_meth_parser__apply1718->definitionModule = modulename;
  meth_meth_parser__apply1718->definitionLine = 571;
// compilenode returning block1717
  gc_frame_newslot(block1717);
  params[0] = block1717;
  partcv[0] = 1;
  Object call1722 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1716);
// compilenode returning call1722
  partcv[0] = 0;
  Object call1723 = callmethod(call1722, "not",
    1, partcv, params);
  gc_frame_end(callframe1715);
// compilenode returning call1723
// compilenode returning call1723
  Object if1714 = done;
  if (istrue(call1723)) {
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1724 = gc_frame_new();
  int callframe1725 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1726 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1725);
// compilenode returning call1726
// compilenode returning call1726
  partcv[0] = 0;
  Object call1727 = callmethod(call1726, "new",
    1, partcv, params);
  gc_frame_end(callframe1724);
// compilenode returning call1727
// compilenode returning call1727
  *var_suggestion = call1727;
  if (call1727 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1728 = gc_frame_new();
  Object block1729 = alloc_Block(NULL, NULL, "parser", 574);
  gc_frame_newslot(block1729);
  block_savedest(block1729);
  Object closure1730 = createclosure(2, "_apply");
  setclosureframe(closure1730, stackframe);
  addtoclosure(closure1730, var_lastToken);
  addtoclosure(closure1730, selfslot);
  struct UserObject *uo1730 = (struct UserObject*)block1729;
  uo1730->data[0] = (Object)closure1730;
  Method *meth_meth_parser__apply1730 = addmethod2pos(block1729, "_apply", &meth_parser__apply1730, 0);
int argcv_meth_parser__apply1730[] = {1};
meth_meth_parser__apply1730->type = alloc_MethodType(1, argcv_meth_parser__apply1730);
  meth_meth_parser__apply1730->definitionModule = modulename;
  meth_meth_parser__apply1730->definitionLine = 572;
// compilenode returning block1729
  gc_frame_newslot(block1729);
  params[0] = block1729;
  partcv[0] = 1;
  Object call1748 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1728);
// compilenode returning call1748
  *var_nextTok = call1748;
  if (call1748 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1751 = alloc_Boolean(0);
// compilenode returning bool1751
  int op_slot_right_1750 = gc_frame_newslot(bool1751);
// compilenode returning *var_nextTok
  int op_slot_left_1750 = gc_frame_newslot(*var_nextTok);
  params[0] = bool1751;
  partcv[0] = 1;
  Object opresult1753 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1753
  Object if1749 = done;
  if (istrue(opresult1753)) {
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1754 = gc_frame_new();
  if (strlit1755 == NULL) {
    strlit1755 = alloc_String("rparen");
    gc_root(strlit1755);
  }
// compilenode returning strlit1755
  gc_frame_newslot(strlit1755);
  params[0] = strlit1755;
  partcv[0] = 1;
  Object call1756 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1754);
// compilenode returning call1756
  *var_nextTok = call1756;
  if (call1756 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1759 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1759 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1761 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1761
  Object if1758 = done;
  if (istrue(opresult1761)) {
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1762 = gc_frame_new();
  if (strlit1763 == NULL) {
    strlit1763 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1763);
  }
// compilenode returning strlit1763
  gc_frame_newslot(strlit1763);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1763;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1764 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1762);
// compilenode returning call1764
    gc_frame_newslot(call1764);
    if1758 = call1764;
  } else {
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1765 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1766 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1767 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1766);
// compilenode returning call1767
// compilenode returning call1767
  gc_frame_newslot(call1767);
  Object bool1768 = alloc_Boolean(1);
// compilenode returning bool1768
  gc_frame_newslot(bool1768);
  Object bool1769 = alloc_Boolean(0);
// compilenode returning bool1769
  gc_frame_newslot(bool1769);
  if (strlit1770 == NULL) {
    strlit1770 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1770);
  }
// compilenode returning strlit1770
  gc_frame_newslot(strlit1770);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1767;
  params[2] = bool1768;
  params[3] = bool1769;
  params[4] = strlit1770;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1771 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1765);
// compilenode returning call1771
    gc_frame_newslot(call1771);
    if1758 = call1771;
  }
// compilenode returning if1758
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1772 = gc_frame_new();
  if (strlit1773 == NULL) {
    strlit1773 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1773);
  }
// compilenode returning strlit1773
  gc_frame_newslot(strlit1773);
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1774 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1775 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1774);
// compilenode returning call1775
// compilenode returning call1775
  gc_frame_newslot(call1775);
  int callframe1776 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1777 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1776);
// compilenode returning call1777
// compilenode returning call1777
  gc_frame_newslot(call1777);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1773;
  params[1] = call1775;
  params[2] = call1777;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1778 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1772);
// compilenode returning call1778
    gc_frame_newslot(call1778);
    if1749 = call1778;
  } else {
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1780 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1780 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1782 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1782
  Object if1779 = done;
  if (istrue(opresult1782)) {
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1783 = gc_frame_new();
  if (strlit1784 == NULL) {
    strlit1784 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1784);
  }
// compilenode returning strlit1784
  gc_frame_newslot(strlit1784);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1784;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1785 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1783);
// compilenode returning call1785
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1786 = gc_frame_new();
  if (strlit1787 == NULL) {
    strlit1787 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1787);
  }
// compilenode returning strlit1787
  gc_frame_newslot(strlit1787);
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1788 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1789 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1788);
// compilenode returning call1789
// compilenode returning call1789
  gc_frame_newslot(call1789);
  int callframe1790 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1791 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1790);
// compilenode returning call1791
// compilenode returning call1791
  gc_frame_newslot(call1791);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1787;
  params[1] = call1789;
  params[2] = call1791;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1792 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1786);
// compilenode returning call1792
    gc_frame_newslot(call1792);
    if1779 = call1792;
  } else {
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1793 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1794 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1795 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1794);
// compilenode returning call1795
// compilenode returning call1795
  gc_frame_newslot(call1795);
  Object bool1796 = alloc_Boolean(0);
// compilenode returning bool1796
  gc_frame_newslot(bool1796);
  Object bool1797 = alloc_Boolean(1);
// compilenode returning bool1797
  gc_frame_newslot(bool1797);
  if (strlit1798 == NULL) {
    strlit1798 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1798);
  }
// compilenode returning strlit1798
  gc_frame_newslot(strlit1798);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1795;
  params[2] = bool1796;
  params[3] = bool1797;
  params[4] = strlit1798;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1799 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1793);
// compilenode returning call1799
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1800 = gc_frame_new();
  if (strlit1801 == NULL) {
    strlit1801 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1801);
  }
// compilenode returning strlit1801
  gc_frame_newslot(strlit1801);
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1802 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1803 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1802);
// compilenode returning call1803
// compilenode returning call1803
  gc_frame_newslot(call1803);
  int callframe1804 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1805 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1804);
// compilenode returning call1805
// compilenode returning call1805
  gc_frame_newslot(call1805);
  Object num1807 = alloc_Float64(1);
// compilenode returning num1807
  int op_slot_right_1806 = gc_frame_newslot(num1807);
  int callframe1809 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1810 = callmethod(*var_nextTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1809);
// compilenode returning call1810
// compilenode returning call1810
  int op_slot_left_1806 = gc_frame_newslot(call1810);
  params[0] = num1807;
  partcv[0] = 1;
  Object diff1811 = callmethod(call1810, "-", 1, partcv, params);
// compilenode returning diff1811
  gc_frame_newslot(diff1811);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1801;
  params[1] = call1803;
  params[2] = call1805;
  params[3] = diff1811;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1812 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1800);
// compilenode returning call1812
    gc_frame_newslot(call1812);
    if1779 = call1812;
  }
// compilenode returning if1779
    gc_frame_newslot(if1779);
    if1749 = if1779;
  }
// compilenode returning if1749
    gc_frame_newslot(if1749);
    if1714 = if1749;
  } else {
  }
// compilenode returning if1714
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1815 == NULL) {
    strlit1815 = alloc_String("rparen");
    gc_root(strlit1815);
  }
// compilenode returning strlit1815
  int op_slot_right_1814 = gc_frame_newslot(strlit1815);
  int callframe1817 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1818 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1817);
// compilenode returning call1818
// compilenode returning call1818
  int op_slot_left_1814 = gc_frame_newslot(call1818);
  params[0] = strlit1815;
  partcv[0] = 1;
  Object opresult1819 = callmethod(call1818, "!=", 1, partcv, params);
// compilenode returning opresult1819
  Object if1813 = done;
  if (istrue(opresult1819)) {
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1820 = gc_frame_new();
  partcv[0] = 0;
  Object call1821 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1820);
// compilenode returning call1821
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1822 = gc_frame_new();
  int callframe1823 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1824 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1823);
// compilenode returning call1824
// compilenode returning call1824
  partcv[0] = 0;
  Object call1825 = callmethod(call1824, "new",
    1, partcv, params);
  gc_frame_end(callframe1822);
// compilenode returning call1825
// compilenode returning call1825
  *var_suggestion = call1825;
  if (call1825 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1826 = gc_frame_new();
  if (strlit1827 == NULL) {
    strlit1827 = alloc_String(")");
    gc_root(strlit1827);
  }
// compilenode returning strlit1827
  gc_frame_newslot(strlit1827);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1827;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1828 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1826);
// compilenode returning call1828
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1829 = gc_frame_new();
  if (strlit1830 == NULL) {
    strlit1830 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit1830);
  }
// compilenode returning strlit1830
  gc_frame_newslot(strlit1830);
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1831 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1832 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1831);
// compilenode returning call1832
// compilenode returning call1832
  gc_frame_newslot(call1832);
  int callframe1834 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1835 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe1834);
// compilenode returning call1835
// compilenode returning call1835
  int op_slot_right_1833 = gc_frame_newslot(call1835);
  int callframe1837 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1838 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1837);
// compilenode returning call1838
// compilenode returning call1838
  int op_slot_left_1833 = gc_frame_newslot(call1838);
  params[0] = call1835;
  partcv[0] = 1;
  Object sum1839 = callmethod(call1838, "+", 1, partcv, params);
// compilenode returning sum1839
  gc_frame_newslot(sum1839);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1830;
  params[1] = call1832;
  params[2] = sum1839;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1840 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1829);
// compilenode returning call1840
    gc_frame_newslot(call1840);
    if1813 = call1840;
  } else {
  }
// compilenode returning if1813
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1841 = gc_frame_new();
  partcv[0] = 0;
  Object call1842 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1841);
// compilenode returning call1842
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1843 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1844 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1843);
// compilenode returning call1844
// compilenode returning call1844
  *var_cond = call1844;
  if (call1844 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1845 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1845
  *var_body = array1845;
  if (array1845 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1846 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1846
  *var_elseblock = array1846;
  if (array1846 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_elseblock
  *var_curelse = *var_elseblock;
  if (*var_elseblock == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_v = undefined;
// compilenode returning done
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementIndent
  *var_localStatementIndent = *var_statementIndent;
  if (*var_statementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1848 = alloc_Float64(1);
// compilenode returning num1848
  int op_slot_right_1847 = gc_frame_newslot(num1848);
// compilenode returning *var_statementIndent
  int op_slot_left_1847 = gc_frame_newslot(*var_statementIndent);
  params[0] = num1848;
  partcv[0] = 1;
  Object sum1850 = callmethod(*var_statementIndent, "+", 1, partcv, params);
// compilenode returning sum1850
  *var_minInd = sum1850;
  if (sum1850 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1854 == NULL) {
    strlit1854 = alloc_String("then");
    gc_root(strlit1854);
  }
// compilenode returning strlit1854
  int op_slot_right_1853 = gc_frame_newslot(strlit1854);
  int callframe1856 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1857 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1856);
// compilenode returning call1857
// compilenode returning call1857
  int op_slot_left_1853 = gc_frame_newslot(call1857);
  params[0] = strlit1854;
  partcv[0] = 1;
  Object opresult1858 = callmethod(call1857, "==", 1, partcv, params);
// compilenode returning opresult1858
  int op_slot_right_1852 = gc_frame_newslot(opresult1858);
  int callframe1860 = gc_frame_new();
  if (strlit1861 == NULL) {
    strlit1861 = alloc_String("identifier");
    gc_root(strlit1861);
  }
// compilenode returning strlit1861
  gc_frame_newslot(strlit1861);
  params[0] = strlit1861;
  partcv[0] = 1;
  Object call1862 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1860);
// compilenode returning call1862
  int op_slot_left_1852 = gc_frame_newslot(call1862);
  params[0] = opresult1858;
  partcv[0] = 1;
  Object opresult1863 = callmethod(call1862, "&&", 1, partcv, params);
// compilenode returning opresult1863
  Object if1851 = done;
  if (istrue(opresult1863)) {
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1864 = gc_frame_new();
  partcv[0] = 0;
  Object call1865 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1864);
// compilenode returning call1865
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1868 == NULL) {
    strlit1868 = alloc_String("lbrace");
    gc_root(strlit1868);
  }
// compilenode returning strlit1868
  int op_slot_right_1867 = gc_frame_newslot(strlit1868);
  int callframe1870 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1871 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1870);
// compilenode returning call1871
// compilenode returning call1871
  int op_slot_left_1867 = gc_frame_newslot(call1871);
  params[0] = strlit1868;
  partcv[0] = 1;
  Object opresult1872 = callmethod(call1871, "!=", 1, partcv, params);
// compilenode returning opresult1872
  Object if1866 = done;
  if (istrue(opresult1872)) {
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1873 = gc_frame_new();
  int callframe1874 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1875 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1874);
// compilenode returning call1875
// compilenode returning call1875
  partcv[0] = 0;
  Object call1876 = callmethod(call1875, "new",
    1, partcv, params);
  gc_frame_end(callframe1873);
// compilenode returning call1876
// compilenode returning call1876
  *var_suggestion = call1876;
  if (call1876 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1877 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool1878 = alloc_Boolean(1);
// compilenode returning bool1878
  gc_frame_newslot(bool1878);
  params[0] = *var_btok;
  params[1] = bool1878;
  partcv[0] = 2;
  Object call1879 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1877);
// compilenode returning call1879
  *var_closingBrace = call1879;
  if (call1879 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1882 = alloc_Boolean(0);
// compilenode returning bool1882
  int op_slot_right_1881 = gc_frame_newslot(bool1882);
  int callframe1884 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call1885 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe1884);
// compilenode returning call1885
// compilenode returning call1885
  int op_slot_left_1881 = gc_frame_newslot(call1885);
  params[0] = bool1882;
  partcv[0] = 1;
  Object opresult1886 = callmethod(call1885, "==", 1, partcv, params);
// compilenode returning opresult1886
  Object if1880 = done;
  if (istrue(opresult1886)) {
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_1888 = gc_frame_newslot(*var_lastToken);
  int callframe1890 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call1891 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe1890);
// compilenode returning call1891
// compilenode returning call1891
  int op_slot_left_1888 = gc_frame_newslot(call1891);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult1892 = callmethod(call1891, "==", 1, partcv, params);
// compilenode returning opresult1892
  Object if1887 = done;
  if (istrue(opresult1892)) {
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1893 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool1894 = alloc_Boolean(0);
// compilenode returning bool1894
  gc_frame_newslot(bool1894);
  Object bool1895 = alloc_Boolean(1);
// compilenode returning bool1895
  gc_frame_newslot(bool1895);
  if (strlit1896 == NULL) {
    strlit1896 = alloc_String("then {}");
    gc_root(strlit1896);
  }
// compilenode returning strlit1896
  gc_frame_newslot(strlit1896);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool1894;
  params[2] = bool1895;
  params[3] = strlit1896;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1897 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1893);
// compilenode returning call1897
    gc_frame_newslot(call1897);
    if1887 = call1897;
  } else {
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1898 = gc_frame_new();
  Object num1900 = alloc_Float64(0.1);
// compilenode returning num1900
  int op_slot_right_1899 = gc_frame_newslot(num1900);
  int callframe1902 = gc_frame_new();
  int callframe1903 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call1904 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe1903);
// compilenode returning call1904
// compilenode returning call1904
  partcv[0] = 0;
  Object call1905 = callmethod(call1904, "line",
    1, partcv, params);
  gc_frame_end(callframe1902);
// compilenode returning call1905
// compilenode returning call1905
  int op_slot_left_1899 = gc_frame_newslot(call1905);
  params[0] = num1900;
  partcv[0] = 1;
  Object sum1906 = callmethod(call1905, "+", 1, partcv, params);
// compilenode returning sum1906
  gc_frame_newslot(sum1906);
  if (strlit1907 == NULL) {
    strlit1907 = alloc_String("}");
    gc_root(strlit1907);
  }
// compilenode returning strlit1907
  gc_frame_newslot(strlit1907);
// compilenode returning *var_suggestion
  params[0] = sum1906;
  params[1] = strlit1907;
  partcv[0] = 2;
  Object call1908 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe1898);
// compilenode returning call1908
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1909 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool1910 = alloc_Boolean(0);
// compilenode returning bool1910
  gc_frame_newslot(bool1910);
  Object bool1911 = alloc_Boolean(1);
// compilenode returning bool1911
  gc_frame_newslot(bool1911);
  if (strlit1912 == NULL) {
    strlit1912 = alloc_String("then {");
    gc_root(strlit1912);
  }
// compilenode returning strlit1912
  gc_frame_newslot(strlit1912);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool1910;
  params[2] = bool1911;
  params[3] = strlit1912;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1913 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1909);
// compilenode returning call1913
    gc_frame_newslot(call1913);
    if1887 = call1913;
  }
// compilenode returning if1887
    gc_frame_newslot(if1887);
    if1880 = if1887;
  } else {
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1914 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool1915 = alloc_Boolean(0);
// compilenode returning bool1915
  gc_frame_newslot(bool1915);
  Object bool1916 = alloc_Boolean(1);
// compilenode returning bool1916
  gc_frame_newslot(bool1916);
  if (strlit1917 == NULL) {
    strlit1917 = alloc_String("then {");
    gc_root(strlit1917);
  }
// compilenode returning strlit1917
  gc_frame_newslot(strlit1917);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool1915;
  params[2] = bool1916;
  params[3] = strlit1917;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1918 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1914);
// compilenode returning call1918
    gc_frame_newslot(call1918);
    if1880 = call1918;
  }
// compilenode returning if1880
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1919 = gc_frame_new();
  if (strlit1920 == NULL) {
    strlit1920 = alloc_String("An if statement must have a '{' after the 'then'.");
    gc_root(strlit1920);
  }
// compilenode returning strlit1920
  gc_frame_newslot(strlit1920);
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1921 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1922 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1921);
// compilenode returning call1922
// compilenode returning call1922
  gc_frame_newslot(call1922);
  int callframe1924 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1925 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe1924);
// compilenode returning call1925
// compilenode returning call1925
  int op_slot_right_1923 = gc_frame_newslot(call1925);
  int callframe1927 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1928 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1927);
// compilenode returning call1928
// compilenode returning call1928
  int op_slot_left_1923 = gc_frame_newslot(call1928);
  params[0] = call1925;
  partcv[0] = 1;
  Object sum1929 = callmethod(call1928, "+", 1, partcv, params);
// compilenode returning sum1929
  gc_frame_newslot(sum1929);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1920;
  params[1] = call1922;
  params[2] = sum1929;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1930 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1919);
// compilenode returning call1930
    gc_frame_newslot(call1930);
    if1866 = call1930;
  } else {
  }
// compilenode returning if1866
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1931 = gc_frame_new();
  partcv[0] = 0;
  Object call1932 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1931);
// compilenode returning call1932
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1935 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1936 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1935);
// compilenode returning call1936
// compilenode returning call1936
  int op_slot_right_1934 = gc_frame_newslot(call1936);
  int callframe1938 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1939 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1938);
// compilenode returning call1939
// compilenode returning call1939
  int op_slot_left_1934 = gc_frame_newslot(call1939);
  params[0] = call1936;
  partcv[0] = 1;
  Object opresult1940 = callmethod(call1939, "==", 1, partcv, params);
// compilenode returning opresult1940
  Object if1933 = done;
  if (istrue(opresult1940)) {
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1942 = alloc_Float64(1);
// compilenode returning num1942
  int op_slot_right_1941 = gc_frame_newslot(num1942);
  int callframe1944 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1945 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1944);
// compilenode returning call1945
// compilenode returning call1945
  int op_slot_left_1941 = gc_frame_newslot(call1945);
  params[0] = num1942;
  partcv[0] = 1;
  Object diff1946 = callmethod(call1945, "-", 1, partcv, params);
// compilenode returning diff1946
  *var_minIndentLevel = diff1946;
  if (diff1946 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1933 = done;
  } else {
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minInd
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1933 = done;
  }
// compilenode returning if1933
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1949 = gc_frame_new();
  Object block1950 = alloc_Block(NULL, NULL, "parser", 643);
  gc_frame_newslot(block1950);
  block_savedest(block1950);
  Object closure1951 = createclosure(1, "_apply");
  setclosureframe(closure1951, stackframe);
  addtoclosure(closure1951, selfslot);
  struct UserObject *uo1951 = (struct UserObject*)block1950;
  uo1951->data[0] = (Object)closure1951;
  Method *meth_meth_parser__apply1951 = addmethod2pos(block1950, "_apply", &meth_parser__apply1951, 0);
int argcv_meth_parser__apply1951[] = {0};
meth_meth_parser__apply1951->type = alloc_MethodType(1, argcv_meth_parser__apply1951);
  meth_meth_parser__apply1951->definitionModule = modulename;
  meth_meth_parser__apply1951->definitionLine = 639;
// compilenode returning block1950
  gc_frame_newslot(block1950);
  Object block1958 = alloc_Block(NULL, NULL, "parser", 643);
  gc_frame_newslot(block1958);
  block_savedest(block1958);
  Object closure1959 = createclosure(8, "_apply");
  setclosureframe(closure1959, stackframe);
  addtoclosure(closure1959, var_errormessages);
  addtoclosure(closure1959, var_btok);
  addtoclosure(closure1959, var_lastToken);
  addtoclosure(closure1959, var_sym);
  addtoclosure(closure1959, var_values);
  addtoclosure(closure1959, var_v);
  addtoclosure(closure1959, var_body);
  addtoclosure(closure1959, selfslot);
  struct UserObject *uo1959 = (struct UserObject*)block1958;
  uo1959->data[0] = (Object)closure1959;
  Method *meth_meth_parser__apply1959 = addmethod2pos(block1958, "_apply", &meth_parser__apply1959, 0);
int argcv_meth_parser__apply1959[] = {0};
meth_meth_parser__apply1959->type = alloc_MethodType(1, argcv_meth_parser__apply1959);
  meth_meth_parser__apply1959->definitionModule = modulename;
  meth_meth_parser__apply1959->definitionLine = 643;
// compilenode returning block1958
  gc_frame_newslot(block1958);
  params[0] = block1950;
  params[1] = block1958;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2019 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1949);
// compilenode returning call2019
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2020 = gc_frame_new();
  partcv[0] = 0;
  Object call2021 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2020);
// compilenode returning call2021
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_econd = undefined;
// compilenode returning done
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_eif = undefined;
// compilenode returning done
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_newelse = undefined;
// compilenode returning done
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_ebody = undefined;
// compilenode returning done
  int callframe2022 = gc_frame_new();
  Object block2023 = alloc_Block(NULL, NULL, "parser", 666);
  gc_frame_newslot(block2023);
  block_savedest(block2023);
  Object closure2024 = createclosure(2, "_apply");
  setclosureframe(closure2024, stackframe);
  addtoclosure(closure2024, var_sym);
  addtoclosure(closure2024, selfslot);
  struct UserObject *uo2024 = (struct UserObject*)block2023;
  uo2024->data[0] = (Object)closure2024;
  Method *meth_meth_parser__apply2024 = addmethod2pos(block2023, "_apply", &meth_parser__apply2024, 0);
int argcv_meth_parser__apply2024[] = {0};
meth_meth_parser__apply2024->type = alloc_MethodType(1, argcv_meth_parser__apply2024);
  meth_meth_parser__apply2024->definitionModule = modulename;
  meth_meth_parser__apply2024->definitionLine = 658;
// compilenode returning block2023
  gc_frame_newslot(block2023);
  Object block2038 = alloc_Block(NULL, NULL, "parser", 666);
  gc_frame_newslot(block2038);
  block_savedest(block2038);
  Object closure2039 = createclosure(17, "_apply");
  setclosureframe(closure2039, stackframe);
  addtoclosure(closure2039, var_sym);
  addtoclosure(closure2039, var_statementToken);
  addtoclosure(closure2039, var_errormessages);
  addtoclosure(closure2039, var_blocksOK);
  addtoclosure(closure2039, var_lastToken);
  addtoclosure(closure2039, var_values);
  addtoclosure(closure2039, var_econd);
  addtoclosure(closure2039, var_ebody);
  addtoclosure(closure2039, var_btok);
  addtoclosure(closure2039, var_minIndentLevel);
  addtoclosure(closure2039, var_minInd);
  addtoclosure(closure2039, var_v);
  addtoclosure(closure2039, var_newelse);
  addtoclosure(closure2039, var_ast);
  addtoclosure(closure2039, var_eif);
  addtoclosure(closure2039, var_curelse);
  addtoclosure(closure2039, selfslot);
  struct UserObject *uo2039 = (struct UserObject*)block2038;
  uo2039->data[0] = (Object)closure2039;
  Method *meth_meth_parser__apply2039 = addmethod2pos(block2038, "_apply", &meth_parser__apply2039, 0);
int argcv_meth_parser__apply2039[] = {0};
meth_meth_parser__apply2039->type = alloc_MethodType(1, argcv_meth_parser__apply2039);
  meth_meth_parser__apply2039->definitionModule = modulename;
  meth_meth_parser__apply2039->definitionLine = 666;
// compilenode returning block2038
  gc_frame_newslot(block2038);
  params[0] = block2023;
  params[1] = block2038;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2657 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2022);
// compilenode returning call2657
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2661 == NULL) {
    strlit2661 = alloc_String("else");
    gc_root(strlit2661);
  }
// compilenode returning strlit2661
  int op_slot_right_2660 = gc_frame_newslot(strlit2661);
  int callframe2663 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2664 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2663);
// compilenode returning call2664
// compilenode returning call2664
  int op_slot_left_2660 = gc_frame_newslot(call2664);
  params[0] = strlit2661;
  partcv[0] = 1;
  Object opresult2665 = callmethod(call2664, "==", 1, partcv, params);
// compilenode returning opresult2665
  int op_slot_right_2659 = gc_frame_newslot(opresult2665);
  int callframe2667 = gc_frame_new();
  if (strlit2668 == NULL) {
    strlit2668 = alloc_String("identifier");
    gc_root(strlit2668);
  }
// compilenode returning strlit2668
  gc_frame_newslot(strlit2668);
  params[0] = strlit2668;
  partcv[0] = 1;
  Object call2669 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2667);
// compilenode returning call2669
  int op_slot_left_2659 = gc_frame_newslot(call2669);
  params[0] = opresult2665;
  partcv[0] = 1;
  Object opresult2670 = callmethod(call2669, "&&", 1, partcv, params);
// compilenode returning opresult2670
  Object if2658 = done;
  if (istrue(opresult2670)) {
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2671 = gc_frame_new();
  partcv[0] = 0;
  Object call2672 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2671);
// compilenode returning call2672
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2675 == NULL) {
    strlit2675 = alloc_String("lbrace");
    gc_root(strlit2675);
  }
// compilenode returning strlit2675
  int op_slot_right_2674 = gc_frame_newslot(strlit2675);
  int callframe2677 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2678 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2677);
// compilenode returning call2678
// compilenode returning call2678
  int op_slot_left_2674 = gc_frame_newslot(call2678);
  params[0] = strlit2675;
  partcv[0] = 1;
  Object opresult2679 = callmethod(call2678, "!=", 1, partcv, params);
// compilenode returning opresult2679
  Object if2673 = done;
  if (istrue(opresult2679)) {
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2680 = gc_frame_new();
  int callframe2681 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2682 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2681);
// compilenode returning call2682
// compilenode returning call2682
  partcv[0] = 0;
  Object call2683 = callmethod(call2682, "new",
    1, partcv, params);
  gc_frame_end(callframe2680);
// compilenode returning call2683
// compilenode returning call2683
  *var_suggestion = call2683;
  if (call2683 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2684 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2685 = alloc_Boolean(1);
// compilenode returning bool2685
  gc_frame_newslot(bool2685);
  params[0] = *var_btok;
  params[1] = bool2685;
  partcv[0] = 2;
  Object call2686 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2684);
// compilenode returning call2686
  *var_closingBrace = call2686;
  if (call2686 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2689 = alloc_Boolean(0);
// compilenode returning bool2689
  int op_slot_right_2688 = gc_frame_newslot(bool2689);
  int callframe2691 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2692 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2691);
// compilenode returning call2692
// compilenode returning call2692
  int op_slot_left_2688 = gc_frame_newslot(call2692);
  params[0] = bool2689;
  partcv[0] = 1;
  Object opresult2693 = callmethod(call2692, "==", 1, partcv, params);
// compilenode returning opresult2693
  Object if2687 = done;
  if (istrue(opresult2693)) {
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2695 = gc_frame_newslot(*var_lastToken);
  int callframe2697 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2698 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2697);
// compilenode returning call2698
// compilenode returning call2698
  int op_slot_left_2695 = gc_frame_newslot(call2698);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2699 = callmethod(call2698, "==", 1, partcv, params);
// compilenode returning opresult2699
  Object if2694 = done;
  if (istrue(opresult2699)) {
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2700 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2701 = alloc_Boolean(0);
// compilenode returning bool2701
  gc_frame_newslot(bool2701);
  Object bool2702 = alloc_Boolean(1);
// compilenode returning bool2702
  gc_frame_newslot(bool2702);
  if (strlit2703 == NULL) {
    strlit2703 = alloc_String("else {}");
    gc_root(strlit2703);
  }
// compilenode returning strlit2703
  gc_frame_newslot(strlit2703);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2701;
  params[2] = bool2702;
  params[3] = strlit2703;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2704 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2700);
// compilenode returning call2704
    gc_frame_newslot(call2704);
    if2694 = call2704;
  } else {
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2705 = gc_frame_new();
  Object num2707 = alloc_Float64(0.1);
// compilenode returning num2707
  int op_slot_right_2706 = gc_frame_newslot(num2707);
  int callframe2709 = gc_frame_new();
  int callframe2710 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2711 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2710);
// compilenode returning call2711
// compilenode returning call2711
  partcv[0] = 0;
  Object call2712 = callmethod(call2711, "line",
    1, partcv, params);
  gc_frame_end(callframe2709);
// compilenode returning call2712
// compilenode returning call2712
  int op_slot_left_2706 = gc_frame_newslot(call2712);
  params[0] = num2707;
  partcv[0] = 1;
  Object sum2713 = callmethod(call2712, "+", 1, partcv, params);
// compilenode returning sum2713
  gc_frame_newslot(sum2713);
  if (strlit2714 == NULL) {
    strlit2714 = alloc_String("}");
    gc_root(strlit2714);
  }
// compilenode returning strlit2714
  gc_frame_newslot(strlit2714);
// compilenode returning *var_suggestion
  params[0] = sum2713;
  params[1] = strlit2714;
  partcv[0] = 2;
  Object call2715 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2705);
// compilenode returning call2715
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2716 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2717 = alloc_Boolean(0);
// compilenode returning bool2717
  gc_frame_newslot(bool2717);
  Object bool2718 = alloc_Boolean(1);
// compilenode returning bool2718
  gc_frame_newslot(bool2718);
  if (strlit2719 == NULL) {
    strlit2719 = alloc_String("else {");
    gc_root(strlit2719);
  }
// compilenode returning strlit2719
  gc_frame_newslot(strlit2719);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2717;
  params[2] = bool2718;
  params[3] = strlit2719;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2720 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2716);
// compilenode returning call2720
    gc_frame_newslot(call2720);
    if2694 = call2720;
  }
// compilenode returning if2694
    gc_frame_newslot(if2694);
    if2687 = if2694;
  } else {
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2721 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2722 = alloc_Boolean(0);
// compilenode returning bool2722
  gc_frame_newslot(bool2722);
  Object bool2723 = alloc_Boolean(1);
// compilenode returning bool2723
  gc_frame_newslot(bool2723);
  if (strlit2724 == NULL) {
    strlit2724 = alloc_String("else {");
    gc_root(strlit2724);
  }
// compilenode returning strlit2724
  gc_frame_newslot(strlit2724);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2722;
  params[2] = bool2723;
  params[3] = strlit2724;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2725 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2721);
// compilenode returning call2725
    gc_frame_newslot(call2725);
    if2687 = call2725;
  }
// compilenode returning if2687
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2726 = gc_frame_new();
  if (strlit2727 == NULL) {
    strlit2727 = alloc_String("An else statement must have a '{' after the 'else'.");
    gc_root(strlit2727);
  }
// compilenode returning strlit2727
  gc_frame_newslot(strlit2727);
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2728 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2729 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2728);
// compilenode returning call2729
// compilenode returning call2729
  gc_frame_newslot(call2729);
  int callframe2731 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2732 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2731);
// compilenode returning call2732
// compilenode returning call2732
  int op_slot_right_2730 = gc_frame_newslot(call2732);
  int callframe2734 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2735 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2734);
// compilenode returning call2735
// compilenode returning call2735
  int op_slot_left_2730 = gc_frame_newslot(call2735);
  params[0] = call2732;
  partcv[0] = 1;
  Object sum2736 = callmethod(call2735, "+", 1, partcv, params);
// compilenode returning sum2736
  gc_frame_newslot(sum2736);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2727;
  params[1] = call2729;
  params[2] = sum2736;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2737 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2726);
// compilenode returning call2737
    gc_frame_newslot(call2737);
    if2673 = call2737;
  } else {
  }
// compilenode returning if2673
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2738 = gc_frame_new();
  partcv[0] = 0;
  Object call2739 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2738);
// compilenode returning call2739
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2742 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2743 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2742);
// compilenode returning call2743
// compilenode returning call2743
  int op_slot_right_2741 = gc_frame_newslot(call2743);
  int callframe2745 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2746 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2745);
// compilenode returning call2746
// compilenode returning call2746
  int op_slot_left_2741 = gc_frame_newslot(call2746);
  params[0] = call2743;
  partcv[0] = 1;
  Object opresult2747 = callmethod(call2746, "==", 1, partcv, params);
// compilenode returning opresult2747
  Object if2740 = done;
  if (istrue(opresult2747)) {
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2749 = alloc_Float64(1);
// compilenode returning num2749
  int op_slot_right_2748 = gc_frame_newslot(num2749);
  int callframe2751 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2752 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2751);
// compilenode returning call2752
// compilenode returning call2752
  int op_slot_left_2748 = gc_frame_newslot(call2752);
  params[0] = num2749;
  partcv[0] = 1;
  Object diff2753 = callmethod(call2752, "-", 1, partcv, params);
// compilenode returning diff2753
  *var_minIndentLevel = diff2753;
  if (diff2753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2740 = done;
  } else {
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minInd
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2740 = done;
  }
// compilenode returning if2740
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2756 = gc_frame_new();
  Object block2757 = alloc_Block(NULL, NULL, "parser", 855);
  gc_frame_newslot(block2757);
  block_savedest(block2757);
  Object closure2758 = createclosure(1, "_apply");
  setclosureframe(closure2758, stackframe);
  addtoclosure(closure2758, selfslot);
  struct UserObject *uo2758 = (struct UserObject*)block2757;
  uo2758->data[0] = (Object)closure2758;
  Method *meth_meth_parser__apply2758 = addmethod2pos(block2757, "_apply", &meth_parser__apply2758, 0);
int argcv_meth_parser__apply2758[] = {0};
meth_meth_parser__apply2758->type = alloc_MethodType(1, argcv_meth_parser__apply2758);
  meth_meth_parser__apply2758->definitionModule = modulename;
  meth_meth_parser__apply2758->definitionLine = 851;
// compilenode returning block2757
  gc_frame_newslot(block2757);
  Object block2765 = alloc_Block(NULL, NULL, "parser", 855);
  gc_frame_newslot(block2765);
  block_savedest(block2765);
  Object closure2766 = createclosure(8, "_apply");
  setclosureframe(closure2766, stackframe);
  addtoclosure(closure2766, var_errormessages);
  addtoclosure(closure2766, var_btok);
  addtoclosure(closure2766, var_lastToken);
  addtoclosure(closure2766, var_sym);
  addtoclosure(closure2766, var_values);
  addtoclosure(closure2766, var_v);
  addtoclosure(closure2766, var_curelse);
  addtoclosure(closure2766, selfslot);
  struct UserObject *uo2766 = (struct UserObject*)block2765;
  uo2766->data[0] = (Object)closure2766;
  Method *meth_meth_parser__apply2766 = addmethod2pos(block2765, "_apply", &meth_parser__apply2766, 0);
int argcv_meth_parser__apply2766[] = {0};
meth_meth_parser__apply2766->type = alloc_MethodType(1, argcv_meth_parser__apply2766);
  meth_meth_parser__apply2766->definitionModule = modulename;
  meth_meth_parser__apply2766->definitionLine = 855;
// compilenode returning block2765
  gc_frame_newslot(block2765);
  params[0] = block2757;
  params[1] = block2765;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2826 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2756);
// compilenode returning call2826
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2827 = gc_frame_new();
  partcv[0] = 0;
  Object call2828 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2827);
// compilenode returning call2828
    gc_frame_newslot(call2828);
    if2658 = call2828;
  } else {
  }
// compilenode returning if2658
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2829 = gc_frame_new();
// compilenode returning *var_cond
  gc_frame_newslot(*var_cond);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_elseblock
  gc_frame_newslot(*var_elseblock);
  int callframe2830 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call2831 = callmethod(*var_ast, "ifNode",
    1, partcv, params);
  gc_frame_end(callframe2830);
// compilenode returning call2831
// compilenode returning call2831
  params[0] = *var_cond;
  params[1] = *var_body;
  params[2] = *var_elseblock;
  partcv[0] = 3;
  Object call2832 = callmethod(call2831, "new",
    1, partcv, params);
  gc_frame_end(callframe2829);
// compilenode returning call2832
  *var_o = call2832;
  if (call2832 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2833 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call2834 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe2833);
// compilenode returning call2834
    gc_frame_newslot(call2834);
    if1851 = call2834;
  } else {
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2835 = gc_frame_new();
  int callframe2836 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2837 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2836);
// compilenode returning call2837
// compilenode returning call2837
  partcv[0] = 0;
  Object call2838 = callmethod(call2837, "new",
    1, partcv, params);
  gc_frame_end(callframe2835);
// compilenode returning call2838
// compilenode returning call2838
  *var_suggestion = call2838;
  if (call2838 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2841 == NULL) {
    strlit2841 = alloc_String("lbrace");
    gc_root(strlit2841);
  }
// compilenode returning strlit2841
  int op_slot_right_2840 = gc_frame_newslot(strlit2841);
  int callframe2843 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2844 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2843);
// compilenode returning call2844
// compilenode returning call2844
  int op_slot_left_2840 = gc_frame_newslot(call2844);
  params[0] = strlit2841;
  partcv[0] = 1;
  Object opresult2845 = callmethod(call2844, "==", 1, partcv, params);
// compilenode returning opresult2845
  Object if2839 = done;
  if (istrue(opresult2845)) {
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2846 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2847 = alloc_Boolean(0);
// compilenode returning bool2847
  gc_frame_newslot(bool2847);
  params[0] = *var_btok;
  params[1] = bool2847;
  partcv[0] = 2;
  Object call2848 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2846);
// compilenode returning call2848
  *var_closingBrace = call2848;
  if (call2848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2851 = alloc_Boolean(0);
// compilenode returning bool2851
  int op_slot_right_2850 = gc_frame_newslot(bool2851);
  int callframe2853 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2854 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2853);
// compilenode returning call2854
// compilenode returning call2854
  int op_slot_left_2850 = gc_frame_newslot(call2854);
  params[0] = bool2851;
  partcv[0] = 1;
  Object opresult2855 = callmethod(call2854, "==", 1, partcv, params);
// compilenode returning opresult2855
  Object if2849 = done;
  if (istrue(opresult2855)) {
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2857 = gc_frame_newslot(*var_sym);
  int callframe2859 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2860 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2859);
// compilenode returning call2860
// compilenode returning call2860
  int op_slot_left_2857 = gc_frame_newslot(call2860);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2861 = callmethod(call2860, "==", 1, partcv, params);
// compilenode returning opresult2861
  Object if2856 = done;
  if (istrue(opresult2861)) {
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2862 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2863 = alloc_Boolean(1);
// compilenode returning bool2863
  gc_frame_newslot(bool2863);
  Object bool2864 = alloc_Boolean(0);
// compilenode returning bool2864
  gc_frame_newslot(bool2864);
  if (strlit2865 == NULL) {
    strlit2865 = alloc_String(" then {}");
    gc_root(strlit2865);
  }
// compilenode returning strlit2865
  gc_frame_newslot(strlit2865);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2863;
  params[2] = bool2864;
  params[3] = strlit2865;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2866 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2862);
// compilenode returning call2866
    gc_frame_newslot(call2866);
    if2856 = call2866;
  } else {
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2867 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2868 = alloc_Boolean(1);
// compilenode returning bool2868
  gc_frame_newslot(bool2868);
  Object bool2869 = alloc_Boolean(0);
// compilenode returning bool2869
  gc_frame_newslot(bool2869);
  if (strlit2870 == NULL) {
    strlit2870 = alloc_String(" then {");
    gc_root(strlit2870);
  }
// compilenode returning strlit2870
  gc_frame_newslot(strlit2870);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2868;
  params[2] = bool2869;
  params[3] = strlit2870;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2871 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2867);
// compilenode returning call2871
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2872 = gc_frame_new();
  Object num2874 = alloc_Float64(0.1);
// compilenode returning num2874
  int op_slot_right_2873 = gc_frame_newslot(num2874);
  int callframe2876 = gc_frame_new();
  int callframe2877 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2878 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2877);
// compilenode returning call2878
// compilenode returning call2878
  partcv[0] = 0;
  Object call2879 = callmethod(call2878, "line",
    1, partcv, params);
  gc_frame_end(callframe2876);
// compilenode returning call2879
// compilenode returning call2879
  int op_slot_left_2873 = gc_frame_newslot(call2879);
  params[0] = num2874;
  partcv[0] = 1;
  Object sum2880 = callmethod(call2879, "+", 1, partcv, params);
// compilenode returning sum2880
  gc_frame_newslot(sum2880);
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("}");
    gc_root(strlit2881);
  }
// compilenode returning strlit2881
  gc_frame_newslot(strlit2881);
// compilenode returning *var_suggestion
  params[0] = sum2880;
  params[1] = strlit2881;
  partcv[0] = 2;
  Object call2882 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2872);
// compilenode returning call2882
    gc_frame_newslot(call2882);
    if2856 = call2882;
  }
// compilenode returning if2856
    gc_frame_newslot(if2856);
    if2849 = if2856;
  } else {
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2883 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2884 = alloc_Boolean(1);
// compilenode returning bool2884
  gc_frame_newslot(bool2884);
  Object bool2885 = alloc_Boolean(0);
// compilenode returning bool2885
  gc_frame_newslot(bool2885);
  if (strlit2886 == NULL) {
    strlit2886 = alloc_String(" then {");
    gc_root(strlit2886);
  }
// compilenode returning strlit2886
  gc_frame_newslot(strlit2886);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2884;
  params[2] = bool2885;
  params[3] = strlit2886;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2887 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2883);
// compilenode returning call2887
    gc_frame_newslot(call2887);
    if2849 = call2887;
  }
// compilenode returning if2849
    gc_frame_newslot(if2849);
    if2839 = if2849;
  } else {
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2888 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2889 = alloc_Boolean(1);
// compilenode returning bool2889
  gc_frame_newslot(bool2889);
  params[0] = *var_btok;
  params[1] = bool2889;
  partcv[0] = 2;
  Object call2890 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2888);
// compilenode returning call2890
  *var_closingBrace = call2890;
  if (call2890 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2893 = alloc_Boolean(0);
// compilenode returning bool2893
  int op_slot_right_2892 = gc_frame_newslot(bool2893);
  int callframe2895 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2896 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2895);
// compilenode returning call2896
// compilenode returning call2896
  int op_slot_left_2892 = gc_frame_newslot(call2896);
  params[0] = bool2893;
  partcv[0] = 1;
  Object opresult2897 = callmethod(call2896, "==", 1, partcv, params);
// compilenode returning opresult2897
  Object if2891 = done;
  if (istrue(opresult2897)) {
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2899 = gc_frame_newslot(*var_lastToken);
  int callframe2901 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2902 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2901);
// compilenode returning call2902
// compilenode returning call2902
  int op_slot_left_2899 = gc_frame_newslot(call2902);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2903 = callmethod(call2902, "==", 1, partcv, params);
// compilenode returning opresult2903
  Object if2898 = done;
  if (istrue(opresult2903)) {
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2904 = gc_frame_new();
  if (strlit2905 == NULL) {
    strlit2905 = alloc_String(" then {}");
    gc_root(strlit2905);
  }
// compilenode returning strlit2905
  gc_frame_newslot(strlit2905);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2905;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2906 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2904);
// compilenode returning call2906
    gc_frame_newslot(call2906);
    if2898 = call2906;
  } else {
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2907 = gc_frame_new();
  if (strlit2908 == NULL) {
    strlit2908 = alloc_String(" then {");
    gc_root(strlit2908);
  }
// compilenode returning strlit2908
  gc_frame_newslot(strlit2908);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2908;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2909 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2907);
// compilenode returning call2909
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2910 = gc_frame_new();
  Object num2912 = alloc_Float64(0.1);
// compilenode returning num2912
  int op_slot_right_2911 = gc_frame_newslot(num2912);
  int callframe2914 = gc_frame_new();
  int callframe2915 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2916 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2915);
// compilenode returning call2916
// compilenode returning call2916
  partcv[0] = 0;
  Object call2917 = callmethod(call2916, "line",
    1, partcv, params);
  gc_frame_end(callframe2914);
// compilenode returning call2917
// compilenode returning call2917
  int op_slot_left_2911 = gc_frame_newslot(call2917);
  params[0] = num2912;
  partcv[0] = 1;
  Object sum2918 = callmethod(call2917, "+", 1, partcv, params);
// compilenode returning sum2918
  gc_frame_newslot(sum2918);
  if (strlit2919 == NULL) {
    strlit2919 = alloc_String("}");
    gc_root(strlit2919);
  }
// compilenode returning strlit2919
  gc_frame_newslot(strlit2919);
// compilenode returning *var_suggestion
  params[0] = sum2918;
  params[1] = strlit2919;
  partcv[0] = 2;
  Object call2920 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2910);
// compilenode returning call2920
    gc_frame_newslot(call2920);
    if2898 = call2920;
  }
// compilenode returning if2898
    gc_frame_newslot(if2898);
    if2891 = if2898;
  } else {
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2921 = gc_frame_new();
  if (strlit2922 == NULL) {
    strlit2922 = alloc_String(" then {");
    gc_root(strlit2922);
  }
// compilenode returning strlit2922
  gc_frame_newslot(strlit2922);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2922;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2923 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2921);
// compilenode returning call2923
    gc_frame_newslot(call2923);
    if2891 = call2923;
  }
// compilenode returning if2891
    gc_frame_newslot(if2891);
    if2839 = if2891;
  }
// compilenode returning if2839
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2924 = gc_frame_new();
  if (strlit2925 == NULL) {
    strlit2925 = alloc_String("An if statement must have 'then' after the expression in parentheses.");
    gc_root(strlit2925);
  }
// compilenode returning strlit2925
  gc_frame_newslot(strlit2925);
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2926 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2927 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2926);
// compilenode returning call2927
// compilenode returning call2927
  gc_frame_newslot(call2927);
  int callframe2928 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2929 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2928);
// compilenode returning call2929
// compilenode returning call2929
  gc_frame_newslot(call2929);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2925;
  params[1] = call2927;
  params[2] = call2929;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2930 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2924);
// compilenode returning call2930
    gc_frame_newslot(call2930);
    if1851 = call2930;
  }
// compilenode returning if1851
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMin
  *var_minIndentLevel = *var_localMin;
  if (*var_localMin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localStatementIndent
  *var_statementIndent = *var_localStatementIndent;
  if (*var_localStatementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1560 = done;
  } else {
  }
// compilenode returning if1560
  gc_frame_end(frame);
  return if1560;
}
Object meth_parser_identifier2933(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for identifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for identifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2935 = gc_frame_new();
  if (strlit2936 == NULL) {
    strlit2936 = alloc_String("identifier");
    gc_root(strlit2936);
  }
// compilenode returning strlit2936
  gc_frame_newslot(strlit2936);
  params[0] = strlit2936;
  partcv[0] = 1;
  Object call2937 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2935);
// compilenode returning call2937
  Object if2934 = done;
  if (istrue(call2937)) {
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2940 == NULL) {
    strlit2940 = alloc_String("if");
    gc_root(strlit2940);
  }
// compilenode returning strlit2940
  int op_slot_right_2939 = gc_frame_newslot(strlit2940);
  int callframe2942 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2943 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2942);
// compilenode returning call2943
// compilenode returning call2943
  int op_slot_left_2939 = gc_frame_newslot(call2943);
  params[0] = strlit2940;
  partcv[0] = 1;
  Object opresult2944 = callmethod(call2943, "==", 1, partcv, params);
// compilenode returning opresult2944
  Object if2938 = done;
  if (istrue(opresult2944)) {
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2945 = gc_frame_new();
  partcv[0] = 0;
  Object call2946 = callmethodflags(self, "doif", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2945);
// compilenode returning call2946
    gc_frame_newslot(call2946);
    if2938 = call2946;
  } else {
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2947 = gc_frame_new();
  partcv[0] = 0;
  Object call2948 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2947);
// compilenode returning call2948
    gc_frame_newslot(call2948);
    if2938 = call2948;
  }
// compilenode returning if2938
    gc_frame_newslot(if2938);
    if2934 = if2938;
  } else {
  }
// compilenode returning if2934
  gc_frame_end(frame);
  return if2934;
}
Object meth_parser__apply2968(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2969 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call2970 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2969);
// compilenode returning call2970
  gc_frame_end(frame);
  return call2970;
}
Object meth_parser__apply3036(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3037 = gc_frame_new();
  partcv[0] = 0;
  Object call3038 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3037);
// compilenode returning call3038
  gc_frame_end(frame);
  return call3038;
}
Object meth_parser_prefixop2949(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "prefixop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for prefixop (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for prefixop");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_op = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "op");
  Object *var_val = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "val");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_suggestions = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestions");
  Object *var_mem = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "mem");
  Object *var_call = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "call");
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2951 = gc_frame_new();
  if (strlit2952 == NULL) {
    strlit2952 = alloc_String("op");
    gc_root(strlit2952);
  }
// compilenode returning strlit2952
  gc_frame_newslot(strlit2952);
  params[0] = strlit2952;
  partcv[0] = 1;
  Object call2953 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2951);
// compilenode returning call2953
  Object if2950 = done;
  if (istrue(call2953)) {
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2954 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2955 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2954);
// compilenode returning call2955
// compilenode returning call2955
  *var_op = call2955;
  if (call2955 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_val = undefined;
// compilenode returning done
  int callframe2956 = gc_frame_new();
  partcv[0] = 0;
  Object call2957 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2956);
// compilenode returning call2957
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2959 = gc_frame_new();
  if (strlit2960 == NULL) {
    strlit2960 = alloc_String("lparen");
    gc_root(strlit2960);
  }
// compilenode returning strlit2960
  gc_frame_newslot(strlit2960);
  params[0] = strlit2960;
  partcv[0] = 1;
  Object call2961 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2959);
// compilenode returning call2961
  Object if2958 = done;
  if (istrue(call2961)) {
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2962 = gc_frame_new();
  partcv[0] = 0;
  Object call2963 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2962);
// compilenode returning call2963
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2965 = gc_frame_new();
  int callframe2966 = gc_frame_new();
  Object block2967 = alloc_Block(NULL, NULL, "parser", 932);
  gc_frame_newslot(block2967);
  block_savedest(block2967);
  Object closure2968 = createclosure(2, "_apply");
  setclosureframe(closure2968, stackframe);
  addtoclosure(closure2968, var_blocksOK);
  addtoclosure(closure2968, selfslot);
  struct UserObject *uo2968 = (struct UserObject*)block2967;
  uo2968->data[0] = (Object)closure2968;
  Method *meth_meth_parser__apply2968 = addmethod2pos(block2967, "_apply", &meth_parser__apply2968, 0);
int argcv_meth_parser__apply2968[] = {0};
meth_meth_parser__apply2968->type = alloc_MethodType(1, argcv_meth_parser__apply2968);
  meth_meth_parser__apply2968->definitionModule = modulename;
  meth_meth_parser__apply2968->definitionLine = 932;
// compilenode returning block2967
  gc_frame_newslot(block2967);
  params[0] = block2967;
  partcv[0] = 1;
  Object call2972 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2966);
// compilenode returning call2972
  partcv[0] = 0;
  Object call2973 = callmethod(call2972, "not",
    1, partcv, params);
  gc_frame_end(callframe2965);
// compilenode returning call2973
// compilenode returning call2973
  Object if2964 = done;
  if (istrue(call2973)) {
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2974 = gc_frame_new();
  int callframe2975 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2976 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2975);
// compilenode returning call2976
// compilenode returning call2976
  partcv[0] = 0;
  Object call2977 = callmethod(call2976, "new",
    1, partcv, params);
  gc_frame_end(callframe2974);
// compilenode returning call2977
// compilenode returning call2977
  *var_suggestion = call2977;
  if (call2977 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2978 = gc_frame_new();
  if (strlit2979 == NULL) {
    strlit2979 = alloc_String("rparen");
    gc_root(strlit2979);
  }
// compilenode returning strlit2979
  gc_frame_newslot(strlit2979);
  params[0] = strlit2979;
  partcv[0] = 1;
  Object call2980 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2978);
// compilenode returning call2980
  *var_nextTok = call2980;
  if (call2980 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2982 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2982 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2984 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2984
  Object if2981 = done;
  if (istrue(opresult2984)) {
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2985 = gc_frame_new();
  if (strlit2986 == NULL) {
    strlit2986 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2986);
  }
// compilenode returning strlit2986
  gc_frame_newslot(strlit2986);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2986;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2987 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2985);
// compilenode returning call2987
    gc_frame_newslot(call2987);
    if2981 = call2987;
  } else {
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2988 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe2989 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2990 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2989);
// compilenode returning call2990
// compilenode returning call2990
  gc_frame_newslot(call2990);
  Object bool2991 = alloc_Boolean(1);
// compilenode returning bool2991
  gc_frame_newslot(bool2991);
  Object bool2992 = alloc_Boolean(0);
// compilenode returning bool2992
  gc_frame_newslot(bool2992);
  if (strlit2993 == NULL) {
    strlit2993 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2993);
  }
// compilenode returning strlit2993
  gc_frame_newslot(strlit2993);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call2990;
  params[2] = bool2991;
  params[3] = bool2992;
  params[4] = strlit2993;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2994 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2988);
// compilenode returning call2994
    gc_frame_newslot(call2994);
    if2981 = call2994;
  }
// compilenode returning if2981
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2995 = gc_frame_new();
  if (strlit2996 == NULL) {
    strlit2996 = alloc_String("Parentheses must contain a valid expression.");
    gc_root(strlit2996);
  }
// compilenode returning strlit2996
  gc_frame_newslot(strlit2996);
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2997 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2998 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2997);
// compilenode returning call2998
// compilenode returning call2998
  gc_frame_newslot(call2998);
  int callframe2999 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3000 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2999);
// compilenode returning call3000
// compilenode returning call3000
  gc_frame_newslot(call3000);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2996;
  params[1] = call2998;
  params[2] = call3000;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3001 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2995);
// compilenode returning call3001
    gc_frame_newslot(call3001);
    if2964 = call3001;
  } else {
  }
// compilenode returning if2964
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3004 == NULL) {
    strlit3004 = alloc_String("rparen");
    gc_root(strlit3004);
  }
// compilenode returning strlit3004
  int op_slot_right_3003 = gc_frame_newslot(strlit3004);
  int callframe3006 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3007 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3006);
// compilenode returning call3007
// compilenode returning call3007
  int op_slot_left_3003 = gc_frame_newslot(call3007);
  params[0] = strlit3004;
  partcv[0] = 1;
  Object opresult3008 = callmethod(call3007, "!=", 1, partcv, params);
// compilenode returning opresult3008
  Object if3002 = done;
  if (istrue(opresult3008)) {
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3009 = gc_frame_new();
  partcv[0] = 0;
  Object call3010 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3009);
// compilenode returning call3010
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3011 = gc_frame_new();
  int callframe3012 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3013 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3012);
// compilenode returning call3013
// compilenode returning call3013
  partcv[0] = 0;
  Object call3014 = callmethod(call3013, "new",
    1, partcv, params);
  gc_frame_end(callframe3011);
// compilenode returning call3014
// compilenode returning call3014
  *var_suggestion = call3014;
  if (call3014 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3015 = gc_frame_new();
  if (strlit3016 == NULL) {
    strlit3016 = alloc_String(")");
    gc_root(strlit3016);
  }
// compilenode returning strlit3016
  gc_frame_newslot(strlit3016);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3016;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3017 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3015);
// compilenode returning call3017
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3018 = gc_frame_new();
  if (strlit3019 == NULL) {
    strlit3019 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3019);
  }
// compilenode returning strlit3019
  gc_frame_newslot(strlit3019);
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3020 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3021 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3020);
// compilenode returning call3021
// compilenode returning call3021
  gc_frame_newslot(call3021);
  int callframe3023 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3024 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3023);
// compilenode returning call3024
// compilenode returning call3024
  int op_slot_right_3022 = gc_frame_newslot(call3024);
  int callframe3026 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3027 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3026);
// compilenode returning call3027
// compilenode returning call3027
  int op_slot_left_3022 = gc_frame_newslot(call3027);
  params[0] = call3024;
  partcv[0] = 1;
  Object sum3028 = callmethod(call3027, "+", 1, partcv, params);
// compilenode returning sum3028
  gc_frame_newslot(sum3028);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3019;
  params[1] = call3021;
  params[2] = sum3028;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3029 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3018);
// compilenode returning call3029
    gc_frame_newslot(call3029);
    if3002 = call3029;
  } else {
  }
// compilenode returning if3002
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3030 = gc_frame_new();
  partcv[0] = 0;
  Object call3031 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3030);
// compilenode returning call3031
    gc_frame_newslot(call3031);
    if2958 = call3031;
  } else {
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3033 = gc_frame_new();
  int callframe3034 = gc_frame_new();
  Object block3035 = alloc_Block(NULL, NULL, "parser", 952);
  gc_frame_newslot(block3035);
  block_savedest(block3035);
  Object closure3036 = createclosure(1, "_apply");
  setclosureframe(closure3036, stackframe);
  addtoclosure(closure3036, selfslot);
  struct UserObject *uo3036 = (struct UserObject*)block3035;
  uo3036->data[0] = (Object)closure3036;
  Method *meth_meth_parser__apply3036 = addmethod2pos(block3035, "_apply", &meth_parser__apply3036, 0);
int argcv_meth_parser__apply3036[] = {0};
meth_meth_parser__apply3036->type = alloc_MethodType(1, argcv_meth_parser__apply3036);
  meth_meth_parser__apply3036->definitionModule = modulename;
  meth_meth_parser__apply3036->definitionLine = 952;
// compilenode returning block3035
  gc_frame_newslot(block3035);
  params[0] = block3035;
  partcv[0] = 1;
  Object call3040 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3034);
// compilenode returning call3040
  partcv[0] = 0;
  Object call3041 = callmethod(call3040, "not",
    1, partcv, params);
  gc_frame_end(callframe3033);
// compilenode returning call3041
// compilenode returning call3041
  Object if3032 = done;
  if (istrue(call3041)) {
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3042 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3042
  *var_suggestions = array3042;
  if (array3042 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3043 = gc_frame_new();
  int callframe3044 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3045 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3044);
// compilenode returning call3045
// compilenode returning call3045
  partcv[0] = 0;
  Object call3046 = callmethod(call3045, "new",
    1, partcv, params);
  gc_frame_end(callframe3043);
// compilenode returning call3046
// compilenode returning call3046
  *var_suggestion = call3046;
  if (call3046 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3047 = gc_frame_new();
  if (strlit3048 == NULL) {
    strlit3048 = alloc_String("rparen");
    gc_root(strlit3048);
  }
// compilenode returning strlit3048
  gc_frame_newslot(strlit3048);
  params[0] = strlit3048;
  partcv[0] = 1;
  Object call3049 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3047);
// compilenode returning call3049
  *var_nextTok = call3049;
  if (call3049 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3051 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3051 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3053 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3053
  Object if3050 = done;
  if (istrue(opresult3053)) {
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3054 = gc_frame_new();
  if (strlit3055 == NULL) {
    strlit3055 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3055);
  }
// compilenode returning strlit3055
  gc_frame_newslot(strlit3055);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3055;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3056 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3054);
// compilenode returning call3056
    gc_frame_newslot(call3056);
    if3050 = call3056;
  } else {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3057 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3058 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3059 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3058);
// compilenode returning call3059
// compilenode returning call3059
  gc_frame_newslot(call3059);
  Object bool3060 = alloc_Boolean(1);
// compilenode returning bool3060
  gc_frame_newslot(bool3060);
  Object bool3061 = alloc_Boolean(0);
// compilenode returning bool3061
  gc_frame_newslot(bool3061);
  if (strlit3062 == NULL) {
    strlit3062 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3062);
  }
// compilenode returning strlit3062
  gc_frame_newslot(strlit3062);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3059;
  params[2] = bool3060;
  params[3] = bool3061;
  params[4] = strlit3062;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3063 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3057);
// compilenode returning call3063
    gc_frame_newslot(call3063);
    if3050 = call3063;
  }
// compilenode returning if3050
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3064 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3065 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3064);
// compilenode returning call3065
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3068 == NULL) {
    strlit3068 = alloc_String("bind");
    gc_root(strlit3068);
  }
// compilenode returning strlit3068
  int op_slot_right_3067 = gc_frame_newslot(strlit3068);
  int callframe3070 = gc_frame_new();
  int callframe3071 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3072 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe3071);
// compilenode returning call3072
// compilenode returning call3072
  partcv[0] = 0;
  Object call3073 = callmethod(call3072, "kind",
    1, partcv, params);
  gc_frame_end(callframe3070);
// compilenode returning call3073
// compilenode returning call3073
  int op_slot_left_3067 = gc_frame_newslot(call3073);
  params[0] = strlit3068;
  partcv[0] = 1;
  Object opresult3074 = callmethod(call3073, "==", 1, partcv, params);
// compilenode returning opresult3074
  Object if3066 = done;
  if (istrue(opresult3074)) {
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3075 = gc_frame_new();
  int callframe3076 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3077 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3076);
// compilenode returning call3077
// compilenode returning call3077
  partcv[0] = 0;
  Object call3078 = callmethod(call3077, "new",
    1, partcv, params);
  gc_frame_end(callframe3075);
// compilenode returning call3078
// compilenode returning call3078
  *var_suggestion = call3078;
  if (call3078 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3080 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe3081 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3082 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3081);
// compilenode returning call3082
// compilenode returning call3082
  gc_frame_newslot(call3082);
  Object bool3083 = alloc_Boolean(1);
// compilenode returning bool3083
  gc_frame_newslot(bool3083);
  Object bool3084 = alloc_Boolean(0);
// compilenode returning bool3084
  gc_frame_newslot(bool3084);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call3082;
  params[2] = bool3083;
  params[3] = bool3084;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3085 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe3080);
// compilenode returning call3085
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3086 = gc_frame_new();
  int callframe3087 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3088 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe3087);
// compilenode returning call3088
// compilenode returning call3088
  gc_frame_newslot(call3088);
  Object bool3089 = alloc_Boolean(1);
// compilenode returning bool3089
  gc_frame_newslot(bool3089);
  Object bool3090 = alloc_Boolean(0);
// compilenode returning bool3090
  gc_frame_newslot(bool3090);
// compilenode returning *var_suggestion
  params[0] = call3088;
  params[1] = bool3089;
  params[2] = bool3090;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3091 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe3086);
// compilenode returning call3091
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3092 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3093 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3092);
// compilenode returning call3093
    gc_frame_newslot(call3093);
    if3066 = call3093;
  } else {
  }
// compilenode returning if3066
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3094 = gc_frame_new();
  if (strlit3095 == NULL) {
    strlit3095 = alloc_String("A prefix operator must be followed by an expression.");
    gc_root(strlit3095);
  }
// compilenode returning strlit3095
  gc_frame_newslot(strlit3095);
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3096 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3097 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3096);
// compilenode returning call3097
// compilenode returning call3097
  gc_frame_newslot(call3097);
  int callframe3099 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3100 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3099);
// compilenode returning call3100
// compilenode returning call3100
  int op_slot_right_3098 = gc_frame_newslot(call3100);
  int callframe3102 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3103 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3102);
// compilenode returning call3103
// compilenode returning call3103
  int op_slot_left_3098 = gc_frame_newslot(call3103);
  params[0] = call3100;
  partcv[0] = 1;
  Object sum3104 = callmethod(call3103, "+", 1, partcv, params);
// compilenode returning sum3104
  gc_frame_newslot(sum3104);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3095;
  params[1] = call3097;
  params[2] = sum3104;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3105 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3094);
// compilenode returning call3105
    gc_frame_newslot(call3105);
    if3032 = call3105;
  } else {
  }
// compilenode returning if3032
    gc_frame_newslot(if3032);
    if2958 = if3032;
  }
// compilenode returning if2958
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3106 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3107 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3106);
// compilenode returning call3107
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3108 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3109 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3108);
// compilenode returning call3109
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3110 = gc_frame_new();
  partcv[0] = 0;
  Object call3111 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3110);
// compilenode returning call3111
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3112 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3113 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3112);
// compilenode returning call3113
// compilenode returning call3113
  *var_val = call3113;
  if (call3113 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3115 = gc_frame_new();
// compilenode returning *var_op
  int op_slot_right_3116 = gc_frame_newslot(*var_op);
  if (strlit3118 == NULL) {
    strlit3118 = alloc_String("prefix");
    gc_root(strlit3118);
  }
// compilenode returning strlit3118
  int op_slot_left_3116 = gc_frame_newslot(strlit3118);
  params[0] = *var_op;
  partcv[0] = 1;
  Object opresult3119 = callmethod(strlit3118, "++", 1, partcv, params);
// compilenode returning opresult3119
  gc_frame_newslot(opresult3119);
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
  int callframe3120 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3121 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe3120);
// compilenode returning call3121
// compilenode returning call3121
  params[0] = opresult3119;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call3122 = callmethod(call3121, "new",
    1, partcv, params);
  gc_frame_end(callframe3115);
// compilenode returning call3122
  *var_mem = call3122;
  if (call3122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3123 = gc_frame_new();
// compilenode returning *var_mem
  gc_frame_newslot(*var_mem);
  Object array3124 = alloc_BuiltinList();
  gc_pause();
  int callframe3125 = gc_frame_new();
  int callframe3126 = gc_frame_new();
// compilenode returning *var_mem
  partcv[0] = 0;
  Object call3127 = callmethod(*var_mem, "value",
    1, partcv, params);
  gc_frame_end(callframe3126);
// compilenode returning call3127
// compilenode returning call3127
  gc_frame_newslot(call3127);
  int callframe3128 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3129 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe3128);
// compilenode returning call3129
// compilenode returning call3129
  params[0] = call3127;
  partcv[0] = 1;
  Object call3130 = callmethod(call3129, "new",
    1, partcv, params);
  gc_frame_end(callframe3125);
// compilenode returning call3130
  params[0] = call3130;
  partcv[0] = 1;
  callmethod(array3124, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array3124
  gc_frame_newslot(array3124);
  int callframe3131 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3132 = callmethod(*var_ast, "callNode",
    1, partcv, params);
  gc_frame_end(callframe3131);
// compilenode returning call3132
// compilenode returning call3132
  params[0] = *var_mem;
  params[1] = array3124;
  partcv[0] = 2;
  Object call3133 = callmethod(call3132, "new",
    1, partcv, params);
  gc_frame_end(callframe3123);
// compilenode returning call3133
  *var_call = call3133;
  if (call3133 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3134 = gc_frame_new();
// compilenode returning *var_call
  gc_frame_newslot(*var_call);
// compilenode returning *var_values
  params[0] = *var_call;
  partcv[0] = 1;
  Object call3135 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3134);
// compilenode returning call3135
    gc_frame_newslot(call3135);
    if2950 = call3135;
  } else {
  }
// compilenode returning if2950
  gc_frame_end(frame);
  return if2950;
}
Object meth_parser__apply3148(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3149 = gc_frame_new();
  if (strlit3150 == NULL) {
    strlit3150 = alloc_String("identifier");
    gc_root(strlit3150);
  }
// compilenode returning strlit3150
  gc_frame_newslot(strlit3150);
  params[0] = strlit3150;
  partcv[0] = 1;
  Object call3151 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3149);
// compilenode returning call3151
  gc_frame_end(frame);
  return call3151;
}
Object meth_parser__apply3159(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3160 = gc_frame_new();
  if (strlit3161 == NULL) {
    strlit3161 = alloc_String("dot");
    gc_root(strlit3161);
  }
// compilenode returning strlit3161
  gc_frame_newslot(strlit3161);
  params[0] = strlit3161;
  partcv[0] = 1;
  Object call3162 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3160);
// compilenode returning call3162
  gc_frame_end(frame);
  return call3162;
}
Object meth_parser__apply3165(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_memberIn = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "memberIn");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_memberName = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "memberName");
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3166 = gc_frame_new();
  partcv[0] = 0;
  Object call3167 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3166);
// compilenode returning call3167
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3168 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3169 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3168);
// compilenode returning call3169
// compilenode returning call3169
  *var_memberIn = call3169;
  if (call3169 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3172 == NULL) {
    strlit3172 = alloc_String("identifier");
    gc_root(strlit3172);
  }
// compilenode returning strlit3172
  int op_slot_right_3171 = gc_frame_newslot(strlit3172);
  int callframe3174 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3175 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3174);
// compilenode returning call3175
// compilenode returning call3175
  int op_slot_left_3171 = gc_frame_newslot(call3175);
  params[0] = strlit3172;
  partcv[0] = 1;
  Object opresult3176 = callmethod(call3175, "!=", 1, partcv, params);
// compilenode returning opresult3176
  Object if3170 = done;
  if (istrue(opresult3176)) {
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3177 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3177
  *var_suggestions = array3177;
  if (array3177 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3178 = gc_frame_new();
  int callframe3179 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3180 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3179);
// compilenode returning call3180
// compilenode returning call3180
  partcv[0] = 0;
  Object call3181 = callmethod(call3180, "new",
    1, partcv, params);
  gc_frame_end(callframe3178);
// compilenode returning call3181
// compilenode returning call3181
  *var_suggestion = call3181;
  if (call3181 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3182 = gc_frame_new();
  if (strlit3183 == NULL) {
    strlit3183 = alloc_String("""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit3183);
  }
// compilenode returning strlit3183
  gc_frame_newslot(strlit3183);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3183;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3184 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3182);
// compilenode returning call3184
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3185 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3186 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3185);
// compilenode returning call3186
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3187 = gc_frame_new();
  int callframe3188 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3189 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3188);
// compilenode returning call3189
// compilenode returning call3189
  partcv[0] = 0;
  Object call3190 = callmethod(call3189, "new",
    1, partcv, params);
  gc_frame_end(callframe3187);
// compilenode returning call3190
// compilenode returning call3190
  *var_suggestion = call3190;
  if (call3190 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3192 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3193 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe3192);
// compilenode returning call3193
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3194 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3195 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3194);
// compilenode returning call3195
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3196 = gc_frame_new();
  if (strlit3197 == NULL) {
    strlit3197 = alloc_String("A type name must follow the '.'.");
    gc_root(strlit3197);
  }
// compilenode returning strlit3197
  gc_frame_newslot(strlit3197);
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3198 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3199 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3198);
// compilenode returning call3199
// compilenode returning call3199
  gc_frame_newslot(call3199);
  Object num3201 = alloc_Float64(1);
// compilenode returning num3201
  int op_slot_right_3200 = gc_frame_newslot(num3201);
  int callframe3203 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3204 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3203);
// compilenode returning call3204
// compilenode returning call3204
  int op_slot_left_3200 = gc_frame_newslot(call3204);
  params[0] = num3201;
  partcv[0] = 1;
  Object sum3205 = callmethod(call3204, "+", 1, partcv, params);
// compilenode returning sum3205
  gc_frame_newslot(sum3205);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3197;
  params[1] = call3199;
  params[2] = sum3205;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3206 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3196);
// compilenode returning call3206
    gc_frame_newslot(call3206);
    if3170 = call3206;
  } else {
  }
// compilenode returning if3170
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3207 = gc_frame_new();
  partcv[0] = 0;
  Object call3208 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3207);
// compilenode returning call3208
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3209 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3210 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3209);
// compilenode returning call3210
// compilenode returning call3210
  *var_memberName = call3210;
  if (call3210 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3211 = gc_frame_new();
  int callframe3212 = gc_frame_new();
  int callframe3213 = gc_frame_new();
// compilenode returning *var_memberName
  partcv[0] = 0;
  Object call3214 = callmethod(*var_memberName, "value",
    1, partcv, params);
  gc_frame_end(callframe3213);
// compilenode returning call3214
// compilenode returning call3214
  gc_frame_newslot(call3214);
// compilenode returning *var_memberIn
  gc_frame_newslot(*var_memberIn);
  int callframe3215 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3216 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe3215);
// compilenode returning call3216
// compilenode returning call3216
  params[0] = call3214;
  params[1] = *var_memberIn;
  partcv[0] = 2;
  Object call3217 = callmethod(call3216, "new",
    1, partcv, params);
  gc_frame_end(callframe3212);
// compilenode returning call3217
  gc_frame_newslot(call3217);
// compilenode returning *var_values
  params[0] = call3217;
  partcv[0] = 1;
  Object call3218 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3211);
// compilenode returning call3218
  gc_frame_end(frame);
  return call3218;
}
Object meth_parser__apply3154(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_gens = getfromclosure(closure, 5);
  Object *var_startToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3155 = gc_frame_new();
  partcv[0] = 0;
  Object call3156 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3155);
// compilenode returning call3156
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3157 = gc_frame_new();
  Object block3158 = alloc_Block(NULL, NULL, "parser", 990);
  gc_frame_newslot(block3158);
  block_savedest(block3158);
  Object closure3159 = createclosure(1, "_apply");
  setclosureframe(closure3159, stackframe);
  addtoclosure(closure3159, selfslot);
  struct UserObject *uo3159 = (struct UserObject*)block3158;
  uo3159->data[0] = (Object)closure3159;
  Method *meth_meth_parser__apply3159 = addmethod2pos(block3158, "_apply", &meth_parser__apply3159, 0);
int argcv_meth_parser__apply3159[] = {0};
meth_meth_parser__apply3159->type = alloc_MethodType(1, argcv_meth_parser__apply3159);
  meth_meth_parser__apply3159->definitionModule = modulename;
  meth_meth_parser__apply3159->definitionLine = 984;
// compilenode returning block3158
  gc_frame_newslot(block3158);
  Object block3164 = alloc_Block(NULL, NULL, "parser", 990);
  gc_frame_newslot(block3164);
  block_savedest(block3164);
  Object closure3165 = createclosure(6, "_apply");
  setclosureframe(closure3165, stackframe);
  addtoclosure(closure3165, var_values);
  addtoclosure(closure3165, var_sym);
  addtoclosure(closure3165, var_errormessages);
  addtoclosure(closure3165, var_lastToken);
  addtoclosure(closure3165, var_ast);
  addtoclosure(closure3165, selfslot);
  struct UserObject *uo3165 = (struct UserObject*)block3164;
  uo3165->data[0] = (Object)closure3165;
  Method *meth_meth_parser__apply3165 = addmethod2pos(block3164, "_apply", &meth_parser__apply3165, 0);
int argcv_meth_parser__apply3165[] = {0};
meth_meth_parser__apply3165->type = alloc_MethodType(1, argcv_meth_parser__apply3165);
  meth_meth_parser__apply3165->definitionModule = modulename;
  meth_meth_parser__apply3165->definitionLine = 984;
// compilenode returning block3164
  gc_frame_newslot(block3164);
  params[0] = block3158;
  params[1] = block3164;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3220 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3157);
// compilenode returning call3220
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3221 = gc_frame_new();
  partcv[0] = 0;
  Object call3222 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3221);
// compilenode returning call3222
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3223 = gc_frame_new();
  int callframe3224 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3225 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3224);
// compilenode returning call3225
// compilenode returning call3225
  gc_frame_newslot(call3225);
// compilenode returning *var_gens
  params[0] = call3225;
  partcv[0] = 1;
  Object call3226 = callmethod(*var_gens, "push",
    1, partcv, params);
  gc_frame_end(callframe3223);
// compilenode returning call3226
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3228 = gc_frame_new();
  if (strlit3229 == NULL) {
    strlit3229 = alloc_String("comma");
    gc_root(strlit3229);
  }
// compilenode returning strlit3229
  gc_frame_newslot(strlit3229);
  params[0] = strlit3229;
  partcv[0] = 1;
  Object call3230 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3228);
// compilenode returning call3230
  Object if3227 = done;
  if (istrue(call3230)) {
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3231 = gc_frame_new();
  partcv[0] = 0;
  Object call3232 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3231);
// compilenode returning call3232
    gc_frame_newslot(call3232);
    if3227 = call3232;
  } else {
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3235 == NULL) {
    strlit3235 = alloc_String("rgeneric");
    gc_root(strlit3235);
  }
// compilenode returning strlit3235
  int op_slot_right_3234 = gc_frame_newslot(strlit3235);
  int callframe3237 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3238 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3237);
// compilenode returning call3238
// compilenode returning call3238
  int op_slot_left_3234 = gc_frame_newslot(call3238);
  params[0] = strlit3235;
  partcv[0] = 1;
  Object opresult3239 = callmethod(call3238, "!=", 1, partcv, params);
// compilenode returning opresult3239
  Object if3233 = done;
  if (istrue(opresult3239)) {
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3240 = gc_frame_new();
  int callframe3241 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3242 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3241);
// compilenode returning call3242
// compilenode returning call3242
  partcv[0] = 0;
  Object call3243 = callmethod(call3242, "new",
    1, partcv, params);
  gc_frame_end(callframe3240);
// compilenode returning call3243
// compilenode returning call3243
  *var_suggestion = call3243;
  if (call3243 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3244 = gc_frame_new();
  if (strlit3245 == NULL) {
    strlit3245 = alloc_String(">");
    gc_root(strlit3245);
  }
// compilenode returning strlit3245
  gc_frame_newslot(strlit3245);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3245;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3246 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3244);
// compilenode returning call3246
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3247 = gc_frame_new();
  int callframe3248 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3249 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3248);
// compilenode returning call3249
// compilenode returning call3249
  partcv[0] = 0;
  Object call3250 = callmethod(call3249, "new",
    1, partcv, params);
  gc_frame_end(callframe3247);
// compilenode returning call3250
// compilenode returning call3250
  *var_suggestion2 = call3250;
  if (call3250 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3251 = gc_frame_new();
  if (strlit3252 == NULL) {
    strlit3252 = alloc_String(" ");
    gc_root(strlit3252);
  }
// compilenode returning strlit3252
  gc_frame_newslot(strlit3252);
// compilenode returning *var_startToken
  gc_frame_newslot(*var_startToken);
// compilenode returning *var_suggestion2
  params[0] = strlit3252;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3253 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3251);
// compilenode returning call3253
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3254 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array3254, "push", 1, partcv, params);
// compilenode returning *var_suggestion2
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array3254, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array3254
  *var_suggestions = array3254;
  if (array3254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3255 = gc_frame_new();
  if (strlit3256 == NULL) {
    strlit3256 = alloc_String("A type containing a '<' must end with a '>', or the '<' operator must have a space before it.");
    gc_root(strlit3256);
  }
// compilenode returning strlit3256
  gc_frame_newslot(strlit3256);
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3257 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3258 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3257);
// compilenode returning call3258
// compilenode returning call3258
  gc_frame_newslot(call3258);
  int callframe3260 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3261 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3260);
// compilenode returning call3261
// compilenode returning call3261
  int op_slot_right_3259 = gc_frame_newslot(call3261);
  int callframe3263 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3264 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3263);
// compilenode returning call3264
// compilenode returning call3264
  int op_slot_left_3259 = gc_frame_newslot(call3264);
  params[0] = call3261;
  partcv[0] = 1;
  Object sum3265 = callmethod(call3264, "+", 1, partcv, params);
// compilenode returning sum3265
  gc_frame_newslot(sum3265);
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3256;
  params[1] = call3258;
  params[2] = sum3265;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3266 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3255);
// compilenode returning call3266
    gc_frame_newslot(call3266);
    if3233 = call3266;
  } else {
  }
// compilenode returning if3233
    gc_frame_newslot(if3233);
    if3227 = if3233;
  }
// compilenode returning if3227
  gc_frame_end(frame);
  return if3227;
}
Object meth_parser_generic3136(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "generic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for generic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for generic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_id = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "id");
  Object *var_gens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "gens");
  Object *var_startToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startToken");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3138 = gc_frame_new();
  if (strlit3139 == NULL) {
    strlit3139 = alloc_String("lgeneric");
    gc_root(strlit3139);
  }
// compilenode returning strlit3139
  gc_frame_newslot(strlit3139);
  params[0] = strlit3139;
  partcv[0] = 1;
  Object call3140 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3138);
// compilenode returning call3140
  Object if3137 = done;
  if (istrue(call3140)) {
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3141 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3142 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3141);
// compilenode returning call3142
// compilenode returning call3142
  *var_id = call3142;
  if (call3142 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3143 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3143
  *var_gens = array3143;
  if (array3143 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3144 = gc_frame_new();
  partcv[0] = 0;
  Object call3145 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3144);
// compilenode returning call3145
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3146 = gc_frame_new();
  Object block3147 = alloc_Block(NULL, NULL, "parser", 988);
  gc_frame_newslot(block3147);
  block_savedest(block3147);
  Object closure3148 = createclosure(1, "_apply");
  setclosureframe(closure3148, stackframe);
  addtoclosure(closure3148, selfslot);
  struct UserObject *uo3148 = (struct UserObject*)block3147;
  uo3148->data[0] = (Object)closure3148;
  Method *meth_meth_parser__apply3148 = addmethod2pos(block3147, "_apply", &meth_parser__apply3148, 0);
int argcv_meth_parser__apply3148[] = {0};
meth_meth_parser__apply3148->type = alloc_MethodType(1, argcv_meth_parser__apply3148);
  meth_meth_parser__apply3148->definitionModule = modulename;
  meth_meth_parser__apply3148->definitionLine = 984;
// compilenode returning block3147
  gc_frame_newslot(block3147);
  Object block3153 = alloc_Block(NULL, NULL, "parser", 988);
  gc_frame_newslot(block3153);
  block_savedest(block3153);
  Object closure3154 = createclosure(8, "_apply");
  setclosureframe(closure3154, stackframe);
  addtoclosure(closure3154, var_values);
  addtoclosure(closure3154, var_sym);
  addtoclosure(closure3154, var_errormessages);
  addtoclosure(closure3154, var_lastToken);
  addtoclosure(closure3154, var_ast);
  addtoclosure(closure3154, var_gens);
  addtoclosure(closure3154, var_startToken);
  addtoclosure(closure3154, selfslot);
  struct UserObject *uo3154 = (struct UserObject*)block3153;
  uo3154->data[0] = (Object)closure3154;
  Method *meth_meth_parser__apply3154 = addmethod2pos(block3153, "_apply", &meth_parser__apply3154, 0);
int argcv_meth_parser__apply3154[] = {0};
meth_meth_parser__apply3154->type = alloc_MethodType(1, argcv_meth_parser__apply3154);
  meth_meth_parser__apply3154->definitionModule = modulename;
  meth_meth_parser__apply3154->definitionLine = 984;
// compilenode returning block3153
  gc_frame_newslot(block3153);
  params[0] = block3147;
  params[1] = block3153;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3268 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3146);
// compilenode returning call3268
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3271 == NULL) {
    strlit3271 = alloc_String("rgeneric");
    gc_root(strlit3271);
  }
// compilenode returning strlit3271
  int op_slot_right_3270 = gc_frame_newslot(strlit3271);
  int callframe3273 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3274 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3273);
// compilenode returning call3274
// compilenode returning call3274
  int op_slot_left_3270 = gc_frame_newslot(call3274);
  params[0] = strlit3271;
  partcv[0] = 1;
  Object opresult3275 = callmethod(call3274, "!=", 1, partcv, params);
// compilenode returning opresult3275
  Object if3269 = done;
  if (istrue(opresult3275)) {
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3276 = gc_frame_new();
  int callframe3277 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3278 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3277);
// compilenode returning call3278
// compilenode returning call3278
  partcv[0] = 0;
  Object call3279 = callmethod(call3278, "new",
    1, partcv, params);
  gc_frame_end(callframe3276);
// compilenode returning call3279
// compilenode returning call3279
  *var_suggestion = call3279;
  if (call3279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3280 = gc_frame_new();
  if (strlit3281 == NULL) {
    strlit3281 = alloc_String(">");
    gc_root(strlit3281);
  }
// compilenode returning strlit3281
  gc_frame_newslot(strlit3281);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3281;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3282 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3280);
// compilenode returning call3282
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3283 = gc_frame_new();
  int callframe3284 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3285 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3284);
// compilenode returning call3285
// compilenode returning call3285
  partcv[0] = 0;
  Object call3286 = callmethod(call3285, "new",
    1, partcv, params);
  gc_frame_end(callframe3283);
// compilenode returning call3286
// compilenode returning call3286
  *var_suggestion2 = call3286;
  if (call3286 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3287 = gc_frame_new();
  if (strlit3288 == NULL) {
    strlit3288 = alloc_String(" ");
    gc_root(strlit3288);
  }
// compilenode returning strlit3288
  gc_frame_newslot(strlit3288);
// compilenode returning *var_startToken
  gc_frame_newslot(*var_startToken);
// compilenode returning *var_suggestion2
  params[0] = strlit3288;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3289 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3287);
// compilenode returning call3289
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3290 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array3290, "push", 1, partcv, params);
// compilenode returning *var_suggestion2
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array3290, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array3290
  *var_suggestions = array3290;
  if (array3290 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3291 = gc_frame_new();
  if (strlit3292 == NULL) {
    strlit3292 = alloc_String("A type containing a '<' must end with a '>', or the '<' operator must have a space before it.");
    gc_root(strlit3292);
  }
// compilenode returning strlit3292
  gc_frame_newslot(strlit3292);
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3293 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3294 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3293);
// compilenode returning call3294
// compilenode returning call3294
  gc_frame_newslot(call3294);
  int callframe3296 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3297 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3296);
// compilenode returning call3297
// compilenode returning call3297
  int op_slot_right_3295 = gc_frame_newslot(call3297);
  int callframe3299 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3300 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3299);
// compilenode returning call3300
// compilenode returning call3300
  int op_slot_left_3295 = gc_frame_newslot(call3300);
  params[0] = call3297;
  partcv[0] = 1;
  Object sum3301 = callmethod(call3300, "+", 1, partcv, params);
// compilenode returning sum3301
  gc_frame_newslot(sum3301);
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3292;
  params[1] = call3294;
  params[2] = sum3301;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3302 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3291);
// compilenode returning call3302
    gc_frame_newslot(call3302);
    if3269 = call3302;
  } else {
  }
// compilenode returning if3269
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3303 = gc_frame_new();
  partcv[0] = 0;
  Object call3304 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3303);
// compilenode returning call3304
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3305 = gc_frame_new();
  int callframe3306 = gc_frame_new();
// compilenode returning *var_id
  gc_frame_newslot(*var_id);
// compilenode returning *var_gens
  gc_frame_newslot(*var_gens);
  int callframe3307 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3308 = callmethod(*var_ast, "genericNode",
    1, partcv, params);
  gc_frame_end(callframe3307);
// compilenode returning call3308
// compilenode returning call3308
  params[0] = *var_id;
  params[1] = *var_gens;
  partcv[0] = 2;
  Object call3309 = callmethod(call3308, "new",
    1, partcv, params);
  gc_frame_end(callframe3306);
// compilenode returning call3309
  gc_frame_newslot(call3309);
// compilenode returning *var_values
  params[0] = call3309;
  partcv[0] = 1;
  Object call3310 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3305);
// compilenode returning call3310
    gc_frame_newslot(call3310);
    if3137 = call3310;
  } else {
  }
// compilenode returning if3137
  gc_frame_end(frame);
  return if3137;
}
Object meth_parser__apply3349(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_catchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3353 == NULL) {
    strlit3353 = alloc_String("catch");
    gc_root(strlit3353);
  }
// compilenode returning strlit3353
  int op_slot_right_3352 = gc_frame_newslot(strlit3353);
  int callframe3355 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3356 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe3355);
// compilenode returning call3356
// compilenode returning call3356
  int op_slot_left_3352 = gc_frame_newslot(call3356);
  params[0] = strlit3353;
  partcv[0] = 1;
  Object opresult3357 = callmethod(call3356, "==", 1, partcv, params);
// compilenode returning opresult3357
  int op_slot_right_3351 = gc_frame_newslot(opresult3357);
  if (strlit3360 == NULL) {
    strlit3360 = alloc_String("identifier");
    gc_root(strlit3360);
  }
// compilenode returning strlit3360
  int op_slot_right_3359 = gc_frame_newslot(strlit3360);
  int callframe3362 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3363 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3362);
// compilenode returning call3363
// compilenode returning call3363
  int op_slot_left_3359 = gc_frame_newslot(call3363);
  params[0] = strlit3360;
  partcv[0] = 1;
  Object opresult3364 = callmethod(call3363, "==", 1, partcv, params);
// compilenode returning opresult3364
  int op_slot_left_3351 = gc_frame_newslot(opresult3364);
  params[0] = opresult3357;
  partcv[0] = 1;
  Object opresult3365 = callmethod(opresult3364, "&&", 1, partcv, params);
// compilenode returning opresult3365
  int op_slot_right_3350 = gc_frame_newslot(opresult3365);
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3370 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3371 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe3370);
// compilenode returning call3371
// compilenode returning call3371
  int op_slot_right_3369 = gc_frame_newslot(call3371);
  int callframe3373 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3374 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe3373);
// compilenode returning call3374
// compilenode returning call3374
  int op_slot_left_3369 = gc_frame_newslot(call3374);
  params[0] = call3371;
  partcv[0] = 1;
  Object opresult3375 = callmethod(call3374, "==", 1, partcv, params);
// compilenode returning opresult3375
  int op_slot_right_3368 = gc_frame_newslot(opresult3375);
  if (strlit3378 == NULL) {
    strlit3378 = alloc_String("rparen");
    gc_root(strlit3378);
  }
// compilenode returning strlit3378
  int op_slot_right_3377 = gc_frame_newslot(strlit3378);
  int callframe3380 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3381 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3380);
// compilenode returning call3381
// compilenode returning call3381
  int op_slot_left_3377 = gc_frame_newslot(call3381);
  params[0] = strlit3378;
  partcv[0] = 1;
  Object opresult3382 = callmethod(call3381, "==", 1, partcv, params);
// compilenode returning opresult3382
  int op_slot_left_3368 = gc_frame_newslot(opresult3382);
  params[0] = opresult3375;
  partcv[0] = 1;
  Object opresult3383 = callmethod(opresult3382, "&&", 1, partcv, params);
// compilenode returning opresult3383
  int op_slot_right_3367 = gc_frame_newslot(opresult3383);
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3386 == NULL) {
    strlit3386 = alloc_String("rbrace");
    gc_root(strlit3386);
  }
// compilenode returning strlit3386
  int op_slot_right_3385 = gc_frame_newslot(strlit3386);
  int callframe3388 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3389 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3388);
// compilenode returning call3389
// compilenode returning call3389
  int op_slot_left_3385 = gc_frame_newslot(call3389);
  params[0] = strlit3386;
  partcv[0] = 1;
  Object opresult3390 = callmethod(call3389, "==", 1, partcv, params);
// compilenode returning opresult3390
  int op_slot_left_3367 = gc_frame_newslot(opresult3390);
  params[0] = opresult3383;
  partcv[0] = 1;
  Object opresult3391 = callmethod(opresult3390, "||", 1, partcv, params);
// compilenode returning opresult3391
  int op_slot_left_3350 = gc_frame_newslot(opresult3391);
  params[0] = opresult3365;
  partcv[0] = 1;
  Object opresult3392 = callmethod(opresult3391, "||", 1, partcv, params);
// compilenode returning opresult3392
  gc_frame_end(frame);
  return opresult3392;
}
Object meth_parser__apply3467(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3468 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3469 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3468);
// compilenode returning call3469
  gc_frame_end(frame);
  return call3469;
}
Object meth_parser__apply3537(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit3540 == NULL) {
    strlit3540 = alloc_String("catch");
    gc_root(strlit3540);
  }
// compilenode returning strlit3540
  int op_slot_right_3539 = gc_frame_newslot(strlit3540);
  int callframe3542 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3543 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3542);
// compilenode returning call3543
// compilenode returning call3543
  int op_slot_left_3539 = gc_frame_newslot(call3543);
  params[0] = strlit3540;
  partcv[0] = 1;
  Object opresult3544 = callmethod(call3543, "==", 1, partcv, params);
// compilenode returning opresult3544
  int op_slot_right_3538 = gc_frame_newslot(opresult3544);
  int callframe3546 = gc_frame_new();
  if (strlit3547 == NULL) {
    strlit3547 = alloc_String("identifier");
    gc_root(strlit3547);
  }
// compilenode returning strlit3547
  gc_frame_newslot(strlit3547);
  params[0] = strlit3547;
  partcv[0] = 1;
  Object call3548 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3546);
// compilenode returning call3548
  int op_slot_left_3538 = gc_frame_newslot(call3548);
  params[0] = opresult3544;
  partcv[0] = 1;
  Object opresult3549 = callmethod(call3548, "&&", 1, partcv, params);
// compilenode returning opresult3549
  gc_frame_end(frame);
  return opresult3549;
}
Object meth_parser__apply3571(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3572 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3573 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3572);
// compilenode returning call3573
  gc_frame_end(frame);
  return call3573;
}
Object meth_parser__apply3552(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_cases = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3553 = gc_frame_new();
  partcv[0] = 0;
  Object call3554 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3553);
// compilenode returning call3554
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3556 = gc_frame_new();
  if (strlit3557 == NULL) {
    strlit3557 = alloc_String("lbrace");
    gc_root(strlit3557);
  }
// compilenode returning strlit3557
  gc_frame_newslot(strlit3557);
  params[0] = strlit3557;
  partcv[0] = 1;
  Object call3558 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3556);
// compilenode returning call3558
  Object if3555 = done;
  if (istrue(call3558)) {
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3559 = gc_frame_new();
  partcv[0] = 0;
  Object call3560 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3559);
// compilenode returning call3560
    gc_frame_newslot(call3560);
    if3555 = call3560;
  } else {
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3562 = gc_frame_new();
  if (strlit3563 == NULL) {
    strlit3563 = alloc_String("lparen");
    gc_root(strlit3563);
  }
// compilenode returning strlit3563
  gc_frame_newslot(strlit3563);
  params[0] = strlit3563;
  partcv[0] = 1;
  Object call3564 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3562);
// compilenode returning call3564
  Object if3561 = done;
  if (istrue(call3564)) {
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3565 = gc_frame_new();
  partcv[0] = 0;
  Object call3566 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3565);
// compilenode returning call3566
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3568 = gc_frame_new();
  int callframe3569 = gc_frame_new();
  Object block3570 = alloc_Block(NULL, NULL, "parser", 1102);
  gc_frame_newslot(block3570);
  block_savedest(block3570);
  Object closure3571 = createclosure(2, "_apply");
  setclosureframe(closure3571, stackframe);
  addtoclosure(closure3571, var_blocksOK);
  addtoclosure(closure3571, selfslot);
  struct UserObject *uo3571 = (struct UserObject*)block3570;
  uo3571->data[0] = (Object)closure3571;
  Method *meth_meth_parser__apply3571 = addmethod2pos(block3570, "_apply", &meth_parser__apply3571, 0);
int argcv_meth_parser__apply3571[] = {0};
meth_meth_parser__apply3571->type = alloc_MethodType(1, argcv_meth_parser__apply3571);
  meth_meth_parser__apply3571->definitionModule = modulename;
  meth_meth_parser__apply3571->definitionLine = 1102;
// compilenode returning block3570
  gc_frame_newslot(block3570);
  params[0] = block3570;
  partcv[0] = 1;
  Object call3575 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3569);
// compilenode returning call3575
  partcv[0] = 0;
  Object call3576 = callmethod(call3575, "not",
    1, partcv, params);
  gc_frame_end(callframe3568);
// compilenode returning call3576
// compilenode returning call3576
  Object if3567 = done;
  if (istrue(call3576)) {
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3577 = gc_frame_new();
  int callframe3578 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3579 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3578);
// compilenode returning call3579
// compilenode returning call3579
  partcv[0] = 0;
  Object call3580 = callmethod(call3579, "new",
    1, partcv, params);
  gc_frame_end(callframe3577);
// compilenode returning call3580
// compilenode returning call3580
  *var_suggestion = call3580;
  if (call3580 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3581 = gc_frame_new();
  if (strlit3582 == NULL) {
    strlit3582 = alloc_String("rparen");
    gc_root(strlit3582);
  }
// compilenode returning strlit3582
  gc_frame_newslot(strlit3582);
  params[0] = strlit3582;
  partcv[0] = 1;
  Object call3583 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3581);
// compilenode returning call3583
  *var_nextTok = call3583;
  if (call3583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3585 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3585 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3587 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3587
  Object if3584 = done;
  if (istrue(opresult3587)) {
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3588 = gc_frame_new();
  if (strlit3589 == NULL) {
    strlit3589 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3589);
  }
// compilenode returning strlit3589
  gc_frame_newslot(strlit3589);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3589;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3590 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3588);
// compilenode returning call3590
    gc_frame_newslot(call3590);
    if3584 = call3590;
  } else {
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3591 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3592 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3593 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3592);
// compilenode returning call3593
// compilenode returning call3593
  gc_frame_newslot(call3593);
  Object bool3594 = alloc_Boolean(1);
// compilenode returning bool3594
  gc_frame_newslot(bool3594);
  Object bool3595 = alloc_Boolean(0);
// compilenode returning bool3595
  gc_frame_newslot(bool3595);
  if (strlit3596 == NULL) {
    strlit3596 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3596);
  }
// compilenode returning strlit3596
  gc_frame_newslot(strlit3596);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3593;
  params[2] = bool3594;
  params[3] = bool3595;
  params[4] = strlit3596;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3597 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3591);
// compilenode returning call3597
    gc_frame_newslot(call3597);
    if3584 = call3597;
  }
// compilenode returning if3584
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3598 = gc_frame_new();
  if (strlit3599 == NULL) {
    strlit3599 = alloc_String("A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3599);
  }
// compilenode returning strlit3599
  gc_frame_newslot(strlit3599);
// Begin line 1111
  setline(1111);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3600 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3601 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3600);
// compilenode returning call3601
// compilenode returning call3601
  gc_frame_newslot(call3601);
  int callframe3602 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3603 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3602);
// compilenode returning call3603
// compilenode returning call3603
  gc_frame_newslot(call3603);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3599;
  params[1] = call3601;
  params[2] = call3603;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3604 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3598);
// compilenode returning call3604
    gc_frame_newslot(call3604);
    if3567 = call3604;
  } else {
  }
// compilenode returning if3567
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3607 == NULL) {
    strlit3607 = alloc_String("rparen");
    gc_root(strlit3607);
  }
// compilenode returning strlit3607
  int op_slot_right_3606 = gc_frame_newslot(strlit3607);
  int callframe3609 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3610 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3609);
// compilenode returning call3610
// compilenode returning call3610
  int op_slot_left_3606 = gc_frame_newslot(call3610);
  params[0] = strlit3607;
  partcv[0] = 1;
  Object opresult3611 = callmethod(call3610, "!=", 1, partcv, params);
// compilenode returning opresult3611
  Object if3605 = done;
  if (istrue(opresult3611)) {
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3612 = gc_frame_new();
  partcv[0] = 0;
  Object call3613 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3612);
// compilenode returning call3613
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3614 = gc_frame_new();
  int callframe3615 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3616 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3615);
// compilenode returning call3616
// compilenode returning call3616
  partcv[0] = 0;
  Object call3617 = callmethod(call3616, "new",
    1, partcv, params);
  gc_frame_end(callframe3614);
// compilenode returning call3617
// compilenode returning call3617
  *var_suggestion = call3617;
  if (call3617 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3618 = gc_frame_new();
  if (strlit3619 == NULL) {
    strlit3619 = alloc_String(")");
    gc_root(strlit3619);
  }
// compilenode returning strlit3619
  gc_frame_newslot(strlit3619);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3619;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3620 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3618);
// compilenode returning call3620
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3621 = gc_frame_new();
  if (strlit3622 == NULL) {
    strlit3622 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3622);
  }
// compilenode returning strlit3622
  gc_frame_newslot(strlit3622);
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3623 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3624 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3623);
// compilenode returning call3624
// compilenode returning call3624
  gc_frame_newslot(call3624);
  int callframe3626 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3627 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3626);
// compilenode returning call3627
// compilenode returning call3627
  int op_slot_right_3625 = gc_frame_newslot(call3627);
  int callframe3629 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3630 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3629);
// compilenode returning call3630
// compilenode returning call3630
  int op_slot_left_3625 = gc_frame_newslot(call3630);
  params[0] = call3627;
  partcv[0] = 1;
  Object sum3631 = callmethod(call3630, "+", 1, partcv, params);
// compilenode returning sum3631
  gc_frame_newslot(sum3631);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3622;
  params[1] = call3624;
  params[2] = sum3631;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3632 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3621);
// compilenode returning call3632
    gc_frame_newslot(call3632);
    if3605 = call3632;
  } else {
  }
// compilenode returning if3605
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3633 = gc_frame_new();
  partcv[0] = 0;
  Object call3634 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3633);
// compilenode returning call3634
    gc_frame_newslot(call3634);
    if3561 = call3634;
  } else {
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3635 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3635
  *var_suggestions = array3635;
  if (array3635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3636 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3637 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3636);
// compilenode returning call3637
  *var_nextTok = call3637;
  if (call3637 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3638 = gc_frame_new();
  int callframe3639 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3640 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3639);
// compilenode returning call3640
// compilenode returning call3640
  partcv[0] = 0;
  Object call3641 = callmethod(call3640, "new",
    1, partcv, params);
  gc_frame_end(callframe3638);
// compilenode returning call3641
// compilenode returning call3641
  *var_suggestion = call3641;
  if (call3641 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3644 = alloc_Boolean(0);
// compilenode returning bool3644
  int op_slot_right_3643 = gc_frame_newslot(bool3644);
// compilenode returning *var_nextTok
  int op_slot_left_3643 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3644;
  partcv[0] = 1;
  Object opresult3646 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3646
  Object if3642 = done;
  if (istrue(opresult3646)) {
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3647 = gc_frame_new();
  if (strlit3648 == NULL) {
    strlit3648 = alloc_String(" }");
    gc_root(strlit3648);
  }
// compilenode returning strlit3648
  gc_frame_newslot(strlit3648);
  int callframe3649 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call3650 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe3649);
// compilenode returning call3650
// compilenode returning call3650
  gc_frame_newslot(call3650);
// compilenode returning *var_suggestion
  params[0] = strlit3648;
  params[1] = call3650;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3651 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3647);
// compilenode returning call3651
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3652 = gc_frame_new();
  if (strlit3653 == NULL) {
    strlit3653 = alloc_String(" {");
    gc_root(strlit3653);
  }
// compilenode returning strlit3653
  gc_frame_newslot(strlit3653);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3653;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3654 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3652);
// compilenode returning call3654
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3655 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3656 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3655);
// compilenode returning call3656
    gc_frame_newslot(call3656);
    if3642 = call3656;
  } else {
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3658 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3658 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3660 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3660
  Object if3657 = done;
  if (istrue(opresult3660)) {
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3661 = gc_frame_new();
  if (strlit3662 == NULL) {
    strlit3662 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit3662);
  }
// compilenode returning strlit3662
  gc_frame_newslot(strlit3662);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3662;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3663 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3661);
// compilenode returning call3663
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3664 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3665 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3664);
// compilenode returning call3665
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1132
  setline(1132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3666 = gc_frame_new();
  int callframe3667 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3668 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3667);
// compilenode returning call3668
// compilenode returning call3668
  partcv[0] = 0;
  Object call3669 = callmethod(call3668, "new",
    1, partcv, params);
  gc_frame_end(callframe3666);
// compilenode returning call3669
// compilenode returning call3669
  *var_suggestion = call3669;
  if (call3669 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3671 = gc_frame_new();
  if (strlit3672 == NULL) {
    strlit3672 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit3672);
  }
// compilenode returning strlit3672
  gc_frame_newslot(strlit3672);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3672;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3673 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3671);
// compilenode returning call3673
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3674 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3675 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3674);
// compilenode returning call3675
    gc_frame_newslot(call3675);
    if3657 = call3675;
  } else {
// Begin line 1136
  setline(1136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3676 = gc_frame_new();
  if (strlit3677 == NULL) {
    strlit3677 = alloc_String(" }");
    gc_root(strlit3677);
  }
// compilenode returning strlit3677
  gc_frame_newslot(strlit3677);
  int callframe3678 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3679 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3678);
// compilenode returning call3679
// compilenode returning call3679
  gc_frame_newslot(call3679);
// compilenode returning *var_suggestion
  params[0] = strlit3677;
  params[1] = call3679;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3680 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3676);
// compilenode returning call3680
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3681 = gc_frame_new();
  if (strlit3682 == NULL) {
    strlit3682 = alloc_String(" {");
    gc_root(strlit3682);
  }
// compilenode returning strlit3682
  gc_frame_newslot(strlit3682);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3682;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3683 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3681);
// compilenode returning call3683
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3684 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3685 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3684);
// compilenode returning call3685
    gc_frame_newslot(call3685);
    if3657 = call3685;
  }
// compilenode returning if3657
    gc_frame_newslot(if3657);
    if3642 = if3657;
  }
// compilenode returning if3642
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3686 = gc_frame_new();
  if (strlit3687 == NULL) {
    strlit3687 = alloc_String("A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3687);
  }
// compilenode returning strlit3687
  gc_frame_newslot(strlit3687);
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3688 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3689 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3688);
// compilenode returning call3689
// compilenode returning call3689
  gc_frame_newslot(call3689);
  int callframe3690 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3691 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3690);
// compilenode returning call3691
// compilenode returning call3691
  gc_frame_newslot(call3691);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3687;
  params[1] = call3689;
  params[2] = call3691;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3692 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3686);
// compilenode returning call3692
    gc_frame_newslot(call3692);
    if3561 = call3692;
  }
// compilenode returning if3561
    gc_frame_newslot(if3561);
    if3555 = if3561;
  }
// compilenode returning if3555
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3693 = gc_frame_new();
  int callframe3694 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3695 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3694);
// compilenode returning call3695
// compilenode returning call3695
  gc_frame_newslot(call3695);
// compilenode returning *var_cases
  params[0] = call3695;
  partcv[0] = 1;
  Object call3696 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe3693);
// compilenode returning call3696
  gc_frame_end(frame);
  return call3696;
}
Object meth_parser__apply3771(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3772 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3773 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3772);
// compilenode returning call3773
  gc_frame_end(frame);
  return call3773;
}
Object meth_parser_trycatch3311(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "trycatch");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_blocksOK = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_tokens = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trycatch (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trycatch");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_catchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "catchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_mainblock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "mainblock");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_finally = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "finally");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3313 = gc_frame_new();
  if (strlit3316 == NULL) {
    strlit3316 = alloc_String("try");
    gc_root(strlit3316);
  }
// compilenode returning strlit3316
  int op_slot_right_3315 = gc_frame_newslot(strlit3316);
  int callframe3318 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3319 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3318);
// compilenode returning call3319
// compilenode returning call3319
  int op_slot_left_3315 = gc_frame_newslot(call3319);
  params[0] = strlit3316;
  partcv[0] = 1;
  Object opresult3320 = callmethod(call3319, "==", 1, partcv, params);
// compilenode returning opresult3320
  int op_slot_right_3314 = gc_frame_newslot(opresult3320);
  int callframe3322 = gc_frame_new();
  if (strlit3323 == NULL) {
    strlit3323 = alloc_String("identifier");
    gc_root(strlit3323);
  }
// compilenode returning strlit3323
  gc_frame_newslot(strlit3323);
  params[0] = strlit3323;
  partcv[0] = 1;
  Object call3324 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3322);
// compilenode returning call3324
  int op_slot_left_3314 = gc_frame_newslot(call3324);
  params[0] = opresult3320;
  partcv[0] = 1;
  Object opresult3325 = callmethod(call3324, "&&", 1, partcv, params);
// compilenode returning opresult3325
  partcv[0] = 0;
  Object call3326 = callmethod(opresult3325, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe3313);
// compilenode returning call3326
  Object if3312 = done;
  if (istrue(call3326)) {
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3327 = alloc_Float64(0);
// compilenode returning num3327
  return num3327;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if3312 = undefined;
  } else {
  }
// compilenode returning if3312
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_catchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3328 = gc_frame_new();
  partcv[0] = 0;
  Object call3329 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3328);
// compilenode returning call3329
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3331 = gc_frame_new();
  if (strlit3332 == NULL) {
    strlit3332 = alloc_String("lbrace");
    gc_root(strlit3332);
  }
// compilenode returning strlit3332
  gc_frame_newslot(strlit3332);
  params[0] = strlit3332;
  partcv[0] = 1;
  Object call3333 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3331);
// compilenode returning call3333
  Object if3330 = done;
  if (istrue(call3333)) {
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3334 = gc_frame_new();
  partcv[0] = 0;
  Object call3335 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3334);
// compilenode returning call3335
    gc_frame_newslot(call3335);
    if3330 = call3335;
  } else {
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3338 == NULL) {
    strlit3338 = alloc_String("lparen");
    gc_root(strlit3338);
  }
// compilenode returning strlit3338
  int op_slot_right_3337 = gc_frame_newslot(strlit3338);
  int callframe3340 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3341 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3340);
// compilenode returning call3341
// compilenode returning call3341
  int op_slot_left_3337 = gc_frame_newslot(call3341);
  params[0] = strlit3338;
  partcv[0] = 1;
  Object opresult3342 = callmethod(call3341, "!=", 1, partcv, params);
// compilenode returning opresult3342
  Object if3336 = done;
  if (istrue(opresult3342)) {
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3343 = gc_frame_new();
  int callframe3344 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3345 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3344);
// compilenode returning call3345
// compilenode returning call3345
  partcv[0] = 0;
  Object call3346 = callmethod(call3345, "new",
    1, partcv, params);
  gc_frame_end(callframe3343);
// compilenode returning call3346
// compilenode returning call3346
  *var_suggestion = call3346;
  if (call3346 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3347 = gc_frame_new();
  Object block3348 = alloc_Block(NULL, NULL, "parser", 1052);
  gc_frame_newslot(block3348);
  block_savedest(block3348);
  Object closure3349 = createclosure(2, "_apply");
  setclosureframe(closure3349, stackframe);
  addtoclosure(closure3349, var_catchTok);
  addtoclosure(closure3349, selfslot);
  struct UserObject *uo3349 = (struct UserObject*)block3348;
  uo3349->data[0] = (Object)closure3349;
  Method *meth_meth_parser__apply3349 = addmethod2pos(block3348, "_apply", &meth_parser__apply3349, 0);
int argcv_meth_parser__apply3349[] = {1};
meth_meth_parser__apply3349->type = alloc_MethodType(1, argcv_meth_parser__apply3349);
  meth_meth_parser__apply3349->definitionModule = modulename;
  meth_meth_parser__apply3349->definitionLine = 1050;
// compilenode returning block3348
  gc_frame_newslot(block3348);
  params[0] = block3348;
  partcv[0] = 1;
  Object call3394 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3347);
// compilenode returning call3394
  *var_nextTok = call3394;
  if (call3394 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3397 = alloc_Boolean(0);
// compilenode returning bool3397
  int op_slot_right_3396 = gc_frame_newslot(bool3397);
// compilenode returning *var_nextTok
  int op_slot_left_3396 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3397;
  partcv[0] = 1;
  Object opresult3399 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3399
  Object if3395 = done;
  if (istrue(opresult3399)) {
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3400 = gc_frame_new();
  if (strlit3401 == NULL) {
    strlit3401 = alloc_String(" {}");
    gc_root(strlit3401);
  }
// compilenode returning strlit3401
  gc_frame_newslot(strlit3401);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit3401;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3402 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3400);
// compilenode returning call3402
    gc_frame_newslot(call3402);
    if3395 = call3402;
  } else {
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3405 == NULL) {
    strlit3405 = alloc_String("rbrace");
    gc_root(strlit3405);
  }
// compilenode returning strlit3405
  int op_slot_right_3404 = gc_frame_newslot(strlit3405);
  int callframe3407 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3408 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3407);
// compilenode returning call3408
// compilenode returning call3408
  int op_slot_left_3404 = gc_frame_newslot(call3408);
  params[0] = strlit3405;
  partcv[0] = 1;
  Object opresult3409 = callmethod(call3408, "==", 1, partcv, params);
// compilenode returning opresult3409
  Object if3403 = done;
  if (istrue(opresult3409)) {
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3410 = gc_frame_new();
  if (strlit3411 == NULL) {
    strlit3411 = alloc_String(" {");
    gc_root(strlit3411);
  }
// compilenode returning strlit3411
  gc_frame_newslot(strlit3411);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit3411;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3412 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3410);
// compilenode returning call3412
    gc_frame_newslot(call3412);
    if3403 = call3412;
  } else {
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3415 == NULL) {
    strlit3415 = alloc_String("rparen");
    gc_root(strlit3415);
  }
// compilenode returning strlit3415
  int op_slot_right_3414 = gc_frame_newslot(strlit3415);
  int callframe3417 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3418 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3417);
// compilenode returning call3418
// compilenode returning call3418
  int op_slot_left_3414 = gc_frame_newslot(call3418);
  params[0] = strlit3415;
  partcv[0] = 1;
  Object opresult3419 = callmethod(call3418, "==", 1, partcv, params);
// compilenode returning opresult3419
  Object if3413 = done;
  if (istrue(opresult3419)) {
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3421 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3421 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3423 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3423
  Object if3420 = done;
  if (istrue(opresult3423)) {
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3424 = gc_frame_new();
  if (strlit3425 == NULL) {
    strlit3425 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3425);
  }
// compilenode returning strlit3425
  gc_frame_newslot(strlit3425);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool3426 = alloc_Boolean(1);
// compilenode returning bool3426
  gc_frame_newslot(bool3426);
// compilenode returning *var_suggestion
  params[0] = strlit3425;
  params[1] = *var_lastToken;
  params[2] = bool3426;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3427 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe3424);
// compilenode returning call3427
    gc_frame_newslot(call3427);
    if3420 = call3427;
  } else {
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3428 = gc_frame_new();
  if (strlit3429 == NULL) {
    strlit3429 = alloc_String("(");
    gc_root(strlit3429);
  }
// compilenode returning strlit3429
  gc_frame_newslot(strlit3429);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool3430 = alloc_Boolean(1);
// compilenode returning bool3430
  gc_frame_newslot(bool3430);
// compilenode returning *var_suggestion
  params[0] = strlit3429;
  params[1] = *var_lastToken;
  params[2] = bool3430;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3431 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe3428);
// compilenode returning call3431
    gc_frame_newslot(call3431);
    if3420 = call3431;
  }
// compilenode returning if3420
    gc_frame_newslot(if3420);
    if3413 = if3420;
  } else {
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3434 == NULL) {
    strlit3434 = alloc_String("identifier");
    gc_root(strlit3434);
  }
// compilenode returning strlit3434
  int op_slot_right_3433 = gc_frame_newslot(strlit3434);
  int callframe3436 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3437 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3436);
// compilenode returning call3437
// compilenode returning call3437
  int op_slot_left_3433 = gc_frame_newslot(call3437);
  params[0] = strlit3434;
  partcv[0] = 1;
  Object opresult3438 = callmethod(call3437, "==", 1, partcv, params);
// compilenode returning opresult3438
  Object if3432 = done;
  if (istrue(opresult3438)) {
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3439 = gc_frame_new();
  if (strlit3440 == NULL) {
    strlit3440 = alloc_String(" {");
    gc_root(strlit3440);
  }
// compilenode returning strlit3440
  gc_frame_newslot(strlit3440);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit3440;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3441 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3439);
// compilenode returning call3441
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3442 = gc_frame_new();
  if (strlit3443 == NULL) {
    strlit3443 = alloc_String("} ");
    gc_root(strlit3443);
  }
// compilenode returning strlit3443
  gc_frame_newslot(strlit3443);
// compilenode returning *var_nextTok
  gc_frame_newslot(*var_nextTok);
// compilenode returning *var_suggestion
  params[0] = strlit3443;
  params[1] = *var_nextTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3444 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3442);
// compilenode returning call3444
    gc_frame_newslot(call3444);
    if3432 = call3444;
  } else {
  }
// compilenode returning if3432
    gc_frame_newslot(if3432);
    if3413 = if3432;
  }
// compilenode returning if3413
    gc_frame_newslot(if3413);
    if3403 = if3413;
  }
// compilenode returning if3403
    gc_frame_newslot(if3403);
    if3395 = if3403;
  }
// compilenode returning if3395
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3445 = gc_frame_new();
  if (strlit3446 == NULL) {
    strlit3446 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3446);
  }
// compilenode returning strlit3446
  gc_frame_newslot(strlit3446);
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3447 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3448 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe3447);
// compilenode returning call3448
// compilenode returning call3448
  gc_frame_newslot(call3448);
  Object num3450 = alloc_Float64(1);
// compilenode returning num3450
  int op_slot_right_3449 = gc_frame_newslot(num3450);
  int callframe3453 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3454 = callmethod(*var_catchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe3453);
// compilenode returning call3454
// compilenode returning call3454
  int op_slot_right_3452 = gc_frame_newslot(call3454);
  int callframe3456 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3457 = callmethod(*var_catchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3456);
// compilenode returning call3457
// compilenode returning call3457
  int op_slot_left_3452 = gc_frame_newslot(call3457);
  params[0] = call3454;
  partcv[0] = 1;
  Object sum3458 = callmethod(call3457, "+", 1, partcv, params);
// compilenode returning sum3458
  int op_slot_left_3449 = gc_frame_newslot(sum3458);
  params[0] = num3450;
  partcv[0] = 1;
  Object sum3459 = callmethod(sum3458, "+", 1, partcv, params);
// compilenode returning sum3459
  gc_frame_newslot(sum3459);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3446;
  params[1] = call3448;
  params[2] = sum3459;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3460 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3445);
// compilenode returning call3460
    gc_frame_newslot(call3460);
    if3336 = call3460;
  } else {
  }
// compilenode returning if3336
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3461 = gc_frame_new();
  partcv[0] = 0;
  Object call3462 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3461);
// compilenode returning call3462
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3464 = gc_frame_new();
  int callframe3465 = gc_frame_new();
  Object block3466 = alloc_Block(NULL, NULL, "parser", 1073);
  gc_frame_newslot(block3466);
  block_savedest(block3466);
  Object closure3467 = createclosure(2, "_apply");
  setclosureframe(closure3467, stackframe);
  addtoclosure(closure3467, var_blocksOK);
  addtoclosure(closure3467, selfslot);
  struct UserObject *uo3467 = (struct UserObject*)block3466;
  uo3467->data[0] = (Object)closure3467;
  Method *meth_meth_parser__apply3467 = addmethod2pos(block3466, "_apply", &meth_parser__apply3467, 0);
int argcv_meth_parser__apply3467[] = {0};
meth_meth_parser__apply3467->type = alloc_MethodType(1, argcv_meth_parser__apply3467);
  meth_meth_parser__apply3467->definitionModule = modulename;
  meth_meth_parser__apply3467->definitionLine = 1073;
// compilenode returning block3466
  gc_frame_newslot(block3466);
  params[0] = block3466;
  partcv[0] = 1;
  Object call3471 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3465);
// compilenode returning call3471
  partcv[0] = 0;
  Object call3472 = callmethod(call3471, "not",
    1, partcv, params);
  gc_frame_end(callframe3464);
// compilenode returning call3472
// compilenode returning call3472
  Object if3463 = done;
  if (istrue(call3472)) {
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3473 = gc_frame_new();
  int callframe3474 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3475 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3474);
// compilenode returning call3475
// compilenode returning call3475
  partcv[0] = 0;
  Object call3476 = callmethod(call3475, "new",
    1, partcv, params);
  gc_frame_end(callframe3473);
// compilenode returning call3476
// compilenode returning call3476
  *var_suggestion = call3476;
  if (call3476 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3477 = gc_frame_new();
  if (strlit3478 == NULL) {
    strlit3478 = alloc_String("rparen");
    gc_root(strlit3478);
  }
// compilenode returning strlit3478
  gc_frame_newslot(strlit3478);
  params[0] = strlit3478;
  partcv[0] = 1;
  Object call3479 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3477);
// compilenode returning call3479
  *var_nextTok = call3479;
  if (call3479 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3481 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3481 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3483 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3483
  Object if3480 = done;
  if (istrue(opresult3483)) {
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3484 = gc_frame_new();
  if (strlit3485 == NULL) {
    strlit3485 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3485);
  }
// compilenode returning strlit3485
  gc_frame_newslot(strlit3485);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3485;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3486 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3484);
// compilenode returning call3486
    gc_frame_newslot(call3486);
    if3480 = call3486;
  } else {
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3487 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3488 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3489 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3488);
// compilenode returning call3489
// compilenode returning call3489
  gc_frame_newslot(call3489);
  Object bool3490 = alloc_Boolean(1);
// compilenode returning bool3490
  gc_frame_newslot(bool3490);
  Object bool3491 = alloc_Boolean(0);
// compilenode returning bool3491
  gc_frame_newslot(bool3491);
  if (strlit3492 == NULL) {
    strlit3492 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3492);
  }
// compilenode returning strlit3492
  gc_frame_newslot(strlit3492);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3489;
  params[2] = bool3490;
  params[3] = bool3491;
  params[4] = strlit3492;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3493 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3487);
// compilenode returning call3493
    gc_frame_newslot(call3493);
    if3480 = call3493;
  }
// compilenode returning if3480
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3494 = gc_frame_new();
  if (strlit3495 == NULL) {
    strlit3495 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3495);
  }
// compilenode returning strlit3495
  gc_frame_newslot(strlit3495);
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3496 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3497 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3496);
// compilenode returning call3497
// compilenode returning call3497
  gc_frame_newslot(call3497);
  int callframe3498 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3499 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3498);
// compilenode returning call3499
// compilenode returning call3499
  gc_frame_newslot(call3499);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3495;
  params[1] = call3497;
  params[2] = call3499;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3500 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3494);
// compilenode returning call3500
    gc_frame_newslot(call3500);
    if3463 = call3500;
  } else {
  }
// compilenode returning if3463
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3503 == NULL) {
    strlit3503 = alloc_String("rparen");
    gc_root(strlit3503);
  }
// compilenode returning strlit3503
  int op_slot_right_3502 = gc_frame_newslot(strlit3503);
  int callframe3505 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3506 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3505);
// compilenode returning call3506
// compilenode returning call3506
  int op_slot_left_3502 = gc_frame_newslot(call3506);
  params[0] = strlit3503;
  partcv[0] = 1;
  Object opresult3507 = callmethod(call3506, "!=", 1, partcv, params);
// compilenode returning opresult3507
  Object if3501 = done;
  if (istrue(opresult3507)) {
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3508 = gc_frame_new();
  partcv[0] = 0;
  Object call3509 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3508);
// compilenode returning call3509
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3510 = gc_frame_new();
  int callframe3511 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3512 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3511);
// compilenode returning call3512
// compilenode returning call3512
  partcv[0] = 0;
  Object call3513 = callmethod(call3512, "new",
    1, partcv, params);
  gc_frame_end(callframe3510);
// compilenode returning call3513
// compilenode returning call3513
  *var_suggestion = call3513;
  if (call3513 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3514 = gc_frame_new();
  if (strlit3515 == NULL) {
    strlit3515 = alloc_String(")");
    gc_root(strlit3515);
  }
// compilenode returning strlit3515
  gc_frame_newslot(strlit3515);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3515;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3516 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3514);
// compilenode returning call3516
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3517 = gc_frame_new();
  if (strlit3518 == NULL) {
    strlit3518 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3518);
  }
// compilenode returning strlit3518
  gc_frame_newslot(strlit3518);
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3519 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3520 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3519);
// compilenode returning call3520
// compilenode returning call3520
  gc_frame_newslot(call3520);
  int callframe3522 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3523 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3522);
// compilenode returning call3523
// compilenode returning call3523
  int op_slot_right_3521 = gc_frame_newslot(call3523);
  int callframe3525 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3526 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3525);
// compilenode returning call3526
// compilenode returning call3526
  int op_slot_left_3521 = gc_frame_newslot(call3526);
  params[0] = call3523;
  partcv[0] = 1;
  Object sum3527 = callmethod(call3526, "+", 1, partcv, params);
// compilenode returning sum3527
  gc_frame_newslot(sum3527);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3518;
  params[1] = call3520;
  params[2] = sum3527;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3528 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3517);
// compilenode returning call3528
    gc_frame_newslot(call3528);
    if3501 = call3528;
  } else {
  }
// compilenode returning if3501
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3529 = gc_frame_new();
  partcv[0] = 0;
  Object call3530 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3529);
// compilenode returning call3530
    gc_frame_newslot(call3530);
    if3330 = call3530;
  }
// compilenode returning if3330
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3531 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3532 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3531);
// compilenode returning call3532
// compilenode returning call3532
  *var_mainblock = call3532;
  if (call3532 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3533 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3533
  *var_cases = array3533;
  if (array3533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3534 = alloc_Boolean(0);
// compilenode returning bool3534
  *var_finally = bool3534;
  if (bool3534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3535 = gc_frame_new();
  Object block3536 = alloc_Block(NULL, NULL, "parser", 1096);
  gc_frame_newslot(block3536);
  block_savedest(block3536);
  Object closure3537 = createclosure(2, "_apply");
  setclosureframe(closure3537, stackframe);
  addtoclosure(closure3537, var_sym);
  addtoclosure(closure3537, selfslot);
  struct UserObject *uo3537 = (struct UserObject*)block3536;
  uo3537->data[0] = (Object)closure3537;
  Method *meth_meth_parser__apply3537 = addmethod2pos(block3536, "_apply", &meth_parser__apply3537, 0);
int argcv_meth_parser__apply3537[] = {0};
meth_meth_parser__apply3537->type = alloc_MethodType(1, argcv_meth_parser__apply3537);
  meth_meth_parser__apply3537->definitionModule = modulename;
  meth_meth_parser__apply3537->definitionLine = 1093;
// compilenode returning block3536
  gc_frame_newslot(block3536);
  Object block3551 = alloc_Block(NULL, NULL, "parser", 1096);
  gc_frame_newslot(block3551);
  block_savedest(block3551);
  Object closure3552 = createclosure(8, "_apply");
  setclosureframe(closure3552, stackframe);
  addtoclosure(closure3552, var_blocksOK);
  addtoclosure(closure3552, var_errormessages);
  addtoclosure(closure3552, var_sym);
  addtoclosure(closure3552, var_lastToken);
  addtoclosure(closure3552, var_tokens);
  addtoclosure(closure3552, var_values);
  addtoclosure(closure3552, var_cases);
  addtoclosure(closure3552, selfslot);
  struct UserObject *uo3552 = (struct UserObject*)block3551;
  uo3552->data[0] = (Object)closure3552;
  Method *meth_meth_parser__apply3552 = addmethod2pos(block3551, "_apply", &meth_parser__apply3552, 0);
int argcv_meth_parser__apply3552[] = {0};
meth_meth_parser__apply3552->type = alloc_MethodType(1, argcv_meth_parser__apply3552);
  meth_meth_parser__apply3552->definitionModule = modulename;
  meth_meth_parser__apply3552->definitionLine = 1096;
// compilenode returning block3551
  gc_frame_newslot(block3551);
  params[0] = block3536;
  params[1] = block3551;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3698 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3535);
// compilenode returning call3698
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3702 == NULL) {
    strlit3702 = alloc_String("case");
    gc_root(strlit3702);
  }
// compilenode returning strlit3702
  int op_slot_right_3701 = gc_frame_newslot(strlit3702);
  int callframe3704 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3705 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3704);
// compilenode returning call3705
// compilenode returning call3705
  int op_slot_left_3701 = gc_frame_newslot(call3705);
  params[0] = strlit3702;
  partcv[0] = 1;
  Object opresult3706 = callmethod(call3705, "==", 1, partcv, params);
// compilenode returning opresult3706
  int op_slot_right_3700 = gc_frame_newslot(opresult3706);
  int callframe3708 = gc_frame_new();
  if (strlit3709 == NULL) {
    strlit3709 = alloc_String("identifier");
    gc_root(strlit3709);
  }
// compilenode returning strlit3709
  gc_frame_newslot(strlit3709);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
  params[0] = strlit3709;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3710 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3708);
// compilenode returning call3710
  int op_slot_left_3700 = gc_frame_newslot(call3710);
  params[0] = opresult3706;
  partcv[0] = 1;
  Object opresult3711 = callmethod(call3710, "&&", 1, partcv, params);
// compilenode returning opresult3711
  Object if3699 = done;
  if (istrue(opresult3711)) {
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3712 = gc_frame_new();
  int callframe3713 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3714 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3713);
// compilenode returning call3714
// compilenode returning call3714
  partcv[0] = 0;
  Object call3715 = callmethod(call3714, "new",
    1, partcv, params);
  gc_frame_end(callframe3712);
// compilenode returning call3715
// compilenode returning call3715
  *var_suggestion = call3715;
  if (call3715 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3716 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit3717 == NULL) {
    strlit3717 = alloc_String("catch");
    gc_root(strlit3717);
  }
// compilenode returning strlit3717
  gc_frame_newslot(strlit3717);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit3717;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3718 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe3716);
// compilenode returning call3718
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3719 = gc_frame_new();
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3721 == NULL) {
    strlit3721 = alloc_String("are no 'case' blocks.");
    gc_root(strlit3721);
  }
// compilenode returning strlit3721
  int op_slot_right_3720 = gc_frame_newslot(strlit3721);
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3724 == NULL) {
    strlit3724 = alloc_String("'try' and then zero or more 'catch' blocks; there ");
    gc_root(strlit3724);
  }
// compilenode returning strlit3724
  int op_slot_right_3723 = gc_frame_newslot(strlit3724);
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3726 == NULL) {
    strlit3726 = alloc_String("A try-catch statement starts with a ");
    gc_root(strlit3726);
  }
// compilenode returning strlit3726
  int op_slot_left_3723 = gc_frame_newslot(strlit3726);
  params[0] = strlit3724;
  partcv[0] = 1;
  Object opresult3727 = callmethod(strlit3726, "++", 1, partcv, params);
// compilenode returning opresult3727
  int op_slot_left_3720 = gc_frame_newslot(opresult3727);
  params[0] = strlit3721;
  partcv[0] = 1;
  Object opresult3728 = callmethod(opresult3727, "++", 1, partcv, params);
// compilenode returning opresult3728
  gc_frame_newslot(opresult3728);
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3729 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3730 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3729);
// compilenode returning call3730
// compilenode returning call3730
  gc_frame_newslot(call3730);
  int callframe3731 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3732 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3731);
// compilenode returning call3732
// compilenode returning call3732
  gc_frame_newslot(call3732);
  Object num3734 = alloc_Float64(3);
// compilenode returning num3734
  int op_slot_right_3733 = gc_frame_newslot(num3734);
  int callframe3736 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3737 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3736);
// compilenode returning call3737
// compilenode returning call3737
  int op_slot_left_3733 = gc_frame_newslot(call3737);
  params[0] = num3734;
  partcv[0] = 1;
  Object sum3738 = callmethod(call3737, "+", 1, partcv, params);
// compilenode returning sum3738
  gc_frame_newslot(sum3738);
// Begin line 1152
  setline(1152);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult3728;
  params[1] = call3730;
  params[2] = call3732;
  params[3] = sum3738;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3739 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3719);
// compilenode returning call3739
    gc_frame_newslot(call3739);
    if3699 = call3739;
  } else {
  }
// compilenode returning if3699
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3743 == NULL) {
    strlit3743 = alloc_String("finally");
    gc_root(strlit3743);
  }
// compilenode returning strlit3743
  int op_slot_right_3742 = gc_frame_newslot(strlit3743);
  int callframe3745 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3746 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3745);
// compilenode returning call3746
// compilenode returning call3746
  int op_slot_left_3742 = gc_frame_newslot(call3746);
  params[0] = strlit3743;
  partcv[0] = 1;
  Object opresult3747 = callmethod(call3746, "==", 1, partcv, params);
// compilenode returning opresult3747
  int op_slot_right_3741 = gc_frame_newslot(opresult3747);
  int callframe3749 = gc_frame_new();
  if (strlit3750 == NULL) {
    strlit3750 = alloc_String("identifier");
    gc_root(strlit3750);
  }
// compilenode returning strlit3750
  gc_frame_newslot(strlit3750);
  params[0] = strlit3750;
  partcv[0] = 1;
  Object call3751 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3749);
// compilenode returning call3751
  int op_slot_left_3741 = gc_frame_newslot(call3751);
  params[0] = opresult3747;
  partcv[0] = 1;
  Object opresult3752 = callmethod(call3751, "&&", 1, partcv, params);
// compilenode returning opresult3752
  Object if3740 = done;
  if (istrue(opresult3752)) {
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3753 = gc_frame_new();
  partcv[0] = 0;
  Object call3754 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3753);
// compilenode returning call3754
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3756 = gc_frame_new();
  if (strlit3757 == NULL) {
    strlit3757 = alloc_String("lbrace");
    gc_root(strlit3757);
  }
// compilenode returning strlit3757
  gc_frame_newslot(strlit3757);
  params[0] = strlit3757;
  partcv[0] = 1;
  Object call3758 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3756);
// compilenode returning call3758
  Object if3755 = done;
  if (istrue(call3758)) {
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3759 = gc_frame_new();
  partcv[0] = 0;
  Object call3760 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3759);
// compilenode returning call3760
    gc_frame_newslot(call3760);
    if3755 = call3760;
  } else {
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3762 = gc_frame_new();
  if (strlit3763 == NULL) {
    strlit3763 = alloc_String("lparen");
    gc_root(strlit3763);
  }
// compilenode returning strlit3763
  gc_frame_newslot(strlit3763);
  params[0] = strlit3763;
  partcv[0] = 1;
  Object call3764 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3762);
// compilenode returning call3764
  Object if3761 = done;
  if (istrue(call3764)) {
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3765 = gc_frame_new();
  partcv[0] = 0;
  Object call3766 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3765);
// compilenode returning call3766
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3768 = gc_frame_new();
  int callframe3769 = gc_frame_new();
  Object block3770 = alloc_Block(NULL, NULL, "parser", 1160);
  gc_frame_newslot(block3770);
  block_savedest(block3770);
  Object closure3771 = createclosure(2, "_apply");
  setclosureframe(closure3771, stackframe);
  addtoclosure(closure3771, var_blocksOK);
  addtoclosure(closure3771, selfslot);
  struct UserObject *uo3771 = (struct UserObject*)block3770;
  uo3771->data[0] = (Object)closure3771;
  Method *meth_meth_parser__apply3771 = addmethod2pos(block3770, "_apply", &meth_parser__apply3771, 0);
int argcv_meth_parser__apply3771[] = {0};
meth_meth_parser__apply3771->type = alloc_MethodType(1, argcv_meth_parser__apply3771);
  meth_meth_parser__apply3771->definitionModule = modulename;
  meth_meth_parser__apply3771->definitionLine = 1160;
// compilenode returning block3770
  gc_frame_newslot(block3770);
  params[0] = block3770;
  partcv[0] = 1;
  Object call3775 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3769);
// compilenode returning call3775
  partcv[0] = 0;
  Object call3776 = callmethod(call3775, "not",
    1, partcv, params);
  gc_frame_end(callframe3768);
// compilenode returning call3776
// compilenode returning call3776
  Object if3767 = done;
  if (istrue(call3776)) {
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3777 = gc_frame_new();
  int callframe3778 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3779 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3778);
// compilenode returning call3779
// compilenode returning call3779
  partcv[0] = 0;
  Object call3780 = callmethod(call3779, "new",
    1, partcv, params);
  gc_frame_end(callframe3777);
// compilenode returning call3780
// compilenode returning call3780
  *var_suggestion = call3780;
  if (call3780 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3781 = gc_frame_new();
  if (strlit3782 == NULL) {
    strlit3782 = alloc_String("rparen");
    gc_root(strlit3782);
  }
// compilenode returning strlit3782
  gc_frame_newslot(strlit3782);
  params[0] = strlit3782;
  partcv[0] = 1;
  Object call3783 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3781);
// compilenode returning call3783
  *var_nextTok = call3783;
  if (call3783 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3785 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3785 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3787 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3787
  Object if3784 = done;
  if (istrue(opresult3787)) {
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3788 = gc_frame_new();
  if (strlit3789 == NULL) {
    strlit3789 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3789);
  }
// compilenode returning strlit3789
  gc_frame_newslot(strlit3789);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3789;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3790 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3788);
// compilenode returning call3790
    gc_frame_newslot(call3790);
    if3784 = call3790;
  } else {
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3791 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3792 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3793 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3792);
// compilenode returning call3793
// compilenode returning call3793
  gc_frame_newslot(call3793);
  Object bool3794 = alloc_Boolean(1);
// compilenode returning bool3794
  gc_frame_newslot(bool3794);
  Object bool3795 = alloc_Boolean(0);
// compilenode returning bool3795
  gc_frame_newslot(bool3795);
  if (strlit3796 == NULL) {
    strlit3796 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3796);
  }
// compilenode returning strlit3796
  gc_frame_newslot(strlit3796);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3793;
  params[2] = bool3794;
  params[3] = bool3795;
  params[4] = strlit3796;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3797 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3791);
// compilenode returning call3797
    gc_frame_newslot(call3797);
    if3784 = call3797;
  }
// compilenode returning if3784
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3798 = gc_frame_new();
  if (strlit3799 == NULL) {
    strlit3799 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit3799);
  }
// compilenode returning strlit3799
  gc_frame_newslot(strlit3799);
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3800 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3801 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3800);
// compilenode returning call3801
// compilenode returning call3801
  gc_frame_newslot(call3801);
  int callframe3802 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3803 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3802);
// compilenode returning call3803
// compilenode returning call3803
  gc_frame_newslot(call3803);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3799;
  params[1] = call3801;
  params[2] = call3803;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3804 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3798);
// compilenode returning call3804
    gc_frame_newslot(call3804);
    if3767 = call3804;
  } else {
  }
// compilenode returning if3767
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3807 == NULL) {
    strlit3807 = alloc_String("rparen");
    gc_root(strlit3807);
  }
// compilenode returning strlit3807
  int op_slot_right_3806 = gc_frame_newslot(strlit3807);
  int callframe3809 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3810 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3809);
// compilenode returning call3810
// compilenode returning call3810
  int op_slot_left_3806 = gc_frame_newslot(call3810);
  params[0] = strlit3807;
  partcv[0] = 1;
  Object opresult3811 = callmethod(call3810, "!=", 1, partcv, params);
// compilenode returning opresult3811
  Object if3805 = done;
  if (istrue(opresult3811)) {
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3812 = gc_frame_new();
  partcv[0] = 0;
  Object call3813 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3812);
// compilenode returning call3813
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3814 = gc_frame_new();
  int callframe3815 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3816 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3815);
// compilenode returning call3816
// compilenode returning call3816
  partcv[0] = 0;
  Object call3817 = callmethod(call3816, "new",
    1, partcv, params);
  gc_frame_end(callframe3814);
// compilenode returning call3817
// compilenode returning call3817
  *var_suggestion = call3817;
  if (call3817 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3818 = gc_frame_new();
  if (strlit3819 == NULL) {
    strlit3819 = alloc_String(")");
    gc_root(strlit3819);
  }
// compilenode returning strlit3819
  gc_frame_newslot(strlit3819);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3819;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3820 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3818);
// compilenode returning call3820
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3821 = gc_frame_new();
  if (strlit3822 == NULL) {
    strlit3822 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3822);
  }
// compilenode returning strlit3822
  gc_frame_newslot(strlit3822);
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3823 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3824 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3823);
// compilenode returning call3824
// compilenode returning call3824
  gc_frame_newslot(call3824);
  int callframe3826 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3827 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3826);
// compilenode returning call3827
// compilenode returning call3827
  int op_slot_right_3825 = gc_frame_newslot(call3827);
  int callframe3829 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3830 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3829);
// compilenode returning call3830
// compilenode returning call3830
  int op_slot_left_3825 = gc_frame_newslot(call3830);
  params[0] = call3827;
  partcv[0] = 1;
  Object sum3831 = callmethod(call3830, "+", 1, partcv, params);
// compilenode returning sum3831
  gc_frame_newslot(sum3831);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3822;
  params[1] = call3824;
  params[2] = sum3831;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3832 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3821);
// compilenode returning call3832
    gc_frame_newslot(call3832);
    if3805 = call3832;
  } else {
  }
// compilenode returning if3805
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3833 = gc_frame_new();
  partcv[0] = 0;
  Object call3834 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3833);
// compilenode returning call3834
    gc_frame_newslot(call3834);
    if3761 = call3834;
  } else {
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3835 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3835
  *var_suggestions = array3835;
  if (array3835 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3836 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3837 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3836);
// compilenode returning call3837
  *var_nextTok = call3837;
  if (call3837 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3838 = gc_frame_new();
  int callframe3839 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3840 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3839);
// compilenode returning call3840
// compilenode returning call3840
  partcv[0] = 0;
  Object call3841 = callmethod(call3840, "new",
    1, partcv, params);
  gc_frame_end(callframe3838);
// compilenode returning call3841
// compilenode returning call3841
  *var_suggestion = call3841;
  if (call3841 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3844 = alloc_Boolean(0);
// compilenode returning bool3844
  int op_slot_right_3843 = gc_frame_newslot(bool3844);
// compilenode returning *var_nextTok
  int op_slot_left_3843 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3844;
  partcv[0] = 1;
  Object opresult3846 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3846
  Object if3842 = done;
  if (istrue(opresult3846)) {
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3847 = gc_frame_new();
  if (strlit3848 == NULL) {
    strlit3848 = alloc_String(" }");
    gc_root(strlit3848);
  }
// compilenode returning strlit3848
  gc_frame_newslot(strlit3848);
  int callframe3849 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call3850 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe3849);
// compilenode returning call3850
// compilenode returning call3850
  gc_frame_newslot(call3850);
// compilenode returning *var_suggestion
  params[0] = strlit3848;
  params[1] = call3850;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3851 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3847);
// compilenode returning call3851
// Begin line 1185
  setline(1185);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3852 = gc_frame_new();
  if (strlit3853 == NULL) {
    strlit3853 = alloc_String(" {");
    gc_root(strlit3853);
  }
// compilenode returning strlit3853
  gc_frame_newslot(strlit3853);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3853;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3854 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3852);
// compilenode returning call3854
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3855 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3856 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3855);
// compilenode returning call3856
    gc_frame_newslot(call3856);
    if3842 = call3856;
  } else {
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1187
  setline(1187);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3858 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3858 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3860 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3860
  Object if3857 = done;
  if (istrue(opresult3860)) {
// Begin line 1188
  setline(1188);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3861 = gc_frame_new();
  if (strlit3862 == NULL) {
    strlit3862 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit3862);
  }
// compilenode returning strlit3862
  gc_frame_newslot(strlit3862);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3862;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3863 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3861);
// compilenode returning call3863
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3864 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3865 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3864);
// compilenode returning call3865
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3866 = gc_frame_new();
  int callframe3867 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3868 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3867);
// compilenode returning call3868
// compilenode returning call3868
  partcv[0] = 0;
  Object call3869 = callmethod(call3868, "new",
    1, partcv, params);
  gc_frame_end(callframe3866);
// compilenode returning call3869
// compilenode returning call3869
  *var_suggestion = call3869;
  if (call3869 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3871 = gc_frame_new();
  if (strlit3872 == NULL) {
    strlit3872 = alloc_String(" { ""\xc2""""\xab""expression""\xc2""""\xbb"" }");
    gc_root(strlit3872);
  }
// compilenode returning strlit3872
  gc_frame_newslot(strlit3872);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3872;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3873 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3871);
// compilenode returning call3873
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3874 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3875 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3874);
// compilenode returning call3875
    gc_frame_newslot(call3875);
    if3857 = call3875;
  } else {
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3876 = gc_frame_new();
  if (strlit3877 == NULL) {
    strlit3877 = alloc_String(" }");
    gc_root(strlit3877);
  }
// compilenode returning strlit3877
  gc_frame_newslot(strlit3877);
  int callframe3878 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3879 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3878);
// compilenode returning call3879
// compilenode returning call3879
  gc_frame_newslot(call3879);
// compilenode returning *var_suggestion
  params[0] = strlit3877;
  params[1] = call3879;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3880 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3876);
// compilenode returning call3880
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3881 = gc_frame_new();
  if (strlit3882 == NULL) {
    strlit3882 = alloc_String(" {");
    gc_root(strlit3882);
  }
// compilenode returning strlit3882
  gc_frame_newslot(strlit3882);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3882;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3883 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3881);
// compilenode returning call3883
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3884 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3885 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3884);
// compilenode returning call3885
    gc_frame_newslot(call3885);
    if3857 = call3885;
  }
// compilenode returning if3857
    gc_frame_newslot(if3857);
    if3842 = if3857;
  }
// compilenode returning if3842
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3886 = gc_frame_new();
  if (strlit3887 == NULL) {
    strlit3887 = alloc_String("A try-finally statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit3887);
  }
// compilenode returning strlit3887
  gc_frame_newslot(strlit3887);
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3888 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3889 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3888);
// compilenode returning call3889
// compilenode returning call3889
  gc_frame_newslot(call3889);
  int callframe3890 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3891 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3890);
// compilenode returning call3891
// compilenode returning call3891
  gc_frame_newslot(call3891);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3887;
  params[1] = call3889;
  params[2] = call3891;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3892 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3886);
// compilenode returning call3892
    gc_frame_newslot(call3892);
    if3761 = call3892;
  }
// compilenode returning if3761
    gc_frame_newslot(if3761);
    if3755 = if3761;
  }
// compilenode returning if3755
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3893 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3894 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3893);
// compilenode returning call3894
// compilenode returning call3894
  *var_finally = call3894;
  if (call3894 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3740 = done;
  } else {
  }
// compilenode returning if3740
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3896 = gc_frame_new();
  int callframe3897 = gc_frame_new();
// compilenode returning *var_mainblock
  gc_frame_newslot(*var_mainblock);
// compilenode returning *var_cases
  gc_frame_newslot(*var_cases);
// compilenode returning *var_finally
  gc_frame_newslot(*var_finally);
  int callframe3898 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3899 = callmethod(*var_ast, "catchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe3898);
// compilenode returning call3899
// compilenode returning call3899
  params[0] = *var_mainblock;
  params[1] = *var_cases;
  params[2] = *var_finally;
  partcv[0] = 3;
  Object call3900 = callmethod(call3899, "new",
    1, partcv, params);
  gc_frame_end(callframe3897);
// compilenode returning call3900
  gc_frame_newslot(call3900);
// compilenode returning *var_values
  params[0] = call3900;
  partcv[0] = 1;
  Object call3901 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3896);
// compilenode returning call3901
// Begin line 1205
  setline(1205);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localmin
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply3952(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_catchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3956 == NULL) {
    strlit3956 = alloc_String("case");
    gc_root(strlit3956);
  }
// compilenode returning strlit3956
  int op_slot_right_3955 = gc_frame_newslot(strlit3956);
  int callframe3958 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3959 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe3958);
// compilenode returning call3959
// compilenode returning call3959
  int op_slot_left_3955 = gc_frame_newslot(call3959);
  params[0] = strlit3956;
  partcv[0] = 1;
  Object opresult3960 = callmethod(call3959, "==", 1, partcv, params);
// compilenode returning opresult3960
  int op_slot_right_3954 = gc_frame_newslot(opresult3960);
  if (strlit3963 == NULL) {
    strlit3963 = alloc_String("identifier");
    gc_root(strlit3963);
  }
// compilenode returning strlit3963
  int op_slot_right_3962 = gc_frame_newslot(strlit3963);
  int callframe3965 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3966 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3965);
// compilenode returning call3966
// compilenode returning call3966
  int op_slot_left_3962 = gc_frame_newslot(call3966);
  params[0] = strlit3963;
  partcv[0] = 1;
  Object opresult3967 = callmethod(call3966, "==", 1, partcv, params);
// compilenode returning opresult3967
  int op_slot_left_3954 = gc_frame_newslot(opresult3967);
  params[0] = opresult3960;
  partcv[0] = 1;
  Object opresult3968 = callmethod(opresult3967, "&&", 1, partcv, params);
// compilenode returning opresult3968
  int op_slot_right_3953 = gc_frame_newslot(opresult3968);
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3973 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3974 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe3973);
// compilenode returning call3974
// compilenode returning call3974
  int op_slot_right_3972 = gc_frame_newslot(call3974);
  int callframe3976 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3977 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe3976);
// compilenode returning call3977
// compilenode returning call3977
  int op_slot_left_3972 = gc_frame_newslot(call3977);
  params[0] = call3974;
  partcv[0] = 1;
  Object opresult3978 = callmethod(call3977, "==", 1, partcv, params);
// compilenode returning opresult3978
  int op_slot_right_3971 = gc_frame_newslot(opresult3978);
  if (strlit3981 == NULL) {
    strlit3981 = alloc_String("rparen");
    gc_root(strlit3981);
  }
// compilenode returning strlit3981
  int op_slot_right_3980 = gc_frame_newslot(strlit3981);
  int callframe3983 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3984 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3983);
// compilenode returning call3984
// compilenode returning call3984
  int op_slot_left_3980 = gc_frame_newslot(call3984);
  params[0] = strlit3981;
  partcv[0] = 1;
  Object opresult3985 = callmethod(call3984, "==", 1, partcv, params);
// compilenode returning opresult3985
  int op_slot_left_3971 = gc_frame_newslot(opresult3985);
  params[0] = opresult3978;
  partcv[0] = 1;
  Object opresult3986 = callmethod(opresult3985, "&&", 1, partcv, params);
// compilenode returning opresult3986
  int op_slot_right_3970 = gc_frame_newslot(opresult3986);
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3989 == NULL) {
    strlit3989 = alloc_String("rbrace");
    gc_root(strlit3989);
  }
// compilenode returning strlit3989
  int op_slot_right_3988 = gc_frame_newslot(strlit3989);
  int callframe3991 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3992 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3991);
// compilenode returning call3992
// compilenode returning call3992
  int op_slot_left_3988 = gc_frame_newslot(call3992);
  params[0] = strlit3989;
  partcv[0] = 1;
  Object opresult3993 = callmethod(call3992, "==", 1, partcv, params);
// compilenode returning opresult3993
  int op_slot_left_3970 = gc_frame_newslot(opresult3993);
  params[0] = opresult3986;
  partcv[0] = 1;
  Object opresult3994 = callmethod(opresult3993, "||", 1, partcv, params);
// compilenode returning opresult3994
  int op_slot_left_3953 = gc_frame_newslot(opresult3994);
  params[0] = opresult3968;
  partcv[0] = 1;
  Object opresult3995 = callmethod(opresult3994, "||", 1, partcv, params);
// compilenode returning opresult3995
  gc_frame_end(frame);
  return opresult3995;
}
Object meth_parser__apply4070(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4071 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4072 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4071);
// compilenode returning call4072
  gc_frame_end(frame);
  return call4072;
}
Object meth_parser__apply4140(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit4143 == NULL) {
    strlit4143 = alloc_String("case");
    gc_root(strlit4143);
  }
// compilenode returning strlit4143
  int op_slot_right_4142 = gc_frame_newslot(strlit4143);
  int callframe4145 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4146 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4145);
// compilenode returning call4146
// compilenode returning call4146
  int op_slot_left_4142 = gc_frame_newslot(call4146);
  params[0] = strlit4143;
  partcv[0] = 1;
  Object opresult4147 = callmethod(call4146, "==", 1, partcv, params);
// compilenode returning opresult4147
  int op_slot_right_4141 = gc_frame_newslot(opresult4147);
  int callframe4149 = gc_frame_new();
  if (strlit4150 == NULL) {
    strlit4150 = alloc_String("identifier");
    gc_root(strlit4150);
  }
// compilenode returning strlit4150
  gc_frame_newslot(strlit4150);
  params[0] = strlit4150;
  partcv[0] = 1;
  Object call4151 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4149);
// compilenode returning call4151
  int op_slot_left_4141 = gc_frame_newslot(call4151);
  params[0] = opresult4147;
  partcv[0] = 1;
  Object opresult4152 = callmethod(call4151, "&&", 1, partcv, params);
// compilenode returning opresult4152
  gc_frame_end(frame);
  return opresult4152;
}
Object meth_parser__apply4174(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4175 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4176 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4175);
// compilenode returning call4176
  gc_frame_end(frame);
  return call4176;
}
Object meth_parser__apply4155(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_cases = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4156 = gc_frame_new();
  partcv[0] = 0;
  Object call4157 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4156);
// compilenode returning call4157
// Begin line 1313
  setline(1313);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4159 = gc_frame_new();
  if (strlit4160 == NULL) {
    strlit4160 = alloc_String("lbrace");
    gc_root(strlit4160);
  }
// compilenode returning strlit4160
  gc_frame_newslot(strlit4160);
  params[0] = strlit4160;
  partcv[0] = 1;
  Object call4161 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4159);
// compilenode returning call4161
  Object if4158 = done;
  if (istrue(call4161)) {
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4162 = gc_frame_new();
  partcv[0] = 0;
  Object call4163 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4162);
// compilenode returning call4163
    gc_frame_newslot(call4163);
    if4158 = call4163;
  } else {
// Begin line 1291
  setline(1291);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4165 = gc_frame_new();
  if (strlit4166 == NULL) {
    strlit4166 = alloc_String("lparen");
    gc_root(strlit4166);
  }
// compilenode returning strlit4166
  gc_frame_newslot(strlit4166);
  params[0] = strlit4166;
  partcv[0] = 1;
  Object call4167 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4165);
// compilenode returning call4167
  Object if4164 = done;
  if (istrue(call4167)) {
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4168 = gc_frame_new();
  partcv[0] = 0;
  Object call4169 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4168);
// compilenode returning call4169
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4171 = gc_frame_new();
  int callframe4172 = gc_frame_new();
  Object block4173 = alloc_Block(NULL, NULL, "parser", 1272);
  gc_frame_newslot(block4173);
  block_savedest(block4173);
  Object closure4174 = createclosure(2, "_apply");
  setclosureframe(closure4174, stackframe);
  addtoclosure(closure4174, var_blocksOK);
  addtoclosure(closure4174, selfslot);
  struct UserObject *uo4174 = (struct UserObject*)block4173;
  uo4174->data[0] = (Object)closure4174;
  Method *meth_meth_parser__apply4174 = addmethod2pos(block4173, "_apply", &meth_parser__apply4174, 0);
int argcv_meth_parser__apply4174[] = {0};
meth_meth_parser__apply4174->type = alloc_MethodType(1, argcv_meth_parser__apply4174);
  meth_meth_parser__apply4174->definitionModule = modulename;
  meth_meth_parser__apply4174->definitionLine = 1272;
// compilenode returning block4173
  gc_frame_newslot(block4173);
  params[0] = block4173;
  partcv[0] = 1;
  Object call4178 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4172);
// compilenode returning call4178
  partcv[0] = 0;
  Object call4179 = callmethod(call4178, "not",
    1, partcv, params);
  gc_frame_end(callframe4171);
// compilenode returning call4179
// compilenode returning call4179
  Object if4170 = done;
  if (istrue(call4179)) {
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4180 = gc_frame_new();
  int callframe4181 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4182 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4181);
// compilenode returning call4182
// compilenode returning call4182
  partcv[0] = 0;
  Object call4183 = callmethod(call4182, "new",
    1, partcv, params);
  gc_frame_end(callframe4180);
// compilenode returning call4183
// compilenode returning call4183
  *var_suggestion = call4183;
  if (call4183 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4184 = gc_frame_new();
  if (strlit4185 == NULL) {
    strlit4185 = alloc_String("rparen");
    gc_root(strlit4185);
  }
// compilenode returning strlit4185
  gc_frame_newslot(strlit4185);
  params[0] = strlit4185;
  partcv[0] = 1;
  Object call4186 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4184);
// compilenode returning call4186
  *var_nextTok = call4186;
  if (call4186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4188 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4188 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4190 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4190
  Object if4187 = done;
  if (istrue(opresult4190)) {
// Begin line 1276
  setline(1276);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4191 = gc_frame_new();
  if (strlit4192 == NULL) {
    strlit4192 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4192);
  }
// compilenode returning strlit4192
  gc_frame_newslot(strlit4192);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4192;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4193 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4191);
// compilenode returning call4193
    gc_frame_newslot(call4193);
    if4187 = call4193;
  } else {
// Begin line 1278
  setline(1278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4194 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4195 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4196 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4195);
// compilenode returning call4196
// compilenode returning call4196
  gc_frame_newslot(call4196);
  Object bool4197 = alloc_Boolean(1);
// compilenode returning bool4197
  gc_frame_newslot(bool4197);
  Object bool4198 = alloc_Boolean(0);
// compilenode returning bool4198
  gc_frame_newslot(bool4198);
  if (strlit4199 == NULL) {
    strlit4199 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4199);
  }
// compilenode returning strlit4199
  gc_frame_newslot(strlit4199);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4196;
  params[2] = bool4197;
  params[3] = bool4198;
  params[4] = strlit4199;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4200 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4194);
// compilenode returning call4200
    gc_frame_newslot(call4200);
    if4187 = call4200;
  }
// compilenode returning if4187
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4201 = gc_frame_new();
  if (strlit4202 == NULL) {
    strlit4202 = alloc_String("A catch statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4202);
  }
// compilenode returning strlit4202
  gc_frame_newslot(strlit4202);
// Begin line 1281
  setline(1281);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4203 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4204 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4203);
// compilenode returning call4204
// compilenode returning call4204
  gc_frame_newslot(call4204);
  int callframe4205 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4206 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4205);
// compilenode returning call4206
// compilenode returning call4206
  gc_frame_newslot(call4206);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4202;
  params[1] = call4204;
  params[2] = call4206;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4207 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4201);
// compilenode returning call4207
    gc_frame_newslot(call4207);
    if4170 = call4207;
  } else {
  }
// compilenode returning if4170
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4210 == NULL) {
    strlit4210 = alloc_String("rparen");
    gc_root(strlit4210);
  }
// compilenode returning strlit4210
  int op_slot_right_4209 = gc_frame_newslot(strlit4210);
  int callframe4212 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4213 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4212);
// compilenode returning call4213
// compilenode returning call4213
  int op_slot_left_4209 = gc_frame_newslot(call4213);
  params[0] = strlit4210;
  partcv[0] = 1;
  Object opresult4214 = callmethod(call4213, "!=", 1, partcv, params);
// compilenode returning opresult4214
  Object if4208 = done;
  if (istrue(opresult4214)) {
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4215 = gc_frame_new();
  partcv[0] = 0;
  Object call4216 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4215);
// compilenode returning call4216
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4217 = gc_frame_new();
  int callframe4218 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4219 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4218);
// compilenode returning call4219
// compilenode returning call4219
  partcv[0] = 0;
  Object call4220 = callmethod(call4219, "new",
    1, partcv, params);
  gc_frame_end(callframe4217);
// compilenode returning call4220
// compilenode returning call4220
  *var_suggestion = call4220;
  if (call4220 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4221 = gc_frame_new();
  if (strlit4222 == NULL) {
    strlit4222 = alloc_String(")");
    gc_root(strlit4222);
  }
// compilenode returning strlit4222
  gc_frame_newslot(strlit4222);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4222;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4223 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4221);
// compilenode returning call4223
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4224 = gc_frame_new();
  if (strlit4225 == NULL) {
    strlit4225 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4225);
  }
// compilenode returning strlit4225
  gc_frame_newslot(strlit4225);
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4226 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4227 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4226);
// compilenode returning call4227
// compilenode returning call4227
  gc_frame_newslot(call4227);
  int callframe4229 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4230 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4229);
// compilenode returning call4230
// compilenode returning call4230
  int op_slot_right_4228 = gc_frame_newslot(call4230);
  int callframe4232 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4233 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4232);
// compilenode returning call4233
// compilenode returning call4233
  int op_slot_left_4228 = gc_frame_newslot(call4233);
  params[0] = call4230;
  partcv[0] = 1;
  Object sum4234 = callmethod(call4233, "+", 1, partcv, params);
// compilenode returning sum4234
  gc_frame_newslot(sum4234);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4225;
  params[1] = call4227;
  params[2] = sum4234;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4235 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4224);
// compilenode returning call4235
    gc_frame_newslot(call4235);
    if4208 = call4235;
  } else {
  }
// compilenode returning if4208
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4236 = gc_frame_new();
  partcv[0] = 0;
  Object call4237 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4236);
// compilenode returning call4237
    gc_frame_newslot(call4237);
    if4164 = call4237;
  } else {
// Begin line 1293
  setline(1293);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4238 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4238
  *var_suggestions = array4238;
  if (array4238 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1293
  setline(1293);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4239 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4240 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4239);
// compilenode returning call4240
  *var_nextTok = call4240;
  if (call4240 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4241 = gc_frame_new();
  int callframe4242 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4243 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4242);
// compilenode returning call4243
// compilenode returning call4243
  partcv[0] = 0;
  Object call4244 = callmethod(call4243, "new",
    1, partcv, params);
  gc_frame_end(callframe4241);
// compilenode returning call4244
// compilenode returning call4244
  *var_suggestion = call4244;
  if (call4244 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4247 = alloc_Boolean(0);
// compilenode returning bool4247
  int op_slot_right_4246 = gc_frame_newslot(bool4247);
// compilenode returning *var_nextTok
  int op_slot_left_4246 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4247;
  partcv[0] = 1;
  Object opresult4249 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4249
  Object if4245 = done;
  if (istrue(opresult4249)) {
// Begin line 1296
  setline(1296);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4250 = gc_frame_new();
  if (strlit4251 == NULL) {
    strlit4251 = alloc_String(" }");
    gc_root(strlit4251);
  }
// compilenode returning strlit4251
  gc_frame_newslot(strlit4251);
  int callframe4252 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call4253 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe4252);
// compilenode returning call4253
// compilenode returning call4253
  gc_frame_newslot(call4253);
// compilenode returning *var_suggestion
  params[0] = strlit4251;
  params[1] = call4253;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4254 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4250);
// compilenode returning call4254
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4255 = gc_frame_new();
  if (strlit4256 == NULL) {
    strlit4256 = alloc_String(" {");
    gc_root(strlit4256);
  }
// compilenode returning strlit4256
  gc_frame_newslot(strlit4256);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4256;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4257 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4255);
// compilenode returning call4257
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4258 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4259 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4258);
// compilenode returning call4259
    gc_frame_newslot(call4259);
    if4245 = call4259;
  } else {
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1299
  setline(1299);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4261 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4261 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4263 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4263
  Object if4260 = done;
  if (istrue(opresult4263)) {
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4264 = gc_frame_new();
  if (strlit4265 == NULL) {
    strlit4265 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4265);
  }
// compilenode returning strlit4265
  gc_frame_newslot(strlit4265);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4265;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4266 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4264);
// compilenode returning call4266
// Begin line 1301
  setline(1301);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4267 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4268 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4267);
// compilenode returning call4268
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4269 = gc_frame_new();
  int callframe4270 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4271 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4270);
// compilenode returning call4271
// compilenode returning call4271
  partcv[0] = 0;
  Object call4272 = callmethod(call4271, "new",
    1, partcv, params);
  gc_frame_end(callframe4269);
// compilenode returning call4272
// compilenode returning call4272
  *var_suggestion = call4272;
  if (call4272 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4274 = gc_frame_new();
  if (strlit4275 == NULL) {
    strlit4275 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit4275);
  }
// compilenode returning strlit4275
  gc_frame_newslot(strlit4275);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4275;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4276 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4274);
// compilenode returning call4276
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4277 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4278 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4277);
// compilenode returning call4278
    gc_frame_newslot(call4278);
    if4260 = call4278;
  } else {
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4279 = gc_frame_new();
  if (strlit4280 == NULL) {
    strlit4280 = alloc_String(" }");
    gc_root(strlit4280);
  }
// compilenode returning strlit4280
  gc_frame_newslot(strlit4280);
  int callframe4281 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4282 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4281);
// compilenode returning call4282
// compilenode returning call4282
  gc_frame_newslot(call4282);
// compilenode returning *var_suggestion
  params[0] = strlit4280;
  params[1] = call4282;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4283 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4279);
// compilenode returning call4283
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4284 = gc_frame_new();
  if (strlit4285 == NULL) {
    strlit4285 = alloc_String(" {");
    gc_root(strlit4285);
  }
// compilenode returning strlit4285
  gc_frame_newslot(strlit4285);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4285;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4286 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4284);
// compilenode returning call4286
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4287 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4288 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4287);
// compilenode returning call4288
    gc_frame_newslot(call4288);
    if4260 = call4288;
  }
// compilenode returning if4260
    gc_frame_newslot(if4260);
    if4245 = if4260;
  }
// compilenode returning if4245
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4289 = gc_frame_new();
  if (strlit4290 == NULL) {
    strlit4290 = alloc_String("A catch statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4290);
  }
// compilenode returning strlit4290
  gc_frame_newslot(strlit4290);
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4291 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4292 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4291);
// compilenode returning call4292
// compilenode returning call4292
  gc_frame_newslot(call4292);
  int callframe4293 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4294 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4293);
// compilenode returning call4294
// compilenode returning call4294
  gc_frame_newslot(call4294);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4290;
  params[1] = call4292;
  params[2] = call4294;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4295 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4289);
// compilenode returning call4295
    gc_frame_newslot(call4295);
    if4164 = call4295;
  }
// compilenode returning if4164
    gc_frame_newslot(if4164);
    if4158 = if4164;
  }
// compilenode returning if4158
// Begin line 1313
  setline(1313);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4296 = gc_frame_new();
  int callframe4297 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4298 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4297);
// compilenode returning call4298
// compilenode returning call4298
  gc_frame_newslot(call4298);
// compilenode returning *var_cases
  params[0] = call4298;
  partcv[0] = 1;
  Object call4299 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe4296);
// compilenode returning call4299
  gc_frame_end(frame);
  return call4299;
}
Object meth_parser__apply4333(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4334 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4335 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4334);
// compilenode returning call4335
  gc_frame_end(frame);
  return call4335;
}
Object meth_parser_catchcase3903(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(17, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "catchcase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_blocksOK = getfromclosure(closure, 5);
  Object *var_values = getfromclosure(closure, 6);
  Object *var_tokens = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for catchcase (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for catchcase");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_catchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "catchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_mainblock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "mainblock");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_finally = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "finally");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3905 = gc_frame_new();
  if (strlit3908 == NULL) {
    strlit3908 = alloc_String("catch");
    gc_root(strlit3908);
  }
// compilenode returning strlit3908
  int op_slot_right_3907 = gc_frame_newslot(strlit3908);
  int callframe3910 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3911 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3910);
// compilenode returning call3911
// compilenode returning call3911
  int op_slot_left_3907 = gc_frame_newslot(call3911);
  params[0] = strlit3908;
  partcv[0] = 1;
  Object opresult3912 = callmethod(call3911, "==", 1, partcv, params);
// compilenode returning opresult3912
  int op_slot_right_3906 = gc_frame_newslot(opresult3912);
  int callframe3914 = gc_frame_new();
  if (strlit3915 == NULL) {
    strlit3915 = alloc_String("identifier");
    gc_root(strlit3915);
  }
// compilenode returning strlit3915
  gc_frame_newslot(strlit3915);
  params[0] = strlit3915;
  partcv[0] = 1;
  Object call3916 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3914);
// compilenode returning call3916
  int op_slot_left_3906 = gc_frame_newslot(call3916);
  params[0] = opresult3912;
  partcv[0] = 1;
  Object opresult3917 = callmethod(call3916, "&&", 1, partcv, params);
// compilenode returning opresult3917
  partcv[0] = 0;
  Object call3918 = callmethod(opresult3917, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe3905);
// compilenode returning call3918
  Object if3904 = done;
  if (istrue(call3918)) {
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1208
  setline(1208);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3919 = alloc_Float64(0);
// compilenode returning num3919
  return num3919;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if3904 = undefined;
  } else {
  }
// compilenode returning if3904
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1212
  setline(1212);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_catchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1212
  setline(1212);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3920 = gc_frame_new();
  partcv[0] = 0;
  Object call3921 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3920);
// compilenode returning call3921
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3922 = gc_frame_new();
// Begin line 1215
  setline(1215);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3924 == NULL) {
    strlit3924 = alloc_String("instead.");
    gc_root(strlit3924);
  }
// compilenode returning strlit3924
  int op_slot_right_3923 = gc_frame_newslot(strlit3924);
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3927 == NULL) {
    strlit3927 = alloc_String("removed in a future version of the compiler. Use try-catch ");
    gc_root(strlit3927);
  }
// compilenode returning strlit3927
  int op_slot_right_3926 = gc_frame_newslot(strlit3927);
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3929 == NULL) {
    strlit3929 = alloc_String("The catch-case statement is deprecated and will be ");
    gc_root(strlit3929);
  }
// compilenode returning strlit3929
  int op_slot_left_3926 = gc_frame_newslot(strlit3929);
  params[0] = strlit3927;
  partcv[0] = 1;
  Object opresult3930 = callmethod(strlit3929, "++", 1, partcv, params);
// compilenode returning opresult3930
  int op_slot_left_3923 = gc_frame_newslot(opresult3930);
  params[0] = strlit3924;
  partcv[0] = 1;
  Object opresult3931 = callmethod(opresult3930, "++", 1, partcv, params);
// compilenode returning opresult3931
  gc_frame_newslot(opresult3931);
// compilenode returning *var_util
  params[0] = opresult3931;
  partcv[0] = 1;
  Object call3932 = callmethod(*var_util, "warning",
    1, partcv, params);
  gc_frame_end(callframe3922);
// compilenode returning call3932
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3934 = gc_frame_new();
  if (strlit3935 == NULL) {
    strlit3935 = alloc_String("lbrace");
    gc_root(strlit3935);
  }
// compilenode returning strlit3935
  gc_frame_newslot(strlit3935);
  params[0] = strlit3935;
  partcv[0] = 1;
  Object call3936 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3934);
// compilenode returning call3936
  Object if3933 = done;
  if (istrue(call3936)) {
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3937 = gc_frame_new();
  partcv[0] = 0;
  Object call3938 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3937);
// compilenode returning call3938
    gc_frame_newslot(call3938);
    if3933 = call3938;
  } else {
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3941 == NULL) {
    strlit3941 = alloc_String("lparen");
    gc_root(strlit3941);
  }
// compilenode returning strlit3941
  int op_slot_right_3940 = gc_frame_newslot(strlit3941);
  int callframe3943 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3944 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3943);
// compilenode returning call3944
// compilenode returning call3944
  int op_slot_left_3940 = gc_frame_newslot(call3944);
  params[0] = strlit3941;
  partcv[0] = 1;
  Object opresult3945 = callmethod(call3944, "!=", 1, partcv, params);
// compilenode returning opresult3945
  Object if3939 = done;
  if (istrue(opresult3945)) {
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1220
  setline(1220);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3946 = gc_frame_new();
  int callframe3947 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3948 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3947);
// compilenode returning call3948
// compilenode returning call3948
  partcv[0] = 0;
  Object call3949 = callmethod(call3948, "new",
    1, partcv, params);
  gc_frame_end(callframe3946);
// compilenode returning call3949
// compilenode returning call3949
  *var_suggestion = call3949;
  if (call3949 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3950 = gc_frame_new();
  Object block3951 = alloc_Block(NULL, NULL, "parser", 1222);
  gc_frame_newslot(block3951);
  block_savedest(block3951);
  Object closure3952 = createclosure(2, "_apply");
  setclosureframe(closure3952, stackframe);
  addtoclosure(closure3952, var_catchTok);
  addtoclosure(closure3952, selfslot);
  struct UserObject *uo3952 = (struct UserObject*)block3951;
  uo3952->data[0] = (Object)closure3952;
  Method *meth_meth_parser__apply3952 = addmethod2pos(block3951, "_apply", &meth_parser__apply3952, 0);
int argcv_meth_parser__apply3952[] = {1};
meth_meth_parser__apply3952->type = alloc_MethodType(1, argcv_meth_parser__apply3952);
  meth_meth_parser__apply3952->definitionModule = modulename;
  meth_meth_parser__apply3952->definitionLine = 1220;
// compilenode returning block3951
  gc_frame_newslot(block3951);
  params[0] = block3951;
  partcv[0] = 1;
  Object call3997 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3950);
// compilenode returning call3997
  *var_nextTok = call3997;
  if (call3997 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1225
  setline(1225);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4000 = alloc_Boolean(0);
// compilenode returning bool4000
  int op_slot_right_3999 = gc_frame_newslot(bool4000);
// compilenode returning *var_nextTok
  int op_slot_left_3999 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4000;
  partcv[0] = 1;
  Object opresult4002 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4002
  Object if3998 = done;
  if (istrue(opresult4002)) {
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4003 = gc_frame_new();
  if (strlit4004 == NULL) {
    strlit4004 = alloc_String(" {}");
    gc_root(strlit4004);
  }
// compilenode returning strlit4004
  gc_frame_newslot(strlit4004);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit4004;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4005 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4003);
// compilenode returning call4005
    gc_frame_newslot(call4005);
    if3998 = call4005;
  } else {
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4008 == NULL) {
    strlit4008 = alloc_String("rbrace");
    gc_root(strlit4008);
  }
// compilenode returning strlit4008
  int op_slot_right_4007 = gc_frame_newslot(strlit4008);
  int callframe4010 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4011 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4010);
// compilenode returning call4011
// compilenode returning call4011
  int op_slot_left_4007 = gc_frame_newslot(call4011);
  params[0] = strlit4008;
  partcv[0] = 1;
  Object opresult4012 = callmethod(call4011, "==", 1, partcv, params);
// compilenode returning opresult4012
  Object if4006 = done;
  if (istrue(opresult4012)) {
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4013 = gc_frame_new();
  if (strlit4014 == NULL) {
    strlit4014 = alloc_String(" {");
    gc_root(strlit4014);
  }
// compilenode returning strlit4014
  gc_frame_newslot(strlit4014);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit4014;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4015 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4013);
// compilenode returning call4015
    gc_frame_newslot(call4015);
    if4006 = call4015;
  } else {
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4018 == NULL) {
    strlit4018 = alloc_String("rparen");
    gc_root(strlit4018);
  }
// compilenode returning strlit4018
  int op_slot_right_4017 = gc_frame_newslot(strlit4018);
  int callframe4020 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4021 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4020);
// compilenode returning call4021
// compilenode returning call4021
  int op_slot_left_4017 = gc_frame_newslot(call4021);
  params[0] = strlit4018;
  partcv[0] = 1;
  Object opresult4022 = callmethod(call4021, "==", 1, partcv, params);
// compilenode returning opresult4022
  Object if4016 = done;
  if (istrue(opresult4022)) {
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4024 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4024 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4026 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4026
  Object if4023 = done;
  if (istrue(opresult4026)) {
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4027 = gc_frame_new();
  if (strlit4028 == NULL) {
    strlit4028 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4028);
  }
// compilenode returning strlit4028
  gc_frame_newslot(strlit4028);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool4029 = alloc_Boolean(1);
// compilenode returning bool4029
  gc_frame_newslot(bool4029);
// compilenode returning *var_suggestion
  params[0] = strlit4028;
  params[1] = *var_lastToken;
  params[2] = bool4029;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4030 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4027);
// compilenode returning call4030
    gc_frame_newslot(call4030);
    if4023 = call4030;
  } else {
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4031 = gc_frame_new();
  if (strlit4032 == NULL) {
    strlit4032 = alloc_String("(");
    gc_root(strlit4032);
  }
// compilenode returning strlit4032
  gc_frame_newslot(strlit4032);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool4033 = alloc_Boolean(1);
// compilenode returning bool4033
  gc_frame_newslot(bool4033);
// compilenode returning *var_suggestion
  params[0] = strlit4032;
  params[1] = *var_lastToken;
  params[2] = bool4033;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4034 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4031);
// compilenode returning call4034
    gc_frame_newslot(call4034);
    if4023 = call4034;
  }
// compilenode returning if4023
    gc_frame_newslot(if4023);
    if4016 = if4023;
  } else {
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4037 == NULL) {
    strlit4037 = alloc_String("identifier");
    gc_root(strlit4037);
  }
// compilenode returning strlit4037
  int op_slot_right_4036 = gc_frame_newslot(strlit4037);
  int callframe4039 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4040 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4039);
// compilenode returning call4040
// compilenode returning call4040
  int op_slot_left_4036 = gc_frame_newslot(call4040);
  params[0] = strlit4037;
  partcv[0] = 1;
  Object opresult4041 = callmethod(call4040, "==", 1, partcv, params);
// compilenode returning opresult4041
  Object if4035 = done;
  if (istrue(opresult4041)) {
// Begin line 1236
  setline(1236);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4042 = gc_frame_new();
  if (strlit4043 == NULL) {
    strlit4043 = alloc_String(" {");
    gc_root(strlit4043);
  }
// compilenode returning strlit4043
  gc_frame_newslot(strlit4043);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit4043;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4044 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4042);
// compilenode returning call4044
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4045 = gc_frame_new();
  if (strlit4046 == NULL) {
    strlit4046 = alloc_String("} ");
    gc_root(strlit4046);
  }
// compilenode returning strlit4046
  gc_frame_newslot(strlit4046);
// compilenode returning *var_nextTok
  gc_frame_newslot(*var_nextTok);
// compilenode returning *var_suggestion
  params[0] = strlit4046;
  params[1] = *var_nextTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4047 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4045);
// compilenode returning call4047
    gc_frame_newslot(call4047);
    if4035 = call4047;
  } else {
  }
// compilenode returning if4035
    gc_frame_newslot(if4035);
    if4016 = if4035;
  }
// compilenode returning if4016
    gc_frame_newslot(if4016);
    if4006 = if4016;
  }
// compilenode returning if4006
    gc_frame_newslot(if4006);
    if3998 = if4006;
  }
// compilenode returning if3998
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4048 = gc_frame_new();
  if (strlit4049 == NULL) {
    strlit4049 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit4049);
  }
// compilenode returning strlit4049
  gc_frame_newslot(strlit4049);
// Begin line 1240
  setline(1240);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4050 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call4051 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4050);
// compilenode returning call4051
// compilenode returning call4051
  gc_frame_newslot(call4051);
  Object num4053 = alloc_Float64(1);
// compilenode returning num4053
  int op_slot_right_4052 = gc_frame_newslot(num4053);
  int callframe4056 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call4057 = callmethod(*var_catchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe4056);
// compilenode returning call4057
// compilenode returning call4057
  int op_slot_right_4055 = gc_frame_newslot(call4057);
  int callframe4059 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call4060 = callmethod(*var_catchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4059);
// compilenode returning call4060
// compilenode returning call4060
  int op_slot_left_4055 = gc_frame_newslot(call4060);
  params[0] = call4057;
  partcv[0] = 1;
  Object sum4061 = callmethod(call4060, "+", 1, partcv, params);
// compilenode returning sum4061
  int op_slot_left_4052 = gc_frame_newslot(sum4061);
  params[0] = num4053;
  partcv[0] = 1;
  Object sum4062 = callmethod(sum4061, "+", 1, partcv, params);
// compilenode returning sum4062
  gc_frame_newslot(sum4062);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4049;
  params[1] = call4051;
  params[2] = sum4062;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4063 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4048);
// compilenode returning call4063
    gc_frame_newslot(call4063);
    if3939 = call4063;
  } else {
  }
// compilenode returning if3939
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4064 = gc_frame_new();
  partcv[0] = 0;
  Object call4065 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4064);
// compilenode returning call4065
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4067 = gc_frame_new();
  int callframe4068 = gc_frame_new();
  Object block4069 = alloc_Block(NULL, NULL, "parser", 1243);
  gc_frame_newslot(block4069);
  block_savedest(block4069);
  Object closure4070 = createclosure(2, "_apply");
  setclosureframe(closure4070, stackframe);
  addtoclosure(closure4070, var_blocksOK);
  addtoclosure(closure4070, selfslot);
  struct UserObject *uo4070 = (struct UserObject*)block4069;
  uo4070->data[0] = (Object)closure4070;
  Method *meth_meth_parser__apply4070 = addmethod2pos(block4069, "_apply", &meth_parser__apply4070, 0);
int argcv_meth_parser__apply4070[] = {0};
meth_meth_parser__apply4070->type = alloc_MethodType(1, argcv_meth_parser__apply4070);
  meth_meth_parser__apply4070->definitionModule = modulename;
  meth_meth_parser__apply4070->definitionLine = 1243;
// compilenode returning block4069
  gc_frame_newslot(block4069);
  params[0] = block4069;
  partcv[0] = 1;
  Object call4074 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4068);
// compilenode returning call4074
  partcv[0] = 0;
  Object call4075 = callmethod(call4074, "not",
    1, partcv, params);
  gc_frame_end(callframe4067);
// compilenode returning call4075
// compilenode returning call4075
  Object if4066 = done;
  if (istrue(call4075)) {
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4076 = gc_frame_new();
  int callframe4077 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4078 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4077);
// compilenode returning call4078
// compilenode returning call4078
  partcv[0] = 0;
  Object call4079 = callmethod(call4078, "new",
    1, partcv, params);
  gc_frame_end(callframe4076);
// compilenode returning call4079
// compilenode returning call4079
  *var_suggestion = call4079;
  if (call4079 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4080 = gc_frame_new();
  if (strlit4081 == NULL) {
    strlit4081 = alloc_String("rparen");
    gc_root(strlit4081);
  }
// compilenode returning strlit4081
  gc_frame_newslot(strlit4081);
  params[0] = strlit4081;
  partcv[0] = 1;
  Object call4082 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4080);
// compilenode returning call4082
  *var_nextTok = call4082;
  if (call4082 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1246
  setline(1246);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4084 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4084 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4086 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4086
  Object if4083 = done;
  if (istrue(opresult4086)) {
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4087 = gc_frame_new();
  if (strlit4088 == NULL) {
    strlit4088 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4088);
  }
// compilenode returning strlit4088
  gc_frame_newslot(strlit4088);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4088;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4089 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4087);
// compilenode returning call4089
    gc_frame_newslot(call4089);
    if4083 = call4089;
  } else {
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4090 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4091 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4092 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4091);
// compilenode returning call4092
// compilenode returning call4092
  gc_frame_newslot(call4092);
  Object bool4093 = alloc_Boolean(1);
// compilenode returning bool4093
  gc_frame_newslot(bool4093);
  Object bool4094 = alloc_Boolean(0);
// compilenode returning bool4094
  gc_frame_newslot(bool4094);
  if (strlit4095 == NULL) {
    strlit4095 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4095);
  }
// compilenode returning strlit4095
  gc_frame_newslot(strlit4095);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4092;
  params[2] = bool4093;
  params[3] = bool4094;
  params[4] = strlit4095;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4096 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4090);
// compilenode returning call4096
    gc_frame_newslot(call4096);
    if4083 = call4096;
  }
// compilenode returning if4083
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4097 = gc_frame_new();
  if (strlit4098 == NULL) {
    strlit4098 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit4098);
  }
// compilenode returning strlit4098
  gc_frame_newslot(strlit4098);
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4099 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4100 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4099);
// compilenode returning call4100
// compilenode returning call4100
  gc_frame_newslot(call4100);
  int callframe4101 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4102 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4101);
// compilenode returning call4102
// compilenode returning call4102
  gc_frame_newslot(call4102);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4098;
  params[1] = call4100;
  params[2] = call4102;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4103 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4097);
// compilenode returning call4103
    gc_frame_newslot(call4103);
    if4066 = call4103;
  } else {
  }
// compilenode returning if4066
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4106 == NULL) {
    strlit4106 = alloc_String("rparen");
    gc_root(strlit4106);
  }
// compilenode returning strlit4106
  int op_slot_right_4105 = gc_frame_newslot(strlit4106);
  int callframe4108 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4109 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4108);
// compilenode returning call4109
// compilenode returning call4109
  int op_slot_left_4105 = gc_frame_newslot(call4109);
  params[0] = strlit4106;
  partcv[0] = 1;
  Object opresult4110 = callmethod(call4109, "!=", 1, partcv, params);
// compilenode returning opresult4110
  Object if4104 = done;
  if (istrue(opresult4110)) {
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4111 = gc_frame_new();
  partcv[0] = 0;
  Object call4112 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4111);
// compilenode returning call4112
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4113 = gc_frame_new();
  int callframe4114 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4115 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4114);
// compilenode returning call4115
// compilenode returning call4115
  partcv[0] = 0;
  Object call4116 = callmethod(call4115, "new",
    1, partcv, params);
  gc_frame_end(callframe4113);
// compilenode returning call4116
// compilenode returning call4116
  *var_suggestion = call4116;
  if (call4116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4117 = gc_frame_new();
  if (strlit4118 == NULL) {
    strlit4118 = alloc_String(")");
    gc_root(strlit4118);
  }
// compilenode returning strlit4118
  gc_frame_newslot(strlit4118);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4118;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4119 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4117);
// compilenode returning call4119
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4120 = gc_frame_new();
  if (strlit4121 == NULL) {
    strlit4121 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4121);
  }
// compilenode returning strlit4121
  gc_frame_newslot(strlit4121);
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4122 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4123 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4122);
// compilenode returning call4123
// compilenode returning call4123
  gc_frame_newslot(call4123);
  int callframe4125 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4126 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4125);
// compilenode returning call4126
// compilenode returning call4126
  int op_slot_right_4124 = gc_frame_newslot(call4126);
  int callframe4128 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4129 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4128);
// compilenode returning call4129
// compilenode returning call4129
  int op_slot_left_4124 = gc_frame_newslot(call4129);
  params[0] = call4126;
  partcv[0] = 1;
  Object sum4130 = callmethod(call4129, "+", 1, partcv, params);
// compilenode returning sum4130
  gc_frame_newslot(sum4130);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4121;
  params[1] = call4123;
  params[2] = sum4130;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4131 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4120);
// compilenode returning call4131
    gc_frame_newslot(call4131);
    if4104 = call4131;
  } else {
  }
// compilenode returning if4104
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4132 = gc_frame_new();
  partcv[0] = 0;
  Object call4133 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4132);
// compilenode returning call4133
    gc_frame_newslot(call4133);
    if3933 = call4133;
  }
// compilenode returning if3933
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4134 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4135 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4134);
// compilenode returning call4135
// compilenode returning call4135
  *var_mainblock = call4135;
  if (call4135 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4136 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4136
  *var_cases = array4136;
  if (array4136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4137 = alloc_Boolean(0);
// compilenode returning bool4137
  *var_finally = bool4137;
  if (bool4137 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4138 = gc_frame_new();
  Object block4139 = alloc_Block(NULL, NULL, "parser", 1266);
  gc_frame_newslot(block4139);
  block_savedest(block4139);
  Object closure4140 = createclosure(2, "_apply");
  setclosureframe(closure4140, stackframe);
  addtoclosure(closure4140, var_sym);
  addtoclosure(closure4140, selfslot);
  struct UserObject *uo4140 = (struct UserObject*)block4139;
  uo4140->data[0] = (Object)closure4140;
  Method *meth_meth_parser__apply4140 = addmethod2pos(block4139, "_apply", &meth_parser__apply4140, 0);
int argcv_meth_parser__apply4140[] = {0};
meth_meth_parser__apply4140->type = alloc_MethodType(1, argcv_meth_parser__apply4140);
  meth_meth_parser__apply4140->definitionModule = modulename;
  meth_meth_parser__apply4140->definitionLine = 1263;
// compilenode returning block4139
  gc_frame_newslot(block4139);
  Object block4154 = alloc_Block(NULL, NULL, "parser", 1266);
  gc_frame_newslot(block4154);
  block_savedest(block4154);
  Object closure4155 = createclosure(8, "_apply");
  setclosureframe(closure4155, stackframe);
  addtoclosure(closure4155, var_blocksOK);
  addtoclosure(closure4155, var_errormessages);
  addtoclosure(closure4155, var_sym);
  addtoclosure(closure4155, var_lastToken);
  addtoclosure(closure4155, var_tokens);
  addtoclosure(closure4155, var_values);
  addtoclosure(closure4155, var_cases);
  addtoclosure(closure4155, selfslot);
  struct UserObject *uo4155 = (struct UserObject*)block4154;
  uo4155->data[0] = (Object)closure4155;
  Method *meth_meth_parser__apply4155 = addmethod2pos(block4154, "_apply", &meth_parser__apply4155, 0);
int argcv_meth_parser__apply4155[] = {0};
meth_meth_parser__apply4155->type = alloc_MethodType(1, argcv_meth_parser__apply4155);
  meth_meth_parser__apply4155->definitionModule = modulename;
  meth_meth_parser__apply4155->definitionLine = 1266;
// compilenode returning block4154
  gc_frame_newslot(block4154);
  params[0] = block4139;
  params[1] = block4154;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4301 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4138);
// compilenode returning call4301
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4305 == NULL) {
    strlit4305 = alloc_String("finally");
    gc_root(strlit4305);
  }
// compilenode returning strlit4305
  int op_slot_right_4304 = gc_frame_newslot(strlit4305);
  int callframe4307 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4308 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4307);
// compilenode returning call4308
// compilenode returning call4308
  int op_slot_left_4304 = gc_frame_newslot(call4308);
  params[0] = strlit4305;
  partcv[0] = 1;
  Object opresult4309 = callmethod(call4308, "==", 1, partcv, params);
// compilenode returning opresult4309
  int op_slot_right_4303 = gc_frame_newslot(opresult4309);
  int callframe4311 = gc_frame_new();
  if (strlit4312 == NULL) {
    strlit4312 = alloc_String("identifier");
    gc_root(strlit4312);
  }
// compilenode returning strlit4312
  gc_frame_newslot(strlit4312);
  params[0] = strlit4312;
  partcv[0] = 1;
  Object call4313 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4311);
// compilenode returning call4313
  int op_slot_left_4303 = gc_frame_newslot(call4313);
  params[0] = opresult4309;
  partcv[0] = 1;
  Object opresult4314 = callmethod(call4313, "&&", 1, partcv, params);
// compilenode returning opresult4314
  Object if4302 = done;
  if (istrue(opresult4314)) {
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4315 = gc_frame_new();
  partcv[0] = 0;
  Object call4316 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4315);
// compilenode returning call4316
// Begin line 1362
  setline(1362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4318 = gc_frame_new();
  if (strlit4319 == NULL) {
    strlit4319 = alloc_String("lbrace");
    gc_root(strlit4319);
  }
// compilenode returning strlit4319
  gc_frame_newslot(strlit4319);
  params[0] = strlit4319;
  partcv[0] = 1;
  Object call4320 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4318);
// compilenode returning call4320
  Object if4317 = done;
  if (istrue(call4320)) {
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4321 = gc_frame_new();
  partcv[0] = 0;
  Object call4322 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4321);
// compilenode returning call4322
    gc_frame_newslot(call4322);
    if4317 = call4322;
  } else {
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1319
  setline(1319);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4324 = gc_frame_new();
  if (strlit4325 == NULL) {
    strlit4325 = alloc_String("lparen");
    gc_root(strlit4325);
  }
// compilenode returning strlit4325
  gc_frame_newslot(strlit4325);
  params[0] = strlit4325;
  partcv[0] = 1;
  Object call4326 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4324);
// compilenode returning call4326
  Object if4323 = done;
  if (istrue(call4326)) {
// Begin line 1320
  setline(1320);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4327 = gc_frame_new();
  partcv[0] = 0;
  Object call4328 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4327);
// compilenode returning call4328
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1321
  setline(1321);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4330 = gc_frame_new();
  int callframe4331 = gc_frame_new();
  Object block4332 = alloc_Block(NULL, NULL, "parser", 1321);
  gc_frame_newslot(block4332);
  block_savedest(block4332);
  Object closure4333 = createclosure(2, "_apply");
  setclosureframe(closure4333, stackframe);
  addtoclosure(closure4333, var_blocksOK);
  addtoclosure(closure4333, selfslot);
  struct UserObject *uo4333 = (struct UserObject*)block4332;
  uo4333->data[0] = (Object)closure4333;
  Method *meth_meth_parser__apply4333 = addmethod2pos(block4332, "_apply", &meth_parser__apply4333, 0);
int argcv_meth_parser__apply4333[] = {0};
meth_meth_parser__apply4333->type = alloc_MethodType(1, argcv_meth_parser__apply4333);
  meth_meth_parser__apply4333->definitionModule = modulename;
  meth_meth_parser__apply4333->definitionLine = 1321;
// compilenode returning block4332
  gc_frame_newslot(block4332);
  params[0] = block4332;
  partcv[0] = 1;
  Object call4337 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4331);
// compilenode returning call4337
  partcv[0] = 0;
  Object call4338 = callmethod(call4337, "not",
    1, partcv, params);
  gc_frame_end(callframe4330);
// compilenode returning call4338
// compilenode returning call4338
  Object if4329 = done;
  if (istrue(call4338)) {
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4339 = gc_frame_new();
  int callframe4340 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4341 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4340);
// compilenode returning call4341
// compilenode returning call4341
  partcv[0] = 0;
  Object call4342 = callmethod(call4341, "new",
    1, partcv, params);
  gc_frame_end(callframe4339);
// compilenode returning call4342
// compilenode returning call4342
  *var_suggestion = call4342;
  if (call4342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4343 = gc_frame_new();
  if (strlit4344 == NULL) {
    strlit4344 = alloc_String("rparen");
    gc_root(strlit4344);
  }
// compilenode returning strlit4344
  gc_frame_newslot(strlit4344);
  params[0] = strlit4344;
  partcv[0] = 1;
  Object call4345 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4343);
// compilenode returning call4345
  *var_nextTok = call4345;
  if (call4345 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4347 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4347 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4349 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4349
  Object if4346 = done;
  if (istrue(opresult4349)) {
// Begin line 1325
  setline(1325);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4350 = gc_frame_new();
  if (strlit4351 == NULL) {
    strlit4351 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4351);
  }
// compilenode returning strlit4351
  gc_frame_newslot(strlit4351);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4351;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4352 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4350);
// compilenode returning call4352
    gc_frame_newslot(call4352);
    if4346 = call4352;
  } else {
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4353 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4354 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4355 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4354);
// compilenode returning call4355
// compilenode returning call4355
  gc_frame_newslot(call4355);
  Object bool4356 = alloc_Boolean(1);
// compilenode returning bool4356
  gc_frame_newslot(bool4356);
  Object bool4357 = alloc_Boolean(0);
// compilenode returning bool4357
  gc_frame_newslot(bool4357);
  if (strlit4358 == NULL) {
    strlit4358 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4358);
  }
// compilenode returning strlit4358
  gc_frame_newslot(strlit4358);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4355;
  params[2] = bool4356;
  params[3] = bool4357;
  params[4] = strlit4358;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4359 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4353);
// compilenode returning call4359
    gc_frame_newslot(call4359);
    if4346 = call4359;
  }
// compilenode returning if4346
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4360 = gc_frame_new();
  if (strlit4361 == NULL) {
    strlit4361 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4361);
  }
// compilenode returning strlit4361
  gc_frame_newslot(strlit4361);
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4362 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4363 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4362);
// compilenode returning call4363
// compilenode returning call4363
  gc_frame_newslot(call4363);
  int callframe4364 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4365 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4364);
// compilenode returning call4365
// compilenode returning call4365
  gc_frame_newslot(call4365);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4361;
  params[1] = call4363;
  params[2] = call4365;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4366 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4360);
// compilenode returning call4366
    gc_frame_newslot(call4366);
    if4329 = call4366;
  } else {
  }
// compilenode returning if4329
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4369 == NULL) {
    strlit4369 = alloc_String("rparen");
    gc_root(strlit4369);
  }
// compilenode returning strlit4369
  int op_slot_right_4368 = gc_frame_newslot(strlit4369);
  int callframe4371 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4372 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4371);
// compilenode returning call4372
// compilenode returning call4372
  int op_slot_left_4368 = gc_frame_newslot(call4372);
  params[0] = strlit4369;
  partcv[0] = 1;
  Object opresult4373 = callmethod(call4372, "!=", 1, partcv, params);
// compilenode returning opresult4373
  Object if4367 = done;
  if (istrue(opresult4373)) {
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4374 = gc_frame_new();
  partcv[0] = 0;
  Object call4375 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4374);
// compilenode returning call4375
// Begin line 1335
  setline(1335);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1334
  setline(1334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4376 = gc_frame_new();
  int callframe4377 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4378 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4377);
// compilenode returning call4378
// compilenode returning call4378
  partcv[0] = 0;
  Object call4379 = callmethod(call4378, "new",
    1, partcv, params);
  gc_frame_end(callframe4376);
// compilenode returning call4379
// compilenode returning call4379
  *var_suggestion = call4379;
  if (call4379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1335
  setline(1335);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4380 = gc_frame_new();
  if (strlit4381 == NULL) {
    strlit4381 = alloc_String(")");
    gc_root(strlit4381);
  }
// compilenode returning strlit4381
  gc_frame_newslot(strlit4381);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4381;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4382 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4380);
// compilenode returning call4382
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4383 = gc_frame_new();
  if (strlit4384 == NULL) {
    strlit4384 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4384);
  }
// compilenode returning strlit4384
  gc_frame_newslot(strlit4384);
// Begin line 1337
  setline(1337);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4385 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4386 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4385);
// compilenode returning call4386
// compilenode returning call4386
  gc_frame_newslot(call4386);
  int callframe4388 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4389 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4388);
// compilenode returning call4389
// compilenode returning call4389
  int op_slot_right_4387 = gc_frame_newslot(call4389);
  int callframe4391 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4392 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4391);
// compilenode returning call4392
// compilenode returning call4392
  int op_slot_left_4387 = gc_frame_newslot(call4392);
  params[0] = call4389;
  partcv[0] = 1;
  Object sum4393 = callmethod(call4392, "+", 1, partcv, params);
// compilenode returning sum4393
  gc_frame_newslot(sum4393);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4384;
  params[1] = call4386;
  params[2] = sum4393;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4394 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4383);
// compilenode returning call4394
    gc_frame_newslot(call4394);
    if4367 = call4394;
  } else {
  }
// compilenode returning if4367
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4395 = gc_frame_new();
  partcv[0] = 0;
  Object call4396 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4395);
// compilenode returning call4396
    gc_frame_newslot(call4396);
    if4323 = call4396;
  } else {
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4397 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4397
  *var_suggestions = array4397;
  if (array4397 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4398 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4399 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4398);
// compilenode returning call4399
  *var_nextTok = call4399;
  if (call4399 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4400 = gc_frame_new();
  int callframe4401 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4402 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4401);
// compilenode returning call4402
// compilenode returning call4402
  partcv[0] = 0;
  Object call4403 = callmethod(call4402, "new",
    1, partcv, params);
  gc_frame_end(callframe4400);
// compilenode returning call4403
// compilenode returning call4403
  *var_suggestion = call4403;
  if (call4403 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4406 = alloc_Boolean(0);
// compilenode returning bool4406
  int op_slot_right_4405 = gc_frame_newslot(bool4406);
// compilenode returning *var_nextTok
  int op_slot_left_4405 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4406;
  partcv[0] = 1;
  Object opresult4408 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4408
  Object if4404 = done;
  if (istrue(opresult4408)) {
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4409 = gc_frame_new();
  if (strlit4410 == NULL) {
    strlit4410 = alloc_String(" }");
    gc_root(strlit4410);
  }
// compilenode returning strlit4410
  gc_frame_newslot(strlit4410);
  int callframe4411 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call4412 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe4411);
// compilenode returning call4412
// compilenode returning call4412
  gc_frame_newslot(call4412);
// compilenode returning *var_suggestion
  params[0] = strlit4410;
  params[1] = call4412;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4413 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4409);
// compilenode returning call4413
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4414 = gc_frame_new();
  if (strlit4415 == NULL) {
    strlit4415 = alloc_String(" {");
    gc_root(strlit4415);
  }
// compilenode returning strlit4415
  gc_frame_newslot(strlit4415);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4415;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4416 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4414);
// compilenode returning call4416
// Begin line 1347
  setline(1347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4417 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4418 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4417);
// compilenode returning call4418
    gc_frame_newslot(call4418);
    if4404 = call4418;
  } else {
// Begin line 1354
  setline(1354);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4420 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4420 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4422 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4422
  Object if4419 = done;
  if (istrue(opresult4422)) {
// Begin line 1349
  setline(1349);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4423 = gc_frame_new();
  if (strlit4424 == NULL) {
    strlit4424 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4424);
  }
// compilenode returning strlit4424
  gc_frame_newslot(strlit4424);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4424;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4425 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4423);
// compilenode returning call4425
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4426 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4427 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4426);
// compilenode returning call4427
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4428 = gc_frame_new();
  int callframe4429 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4430 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4429);
// compilenode returning call4430
// compilenode returning call4430
  partcv[0] = 0;
  Object call4431 = callmethod(call4430, "new",
    1, partcv, params);
  gc_frame_end(callframe4428);
// compilenode returning call4431
// compilenode returning call4431
  *var_suggestion = call4431;
  if (call4431 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4433 = gc_frame_new();
  if (strlit4434 == NULL) {
    strlit4434 = alloc_String(" { ""\xc2""""\xab""expression""\xc2""""\xbb"" }");
    gc_root(strlit4434);
  }
// compilenode returning strlit4434
  gc_frame_newslot(strlit4434);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4434;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4435 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4433);
// compilenode returning call4435
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4436 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4437 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4436);
// compilenode returning call4437
    gc_frame_newslot(call4437);
    if4419 = call4437;
  } else {
// Begin line 1355
  setline(1355);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4438 = gc_frame_new();
  if (strlit4439 == NULL) {
    strlit4439 = alloc_String(" }");
    gc_root(strlit4439);
  }
// compilenode returning strlit4439
  gc_frame_newslot(strlit4439);
  int callframe4440 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4441 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4440);
// compilenode returning call4441
// compilenode returning call4441
  gc_frame_newslot(call4441);
// compilenode returning *var_suggestion
  params[0] = strlit4439;
  params[1] = call4441;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4442 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4438);
// compilenode returning call4442
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4443 = gc_frame_new();
  if (strlit4444 == NULL) {
    strlit4444 = alloc_String(" {");
    gc_root(strlit4444);
  }
// compilenode returning strlit4444
  gc_frame_newslot(strlit4444);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4444;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4445 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4443);
// compilenode returning call4445
// Begin line 1357
  setline(1357);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4446 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4447 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4446);
// compilenode returning call4447
    gc_frame_newslot(call4447);
    if4419 = call4447;
  }
// compilenode returning if4419
    gc_frame_newslot(if4419);
    if4404 = if4419;
  }
// compilenode returning if4404
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4448 = gc_frame_new();
  if (strlit4449 == NULL) {
    strlit4449 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4449);
  }
// compilenode returning strlit4449
  gc_frame_newslot(strlit4449);
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4450 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4451 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4450);
// compilenode returning call4451
// compilenode returning call4451
  gc_frame_newslot(call4451);
  int callframe4452 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4453 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4452);
// compilenode returning call4453
// compilenode returning call4453
  gc_frame_newslot(call4453);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4449;
  params[1] = call4451;
  params[2] = call4453;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4454 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4448);
// compilenode returning call4454
    gc_frame_newslot(call4454);
    if4323 = call4454;
  }
// compilenode returning if4323
    gc_frame_newslot(if4323);
    if4317 = if4323;
  }
// compilenode returning if4317
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1362
  setline(1362);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4455 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4456 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4455);
// compilenode returning call4456
// compilenode returning call4456
  *var_finally = call4456;
  if (call4456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4302 = done;
  } else {
  }
// compilenode returning if4302
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4458 = gc_frame_new();
  int callframe4459 = gc_frame_new();
// compilenode returning *var_mainblock
  gc_frame_newslot(*var_mainblock);
// compilenode returning *var_cases
  gc_frame_newslot(*var_cases);
// compilenode returning *var_finally
  gc_frame_newslot(*var_finally);
  int callframe4460 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call4461 = callmethod(*var_ast, "catchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe4460);
// compilenode returning call4461
// compilenode returning call4461
  params[0] = *var_mainblock;
  params[1] = *var_cases;
  params[2] = *var_finally;
  partcv[0] = 3;
  Object call4462 = callmethod(call4461, "new",
    1, partcv, params);
  gc_frame_end(callframe4459);
// compilenode returning call4462
  gc_frame_newslot(call4462);
// compilenode returning *var_values
  params[0] = call4462;
  partcv[0] = 1;
  Object call4463 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe4458);
// compilenode returning call4463
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localmin
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply4497(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_matchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4501 == NULL) {
    strlit4501 = alloc_String("case");
    gc_root(strlit4501);
  }
// compilenode returning strlit4501
  int op_slot_right_4500 = gc_frame_newslot(strlit4501);
  int callframe4503 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4504 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe4503);
// compilenode returning call4504
// compilenode returning call4504
  int op_slot_left_4500 = gc_frame_newslot(call4504);
  params[0] = strlit4501;
  partcv[0] = 1;
  Object opresult4505 = callmethod(call4504, "==", 1, partcv, params);
// compilenode returning opresult4505
  int op_slot_right_4499 = gc_frame_newslot(opresult4505);
  if (strlit4508 == NULL) {
    strlit4508 = alloc_String("identifier");
    gc_root(strlit4508);
  }
// compilenode returning strlit4508
  int op_slot_right_4507 = gc_frame_newslot(strlit4508);
  int callframe4510 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4511 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4510);
// compilenode returning call4511
// compilenode returning call4511
  int op_slot_left_4507 = gc_frame_newslot(call4511);
  params[0] = strlit4508;
  partcv[0] = 1;
  Object opresult4512 = callmethod(call4511, "==", 1, partcv, params);
// compilenode returning opresult4512
  int op_slot_left_4499 = gc_frame_newslot(opresult4512);
  params[0] = opresult4505;
  partcv[0] = 1;
  Object opresult4513 = callmethod(opresult4512, "&&", 1, partcv, params);
// compilenode returning opresult4513
  int op_slot_right_4498 = gc_frame_newslot(opresult4513);
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4517 = gc_frame_new();
// compilenode returning *var_matchTok
  partcv[0] = 0;
  Object call4518 = callmethod(*var_matchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4517);
// compilenode returning call4518
// compilenode returning call4518
  int op_slot_right_4516 = gc_frame_newslot(call4518);
  int callframe4520 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4521 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe4520);
// compilenode returning call4521
// compilenode returning call4521
  int op_slot_left_4516 = gc_frame_newslot(call4521);
  params[0] = call4518;
  partcv[0] = 1;
  Object opresult4522 = callmethod(call4521, "==", 1, partcv, params);
// compilenode returning opresult4522
  int op_slot_right_4515 = gc_frame_newslot(opresult4522);
  if (strlit4525 == NULL) {
    strlit4525 = alloc_String("rparen");
    gc_root(strlit4525);
  }
// compilenode returning strlit4525
  int op_slot_right_4524 = gc_frame_newslot(strlit4525);
  int callframe4527 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4528 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4527);
// compilenode returning call4528
// compilenode returning call4528
  int op_slot_left_4524 = gc_frame_newslot(call4528);
  params[0] = strlit4525;
  partcv[0] = 1;
  Object opresult4529 = callmethod(call4528, "==", 1, partcv, params);
// compilenode returning opresult4529
  int op_slot_left_4515 = gc_frame_newslot(opresult4529);
  params[0] = opresult4522;
  partcv[0] = 1;
  Object opresult4530 = callmethod(opresult4529, "&&", 1, partcv, params);
// compilenode returning opresult4530
  int op_slot_left_4498 = gc_frame_newslot(opresult4530);
  params[0] = opresult4513;
  partcv[0] = 1;
  Object opresult4531 = callmethod(opresult4530, "||", 1, partcv, params);
// compilenode returning opresult4531
  gc_frame_end(frame);
  return opresult4531;
}
Object meth_parser__apply4593(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4594 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4595 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4594);
// compilenode returning call4595
  gc_frame_end(frame);
  return call4595;
}
Object meth_parser__apply4663(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit4666 == NULL) {
    strlit4666 = alloc_String("case");
    gc_root(strlit4666);
  }
// compilenode returning strlit4666
  int op_slot_right_4665 = gc_frame_newslot(strlit4666);
  int callframe4668 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4669 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4668);
// compilenode returning call4669
// compilenode returning call4669
  int op_slot_left_4665 = gc_frame_newslot(call4669);
  params[0] = strlit4666;
  partcv[0] = 1;
  Object opresult4670 = callmethod(call4669, "==", 1, partcv, params);
// compilenode returning opresult4670
  int op_slot_right_4664 = gc_frame_newslot(opresult4670);
  int callframe4672 = gc_frame_new();
  if (strlit4673 == NULL) {
    strlit4673 = alloc_String("identifier");
    gc_root(strlit4673);
  }
// compilenode returning strlit4673
  gc_frame_newslot(strlit4673);
  params[0] = strlit4673;
  partcv[0] = 1;
  Object call4674 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4672);
// compilenode returning call4674
  int op_slot_left_4664 = gc_frame_newslot(call4674);
  params[0] = opresult4670;
  partcv[0] = 1;
  Object opresult4675 = callmethod(call4674, "&&", 1, partcv, params);
// compilenode returning opresult4675
  gc_frame_end(frame);
  return opresult4675;
}
Object meth_parser__apply4697(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4698 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4699 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4698);
// compilenode returning call4699
  gc_frame_end(frame);
  return call4699;
}
Object meth_parser__apply4678(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_cases = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1418
  setline(1418);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4679 = gc_frame_new();
  partcv[0] = 0;
  Object call4680 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4679);
// compilenode returning call4680
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4682 = gc_frame_new();
  if (strlit4683 == NULL) {
    strlit4683 = alloc_String("lbrace");
    gc_root(strlit4683);
  }
// compilenode returning strlit4683
  gc_frame_newslot(strlit4683);
  params[0] = strlit4683;
  partcv[0] = 1;
  Object call4684 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4682);
// compilenode returning call4684
  Object if4681 = done;
  if (istrue(call4684)) {
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4685 = gc_frame_new();
  partcv[0] = 0;
  Object call4686 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4685);
// compilenode returning call4686
    gc_frame_newslot(call4686);
    if4681 = call4686;
  } else {
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1421
  setline(1421);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4688 = gc_frame_new();
  if (strlit4689 == NULL) {
    strlit4689 = alloc_String("lparen");
    gc_root(strlit4689);
  }
// compilenode returning strlit4689
  gc_frame_newslot(strlit4689);
  params[0] = strlit4689;
  partcv[0] = 1;
  Object call4690 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4688);
// compilenode returning call4690
  Object if4687 = done;
  if (istrue(call4690)) {
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4691 = gc_frame_new();
  partcv[0] = 0;
  Object call4692 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4691);
// compilenode returning call4692
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4694 = gc_frame_new();
  int callframe4695 = gc_frame_new();
  Object block4696 = alloc_Block(NULL, NULL, "parser", 1423);
  gc_frame_newslot(block4696);
  block_savedest(block4696);
  Object closure4697 = createclosure(2, "_apply");
  setclosureframe(closure4697, stackframe);
  addtoclosure(closure4697, var_blocksOK);
  addtoclosure(closure4697, selfslot);
  struct UserObject *uo4697 = (struct UserObject*)block4696;
  uo4697->data[0] = (Object)closure4697;
  Method *meth_meth_parser__apply4697 = addmethod2pos(block4696, "_apply", &meth_parser__apply4697, 0);
int argcv_meth_parser__apply4697[] = {0};
meth_meth_parser__apply4697->type = alloc_MethodType(1, argcv_meth_parser__apply4697);
  meth_meth_parser__apply4697->definitionModule = modulename;
  meth_meth_parser__apply4697->definitionLine = 1423;
// compilenode returning block4696
  gc_frame_newslot(block4696);
  params[0] = block4696;
  partcv[0] = 1;
  Object call4701 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4695);
// compilenode returning call4701
  partcv[0] = 0;
  Object call4702 = callmethod(call4701, "not",
    1, partcv, params);
  gc_frame_end(callframe4694);
// compilenode returning call4702
// compilenode returning call4702
  Object if4693 = done;
  if (istrue(call4702)) {
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4703 = gc_frame_new();
  int callframe4704 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4705 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4704);
// compilenode returning call4705
// compilenode returning call4705
  partcv[0] = 0;
  Object call4706 = callmethod(call4705, "new",
    1, partcv, params);
  gc_frame_end(callframe4703);
// compilenode returning call4706
// compilenode returning call4706
  *var_suggestion = call4706;
  if (call4706 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4707 = gc_frame_new();
  if (strlit4708 == NULL) {
    strlit4708 = alloc_String("rparen");
    gc_root(strlit4708);
  }
// compilenode returning strlit4708
  gc_frame_newslot(strlit4708);
  params[0] = strlit4708;
  partcv[0] = 1;
  Object call4709 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4707);
// compilenode returning call4709
  *var_nextTok = call4709;
  if (call4709 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4711 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4711 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4713 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4713
  Object if4710 = done;
  if (istrue(opresult4713)) {
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4714 = gc_frame_new();
  if (strlit4715 == NULL) {
    strlit4715 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4715);
  }
// compilenode returning strlit4715
  gc_frame_newslot(strlit4715);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4715;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4716 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4714);
// compilenode returning call4716
    gc_frame_newslot(call4716);
    if4710 = call4716;
  } else {
// Begin line 1429
  setline(1429);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4717 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4718 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4719 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4718);
// compilenode returning call4719
// compilenode returning call4719
  gc_frame_newslot(call4719);
  Object bool4720 = alloc_Boolean(1);
// compilenode returning bool4720
  gc_frame_newslot(bool4720);
  Object bool4721 = alloc_Boolean(0);
// compilenode returning bool4721
  gc_frame_newslot(bool4721);
  if (strlit4722 == NULL) {
    strlit4722 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4722);
  }
// compilenode returning strlit4722
  gc_frame_newslot(strlit4722);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4719;
  params[2] = bool4720;
  params[3] = bool4721;
  params[4] = strlit4722;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4723 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4717);
// compilenode returning call4723
    gc_frame_newslot(call4723);
    if4710 = call4723;
  }
// compilenode returning if4710
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4724 = gc_frame_new();
  if (strlit4725 == NULL) {
    strlit4725 = alloc_String("A match statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4725);
  }
// compilenode returning strlit4725
  gc_frame_newslot(strlit4725);
// Begin line 1432
  setline(1432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4726 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4727 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4726);
// compilenode returning call4727
// compilenode returning call4727
  gc_frame_newslot(call4727);
  int callframe4728 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4729 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4728);
// compilenode returning call4729
// compilenode returning call4729
  gc_frame_newslot(call4729);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4725;
  params[1] = call4727;
  params[2] = call4729;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4730 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4724);
// compilenode returning call4730
    gc_frame_newslot(call4730);
    if4693 = call4730;
  } else {
  }
// compilenode returning if4693
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4733 == NULL) {
    strlit4733 = alloc_String("rparen");
    gc_root(strlit4733);
  }
// compilenode returning strlit4733
  int op_slot_right_4732 = gc_frame_newslot(strlit4733);
  int callframe4735 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4736 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4735);
// compilenode returning call4736
// compilenode returning call4736
  int op_slot_left_4732 = gc_frame_newslot(call4736);
  params[0] = strlit4733;
  partcv[0] = 1;
  Object opresult4737 = callmethod(call4736, "!=", 1, partcv, params);
// compilenode returning opresult4737
  Object if4731 = done;
  if (istrue(opresult4737)) {
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4738 = gc_frame_new();
  partcv[0] = 0;
  Object call4739 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4738);
// compilenode returning call4739
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4740 = gc_frame_new();
  int callframe4741 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4742 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4741);
// compilenode returning call4742
// compilenode returning call4742
  partcv[0] = 0;
  Object call4743 = callmethod(call4742, "new",
    1, partcv, params);
  gc_frame_end(callframe4740);
// compilenode returning call4743
// compilenode returning call4743
  *var_suggestion = call4743;
  if (call4743 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4744 = gc_frame_new();
  if (strlit4745 == NULL) {
    strlit4745 = alloc_String(")");
    gc_root(strlit4745);
  }
// compilenode returning strlit4745
  gc_frame_newslot(strlit4745);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4745;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4746 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4744);
// compilenode returning call4746
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4747 = gc_frame_new();
  if (strlit4748 == NULL) {
    strlit4748 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4748);
  }
// compilenode returning strlit4748
  gc_frame_newslot(strlit4748);
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4749 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4750 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4749);
// compilenode returning call4750
// compilenode returning call4750
  gc_frame_newslot(call4750);
  int callframe4752 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4753 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4752);
// compilenode returning call4753
// compilenode returning call4753
  int op_slot_right_4751 = gc_frame_newslot(call4753);
  int callframe4755 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4756 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4755);
// compilenode returning call4756
// compilenode returning call4756
  int op_slot_left_4751 = gc_frame_newslot(call4756);
  params[0] = call4753;
  partcv[0] = 1;
  Object sum4757 = callmethod(call4756, "+", 1, partcv, params);
// compilenode returning sum4757
  gc_frame_newslot(sum4757);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4748;
  params[1] = call4750;
  params[2] = sum4757;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4758 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4747);
// compilenode returning call4758
    gc_frame_newslot(call4758);
    if4731 = call4758;
  } else {
  }
// compilenode returning if4731
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4759 = gc_frame_new();
  partcv[0] = 0;
  Object call4760 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4759);
// compilenode returning call4760
    gc_frame_newslot(call4760);
    if4687 = call4760;
  } else {
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1443
  setline(1443);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4761 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4761
  *var_suggestions = array4761;
  if (array4761 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4762 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4763 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4762);
// compilenode returning call4763
  *var_nextTok = call4763;
  if (call4763 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4764 = gc_frame_new();
  int callframe4765 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4766 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4765);
// compilenode returning call4766
// compilenode returning call4766
  partcv[0] = 0;
  Object call4767 = callmethod(call4766, "new",
    1, partcv, params);
  gc_frame_end(callframe4764);
// compilenode returning call4767
// compilenode returning call4767
  *var_suggestion = call4767;
  if (call4767 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4770 = alloc_Boolean(0);
// compilenode returning bool4770
  int op_slot_right_4769 = gc_frame_newslot(bool4770);
// compilenode returning *var_nextTok
  int op_slot_left_4769 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4770;
  partcv[0] = 1;
  Object opresult4772 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4772
  Object if4768 = done;
  if (istrue(opresult4772)) {
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4773 = gc_frame_new();
  if (strlit4774 == NULL) {
    strlit4774 = alloc_String(" }");
    gc_root(strlit4774);
  }
// compilenode returning strlit4774
  gc_frame_newslot(strlit4774);
  int callframe4775 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call4776 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe4775);
// compilenode returning call4776
// compilenode returning call4776
  gc_frame_newslot(call4776);
// compilenode returning *var_suggestion
  params[0] = strlit4774;
  params[1] = call4776;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4777 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4773);
// compilenode returning call4777
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4778 = gc_frame_new();
  if (strlit4779 == NULL) {
    strlit4779 = alloc_String(" {");
    gc_root(strlit4779);
  }
// compilenode returning strlit4779
  gc_frame_newslot(strlit4779);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4779;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4780 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4778);
// compilenode returning call4780
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4781 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4782 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4781);
// compilenode returning call4782
    gc_frame_newslot(call4782);
    if4768 = call4782;
  } else {
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4784 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4784 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4786 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4786
  Object if4783 = done;
  if (istrue(opresult4786)) {
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4787 = gc_frame_new();
  if (strlit4788 == NULL) {
    strlit4788 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4788);
  }
// compilenode returning strlit4788
  gc_frame_newslot(strlit4788);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4788;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4789 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4787);
// compilenode returning call4789
// Begin line 1452
  setline(1452);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4790 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4791 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4790);
// compilenode returning call4791
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4792 = gc_frame_new();
  int callframe4793 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4794 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4793);
// compilenode returning call4794
// compilenode returning call4794
  partcv[0] = 0;
  Object call4795 = callmethod(call4794, "new",
    1, partcv, params);
  gc_frame_end(callframe4792);
// compilenode returning call4795
// compilenode returning call4795
  *var_suggestion = call4795;
  if (call4795 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4797 = gc_frame_new();
  if (strlit4798 == NULL) {
    strlit4798 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit4798);
  }
// compilenode returning strlit4798
  gc_frame_newslot(strlit4798);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4798;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4799 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4797);
// compilenode returning call4799
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4800 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4801 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4800);
// compilenode returning call4801
    gc_frame_newslot(call4801);
    if4783 = call4801;
  } else {
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4802 = gc_frame_new();
  if (strlit4803 == NULL) {
    strlit4803 = alloc_String(" }");
    gc_root(strlit4803);
  }
// compilenode returning strlit4803
  gc_frame_newslot(strlit4803);
  int callframe4804 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4805 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4804);
// compilenode returning call4805
// compilenode returning call4805
  gc_frame_newslot(call4805);
// compilenode returning *var_suggestion
  params[0] = strlit4803;
  params[1] = call4805;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4806 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4802);
// compilenode returning call4806
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4807 = gc_frame_new();
  if (strlit4808 == NULL) {
    strlit4808 = alloc_String(" {");
    gc_root(strlit4808);
  }
// compilenode returning strlit4808
  gc_frame_newslot(strlit4808);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4808;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4809 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4807);
// compilenode returning call4809
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4810 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4811 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4810);
// compilenode returning call4811
    gc_frame_newslot(call4811);
    if4783 = call4811;
  }
// compilenode returning if4783
    gc_frame_newslot(if4783);
    if4768 = if4783;
  }
// compilenode returning if4768
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4812 = gc_frame_new();
  if (strlit4813 == NULL) {
    strlit4813 = alloc_String("A match statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4813);
  }
// compilenode returning strlit4813
  gc_frame_newslot(strlit4813);
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4814 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4815 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4814);
// compilenode returning call4815
// compilenode returning call4815
  gc_frame_newslot(call4815);
  int callframe4816 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4817 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4816);
// compilenode returning call4817
// compilenode returning call4817
  gc_frame_newslot(call4817);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4813;
  params[1] = call4815;
  params[2] = call4817;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4818 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4812);
// compilenode returning call4818
    gc_frame_newslot(call4818);
    if4687 = call4818;
  }
// compilenode returning if4687
    gc_frame_newslot(if4687);
    if4681 = if4687;
  }
// compilenode returning if4681
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4819 = gc_frame_new();
  int callframe4820 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4821 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4820);
// compilenode returning call4821
// compilenode returning call4821
  gc_frame_newslot(call4821);
// compilenode returning *var_cases
  params[0] = call4821;
  partcv[0] = 1;
  Object call4822 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe4819);
// compilenode returning call4822
  gc_frame_end(frame);
  return call4822;
}
Object meth_parser_matchcase4465(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchcase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_tokens = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for matchcase (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for matchcase");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_matchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "matchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_matchee = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "matchee");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_elsecase = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "elsecase");
// Begin line 1371
  setline(1371);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4467 = gc_frame_new();
  if (strlit4470 == NULL) {
    strlit4470 = alloc_String("match");
    gc_root(strlit4470);
  }
// compilenode returning strlit4470
  int op_slot_right_4469 = gc_frame_newslot(strlit4470);
  int callframe4472 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4473 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4472);
// compilenode returning call4473
// compilenode returning call4473
  int op_slot_left_4469 = gc_frame_newslot(call4473);
  params[0] = strlit4470;
  partcv[0] = 1;
  Object opresult4474 = callmethod(call4473, "==", 1, partcv, params);
// compilenode returning opresult4474
  int op_slot_right_4468 = gc_frame_newslot(opresult4474);
  int callframe4476 = gc_frame_new();
  if (strlit4477 == NULL) {
    strlit4477 = alloc_String("identifier");
    gc_root(strlit4477);
  }
// compilenode returning strlit4477
  gc_frame_newslot(strlit4477);
  params[0] = strlit4477;
  partcv[0] = 1;
  Object call4478 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4476);
// compilenode returning call4478
  int op_slot_left_4468 = gc_frame_newslot(call4478);
  params[0] = opresult4474;
  partcv[0] = 1;
  Object opresult4479 = callmethod(call4478, "&&", 1, partcv, params);
// compilenode returning opresult4479
  partcv[0] = 0;
  Object call4480 = callmethod(opresult4479, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe4467);
// compilenode returning call4480
  Object if4466 = done;
  if (istrue(call4480)) {
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1369
  setline(1369);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num4481 = alloc_Float64(0);
// compilenode returning num4481
  return num4481;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if4466 = undefined;
  } else {
  }
// compilenode returning if4466
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1371
  setline(1371);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_matchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4482 = gc_frame_new();
  partcv[0] = 0;
  Object call4483 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4482);
// compilenode returning call4483
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1374
  setline(1374);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4486 == NULL) {
    strlit4486 = alloc_String("lparen");
    gc_root(strlit4486);
  }
// compilenode returning strlit4486
  int op_slot_right_4485 = gc_frame_newslot(strlit4486);
  int callframe4488 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4489 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4488);
// compilenode returning call4489
// compilenode returning call4489
  int op_slot_left_4485 = gc_frame_newslot(call4489);
  params[0] = strlit4486;
  partcv[0] = 1;
  Object opresult4490 = callmethod(call4489, "!=", 1, partcv, params);
// compilenode returning opresult4490
  Object if4484 = done;
  if (istrue(opresult4490)) {
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4491 = gc_frame_new();
  int callframe4492 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4493 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4492);
// compilenode returning call4493
// compilenode returning call4493
  partcv[0] = 0;
  Object call4494 = callmethod(call4493, "new",
    1, partcv, params);
  gc_frame_end(callframe4491);
// compilenode returning call4494
// compilenode returning call4494
  *var_suggestion = call4494;
  if (call4494 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4495 = gc_frame_new();
  Object block4496 = alloc_Block(NULL, NULL, "parser", 1377);
  gc_frame_newslot(block4496);
  block_savedest(block4496);
  Object closure4497 = createclosure(2, "_apply");
  setclosureframe(closure4497, stackframe);
  addtoclosure(closure4497, var_matchTok);
  addtoclosure(closure4497, selfslot);
  struct UserObject *uo4497 = (struct UserObject*)block4496;
  uo4497->data[0] = (Object)closure4497;
  Method *meth_meth_parser__apply4497 = addmethod2pos(block4496, "_apply", &meth_parser__apply4497, 0);
int argcv_meth_parser__apply4497[] = {1};
meth_meth_parser__apply4497->type = alloc_MethodType(1, argcv_meth_parser__apply4497);
  meth_meth_parser__apply4497->definitionModule = modulename;
  meth_meth_parser__apply4497->definitionLine = 1375;
// compilenode returning block4496
  gc_frame_newslot(block4496);
  params[0] = block4496;
  partcv[0] = 1;
  Object call4533 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4495);
// compilenode returning call4533
  *var_nextTok = call4533;
  if (call4533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4536 = alloc_Boolean(0);
// compilenode returning bool4536
  int op_slot_right_4535 = gc_frame_newslot(bool4536);
// compilenode returning *var_nextTok
  int op_slot_left_4535 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4536;
  partcv[0] = 1;
  Object opresult4538 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4538
  Object if4534 = done;
  if (istrue(opresult4538)) {
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4539 = gc_frame_new();
  if (strlit4540 == NULL) {
    strlit4540 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4540);
  }
// compilenode returning strlit4540
  gc_frame_newslot(strlit4540);
// compilenode returning *var_matchTok
  gc_frame_newslot(*var_matchTok);
// compilenode returning *var_suggestion
  params[0] = strlit4540;
  params[1] = *var_matchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4541 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4539);
// compilenode returning call4541
    gc_frame_newslot(call4541);
    if4534 = call4541;
  } else {
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4544 == NULL) {
    strlit4544 = alloc_String("rparen");
    gc_root(strlit4544);
  }
// compilenode returning strlit4544
  int op_slot_right_4543 = gc_frame_newslot(strlit4544);
  int callframe4546 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4547 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4546);
// compilenode returning call4547
// compilenode returning call4547
  int op_slot_left_4543 = gc_frame_newslot(call4547);
  params[0] = strlit4544;
  partcv[0] = 1;
  Object opresult4548 = callmethod(call4547, "==", 1, partcv, params);
// compilenode returning opresult4548
  Object if4542 = done;
  if (istrue(opresult4548)) {
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4550 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4550 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4552 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4552
  Object if4549 = done;
  if (istrue(opresult4552)) {
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4553 = gc_frame_new();
  if (strlit4554 == NULL) {
    strlit4554 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4554);
  }
// compilenode returning strlit4554
  gc_frame_newslot(strlit4554);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit4554;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4555 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4553);
// compilenode returning call4555
    gc_frame_newslot(call4555);
    if4549 = call4555;
  } else {
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4556 = gc_frame_new();
  if (strlit4557 == NULL) {
    strlit4557 = alloc_String("(");
    gc_root(strlit4557);
  }
// compilenode returning strlit4557
  gc_frame_newslot(strlit4557);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit4557;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4558 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4556);
// compilenode returning call4558
    gc_frame_newslot(call4558);
    if4549 = call4558;
  }
// compilenode returning if4549
    gc_frame_newslot(if4549);
    if4542 = if4549;
  } else {
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4561 == NULL) {
    strlit4561 = alloc_String("identifier");
    gc_root(strlit4561);
  }
// compilenode returning strlit4561
  int op_slot_right_4560 = gc_frame_newslot(strlit4561);
  int callframe4563 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4564 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4563);
// compilenode returning call4564
// compilenode returning call4564
  int op_slot_left_4560 = gc_frame_newslot(call4564);
  params[0] = strlit4561;
  partcv[0] = 1;
  Object opresult4565 = callmethod(call4564, "==", 1, partcv, params);
// compilenode returning opresult4565
  Object if4559 = done;
  if (istrue(opresult4565)) {
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4566 = gc_frame_new();
  if (strlit4567 == NULL) {
    strlit4567 = alloc_String("(");
    gc_root(strlit4567);
  }
// compilenode returning strlit4567
  gc_frame_newslot(strlit4567);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit4567;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4568 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4566);
// compilenode returning call4568
// Begin line 1389
  setline(1389);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4569 = gc_frame_new();
  if (strlit4570 == NULL) {
    strlit4570 = alloc_String(")");
    gc_root(strlit4570);
  }
// compilenode returning strlit4570
  gc_frame_newslot(strlit4570);
  int callframe4571 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4572 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4571);
// compilenode returning call4572
// compilenode returning call4572
  gc_frame_newslot(call4572);
  Object bool4573 = alloc_Boolean(1);
// compilenode returning bool4573
  gc_frame_newslot(bool4573);
// compilenode returning *var_suggestion
  params[0] = strlit4570;
  params[1] = call4572;
  params[2] = bool4573;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4574 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4569);
// compilenode returning call4574
    gc_frame_newslot(call4574);
    if4559 = call4574;
  } else {
  }
// compilenode returning if4559
    gc_frame_newslot(if4559);
    if4542 = if4559;
  }
// compilenode returning if4542
    gc_frame_newslot(if4542);
    if4534 = if4542;
  }
// compilenode returning if4534
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4575 = gc_frame_new();
  if (strlit4576 == NULL) {
    strlit4576 = alloc_String("A match statement must have an expression in parentheses after the 'match'.");
    gc_root(strlit4576);
  }
// compilenode returning strlit4576
  gc_frame_newslot(strlit4576);
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4577 = gc_frame_new();
// compilenode returning *var_matchTok
  partcv[0] = 0;
  Object call4578 = callmethod(*var_matchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4577);
// compilenode returning call4578
// compilenode returning call4578
  gc_frame_newslot(call4578);
  int callframe4580 = gc_frame_new();
// compilenode returning *var_matchTok
  partcv[0] = 0;
  Object call4581 = callmethod(*var_matchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe4580);
// compilenode returning call4581
// compilenode returning call4581
  int op_slot_right_4579 = gc_frame_newslot(call4581);
  int callframe4583 = gc_frame_new();
// compilenode returning *var_matchTok
  partcv[0] = 0;
  Object call4584 = callmethod(*var_matchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4583);
// compilenode returning call4584
// compilenode returning call4584
  int op_slot_left_4579 = gc_frame_newslot(call4584);
  params[0] = call4581;
  partcv[0] = 1;
  Object sum4585 = callmethod(call4584, "+", 1, partcv, params);
// compilenode returning sum4585
  gc_frame_newslot(sum4585);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4576;
  params[1] = call4578;
  params[2] = sum4585;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4586 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4575);
// compilenode returning call4586
    gc_frame_newslot(call4586);
    if4484 = call4586;
  } else {
  }
// compilenode returning if4484
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4587 = gc_frame_new();
  partcv[0] = 0;
  Object call4588 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4587);
// compilenode returning call4588
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4590 = gc_frame_new();
  int callframe4591 = gc_frame_new();
  Object block4592 = alloc_Block(NULL, NULL, "parser", 1395);
  gc_frame_newslot(block4592);
  block_savedest(block4592);
  Object closure4593 = createclosure(2, "_apply");
  setclosureframe(closure4593, stackframe);
  addtoclosure(closure4593, var_blocksOK);
  addtoclosure(closure4593, selfslot);
  struct UserObject *uo4593 = (struct UserObject*)block4592;
  uo4593->data[0] = (Object)closure4593;
  Method *meth_meth_parser__apply4593 = addmethod2pos(block4592, "_apply", &meth_parser__apply4593, 0);
int argcv_meth_parser__apply4593[] = {0};
meth_meth_parser__apply4593->type = alloc_MethodType(1, argcv_meth_parser__apply4593);
  meth_meth_parser__apply4593->definitionModule = modulename;
  meth_meth_parser__apply4593->definitionLine = 1395;
// compilenode returning block4592
  gc_frame_newslot(block4592);
  params[0] = block4592;
  partcv[0] = 1;
  Object call4597 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4591);
// compilenode returning call4597
  partcv[0] = 0;
  Object call4598 = callmethod(call4597, "not",
    1, partcv, params);
  gc_frame_end(callframe4590);
// compilenode returning call4598
// compilenode returning call4598
  Object if4589 = done;
  if (istrue(call4598)) {
// Begin line 1397
  setline(1397);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4599 = gc_frame_new();
  int callframe4600 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4601 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4600);
// compilenode returning call4601
// compilenode returning call4601
  partcv[0] = 0;
  Object call4602 = callmethod(call4601, "new",
    1, partcv, params);
  gc_frame_end(callframe4599);
// compilenode returning call4602
// compilenode returning call4602
  *var_suggestion = call4602;
  if (call4602 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1397
  setline(1397);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4603 = gc_frame_new();
  if (strlit4604 == NULL) {
    strlit4604 = alloc_String("rparen");
    gc_root(strlit4604);
  }
// compilenode returning strlit4604
  gc_frame_newslot(strlit4604);
  params[0] = strlit4604;
  partcv[0] = 1;
  Object call4605 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4603);
// compilenode returning call4605
  *var_nextTok = call4605;
  if (call4605 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4607 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4607 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4609 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4609
  Object if4606 = done;
  if (istrue(opresult4609)) {
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4610 = gc_frame_new();
  if (strlit4611 == NULL) {
    strlit4611 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4611);
  }
// compilenode returning strlit4611
  gc_frame_newslot(strlit4611);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4611;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4612 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4610);
// compilenode returning call4612
    gc_frame_newslot(call4612);
    if4606 = call4612;
  } else {
// Begin line 1401
  setline(1401);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4613 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4614 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4615 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4614);
// compilenode returning call4615
// compilenode returning call4615
  gc_frame_newslot(call4615);
  Object bool4616 = alloc_Boolean(1);
// compilenode returning bool4616
  gc_frame_newslot(bool4616);
  Object bool4617 = alloc_Boolean(0);
// compilenode returning bool4617
  gc_frame_newslot(bool4617);
  if (strlit4618 == NULL) {
    strlit4618 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4618);
  }
// compilenode returning strlit4618
  gc_frame_newslot(strlit4618);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4615;
  params[2] = bool4616;
  params[3] = bool4617;
  params[4] = strlit4618;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4619 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4613);
// compilenode returning call4619
    gc_frame_newslot(call4619);
    if4606 = call4619;
  }
// compilenode returning if4606
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4620 = gc_frame_new();
  if (strlit4621 == NULL) {
    strlit4621 = alloc_String("A match statement must have an expression in parentheses after the 'match'.");
    gc_root(strlit4621);
  }
// compilenode returning strlit4621
  gc_frame_newslot(strlit4621);
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4622 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4623 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4622);
// compilenode returning call4623
// compilenode returning call4623
  gc_frame_newslot(call4623);
  int callframe4624 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4625 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4624);
// compilenode returning call4625
// compilenode returning call4625
  gc_frame_newslot(call4625);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4621;
  params[1] = call4623;
  params[2] = call4625;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4626 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4620);
// compilenode returning call4626
    gc_frame_newslot(call4626);
    if4589 = call4626;
  } else {
  }
// compilenode returning if4589
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4627 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4628 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4627);
// compilenode returning call4628
// compilenode returning call4628
  *var_matchee = call4628;
  if (call4628 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4631 == NULL) {
    strlit4631 = alloc_String("rparen");
    gc_root(strlit4631);
  }
// compilenode returning strlit4631
  int op_slot_right_4630 = gc_frame_newslot(strlit4631);
  int callframe4633 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4634 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4633);
// compilenode returning call4634
// compilenode returning call4634
  int op_slot_left_4630 = gc_frame_newslot(call4634);
  params[0] = strlit4631;
  partcv[0] = 1;
  Object opresult4635 = callmethod(call4634, "!=", 1, partcv, params);
// compilenode returning opresult4635
  Object if4629 = done;
  if (istrue(opresult4635)) {
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4636 = gc_frame_new();
  partcv[0] = 0;
  Object call4637 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4636);
// compilenode returning call4637
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1409
  setline(1409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4638 = gc_frame_new();
  int callframe4639 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4640 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4639);
// compilenode returning call4640
// compilenode returning call4640
  partcv[0] = 0;
  Object call4641 = callmethod(call4640, "new",
    1, partcv, params);
  gc_frame_end(callframe4638);
// compilenode returning call4641
// compilenode returning call4641
  *var_suggestion = call4641;
  if (call4641 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4642 = gc_frame_new();
  if (strlit4643 == NULL) {
    strlit4643 = alloc_String(")");
    gc_root(strlit4643);
  }
// compilenode returning strlit4643
  gc_frame_newslot(strlit4643);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4643;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4644 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4642);
// compilenode returning call4644
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4645 = gc_frame_new();
  if (strlit4646 == NULL) {
    strlit4646 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4646);
  }
// compilenode returning strlit4646
  gc_frame_newslot(strlit4646);
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4647 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4648 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4647);
// compilenode returning call4648
// compilenode returning call4648
  gc_frame_newslot(call4648);
  int callframe4650 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4651 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4650);
// compilenode returning call4651
// compilenode returning call4651
  int op_slot_right_4649 = gc_frame_newslot(call4651);
  int callframe4653 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4654 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4653);
// compilenode returning call4654
// compilenode returning call4654
  int op_slot_left_4649 = gc_frame_newslot(call4654);
  params[0] = call4651;
  partcv[0] = 1;
  Object sum4655 = callmethod(call4654, "+", 1, partcv, params);
// compilenode returning sum4655
  gc_frame_newslot(sum4655);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4646;
  params[1] = call4648;
  params[2] = sum4655;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4656 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4645);
// compilenode returning call4656
    gc_frame_newslot(call4656);
    if4629 = call4656;
  } else {
  }
// compilenode returning if4629
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4657 = gc_frame_new();
  partcv[0] = 0;
  Object call4658 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4657);
// compilenode returning call4658
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4659 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4659
  *var_cases = array4659;
  if (array4659 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4660 = alloc_Boolean(0);
// compilenode returning bool4660
  *var_elsecase = bool4660;
  if (bool4660 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4661 = gc_frame_new();
  Object block4662 = alloc_Block(NULL, NULL, "parser", 1417);
  gc_frame_newslot(block4662);
  block_savedest(block4662);
  Object closure4663 = createclosure(2, "_apply");
  setclosureframe(closure4663, stackframe);
  addtoclosure(closure4663, var_sym);
  addtoclosure(closure4663, selfslot);
  struct UserObject *uo4663 = (struct UserObject*)block4662;
  uo4663->data[0] = (Object)closure4663;
  Method *meth_meth_parser__apply4663 = addmethod2pos(block4662, "_apply", &meth_parser__apply4663, 0);
int argcv_meth_parser__apply4663[] = {0};
meth_meth_parser__apply4663->type = alloc_MethodType(1, argcv_meth_parser__apply4663);
  meth_meth_parser__apply4663->definitionModule = modulename;
  meth_meth_parser__apply4663->definitionLine = 1412;
// compilenode returning block4662
  gc_frame_newslot(block4662);
  Object block4677 = alloc_Block(NULL, NULL, "parser", 1417);
  gc_frame_newslot(block4677);
  block_savedest(block4677);
  Object closure4678 = createclosure(8, "_apply");
  setclosureframe(closure4678, stackframe);
  addtoclosure(closure4678, var_blocksOK);
  addtoclosure(closure4678, var_errormessages);
  addtoclosure(closure4678, var_sym);
  addtoclosure(closure4678, var_lastToken);
  addtoclosure(closure4678, var_tokens);
  addtoclosure(closure4678, var_values);
  addtoclosure(closure4678, var_cases);
  addtoclosure(closure4678, selfslot);
  struct UserObject *uo4678 = (struct UserObject*)block4677;
  uo4678->data[0] = (Object)closure4678;
  Method *meth_meth_parser__apply4678 = addmethod2pos(block4677, "_apply", &meth_parser__apply4678, 0);
int argcv_meth_parser__apply4678[] = {0};
meth_meth_parser__apply4678->type = alloc_MethodType(1, argcv_meth_parser__apply4678);
  meth_meth_parser__apply4678->definitionModule = modulename;
  meth_meth_parser__apply4678->definitionLine = 1417;
// compilenode returning block4677
  gc_frame_newslot(block4677);
  params[0] = block4662;
  params[1] = block4677;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4824 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4661);
// compilenode returning call4824
// Begin line 1515
  setline(1515);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4825 = gc_frame_new();
  int callframe4826 = gc_frame_new();
// compilenode returning *var_matchee
  gc_frame_newslot(*var_matchee);
// compilenode returning *var_cases
  gc_frame_newslot(*var_cases);
// compilenode returning *var_elsecase
  gc_frame_newslot(*var_elsecase);
  int callframe4827 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call4828 = callmethod(*var_ast, "matchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe4827);
// compilenode returning call4828
// compilenode returning call4828
  params[0] = *var_matchee;
  params[1] = *var_cases;
  params[2] = *var_elsecase;
  partcv[0] = 3;
  Object call4829 = callmethod(call4828, "new",
    1, partcv, params);
  gc_frame_end(callframe4826);
// compilenode returning call4829
  gc_frame_newslot(call4829);
// compilenode returning *var_values
  params[0] = call4829;
  partcv[0] = 1;
  Object call4830 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe4825);
// compilenode returning call4830
// Begin line 1517
  setline(1517);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1516
  setline(1516);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localmin
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply4920(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit4922 == NULL) {
    strlit4922 = alloc_String("type");
    gc_root(strlit4922);
  }
// compilenode returning strlit4922
  int op_slot_right_4921 = gc_frame_newslot(strlit4922);
  int callframe4924 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4925 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4924);
// compilenode returning call4925
// compilenode returning call4925
  int op_slot_left_4921 = gc_frame_newslot(call4925);
  params[0] = strlit4922;
  partcv[0] = 1;
  Object opresult4926 = callmethod(call4925, "==", 1, partcv, params);
// compilenode returning opresult4926
  gc_frame_end(frame);
  return opresult4926;
}
Object meth_parser_term4832(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "term");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for term (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for term");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1547
  setline(1547);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1521
  setline(1521);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4834 = gc_frame_new();
  if (strlit4835 == NULL) {
    strlit4835 = alloc_String("num");
    gc_root(strlit4835);
  }
// compilenode returning strlit4835
  gc_frame_newslot(strlit4835);
  params[0] = strlit4835;
  partcv[0] = 1;
  Object call4836 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4834);
// compilenode returning call4836
  Object if4833 = done;
  if (istrue(call4836)) {
// Begin line 1522
  setline(1522);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4837 = gc_frame_new();
  partcv[0] = 0;
  Object call4838 = callmethodflags(self, "pushnum", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4837);
// compilenode returning call4838
    gc_frame_newslot(call4838);
    if4833 = call4838;
  } else {
// Begin line 1525
  setline(1525);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4840 = gc_frame_new();
  if (strlit4841 == NULL) {
    strlit4841 = alloc_String("string");
    gc_root(strlit4841);
  }
// compilenode returning strlit4841
  gc_frame_newslot(strlit4841);
  params[0] = strlit4841;
  partcv[0] = 1;
  Object call4842 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4840);
// compilenode returning call4842
  Object if4839 = done;
  if (istrue(call4842)) {
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4843 = gc_frame_new();
  partcv[0] = 0;
  Object call4844 = callmethodflags(self, "pushstring", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4843);
// compilenode returning call4844
    gc_frame_newslot(call4844);
    if4839 = call4844;
  } else {
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1525
  setline(1525);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4846 = gc_frame_new();
  if (strlit4847 == NULL) {
    strlit4847 = alloc_String("octets");
    gc_root(strlit4847);
  }
// compilenode returning strlit4847
  gc_frame_newslot(strlit4847);
  params[0] = strlit4847;
  partcv[0] = 1;
  Object call4848 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4846);
// compilenode returning call4848
  Object if4845 = done;
  if (istrue(call4848)) {
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4849 = gc_frame_new();
  partcv[0] = 0;
  Object call4850 = callmethodflags(self, "pushoctets", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4849);
// compilenode returning call4850
    gc_frame_newslot(call4850);
    if4845 = call4850;
  } else {
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4854 == NULL) {
    strlit4854 = alloc_String("match");
    gc_root(strlit4854);
  }
// compilenode returning strlit4854
  int op_slot_right_4853 = gc_frame_newslot(strlit4854);
  int callframe4856 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4857 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4856);
// compilenode returning call4857
// compilenode returning call4857
  int op_slot_left_4853 = gc_frame_newslot(call4857);
  params[0] = strlit4854;
  partcv[0] = 1;
  Object opresult4858 = callmethod(call4857, "==", 1, partcv, params);
// compilenode returning opresult4858
  int op_slot_right_4852 = gc_frame_newslot(opresult4858);
  int callframe4860 = gc_frame_new();
  if (strlit4861 == NULL) {
    strlit4861 = alloc_String("identifier");
    gc_root(strlit4861);
  }
// compilenode returning strlit4861
  gc_frame_newslot(strlit4861);
  params[0] = strlit4861;
  partcv[0] = 1;
  Object call4862 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4860);
// compilenode returning call4862
  int op_slot_left_4852 = gc_frame_newslot(call4862);
  params[0] = opresult4858;
  partcv[0] = 1;
  Object opresult4863 = callmethod(call4862, "&&", 1, partcv, params);
// compilenode returning opresult4863
  Object if4851 = done;
  if (istrue(opresult4863)) {
// Begin line 1528
  setline(1528);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4864 = gc_frame_new();
  partcv[0] = 0;
  Object call4865 = callmethodflags(self, "matchcase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4864);
// compilenode returning call4865
    gc_frame_newslot(call4865);
    if4851 = call4865;
  } else {
// Begin line 1531
  setline(1531);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4869 == NULL) {
    strlit4869 = alloc_String("catch");
    gc_root(strlit4869);
  }
// compilenode returning strlit4869
  int op_slot_right_4868 = gc_frame_newslot(strlit4869);
  int callframe4871 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4872 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4871);
// compilenode returning call4872
// compilenode returning call4872
  int op_slot_left_4868 = gc_frame_newslot(call4872);
  params[0] = strlit4869;
  partcv[0] = 1;
  Object opresult4873 = callmethod(call4872, "==", 1, partcv, params);
// compilenode returning opresult4873
  int op_slot_right_4867 = gc_frame_newslot(opresult4873);
  int callframe4875 = gc_frame_new();
  if (strlit4876 == NULL) {
    strlit4876 = alloc_String("identifier");
    gc_root(strlit4876);
  }
// compilenode returning strlit4876
  gc_frame_newslot(strlit4876);
  params[0] = strlit4876;
  partcv[0] = 1;
  Object call4877 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4875);
// compilenode returning call4877
  int op_slot_left_4867 = gc_frame_newslot(call4877);
  params[0] = opresult4873;
  partcv[0] = 1;
  Object opresult4878 = callmethod(call4877, "&&", 1, partcv, params);
// compilenode returning opresult4878
  Object if4866 = done;
  if (istrue(opresult4878)) {
// Begin line 1530
  setline(1530);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4879 = gc_frame_new();
  partcv[0] = 0;
  Object call4880 = callmethodflags(self, "catchcase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4879);
// compilenode returning call4880
    gc_frame_newslot(call4880);
    if4866 = call4880;
  } else {
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1531
  setline(1531);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4884 == NULL) {
    strlit4884 = alloc_String("try");
    gc_root(strlit4884);
  }
// compilenode returning strlit4884
  int op_slot_right_4883 = gc_frame_newslot(strlit4884);
  int callframe4886 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4887 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4886);
// compilenode returning call4887
// compilenode returning call4887
  int op_slot_left_4883 = gc_frame_newslot(call4887);
  params[0] = strlit4884;
  partcv[0] = 1;
  Object opresult4888 = callmethod(call4887, "==", 1, partcv, params);
// compilenode returning opresult4888
  int op_slot_right_4882 = gc_frame_newslot(opresult4888);
  int callframe4890 = gc_frame_new();
  if (strlit4891 == NULL) {
    strlit4891 = alloc_String("identifier");
    gc_root(strlit4891);
  }
// compilenode returning strlit4891
  gc_frame_newslot(strlit4891);
  params[0] = strlit4891;
  partcv[0] = 1;
  Object call4892 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4890);
// compilenode returning call4892
  int op_slot_left_4882 = gc_frame_newslot(call4892);
  params[0] = opresult4888;
  partcv[0] = 1;
  Object opresult4893 = callmethod(call4892, "&&", 1, partcv, params);
// compilenode returning opresult4893
  Object if4881 = done;
  if (istrue(opresult4893)) {
// Begin line 1532
  setline(1532);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4894 = gc_frame_new();
  partcv[0] = 0;
  Object call4895 = callmethodflags(self, "trycatch", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4894);
// compilenode returning call4895
    gc_frame_newslot(call4895);
    if4881 = call4895;
  } else {
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4897 = gc_frame_new();
  if (strlit4898 == NULL) {
    strlit4898 = alloc_String("identifier");
    gc_root(strlit4898);
  }
// compilenode returning strlit4898
  gc_frame_newslot(strlit4898);
  params[0] = strlit4898;
  partcv[0] = 1;
  Object call4899 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4897);
// compilenode returning call4899
  Object if4896 = done;
  if (istrue(call4899)) {
// Begin line 1534
  setline(1534);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4900 = gc_frame_new();
  partcv[0] = 0;
  Object call4901 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4900);
// compilenode returning call4901
    gc_frame_newslot(call4901);
    if4896 = call4901;
  } else {
// Begin line 1537
  setline(1537);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4905 == NULL) {
    strlit4905 = alloc_String("object");
    gc_root(strlit4905);
  }
// compilenode returning strlit4905
  int op_slot_right_4904 = gc_frame_newslot(strlit4905);
  int callframe4907 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4908 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4907);
// compilenode returning call4908
// compilenode returning call4908
  int op_slot_left_4904 = gc_frame_newslot(call4908);
  params[0] = strlit4905;
  partcv[0] = 1;
  Object opresult4909 = callmethod(call4908, "==", 1, partcv, params);
// compilenode returning opresult4909
  int op_slot_right_4903 = gc_frame_newslot(opresult4909);
  int callframe4911 = gc_frame_new();
  if (strlit4912 == NULL) {
    strlit4912 = alloc_String("keyword");
    gc_root(strlit4912);
  }
// compilenode returning strlit4912
  gc_frame_newslot(strlit4912);
  params[0] = strlit4912;
  partcv[0] = 1;
  Object call4913 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4911);
// compilenode returning call4913
  int op_slot_left_4903 = gc_frame_newslot(call4913);
  params[0] = opresult4909;
  partcv[0] = 1;
  Object opresult4914 = callmethod(call4913, "&&", 1, partcv, params);
// compilenode returning opresult4914
  Object if4902 = done;
  if (istrue(opresult4914)) {
// Begin line 1536
  setline(1536);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4915 = gc_frame_new();
  partcv[0] = 0;
  Object call4916 = callmethodflags(self, "doobject", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4915);
// compilenode returning call4916
    gc_frame_newslot(call4916);
    if4902 = call4916;
  } else {
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1537
  setline(1537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4918 = gc_frame_new();
  Object block4919 = alloc_Block(NULL, NULL, "parser", 1537);
  gc_frame_newslot(block4919);
  block_savedest(block4919);
  Object closure4920 = createclosure(2, "_apply");
  setclosureframe(closure4920, stackframe);
  addtoclosure(closure4920, var_sym);
  addtoclosure(closure4920, selfslot);
  struct UserObject *uo4920 = (struct UserObject*)block4919;
  uo4920->data[0] = (Object)closure4920;
  Method *meth_meth_parser__apply4920 = addmethod2pos(block4919, "_apply", &meth_parser__apply4920, 0);
int argcv_meth_parser__apply4920[] = {0};
meth_meth_parser__apply4920->type = alloc_MethodType(1, argcv_meth_parser__apply4920);
  meth_meth_parser__apply4920->definitionModule = modulename;
  meth_meth_parser__apply4920->definitionLine = 1535;
// compilenode returning block4919
  gc_frame_newslot(block4919);
  int callframe4928 = gc_frame_new();
  if (strlit4929 == NULL) {
    strlit4929 = alloc_String("keyword");
    gc_root(strlit4929);
  }
// compilenode returning strlit4929
  gc_frame_newslot(strlit4929);
  params[0] = strlit4929;
  partcv[0] = 1;
  Object call4930 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4928);
// compilenode returning call4930
  params[0] = block4919;
  partcv[0] = 1;
  Object call4931 = callmethod(call4930, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe4918);
// compilenode returning call4931
  Object if4917 = done;
  if (istrue(call4931)) {
// Begin line 1538
  setline(1538);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4932 = gc_frame_new();
  partcv[0] = 0;
  Object call4933 = callmethodflags(self, "dotypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4932);
// compilenode returning call4933
    gc_frame_newslot(call4933);
    if4917 = call4933;
  } else {
// Begin line 1541
  setline(1541);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4935 = gc_frame_new();
  if (strlit4936 == NULL) {
    strlit4936 = alloc_String("lbrace");
    gc_root(strlit4936);
  }
// compilenode returning strlit4936
  gc_frame_newslot(strlit4936);
  params[0] = strlit4936;
  partcv[0] = 1;
  Object call4937 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4935);
// compilenode returning call4937
  Object if4934 = done;
  if (istrue(call4937)) {
// Begin line 1540
  setline(1540);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4938 = gc_frame_new();
  partcv[0] = 0;
  Object call4939 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4938);
// compilenode returning call4939
    gc_frame_newslot(call4939);
    if4934 = call4939;
  } else {
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1541
  setline(1541);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4941 = gc_frame_new();
  if (strlit4942 == NULL) {
    strlit4942 = alloc_String("lsquare");
    gc_root(strlit4942);
  }
// compilenode returning strlit4942
  gc_frame_newslot(strlit4942);
  params[0] = strlit4942;
  partcv[0] = 1;
  Object call4943 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4941);
// compilenode returning call4943
  Object if4940 = done;
  if (istrue(call4943)) {
// Begin line 1542
  setline(1542);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4944 = gc_frame_new();
  partcv[0] = 0;
  Object call4945 = callmethodflags(self, "doarray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4944);
// compilenode returning call4945
    gc_frame_newslot(call4945);
    if4940 = call4945;
  } else {
// Begin line 1547
  setline(1547);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4947 = gc_frame_new();
  if (strlit4948 == NULL) {
    strlit4948 = alloc_String("op");
    gc_root(strlit4948);
  }
// compilenode returning strlit4948
  gc_frame_newslot(strlit4948);
  params[0] = strlit4948;
  partcv[0] = 1;
  Object call4949 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4947);
// compilenode returning call4949
  Object if4946 = done;
  if (istrue(call4949)) {
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4950 = gc_frame_new();
  partcv[0] = 0;
  Object call4951 = callmethodflags(self, "prefixop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4950);
// compilenode returning call4951
    gc_frame_newslot(call4951);
    if4946 = call4951;
  } else {
  }
// compilenode returning if4946
    gc_frame_newslot(if4946);
    if4940 = if4946;
  }
// compilenode returning if4940
    gc_frame_newslot(if4940);
    if4934 = if4940;
  }
// compilenode returning if4934
    gc_frame_newslot(if4934);
    if4917 = if4934;
  }
// compilenode returning if4917
    gc_frame_newslot(if4917);
    if4902 = if4917;
  }
// compilenode returning if4902
    gc_frame_newslot(if4902);
    if4896 = if4902;
  }
// compilenode returning if4896
    gc_frame_newslot(if4896);
    if4881 = if4896;
  }
// compilenode returning if4881
    gc_frame_newslot(if4881);
    if4866 = if4881;
  }
// compilenode returning if4866
    gc_frame_newslot(if4866);
    if4851 = if4866;
  }
// compilenode returning if4851
    gc_frame_newslot(if4851);
    if4845 = if4851;
  }
// compilenode returning if4845
    gc_frame_newslot(if4845);
    if4839 = if4845;
  }
// compilenode returning if4839
    gc_frame_newslot(if4839);
    if4833 = if4839;
  }
// compilenode returning if4833
  gc_frame_end(frame);
  return if4833;
}
Object meth_parser__apply4966(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_acceptBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4967 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  gc_frame_newslot(*var_acceptBlocks);
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call4968 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4967);
// compilenode returning call4968
  gc_frame_end(frame);
  return call4968;
}
Object meth_parser_expression4952(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expression");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method expression");
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for expression (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for expression");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sz");
  Object *var_tmpStatementToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tmpStatementToken");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
// Begin line 1555
  setline(1555);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4953 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4954 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe4953);
// compilenode returning call4954
// compilenode returning call4954
  *var_sz = call4954;
  if (call4954 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1555
  setline(1555);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4956 = gc_frame_new();
  if (strlit4957 == NULL) {
    strlit4957 = alloc_String("lparen");
    gc_root(strlit4957);
  }
// compilenode returning strlit4957
  gc_frame_newslot(strlit4957);
  params[0] = strlit4957;
  partcv[0] = 1;
  Object call4958 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4956);
// compilenode returning call4958
  Object if4955 = done;
  if (istrue(call4958)) {
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementToken
  *var_tmpStatementToken = *var_statementToken;
  if (*var_statementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4960 = gc_frame_new();
  partcv[0] = 0;
  Object call4961 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4960);
// compilenode returning call4961
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1559
  setline(1559);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4963 = gc_frame_new();
  int callframe4964 = gc_frame_new();
  Object block4965 = alloc_Block(NULL, NULL, "parser", 1559);
  gc_frame_newslot(block4965);
  block_savedest(block4965);
  Object closure4966 = createclosure(2, "_apply");
  setclosureframe(closure4966, stackframe);
  addtoclosure(closure4966, var_acceptBlocks);
  addtoclosure(closure4966, selfslot);
  struct UserObject *uo4966 = (struct UserObject*)block4965;
  uo4966->data[0] = (Object)closure4966;
  Method *meth_meth_parser__apply4966 = addmethod2pos(block4965, "_apply", &meth_parser__apply4966, 0);
int argcv_meth_parser__apply4966[] = {0};
meth_meth_parser__apply4966->type = alloc_MethodType(1, argcv_meth_parser__apply4966);
  meth_meth_parser__apply4966->definitionModule = modulename;
  meth_meth_parser__apply4966->definitionLine = 1559;
// compilenode returning block4965
  gc_frame_newslot(block4965);
  params[0] = block4965;
  partcv[0] = 1;
  Object call4970 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4964);
// compilenode returning call4970
  partcv[0] = 0;
  Object call4971 = callmethod(call4970, "not",
    1, partcv, params);
  gc_frame_end(callframe4963);
// compilenode returning call4971
// compilenode returning call4971
  Object if4962 = done;
  if (istrue(call4971)) {
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4972 = gc_frame_new();
  int callframe4973 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4974 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4973);
// compilenode returning call4974
// compilenode returning call4974
  partcv[0] = 0;
  Object call4975 = callmethod(call4974, "new",
    1, partcv, params);
  gc_frame_end(callframe4972);
// compilenode returning call4975
// compilenode returning call4975
  *var_suggestion = call4975;
  if (call4975 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4976 = gc_frame_new();
  if (strlit4977 == NULL) {
    strlit4977 = alloc_String("rparen");
    gc_root(strlit4977);
  }
// compilenode returning strlit4977
  gc_frame_newslot(strlit4977);
  params[0] = strlit4977;
  partcv[0] = 1;
  Object call4978 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4976);
// compilenode returning call4978
  *var_nextTok = call4978;
  if (call4978 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1562
  setline(1562);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4980 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4980 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4982 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4982
  Object if4979 = done;
  if (istrue(opresult4982)) {
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4983 = gc_frame_new();
  if (strlit4984 == NULL) {
    strlit4984 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4984);
  }
// compilenode returning strlit4984
  gc_frame_newslot(strlit4984);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4984;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4985 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4983);
// compilenode returning call4985
    gc_frame_newslot(call4985);
    if4979 = call4985;
  } else {
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4986 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4987 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4988 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4987);
// compilenode returning call4988
// compilenode returning call4988
  gc_frame_newslot(call4988);
  Object bool4989 = alloc_Boolean(1);
// compilenode returning bool4989
  gc_frame_newslot(bool4989);
  Object bool4990 = alloc_Boolean(0);
// compilenode returning bool4990
  gc_frame_newslot(bool4990);
  if (strlit4991 == NULL) {
    strlit4991 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4991);
  }
// compilenode returning strlit4991
  gc_frame_newslot(strlit4991);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4988;
  params[2] = bool4989;
  params[3] = bool4990;
  params[4] = strlit4991;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4992 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4986);
// compilenode returning call4992
    gc_frame_newslot(call4992);
    if4979 = call4992;
  }
// compilenode returning if4979
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4993 = gc_frame_new();
  if (strlit4994 == NULL) {
    strlit4994 = alloc_String("Parentheses must contain a valid expression.");
    gc_root(strlit4994);
  }
// compilenode returning strlit4994
  gc_frame_newslot(strlit4994);
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4995 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4996 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4995);
// compilenode returning call4996
// compilenode returning call4996
  gc_frame_newslot(call4996);
  int callframe4997 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4998 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4997);
// compilenode returning call4998
// compilenode returning call4998
  gc_frame_newslot(call4998);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4994;
  params[1] = call4996;
  params[2] = call4998;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4999 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4993);
// compilenode returning call4999
    gc_frame_newslot(call4999);
    if4962 = call4999;
  } else {
  }
// compilenode returning if4962
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5002 == NULL) {
    strlit5002 = alloc_String("rparen");
    gc_root(strlit5002);
  }
// compilenode returning strlit5002
  int op_slot_right_5001 = gc_frame_newslot(strlit5002);
  int callframe5004 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5005 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5004);
// compilenode returning call5005
// compilenode returning call5005
  int op_slot_left_5001 = gc_frame_newslot(call5005);
  params[0] = strlit5002;
  partcv[0] = 1;
  Object opresult5006 = callmethod(call5005, "!=", 1, partcv, params);
// compilenode returning opresult5006
  Object if5000 = done;
  if (istrue(opresult5006)) {
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5007 = gc_frame_new();
  partcv[0] = 0;
  Object call5008 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5007);
// compilenode returning call5008
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5009 = gc_frame_new();
  int callframe5010 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5011 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5010);
// compilenode returning call5011
// compilenode returning call5011
  partcv[0] = 0;
  Object call5012 = callmethod(call5011, "new",
    1, partcv, params);
  gc_frame_end(callframe5009);
// compilenode returning call5012
// compilenode returning call5012
  *var_suggestion = call5012;
  if (call5012 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5013 = gc_frame_new();
  if (strlit5014 == NULL) {
    strlit5014 = alloc_String(")");
    gc_root(strlit5014);
  }
// compilenode returning strlit5014
  gc_frame_newslot(strlit5014);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5014;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5015 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5013);
// compilenode returning call5015
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5016 = gc_frame_new();
  if (strlit5017 == NULL) {
    strlit5017 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit5017);
  }
// compilenode returning strlit5017
  gc_frame_newslot(strlit5017);
// Begin line 1575
  setline(1575);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5018 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5019 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5018);
// compilenode returning call5019
// compilenode returning call5019
  gc_frame_newslot(call5019);
  int callframe5021 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5022 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5021);
// compilenode returning call5022
// compilenode returning call5022
  int op_slot_right_5020 = gc_frame_newslot(call5022);
  int callframe5024 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5025 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5024);
// compilenode returning call5025
// compilenode returning call5025
  int op_slot_left_5020 = gc_frame_newslot(call5025);
  params[0] = call5022;
  partcv[0] = 1;
  Object sum5026 = callmethod(call5025, "+", 1, partcv, params);
// compilenode returning sum5026
  gc_frame_newslot(sum5026);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5017;
  params[1] = call5019;
  params[2] = sum5026;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5027 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5016);
// compilenode returning call5027
    gc_frame_newslot(call5027);
    if5000 = call5027;
  } else {
  }
// compilenode returning if5000
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tmpStatementToken
  *var_statementToken = *var_tmpStatementToken;
  if (*var_tmpStatementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5029 = gc_frame_new();
  partcv[0] = 0;
  Object call5030 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5029);
// compilenode returning call5030
    gc_frame_newslot(call5030);
    if4955 = call5030;
  } else {
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5031 = gc_frame_new();
  partcv[0] = 0;
  Object call5032 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5031);
// compilenode returning call5032
    gc_frame_newslot(call5032);
    if4955 = call5032;
  }
// compilenode returning if4955
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sz
  int op_slot_right_5034 = gc_frame_newslot(*var_sz);
  int callframe5036 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5037 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe5036);
// compilenode returning call5037
// compilenode returning call5037
  int op_slot_left_5034 = gc_frame_newslot(call5037);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult5038 = callmethod(call5037, ">", 1, partcv, params);
// compilenode returning opresult5038
  Object if5033 = done;
  if (istrue(opresult5038)) {
// Begin line 1583
  setline(1583);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5039 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  gc_frame_newslot(*var_acceptBlocks);
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5040 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5039);
// compilenode returning call5040
// Begin line 1584
  setline(1584);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5041 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  gc_frame_newslot(*var_acceptBlocks);
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5042 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5041);
// compilenode returning call5042
// Begin line 1585
  setline(1585);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5043 = gc_frame_new();
  partcv[0] = 0;
  Object call5044 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5043);
// compilenode returning call5044
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5045 = gc_frame_new();
  partcv[0] = 0;
  Object call5046 = callmethodflags(self, "valueexpressionrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5045);
// compilenode returning call5046
    gc_frame_newslot(call5046);
    if5033 = call5046;
  } else {
  }
// compilenode returning if5033
  gc_frame_end(frame);
  return if5033;
}
Object meth_parser__apply5060(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5061 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5062 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5061);
// compilenode returning call5062
  gc_frame_end(frame);
  return call5062;
}
Object meth_parser_postfixsquare5047(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "postfixsquare");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for postfixsquare (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for postfixsquare");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_expr = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "expr");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_index = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "index");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 1628
  setline(1628);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1593
  setline(1593);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5049 = gc_frame_new();
  if (strlit5050 == NULL) {
    strlit5050 = alloc_String("lsquare");
    gc_root(strlit5050);
  }
// compilenode returning strlit5050
  gc_frame_newslot(strlit5050);
  params[0] = strlit5050;
  partcv[0] = 1;
  Object call5051 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5049);
// compilenode returning call5051
  Object if5048 = done;
  if (istrue(call5051)) {
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5052 = gc_frame_new();
  partcv[0] = 0;
  Object call5053 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5052);
// compilenode returning call5053
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1595
  setline(1595);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5054 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5055 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5054);
// compilenode returning call5055
// compilenode returning call5055
  *var_expr = call5055;
  if (call5055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5057 = gc_frame_new();
  int callframe5058 = gc_frame_new();
  Object block5059 = alloc_Block(NULL, NULL, "parser", 1596);
  gc_frame_newslot(block5059);
  block_savedest(block5059);
  Object closure5060 = createclosure(2, "_apply");
  setclosureframe(closure5060, stackframe);
  addtoclosure(closure5060, var_blocksOK);
  addtoclosure(closure5060, selfslot);
  struct UserObject *uo5060 = (struct UserObject*)block5059;
  uo5060->data[0] = (Object)closure5060;
  Method *meth_meth_parser__apply5060 = addmethod2pos(block5059, "_apply", &meth_parser__apply5060, 0);
int argcv_meth_parser__apply5060[] = {0};
meth_meth_parser__apply5060->type = alloc_MethodType(1, argcv_meth_parser__apply5060);
  meth_meth_parser__apply5060->definitionModule = modulename;
  meth_meth_parser__apply5060->definitionLine = 1596;
// compilenode returning block5059
  gc_frame_newslot(block5059);
  params[0] = block5059;
  partcv[0] = 1;
  Object call5064 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5058);
// compilenode returning call5064
  partcv[0] = 0;
  Object call5065 = callmethod(call5064, "not",
    1, partcv, params);
  gc_frame_end(callframe5057);
// compilenode returning call5065
// compilenode returning call5065
  Object if5056 = done;
  if (istrue(call5065)) {
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1597
  setline(1597);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5066 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5066
  *var_suggestions = array5066;
  if (array5066 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5067 = gc_frame_new();
  int callframe5068 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5069 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5068);
// compilenode returning call5069
// compilenode returning call5069
  partcv[0] = 0;
  Object call5070 = callmethod(call5069, "new",
    1, partcv, params);
  gc_frame_end(callframe5067);
// compilenode returning call5070
// compilenode returning call5070
  *var_suggestion = call5070;
  if (call5070 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5071 = gc_frame_new();
  if (strlit5072 == NULL) {
    strlit5072 = alloc_String("rsquare");
    gc_root(strlit5072);
  }
// compilenode returning strlit5072
  gc_frame_newslot(strlit5072);
  params[0] = strlit5072;
  partcv[0] = 1;
  Object call5073 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5071);
// compilenode returning call5073
  *var_nextTok = call5073;
  if (call5073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1600
  setline(1600);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5075 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5075 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5077 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5077
  Object if5074 = done;
  if (istrue(opresult5077)) {
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5078 = gc_frame_new();
  if (strlit5079 == NULL) {
    strlit5079 = alloc_String("""\xc2""""\xab""index""\xc2""""\xbb""");
    gc_root(strlit5079);
  }
// compilenode returning strlit5079
  gc_frame_newslot(strlit5079);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5079;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5080 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5078);
// compilenode returning call5080
    gc_frame_newslot(call5080);
    if5074 = call5080;
  } else {
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5081 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5082 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5083 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5082);
// compilenode returning call5083
// compilenode returning call5083
  gc_frame_newslot(call5083);
  Object bool5084 = alloc_Boolean(1);
// compilenode returning bool5084
  gc_frame_newslot(bool5084);
  Object bool5085 = alloc_Boolean(0);
// compilenode returning bool5085
  gc_frame_newslot(bool5085);
  if (strlit5086 == NULL) {
    strlit5086 = alloc_String("""\xc2""""\xab""index""\xc2""""\xbb""");
    gc_root(strlit5086);
  }
// compilenode returning strlit5086
  gc_frame_newslot(strlit5086);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5083;
  params[2] = bool5084;
  params[3] = bool5085;
  params[4] = strlit5086;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5087 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5081);
// compilenode returning call5087
    gc_frame_newslot(call5087);
    if5074 = call5087;
  }
// compilenode returning if5074
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5088 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5089 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5088);
// compilenode returning call5089
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5092 == NULL) {
    strlit5092 = alloc_String("rsquare");
    gc_root(strlit5092);
  }
// compilenode returning strlit5092
  int op_slot_right_5091 = gc_frame_newslot(strlit5092);
  int callframe5094 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5095 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe5094);
// compilenode returning call5095
// compilenode returning call5095
  int op_slot_left_5091 = gc_frame_newslot(call5095);
  params[0] = strlit5092;
  partcv[0] = 1;
  Object opresult5096 = callmethod(call5095, "==", 1, partcv, params);
// compilenode returning opresult5096
  Object if5090 = done;
  if (istrue(opresult5096)) {
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1607
  setline(1607);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5097 = gc_frame_new();
  int callframe5098 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5099 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5098);
// compilenode returning call5099
// compilenode returning call5099
  partcv[0] = 0;
  Object call5100 = callmethod(call5099, "new",
    1, partcv, params);
  gc_frame_end(callframe5097);
// compilenode returning call5100
// compilenode returning call5100
  *var_suggestion = call5100;
  if (call5100 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5102 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_nextTok
  gc_frame_newslot(*var_nextTok);
  Object bool5103 = alloc_Boolean(1);
// compilenode returning bool5103
  gc_frame_newslot(bool5103);
  Object bool5104 = alloc_Boolean(0);
// compilenode returning bool5104
  gc_frame_newslot(bool5104);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = *var_nextTok;
  params[2] = bool5103;
  params[3] = bool5104;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5105 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5102);
// compilenode returning call5105
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5106 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5107 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5106);
// compilenode returning call5107
    gc_frame_newslot(call5107);
    if5090 = call5107;
  } else {
  }
// compilenode returning if5090
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5108 = gc_frame_new();
  if (strlit5109 == NULL) {
    strlit5109 = alloc_String("A '[' in an expression must be followed by another expression and a ']'.");
    gc_root(strlit5109);
  }
// compilenode returning strlit5109
  gc_frame_newslot(strlit5109);
// Begin line 1612
  setline(1612);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5110 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5111 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5110);
// compilenode returning call5111
// compilenode returning call5111
  gc_frame_newslot(call5111);
  int callframe5112 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5113 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5112);
// compilenode returning call5113
// compilenode returning call5113
  gc_frame_newslot(call5113);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5109;
  params[1] = call5111;
  params[2] = call5113;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5114 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5108);
// compilenode returning call5114
    gc_frame_newslot(call5114);
    if5056 = call5114;
  } else {
  }
// compilenode returning if5056
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5115 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5116 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5115);
// compilenode returning call5116
// compilenode returning call5116
  *var_index = call5116;
  if (call5116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5119 == NULL) {
    strlit5119 = alloc_String("rsquare");
    gc_root(strlit5119);
  }
// compilenode returning strlit5119
  int op_slot_right_5118 = gc_frame_newslot(strlit5119);
  int callframe5121 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5122 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5121);
// compilenode returning call5122
// compilenode returning call5122
  int op_slot_left_5118 = gc_frame_newslot(call5122);
  params[0] = strlit5119;
  partcv[0] = 1;
  Object opresult5123 = callmethod(call5122, "!=", 1, partcv, params);
// compilenode returning opresult5123
  Object if5117 = done;
  if (istrue(opresult5123)) {
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5124 = gc_frame_new();
  int callframe5125 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5126 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5125);
// compilenode returning call5126
// compilenode returning call5126
  partcv[0] = 0;
  Object call5127 = callmethod(call5126, "new",
    1, partcv, params);
  gc_frame_end(callframe5124);
// compilenode returning call5127
// compilenode returning call5127
  *var_suggestion = call5127;
  if (call5127 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5128 = gc_frame_new();
  if (strlit5129 == NULL) {
    strlit5129 = alloc_String("]");
    gc_root(strlit5129);
  }
// compilenode returning strlit5129
  gc_frame_newslot(strlit5129);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5129;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5130 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5128);
// compilenode returning call5130
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5131 = gc_frame_new();
  if (strlit5132 == NULL) {
    strlit5132 = alloc_String("A '[' in an expression must be followed by another expression and a ']'.");
    gc_root(strlit5132);
  }
// compilenode returning strlit5132
  gc_frame_newslot(strlit5132);
// Begin line 1619
  setline(1619);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5133 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5134 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5133);
// compilenode returning call5134
// compilenode returning call5134
  gc_frame_newslot(call5134);
  int callframe5136 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5137 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5136);
// compilenode returning call5137
// compilenode returning call5137
  int op_slot_right_5135 = gc_frame_newslot(call5137);
  int callframe5139 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5140 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5139);
// compilenode returning call5140
// compilenode returning call5140
  int op_slot_left_5135 = gc_frame_newslot(call5140);
  params[0] = call5137;
  partcv[0] = 1;
  Object sum5141 = callmethod(call5140, "+", 1, partcv, params);
// compilenode returning sum5141
  gc_frame_newslot(sum5141);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5132;
  params[1] = call5134;
  params[2] = sum5141;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5142 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5131);
// compilenode returning call5142
    gc_frame_newslot(call5142);
    if5117 = call5142;
  } else {
  }
// compilenode returning if5117
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5143 = gc_frame_new();
  partcv[0] = 0;
  Object call5144 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5143);
// compilenode returning call5144
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5145 = gc_frame_new();
// compilenode returning *var_expr
  gc_frame_newslot(*var_expr);
// compilenode returning *var_index
  gc_frame_newslot(*var_index);
  int callframe5146 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5147 = callmethod(*var_ast, "indexNode",
    1, partcv, params);
  gc_frame_end(callframe5146);
// compilenode returning call5147
// compilenode returning call5147
  params[0] = *var_expr;
  params[1] = *var_index;
  partcv[0] = 2;
  Object call5148 = callmethod(call5147, "new",
    1, partcv, params);
  gc_frame_end(callframe5145);
// compilenode returning call5148
  *var_o = call5148;
  if (call5148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1623
  setline(1623);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5149 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5150 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5149);
// compilenode returning call5150
// Begin line 1624
  setline(1624);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5151 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5152 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5151);
// compilenode returning call5152
// Begin line 1625
  setline(1625);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5153 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5154 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5153);
// compilenode returning call5154
// Begin line 1626
  setline(1626);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5155 = gc_frame_new();
  partcv[0] = 0;
  Object call5156 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5155);
// compilenode returning call5156
    gc_frame_newslot(call5156);
    if5048 = call5156;
  } else {
  }
// compilenode returning if5048
  gc_frame_end(frame);
  return if5048;
}
Object meth_parser_oprec5157(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "oprec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method oprec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for oprec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for oprec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5160 == NULL) {
    strlit5160 = alloc_String("*");
    gc_root(strlit5160);
  }
// compilenode returning strlit5160
  int op_slot_right_5159 = gc_frame_newslot(strlit5160);
// compilenode returning *var_o
  int op_slot_left_5159 = gc_frame_newslot(*var_o);
  params[0] = strlit5160;
  partcv[0] = 1;
  Object opresult5162 = callmethod(*var_o, "==", 1, partcv, params);
// compilenode returning opresult5162
  Object if5158 = done;
  if (istrue(opresult5162)) {
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1635
  setline(1635);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5163 = alloc_Float64(10);
// compilenode returning num5163
  return num5163;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5158 = undefined;
  } else {
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5166 == NULL) {
    strlit5166 = alloc_String("/");
    gc_root(strlit5166);
  }
// compilenode returning strlit5166
  int op_slot_right_5165 = gc_frame_newslot(strlit5166);
// compilenode returning *var_o
  int op_slot_left_5165 = gc_frame_newslot(*var_o);
  params[0] = strlit5166;
  partcv[0] = 1;
  Object opresult5168 = callmethod(*var_o, "==", 1, partcv, params);
// compilenode returning opresult5168
  Object if5164 = done;
  if (istrue(opresult5168)) {
// Begin line 1638
  setline(1638);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1637
  setline(1637);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5169 = alloc_Float64(10);
// compilenode returning num5169
  return num5169;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5164 = undefined;
  } else {
  }
// compilenode returning if5164
    gc_frame_newslot(if5164);
    if5158 = if5164;
  }
// compilenode returning if5158
// Begin line 1640
  setline(1640);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5170 = alloc_Float64(5);
// compilenode returning num5170
  return num5170;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_toprec5171(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toprec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toprec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toprec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ops = &(stackframe->slots[0]);
  *var_ops = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toprec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "o");
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1644
  setline(1644);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5174 = alloc_Float64(0);
// compilenode returning num5174
  int op_slot_right_5173 = gc_frame_newslot(num5174);
  int callframe5176 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5177 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5176);
// compilenode returning call5177
// compilenode returning call5177
  int op_slot_left_5173 = gc_frame_newslot(call5177);
  params[0] = num5174;
  partcv[0] = 1;
  Object opresult5178 = callmethod(call5177, ">", 1, partcv, params);
// compilenode returning opresult5178
  Object if5172 = done;
  if (istrue(opresult5178)) {
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1645
  setline(1645);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5179 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5180 = callmethod(*var_ops, "last",
    1, partcv, params);
  gc_frame_end(callframe5179);
// compilenode returning call5180
// compilenode returning call5180
  *var_o = call5180;
  if (call5180 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5181 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5182 = callmethodflags(self, "oprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5181);
// compilenode returning call5182
  return call5182;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5172 = undefined;
  } else {
  }
// compilenode returning if5172
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5183 = alloc_Float64(0);
// compilenode returning num5183
  gc_frame_end(frame);
  return num5183;
}
Object meth_parser__apply5192(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5193 = gc_frame_new();
  partcv[0] = 0;
  Object call5194 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5193);
// compilenode returning call5194
  gc_frame_end(frame);
  return call5194;
}
Object meth_parser_typeexpressionrest5184(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeexpressionrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_noBlocks = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeexpressionrest (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeexpressionrest");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1656
  setline(1656);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5186 = gc_frame_new();
  if (strlit5187 == NULL) {
    strlit5187 = alloc_String("op");
    gc_root(strlit5187);
  }
// compilenode returning strlit5187
  gc_frame_newslot(strlit5187);
  params[0] = strlit5187;
  partcv[0] = 1;
  Object call5188 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5186);
// compilenode returning call5188
  Object if5185 = done;
  if (istrue(call5188)) {
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5189 = gc_frame_new();
  if (strlit5190 == NULL) {
    strlit5190 = alloc_String("type expression");
    gc_root(strlit5190);
  }
// compilenode returning strlit5190
  gc_frame_newslot(strlit5190);
  Object block5191 = alloc_Block(NULL, NULL, "parser", 1654);
  gc_frame_newslot(block5191);
  block_savedest(block5191);
  Object closure5192 = createclosure(1, "_apply");
  setclosureframe(closure5192, stackframe);
  addtoclosure(closure5192, selfslot);
  struct UserObject *uo5192 = (struct UserObject*)block5191;
  uo5192->data[0] = (Object)closure5192;
  Method *meth_meth_parser__apply5192 = addmethod2pos(block5191, "_apply", &meth_parser__apply5192, 0);
int argcv_meth_parser__apply5192[] = {0};
meth_meth_parser__apply5192->type = alloc_MethodType(1, argcv_meth_parser__apply5192);
  meth_meth_parser__apply5192->definitionModule = modulename;
  meth_meth_parser__apply5192->definitionLine = 1645;
// compilenode returning block5191
  gc_frame_newslot(block5191);
// compilenode returning *var_noBlocks
  gc_frame_newslot(*var_noBlocks);
  params[0] = strlit5190;
  params[1] = block5191;
  params[2] = *var_noBlocks;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5196 = callmethodflags(self, "expressionrest()recursingWith()blocks", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5189);
// compilenode returning call5196
    gc_frame_newslot(call5196);
    if5185 = call5196;
  } else {
  }
// compilenode returning if5185
  gc_frame_end(frame);
  return if5185;
}
Object meth_parser__apply5205(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5206 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5207 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5206);
// compilenode returning call5207
  gc_frame_end(frame);
  return call5207;
}
Object meth_parser_valueexpressionrest5197(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "valueexpressionrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_blocksOK = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for valueexpressionrest (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for valueexpressionrest");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1662
  setline(1662);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5199 = gc_frame_new();
  if (strlit5200 == NULL) {
    strlit5200 = alloc_String("op");
    gc_root(strlit5200);
  }
// compilenode returning strlit5200
  gc_frame_newslot(strlit5200);
  params[0] = strlit5200;
  partcv[0] = 1;
  Object call5201 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5199);
// compilenode returning call5201
  Object if5198 = done;
  if (istrue(call5201)) {
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5202 = gc_frame_new();
  if (strlit5203 == NULL) {
    strlit5203 = alloc_String("expression");
    gc_root(strlit5203);
  }
// compilenode returning strlit5203
  gc_frame_newslot(strlit5203);
  Object block5204 = alloc_Block(NULL, NULL, "parser", 1660);
  gc_frame_newslot(block5204);
  block_savedest(block5204);
  Object closure5205 = createclosure(2, "_apply");
  setclosureframe(closure5205, stackframe);
  addtoclosure(closure5205, var_blocksOK);
  addtoclosure(closure5205, selfslot);
  struct UserObject *uo5205 = (struct UserObject*)block5204;
  uo5205->data[0] = (Object)closure5205;
  Method *meth_meth_parser__apply5205 = addmethod2pos(block5204, "_apply", &meth_parser__apply5205, 0);
int argcv_meth_parser__apply5205[] = {0};
meth_meth_parser__apply5205->type = alloc_MethodType(1, argcv_meth_parser__apply5205);
  meth_meth_parser__apply5205->definitionModule = modulename;
  meth_meth_parser__apply5205->definitionLine = 1645;
// compilenode returning block5204
  gc_frame_newslot(block5204);
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = strlit5203;
  params[1] = block5204;
  params[2] = *var_blocksOK;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5209 = callmethodflags(self, "expressionrest()recursingWith()blocks", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5202);
// compilenode returning call5209
    gc_frame_newslot(call5209);
    if5198 = call5209;
  } else {
  }
// compilenode returning if5198
  gc_frame_end(frame);
  return if5198;
}
Object meth_parser__apply5225(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit5227 == NULL) {
    strlit5227 = alloc_String("=");
    gc_root(strlit5227);
  }
// compilenode returning strlit5227
  int op_slot_right_5226 = gc_frame_newslot(strlit5227);
  int callframe5229 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5230 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5229);
// compilenode returning call5230
// compilenode returning call5230
  int op_slot_left_5226 = gc_frame_newslot(call5230);
  params[0] = strlit5227;
  partcv[0] = 1;
  Object opresult5231 = callmethod(call5230, "!=", 1, partcv, params);
// compilenode returning opresult5231
  gc_frame_end(frame);
  return opresult5231;
}
Object meth_parser__apply5222(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1682
  setline(1682);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5223 = gc_frame_new();
  Object block5224 = alloc_Block(NULL, NULL, "parser", 1682);
  gc_frame_newslot(block5224);
  block_savedest(block5224);
  Object closure5225 = createclosure(2, "_apply");
  setclosureframe(closure5225, stackframe);
  addtoclosure(closure5225, var_sym);
  addtoclosure(closure5225, selfslot);
  struct UserObject *uo5225 = (struct UserObject*)block5224;
  uo5225->data[0] = (Object)closure5225;
  Method *meth_meth_parser__apply5225 = addmethod2pos(block5224, "_apply", &meth_parser__apply5225, 0);
int argcv_meth_parser__apply5225[] = {0};
meth_meth_parser__apply5225->type = alloc_MethodType(1, argcv_meth_parser__apply5225);
  meth_meth_parser__apply5225->definitionModule = modulename;
  meth_meth_parser__apply5225->definitionLine = 1675;
// compilenode returning block5224
  gc_frame_newslot(block5224);
// Begin line 1681
  setline(1681);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5233 = gc_frame_new();
  if (strlit5234 == NULL) {
    strlit5234 = alloc_String("op");
    gc_root(strlit5234);
  }
// compilenode returning strlit5234
  gc_frame_newslot(strlit5234);
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
  params[0] = strlit5234;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5235 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5233);
// compilenode returning call5235
  params[0] = block5224;
  partcv[0] = 1;
  Object call5236 = callmethod(call5235, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe5223);
// compilenode returning call5236
  gc_frame_end(frame);
  return call5236;
}
Object meth_parser__apply5347(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_prec = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5350 = gc_frame_new();
// compilenode returning *var_ops
  gc_frame_newslot(*var_ops);
  params[0] = *var_ops;
  partcv[0] = 1;
  Object call5351 = callmethodflags(self, "toprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5350);
// compilenode returning call5351
  int op_slot_right_5349 = gc_frame_newslot(call5351);
// compilenode returning *var_prec
  int op_slot_left_5349 = gc_frame_newslot(*var_prec);
  params[0] = call5351;
  partcv[0] = 1;
  Object opresult5353 = callmethod(*var_prec, "<=", 1, partcv, params);
// compilenode returning opresult5353
  int op_slot_right_5348 = gc_frame_newslot(opresult5353);
  Object num5356 = alloc_Float64(0);
// compilenode returning num5356
  int op_slot_right_5355 = gc_frame_newslot(num5356);
  int callframe5358 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5359 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5358);
// compilenode returning call5359
// compilenode returning call5359
  int op_slot_left_5355 = gc_frame_newslot(call5359);
  params[0] = num5356;
  partcv[0] = 1;
  Object opresult5360 = callmethod(call5359, ">", 1, partcv, params);
// compilenode returning opresult5360
  int op_slot_left_5348 = gc_frame_newslot(opresult5360);
  params[0] = opresult5353;
  partcv[0] = 1;
  Object opresult5361 = callmethod(opresult5360, "&&", 1, partcv, params);
// compilenode returning opresult5361
  gc_frame_end(frame);
  return opresult5361;
}
Object meth_parser__apply5364(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_o2 = getfromclosure(closure, 1);
  Object *var_terms = getfromclosure(closure, 2);
  Object *var_tmp2 = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1713
  setline(1713);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5365 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5366 = callmethod(*var_ops, "pop",
    1, partcv, params);
  gc_frame_end(callframe5365);
// compilenode returning call5366
// compilenode returning call5366
  *var_o2 = call5366;
  if (call5366 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5368 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5369 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5368);
// compilenode returning call5369
// compilenode returning call5369
  *var_tmp2 = call5369;
  if (call5369 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5371 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5372 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5371);
// compilenode returning call5372
// compilenode returning call5372
  *var_tmp = call5372;
  if (call5372 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5374 = gc_frame_new();
// compilenode returning *var_o2
  gc_frame_newslot(*var_o2);
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_tmp2
  gc_frame_newslot(*var_tmp2);
  int callframe5375 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5376 = callmethod(*var_ast, "opNode",
    1, partcv, params);
  gc_frame_end(callframe5375);
// compilenode returning call5376
// compilenode returning call5376
  params[0] = *var_o2;
  params[1] = *var_tmp;
  params[2] = *var_tmp2;
  partcv[0] = 3;
  Object call5377 = callmethod(call5376, "new",
    1, partcv, params);
  gc_frame_end(callframe5374);
// compilenode returning call5377
  *var_tmp = call5377;
  if (call5377 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1717
  setline(1717);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5379 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_terms
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5380 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5379);
// compilenode returning call5380
  gc_frame_end(frame);
  return call5380;
}
Object meth_parser__apply5555(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5556 = gc_frame_new();
  partcv[0] = 0;
  Object call5557 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5556);
// compilenode returning call5557
  gc_frame_end(frame);
  return call5557;
}
Object meth_parser__apply5239(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_opcount = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_o = getfromclosure(closure, 2);
  Object *var_prec = getfromclosure(closure, 3);
  Object *var_allarith = getfromclosure(closure, 4);
  Object *var_opdtype = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_ops = getfromclosure(closure, 8);
  Object *var_o2 = getfromclosure(closure, 9);
  Object *var_terms = getfromclosure(closure, 10);
  Object *var_tmp2 = getfromclosure(closure, 11);
  Object *var_tmp = getfromclosure(closure, 12);
  Object *var_ast = getfromclosure(closure, 13);
  Object *var_recurse = getfromclosure(closure, 14);
  Object *var_name = getfromclosure(closure, 15);
  Object *var_util = getfromclosure(closure, 16);
  Object *var_acceptBlocks = getfromclosure(closure, 17);
  Object *var_values = getfromclosure(closure, 18);
  Object self = *(getfromclosure(closure, 19));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 1684
  setline(1684);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1683
  setline(1683);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5241 = alloc_Float64(1);
// compilenode returning num5241
  int op_slot_right_5240 = gc_frame_newslot(num5241);
// compilenode returning *var_opcount
  int op_slot_left_5240 = gc_frame_newslot(*var_opcount);
  params[0] = num5241;
  partcv[0] = 1;
  Object sum5243 = callmethod(*var_opcount, "+", 1, partcv, params);
// compilenode returning sum5243
  *var_opcount = sum5243;
  if (sum5243 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1684
  setline(1684);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5245 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5246 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5245);
// compilenode returning call5246
// compilenode returning call5246
  *var_o = call5246;
  if (call5246 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5248 = gc_frame_new();
  partcv[0] = 0;
  Object call5249 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5248);
// compilenode returning call5249
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5250 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5251 = callmethodflags(self, "oprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5250);
// compilenode returning call5251
  *var_prec = call5251;
  if (call5251 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5256 == NULL) {
    strlit5256 = alloc_String("-");
    gc_root(strlit5256);
  }
// compilenode returning strlit5256
  int op_slot_right_5255 = gc_frame_newslot(strlit5256);
// compilenode returning *var_o
  int op_slot_left_5255 = gc_frame_newslot(*var_o);
  params[0] = strlit5256;
  partcv[0] = 1;
  Object opresult5258 = callmethod(*var_o, "!=", 1, partcv, params);
// compilenode returning opresult5258
  int op_slot_right_5254 = gc_frame_newslot(opresult5258);
  if (strlit5262 == NULL) {
    strlit5262 = alloc_String("+");
    gc_root(strlit5262);
  }
// compilenode returning strlit5262
  int op_slot_right_5261 = gc_frame_newslot(strlit5262);
// compilenode returning *var_o
  int op_slot_left_5261 = gc_frame_newslot(*var_o);
  params[0] = strlit5262;
  partcv[0] = 1;
  Object opresult5264 = callmethod(*var_o, "!=", 1, partcv, params);
// compilenode returning opresult5264
  int op_slot_right_5260 = gc_frame_newslot(opresult5264);
  if (strlit5268 == NULL) {
    strlit5268 = alloc_String("/");
    gc_root(strlit5268);
  }
// compilenode returning strlit5268
  int op_slot_right_5267 = gc_frame_newslot(strlit5268);
// compilenode returning *var_o
  int op_slot_left_5267 = gc_frame_newslot(*var_o);
  params[0] = strlit5268;
  partcv[0] = 1;
  Object opresult5270 = callmethod(*var_o, "!=", 1, partcv, params);
// compilenode returning opresult5270
  int op_slot_right_5266 = gc_frame_newslot(opresult5270);
  if (strlit5273 == NULL) {
    strlit5273 = alloc_String("*");
    gc_root(strlit5273);
  }
// compilenode returning strlit5273
  int op_slot_right_5272 = gc_frame_newslot(strlit5273);
// compilenode returning *var_o
  int op_slot_left_5272 = gc_frame_newslot(*var_o);
  params[0] = strlit5273;
  partcv[0] = 1;
  Object opresult5275 = callmethod(*var_o, "!=", 1, partcv, params);
// compilenode returning opresult5275
  int op_slot_left_5266 = gc_frame_newslot(opresult5275);
  params[0] = opresult5270;
  partcv[0] = 1;
  Object opresult5276 = callmethod(opresult5275, "&&", 1, partcv, params);
// compilenode returning opresult5276
  int op_slot_left_5260 = gc_frame_newslot(opresult5276);
  params[0] = opresult5264;
  partcv[0] = 1;
  Object opresult5277 = callmethod(opresult5276, "&&", 1, partcv, params);
// compilenode returning opresult5277
  int op_slot_left_5254 = gc_frame_newslot(opresult5277);
  params[0] = opresult5258;
  partcv[0] = 1;
  Object opresult5278 = callmethod(opresult5277, "&&", 1, partcv, params);
// compilenode returning opresult5278
  Object if5253 = done;
  if (istrue(opresult5278)) {
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5279 = alloc_Boolean(0);
// compilenode returning bool5279
  *var_allarith = bool5279;
  if (bool5279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5253 = done;
  } else {
  }
// compilenode returning if5253
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5283 = gc_frame_new();
// compilenode returning *var_allarith
  partcv[0] = 0;
  Object call5284 = callmethod(*var_allarith, "not",
    1, partcv, params);
  gc_frame_end(callframe5283);
// compilenode returning call5284
// compilenode returning call5284
  int op_slot_right_5282 = gc_frame_newslot(call5284);
// compilenode returning *var_o
  int op_slot_right_5287 = gc_frame_newslot(*var_o);
// compilenode returning *var_opdtype
  int op_slot_left_5287 = gc_frame_newslot(*var_opdtype);
  params[0] = *var_o;
  partcv[0] = 1;
  Object opresult5289 = callmethod(*var_opdtype, "!=", 1, partcv, params);
// compilenode returning opresult5289
  int op_slot_right_5286 = gc_frame_newslot(opresult5289);
  if (strlit5292 == NULL) {
    strlit5292 = alloc_String("");
    gc_root(strlit5292);
  }
// compilenode returning strlit5292
  int op_slot_right_5291 = gc_frame_newslot(strlit5292);
// compilenode returning *var_opdtype
  int op_slot_left_5291 = gc_frame_newslot(*var_opdtype);
  params[0] = strlit5292;
  partcv[0] = 1;
  Object opresult5294 = callmethod(*var_opdtype, "!=", 1, partcv, params);
// compilenode returning opresult5294
  int op_slot_left_5286 = gc_frame_newslot(opresult5294);
  params[0] = opresult5289;
  partcv[0] = 1;
  Object opresult5295 = callmethod(opresult5294, "&&", 1, partcv, params);
// compilenode returning opresult5295
  int op_slot_left_5282 = gc_frame_newslot(opresult5295);
  params[0] = call5284;
  partcv[0] = 1;
  Object opresult5296 = callmethod(opresult5295, "&&", 1, partcv, params);
// compilenode returning opresult5296
  Object if5281 = done;
  if (istrue(opresult5296)) {
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5297 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5297
  *var_suggestions = array5297;
  if (array5297 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5298 = gc_frame_new();
  int callframe5299 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5300 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5299);
// compilenode returning call5300
// compilenode returning call5300
  partcv[0] = 0;
  Object call5301 = callmethod(call5300, "new",
    1, partcv, params);
  gc_frame_end(callframe5298);
// compilenode returning call5301
// compilenode returning call5301
  *var_suggestion = call5301;
  if (call5301 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5302 = gc_frame_new();
  if (strlit5303 == NULL) {
    strlit5303 = alloc_String(")");
    gc_root(strlit5303);
  }
// compilenode returning strlit5303
  gc_frame_newslot(strlit5303);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit5303;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5304 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5302);
// compilenode returning call5304
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5305 = gc_frame_new();
  if (strlit5306 == NULL) {
    strlit5306 = alloc_String("(");
    gc_root(strlit5306);
  }
// compilenode returning strlit5306
  gc_frame_newslot(strlit5306);
  int callframe5307 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5308 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5307);
// compilenode returning call5308
// compilenode returning call5308
  gc_frame_newslot(call5308);
// compilenode returning *var_suggestion
  params[0] = strlit5306;
  params[1] = call5308;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5309 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe5305);
// compilenode returning call5309
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5310 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5311 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5310);
// compilenode returning call5311
// Begin line 1700
  setline(1700);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1699
  setline(1699);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5312 = gc_frame_new();
  int callframe5313 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5314 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5313);
// compilenode returning call5314
// compilenode returning call5314
  partcv[0] = 0;
  Object call5315 = callmethod(call5314, "new",
    1, partcv, params);
  gc_frame_end(callframe5312);
// compilenode returning call5315
// compilenode returning call5315
  *var_suggestion = call5315;
  if (call5315 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1700
  setline(1700);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5317 = gc_frame_new();
  if (strlit5318 == NULL) {
    strlit5318 = alloc_String(")");
    gc_root(strlit5318);
  }
// compilenode returning strlit5318
  gc_frame_newslot(strlit5318);
  int callframe5319 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5320 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5319);
// compilenode returning call5320
// compilenode returning call5320
  gc_frame_newslot(call5320);
// compilenode returning *var_suggestion
  params[0] = strlit5318;
  params[1] = call5320;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5321 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5317);
// compilenode returning call5321
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5322 = gc_frame_new();
  if (strlit5323 == NULL) {
    strlit5323 = alloc_String("(");
    gc_root(strlit5323);
  }
// compilenode returning strlit5323
  gc_frame_newslot(strlit5323);
  int callframe5324 = gc_frame_new();
  int callframe5325 = gc_frame_new();
  int callframe5326 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5327 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5326);
// compilenode returning call5327
// compilenode returning call5327
  partcv[0] = 0;
  Object call5328 = callmethod(call5327, "prev",
    1, partcv, params);
  gc_frame_end(callframe5325);
// compilenode returning call5328
// compilenode returning call5328
  partcv[0] = 0;
  Object call5329 = callmethod(call5328, "prev",
    1, partcv, params);
  gc_frame_end(callframe5324);
// compilenode returning call5329
// compilenode returning call5329
  gc_frame_newslot(call5329);
// compilenode returning *var_suggestion
  params[0] = strlit5323;
  params[1] = call5329;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5330 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe5322);
// compilenode returning call5330
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5331 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5332 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5331);
// compilenode returning call5332
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5333 = gc_frame_new();
  if (strlit5334 == NULL) {
    strlit5334 = alloc_String("An expression containing both mathematical and non-mathematical operators requires parentheses.");
    gc_root(strlit5334);
  }
// compilenode returning strlit5334
  gc_frame_newslot(strlit5334);
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5335 = gc_frame_new();
  int callframe5336 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5337 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5336);
// compilenode returning call5337
// compilenode returning call5337
  partcv[0] = 0;
  Object call5338 = callmethod(call5337, "line",
    1, partcv, params);
  gc_frame_end(callframe5335);
// compilenode returning call5338
// compilenode returning call5338
  gc_frame_newslot(call5338);
  int callframe5339 = gc_frame_new();
  int callframe5340 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5341 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5340);
// compilenode returning call5341
// compilenode returning call5341
  partcv[0] = 0;
  Object call5342 = callmethod(call5341, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5339);
// compilenode returning call5342
// compilenode returning call5342
  gc_frame_newslot(call5342);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5334;
  params[1] = call5338;
  params[2] = call5342;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5343 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5333);
// compilenode returning call5343
    gc_frame_newslot(call5343);
    if5281 = call5343;
  } else {
  }
// compilenode returning if5281
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_o
  *var_opdtype = *var_o;
  if (*var_o == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5345 = gc_frame_new();
  Object block5346 = alloc_Block(NULL, NULL, "parser", 1707);
  gc_frame_newslot(block5346);
  block_savedest(block5346);
  Object closure5347 = createclosure(3, "_apply");
  setclosureframe(closure5347, stackframe);
  addtoclosure(closure5347, var_ops);
  addtoclosure(closure5347, var_prec);
  addtoclosure(closure5347, selfslot);
  struct UserObject *uo5347 = (struct UserObject*)block5346;
  uo5347->data[0] = (Object)closure5347;
  Method *meth_meth_parser__apply5347 = addmethod2pos(block5346, "_apply", &meth_parser__apply5347, 0);
int argcv_meth_parser__apply5347[] = {0};
meth_meth_parser__apply5347->type = alloc_MethodType(1, argcv_meth_parser__apply5347);
  meth_meth_parser__apply5347->definitionModule = modulename;
  meth_meth_parser__apply5347->definitionLine = 1704;
// compilenode returning block5346
  gc_frame_newslot(block5346);
  Object block5363 = alloc_Block(NULL, NULL, "parser", 1707);
  gc_frame_newslot(block5363);
  block_savedest(block5363);
  Object closure5364 = createclosure(7, "_apply");
  setclosureframe(closure5364, stackframe);
  addtoclosure(closure5364, var_ops);
  addtoclosure(closure5364, var_o2);
  addtoclosure(closure5364, var_terms);
  addtoclosure(closure5364, var_tmp2);
  addtoclosure(closure5364, var_tmp);
  addtoclosure(closure5364, var_ast);
  addtoclosure(closure5364, selfslot);
  struct UserObject *uo5364 = (struct UserObject*)block5363;
  uo5364->data[0] = (Object)closure5364;
  Method *meth_meth_parser__apply5364 = addmethod2pos(block5363, "_apply", &meth_parser__apply5364, 0);
int argcv_meth_parser__apply5364[] = {0};
meth_meth_parser__apply5364->type = alloc_MethodType(1, argcv_meth_parser__apply5364);
  meth_meth_parser__apply5364->definitionModule = modulename;
  meth_meth_parser__apply5364->definitionLine = 1707;
// compilenode returning block5363
  gc_frame_newslot(block5363);
  params[0] = block5346;
  params[1] = block5363;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5382 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5345);
// compilenode returning call5382
// Begin line 1719
  setline(1719);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5383 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_ops
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5384 = callmethod(*var_ops, "push",
    1, partcv, params);
  gc_frame_end(callframe5383);
// compilenode returning call5384
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5386 = gc_frame_new();
  if (strlit5387 == NULL) {
    strlit5387 = alloc_String("lparen");
    gc_root(strlit5387);
  }
// compilenode returning strlit5387
  gc_frame_newslot(strlit5387);
  params[0] = strlit5387;
  partcv[0] = 1;
  Object call5388 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5386);
// compilenode returning call5388
  Object if5385 = done;
  if (istrue(call5388)) {
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5389 = gc_frame_new();
  partcv[0] = 0;
  Object call5390 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5389);
// compilenode returning call5390
// Begin line 1739
  setline(1739);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5392 = gc_frame_new();
  int callframe5393 = gc_frame_new();
// compilenode returning *var_recurse
  gc_frame_newslot(*var_recurse);
  params[0] = *var_recurse;
  partcv[0] = 1;
  Object call5394 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5393);
// compilenode returning call5394
  partcv[0] = 0;
  Object call5395 = callmethod(call5394, "not",
    1, partcv, params);
  gc_frame_end(callframe5392);
// compilenode returning call5395
// compilenode returning call5395
  Object if5391 = done;
  if (istrue(call5395)) {
// Begin line 1730
  setline(1730);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1729
  setline(1729);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5396 = gc_frame_new();
  int callframe5397 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5398 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5397);
// compilenode returning call5398
// compilenode returning call5398
  partcv[0] = 0;
  Object call5399 = callmethod(call5398, "new",
    1, partcv, params);
  gc_frame_end(callframe5396);
// compilenode returning call5399
// compilenode returning call5399
  *var_suggestion = call5399;
  if (call5399 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1730
  setline(1730);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5400 = gc_frame_new();
  if (strlit5401 == NULL) {
    strlit5401 = alloc_String("rparen");
    gc_root(strlit5401);
  }
// compilenode returning strlit5401
  gc_frame_newslot(strlit5401);
  params[0] = strlit5401;
  partcv[0] = 1;
  Object call5402 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5400);
// compilenode returning call5402
  *var_nextTok = call5402;
  if (call5402 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5404 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5404 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5406 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5406
  Object if5403 = done;
  if (istrue(opresult5406)) {
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5407 = gc_frame_new();
  if (strlit5409 == NULL) {
    strlit5409 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5409);
  }
// compilenode returning strlit5409
  int op_slot_right_5408 = gc_frame_newslot(strlit5409);
// compilenode returning *var_name
  int op_slot_right_5411 = gc_frame_newslot(*var_name);
  if (strlit5413 == NULL) {
    strlit5413 = alloc_String("""\xc2""""\xab""");
    gc_root(strlit5413);
  }
// compilenode returning strlit5413
  int op_slot_left_5411 = gc_frame_newslot(strlit5413);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5414 = callmethod(strlit5413, "++", 1, partcv, params);
// compilenode returning opresult5414
  int op_slot_left_5408 = gc_frame_newslot(opresult5414);
  params[0] = strlit5409;
  partcv[0] = 1;
  Object opresult5415 = callmethod(opresult5414, "++", 1, partcv, params);
// compilenode returning opresult5415
  gc_frame_newslot(opresult5415);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult5415;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5416 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5407);
// compilenode returning call5416
    gc_frame_newslot(call5416);
    if5403 = call5416;
  } else {
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5417 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5418 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5419 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5418);
// compilenode returning call5419
// compilenode returning call5419
  gc_frame_newslot(call5419);
  Object bool5420 = alloc_Boolean(1);
// compilenode returning bool5420
  gc_frame_newslot(bool5420);
  Object bool5421 = alloc_Boolean(0);
// compilenode returning bool5421
  gc_frame_newslot(bool5421);
  if (strlit5423 == NULL) {
    strlit5423 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5423);
  }
// compilenode returning strlit5423
  int op_slot_right_5422 = gc_frame_newslot(strlit5423);
// compilenode returning *var_name
  int op_slot_right_5425 = gc_frame_newslot(*var_name);
  if (strlit5427 == NULL) {
    strlit5427 = alloc_String("""\xc2""""\xab""");
    gc_root(strlit5427);
  }
// compilenode returning strlit5427
  int op_slot_left_5425 = gc_frame_newslot(strlit5427);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5428 = callmethod(strlit5427, "++", 1, partcv, params);
// compilenode returning opresult5428
  int op_slot_left_5422 = gc_frame_newslot(opresult5428);
  params[0] = strlit5423;
  partcv[0] = 1;
  Object opresult5429 = callmethod(opresult5428, "++", 1, partcv, params);
// compilenode returning opresult5429
  gc_frame_newslot(opresult5429);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5419;
  params[2] = bool5420;
  params[3] = bool5421;
  params[4] = opresult5429;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5430 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5417);
// compilenode returning call5430
    gc_frame_newslot(call5430);
    if5403 = call5430;
  }
// compilenode returning if5403
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5431 = gc_frame_new();
  if (strlit5433 == NULL) {
    strlit5433 = alloc_String(".");
    gc_root(strlit5433);
  }
// compilenode returning strlit5433
  int op_slot_right_5432 = gc_frame_newslot(strlit5433);
// compilenode returning *var_name
  int op_slot_right_5435 = gc_frame_newslot(*var_name);
  if (strlit5437 == NULL) {
    strlit5437 = alloc_String("Parentheses must contain a valid ");
    gc_root(strlit5437);
  }
// compilenode returning strlit5437
  int op_slot_left_5435 = gc_frame_newslot(strlit5437);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5438 = callmethod(strlit5437, "++", 1, partcv, params);
// compilenode returning opresult5438
  int op_slot_left_5432 = gc_frame_newslot(opresult5438);
  params[0] = strlit5433;
  partcv[0] = 1;
  Object opresult5439 = callmethod(opresult5438, "++", 1, partcv, params);
// compilenode returning opresult5439
  gc_frame_newslot(opresult5439);
// Begin line 1737
  setline(1737);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5440 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5441 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5440);
// compilenode returning call5441
// compilenode returning call5441
  gc_frame_newslot(call5441);
  int callframe5442 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5443 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5442);
// compilenode returning call5443
// compilenode returning call5443
  gc_frame_newslot(call5443);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult5439;
  params[1] = call5441;
  params[2] = call5443;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5444 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5431);
// compilenode returning call5444
    gc_frame_newslot(call5444);
    if5391 = call5444;
  } else {
  }
// compilenode returning if5391
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1739
  setline(1739);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5447 == NULL) {
    strlit5447 = alloc_String("rparen");
    gc_root(strlit5447);
  }
// compilenode returning strlit5447
  int op_slot_right_5446 = gc_frame_newslot(strlit5447);
  int callframe5449 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5450 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5449);
// compilenode returning call5450
// compilenode returning call5450
  int op_slot_left_5446 = gc_frame_newslot(call5450);
  params[0] = strlit5447;
  partcv[0] = 1;
  Object opresult5451 = callmethod(call5450, "!=", 1, partcv, params);
// compilenode returning opresult5451
  Object if5445 = done;
  if (istrue(opresult5451)) {
// Begin line 1740
  setline(1740);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5452 = gc_frame_new();
  partcv[0] = 0;
  Object call5453 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5452);
// compilenode returning call5453
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1741
  setline(1741);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5454 = gc_frame_new();
  int callframe5455 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5456 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5455);
// compilenode returning call5456
// compilenode returning call5456
  partcv[0] = 0;
  Object call5457 = callmethod(call5456, "new",
    1, partcv, params);
  gc_frame_end(callframe5454);
// compilenode returning call5457
// compilenode returning call5457
  *var_suggestion = call5457;
  if (call5457 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5458 = gc_frame_new();
  if (strlit5459 == NULL) {
    strlit5459 = alloc_String(")");
    gc_root(strlit5459);
  }
// compilenode returning strlit5459
  gc_frame_newslot(strlit5459);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5459;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5460 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5458);
// compilenode returning call5460
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5461 = gc_frame_new();
  if (strlit5462 == NULL) {
    strlit5462 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit5462);
  }
// compilenode returning strlit5462
  gc_frame_newslot(strlit5462);
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5463 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5464 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5463);
// compilenode returning call5464
// compilenode returning call5464
  gc_frame_newslot(call5464);
  int callframe5466 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5467 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5466);
// compilenode returning call5467
// compilenode returning call5467
  int op_slot_right_5465 = gc_frame_newslot(call5467);
  int callframe5469 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5470 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5469);
// compilenode returning call5470
// compilenode returning call5470
  int op_slot_left_5465 = gc_frame_newslot(call5470);
  params[0] = call5467;
  partcv[0] = 1;
  Object sum5471 = callmethod(call5470, "+", 1, partcv, params);
// compilenode returning sum5471
  gc_frame_newslot(sum5471);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5462;
  params[1] = call5464;
  params[2] = sum5471;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5472 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5461);
// compilenode returning call5472
    gc_frame_newslot(call5472);
    if5445 = call5472;
  } else {
  }
// compilenode returning if5445
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5473 = gc_frame_new();
  partcv[0] = 0;
  Object call5474 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5473);
// compilenode returning call5474
    gc_frame_newslot(call5474);
    if5385 = call5474;
  } else {
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1748
  setline(1748);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5476 = gc_frame_new();
  int callframe5477 = gc_frame_new();
  partcv[0] = 0;
  Object call5478 = callmethodflags(self, "tokenOnSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5477);
// compilenode returning call5478
  partcv[0] = 0;
  Object call5479 = callmethod(call5478, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe5476);
// compilenode returning call5479
  Object if5475 = done;
  if (istrue(call5479)) {
// Begin line 1750
  setline(1750);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1749
  setline(1749);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5480 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5480
  *var_suggestions = array5480;
  if (array5480 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1750
  setline(1750);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5481 = gc_frame_new();
  int callframe5482 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5483 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5482);
// compilenode returning call5483
// compilenode returning call5483
  partcv[0] = 0;
  Object call5484 = callmethod(call5483, "new",
    1, partcv, params);
  gc_frame_end(callframe5481);
// compilenode returning call5484
// compilenode returning call5484
  *var_suggestion = call5484;
  if (call5484 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5485 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool5486 = alloc_Boolean(1);
// compilenode returning bool5486
  gc_frame_newslot(bool5486);
  Object bool5487 = alloc_Boolean(0);
// compilenode returning bool5487
  gc_frame_newslot(bool5487);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool5486;
  params[2] = bool5487;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5488 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5485);
// compilenode returning call5488
// Begin line 1752
  setline(1752);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5489 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5490 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5489);
// compilenode returning call5490
// Begin line 1754
  setline(1754);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5491 = gc_frame_new();
  int callframe5492 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5493 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5492);
// compilenode returning call5493
// compilenode returning call5493
  partcv[0] = 0;
  Object call5494 = callmethod(call5493, "new",
    1, partcv, params);
  gc_frame_end(callframe5491);
// compilenode returning call5494
// compilenode returning call5494
  *var_suggestion = call5494;
  if (call5494 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1754
  setline(1754);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5496 = gc_frame_new();
  if (strlit5498 == NULL) {
    strlit5498 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5498);
  }
// compilenode returning strlit5498
  int op_slot_right_5497 = gc_frame_newslot(strlit5498);
// compilenode returning *var_name
  int op_slot_right_5500 = gc_frame_newslot(*var_name);
  if (strlit5502 == NULL) {
    strlit5502 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5502);
  }
// compilenode returning strlit5502
  int op_slot_left_5500 = gc_frame_newslot(strlit5502);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5503 = callmethod(strlit5502, "++", 1, partcv, params);
// compilenode returning opresult5503
  int op_slot_left_5497 = gc_frame_newslot(opresult5503);
  params[0] = strlit5498;
  partcv[0] = 1;
  Object opresult5504 = callmethod(opresult5503, "++", 1, partcv, params);
// compilenode returning opresult5504
  gc_frame_newslot(opresult5504);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult5504;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5505 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5496);
// compilenode returning call5505
// Begin line 1755
  setline(1755);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5506 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5507 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5506);
// compilenode returning call5507
// Begin line 1757
  setline(1757);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1756
  setline(1756);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5508 = gc_frame_new();
  int callframe5509 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5510 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5509);
// compilenode returning call5510
// compilenode returning call5510
  partcv[0] = 0;
  Object call5511 = callmethod(call5510, "new",
    1, partcv, params);
  gc_frame_end(callframe5508);
// compilenode returning call5511
// compilenode returning call5511
  *var_suggestion = call5511;
  if (call5511 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1757
  setline(1757);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5513 = gc_frame_new();
  int callframe5515 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call5516 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe5515);
// compilenode returning call5516
// compilenode returning call5516
  int callframe5517 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5518 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5517);
// compilenode returning call5518
// compilenode returning call5518
  params[0] = call5518;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres5519 = callmethod(call5516, "[]", 1, partcv, params);
// compilenode returning idxres5519
  int op_slot_right_5514 = gc_frame_newslot(idxres5519);
  if (strlit5521 == NULL) {
    strlit5521 = alloc_String(" ");
    gc_root(strlit5521);
  }
// compilenode returning strlit5521
  int op_slot_left_5514 = gc_frame_newslot(strlit5521);
  params[0] = idxres5519;
  partcv[0] = 1;
  Object opresult5522 = callmethod(strlit5521, "++", 1, partcv, params);
// compilenode returning opresult5522
  gc_frame_newslot(opresult5522);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult5522;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5523 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5513);
// compilenode returning call5523
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5524 = gc_frame_new();
  int callframe5525 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5526 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5525);
// compilenode returning call5526
// compilenode returning call5526
  gc_frame_newslot(call5526);
// compilenode returning *var_suggestion
  params[0] = call5526;
  partcv[0] = 1;
  Object call5527 = callmethod(*var_suggestion, "deleteLine",
    1, partcv, params);
  gc_frame_end(callframe5524);
// compilenode returning call5527
// Begin line 1759
  setline(1759);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5528 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5529 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5528);
// compilenode returning call5529
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5530 = gc_frame_new();
  if (strlit5532 == NULL) {
    strlit5532 = alloc_String("'. This is often caused by a new line in the middle of an expression.");
    gc_root(strlit5532);
  }
// compilenode returning strlit5532
  int op_slot_right_5531 = gc_frame_newslot(strlit5532);
  int callframe5535 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5536 = callmethod(*var_lastToken, "value",
    1, partcv, params);
  gc_frame_end(callframe5535);
// compilenode returning call5536
// compilenode returning call5536
  int op_slot_right_5534 = gc_frame_newslot(call5536);
  if (strlit5538 == NULL) {
    strlit5538 = alloc_String("A valid expression must follow '");
    gc_root(strlit5538);
  }
// compilenode returning strlit5538
  int op_slot_left_5534 = gc_frame_newslot(strlit5538);
  params[0] = call5536;
  partcv[0] = 1;
  Object opresult5539 = callmethod(strlit5538, "++", 1, partcv, params);
// compilenode returning opresult5539
  int op_slot_left_5531 = gc_frame_newslot(opresult5539);
  params[0] = strlit5532;
  partcv[0] = 1;
  Object opresult5540 = callmethod(opresult5539, "++", 1, partcv, params);
// compilenode returning opresult5540
  gc_frame_newslot(opresult5540);
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5541 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5542 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5541);
// compilenode returning call5542
// compilenode returning call5542
  gc_frame_newslot(call5542);
  int callframe5544 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5545 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5544);
// compilenode returning call5545
// compilenode returning call5545
  int op_slot_right_5543 = gc_frame_newslot(call5545);
  int callframe5547 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5548 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5547);
// compilenode returning call5548
// compilenode returning call5548
  int op_slot_left_5543 = gc_frame_newslot(call5548);
  params[0] = call5545;
  partcv[0] = 1;
  Object sum5549 = callmethod(call5548, "+", 1, partcv, params);
// compilenode returning sum5549
  gc_frame_newslot(sum5549);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult5540;
  params[1] = call5542;
  params[2] = sum5549;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5550 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5530);
// compilenode returning call5550
    gc_frame_newslot(call5550);
    if5475 = call5550;
  } else {
  }
// compilenode returning if5475
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5552 = gc_frame_new();
  int callframe5553 = gc_frame_new();
  Object block5554 = alloc_Block(NULL, NULL, "parser", 1763);
  gc_frame_newslot(block5554);
  block_savedest(block5554);
  Object closure5555 = createclosure(1, "_apply");
  setclosureframe(closure5555, stackframe);
  addtoclosure(closure5555, selfslot);
  struct UserObject *uo5555 = (struct UserObject*)block5554;
  uo5555->data[0] = (Object)closure5555;
  Method *meth_meth_parser__apply5555 = addmethod2pos(block5554, "_apply", &meth_parser__apply5555, 0);
int argcv_meth_parser__apply5555[] = {0};
meth_meth_parser__apply5555->type = alloc_MethodType(1, argcv_meth_parser__apply5555);
  meth_meth_parser__apply5555->definitionModule = modulename;
  meth_meth_parser__apply5555->definitionLine = 1763;
// compilenode returning block5554
  gc_frame_newslot(block5554);
  params[0] = block5554;
  partcv[0] = 1;
  Object call5559 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5553);
// compilenode returning call5559
  partcv[0] = 0;
  Object call5560 = callmethod(call5559, "not",
    1, partcv, params);
  gc_frame_end(callframe5552);
// compilenode returning call5560
// compilenode returning call5560
  Object if5551 = done;
  if (istrue(call5560)) {
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1764
  setline(1764);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5561 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5561
  *var_suggestions = array5561;
  if (array5561 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5562 = gc_frame_new();
  int callframe5563 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5564 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5563);
// compilenode returning call5564
// compilenode returning call5564
  partcv[0] = 0;
  Object call5565 = callmethod(call5564, "new",
    1, partcv, params);
  gc_frame_end(callframe5562);
// compilenode returning call5565
// compilenode returning call5565
  *var_suggestion = call5565;
  if (call5565 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5566 = gc_frame_new();
  if (strlit5567 == NULL) {
    strlit5567 = alloc_String("comma");
    gc_root(strlit5567);
  }
// compilenode returning strlit5567
  gc_frame_newslot(strlit5567);
  if (strlit5568 == NULL) {
    strlit5568 = alloc_String("rparen");
    gc_root(strlit5568);
  }
// compilenode returning strlit5568
  gc_frame_newslot(strlit5568);
  if (strlit5569 == NULL) {
    strlit5569 = alloc_String("rsquare");
    gc_root(strlit5569);
  }
// compilenode returning strlit5569
  gc_frame_newslot(strlit5569);
  if (strlit5570 == NULL) {
    strlit5570 = alloc_String("rbrace");
    gc_root(strlit5570);
  }
// compilenode returning strlit5570
  gc_frame_newslot(strlit5570);
  params[0] = strlit5567;
  params[1] = strlit5568;
  params[2] = strlit5569;
  params[3] = strlit5570;
  partcv[0] = 4;
  Object call5571 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5566);
// compilenode returning call5571
  *var_nextTok = call5571;
  if (call5571 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1772
  setline(1772);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5573 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5573 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5575 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5575
  Object if5572 = done;
  if (istrue(opresult5575)) {
// Begin line 1768
  setline(1768);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5576 = gc_frame_new();
  if (strlit5578 == NULL) {
    strlit5578 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5578);
  }
// compilenode returning strlit5578
  int op_slot_right_5577 = gc_frame_newslot(strlit5578);
// compilenode returning *var_name
  int op_slot_right_5580 = gc_frame_newslot(*var_name);
  if (strlit5582 == NULL) {
    strlit5582 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5582);
  }
// compilenode returning strlit5582
  int op_slot_left_5580 = gc_frame_newslot(strlit5582);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5583 = callmethod(strlit5582, "++", 1, partcv, params);
// compilenode returning opresult5583
  int op_slot_left_5577 = gc_frame_newslot(opresult5583);
  params[0] = strlit5578;
  partcv[0] = 1;
  Object opresult5584 = callmethod(opresult5583, "++", 1, partcv, params);
// compilenode returning opresult5584
  gc_frame_newslot(opresult5584);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult5584;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5585 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5576);
// compilenode returning call5585
    gc_frame_newslot(call5585);
    if5572 = call5585;
  } else {
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5586 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5587 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5588 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5587);
// compilenode returning call5588
// compilenode returning call5588
  gc_frame_newslot(call5588);
  Object bool5589 = alloc_Boolean(1);
// compilenode returning bool5589
  gc_frame_newslot(bool5589);
  Object bool5590 = alloc_Boolean(0);
// compilenode returning bool5590
  gc_frame_newslot(bool5590);
  if (strlit5592 == NULL) {
    strlit5592 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5592);
  }
// compilenode returning strlit5592
  int op_slot_right_5591 = gc_frame_newslot(strlit5592);
// compilenode returning *var_name
  int op_slot_right_5594 = gc_frame_newslot(*var_name);
  if (strlit5596 == NULL) {
    strlit5596 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5596);
  }
// compilenode returning strlit5596
  int op_slot_left_5594 = gc_frame_newslot(strlit5596);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5597 = callmethod(strlit5596, "++", 1, partcv, params);
// compilenode returning opresult5597
  int op_slot_left_5591 = gc_frame_newslot(opresult5597);
  params[0] = strlit5592;
  partcv[0] = 1;
  Object opresult5598 = callmethod(opresult5597, "++", 1, partcv, params);
// compilenode returning opresult5598
  gc_frame_newslot(opresult5598);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5588;
  params[2] = bool5589;
  params[3] = bool5590;
  params[4] = opresult5598;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5599 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5586);
// compilenode returning call5599
    gc_frame_newslot(call5599);
    if5572 = call5599;
  }
// compilenode returning if5572
// Begin line 1772
  setline(1772);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5600 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5601 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5600);
// compilenode returning call5601
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5602 = gc_frame_new();
  int callframe5603 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5604 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5603);
// compilenode returning call5604
// compilenode returning call5604
  partcv[0] = 0;
  Object call5605 = callmethod(call5604, "new",
    1, partcv, params);
  gc_frame_end(callframe5602);
// compilenode returning call5605
// compilenode returning call5605
  *var_suggestion = call5605;
  if (call5605 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5607 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe5608 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5609 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5608);
// compilenode returning call5609
// compilenode returning call5609
  gc_frame_newslot(call5609);
  Object bool5610 = alloc_Boolean(1);
// compilenode returning bool5610
  gc_frame_newslot(bool5610);
  Object bool5611 = alloc_Boolean(0);
// compilenode returning bool5611
  gc_frame_newslot(bool5611);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call5609;
  params[2] = bool5610;
  params[3] = bool5611;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5612 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5607);
// compilenode returning call5612
// Begin line 1775
  setline(1775);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5613 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5614 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5613);
// compilenode returning call5614
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5615 = gc_frame_new();
  if (strlit5617 == NULL) {
    strlit5617 = alloc_String("'. This is often caused by a new line in the middle of an expression.");
    gc_root(strlit5617);
  }
// compilenode returning strlit5617
  int op_slot_right_5616 = gc_frame_newslot(strlit5617);
  int callframe5620 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5621 = callmethod(*var_lastToken, "value",
    1, partcv, params);
  gc_frame_end(callframe5620);
// compilenode returning call5621
// compilenode returning call5621
  int op_slot_right_5619 = gc_frame_newslot(call5621);
  if (strlit5624 == NULL) {
    strlit5624 = alloc_String(" must follow '");
    gc_root(strlit5624);
  }
// compilenode returning strlit5624
  int op_slot_right_5623 = gc_frame_newslot(strlit5624);
// compilenode returning *var_name
  int op_slot_right_5626 = gc_frame_newslot(*var_name);
  if (strlit5628 == NULL) {
    strlit5628 = alloc_String("A valid ");
    gc_root(strlit5628);
  }
// compilenode returning strlit5628
  int op_slot_left_5626 = gc_frame_newslot(strlit5628);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5629 = callmethod(strlit5628, "++", 1, partcv, params);
// compilenode returning opresult5629
  int op_slot_left_5623 = gc_frame_newslot(opresult5629);
  params[0] = strlit5624;
  partcv[0] = 1;
  Object opresult5630 = callmethod(opresult5629, "++", 1, partcv, params);
// compilenode returning opresult5630
  int op_slot_left_5619 = gc_frame_newslot(opresult5630);
  params[0] = call5621;
  partcv[0] = 1;
  Object opresult5631 = callmethod(opresult5630, "++", 1, partcv, params);
// compilenode returning opresult5631
  int op_slot_left_5616 = gc_frame_newslot(opresult5631);
  params[0] = strlit5617;
  partcv[0] = 1;
  Object opresult5632 = callmethod(opresult5631, "++", 1, partcv, params);
// compilenode returning opresult5632
  gc_frame_newslot(opresult5632);
// Begin line 1777
  setline(1777);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5633 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5634 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5633);
// compilenode returning call5634
// compilenode returning call5634
  gc_frame_newslot(call5634);
  int callframe5636 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5637 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5636);
// compilenode returning call5637
// compilenode returning call5637
  int op_slot_right_5635 = gc_frame_newslot(call5637);
  int callframe5639 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5640 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5639);
// compilenode returning call5640
// compilenode returning call5640
  int op_slot_left_5635 = gc_frame_newslot(call5640);
  params[0] = call5637;
  partcv[0] = 1;
  Object sum5641 = callmethod(call5640, "+", 1, partcv, params);
// compilenode returning sum5641
  gc_frame_newslot(sum5641);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult5632;
  params[1] = call5634;
  params[2] = sum5641;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5642 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5615);
// compilenode returning call5642
    gc_frame_newslot(call5642);
    if5551 = call5642;
  } else {
  }
// compilenode returning if5551
    gc_frame_newslot(if5551);
    if5385 = if5551;
  }
// compilenode returning if5385
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5643 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  gc_frame_newslot(*var_acceptBlocks);
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5644 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5643);
// compilenode returning call5644
// Begin line 1786
  setline(1786);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5645 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  gc_frame_newslot(*var_acceptBlocks);
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5646 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5645);
// compilenode returning call5646
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5647 = gc_frame_new();
  partcv[0] = 0;
  Object call5648 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5647);
// compilenode returning call5648
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5649 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5650 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5649);
// compilenode returning call5650
// compilenode returning call5650
  *var_tmp = call5650;
  if (call5650 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5652 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_terms
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5653 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5652);
// compilenode returning call5653
  gc_frame_end(frame);
  return call5653;
}
Object meth_parser__apply5658(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object num5660 = alloc_Float64(0);
// compilenode returning num5660
  int op_slot_right_5659 = gc_frame_newslot(num5660);
  int callframe5662 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5663 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5662);
// compilenode returning call5663
// compilenode returning call5663
  int op_slot_left_5659 = gc_frame_newslot(call5663);
  params[0] = num5660;
  partcv[0] = 1;
  Object opresult5664 = callmethod(call5663, ">", 1, partcv, params);
// compilenode returning opresult5664
  gc_frame_end(frame);
  return opresult5664;
}
Object meth_parser__apply5667(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_o = getfromclosure(closure, 1);
  Object *var_terms = getfromclosure(closure, 2);
  Object *var_tmp2 = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1793
  setline(1793);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5668 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5669 = callmethod(*var_ops, "pop",
    1, partcv, params);
  gc_frame_end(callframe5668);
// compilenode returning call5669
// compilenode returning call5669
  *var_o = call5669;
  if (call5669 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5671 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5672 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5671);
// compilenode returning call5672
// compilenode returning call5672
  *var_tmp2 = call5672;
  if (call5672 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5674 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5675 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5674);
// compilenode returning call5675
// compilenode returning call5675
  *var_tmp = call5675;
  if (call5675 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5677 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_tmp2
  gc_frame_newslot(*var_tmp2);
  int callframe5678 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5679 = callmethod(*var_ast, "opNode",
    1, partcv, params);
  gc_frame_end(callframe5678);
// compilenode returning call5679
// compilenode returning call5679
  params[0] = *var_o;
  params[1] = *var_tmp;
  params[2] = *var_tmp2;
  partcv[0] = 3;
  Object call5680 = callmethod(call5679, "new",
    1, partcv, params);
  gc_frame_end(callframe5677);
// compilenode returning call5680
  *var_tmp = call5680;
  if (call5680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5682 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_terms
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5683 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5682);
// compilenode returning call5683
  gc_frame_end(frame);
  return call5683;
}
Object meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5210(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(14, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expressionrest()recursingWith()blocks");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method expressionrest()recursingWith()blocks");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method expressionrest()recursingWith()blocks");
  if (nparts > 0 && argcv[2] < 1)
    gracedie("insufficient arguments to method expressionrest()recursingWith()blocks");
  Object params[3];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    gracedie("missing argument list for expressionrest()recursingWith()blocks (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for expressionrest");
  Object *var_recurse = &(stackframe->slots[1]);
  *var_recurse = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for recursingWith");
  Object *var_acceptBlocks = &(stackframe->slots[2]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    gracedie("wrong number of arguments for blocks");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_terms = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "terms");
  Object *var_ops = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "ops");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
  Object *var_o2 = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "o2");
  Object *var_tmp2 = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "tmp2");
  Object *var_tmp = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "tmp");
  Object *var_prec = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "prec");
  Object *var_allarith = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "allarith");
  Object *var_opcount = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "opcount");
  Object *var_opdtype = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "opdtype");
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1670
  setline(1670);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5211 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5211
  *var_terms = array5211;
  if (array5211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1672
  setline(1672);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5212 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5212
  *var_ops = array5212;
  if (array5212 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1673
  setline(1673);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_o = undefined;
// compilenode returning done
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_o2 = undefined;
// compilenode returning done
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_tmp2 = undefined;
// compilenode returning done
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5213 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5214 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5213);
// compilenode returning call5214
// compilenode returning call5214
  *var_tmp = call5214;
  if (call5214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5215 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_terms
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5216 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5215);
// compilenode returning call5216
// Begin line 1678
  setline(1678);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_prec = undefined;
// compilenode returning done
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1678
  setline(1678);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5217 = alloc_Boolean(1);
// compilenode returning bool5217
  *var_allarith = bool5217;
  if (bool5217 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1680
  setline(1680);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5218 = alloc_Float64(0);
// compilenode returning num5218
  *var_opcount = num5218;
  if (num5218 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1681
  setline(1681);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1680
  setline(1680);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5219 == NULL) {
    strlit5219 = alloc_String("");
    gc_root(strlit5219);
  }
// compilenode returning strlit5219
  *var_opdtype = strlit5219;
  if (strlit5219 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1681
  setline(1681);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5220 = gc_frame_new();
  Object block5221 = alloc_Block(NULL, NULL, "parser", 1681);
  gc_frame_newslot(block5221);
  block_savedest(block5221);
  Object closure5222 = createclosure(3, "_apply");
  setclosureframe(closure5222, stackframe);
  addtoclosure(closure5222, var_sym);
  addtoclosure(closure5222, var_statementToken);
  addtoclosure(closure5222, selfslot);
  struct UserObject *uo5222 = (struct UserObject*)block5221;
  uo5222->data[0] = (Object)closure5222;
  Method *meth_meth_parser__apply5222 = addmethod2pos(block5221, "_apply", &meth_parser__apply5222, 0);
int argcv_meth_parser__apply5222[] = {0};
meth_meth_parser__apply5222->type = alloc_MethodType(1, argcv_meth_parser__apply5222);
  meth_meth_parser__apply5222->definitionModule = modulename;
  meth_meth_parser__apply5222->definitionLine = 1675;
// compilenode returning block5221
  gc_frame_newslot(block5221);
// Begin line 1682
  setline(1682);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block5238 = alloc_Block(NULL, NULL, "parser", 1682);
  gc_frame_newslot(block5238);
  block_savedest(block5238);
  Object closure5239 = createclosure(20, "_apply");
  setclosureframe(closure5239, stackframe);
  addtoclosure(closure5239, var_opcount);
  addtoclosure(closure5239, var_sym);
  addtoclosure(closure5239, var_o);
  addtoclosure(closure5239, var_prec);
  addtoclosure(closure5239, var_allarith);
  addtoclosure(closure5239, var_opdtype);
  addtoclosure(closure5239, var_errormessages);
  addtoclosure(closure5239, var_lastToken);
  addtoclosure(closure5239, var_ops);
  addtoclosure(closure5239, var_o2);
  addtoclosure(closure5239, var_terms);
  addtoclosure(closure5239, var_tmp2);
  addtoclosure(closure5239, var_tmp);
  addtoclosure(closure5239, var_ast);
  addtoclosure(closure5239, var_recurse);
  addtoclosure(closure5239, var_name);
  addtoclosure(closure5239, var_util);
  addtoclosure(closure5239, var_acceptBlocks);
  addtoclosure(closure5239, var_values);
  addtoclosure(closure5239, selfslot);
  struct UserObject *uo5239 = (struct UserObject*)block5238;
  uo5239->data[0] = (Object)closure5239;
  Method *meth_meth_parser__apply5239 = addmethod2pos(block5238, "_apply", &meth_parser__apply5239, 0);
int argcv_meth_parser__apply5239[] = {0};
meth_meth_parser__apply5239->type = alloc_MethodType(1, argcv_meth_parser__apply5239);
  meth_meth_parser__apply5239->definitionModule = modulename;
  meth_meth_parser__apply5239->definitionLine = 1682;
// compilenode returning block5238
  gc_frame_newslot(block5238);
  params[0] = block5221;
  params[1] = block5238;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5655 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5220);
// compilenode returning call5655
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5656 = gc_frame_new();
  Object block5657 = alloc_Block(NULL, NULL, "parser", 1791);
  gc_frame_newslot(block5657);
  block_savedest(block5657);
  Object closure5658 = createclosure(2, "_apply");
  setclosureframe(closure5658, stackframe);
  addtoclosure(closure5658, var_ops);
  addtoclosure(closure5658, selfslot);
  struct UserObject *uo5658 = (struct UserObject*)block5657;
  uo5658->data[0] = (Object)closure5658;
  Method *meth_meth_parser__apply5658 = addmethod2pos(block5657, "_apply", &meth_parser__apply5658, 0);
int argcv_meth_parser__apply5658[] = {0};
meth_meth_parser__apply5658->type = alloc_MethodType(1, argcv_meth_parser__apply5658);
  meth_meth_parser__apply5658->definitionModule = modulename;
  meth_meth_parser__apply5658->definitionLine = 1788;
// compilenode returning block5657
  gc_frame_newslot(block5657);
  Object block5666 = alloc_Block(NULL, NULL, "parser", 1791);
  gc_frame_newslot(block5666);
  block_savedest(block5666);
  Object closure5667 = createclosure(7, "_apply");
  setclosureframe(closure5667, stackframe);
  addtoclosure(closure5667, var_ops);
  addtoclosure(closure5667, var_o);
  addtoclosure(closure5667, var_terms);
  addtoclosure(closure5667, var_tmp2);
  addtoclosure(closure5667, var_tmp);
  addtoclosure(closure5667, var_ast);
  addtoclosure(closure5667, selfslot);
  struct UserObject *uo5667 = (struct UserObject*)block5666;
  uo5667->data[0] = (Object)closure5667;
  Method *meth_meth_parser__apply5667 = addmethod2pos(block5666, "_apply", &meth_parser__apply5667, 0);
int argcv_meth_parser__apply5667[] = {0};
meth_meth_parser__apply5667->type = alloc_MethodType(1, argcv_meth_parser__apply5667);
  meth_meth_parser__apply5667->definitionModule = modulename;
  meth_meth_parser__apply5667->definitionLine = 1791;
// compilenode returning block5666
  gc_frame_newslot(block5666);
  params[0] = block5657;
  params[1] = block5666;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5685 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5656);
// compilenode returning call5685
// Begin line 1800
  setline(1800);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1799
  setline(1799);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5686 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5687 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5686);
// compilenode returning call5687
// compilenode returning call5687
  *var_tmp = call5687;
  if (call5687 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1800
  setline(1800);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5689 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_values
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5690 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5689);
// compilenode returning call5690
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1801
  setline(1801);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5693 = alloc_Float64(0);
// compilenode returning num5693
  int op_slot_right_5692 = gc_frame_newslot(num5693);
  int callframe5695 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5696 = callmethod(*var_terms, "size",
    1, partcv, params);
  gc_frame_end(callframe5695);
// compilenode returning call5696
// compilenode returning call5696
  int op_slot_left_5692 = gc_frame_newslot(call5696);
  params[0] = num5693;
  partcv[0] = 1;
  Object opresult5697 = callmethod(call5696, ">", 1, partcv, params);
// compilenode returning opresult5697
  Object if5691 = done;
  if (istrue(opresult5697)) {
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5698 = gc_frame_new();
  if (strlit5699 == NULL) {
    strlit5699 = alloc_String("Values left on term stack.");
    gc_root(strlit5699);
  }
// compilenode returning strlit5699
  gc_frame_newslot(strlit5699);
  int callframe5700 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5701 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5700);
// compilenode returning call5701
// compilenode returning call5701
  gc_frame_newslot(call5701);
  int callframe5702 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5703 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5702);
// compilenode returning call5703
// compilenode returning call5703
  gc_frame_newslot(call5703);
// compilenode returning *var_errormessages
  params[0] = strlit5699;
  params[1] = call5701;
  params[2] = call5703;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call5704 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe5698);
// compilenode returning call5704
    gc_frame_newslot(call5704);
    if5691 = call5704;
  } else {
  }
// compilenode returning if5691
  gc_frame_end(frame);
  return if5691;
}
Object meth_parser_dotrest5705(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method dotrest");
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotrest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for dotrest");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lookuptarget = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lookuptarget");
  Object *var_dro = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "dro");
  Object *var_suggestions = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestions");
  Object *var_suggestion = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestion");
// Begin line 1837
  setline(1837);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1810
  setline(1810);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5707 = gc_frame_new();
  if (strlit5708 == NULL) {
    strlit5708 = alloc_String("dot");
    gc_root(strlit5708);
  }
// compilenode returning strlit5708
  gc_frame_newslot(strlit5708);
  params[0] = strlit5708;
  partcv[0] = 1;
  Object call5709 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5707);
// compilenode returning call5709
  Object if5706 = done;
  if (istrue(call5709)) {
// Begin line 1812
  setline(1812);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1811
  setline(1811);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5710 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5711 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5710);
// compilenode returning call5711
// compilenode returning call5711
  *var_lookuptarget = call5711;
  if (call5711 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1812
  setline(1812);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5712 = gc_frame_new();
  partcv[0] = 0;
  Object call5713 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5712);
// compilenode returning call5713
// Begin line 1836
  setline(1836);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1813
  setline(1813);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5715 = gc_frame_new();
  if (strlit5716 == NULL) {
    strlit5716 = alloc_String("identifier");
    gc_root(strlit5716);
  }
// compilenode returning strlit5716
  gc_frame_newslot(strlit5716);
  params[0] = strlit5716;
  partcv[0] = 1;
  Object call5717 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5715);
// compilenode returning call5717
  Object if5714 = done;
  if (istrue(call5717)) {
// Begin line 1814
  setline(1814);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5718 = gc_frame_new();
  int callframe5719 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5720 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5719);
// compilenode returning call5720
// compilenode returning call5720
  gc_frame_newslot(call5720);
// compilenode returning *var_lookuptarget
  gc_frame_newslot(*var_lookuptarget);
  int callframe5721 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5722 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe5721);
// compilenode returning call5722
// compilenode returning call5722
  params[0] = call5720;
  params[1] = *var_lookuptarget;
  partcv[0] = 2;
  Object call5723 = callmethod(call5722, "new",
    1, partcv, params);
  gc_frame_end(callframe5718);
// compilenode returning call5723
  *var_dro = call5723;
  if (call5723 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5724 = gc_frame_new();
// compilenode returning *var_dro
  gc_frame_newslot(*var_dro);
// compilenode returning *var_values
  params[0] = *var_dro;
  partcv[0] = 1;
  Object call5725 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5724);
// compilenode returning call5725
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5726 = gc_frame_new();
  partcv[0] = 0;
  Object call5727 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5726);
// compilenode returning call5727
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5729 = gc_frame_new();
  if (strlit5730 == NULL) {
    strlit5730 = alloc_String("dot");
    gc_root(strlit5730);
  }
// compilenode returning strlit5730
  gc_frame_newslot(strlit5730);
  params[0] = strlit5730;
  partcv[0] = 1;
  Object call5731 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5729);
// compilenode returning call5731
  Object if5728 = done;
  if (istrue(call5731)) {
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5732 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  gc_frame_newslot(*var_acceptBlocks);
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5733 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5732);
// compilenode returning call5733
    gc_frame_newslot(call5733);
    if5728 = call5733;
  } else {
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5736 = gc_frame_new();
  if (strlit5737 == NULL) {
    strlit5737 = alloc_String("lgeneric");
    gc_root(strlit5737);
  }
// compilenode returning strlit5737
  gc_frame_newslot(strlit5737);
  params[0] = strlit5737;
  partcv[0] = 1;
  Object call5738 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5736);
// compilenode returning call5738
  int op_slot_right_5735 = gc_frame_newslot(call5738);
// Begin line 1820
  setline(1820);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5741 = gc_frame_new();
  if (strlit5742 == NULL) {
    strlit5742 = alloc_String("lsquare");
    gc_root(strlit5742);
  }
// compilenode returning strlit5742
  gc_frame_newslot(strlit5742);
  params[0] = strlit5742;
  partcv[0] = 1;
  Object call5743 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5741);
// compilenode returning call5743
  int op_slot_right_5740 = gc_frame_newslot(call5743);
  int callframe5746 = gc_frame_new();
  if (strlit5747 == NULL) {
    strlit5747 = alloc_String("string");
    gc_root(strlit5747);
  }
// compilenode returning strlit5747
  gc_frame_newslot(strlit5747);
  params[0] = strlit5747;
  partcv[0] = 1;
  Object call5748 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5746);
// compilenode returning call5748
  int op_slot_right_5745 = gc_frame_newslot(call5748);
  int callframe5751 = gc_frame_new();
  if (strlit5752 == NULL) {
    strlit5752 = alloc_String("num");
    gc_root(strlit5752);
  }
// compilenode returning strlit5752
  gc_frame_newslot(strlit5752);
  params[0] = strlit5752;
  partcv[0] = 1;
  Object call5753 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5751);
// compilenode returning call5753
  int op_slot_right_5750 = gc_frame_newslot(call5753);
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5757 = gc_frame_new();
  if (strlit5758 == NULL) {
    strlit5758 = alloc_String("lbrace");
    gc_root(strlit5758);
  }
// compilenode returning strlit5758
  gc_frame_newslot(strlit5758);
  params[0] = strlit5758;
  partcv[0] = 1;
  Object call5759 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5757);
// compilenode returning call5759
  int op_slot_right_5756 = gc_frame_newslot(call5759);
// compilenode returning *var_acceptBlocks
  int op_slot_left_5756 = gc_frame_newslot(*var_acceptBlocks);
  params[0] = call5759;
  partcv[0] = 1;
  Object opresult5761 = callmethod(*var_acceptBlocks, "&&", 1, partcv, params);
// compilenode returning opresult5761
  int op_slot_right_5755 = gc_frame_newslot(opresult5761);
  int callframe5763 = gc_frame_new();
  if (strlit5764 == NULL) {
    strlit5764 = alloc_String("lparen");
    gc_root(strlit5764);
  }
// compilenode returning strlit5764
  gc_frame_newslot(strlit5764);
  params[0] = strlit5764;
  partcv[0] = 1;
  Object call5765 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5763);
// compilenode returning call5765
  int op_slot_left_5755 = gc_frame_newslot(call5765);
  params[0] = opresult5761;
  partcv[0] = 1;
  Object opresult5766 = callmethod(call5765, "||", 1, partcv, params);
// compilenode returning opresult5766
  int op_slot_left_5750 = gc_frame_newslot(opresult5766);
  params[0] = call5753;
  partcv[0] = 1;
  Object opresult5767 = callmethod(opresult5766, "||", 1, partcv, params);
// compilenode returning opresult5767
  int op_slot_left_5745 = gc_frame_newslot(opresult5767);
  params[0] = call5748;
  partcv[0] = 1;
  Object opresult5768 = callmethod(opresult5767, "||", 1, partcv, params);
// compilenode returning opresult5768
  int op_slot_left_5740 = gc_frame_newslot(opresult5768);
  params[0] = call5743;
  partcv[0] = 1;
  Object opresult5769 = callmethod(opresult5768, "||", 1, partcv, params);
// compilenode returning opresult5769
  int op_slot_left_5735 = gc_frame_newslot(opresult5769);
  params[0] = call5738;
  partcv[0] = 1;
  Object opresult5770 = callmethod(opresult5769, "||", 1, partcv, params);
// compilenode returning opresult5770
  Object if5734 = done;
  if (istrue(opresult5770)) {
// Begin line 1823
  setline(1823);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5771 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  gc_frame_newslot(*var_acceptBlocks);
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5772 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5771);
// compilenode returning call5772
    gc_frame_newslot(call5772);
    if5734 = call5772;
  } else {
  }
// compilenode returning if5734
    gc_frame_newslot(if5734);
    if5728 = if5734;
  }
// compilenode returning if5728
    gc_frame_newslot(if5728);
    if5714 = if5728;
  } else {
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5773 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5773
  *var_suggestions = array5773;
  if (array5773 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1828
  setline(1828);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5774 = gc_frame_new();
  int callframe5775 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5776 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5775);
// compilenode returning call5776
// compilenode returning call5776
  partcv[0] = 0;
  Object call5777 = callmethod(call5776, "new",
    1, partcv, params);
  gc_frame_end(callframe5774);
// compilenode returning call5777
// compilenode returning call5777
  *var_suggestion = call5777;
  if (call5777 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1828
  setline(1828);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5778 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call5779 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe5778);
// compilenode returning call5779
// Begin line 1829
  setline(1829);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5780 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5781 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5780);
// compilenode returning call5781
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1830
  setline(1830);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5782 = gc_frame_new();
  int callframe5783 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5784 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5783);
// compilenode returning call5784
// compilenode returning call5784
  partcv[0] = 0;
  Object call5785 = callmethod(call5784, "new",
    1, partcv, params);
  gc_frame_end(callframe5782);
// compilenode returning call5785
// compilenode returning call5785
  *var_suggestion = call5785;
  if (call5785 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5787 = gc_frame_new();
  if (strlit5788 == NULL) {
    strlit5788 = alloc_String("""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit5788);
  }
// compilenode returning strlit5788
  gc_frame_newslot(strlit5788);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5788;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5789 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5787);
// compilenode returning call5789
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5790 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5791 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5790);
// compilenode returning call5791
// Begin line 1833
  setline(1833);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5792 = gc_frame_new();
  if (strlit5793 == NULL) {
    strlit5793 = alloc_String("A field or method name must follow a '.'.");
    gc_root(strlit5793);
  }
// compilenode returning strlit5793
  gc_frame_newslot(strlit5793);
// Begin line 1834
  setline(1834);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5794 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5795 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5794);
// compilenode returning call5795
// compilenode returning call5795
  gc_frame_newslot(call5795);
  int callframe5796 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5797 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5796);
// compilenode returning call5797
// compilenode returning call5797
  gc_frame_newslot(call5797);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1833
  setline(1833);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5793;
  params[1] = call5795;
  params[2] = call5797;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5798 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5792);
// compilenode returning call5798
    gc_frame_newslot(call5798);
    if5714 = call5798;
  }
// compilenode returning if5714
    gc_frame_newslot(if5714);
    if5706 = if5714;
  } else {
  }
// compilenode returning if5706
  gc_frame_end(frame);
  return if5706;
}
Object meth_parser__apply5864(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5865 = gc_frame_new();
  if (strlit5866 == NULL) {
    strlit5866 = alloc_String("identifier");
    gc_root(strlit5866);
  }
// compilenode returning strlit5866
  gc_frame_newslot(strlit5866);
  params[0] = strlit5866;
  partcv[0] = 1;
  Object call5867 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5865);
// compilenode returning call5867
  gc_frame_end(frame);
  return call5867;
}
Object meth_parser__apply5870(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_genericIdents = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5871 = gc_frame_new();
  partcv[0] = 0;
  Object call5872 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5871);
// compilenode returning call5872
// Begin line 1877
  setline(1877);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5873 = gc_frame_new();
  int callframe5874 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5875 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5874);
// compilenode returning call5875
// compilenode returning call5875
  gc_frame_newslot(call5875);
// compilenode returning *var_genericIdents
  params[0] = call5875;
  partcv[0] = 1;
  Object call5876 = callmethod(*var_genericIdents, "push",
    1, partcv, params);
  gc_frame_end(callframe5873);
// compilenode returning call5876
// Begin line 1881
  setline(1881);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1878
  setline(1878);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5878 = gc_frame_new();
  if (strlit5879 == NULL) {
    strlit5879 = alloc_String("comma");
    gc_root(strlit5879);
  }
// compilenode returning strlit5879
  gc_frame_newslot(strlit5879);
  params[0] = strlit5879;
  partcv[0] = 1;
  Object call5880 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5878);
// compilenode returning call5880
  Object if5877 = done;
  if (istrue(call5880)) {
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5881 = gc_frame_new();
  partcv[0] = 0;
  Object call5882 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5881);
// compilenode returning call5882
    gc_frame_newslot(call5882);
    if5877 = call5882;
  } else {
  }
// compilenode returning if5877
  gc_frame_end(frame);
  return if5877;
}
Object meth_parser__apply5945(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5946 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5947 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5946);
// compilenode returning call5947
  gc_frame_end(frame);
  return call5947;
}
Object meth_parser__apply6025(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6026 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6027 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6026);
// compilenode returning call6027
  gc_frame_end(frame);
  return call6027;
}
Object meth_parser__apply6085(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6086 = gc_frame_new();
  if (strlit6087 == NULL) {
    strlit6087 = alloc_String("comma");
    gc_root(strlit6087);
  }
// compilenode returning strlit6087
  gc_frame_newslot(strlit6087);
  params[0] = strlit6087;
  partcv[0] = 1;
  Object call6088 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6086);
// compilenode returning call6088
  gc_frame_end(frame);
  return call6088;
}
Object meth_parser__apply6105(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6106 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6107 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6106);
// compilenode returning call6107
  gc_frame_end(frame);
  return call6107;
}
Object meth_parser__apply6227(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6228 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6229 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6228);
// compilenode returning call6229
  gc_frame_end(frame);
  return call6229;
}
Object meth_parser__apply6091(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_part = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6092 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6093 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6092);
// compilenode returning call6093
// compilenode returning call6093
  *var_tmp = call6093;
  if (call6093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6095 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
  int callframe6096 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6097 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6096);
// compilenode returning call6097
// compilenode returning call6097
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6098 = callmethod(call6097, "push",
    1, partcv, params);
  gc_frame_end(callframe6095);
// compilenode returning call6098
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6099 = gc_frame_new();
  partcv[0] = 0;
  Object call6100 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6099);
// compilenode returning call6100
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6102 = gc_frame_new();
  int callframe6103 = gc_frame_new();
  Object block6104 = alloc_Block(NULL, NULL, "parser", 1943);
  gc_frame_newslot(block6104);
  block_savedest(block6104);
  Object closure6105 = createclosure(2, "_apply");
  setclosureframe(closure6105, stackframe);
  addtoclosure(closure6105, var_blocksOK);
  addtoclosure(closure6105, selfslot);
  struct UserObject *uo6105 = (struct UserObject*)block6104;
  uo6105->data[0] = (Object)closure6105;
  Method *meth_meth_parser__apply6105 = addmethod2pos(block6104, "_apply", &meth_parser__apply6105, 0);
int argcv_meth_parser__apply6105[] = {0};
meth_meth_parser__apply6105->type = alloc_MethodType(1, argcv_meth_parser__apply6105);
  meth_meth_parser__apply6105->definitionModule = modulename;
  meth_meth_parser__apply6105->definitionLine = 1943;
// compilenode returning block6104
  gc_frame_newslot(block6104);
  params[0] = block6104;
  partcv[0] = 1;
  Object call6109 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6103);
// compilenode returning call6109
  partcv[0] = 0;
  Object call6110 = callmethod(call6109, "not",
    1, partcv, params);
  gc_frame_end(callframe6102);
// compilenode returning call6110
// compilenode returning call6110
  Object if6101 = done;
  if (istrue(call6110)) {
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1944
  setline(1944);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6111 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6111
  *var_suggestions = array6111;
  if (array6111 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6112 = gc_frame_new();
  int callframe6113 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6114 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6113);
// compilenode returning call6114
// compilenode returning call6114
  partcv[0] = 0;
  Object call6115 = callmethod(call6114, "new",
    1, partcv, params);
  gc_frame_end(callframe6112);
// compilenode returning call6115
// compilenode returning call6115
  *var_suggestion = call6115;
  if (call6115 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6116 = gc_frame_new();
  if (strlit6117 == NULL) {
    strlit6117 = alloc_String("rparen");
    gc_root(strlit6117);
  }
// compilenode returning strlit6117
  gc_frame_newslot(strlit6117);
  params[0] = strlit6117;
  partcv[0] = 1;
  Object call6118 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6116);
// compilenode returning call6118
  *var_nextTok = call6118;
  if (call6118 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1947
  setline(1947);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_6120 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_6120 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6122 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult6122
  Object if6119 = done;
  if (istrue(opresult6122)) {
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6123 = gc_frame_new();
  if (strlit6124 == NULL) {
    strlit6124 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6124);
  }
// compilenode returning strlit6124
  gc_frame_newslot(strlit6124);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6124;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6125 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6123);
// compilenode returning call6125
    gc_frame_newslot(call6125);
    if6119 = call6125;
  } else {
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6126 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6127 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6128 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6127);
// compilenode returning call6128
// compilenode returning call6128
  gc_frame_newslot(call6128);
  Object bool6129 = alloc_Boolean(1);
// compilenode returning bool6129
  gc_frame_newslot(bool6129);
  Object bool6130 = alloc_Boolean(0);
// compilenode returning bool6130
  gc_frame_newslot(bool6130);
  if (strlit6131 == NULL) {
    strlit6131 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6131);
  }
// compilenode returning strlit6131
  gc_frame_newslot(strlit6131);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6128;
  params[2] = bool6129;
  params[3] = bool6130;
  params[4] = strlit6131;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6132 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6126);
// compilenode returning call6132
    gc_frame_newslot(call6132);
    if6119 = call6132;
  }
// compilenode returning if6119
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6133 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6134 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6133);
// compilenode returning call6134
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6135 = gc_frame_new();
  int callframe6136 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6137 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6136);
// compilenode returning call6137
// compilenode returning call6137
  partcv[0] = 0;
  Object call6138 = callmethod(call6137, "new",
    1, partcv, params);
  gc_frame_end(callframe6135);
// compilenode returning call6138
// compilenode returning call6138
  *var_suggestion = call6138;
  if (call6138 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6140 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe6141 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6142 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6141);
// compilenode returning call6142
// compilenode returning call6142
  gc_frame_newslot(call6142);
  Object bool6143 = alloc_Boolean(1);
// compilenode returning bool6143
  gc_frame_newslot(bool6143);
  Object bool6144 = alloc_Boolean(0);
// compilenode returning bool6144
  gc_frame_newslot(bool6144);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call6142;
  params[2] = bool6143;
  params[3] = bool6144;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6145 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6140);
// compilenode returning call6145
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6146 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6147 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6146);
// compilenode returning call6147
// Begin line 1956
  setline(1956);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6148 = gc_frame_new();
  if (strlit6149 == NULL) {
    strlit6149 = alloc_String("A method request must have an expression after a ','.");
    gc_root(strlit6149);
  }
// compilenode returning strlit6149
  gc_frame_newslot(strlit6149);
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6150 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6151 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6150);
// compilenode returning call6151
// compilenode returning call6151
  gc_frame_newslot(call6151);
  int callframe6152 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6153 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6152);
// compilenode returning call6153
// compilenode returning call6153
  gc_frame_newslot(call6153);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1956
  setline(1956);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6149;
  params[1] = call6151;
  params[2] = call6153;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6154 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6148);
// compilenode returning call6154
    gc_frame_newslot(call6154);
    if6101 = call6154;
  } else {
  }
// compilenode returning if6101
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6156 = gc_frame_new();
  if (strlit6157 == NULL) {
    strlit6157 = alloc_String("colon");
    gc_root(strlit6157);
  }
// compilenode returning strlit6157
  gc_frame_newslot(strlit6157);
  params[0] = strlit6157;
  partcv[0] = 1;
  Object call6158 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6156);
// compilenode returning call6158
  Object if6155 = done;
  if (istrue(call6158)) {
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1961
  setline(1961);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6159 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6160 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6159);
// compilenode returning call6160
// compilenode returning call6160
  *var_tmp = call6160;
  if (call6160 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1974
  setline(1974);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6164 == NULL) {
    strlit6164 = alloc_String("identifier");
    gc_root(strlit6164);
  }
// compilenode returning strlit6164
  int op_slot_right_6163 = gc_frame_newslot(strlit6164);
  int callframe6166 = gc_frame_new();
// compilenode returning *var_tmp
  partcv[0] = 0;
  Object call6167 = callmethod(*var_tmp, "kind",
    1, partcv, params);
  gc_frame_end(callframe6166);
// compilenode returning call6167
// compilenode returning call6167
  int op_slot_left_6163 = gc_frame_newslot(call6167);
  params[0] = strlit6164;
  partcv[0] = 1;
  Object opresult6168 = callmethod(call6167, "!=", 1, partcv, params);
// compilenode returning opresult6168
  Object if6162 = done;
  if (istrue(opresult6168)) {
// Begin line 1964
  setline(1964);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1963
  setline(1963);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6169 = gc_frame_new();
  int callframe6170 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6171 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6170);
// compilenode returning call6171
// compilenode returning call6171
  partcv[0] = 0;
  Object call6172 = callmethod(call6171, "new",
    1, partcv, params);
  gc_frame_end(callframe6169);
// compilenode returning call6172
// compilenode returning call6172
  *var_suggestion = call6172;
  if (call6172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1964
  setline(1964);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6175 == NULL) {
    strlit6175 = alloc_String("identifier");
    gc_root(strlit6175);
  }
// compilenode returning strlit6175
  int op_slot_right_6174 = gc_frame_newslot(strlit6175);
  int callframe6177 = gc_frame_new();
  int callframe6178 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6179 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6178);
// compilenode returning call6179
// compilenode returning call6179
  partcv[0] = 0;
  Object call6180 = callmethod(call6179, "kind",
    1, partcv, params);
  gc_frame_end(callframe6177);
// compilenode returning call6180
// compilenode returning call6180
  int op_slot_left_6174 = gc_frame_newslot(call6180);
  params[0] = strlit6175;
  partcv[0] = 1;
  Object opresult6181 = callmethod(call6180, "==", 1, partcv, params);
// compilenode returning opresult6181
  Object if6173 = done;
  if (istrue(opresult6181)) {
// Begin line 1965
  setline(1965);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6182 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6183 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6184 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6183);
// compilenode returning call6184
// compilenode returning call6184
  gc_frame_newslot(call6184);
  Object bool6185 = alloc_Boolean(1);
// compilenode returning bool6185
  gc_frame_newslot(bool6185);
  Object bool6186 = alloc_Boolean(0);
// compilenode returning bool6186
  gc_frame_newslot(bool6186);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6184;
  params[2] = bool6185;
  params[3] = bool6186;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6187 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6182);
// compilenode returning call6187
// Begin line 1966
  setline(1966);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6188 = gc_frame_new();
  if (strlit6189 == NULL) {
    strlit6189 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6189);
  }
// compilenode returning strlit6189
  gc_frame_newslot(strlit6189);
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6190 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6191 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6190);
// compilenode returning call6191
// compilenode returning call6191
  gc_frame_newslot(call6191);
  int callframe6192 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6193 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6192);
// compilenode returning call6193
// compilenode returning call6193
  gc_frame_newslot(call6193);
  Object num6195 = alloc_Float64(1);
// compilenode returning num6195
  int op_slot_right_6194 = gc_frame_newslot(num6195);
  int callframe6198 = gc_frame_new();
  int callframe6199 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6200 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6199);
// compilenode returning call6200
// compilenode returning call6200
  partcv[0] = 0;
  Object call6201 = callmethod(call6200, "size",
    1, partcv, params);
  gc_frame_end(callframe6198);
// compilenode returning call6201
// compilenode returning call6201
  int op_slot_right_6197 = gc_frame_newslot(call6201);
  int callframe6203 = gc_frame_new();
  int callframe6204 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6205 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6204);
// compilenode returning call6205
// compilenode returning call6205
  partcv[0] = 0;
  Object call6206 = callmethod(call6205, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6203);
// compilenode returning call6206
// compilenode returning call6206
  int op_slot_left_6197 = gc_frame_newslot(call6206);
  params[0] = call6201;
  partcv[0] = 1;
  Object sum6207 = callmethod(call6206, "+", 1, partcv, params);
// compilenode returning sum6207
  int op_slot_left_6194 = gc_frame_newslot(sum6207);
  params[0] = num6195;
  partcv[0] = 1;
  Object diff6208 = callmethod(sum6207, "-", 1, partcv, params);
// compilenode returning diff6208
  gc_frame_newslot(diff6208);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1966
  setline(1966);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6189;
  params[1] = call6191;
  params[2] = call6193;
  params[3] = diff6208;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6209 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6188);
// compilenode returning call6209
    gc_frame_newslot(call6209);
    if6173 = call6209;
  } else {
// Begin line 1969
  setline(1969);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6210 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call6211 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe6210);
// compilenode returning call6211
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6212 = gc_frame_new();
  if (strlit6213 == NULL) {
    strlit6213 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6213);
  }
// compilenode returning strlit6213
  gc_frame_newslot(strlit6213);
// Begin line 1971
  setline(1971);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6214 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6215 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6214);
// compilenode returning call6215
// compilenode returning call6215
  gc_frame_newslot(call6215);
  int callframe6216 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6217 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6216);
// compilenode returning call6217
// compilenode returning call6217
  gc_frame_newslot(call6217);
  int callframe6218 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6219 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6218);
// compilenode returning call6219
// compilenode returning call6219
  gc_frame_newslot(call6219);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6213;
  params[1] = call6215;
  params[2] = call6217;
  params[3] = call6219;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6220 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6212);
// compilenode returning call6220
    gc_frame_newslot(call6220);
    if6173 = call6220;
  }
// compilenode returning if6173
    gc_frame_newslot(if6173);
    if6162 = if6173;
  } else {
  }
// compilenode returning if6162
// Begin line 1974
  setline(1974);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6221 = gc_frame_new();
  partcv[0] = 0;
  Object call6222 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6221);
// compilenode returning call6222
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6224 = gc_frame_new();
  int callframe6225 = gc_frame_new();
  Object block6226 = alloc_Block(NULL, NULL, "parser", 1975);
  gc_frame_newslot(block6226);
  block_savedest(block6226);
  Object closure6227 = createclosure(2, "_apply");
  setclosureframe(closure6227, stackframe);
  addtoclosure(closure6227, var_blocksOK);
  addtoclosure(closure6227, selfslot);
  struct UserObject *uo6227 = (struct UserObject*)block6226;
  uo6227->data[0] = (Object)closure6227;
  Method *meth_meth_parser__apply6227 = addmethod2pos(block6226, "_apply", &meth_parser__apply6227, 0);
int argcv_meth_parser__apply6227[] = {0};
meth_meth_parser__apply6227->type = alloc_MethodType(1, argcv_meth_parser__apply6227);
  meth_meth_parser__apply6227->definitionModule = modulename;
  meth_meth_parser__apply6227->definitionLine = 1975;
// compilenode returning block6226
  gc_frame_newslot(block6226);
  params[0] = block6226;
  partcv[0] = 1;
  Object call6231 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6225);
// compilenode returning call6231
  partcv[0] = 0;
  Object call6232 = callmethod(call6231, "not",
    1, partcv, params);
  gc_frame_end(callframe6224);
// compilenode returning call6232
// compilenode returning call6232
  Object if6223 = done;
  if (istrue(call6232)) {
// Begin line 1976
  setline(1976);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6233 = gc_frame_new();
  partcv[0] = 0;
  Object call6234 = callmethodflags(self, "checkBadTypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6233);
// compilenode returning call6234
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6235 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6235
  *var_suggestions = array6235;
  if (array6235 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6236 = gc_frame_new();
  int callframe6237 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6238 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6237);
// compilenode returning call6238
// compilenode returning call6238
  partcv[0] = 0;
  Object call6239 = callmethod(call6238, "new",
    1, partcv, params);
  gc_frame_end(callframe6236);
// compilenode returning call6239
// compilenode returning call6239
  *var_suggestion = call6239;
  if (call6239 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6240 = gc_frame_new();
  if (strlit6241 == NULL) {
    strlit6241 = alloc_String("rparen");
    gc_root(strlit6241);
  }
// compilenode returning strlit6241
  gc_frame_newslot(strlit6241);
  params[0] = strlit6241;
  partcv[0] = 1;
  Object call6242 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6240);
// compilenode returning call6242
  *var_nextTok = call6242;
  if (call6242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_6244 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_6244 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6246 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult6246
  Object if6243 = done;
  if (istrue(opresult6246)) {
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6247 = gc_frame_new();
  if (strlit6248 == NULL) {
    strlit6248 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6248);
  }
// compilenode returning strlit6248
  gc_frame_newslot(strlit6248);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6248;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6249 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6247);
// compilenode returning call6249
    gc_frame_newslot(call6249);
    if6243 = call6249;
  } else {
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6250 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6251 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6252 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6251);
// compilenode returning call6252
// compilenode returning call6252
  gc_frame_newslot(call6252);
  Object bool6253 = alloc_Boolean(1);
// compilenode returning bool6253
  gc_frame_newslot(bool6253);
  Object bool6254 = alloc_Boolean(0);
// compilenode returning bool6254
  gc_frame_newslot(bool6254);
  if (strlit6255 == NULL) {
    strlit6255 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6255);
  }
// compilenode returning strlit6255
  gc_frame_newslot(strlit6255);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6252;
  params[2] = bool6253;
  params[3] = bool6254;
  params[4] = strlit6255;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6256 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6250);
// compilenode returning call6256
    gc_frame_newslot(call6256);
    if6243 = call6256;
  }
// compilenode returning if6243
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6257 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6258 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6257);
// compilenode returning call6258
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6259 = gc_frame_new();
  int callframe6260 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6261 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6260);
// compilenode returning call6261
// compilenode returning call6261
  partcv[0] = 0;
  Object call6262 = callmethod(call6261, "new",
    1, partcv, params);
  gc_frame_end(callframe6259);
// compilenode returning call6262
// compilenode returning call6262
  *var_suggestion = call6262;
  if (call6262 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6264 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe6265 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6266 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6265);
// compilenode returning call6266
// compilenode returning call6266
  gc_frame_newslot(call6266);
  Object bool6267 = alloc_Boolean(1);
// compilenode returning bool6267
  gc_frame_newslot(bool6267);
  Object bool6268 = alloc_Boolean(0);
// compilenode returning bool6268
  gc_frame_newslot(bool6268);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call6266;
  params[2] = bool6267;
  params[3] = bool6268;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6269 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6264);
// compilenode returning call6269
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6270 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6271 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6270);
// compilenode returning call6271
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6272 = gc_frame_new();
  if (strlit6273 == NULL) {
    strlit6273 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit6273);
  }
// compilenode returning strlit6273
  gc_frame_newslot(strlit6273);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6274 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6275 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6274);
// compilenode returning call6275
// compilenode returning call6275
  gc_frame_newslot(call6275);
  int callframe6276 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6277 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6276);
// compilenode returning call6277
// compilenode returning call6277
  gc_frame_newslot(call6277);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6273;
  params[1] = call6275;
  params[2] = call6277;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6278 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6272);
// compilenode returning call6278
    gc_frame_newslot(call6278);
    if6223 = call6278;
  } else {
  }
// compilenode returning if6223
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6279 = gc_frame_new();
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6280 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6281 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6280);
// compilenode returning call6281
// compilenode returning call6281
  gc_frame_newslot(call6281);
// compilenode returning *var_tmp
  params[0] = call6281;
  partcv[0] = 1;
  Object call6282 = callmethod(*var_tmp, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe6279);
// compilenode returning call6282
// compilenode returning done
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6283 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_values
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6284 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6283);
// compilenode returning call6284
    gc_frame_newslot(call6284);
    if6155 = call6284;
  } else {
  }
// compilenode returning if6155
  gc_frame_end(frame);
  return if6155;
}
Object meth_parser__apply5950(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_blocksOK = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_part = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5952 = gc_frame_new();
  if (strlit5953 == NULL) {
    strlit5953 = alloc_String("colon");
    gc_root(strlit5953);
  }
// compilenode returning strlit5953
  gc_frame_newslot(strlit5953);
  params[0] = strlit5953;
  partcv[0] = 1;
  Object call5954 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5952);
// compilenode returning call5954
  Object if5951 = done;
  if (istrue(call5954)) {
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1905
  setline(1905);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5955 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5956 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5955);
// compilenode returning call5956
// compilenode returning call5956
  *var_tmp = call5956;
  if (call5956 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5960 == NULL) {
    strlit5960 = alloc_String("identifier");
    gc_root(strlit5960);
  }
// compilenode returning strlit5960
  int op_slot_right_5959 = gc_frame_newslot(strlit5960);
  int callframe5962 = gc_frame_new();
// compilenode returning *var_tmp
  partcv[0] = 0;
  Object call5963 = callmethod(*var_tmp, "kind",
    1, partcv, params);
  gc_frame_end(callframe5962);
// compilenode returning call5963
// compilenode returning call5963
  int op_slot_left_5959 = gc_frame_newslot(call5963);
  params[0] = strlit5960;
  partcv[0] = 1;
  Object opresult5964 = callmethod(call5963, "!=", 1, partcv, params);
// compilenode returning opresult5964
  Object if5958 = done;
  if (istrue(opresult5964)) {
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5965 = gc_frame_new();
  int callframe5966 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5967 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5966);
// compilenode returning call5967
// compilenode returning call5967
  partcv[0] = 0;
  Object call5968 = callmethod(call5967, "new",
    1, partcv, params);
  gc_frame_end(callframe5965);
// compilenode returning call5968
// compilenode returning call5968
  *var_suggestion = call5968;
  if (call5968 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5971 == NULL) {
    strlit5971 = alloc_String("identifier");
    gc_root(strlit5971);
  }
// compilenode returning strlit5971
  int op_slot_right_5970 = gc_frame_newslot(strlit5971);
  int callframe5973 = gc_frame_new();
  int callframe5974 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5975 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe5974);
// compilenode returning call5975
// compilenode returning call5975
  partcv[0] = 0;
  Object call5976 = callmethod(call5975, "kind",
    1, partcv, params);
  gc_frame_end(callframe5973);
// compilenode returning call5976
// compilenode returning call5976
  int op_slot_left_5970 = gc_frame_newslot(call5976);
  params[0] = strlit5971;
  partcv[0] = 1;
  Object opresult5977 = callmethod(call5976, "==", 1, partcv, params);
// compilenode returning opresult5977
  Object if5969 = done;
  if (istrue(opresult5977)) {
// Begin line 1909
  setline(1909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5978 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5979 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5980 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe5979);
// compilenode returning call5980
// compilenode returning call5980
  gc_frame_newslot(call5980);
  Object bool5981 = alloc_Boolean(1);
// compilenode returning bool5981
  gc_frame_newslot(bool5981);
  Object bool5982 = alloc_Boolean(0);
// compilenode returning bool5982
  gc_frame_newslot(bool5982);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5980;
  params[2] = bool5981;
  params[3] = bool5982;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5983 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5978);
// compilenode returning call5983
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5984 = gc_frame_new();
  if (strlit5985 == NULL) {
    strlit5985 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit5985);
  }
// compilenode returning strlit5985
  gc_frame_newslot(strlit5985);
// Begin line 1911
  setline(1911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5986 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5987 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5986);
// compilenode returning call5987
// compilenode returning call5987
  gc_frame_newslot(call5987);
  int callframe5988 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5989 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5988);
// compilenode returning call5989
// compilenode returning call5989
  gc_frame_newslot(call5989);
  Object num5991 = alloc_Float64(1);
// compilenode returning num5991
  int op_slot_right_5990 = gc_frame_newslot(num5991);
  int callframe5994 = gc_frame_new();
  int callframe5995 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5996 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe5995);
// compilenode returning call5996
// compilenode returning call5996
  partcv[0] = 0;
  Object call5997 = callmethod(call5996, "size",
    1, partcv, params);
  gc_frame_end(callframe5994);
// compilenode returning call5997
// compilenode returning call5997
  int op_slot_right_5993 = gc_frame_newslot(call5997);
  int callframe5999 = gc_frame_new();
  int callframe6000 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6001 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6000);
// compilenode returning call6001
// compilenode returning call6001
  partcv[0] = 0;
  Object call6002 = callmethod(call6001, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5999);
// compilenode returning call6002
// compilenode returning call6002
  int op_slot_left_5993 = gc_frame_newslot(call6002);
  params[0] = call5997;
  partcv[0] = 1;
  Object sum6003 = callmethod(call6002, "+", 1, partcv, params);
// compilenode returning sum6003
  int op_slot_left_5990 = gc_frame_newslot(sum6003);
  params[0] = num5991;
  partcv[0] = 1;
  Object diff6004 = callmethod(sum6003, "-", 1, partcv, params);
// compilenode returning diff6004
  gc_frame_newslot(diff6004);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5985;
  params[1] = call5987;
  params[2] = call5989;
  params[3] = diff6004;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6005 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5984);
// compilenode returning call6005
    gc_frame_newslot(call6005);
    if5969 = call6005;
  } else {
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6006 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool6007 = alloc_Boolean(1);
// compilenode returning bool6007
  gc_frame_newslot(bool6007);
  Object bool6008 = alloc_Boolean(0);
// compilenode returning bool6008
  gc_frame_newslot(bool6008);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool6007;
  params[2] = bool6008;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6009 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6006);
// compilenode returning call6009
// Begin line 1914
  setline(1914);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6010 = gc_frame_new();
  if (strlit6011 == NULL) {
    strlit6011 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6011);
  }
// compilenode returning strlit6011
  gc_frame_newslot(strlit6011);
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6012 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6013 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6012);
// compilenode returning call6013
// compilenode returning call6013
  gc_frame_newslot(call6013);
  int callframe6014 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6015 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6014);
// compilenode returning call6015
// compilenode returning call6015
  gc_frame_newslot(call6015);
  int callframe6016 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6017 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6016);
// compilenode returning call6017
// compilenode returning call6017
  gc_frame_newslot(call6017);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1914
  setline(1914);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6011;
  params[1] = call6013;
  params[2] = call6015;
  params[3] = call6017;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6018 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6010);
// compilenode returning call6018
    gc_frame_newslot(call6018);
    if5969 = call6018;
  }
// compilenode returning if5969
    gc_frame_newslot(if5969);
    if5958 = if5969;
  } else {
  }
// compilenode returning if5958
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6019 = gc_frame_new();
  partcv[0] = 0;
  Object call6020 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6019);
// compilenode returning call6020
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6022 = gc_frame_new();
  int callframe6023 = gc_frame_new();
  Object block6024 = alloc_Block(NULL, NULL, "parser", 1919);
  gc_frame_newslot(block6024);
  block_savedest(block6024);
  Object closure6025 = createclosure(2, "_apply");
  setclosureframe(closure6025, stackframe);
  addtoclosure(closure6025, var_blocksOK);
  addtoclosure(closure6025, selfslot);
  struct UserObject *uo6025 = (struct UserObject*)block6024;
  uo6025->data[0] = (Object)closure6025;
  Method *meth_meth_parser__apply6025 = addmethod2pos(block6024, "_apply", &meth_parser__apply6025, 0);
int argcv_meth_parser__apply6025[] = {0};
meth_meth_parser__apply6025->type = alloc_MethodType(1, argcv_meth_parser__apply6025);
  meth_meth_parser__apply6025->definitionModule = modulename;
  meth_meth_parser__apply6025->definitionLine = 1919;
// compilenode returning block6024
  gc_frame_newslot(block6024);
  params[0] = block6024;
  partcv[0] = 1;
  Object call6029 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6023);
// compilenode returning call6029
  partcv[0] = 0;
  Object call6030 = callmethod(call6029, "not",
    1, partcv, params);
  gc_frame_end(callframe6022);
// compilenode returning call6030
// compilenode returning call6030
  Object if6021 = done;
  if (istrue(call6030)) {
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6031 = gc_frame_new();
  partcv[0] = 0;
  Object call6032 = callmethodflags(self, "checkBadTypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6031);
// compilenode returning call6032
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1921
  setline(1921);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6033 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6033
  *var_suggestions = array6033;
  if (array6033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6034 = gc_frame_new();
  int callframe6035 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6036 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6035);
// compilenode returning call6036
// compilenode returning call6036
  partcv[0] = 0;
  Object call6037 = callmethod(call6036, "new",
    1, partcv, params);
  gc_frame_end(callframe6034);
// compilenode returning call6037
// compilenode returning call6037
  *var_suggestion = call6037;
  if (call6037 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6038 = gc_frame_new();
  if (strlit6039 == NULL) {
    strlit6039 = alloc_String("rparen");
    gc_root(strlit6039);
  }
// compilenode returning strlit6039
  gc_frame_newslot(strlit6039);
  params[0] = strlit6039;
  partcv[0] = 1;
  Object call6040 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6038);
// compilenode returning call6040
  *var_nextTok = call6040;
  if (call6040 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1924
  setline(1924);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_6042 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_6042 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6044 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult6044
  Object if6041 = done;
  if (istrue(opresult6044)) {
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6045 = gc_frame_new();
  if (strlit6046 == NULL) {
    strlit6046 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6046);
  }
// compilenode returning strlit6046
  gc_frame_newslot(strlit6046);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6046;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6047 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6045);
// compilenode returning call6047
    gc_frame_newslot(call6047);
    if6041 = call6047;
  } else {
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6048 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6049 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6050 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6049);
// compilenode returning call6050
// compilenode returning call6050
  gc_frame_newslot(call6050);
  Object bool6051 = alloc_Boolean(1);
// compilenode returning bool6051
  gc_frame_newslot(bool6051);
  Object bool6052 = alloc_Boolean(0);
// compilenode returning bool6052
  gc_frame_newslot(bool6052);
  if (strlit6053 == NULL) {
    strlit6053 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6053);
  }
// compilenode returning strlit6053
  gc_frame_newslot(strlit6053);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6050;
  params[2] = bool6051;
  params[3] = bool6052;
  params[4] = strlit6053;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6054 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6048);
// compilenode returning call6054
    gc_frame_newslot(call6054);
    if6041 = call6054;
  }
// compilenode returning if6041
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6055 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6056 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6055);
// compilenode returning call6056
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6057 = gc_frame_new();
  int callframe6058 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6059 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6058);
// compilenode returning call6059
// compilenode returning call6059
  partcv[0] = 0;
  Object call6060 = callmethod(call6059, "new",
    1, partcv, params);
  gc_frame_end(callframe6057);
// compilenode returning call6060
// compilenode returning call6060
  *var_suggestion = call6060;
  if (call6060 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6062 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe6063 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6064 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6063);
// compilenode returning call6064
// compilenode returning call6064
  gc_frame_newslot(call6064);
  Object bool6065 = alloc_Boolean(1);
// compilenode returning bool6065
  gc_frame_newslot(bool6065);
  Object bool6066 = alloc_Boolean(0);
// compilenode returning bool6066
  gc_frame_newslot(bool6066);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call6064;
  params[2] = bool6065;
  params[3] = bool6066;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6067 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6062);
// compilenode returning call6067
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6068 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6069 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6068);
// compilenode returning call6069
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6070 = gc_frame_new();
  if (strlit6071 == NULL) {
    strlit6071 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit6071);
  }
// compilenode returning strlit6071
  gc_frame_newslot(strlit6071);
// Begin line 1934
  setline(1934);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6072 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6073 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6072);
// compilenode returning call6073
// compilenode returning call6073
  gc_frame_newslot(call6073);
  int callframe6074 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6075 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6074);
// compilenode returning call6075
// compilenode returning call6075
  gc_frame_newslot(call6075);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6071;
  params[1] = call6073;
  params[2] = call6075;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6076 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6070);
// compilenode returning call6076
    gc_frame_newslot(call6076);
    if6021 = call6076;
  } else {
  }
// compilenode returning if6021
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1934
  setline(1934);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6077 = gc_frame_new();
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6078 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6079 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6078);
// compilenode returning call6079
// compilenode returning call6079
  gc_frame_newslot(call6079);
// compilenode returning *var_tmp
  params[0] = call6079;
  partcv[0] = 1;
  Object call6080 = callmethod(*var_tmp, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe6077);
// compilenode returning call6080
// compilenode returning done
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6081 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_values
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6082 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6081);
// compilenode returning call6082
    gc_frame_newslot(call6082);
    if5951 = call6082;
  } else {
  }
// compilenode returning if5951
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6083 = gc_frame_new();
  Object block6084 = alloc_Block(NULL, NULL, "parser", 1939);
  gc_frame_newslot(block6084);
  block_savedest(block6084);
  Object closure6085 = createclosure(1, "_apply");
  setclosureframe(closure6085, stackframe);
  addtoclosure(closure6085, selfslot);
  struct UserObject *uo6085 = (struct UserObject*)block6084;
  uo6085->data[0] = (Object)closure6085;
  Method *meth_meth_parser__apply6085 = addmethod2pos(block6084, "_apply", &meth_parser__apply6085, 0);
int argcv_meth_parser__apply6085[] = {0};
meth_meth_parser__apply6085->type = alloc_MethodType(1, argcv_meth_parser__apply6085);
  meth_meth_parser__apply6085->definitionModule = modulename;
  meth_meth_parser__apply6085->definitionLine = 1936;
// compilenode returning block6084
  gc_frame_newslot(block6084);
  Object block6090 = alloc_Block(NULL, NULL, "parser", 1939);
  gc_frame_newslot(block6090);
  block_savedest(block6090);
  Object closure6091 = createclosure(8, "_apply");
  setclosureframe(closure6091, stackframe);
  addtoclosure(closure6091, var_values);
  addtoclosure(closure6091, var_tmp);
  addtoclosure(closure6091, var_part);
  addtoclosure(closure6091, var_blocksOK);
  addtoclosure(closure6091, var_errormessages);
  addtoclosure(closure6091, var_sym);
  addtoclosure(closure6091, var_lastToken);
  addtoclosure(closure6091, selfslot);
  struct UserObject *uo6091 = (struct UserObject*)block6090;
  uo6091->data[0] = (Object)closure6091;
  Method *meth_meth_parser__apply6091 = addmethod2pos(block6090, "_apply", &meth_parser__apply6091, 0);
int argcv_meth_parser__apply6091[] = {0};
meth_meth_parser__apply6091->type = alloc_MethodType(1, argcv_meth_parser__apply6091);
  meth_meth_parser__apply6091->definitionModule = modulename;
  meth_meth_parser__apply6091->definitionLine = 1936;
// compilenode returning block6090
  gc_frame_newslot(block6090);
  params[0] = block6084;
  params[1] = block6090;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6286 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6083);
// compilenode returning call6286
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6287 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6288 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6287);
// compilenode returning call6288
// compilenode returning call6288
  *var_tmp = call6288;
  if (call6288 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6290 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
  int callframe6291 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6292 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6291);
// compilenode returning call6292
// compilenode returning call6292
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6293 = callmethod(call6292, "push",
    1, partcv, params);
  gc_frame_end(callframe6290);
// compilenode returning call6293
  gc_frame_end(frame);
  return call6293;
}
Object meth_parser__apply6347(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6348 = gc_frame_new();
  if (strlit6349 == NULL) {
    strlit6349 = alloc_String("lbrace");
    gc_root(strlit6349);
  }
// compilenode returning strlit6349
  gc_frame_newslot(strlit6349);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6349;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6350 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6348);
// compilenode returning call6350
  gc_frame_end(frame);
  return call6350;
}
Object meth_parser__apply6435(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_root = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit6437 == NULL) {
    strlit6437 = alloc_String("member");
    gc_root(strlit6437);
  }
// compilenode returning strlit6437
  int op_slot_right_6436 = gc_frame_newslot(strlit6437);
  int callframe6439 = gc_frame_new();
// compilenode returning *var_root
  partcv[0] = 0;
  Object call6440 = callmethod(*var_root, "kind",
    1, partcv, params);
  gc_frame_end(callframe6439);
// compilenode returning call6440
// compilenode returning call6440
  int op_slot_left_6436 = gc_frame_newslot(call6440);
  params[0] = strlit6437;
  partcv[0] = 1;
  Object opresult6441 = callmethod(call6440, "==", 1, partcv, params);
// compilenode returning opresult6441
  gc_frame_end(frame);
  return opresult6441;
}
Object meth_parser__apply6444(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_root = getfromclosure(closure, 0);
  Object *var_outroot = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2032
  setline(2032);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2031
  setline(2031);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_root
  *var_outroot = *var_root;
  if (*var_root == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2032
  setline(2032);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6446 = gc_frame_new();
// compilenode returning *var_root
  partcv[0] = 0;
  Object call6447 = callmethod(*var_root, "in",
    1, partcv, params);
  gc_frame_end(callframe6446);
// compilenode returning call6447
// compilenode returning call6447
  *var_root = call6447;
  if (call6447 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_callrest5799(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(24, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method callrest");
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_linenum = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_minIndentLevel = getfromclosure(closure, 5);
  Object *var_collections = getfromclosure(closure, 6);
  Object *var_errormessages = getfromclosure(closure, 7);
  Object *var_blocksOK = getfromclosure(closure, 8);
  Object *var_util = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callrest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for callrest");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_meth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "meth");
  Object *var_lnum = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "lnum");
  Object *var_lpos = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "lpos");
  Object *var_methn = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "methn");
  Object *var_btok = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "btok");
  Object *var_tmp = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "tmp");
  Object *var_ln = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "ln");
  Object *var_signature = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "signature");
  Object *var_part = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "part");
  Object *var_hadcall = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "hadcall");
  Object *var_tok = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "tok");
  Object *var_startInd = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "startInd");
  Object *var_genericIdents = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "genericIdents");
  Object *var_startToken = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "startToken");
  Object *var_suggestion = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "suggestions");
  Object *var_ar = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "ar");
  Object *var_root = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "root");
  Object *var_outroot = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "outroot");
  Object *var_meth_39_ = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "meth'");
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5802 = alloc_Float64(0);
// compilenode returning num5802
  int op_slot_right_5801 = gc_frame_newslot(num5802);
  int callframe5804 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5805 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe5804);
// compilenode returning call5805
// compilenode returning call5805
  int op_slot_left_5801 = gc_frame_newslot(call5805);
  params[0] = num5802;
  partcv[0] = 1;
  Object opresult5806 = callmethod(call5805, "==", 1, partcv, params);
// compilenode returning opresult5806
  Object if5800 = done;
  if (istrue(opresult5806)) {
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5807 = alloc_Float64(0);
// compilenode returning num5807
  return num5807;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5800 = undefined;
  } else {
  }
// compilenode returning if5800
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5808 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5809 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5808);
// compilenode returning call5809
// compilenode returning call5809
  *var_meth = call5809;
  if (call5809 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_lnum = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5810 = alloc_Float64(1);
// compilenode returning num5810
  *var_lpos = num5810;
  if (num5810 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1855
  setline(1855);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5813 == NULL) {
    strlit5813 = alloc_String("identifier");
    gc_root(strlit5813);
  }
// compilenode returning strlit5813
  int op_slot_right_5812 = gc_frame_newslot(strlit5813);
  int callframe5815 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call5816 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe5815);
// compilenode returning call5816
// compilenode returning call5816
  int op_slot_left_5812 = gc_frame_newslot(call5816);
  params[0] = strlit5813;
  partcv[0] = 1;
  Object opresult5817 = callmethod(call5816, "!=", 1, partcv, params);
// compilenode returning opresult5817
  Object if5811 = done;
  if (istrue(opresult5817)) {
// Begin line 1854
  setline(1854);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1850
  setline(1850);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5820 == NULL) {
    strlit5820 = alloc_String("member");
    gc_root(strlit5820);
  }
// compilenode returning strlit5820
  int op_slot_right_5819 = gc_frame_newslot(strlit5820);
  int callframe5822 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call5823 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe5822);
// compilenode returning call5823
// compilenode returning call5823
  int op_slot_left_5819 = gc_frame_newslot(call5823);
  params[0] = strlit5820;
  partcv[0] = 1;
  Object opresult5824 = callmethod(call5823, "!=", 1, partcv, params);
// compilenode returning opresult5824
  Object if5818 = done;
  if (istrue(opresult5824)) {
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5825 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call5826 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5825);
// compilenode returning call5826
// Begin line 1853
  setline(1853);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5827 = alloc_Float64(0);
// compilenode returning num5827
  return num5827;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5818 = undefined;
  } else {
  }
// compilenode returning if5818
    gc_frame_newslot(if5818);
    if5811 = if5818;
  } else {
  }
// compilenode returning if5811
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1855
  setline(1855);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5830 == NULL) {
    strlit5830 = alloc_String("identifier");
    gc_root(strlit5830);
  }
// compilenode returning strlit5830
  int op_slot_right_5829 = gc_frame_newslot(strlit5830);
  int callframe5832 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call5833 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe5832);
// compilenode returning call5833
// compilenode returning call5833
  int op_slot_left_5829 = gc_frame_newslot(call5833);
  params[0] = strlit5830;
  partcv[0] = 1;
  Object opresult5834 = callmethod(call5833, "==", 1, partcv, params);
// compilenode returning opresult5834
  Object if5828 = done;
  if (istrue(opresult5834)) {
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1856
  setline(1856);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5835 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call5836 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe5835);
// compilenode returning call5836
// compilenode returning call5836
  *var_lnum = call5836;
  if (call5836 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5838 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call5839 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5838);
// compilenode returning call5839
// compilenode returning call5839
  *var_lpos = call5839;
  if (call5839 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5828 = done;
  } else {
  }
// compilenode returning if5828
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_methn = undefined;
// compilenode returning done
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_tmp = undefined;
// compilenode returning done
// Begin line 1863
  setline(1863);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5841 = alloc_Boolean(0);
// compilenode returning bool5841
  *var_ln = bool5841;
  if (bool5841 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1863
  setline(1863);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5842 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5842
  *var_signature = array5842;
  if (array5842 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5843 = gc_frame_new();
  int callframe5844 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5845 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe5844);
// compilenode returning call5845
// compilenode returning call5845
  partcv[0] = 0;
  Object call5846 = callmethod(call5845, "new",
    1, partcv, params);
  gc_frame_end(callframe5843);
// compilenode returning call5846
// compilenode returning call5846
  *var_part = call5846;
  if (call5846 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5847 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call5848 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe5847);
// compilenode returning call5848
// Begin line 1867
  setline(1867);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5849 = alloc_Boolean(0);
// compilenode returning bool5849
  *var_hadcall = bool5849;
  if (bool5849 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1868
  setline(1868);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1867
  setline(1867);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  *var_tok = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1869
  setline(1869);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1868
  setline(1868);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_startInd = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1869
  setline(1869);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5850 = alloc_Boolean(0);
// compilenode returning bool5850
  *var_genericIdents = bool5850;
  if (bool5850 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5852 = gc_frame_new();
  if (strlit5853 == NULL) {
    strlit5853 = alloc_String("lgeneric");
    gc_root(strlit5853);
  }
// compilenode returning strlit5853
  gc_frame_newslot(strlit5853);
  params[0] = strlit5853;
  partcv[0] = 1;
  Object call5854 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5852);
// compilenode returning call5854
  Object if5851 = done;
  if (istrue(call5854)) {
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1872
  setline(1872);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5855 = gc_frame_new();
  partcv[0] = 0;
  Object call5856 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5855);
// compilenode returning call5856
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1874
  setline(1874);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5857 = gc_frame_new();
  int callframe5858 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call5859 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe5858);
// compilenode returning call5859
// compilenode returning call5859
  partcv[0] = 0;
  Object call5860 = callmethod(call5859, "new",
    1, partcv, params);
  gc_frame_end(callframe5857);
// compilenode returning call5860
// compilenode returning call5860
  *var_genericIdents = call5860;
  if (call5860 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5862 = gc_frame_new();
  Object block5863 = alloc_Block(NULL, NULL, "parser", 1875);
  gc_frame_newslot(block5863);
  block_savedest(block5863);
  Object closure5864 = createclosure(1, "_apply");
  setclosureframe(closure5864, stackframe);
  addtoclosure(closure5864, selfslot);
  struct UserObject *uo5864 = (struct UserObject*)block5863;
  uo5864->data[0] = (Object)closure5864;
  Method *meth_meth_parser__apply5864 = addmethod2pos(block5863, "_apply", &meth_parser__apply5864, 0);
int argcv_meth_parser__apply5864[] = {0};
meth_meth_parser__apply5864->type = alloc_MethodType(1, argcv_meth_parser__apply5864);
  meth_meth_parser__apply5864->definitionModule = modulename;
  meth_meth_parser__apply5864->definitionLine = 1874;
// compilenode returning block5863
  gc_frame_newslot(block5863);
  Object block5869 = alloc_Block(NULL, NULL, "parser", 1875);
  gc_frame_newslot(block5869);
  block_savedest(block5869);
  Object closure5870 = createclosure(3, "_apply");
  setclosureframe(closure5870, stackframe);
  addtoclosure(closure5870, var_values);
  addtoclosure(closure5870, var_genericIdents);
  addtoclosure(closure5870, selfslot);
  struct UserObject *uo5870 = (struct UserObject*)block5869;
  uo5870->data[0] = (Object)closure5870;
  Method *meth_meth_parser__apply5870 = addmethod2pos(block5869, "_apply", &meth_parser__apply5870, 0);
int argcv_meth_parser__apply5870[] = {0};
meth_meth_parser__apply5870->type = alloc_MethodType(1, argcv_meth_parser__apply5870);
  meth_meth_parser__apply5870->definitionModule = modulename;
  meth_meth_parser__apply5870->definitionLine = 1874;
// compilenode returning block5869
  gc_frame_newslot(block5869);
  params[0] = block5863;
  params[1] = block5869;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5884 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5862);
// compilenode returning call5884
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5887 == NULL) {
    strlit5887 = alloc_String("rgeneric");
    gc_root(strlit5887);
  }
// compilenode returning strlit5887
  int op_slot_right_5886 = gc_frame_newslot(strlit5887);
  int callframe5889 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5890 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5889);
// compilenode returning call5890
// compilenode returning call5890
  int op_slot_left_5886 = gc_frame_newslot(call5890);
  params[0] = strlit5887;
  partcv[0] = 1;
  Object opresult5891 = callmethod(call5890, "!=", 1, partcv, params);
// compilenode returning opresult5891
  Object if5885 = done;
  if (istrue(opresult5891)) {
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5892 = gc_frame_new();
  int callframe5893 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5894 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5893);
// compilenode returning call5894
// compilenode returning call5894
  partcv[0] = 0;
  Object call5895 = callmethod(call5894, "new",
    1, partcv, params);
  gc_frame_end(callframe5892);
// compilenode returning call5895
// compilenode returning call5895
  *var_suggestion = call5895;
  if (call5895 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5896 = gc_frame_new();
  if (strlit5897 == NULL) {
    strlit5897 = alloc_String(">");
    gc_root(strlit5897);
  }
// compilenode returning strlit5897
  gc_frame_newslot(strlit5897);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5897;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5898 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5896);
// compilenode returning call5898
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5899 = gc_frame_new();
  int callframe5900 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5901 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5900);
// compilenode returning call5901
// compilenode returning call5901
  partcv[0] = 0;
  Object call5902 = callmethod(call5901, "new",
    1, partcv, params);
  gc_frame_end(callframe5899);
// compilenode returning call5902
// compilenode returning call5902
  *var_suggestion2 = call5902;
  if (call5902 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5903 = gc_frame_new();
  if (strlit5904 == NULL) {
    strlit5904 = alloc_String(" ");
    gc_root(strlit5904);
  }
// compilenode returning strlit5904
  gc_frame_newslot(strlit5904);
// compilenode returning *var_startToken
  gc_frame_newslot(*var_startToken);
// compilenode returning *var_suggestion2
  params[0] = strlit5904;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5905 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe5903);
// compilenode returning call5905
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5906 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array5906, "push", 1, partcv, params);
// compilenode returning *var_suggestion2
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array5906, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array5906
  *var_suggestions = array5906;
  if (array5906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5907 = gc_frame_new();
  if (strlit5908 == NULL) {
    strlit5908 = alloc_String("A method request containing a '<' must have a matching '>'. If '<' is intended as an operator, precede it by a space.");
    gc_root(strlit5908);
  }
// compilenode returning strlit5908
  gc_frame_newslot(strlit5908);
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5909 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5910 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5909);
// compilenode returning call5910
// compilenode returning call5910
  gc_frame_newslot(call5910);
  int callframe5912 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5913 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5912);
// compilenode returning call5913
// compilenode returning call5913
  int op_slot_right_5911 = gc_frame_newslot(call5913);
  int callframe5915 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5916 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5915);
// compilenode returning call5916
// compilenode returning call5916
  int op_slot_left_5911 = gc_frame_newslot(call5916);
  params[0] = call5913;
  partcv[0] = 1;
  Object sum5917 = callmethod(call5916, "+", 1, partcv, params);
// compilenode returning sum5917
  gc_frame_newslot(sum5917);
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5908;
  params[1] = call5910;
  params[2] = sum5917;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5918 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5907);
// compilenode returning call5918
    gc_frame_newslot(call5918);
    if5885 = call5918;
  } else {
  }
// compilenode returning if5885
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5919 = gc_frame_new();
  partcv[0] = 0;
  Object call5920 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5919);
// compilenode returning call5920
    gc_frame_newslot(call5920);
    if5851 = call5920;
  } else {
  }
// compilenode returning if5851
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5922 = gc_frame_new();
  if (strlit5923 == NULL) {
    strlit5923 = alloc_String("lparen");
    gc_root(strlit5923);
  }
// compilenode returning strlit5923
  gc_frame_newslot(strlit5923);
  params[0] = strlit5923;
  partcv[0] = 1;
  Object call5924 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5922);
// compilenode returning call5924
  Object if5921 = done;
  if (istrue(call5924)) {
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5925 = gc_frame_new();
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5926 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5927 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5926);
// compilenode returning call5927
// compilenode returning call5927
  gc_frame_newslot(call5927);
// compilenode returning *var_part
  params[0] = call5927;
  partcv[0] = 1;
  Object call5928 = callmethod(*var_part, "line:=",
    1, partcv, params);
  gc_frame_end(callframe5925);
// compilenode returning call5928
// compilenode returning done
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5929 = gc_frame_new();
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5930 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5931 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5930);
// compilenode returning call5931
// compilenode returning call5931
  gc_frame_newslot(call5931);
// compilenode returning *var_part
  params[0] = call5931;
  partcv[0] = 1;
  Object call5932 = callmethod(*var_part, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe5929);
// compilenode returning call5932
// compilenode returning done
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5934 = alloc_Boolean(1);
// compilenode returning bool5934
  *var_hadcall = bool5934;
  if (bool5934 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5936 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call5937 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe5936);
// compilenode returning call5937
// compilenode returning call5937
  *var_methn = call5937;
  if (call5937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1901
  setline(1901);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5939 = gc_frame_new();
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methn
  gc_frame_newslot(*var_methn);
// compilenode returning *var_part
  params[0] = *var_methn;
  partcv[0] = 1;
  Object call5940 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe5939);
// compilenode returning call5940
// compilenode returning done
// Begin line 1901
  setline(1901);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5941 = gc_frame_new();
  partcv[0] = 0;
  Object call5942 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5941);
// compilenode returning call5942
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5943 = gc_frame_new();
  Object block5944 = alloc_Block(NULL, NULL, "parser", 1902);
  gc_frame_newslot(block5944);
  block_savedest(block5944);
  Object closure5945 = createclosure(2, "_apply");
  setclosureframe(closure5945, stackframe);
  addtoclosure(closure5945, var_blocksOK);
  addtoclosure(closure5945, selfslot);
  struct UserObject *uo5945 = (struct UserObject*)block5944;
  uo5945->data[0] = (Object)closure5945;
  Method *meth_meth_parser__apply5945 = addmethod2pos(block5944, "_apply", &meth_parser__apply5945, 0);
int argcv_meth_parser__apply5945[] = {0};
meth_meth_parser__apply5945->type = alloc_MethodType(1, argcv_meth_parser__apply5945);
  meth_meth_parser__apply5945->definitionModule = modulename;
  meth_meth_parser__apply5945->definitionLine = 1899;
// compilenode returning block5944
  gc_frame_newslot(block5944);
  Object block5949 = alloc_Block(NULL, NULL, "parser", 1902);
  gc_frame_newslot(block5949);
  block_savedest(block5949);
  Object closure5950 = createclosure(8, "_apply");
  setclosureframe(closure5950, stackframe);
  addtoclosure(closure5950, var_values);
  addtoclosure(closure5950, var_tmp);
  addtoclosure(closure5950, var_errormessages);
  addtoclosure(closure5950, var_sym);
  addtoclosure(closure5950, var_blocksOK);
  addtoclosure(closure5950, var_lastToken);
  addtoclosure(closure5950, var_part);
  addtoclosure(closure5950, selfslot);
  struct UserObject *uo5950 = (struct UserObject*)block5949;
  uo5950->data[0] = (Object)closure5950;
  Method *meth_meth_parser__apply5950 = addmethod2pos(block5949, "_apply", &meth_parser__apply5950, 0);
int argcv_meth_parser__apply5950[] = {0};
meth_meth_parser__apply5950->type = alloc_MethodType(1, argcv_meth_parser__apply5950);
  meth_meth_parser__apply5950->definitionModule = modulename;
  meth_meth_parser__apply5950->definitionLine = 1899;
// compilenode returning block5949
  gc_frame_newslot(block5949);
  params[0] = block5944;
  params[1] = block5949;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6295 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5943);
// compilenode returning call6295
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6298 == NULL) {
    strlit6298 = alloc_String("rparen");
    gc_root(strlit6298);
  }
// compilenode returning strlit6298
  int op_slot_right_6297 = gc_frame_newslot(strlit6298);
  int callframe6300 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6301 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6300);
// compilenode returning call6301
// compilenode returning call6301
  int op_slot_left_6297 = gc_frame_newslot(call6301);
  params[0] = strlit6298;
  partcv[0] = 1;
  Object opresult6302 = callmethod(call6301, "!=", 1, partcv, params);
// compilenode returning opresult6302
  Object if6296 = done;
  if (istrue(opresult6302)) {
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6303 = gc_frame_new();
  partcv[0] = 0;
  Object call6304 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6303);
// compilenode returning call6304
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6305 = gc_frame_new();
  int callframe6306 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6307 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6306);
// compilenode returning call6307
// compilenode returning call6307
  partcv[0] = 0;
  Object call6308 = callmethod(call6307, "new",
    1, partcv, params);
  gc_frame_end(callframe6305);
// compilenode returning call6308
// compilenode returning call6308
  *var_suggestion = call6308;
  if (call6308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6309 = gc_frame_new();
  if (strlit6310 == NULL) {
    strlit6310 = alloc_String(")");
    gc_root(strlit6310);
  }
// compilenode returning strlit6310
  gc_frame_newslot(strlit6310);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6310;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6311 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6309);
// compilenode returning call6311
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6312 = gc_frame_new();
  if (strlit6313 == NULL) {
    strlit6313 = alloc_String("A method request beginning with a '(' must end with a ')'.");
    gc_root(strlit6313);
  }
// compilenode returning strlit6313
  gc_frame_newslot(strlit6313);
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6314 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6315 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe6314);
// compilenode returning call6315
// compilenode returning call6315
  gc_frame_newslot(call6315);
  int callframe6317 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6318 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe6317);
// compilenode returning call6318
// compilenode returning call6318
  int op_slot_right_6316 = gc_frame_newslot(call6318);
  int callframe6320 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6321 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6320);
// compilenode returning call6321
// compilenode returning call6321
  int op_slot_left_6316 = gc_frame_newslot(call6321);
  params[0] = call6318;
  partcv[0] = 1;
  Object sum6322 = callmethod(call6321, "+", 1, partcv, params);
// compilenode returning sum6322
  gc_frame_newslot(sum6322);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6313;
  params[1] = call6315;
  params[2] = sum6322;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6323 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6312);
// compilenode returning call6323
    gc_frame_newslot(call6323);
    if6296 = call6323;
  } else {
  }
// compilenode returning if6296
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6326 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6327 = callmethod(*var_part, "line",
    1, partcv, params);
  gc_frame_end(callframe6326);
// compilenode returning call6327
// compilenode returning call6327
  int op_slot_right_6325 = gc_frame_newslot(call6327);
  int callframe6329 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6330 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6329);
// compilenode returning call6330
// compilenode returning call6330
  int op_slot_left_6325 = gc_frame_newslot(call6330);
  params[0] = call6327;
  partcv[0] = 1;
  Object opresult6331 = callmethod(call6330, "==", 1, partcv, params);
// compilenode returning opresult6331
  Object if6324 = done;
  if (istrue(opresult6331)) {
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6332 = gc_frame_new();
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6334 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6335 = callmethod(*var_part, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6334);
// compilenode returning call6335
// compilenode returning call6335
  int op_slot_right_6333 = gc_frame_newslot(call6335);
  int callframe6337 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6338 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6337);
// compilenode returning call6338
// compilenode returning call6338
  int op_slot_left_6333 = gc_frame_newslot(call6338);
  params[0] = call6335;
  partcv[0] = 1;
  Object diff6339 = callmethod(call6338, "-", 1, partcv, params);
// compilenode returning diff6339
  gc_frame_newslot(diff6339);
// compilenode returning *var_part
  params[0] = diff6339;
  partcv[0] = 1;
  Object call6340 = callmethod(*var_part, "lineLength:=",
    1, partcv, params);
  gc_frame_end(callframe6332);
// compilenode returning call6340
// compilenode returning done
    gc_frame_newslot(done);
    if6324 = done;
  } else {
  }
// compilenode returning if6324
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_ln = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6342 = gc_frame_new();
  partcv[0] = 0;
  Object call6343 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6342);
// compilenode returning call6343
    gc_frame_newslot(call6343);
    if5921 = call6343;
  } else {
// Begin line 2013
  setline(2013);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block6346 = alloc_Block(NULL, NULL, "parser", 2011);
  gc_frame_newslot(block6346);
  block_savedest(block6346);
  Object closure6347 = createclosure(2, "_apply");
  setclosureframe(closure6347, stackframe);
  addtoclosure(closure6347, var_tok);
  addtoclosure(closure6347, selfslot);
  struct UserObject *uo6347 = (struct UserObject*)block6346;
  uo6347->data[0] = (Object)closure6347;
  Method *meth_meth_parser__apply6347 = addmethod2pos(block6346, "_apply", &meth_parser__apply6347, 0);
int argcv_meth_parser__apply6347[] = {0};
meth_meth_parser__apply6347->type = alloc_MethodType(1, argcv_meth_parser__apply6347);
  meth_meth_parser__apply6347->definitionModule = modulename;
  meth_meth_parser__apply6347->definitionLine = 2007;
// compilenode returning block6346
  int op_slot_right_6345 = gc_frame_newslot(block6346);
  int callframe6353 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  partcv[0] = 0;
  Object call6354 = callmethod(*var_acceptBlocks, "not",
    1, partcv, params);
  gc_frame_end(callframe6353);
// compilenode returning call6354
// compilenode returning call6354
  int op_slot_left_6345 = gc_frame_newslot(call6354);
  params[0] = block6346;
  partcv[0] = 1;
  Object opresult6355 = callmethod(call6354, "&&", 1, partcv, params);
// compilenode returning opresult6355
  Object if6344 = done;
  if (istrue(opresult6355)) {
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6356 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6357 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6356);
// compilenode returning call6357
    gc_frame_newslot(call6357);
    if6344 = call6357;
  } else {
// Begin line 2025
  setline(2025);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6363 == NULL) {
    strlit6363 = alloc_String("false");
    gc_root(strlit6363);
  }
// compilenode returning strlit6363
  int op_slot_right_6362 = gc_frame_newslot(strlit6363);
  int callframe6365 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6366 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6365);
// compilenode returning call6366
// compilenode returning call6366
  int op_slot_left_6362 = gc_frame_newslot(call6366);
  params[0] = strlit6363;
  partcv[0] = 1;
  Object opresult6367 = callmethod(call6366, "==", 1, partcv, params);
// compilenode returning opresult6367
  int op_slot_right_6361 = gc_frame_newslot(opresult6367);
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6370 == NULL) {
    strlit6370 = alloc_String("true");
    gc_root(strlit6370);
  }
// compilenode returning strlit6370
  int op_slot_right_6369 = gc_frame_newslot(strlit6370);
  int callframe6372 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6373 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6372);
// compilenode returning call6373
// compilenode returning call6373
  int op_slot_left_6369 = gc_frame_newslot(call6373);
  params[0] = strlit6370;
  partcv[0] = 1;
  Object opresult6374 = callmethod(call6373, "==", 1, partcv, params);
// compilenode returning opresult6374
  int op_slot_left_6361 = gc_frame_newslot(opresult6374);
  params[0] = opresult6367;
  partcv[0] = 1;
  Object opresult6375 = callmethod(opresult6374, "||", 1, partcv, params);
// compilenode returning opresult6375
  int op_slot_right_6360 = gc_frame_newslot(opresult6375);
  int callframe6377 = gc_frame_new();
  if (strlit6378 == NULL) {
    strlit6378 = alloc_String("identifier");
    gc_root(strlit6378);
  }
// compilenode returning strlit6378
  gc_frame_newslot(strlit6378);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6378;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6379 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6377);
// compilenode returning call6379
  int op_slot_left_6360 = gc_frame_newslot(call6379);
  params[0] = opresult6375;
  partcv[0] = 1;
  Object opresult6380 = callmethod(call6379, "&&", 1, partcv, params);
// compilenode returning opresult6380
  int op_slot_right_6359 = gc_frame_newslot(opresult6380);
// Begin line 2014
  setline(2014);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6383 = gc_frame_new();
  if (strlit6384 == NULL) {
    strlit6384 = alloc_String("lbrace");
    gc_root(strlit6384);
  }
// compilenode returning strlit6384
  gc_frame_newslot(strlit6384);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6384;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6385 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6383);
// compilenode returning call6385
  int op_slot_right_6382 = gc_frame_newslot(call6385);
// Begin line 2013
  setline(2013);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6388 = gc_frame_new();
  if (strlit6389 == NULL) {
    strlit6389 = alloc_String("num");
    gc_root(strlit6389);
  }
// compilenode returning strlit6389
  gc_frame_newslot(strlit6389);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6389;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6390 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6388);
// compilenode returning call6390
  int op_slot_right_6387 = gc_frame_newslot(call6390);
  int callframe6392 = gc_frame_new();
  if (strlit6393 == NULL) {
    strlit6393 = alloc_String("string");
    gc_root(strlit6393);
  }
// compilenode returning strlit6393
  gc_frame_newslot(strlit6393);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6393;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6394 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6392);
// compilenode returning call6394
  int op_slot_left_6387 = gc_frame_newslot(call6394);
  params[0] = call6390;
  partcv[0] = 1;
  Object opresult6395 = callmethod(call6394, "||", 1, partcv, params);
// compilenode returning opresult6395
  int op_slot_left_6382 = gc_frame_newslot(opresult6395);
  params[0] = call6385;
  partcv[0] = 1;
  Object opresult6396 = callmethod(opresult6395, "||", 1, partcv, params);
// compilenode returning opresult6396
  int op_slot_left_6359 = gc_frame_newslot(opresult6396);
  params[0] = opresult6380;
  partcv[0] = 1;
  Object opresult6397 = callmethod(opresult6396, "||", 1, partcv, params);
// compilenode returning opresult6397
  Object if6358 = done;
  if (istrue(opresult6397)) {
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2017
  setline(2017);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6399 = alloc_Boolean(1);
// compilenode returning bool6399
  *var_hadcall = bool6399;
  if (bool6399 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6401 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6402 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe6401);
// compilenode returning call6402
// compilenode returning call6402
  *var_methn = call6402;
  if (call6402 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6404 = gc_frame_new();
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methn
  gc_frame_newslot(*var_methn);
// compilenode returning *var_part
  params[0] = *var_methn;
  partcv[0] = 1;
  Object call6405 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe6404);
// compilenode returning call6405
// compilenode returning done
// Begin line 2022
  setline(2022);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_ln = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2022
  setline(2022);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6407 = gc_frame_new();
  partcv[0] = 0;
  Object call6408 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6407);
// compilenode returning call6408
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2023
  setline(2023);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6409 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6410 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6409);
// compilenode returning call6410
// compilenode returning call6410
  *var_ar = call6410;
  if (call6410 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6411 = gc_frame_new();
// compilenode returning *var_ar
  gc_frame_newslot(*var_ar);
  int callframe6412 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6413 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6412);
// compilenode returning call6413
// compilenode returning call6413
  params[0] = *var_ar;
  partcv[0] = 1;
  Object call6414 = callmethod(call6413, "push",
    1, partcv, params);
  gc_frame_end(callframe6411);
// compilenode returning call6414
    gc_frame_newslot(call6414);
    if6358 = call6414;
  } else {
// Begin line 2027
  setline(2027);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2025
  setline(2025);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6417 == NULL) {
    strlit6417 = alloc_String("identifier");
    gc_root(strlit6417);
  }
// compilenode returning strlit6417
  int op_slot_right_6416 = gc_frame_newslot(strlit6417);
  int callframe6419 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6420 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6419);
// compilenode returning call6420
// compilenode returning call6420
  int op_slot_left_6416 = gc_frame_newslot(call6420);
  params[0] = strlit6417;
  partcv[0] = 1;
  Object opresult6421 = callmethod(call6420, "==", 1, partcv, params);
// compilenode returning opresult6421
  Object if6415 = done;
  if (istrue(opresult6421)) {
// Begin line 2026
  setline(2026);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6422 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6423 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6422);
// compilenode returning call6423
    gc_frame_newslot(call6423);
    if6415 = call6423;
  } else {
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2027
  setline(2027);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6426 == NULL) {
    strlit6426 = alloc_String("member");
    gc_root(strlit6426);
  }
// compilenode returning strlit6426
  int op_slot_right_6425 = gc_frame_newslot(strlit6426);
  int callframe6428 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6429 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6428);
// compilenode returning call6429
// compilenode returning call6429
  int op_slot_left_6425 = gc_frame_newslot(call6429);
  params[0] = strlit6426;
  partcv[0] = 1;
  Object opresult6430 = callmethod(call6429, "==", 1, partcv, params);
// compilenode returning opresult6430
  Object if6424 = done;
  if (istrue(opresult6430)) {
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6431 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6432 = callmethod(*var_meth, "in",
    1, partcv, params);
  gc_frame_end(callframe6431);
// compilenode returning call6432
// compilenode returning call6432
  *var_root = call6432;
  if (call6432 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_meth
  *var_outroot = *var_meth;
  if (*var_meth == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6433 = gc_frame_new();
  Object block6434 = alloc_Block(NULL, NULL, "parser", 2030);
  gc_frame_newslot(block6434);
  block_savedest(block6434);
  Object closure6435 = createclosure(2, "_apply");
  setclosureframe(closure6435, stackframe);
  addtoclosure(closure6435, var_root);
  addtoclosure(closure6435, selfslot);
  struct UserObject *uo6435 = (struct UserObject*)block6434;
  uo6435->data[0] = (Object)closure6435;
  Method *meth_meth_parser__apply6435 = addmethod2pos(block6434, "_apply", &meth_parser__apply6435, 0);
int argcv_meth_parser__apply6435[] = {0};
meth_meth_parser__apply6435->type = alloc_MethodType(1, argcv_meth_parser__apply6435);
  meth_meth_parser__apply6435->definitionModule = modulename;
  meth_meth_parser__apply6435->definitionLine = 2028;
// compilenode returning block6434
  gc_frame_newslot(block6434);
  Object block6443 = alloc_Block(NULL, NULL, "parser", 2030);
  gc_frame_newslot(block6443);
  block_savedest(block6443);
  Object closure6444 = createclosure(3, "_apply");
  setclosureframe(closure6444, stackframe);
  addtoclosure(closure6444, var_root);
  addtoclosure(closure6444, var_outroot);
  addtoclosure(closure6444, selfslot);
  struct UserObject *uo6444 = (struct UserObject*)block6443;
  uo6444->data[0] = (Object)closure6444;
  Method *meth_meth_parser__apply6444 = addmethod2pos(block6443, "_apply", &meth_parser__apply6444, 0);
int argcv_meth_parser__apply6444[] = {0};
meth_meth_parser__apply6444->type = alloc_MethodType(1, argcv_meth_parser__apply6444);
  meth_meth_parser__apply6444->definitionModule = modulename;
  meth_meth_parser__apply6444->definitionLine = 2030;
// compilenode returning block6443
  gc_frame_newslot(block6443);
  params[0] = block6434;
  params[1] = block6443;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6450 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6433);
// compilenode returning call6450
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6453 == NULL) {
    strlit6453 = alloc_String("identifier");
    gc_root(strlit6453);
  }
// compilenode returning strlit6453
  int op_slot_right_6452 = gc_frame_newslot(strlit6453);
  int callframe6455 = gc_frame_new();
// compilenode returning *var_root
  partcv[0] = 0;
  Object call6456 = callmethod(*var_root, "kind",
    1, partcv, params);
  gc_frame_end(callframe6455);
// compilenode returning call6456
// compilenode returning call6456
  int op_slot_left_6452 = gc_frame_newslot(call6456);
  params[0] = strlit6453;
  partcv[0] = 1;
  Object opresult6457 = callmethod(call6456, "==", 1, partcv, params);
// compilenode returning opresult6457
  Object if6451 = done;
  if (istrue(opresult6457)) {
// Begin line 2035
  setline(2035);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6458 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6459 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6458);
// compilenode returning call6459
    gc_frame_newslot(call6459);
    if6451 = call6459;
  } else {
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6460 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6461 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6460);
// compilenode returning call6461
    gc_frame_newslot(call6461);
    if6451 = call6461;
  }
// compilenode returning if6451
    gc_frame_newslot(if6451);
    if6424 = if6451;
  } else {
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6462 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6463 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6462);
// compilenode returning call6463
    gc_frame_newslot(call6463);
    if6424 = call6463;
  }
// compilenode returning if6424
    gc_frame_newslot(if6424);
    if6415 = if6424;
  }
// compilenode returning if6415
    gc_frame_newslot(if6415);
    if6358 = if6415;
  }
// compilenode returning if6358
    gc_frame_newslot(if6358);
    if6344 = if6358;
  }
// compilenode returning if6344
    gc_frame_newslot(if6344);
    if5921 = if6344;
  }
// compilenode returning if5921
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_hadcall
  Object if6464 = done;
  if (istrue(*var_hadcall)) {
// Begin line 2058
  setline(2058);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6466 = gc_frame_new();
  if (strlit6467 == NULL) {
    strlit6467 = alloc_String("identifier");
    gc_root(strlit6467);
  }
// compilenode returning strlit6467
  gc_frame_newslot(strlit6467);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6467;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6468 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6466);
// compilenode returning call6468
  Object if6465 = done;
  if (istrue(call6468)) {
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6469 = gc_frame_new();
// compilenode returning *var_methn
  gc_frame_newslot(*var_methn);
  Object bool6470 = alloc_Boolean(0);
// compilenode returning bool6470
  gc_frame_newslot(bool6470);
  int callframe6471 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6472 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe6471);
// compilenode returning call6472
// compilenode returning call6472
  params[0] = *var_methn;
  params[1] = bool6470;
  partcv[0] = 2;
  Object call6473 = callmethod(call6472, "new",
    1, partcv, params);
  gc_frame_end(callframe6469);
// compilenode returning call6473
  *var_meth_39_ = call6473;
  if (call6473 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2047
  setline(2047);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6474 = gc_frame_new();
// Begin line 2046
  setline(2046);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lnum
  gc_frame_newslot(*var_lnum);
// compilenode returning *var_meth_39_
  params[0] = *var_lnum;
  partcv[0] = 1;
  Object call6475 = callmethod(*var_meth_39_, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6474);
// compilenode returning call6475
// compilenode returning done
// Begin line 2048
  setline(2048);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6476 = gc_frame_new();
// Begin line 2047
  setline(2047);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lpos
  gc_frame_newslot(*var_lpos);
// compilenode returning *var_meth_39_
  params[0] = *var_lpos;
  partcv[0] = 1;
  Object call6477 = callmethod(*var_meth_39_, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe6476);
// compilenode returning call6477
// compilenode returning done
// Begin line 2048
  setline(2048);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6478 = gc_frame_new();
// compilenode returning *var_meth_39_
  gc_frame_newslot(*var_meth_39_);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = *var_meth_39_;
  params[1] = *var_signature;
  params[2] = *var_tok;
  partcv[0] = 3;
  Object call6479 = callmethodflags(self, "callmprest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6478);
// compilenode returning call6479
  *var_methn = call6479;
  if (call6479 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2057
  setline(2057);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6483 == NULL) {
    strlit6483 = alloc_String("member");
    gc_root(strlit6483);
  }
// compilenode returning strlit6483
  int op_slot_right_6482 = gc_frame_newslot(strlit6483);
  int callframe6485 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6486 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6485);
// compilenode returning call6486
// compilenode returning call6486
  int op_slot_left_6482 = gc_frame_newslot(call6486);
  params[0] = strlit6483;
  partcv[0] = 1;
  Object opresult6487 = callmethod(call6486, "==", 1, partcv, params);
// compilenode returning opresult6487
  Object if6481 = done;
  if (istrue(opresult6487)) {
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6488 = gc_frame_new();
  int callframe6489 = gc_frame_new();
// compilenode returning *var_methn
  partcv[0] = 0;
  Object call6490 = callmethod(*var_methn, "value",
    1, partcv, params);
  gc_frame_end(callframe6489);
// compilenode returning call6490
// compilenode returning call6490
  gc_frame_newslot(call6490);
  int callframe6491 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6492 = callmethod(*var_meth, "in",
    1, partcv, params);
  gc_frame_end(callframe6491);
// compilenode returning call6492
// compilenode returning call6492
  gc_frame_newslot(call6492);
  int callframe6493 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6494 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe6493);
// compilenode returning call6494
// compilenode returning call6494
  params[0] = call6490;
  params[1] = call6492;
  partcv[0] = 2;
  Object call6495 = callmethod(call6494, "new",
    1, partcv, params);
  gc_frame_end(callframe6488);
// compilenode returning call6495
  *var_meth = call6495;
  if (call6495 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6481 = done;
  } else {
// Begin line 2056
  setline(2056);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methn
  *var_meth = *var_methn;
  if (*var_methn == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6481 = done;
  }
// compilenode returning if6481
    gc_frame_newslot(if6481);
    if6465 = if6481;
  } else {
  }
// compilenode returning if6465
// Begin line 2058
  setline(2058);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6498 = gc_frame_new();
// compilenode returning *var_lnum
  gc_frame_newslot(*var_lnum);
// compilenode returning *var_util
  params[0] = *var_lnum;
  partcv[0] = 1;
  Object call6499 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe6498);
// compilenode returning call6499
// Begin line 2059
  setline(2059);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6500 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
  int callframe6501 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6502 = callmethod(*var_ast, "callNode",
    1, partcv, params);
  gc_frame_end(callframe6501);
// compilenode returning call6502
// compilenode returning call6502
  params[0] = *var_meth;
  params[1] = *var_signature;
  partcv[0] = 2;
  Object call6503 = callmethod(call6502, "new",
    1, partcv, params);
  gc_frame_end(callframe6500);
// compilenode returning call6503
  *var_tmp = call6503;
  if (call6503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2061
  setline(2061);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2059
  setline(2059);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6505 = gc_frame_new();
// Begin line 2060
  setline(2060);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_genericIdents
  gc_frame_newslot(*var_genericIdents);
// compilenode returning *var_tmp
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object call6506 = callmethod(*var_tmp, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe6505);
// compilenode returning call6506
// compilenode returning done
// Begin line 2061
  setline(2061);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6507 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_values
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6508 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6507);
// compilenode returning call6508
    gc_frame_newslot(call6508);
    if6464 = call6508;
  } else {
  }
// compilenode returning if6464
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startInd
  *var_minIndentLevel = *var_startInd;
  if (*var_startInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6510 = gc_frame_new();
// compilenode returning *var_acceptBlocks
  gc_frame_newslot(*var_acceptBlocks);
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call6511 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6510);
// compilenode returning call6511
  gc_frame_end(frame);
  return call6511;
}
Object meth_parser__apply6519(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6521 = gc_frame_new();
  if (strlit6522 == NULL) {
    strlit6522 = alloc_String("identifier");
    gc_root(strlit6522);
  }
// compilenode returning strlit6522
  gc_frame_newslot(strlit6522);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = strlit6522;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6523 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6521);
// compilenode returning call6523
  int op_slot_right_6520 = gc_frame_newslot(call6523);
// Begin line 2076
  setline(2076);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6525 = gc_frame_new();
  if (strlit6526 == NULL) {
    strlit6526 = alloc_String("identifier");
    gc_root(strlit6526);
  }
// compilenode returning strlit6526
  gc_frame_newslot(strlit6526);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6526;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6527 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6525);
// compilenode returning call6527
  int op_slot_left_6520 = gc_frame_newslot(call6527);
  params[0] = call6523;
  partcv[0] = 1;
  Object opresult6528 = callmethod(call6527, "||", 1, partcv, params);
// compilenode returning opresult6528
  gc_frame_end(frame);
  return opresult6528;
}
Object meth_parser__apply6752(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6753 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6754 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6753);
// compilenode returning call6754
  gc_frame_end(frame);
  return call6754;
}
Object meth_parser__apply6804(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6805 = gc_frame_new();
  if (strlit6806 == NULL) {
    strlit6806 = alloc_String("comma");
    gc_root(strlit6806);
  }
// compilenode returning strlit6806
  gc_frame_newslot(strlit6806);
  params[0] = strlit6806;
  partcv[0] = 1;
  Object call6807 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6805);
// compilenode returning call6807
  gc_frame_end(frame);
  return call6807;
}
Object meth_parser__apply6824(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6825 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6826 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6825);
// compilenode returning call6826
  gc_frame_end(frame);
  return call6826;
}
Object meth_parser__apply6810(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_nxt = getfromclosure(closure, 1);
  Object *var_part = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 2156
  setline(2156);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2155
  setline(2155);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6811 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6812 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6811);
// compilenode returning call6812
// compilenode returning call6812
  *var_nxt = call6812;
  if (call6812 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2156
  setline(2156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6814 = gc_frame_new();
// compilenode returning *var_nxt
  gc_frame_newslot(*var_nxt);
  int callframe6815 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6816 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6815);
// compilenode returning call6816
// compilenode returning call6816
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call6817 = callmethod(call6816, "push",
    1, partcv, params);
  gc_frame_end(callframe6814);
// compilenode returning call6817
// Begin line 2157
  setline(2157);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6818 = gc_frame_new();
  partcv[0] = 0;
  Object call6819 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6818);
// compilenode returning call6819
// Begin line 2174
  setline(2174);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2158
  setline(2158);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6821 = gc_frame_new();
  int callframe6822 = gc_frame_new();
  Object block6823 = alloc_Block(NULL, NULL, "parser", 2158);
  gc_frame_newslot(block6823);
  block_savedest(block6823);
  Object closure6824 = createclosure(2, "_apply");
  setclosureframe(closure6824, stackframe);
  addtoclosure(closure6824, var_blocksOK);
  addtoclosure(closure6824, selfslot);
  struct UserObject *uo6824 = (struct UserObject*)block6823;
  uo6824->data[0] = (Object)closure6824;
  Method *meth_meth_parser__apply6824 = addmethod2pos(block6823, "_apply", &meth_parser__apply6824, 0);
int argcv_meth_parser__apply6824[] = {0};
meth_meth_parser__apply6824->type = alloc_MethodType(1, argcv_meth_parser__apply6824);
  meth_meth_parser__apply6824->definitionModule = modulename;
  meth_meth_parser__apply6824->definitionLine = 2158;
// compilenode returning block6823
  gc_frame_newslot(block6823);
  params[0] = block6823;
  partcv[0] = 1;
  Object call6828 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6822);
// compilenode returning call6828
  partcv[0] = 0;
  Object call6829 = callmethod(call6828, "not",
    1, partcv, params);
  gc_frame_end(callframe6821);
// compilenode returning call6829
// compilenode returning call6829
  Object if6820 = done;
  if (istrue(call6829)) {
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6830 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6830
  *var_suggestions = array6830;
  if (array6830 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6831 = gc_frame_new();
  int callframe6832 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6833 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6832);
// compilenode returning call6833
// compilenode returning call6833
  partcv[0] = 0;
  Object call6834 = callmethod(call6833, "new",
    1, partcv, params);
  gc_frame_end(callframe6831);
// compilenode returning call6834
// compilenode returning call6834
  *var_suggestion = call6834;
  if (call6834 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6835 = gc_frame_new();
  if (strlit6836 == NULL) {
    strlit6836 = alloc_String("rparen");
    gc_root(strlit6836);
  }
// compilenode returning strlit6836
  gc_frame_newslot(strlit6836);
  params[0] = strlit6836;
  partcv[0] = 1;
  Object call6837 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6835);
// compilenode returning call6837
  *var_nextTok = call6837;
  if (call6837 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2162
  setline(2162);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_6839 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_6839 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6841 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult6841
  Object if6838 = done;
  if (istrue(opresult6841)) {
// Begin line 2163
  setline(2163);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6842 = gc_frame_new();
  if (strlit6843 == NULL) {
    strlit6843 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6843);
  }
// compilenode returning strlit6843
  gc_frame_newslot(strlit6843);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6843;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6844 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6842);
// compilenode returning call6844
    gc_frame_newslot(call6844);
    if6838 = call6844;
  } else {
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6845 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6846 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6847 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6846);
// compilenode returning call6847
// compilenode returning call6847
  gc_frame_newslot(call6847);
  Object bool6848 = alloc_Boolean(1);
// compilenode returning bool6848
  gc_frame_newslot(bool6848);
  Object bool6849 = alloc_Boolean(0);
// compilenode returning bool6849
  gc_frame_newslot(bool6849);
  if (strlit6850 == NULL) {
    strlit6850 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6850);
  }
// compilenode returning strlit6850
  gc_frame_newslot(strlit6850);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6847;
  params[2] = bool6848;
  params[3] = bool6849;
  params[4] = strlit6850;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6851 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6845);
// compilenode returning call6851
    gc_frame_newslot(call6851);
    if6838 = call6851;
  }
// compilenode returning if6838
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6852 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6853 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6852);
// compilenode returning call6853
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2168
  setline(2168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6854 = gc_frame_new();
  int callframe6855 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6856 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6855);
// compilenode returning call6856
// compilenode returning call6856
  partcv[0] = 0;
  Object call6857 = callmethod(call6856, "new",
    1, partcv, params);
  gc_frame_end(callframe6854);
// compilenode returning call6857
// compilenode returning call6857
  *var_suggestion = call6857;
  if (call6857 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6859 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe6860 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6861 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6860);
// compilenode returning call6861
// compilenode returning call6861
  gc_frame_newslot(call6861);
  Object bool6862 = alloc_Boolean(1);
// compilenode returning bool6862
  gc_frame_newslot(bool6862);
  Object bool6863 = alloc_Boolean(0);
// compilenode returning bool6863
  gc_frame_newslot(bool6863);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call6861;
  params[2] = bool6862;
  params[3] = bool6863;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6864 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6859);
// compilenode returning call6864
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6865 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6866 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6865);
// compilenode returning call6866
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6867 = gc_frame_new();
  if (strlit6868 == NULL) {
    strlit6868 = alloc_String("A method request must have an expression after a ','.");
    gc_root(strlit6868);
  }
// compilenode returning strlit6868
  gc_frame_newslot(strlit6868);
// Begin line 2172
  setline(2172);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6869 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6870 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6869);
// compilenode returning call6870
// compilenode returning call6870
  gc_frame_newslot(call6870);
  int callframe6871 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6872 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6871);
// compilenode returning call6872
// compilenode returning call6872
  gc_frame_newslot(call6872);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6868;
  params[1] = call6870;
  params[2] = call6872;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6873 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6867);
// compilenode returning call6873
    gc_frame_newslot(call6873);
    if6820 = call6873;
  } else {
  }
// compilenode returning if6820
  gc_frame_end(frame);
  return if6820;
}
Object meth_parser__apply6531(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_part = getfromclosure(closure, 1);
  Object *var_signature = getfromclosure(closure, 2);
  Object *var_methname = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_nxt = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_sym = getfromclosure(closure, 7);
  Object *var_lastToken = getfromclosure(closure, 8);
  Object *var_tok = getfromclosure(closure, 9);
  Object *var_lastline = getfromclosure(closure, 10);
  Object *var_ln = getfromclosure(closure, 11);
  Object *var_blocksOK = getfromclosure(closure, 12);
  Object self = *(getfromclosure(closure, 13));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_isTerm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "isTerm");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_isEmpty = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "isEmpty");
  Object *var_suggestions = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestions");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
// Begin line 2081
  setline(2081);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6532 = gc_frame_new();
  int callframe6533 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6534 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe6533);
// compilenode returning call6534
// compilenode returning call6534
  partcv[0] = 0;
  Object call6535 = callmethod(call6534, "new",
    1, partcv, params);
  gc_frame_end(callframe6532);
// compilenode returning call6535
// compilenode returning call6535
  *var_part = call6535;
  if (call6535 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2081
  setline(2081);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6537 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call6538 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe6537);
// compilenode returning call6538
// Begin line 2083
  setline(2083);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2082
  setline(2082);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6540 == NULL) {
    strlit6540 = alloc_String("()");
    gc_root(strlit6540);
  }
// compilenode returning strlit6540
  int op_slot_right_6539 = gc_frame_newslot(strlit6540);
// compilenode returning *var_methname
  int op_slot_left_6539 = gc_frame_newslot(*var_methname);
  params[0] = strlit6540;
  partcv[0] = 1;
  Object opresult6542 = callmethod(*var_methname, "++", 1, partcv, params);
// compilenode returning opresult6542
  *var_methname = opresult6542;
  if (opresult6542 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2083
  setline(2083);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6544 = gc_frame_new();
  partcv[0] = 0;
  Object call6545 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6544);
// compilenode returning call6545
// Begin line 2085
  setline(2085);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6546 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6547 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6546);
// compilenode returning call6547
// compilenode returning call6547
  *var_nxt = call6547;
  if (call6547 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2085
  setline(2085);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6550 = gc_frame_new();
// compilenode returning *var_nxt
  partcv[0] = 0;
  Object call6551 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe6550);
// compilenode returning call6551
// compilenode returning call6551
  int op_slot_right_6549 = gc_frame_newslot(call6551);
// compilenode returning *var_methname
  int op_slot_left_6549 = gc_frame_newslot(*var_methname);
  params[0] = call6551;
  partcv[0] = 1;
  Object opresult6553 = callmethod(*var_methname, "++", 1, partcv, params);
// compilenode returning opresult6553
  *var_methname = opresult6553;
  if (opresult6553 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2087
  setline(2087);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2085
  setline(2085);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6555 = gc_frame_new();
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6556 = gc_frame_new();
// compilenode returning *var_nxt
  partcv[0] = 0;
  Object call6557 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe6556);
// compilenode returning call6557
// compilenode returning call6557
  gc_frame_newslot(call6557);
// compilenode returning *var_part
  params[0] = call6557;
  partcv[0] = 1;
  Object call6558 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe6555);
// compilenode returning call6558
// compilenode returning done
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2087
  setline(2087);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6559 = alloc_Boolean(0);
// compilenode returning bool6559
  *var_isTerm = bool6559;
  if (bool6559 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2118
  setline(2118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6562 = gc_frame_new();
  int callframe6563 = gc_frame_new();
  if (strlit6564 == NULL) {
    strlit6564 = alloc_String("num");
    gc_root(strlit6564);
  }
// compilenode returning strlit6564
  gc_frame_newslot(strlit6564);
  params[0] = strlit6564;
  partcv[0] = 1;
  Object call6565 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6563);
// compilenode returning call6565
  partcv[0] = 0;
  Object call6566 = callmethod(call6565, "not",
    1, partcv, params);
  gc_frame_end(callframe6562);
// compilenode returning call6566
// compilenode returning call6566
  int op_slot_right_6561 = gc_frame_newslot(call6566);
  int callframe6569 = gc_frame_new();
  int callframe6570 = gc_frame_new();
  if (strlit6571 == NULL) {
    strlit6571 = alloc_String("string");
    gc_root(strlit6571);
  }
// compilenode returning strlit6571
  gc_frame_newslot(strlit6571);
  params[0] = strlit6571;
  partcv[0] = 1;
  Object call6572 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6570);
// compilenode returning call6572
  partcv[0] = 0;
  Object call6573 = callmethod(call6572, "not",
    1, partcv, params);
  gc_frame_end(callframe6569);
// compilenode returning call6573
// compilenode returning call6573
  int op_slot_right_6568 = gc_frame_newslot(call6573);
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6576 = gc_frame_new();
  int callframe6577 = gc_frame_new();
  if (strlit6578 == NULL) {
    strlit6578 = alloc_String("lbrace");
    gc_root(strlit6578);
  }
// compilenode returning strlit6578
  gc_frame_newslot(strlit6578);
  params[0] = strlit6578;
  partcv[0] = 1;
  Object call6579 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6577);
// compilenode returning call6579
  partcv[0] = 0;
  Object call6580 = callmethod(call6579, "not",
    1, partcv, params);
  gc_frame_end(callframe6576);
// compilenode returning call6580
// compilenode returning call6580
  int op_slot_right_6575 = gc_frame_newslot(call6580);
  int callframe6582 = gc_frame_new();
  int callframe6583 = gc_frame_new();
  if (strlit6584 == NULL) {
    strlit6584 = alloc_String("lparen");
    gc_root(strlit6584);
  }
// compilenode returning strlit6584
  gc_frame_newslot(strlit6584);
  params[0] = strlit6584;
  partcv[0] = 1;
  Object call6585 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6583);
// compilenode returning call6585
  partcv[0] = 0;
  Object call6586 = callmethod(call6585, "not",
    1, partcv, params);
  gc_frame_end(callframe6582);
// compilenode returning call6586
// compilenode returning call6586
  int op_slot_left_6575 = gc_frame_newslot(call6586);
  params[0] = call6580;
  partcv[0] = 1;
  Object opresult6587 = callmethod(call6586, "&&", 1, partcv, params);
// compilenode returning opresult6587
  int op_slot_left_6568 = gc_frame_newslot(opresult6587);
  params[0] = call6573;
  partcv[0] = 1;
  Object opresult6588 = callmethod(opresult6587, "&&", 1, partcv, params);
// compilenode returning opresult6588
  int op_slot_left_6561 = gc_frame_newslot(opresult6588);
  params[0] = call6566;
  partcv[0] = 1;
  Object opresult6589 = callmethod(opresult6588, "&&", 1, partcv, params);
// compilenode returning opresult6589
  Object if6560 = done;
  if (istrue(opresult6589)) {
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2090
  setline(2090);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6590 = gc_frame_new();
  int callframe6591 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6592 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6591);
// compilenode returning call6592
// compilenode returning call6592
  partcv[0] = 0;
  Object call6593 = callmethod(call6592, "new",
    1, partcv, params);
  gc_frame_end(callframe6590);
// compilenode returning call6593
// compilenode returning call6593
  *var_suggestion = call6593;
  if (call6593 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2117
  setline(2117);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6596 == NULL) {
    strlit6596 = alloc_String("identifier");
    gc_root(strlit6596);
  }
// compilenode returning strlit6596
  int op_slot_right_6595 = gc_frame_newslot(strlit6596);
  int callframe6598 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6599 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6598);
// compilenode returning call6599
// compilenode returning call6599
  int op_slot_left_6595 = gc_frame_newslot(call6599);
  params[0] = strlit6596;
  partcv[0] = 1;
  Object opresult6600 = callmethod(call6599, "==", 1, partcv, params);
// compilenode returning opresult6600
  Object if6594 = done;
  if (istrue(opresult6600)) {
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6601 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool6602 = alloc_Boolean(1);
// compilenode returning bool6602
  gc_frame_newslot(bool6602);
  Object bool6603 = alloc_Boolean(0);
// compilenode returning bool6603
  gc_frame_newslot(bool6603);
  if (strlit6605 == NULL) {
    strlit6605 = alloc_String(")");
    gc_root(strlit6605);
  }
// compilenode returning strlit6605
  int op_slot_right_6604 = gc_frame_newslot(strlit6605);
  int callframe6608 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6609 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6608);
// compilenode returning call6609
// compilenode returning call6609
  int op_slot_right_6607 = gc_frame_newslot(call6609);
  if (strlit6611 == NULL) {
    strlit6611 = alloc_String("(");
    gc_root(strlit6611);
  }
// compilenode returning strlit6611
  int op_slot_left_6607 = gc_frame_newslot(strlit6611);
  params[0] = call6609;
  partcv[0] = 1;
  Object opresult6612 = callmethod(strlit6611, "++", 1, partcv, params);
// compilenode returning opresult6612
  int op_slot_left_6604 = gc_frame_newslot(opresult6612);
  params[0] = strlit6605;
  partcv[0] = 1;
  Object opresult6613 = callmethod(opresult6612, "++", 1, partcv, params);
// compilenode returning opresult6613
  gc_frame_newslot(opresult6613);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool6602;
  params[2] = bool6603;
  params[3] = opresult6613;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6614 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6601);
// compilenode returning call6614
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2093
  setline(2093);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6617 == NULL) {
    strlit6617 = alloc_String("while()do");
    gc_root(strlit6617);
  }
// compilenode returning strlit6617
  int op_slot_right_6616 = gc_frame_newslot(strlit6617);
// compilenode returning *var_methname
  int op_slot_left_6616 = gc_frame_newslot(*var_methname);
  params[0] = strlit6617;
  partcv[0] = 1;
  Object opresult6619 = callmethod(*var_methname, "==", 1, partcv, params);
// compilenode returning opresult6619
  Object if6615 = done;
  if (istrue(opresult6619)) {
// Begin line 2094
  setline(2094);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6620 = gc_frame_new();
  if (strlit6621 == NULL) {
    strlit6621 = alloc_String("A while loop must have either a loop body in braces, or a block in parentheses.");
    gc_root(strlit6621);
  }
// compilenode returning strlit6621
  gc_frame_newslot(strlit6621);
// Begin line 2095
  setline(2095);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6622 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6623 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6622);
// compilenode returning call6623
// compilenode returning call6623
  gc_frame_newslot(call6623);
  int callframe6624 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6625 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6624);
// compilenode returning call6625
// compilenode returning call6625
  gc_frame_newslot(call6625);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2094
  setline(2094);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6621;
  params[1] = call6623;
  params[2] = call6625;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6626 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6620);
// compilenode returning call6626
    gc_frame_newslot(call6626);
    if6615 = call6626;
  } else {
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2096
  setline(2096);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6629 == NULL) {
    strlit6629 = alloc_String("for()do");
    gc_root(strlit6629);
  }
// compilenode returning strlit6629
  int op_slot_right_6628 = gc_frame_newslot(strlit6629);
// compilenode returning *var_methname
  int op_slot_left_6628 = gc_frame_newslot(*var_methname);
  params[0] = strlit6629;
  partcv[0] = 1;
  Object opresult6631 = callmethod(*var_methname, "==", 1, partcv, params);
// compilenode returning opresult6631
  Object if6627 = done;
  if (istrue(opresult6631)) {
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6632 = gc_frame_new();
  if (strlit6633 == NULL) {
    strlit6633 = alloc_String("A for loop must have either a loop body in braces, or a block in parentheses.");
    gc_root(strlit6633);
  }
// compilenode returning strlit6633
  gc_frame_newslot(strlit6633);
// Begin line 2098
  setline(2098);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6634 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6635 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6634);
// compilenode returning call6635
// compilenode returning call6635
  gc_frame_newslot(call6635);
  int callframe6636 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6637 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6636);
// compilenode returning call6637
// compilenode returning call6637
  gc_frame_newslot(call6637);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6633;
  params[1] = call6635;
  params[2] = call6637;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6638 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6632);
// compilenode returning call6638
    gc_frame_newslot(call6638);
    if6627 = call6638;
  } else {
  }
// compilenode returning if6627
    gc_frame_newslot(if6627);
    if6615 = if6627;
  }
// compilenode returning if6615
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6639 = gc_frame_new();
  if (strlit6640 == NULL) {
    strlit6640 = alloc_String("Each argument list in a multi-part method request must be parenthesized, unless it is self-delimiting.");
    gc_root(strlit6640);
  }
// compilenode returning strlit6640
  gc_frame_newslot(strlit6640);
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6641 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6642 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6641);
// compilenode returning call6642
// compilenode returning call6642
  gc_frame_newslot(call6642);
  int callframe6643 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6644 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6643);
// compilenode returning call6644
// compilenode returning call6644
  gc_frame_newslot(call6644);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6640;
  params[1] = call6642;
  params[2] = call6644;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6645 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6639);
// compilenode returning call6645
    gc_frame_newslot(call6645);
    if6594 = call6645;
  } else {
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2103
  setline(2103);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6648 == NULL) {
    strlit6648 = alloc_String("while()do");
    gc_root(strlit6648);
  }
// compilenode returning strlit6648
  int op_slot_right_6647 = gc_frame_newslot(strlit6648);
// compilenode returning *var_methname
  int op_slot_left_6647 = gc_frame_newslot(*var_methname);
  params[0] = strlit6648;
  partcv[0] = 1;
  Object opresult6650 = callmethod(*var_methname, "==", 1, partcv, params);
// compilenode returning opresult6650
  Object if6646 = done;
  if (istrue(opresult6650)) {
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6651 = gc_frame_new();
  if (strlit6652 == NULL) {
    strlit6652 = alloc_String(" {}");
    gc_root(strlit6652);
  }
// compilenode returning strlit6652
  gc_frame_newslot(strlit6652);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6652;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6653 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6651);
// compilenode returning call6653
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6654 = gc_frame_new();
  if (strlit6655 == NULL) {
    strlit6655 = alloc_String("A while loop must have a body.");
    gc_root(strlit6655);
  }
// compilenode returning strlit6655
  gc_frame_newslot(strlit6655);
// Begin line 2106
  setline(2106);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6656 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6657 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6656);
// compilenode returning call6657
// compilenode returning call6657
  gc_frame_newslot(call6657);
  int callframe6658 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6659 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6658);
// compilenode returning call6659
// compilenode returning call6659
  gc_frame_newslot(call6659);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6655;
  params[1] = call6657;
  params[2] = call6659;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6660 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6654);
// compilenode returning call6660
    gc_frame_newslot(call6660);
    if6646 = call6660;
  } else {
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6663 == NULL) {
    strlit6663 = alloc_String("for()do");
    gc_root(strlit6663);
  }
// compilenode returning strlit6663
  int op_slot_right_6662 = gc_frame_newslot(strlit6663);
// compilenode returning *var_methname
  int op_slot_left_6662 = gc_frame_newslot(*var_methname);
  params[0] = strlit6663;
  partcv[0] = 1;
  Object opresult6665 = callmethod(*var_methname, "==", 1, partcv, params);
// compilenode returning opresult6665
  Object if6661 = done;
  if (istrue(opresult6665)) {
// Begin line 2108
  setline(2108);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6666 = gc_frame_new();
  if (strlit6667 == NULL) {
    strlit6667 = alloc_String(" {}");
    gc_root(strlit6667);
  }
// compilenode returning strlit6667
  gc_frame_newslot(strlit6667);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6667;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6668 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6666);
// compilenode returning call6668
// Begin line 2109
  setline(2109);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6669 = gc_frame_new();
  if (strlit6670 == NULL) {
    strlit6670 = alloc_String("A for loop must have a body.");
    gc_root(strlit6670);
  }
// compilenode returning strlit6670
  gc_frame_newslot(strlit6670);
// Begin line 2110
  setline(2110);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6671 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6672 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6671);
// compilenode returning call6672
// compilenode returning call6672
  gc_frame_newslot(call6672);
  int callframe6673 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6674 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6673);
// compilenode returning call6674
// compilenode returning call6674
  gc_frame_newslot(call6674);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2109
  setline(2109);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6670;
  params[1] = call6672;
  params[2] = call6674;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6675 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6669);
// compilenode returning call6675
    gc_frame_newslot(call6675);
    if6661 = call6675;
  } else {
// Begin line 2112
  setline(2112);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6676 = gc_frame_new();
  if (strlit6677 == NULL) {
    strlit6677 = alloc_String("()");
    gc_root(strlit6677);
  }
// compilenode returning strlit6677
  gc_frame_newslot(strlit6677);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6677;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6678 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6676);
// compilenode returning call6678
// Begin line 2113
  setline(2113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6679 = gc_frame_new();
  if (strlit6680 == NULL) {
    strlit6680 = alloc_String("A multi-part method request must end with '()'.");
    gc_root(strlit6680);
  }
// compilenode returning strlit6680
  gc_frame_newslot(strlit6680);
// Begin line 2114
  setline(2114);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6681 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6682 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6681);
// compilenode returning call6682
// compilenode returning call6682
  gc_frame_newslot(call6682);
  int callframe6683 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6684 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6683);
// compilenode returning call6684
// compilenode returning call6684
  gc_frame_newslot(call6684);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2113
  setline(2113);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6680;
  params[1] = call6682;
  params[2] = call6684;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6685 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6679);
// compilenode returning call6685
    gc_frame_newslot(call6685);
    if6661 = call6685;
  }
// compilenode returning if6661
    gc_frame_newslot(if6661);
    if6646 = if6661;
  }
// compilenode returning if6646
    gc_frame_newslot(if6646);
    if6594 = if6646;
  }
// compilenode returning if6594
    gc_frame_newslot(if6594);
    if6560 = if6594;
  } else {
  }
// compilenode returning if6560
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2123
  setline(2123);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6691 == NULL) {
    strlit6691 = alloc_String("false");
    gc_root(strlit6691);
  }
// compilenode returning strlit6691
  int op_slot_right_6690 = gc_frame_newslot(strlit6691);
  int callframe6693 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6694 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6693);
// compilenode returning call6694
// compilenode returning call6694
  int op_slot_left_6690 = gc_frame_newslot(call6694);
  params[0] = strlit6691;
  partcv[0] = 1;
  Object opresult6695 = callmethod(call6694, "==", 1, partcv, params);
// compilenode returning opresult6695
  int op_slot_right_6689 = gc_frame_newslot(opresult6695);
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6698 == NULL) {
    strlit6698 = alloc_String("true");
    gc_root(strlit6698);
  }
// compilenode returning strlit6698
  int op_slot_right_6697 = gc_frame_newslot(strlit6698);
  int callframe6700 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6701 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6700);
// compilenode returning call6701
// compilenode returning call6701
  int op_slot_left_6697 = gc_frame_newslot(call6701);
  params[0] = strlit6698;
  partcv[0] = 1;
  Object opresult6702 = callmethod(call6701, "==", 1, partcv, params);
// compilenode returning opresult6702
  int op_slot_left_6689 = gc_frame_newslot(opresult6702);
  params[0] = opresult6695;
  partcv[0] = 1;
  Object opresult6703 = callmethod(opresult6702, "||", 1, partcv, params);
// compilenode returning opresult6703
  int op_slot_right_6688 = gc_frame_newslot(opresult6703);
// Begin line 2121
  setline(2121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6705 = gc_frame_new();
  if (strlit6706 == NULL) {
    strlit6706 = alloc_String("identifier");
    gc_root(strlit6706);
  }
// compilenode returning strlit6706
  gc_frame_newslot(strlit6706);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6706;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6707 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6705);
// compilenode returning call6707
  int op_slot_left_6688 = gc_frame_newslot(call6707);
  params[0] = opresult6703;
  partcv[0] = 1;
  Object opresult6708 = callmethod(call6707, "&&", 1, partcv, params);
// compilenode returning opresult6708
  int op_slot_right_6687 = gc_frame_newslot(opresult6708);
// Begin line 2120
  setline(2120);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6711 = gc_frame_new();
  if (strlit6712 == NULL) {
    strlit6712 = alloc_String("num");
    gc_root(strlit6712);
  }
// compilenode returning strlit6712
  gc_frame_newslot(strlit6712);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6712;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6713 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6711);
// compilenode returning call6713
  int op_slot_right_6710 = gc_frame_newslot(call6713);
// Begin line 2119
  setline(2119);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6716 = gc_frame_new();
  if (strlit6717 == NULL) {
    strlit6717 = alloc_String("string");
    gc_root(strlit6717);
  }
// compilenode returning strlit6717
  gc_frame_newslot(strlit6717);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6717;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6718 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6716);
// compilenode returning call6718
  int op_slot_right_6715 = gc_frame_newslot(call6718);
// Begin line 2118
  setline(2118);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6720 = gc_frame_new();
  if (strlit6721 == NULL) {
    strlit6721 = alloc_String("lbrace");
    gc_root(strlit6721);
  }
// compilenode returning strlit6721
  gc_frame_newslot(strlit6721);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6721;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6722 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6720);
// compilenode returning call6722
  int op_slot_left_6715 = gc_frame_newslot(call6722);
  params[0] = call6718;
  partcv[0] = 1;
  Object opresult6723 = callmethod(call6722, "||", 1, partcv, params);
// compilenode returning opresult6723
  int op_slot_left_6710 = gc_frame_newslot(opresult6723);
  params[0] = call6713;
  partcv[0] = 1;
  Object opresult6724 = callmethod(opresult6723, "||", 1, partcv, params);
// compilenode returning opresult6724
  int op_slot_left_6687 = gc_frame_newslot(opresult6724);
  params[0] = opresult6708;
  partcv[0] = 1;
  Object opresult6725 = callmethod(opresult6724, "||", 1, partcv, params);
// compilenode returning opresult6725
  Object if6686 = done;
  if (istrue(opresult6725)) {
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2124
  setline(2124);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6726 = alloc_Boolean(1);
// compilenode returning bool6726
  *var_isTerm = bool6726;
  if (bool6726 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6686 = done;
  } else {
// Begin line 2126
  setline(2126);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6728 = gc_frame_new();
  partcv[0] = 0;
  Object call6729 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6728);
// compilenode returning call6729
    gc_frame_newslot(call6729);
    if6686 = call6729;
  }
// compilenode returning if6686
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6730 = alloc_Boolean(0);
// compilenode returning bool6730
  *var_isEmpty = bool6730;
  if (bool6730 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6732 = gc_frame_new();
  if (strlit6733 == NULL) {
    strlit6733 = alloc_String("rparen");
    gc_root(strlit6733);
  }
// compilenode returning strlit6733
  gc_frame_newslot(strlit6733);
  params[0] = strlit6733;
  partcv[0] = 1;
  Object call6734 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6732);
// compilenode returning call6734
  Object if6731 = done;
  if (istrue(call6734)) {
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2130
  setline(2130);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6735 = alloc_Boolean(1);
// compilenode returning bool6735
  *var_isEmpty = bool6735;
  if (bool6735 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6731 = done;
  } else {
  }
// compilenode returning if6731
// Begin line 2176
  setline(2176);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_isTerm
  Object if6737 = done;
  if (istrue(*var_isTerm)) {
// Begin line 2134
  setline(2134);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2133
  setline(2133);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastline
  *var_ln = *var_lastline;
  if (*var_lastline == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2134
  setline(2134);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6739 = gc_frame_new();
  partcv[0] = 0;
  Object call6740 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6739);
// compilenode returning call6740
    gc_frame_newslot(call6740);
    if6737 = call6740;
  } else {
// Begin line 2154
  setline(2154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6743 == NULL) {
    strlit6743 = alloc_String("rparen");
    gc_root(strlit6743);
  }
// compilenode returning strlit6743
  int op_slot_right_6742 = gc_frame_newslot(strlit6743);
  int callframe6745 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6746 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6745);
// compilenode returning call6746
// compilenode returning call6746
  int op_slot_left_6742 = gc_frame_newslot(call6746);
  params[0] = strlit6743;
  partcv[0] = 1;
  Object opresult6747 = callmethod(call6746, "!=", 1, partcv, params);
// compilenode returning opresult6747
  Object if6741 = done;
  if (istrue(opresult6747)) {
// Begin line 2153
  setline(2153);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2137
  setline(2137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6749 = gc_frame_new();
  int callframe6750 = gc_frame_new();
  Object block6751 = alloc_Block(NULL, NULL, "parser", 2137);
  gc_frame_newslot(block6751);
  block_savedest(block6751);
  Object closure6752 = createclosure(2, "_apply");
  setclosureframe(closure6752, stackframe);
  addtoclosure(closure6752, var_blocksOK);
  addtoclosure(closure6752, selfslot);
  struct UserObject *uo6752 = (struct UserObject*)block6751;
  uo6752->data[0] = (Object)closure6752;
  Method *meth_meth_parser__apply6752 = addmethod2pos(block6751, "_apply", &meth_parser__apply6752, 0);
int argcv_meth_parser__apply6752[] = {0};
meth_meth_parser__apply6752->type = alloc_MethodType(1, argcv_meth_parser__apply6752);
  meth_meth_parser__apply6752->definitionModule = modulename;
  meth_meth_parser__apply6752->definitionLine = 2137;
// compilenode returning block6751
  gc_frame_newslot(block6751);
  params[0] = block6751;
  partcv[0] = 1;
  Object call6756 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6750);
// compilenode returning call6756
  partcv[0] = 0;
  Object call6757 = callmethod(call6756, "not",
    1, partcv, params);
  gc_frame_end(callframe6749);
// compilenode returning call6757
// compilenode returning call6757
  Object if6748 = done;
  if (istrue(call6757)) {
// Begin line 2139
  setline(2139);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2138
  setline(2138);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6758 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6758
  *var_suggestions = array6758;
  if (array6758 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2139
  setline(2139);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6759 = gc_frame_new();
  int callframe6760 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6761 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6760);
// compilenode returning call6761
// compilenode returning call6761
  partcv[0] = 0;
  Object call6762 = callmethod(call6761, "new",
    1, partcv, params);
  gc_frame_end(callframe6759);
// compilenode returning call6762
// compilenode returning call6762
  *var_suggestion = call6762;
  if (call6762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6763 = gc_frame_new();
  if (strlit6764 == NULL) {
    strlit6764 = alloc_String("rparen");
    gc_root(strlit6764);
  }
// compilenode returning strlit6764
  gc_frame_newslot(strlit6764);
  params[0] = strlit6764;
  partcv[0] = 1;
  Object call6765 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6763);
// compilenode returning call6765
  *var_nextTok = call6765;
  if (call6765 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2141
  setline(2141);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_6767 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_6767 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6769 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult6769
  Object if6766 = done;
  if (istrue(opresult6769)) {
// Begin line 2142
  setline(2142);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6770 = gc_frame_new();
  if (strlit6771 == NULL) {
    strlit6771 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6771);
  }
// compilenode returning strlit6771
  gc_frame_newslot(strlit6771);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6771;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6772 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6770);
// compilenode returning call6772
    gc_frame_newslot(call6772);
    if6766 = call6772;
  } else {
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6773 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6774 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6775 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6774);
// compilenode returning call6775
// compilenode returning call6775
  gc_frame_newslot(call6775);
  Object bool6776 = alloc_Boolean(1);
// compilenode returning bool6776
  gc_frame_newslot(bool6776);
  Object bool6777 = alloc_Boolean(0);
// compilenode returning bool6777
  gc_frame_newslot(bool6777);
  if (strlit6778 == NULL) {
    strlit6778 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6778);
  }
// compilenode returning strlit6778
  gc_frame_newslot(strlit6778);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6775;
  params[2] = bool6776;
  params[3] = bool6777;
  params[4] = strlit6778;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6779 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6773);
// compilenode returning call6779
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6780 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6781 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6780);
// compilenode returning call6781
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2146
  setline(2146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6782 = gc_frame_new();
  int callframe6783 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6784 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6783);
// compilenode returning call6784
// compilenode returning call6784
  partcv[0] = 0;
  Object call6785 = callmethod(call6784, "new",
    1, partcv, params);
  gc_frame_end(callframe6782);
// compilenode returning call6785
// compilenode returning call6785
  *var_suggestion = call6785;
  if (call6785 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6787 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6788 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6789 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6788);
// compilenode returning call6789
// compilenode returning call6789
  gc_frame_newslot(call6789);
  Object bool6790 = alloc_Boolean(1);
// compilenode returning bool6790
  gc_frame_newslot(bool6790);
  Object bool6791 = alloc_Boolean(0);
// compilenode returning bool6791
  gc_frame_newslot(bool6791);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6789;
  params[2] = bool6790;
  params[3] = bool6791;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6792 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6787);
// compilenode returning call6792
    gc_frame_newslot(call6792);
    if6766 = call6792;
  }
// compilenode returning if6766
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6793 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6794 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6793);
// compilenode returning call6794
// Begin line 2150
  setline(2150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6795 = gc_frame_new();
  if (strlit6796 == NULL) {
    strlit6796 = alloc_String("A method request must have an expression or a ')' after a '('.");
    gc_root(strlit6796);
  }
// compilenode returning strlit6796
  gc_frame_newslot(strlit6796);
// Begin line 2151
  setline(2151);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6797 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6798 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6797);
// compilenode returning call6798
// compilenode returning call6798
  gc_frame_newslot(call6798);
  int callframe6799 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6800 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6799);
// compilenode returning call6800
// compilenode returning call6800
  gc_frame_newslot(call6800);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2150
  setline(2150);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6796;
  params[1] = call6798;
  params[2] = call6800;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6801 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6795);
// compilenode returning call6801
    gc_frame_newslot(call6801);
    if6748 = call6801;
  } else {
  }
// compilenode returning if6748
    gc_frame_newslot(if6748);
    if6741 = if6748;
  } else {
  }
// compilenode returning if6741
// Begin line 2154
  setline(2154);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6802 = gc_frame_new();
  Object block6803 = alloc_Block(NULL, NULL, "parser", 2154);
  gc_frame_newslot(block6803);
  block_savedest(block6803);
  Object closure6804 = createclosure(1, "_apply");
  setclosureframe(closure6804, stackframe);
  addtoclosure(closure6804, selfslot);
  struct UserObject *uo6804 = (struct UserObject*)block6803;
  uo6804->data[0] = (Object)closure6804;
  Method *meth_meth_parser__apply6804 = addmethod2pos(block6803, "_apply", &meth_parser__apply6804, 0);
int argcv_meth_parser__apply6804[] = {0};
meth_meth_parser__apply6804->type = alloc_MethodType(1, argcv_meth_parser__apply6804);
  meth_meth_parser__apply6804->definitionModule = modulename;
  meth_meth_parser__apply6804->definitionLine = 2151;
// compilenode returning block6803
  gc_frame_newslot(block6803);
  Object block6809 = alloc_Block(NULL, NULL, "parser", 2154);
  gc_frame_newslot(block6809);
  block_savedest(block6809);
  Object closure6810 = createclosure(8, "_apply");
  setclosureframe(closure6810, stackframe);
  addtoclosure(closure6810, var_values);
  addtoclosure(closure6810, var_nxt);
  addtoclosure(closure6810, var_part);
  addtoclosure(closure6810, var_blocksOK);
  addtoclosure(closure6810, var_errormessages);
  addtoclosure(closure6810, var_sym);
  addtoclosure(closure6810, var_lastToken);
  addtoclosure(closure6810, selfslot);
  struct UserObject *uo6810 = (struct UserObject*)block6809;
  uo6810->data[0] = (Object)closure6810;
  Method *meth_meth_parser__apply6810 = addmethod2pos(block6809, "_apply", &meth_parser__apply6810, 0);
int argcv_meth_parser__apply6810[] = {0};
meth_meth_parser__apply6810->type = alloc_MethodType(1, argcv_meth_parser__apply6810);
  meth_meth_parser__apply6810->definitionModule = modulename;
  meth_meth_parser__apply6810->definitionLine = 2151;
// compilenode returning block6809
  gc_frame_newslot(block6809);
  params[0] = block6803;
  params[1] = block6809;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6875 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6802);
// compilenode returning call6875
    gc_frame_newslot(call6875);
    if6737 = call6875;
  }
// compilenode returning if6737
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2176
  setline(2176);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6877 = gc_frame_new();
// compilenode returning *var_isEmpty
  partcv[0] = 0;
  Object call6878 = callmethod(*var_isEmpty, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe6877);
// compilenode returning call6878
  Object if6876 = done;
  if (istrue(call6878)) {
// Begin line 2178
  setline(2178);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6879 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6880 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6879);
// compilenode returning call6880
// compilenode returning call6880
  *var_nxt = call6880;
  if (call6880 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2178
  setline(2178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6882 = gc_frame_new();
// compilenode returning *var_nxt
  gc_frame_newslot(*var_nxt);
  int callframe6883 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6884 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6883);
// compilenode returning call6884
// compilenode returning call6884
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call6885 = callmethod(call6884, "push",
    1, partcv, params);
  gc_frame_end(callframe6882);
// compilenode returning call6885
    gc_frame_newslot(call6885);
    if6876 = call6885;
  } else {
  }
// compilenode returning if6876
// Begin line 2189
  setline(2189);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6887 = gc_frame_new();
// compilenode returning *var_isTerm
  partcv[0] = 0;
  Object call6888 = callmethod(*var_isTerm, "not",
    1, partcv, params);
  gc_frame_end(callframe6887);
// compilenode returning call6888
// compilenode returning call6888
  Object if6886 = done;
  if (istrue(call6888)) {
// Begin line 2188
  setline(2188);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2181
  setline(2181);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6891 == NULL) {
    strlit6891 = alloc_String("rparen");
    gc_root(strlit6891);
  }
// compilenode returning strlit6891
  int op_slot_right_6890 = gc_frame_newslot(strlit6891);
  int callframe6893 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6894 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6893);
// compilenode returning call6894
// compilenode returning call6894
  int op_slot_left_6890 = gc_frame_newslot(call6894);
  params[0] = strlit6891;
  partcv[0] = 1;
  Object opresult6895 = callmethod(call6894, "!=", 1, partcv, params);
// compilenode returning opresult6895
  Object if6889 = done;
  if (istrue(opresult6895)) {
// Begin line 2182
  setline(2182);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6896 = gc_frame_new();
  partcv[0] = 0;
  Object call6897 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6896);
// compilenode returning call6897
// Begin line 2184
  setline(2184);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2183
  setline(2183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6898 = gc_frame_new();
  int callframe6899 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6900 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6899);
// compilenode returning call6900
// compilenode returning call6900
  partcv[0] = 0;
  Object call6901 = callmethod(call6900, "new",
    1, partcv, params);
  gc_frame_end(callframe6898);
// compilenode returning call6901
// compilenode returning call6901
  *var_suggestion = call6901;
  if (call6901 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2184
  setline(2184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6902 = gc_frame_new();
  if (strlit6903 == NULL) {
    strlit6903 = alloc_String(")");
    gc_root(strlit6903);
  }
// compilenode returning strlit6903
  gc_frame_newslot(strlit6903);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6903;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6904 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6902);
// compilenode returning call6904
// Begin line 2185
  setline(2185);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6905 = gc_frame_new();
  if (strlit6906 == NULL) {
    strlit6906 = alloc_String("A part of a multi-part method request beginning with a '(' must end with a ')'.");
    gc_root(strlit6906);
  }
// compilenode returning strlit6906
  gc_frame_newslot(strlit6906);
// Begin line 2186
  setline(2186);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6907 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6908 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe6907);
// compilenode returning call6908
// compilenode returning call6908
  gc_frame_newslot(call6908);
  int callframe6910 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6911 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe6910);
// compilenode returning call6911
// compilenode returning call6911
  int op_slot_right_6909 = gc_frame_newslot(call6911);
  int callframe6913 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6914 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6913);
// compilenode returning call6914
// compilenode returning call6914
  int op_slot_left_6909 = gc_frame_newslot(call6914);
  params[0] = call6911;
  partcv[0] = 1;
  Object sum6915 = callmethod(call6914, "+", 1, partcv, params);
// compilenode returning sum6915
  gc_frame_newslot(sum6915);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2185
  setline(2185);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6906;
  params[1] = call6908;
  params[2] = sum6915;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6916 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6905);
// compilenode returning call6916
    gc_frame_newslot(call6916);
    if6889 = call6916;
  } else {
  }
// compilenode returning if6889
    gc_frame_newslot(if6889);
    if6886 = if6889;
  } else {
  }
// compilenode returning if6886
// Begin line 2193
  setline(2193);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2189
  setline(2189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6919 = gc_frame_new();
// compilenode returning *var_isTerm
  partcv[0] = 0;
  Object call6920 = callmethod(*var_isTerm, "not",
    1, partcv, params);
  gc_frame_end(callframe6919);
// compilenode returning call6920
// compilenode returning call6920
  int op_slot_right_6918 = gc_frame_newslot(call6920);
  int callframe6922 = gc_frame_new();
  if (strlit6923 == NULL) {
    strlit6923 = alloc_String("rparen");
    gc_root(strlit6923);
  }
// compilenode returning strlit6923
  gc_frame_newslot(strlit6923);
  params[0] = strlit6923;
  partcv[0] = 1;
  Object call6924 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6922);
// compilenode returning call6924
  int op_slot_left_6918 = gc_frame_newslot(call6924);
  params[0] = call6920;
  partcv[0] = 1;
  Object opresult6925 = callmethod(call6924, "&&", 1, partcv, params);
// compilenode returning opresult6925
  Object if6917 = done;
  if (istrue(opresult6925)) {
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2190
  setline(2190);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastline
  *var_ln = *var_lastline;
  if (*var_lastline == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6927 = gc_frame_new();
  partcv[0] = 0;
  Object call6928 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6927);
// compilenode returning call6928
    gc_frame_newslot(call6928);
    if6917 = call6928;
  } else {
  }
// compilenode returning if6917
  gc_frame_end(frame);
  return if6917;
}
Object meth_parser_callmprest6512(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callmprest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method callmprest");
  Object params[2];
  int partcv[2];
  Object *var_linenum = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastline = getfromclosure(closure, 6);
  Object *var_blocksOK = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callmprest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_meth = &(stackframe->slots[0]);
  *var_meth = args[curarg];
  curarg++;
  Object *var_signature = &(stackframe->slots[1]);
  *var_signature = args[curarg];
  curarg++;
  Object *var_tok = &(stackframe->slots[2]);
  *var_tok = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for callmprest");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methname = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "methname");
  Object *var_nxt = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nxt");
  Object *var_ln = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "ln");
  Object *var_lp = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "lp");
  Object *var_part = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "part");
  Object *var_meth_39_ = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "meth'");
// Begin line 2072
  setline(2072);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2071
  setline(2071);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6513 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6514 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe6513);
// compilenode returning call6514
// compilenode returning call6514
  *var_methname = call6514;
  if (call6514 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_nxt = undefined;
// compilenode returning done
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_ln = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2075
  setline(2075);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6515 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6516 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6515);
// compilenode returning call6516
// compilenode returning call6516
  *var_lp = call6516;
  if (call6516 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2076
  setline(2076);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_part = undefined;
// compilenode returning done
  int callframe6517 = gc_frame_new();
  Object block6518 = alloc_Block(NULL, NULL, "parser", 2076);
  gc_frame_newslot(block6518);
  block_savedest(block6518);
  Object closure6519 = createclosure(3, "_apply");
  setclosureframe(closure6519, stackframe);
  addtoclosure(closure6519, var_lastToken);
  addtoclosure(closure6519, var_tok);
  addtoclosure(closure6519, selfslot);
  struct UserObject *uo6519 = (struct UserObject*)block6518;
  uo6519->data[0] = (Object)closure6519;
  Method *meth_meth_parser__apply6519 = addmethod2pos(block6518, "_apply", &meth_parser__apply6519, 0);
int argcv_meth_parser__apply6519[] = {0};
meth_meth_parser__apply6519->type = alloc_MethodType(1, argcv_meth_parser__apply6519);
  meth_meth_parser__apply6519->definitionModule = modulename;
  meth_meth_parser__apply6519->definitionLine = 2074;
// compilenode returning block6518
  gc_frame_newslot(block6518);
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block6530 = alloc_Block(NULL, NULL, "parser", 2077);
  gc_frame_newslot(block6530);
  block_savedest(block6530);
  Object closure6531 = createclosure(14, "_apply");
  setclosureframe(closure6531, stackframe);
  addtoclosure(closure6531, var_ast);
  addtoclosure(closure6531, var_part);
  addtoclosure(closure6531, var_signature);
  addtoclosure(closure6531, var_methname);
  addtoclosure(closure6531, var_values);
  addtoclosure(closure6531, var_nxt);
  addtoclosure(closure6531, var_errormessages);
  addtoclosure(closure6531, var_sym);
  addtoclosure(closure6531, var_lastToken);
  addtoclosure(closure6531, var_tok);
  addtoclosure(closure6531, var_lastline);
  addtoclosure(closure6531, var_ln);
  addtoclosure(closure6531, var_blocksOK);
  addtoclosure(closure6531, selfslot);
  struct UserObject *uo6531 = (struct UserObject*)block6530;
  uo6531->data[0] = (Object)closure6531;
  Method *meth_meth_parser__apply6531 = addmethod2pos(block6530, "_apply", &meth_parser__apply6531, 0);
int argcv_meth_parser__apply6531[] = {0};
meth_meth_parser__apply6531->type = alloc_MethodType(1, argcv_meth_parser__apply6531);
  meth_meth_parser__apply6531->definitionModule = modulename;
  meth_meth_parser__apply6531->definitionLine = 2074;
// compilenode returning block6530
  gc_frame_newslot(block6530);
  params[0] = block6518;
  params[1] = block6530;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6930 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6517);
// compilenode returning call6930
// Begin line 2194
  setline(2194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6931 = gc_frame_new();
// compilenode returning *var_methname
  gc_frame_newslot(*var_methname);
  Object bool6932 = alloc_Boolean(0);
// compilenode returning bool6932
  gc_frame_newslot(bool6932);
  int callframe6933 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6934 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe6933);
// compilenode returning call6934
// compilenode returning call6934
  params[0] = *var_methname;
  params[1] = bool6932;
  partcv[0] = 2;
  Object call6935 = callmethod(call6934, "new",
    1, partcv, params);
  gc_frame_end(callframe6931);
// compilenode returning call6935
  *var_meth_39_ = call6935;
  if (call6935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2196
  setline(2196);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2194
  setline(2194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6936 = gc_frame_new();
// Begin line 2195
  setline(2195);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6937 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6938 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe6937);
// compilenode returning call6938
// compilenode returning call6938
  gc_frame_newslot(call6938);
// compilenode returning *var_meth_39_
  params[0] = call6938;
  partcv[0] = 1;
  Object call6939 = callmethod(*var_meth_39_, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6936);
// compilenode returning call6939
// compilenode returning done
// Begin line 2197
  setline(2197);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2195
  setline(2195);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6940 = gc_frame_new();
// Begin line 2196
  setline(2196);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6941 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6942 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6941);
// compilenode returning call6942
// compilenode returning call6942
  gc_frame_newslot(call6942);
// compilenode returning *var_meth_39_
  params[0] = call6942;
  partcv[0] = 1;
  Object call6943 = callmethod(*var_meth_39_, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe6940);
// compilenode returning call6943
// compilenode returning done
// Begin line 2197
  setline(2197);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_meth_39_
  gc_frame_end(frame);
  return *var_meth_39_;
}
Object meth_parser__apply6977(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2210
  setline(2210);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6980 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6981 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6980);
// compilenode returning call6981
// compilenode returning call6981
  int op_slot_right_6979 = gc_frame_newslot(call6981);
  int callframe6983 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call6984 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe6983);
// compilenode returning call6984
// compilenode returning call6984
  int op_slot_left_6979 = gc_frame_newslot(call6984);
  params[0] = call6981;
  partcv[0] = 1;
  Object opresult6985 = callmethod(call6984, "==", 1, partcv, params);
// compilenode returning opresult6985
  int op_slot_right_6978 = gc_frame_newslot(opresult6985);
  if (strlit6989 == NULL) {
    strlit6989 = alloc_String("=");
    gc_root(strlit6989);
  }
// compilenode returning strlit6989
  int op_slot_right_6988 = gc_frame_newslot(strlit6989);
  int callframe6991 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call6992 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe6991);
// compilenode returning call6992
// compilenode returning call6992
  int op_slot_left_6988 = gc_frame_newslot(call6992);
  params[0] = strlit6989;
  partcv[0] = 1;
  Object opresult6993 = callmethod(call6992, "==", 1, partcv, params);
// compilenode returning opresult6993
  int op_slot_right_6987 = gc_frame_newslot(opresult6993);
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6996 == NULL) {
    strlit6996 = alloc_String("op");
    gc_root(strlit6996);
  }
// compilenode returning strlit6996
  int op_slot_right_6995 = gc_frame_newslot(strlit6996);
  int callframe6998 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call6999 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe6998);
// compilenode returning call6999
// compilenode returning call6999
  int op_slot_left_6995 = gc_frame_newslot(call6999);
  params[0] = strlit6996;
  partcv[0] = 1;
  Object opresult7000 = callmethod(call6999, "==", 1, partcv, params);
// compilenode returning opresult7000
  int op_slot_left_6987 = gc_frame_newslot(opresult7000);
  params[0] = opresult6993;
  partcv[0] = 1;
  Object opresult7001 = callmethod(opresult7000, "&&", 1, partcv, params);
// compilenode returning opresult7001
  int op_slot_left_6978 = gc_frame_newslot(opresult7001);
  params[0] = opresult6985;
  partcv[0] = 1;
  Object opresult7002 = callmethod(opresult7001, "&&", 1, partcv, params);
// compilenode returning opresult7002
  gc_frame_end(frame);
  return opresult7002;
}
Object meth_parser__apply7077(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7078 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7079 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7078);
// compilenode returning call7079
  gc_frame_end(frame);
  return call7079;
}
Object meth_parser__apply7203(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2274
  setline(2274);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7206 == NULL) {
    strlit7206 = alloc_String("confidential");
    gc_root(strlit7206);
  }
// compilenode returning strlit7206
  int op_slot_right_7205 = gc_frame_newslot(strlit7206);
  int callframe7208 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7209 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7208);
// compilenode returning call7209
// compilenode returning call7209
  int op_slot_left_7205 = gc_frame_newslot(call7209);
  params[0] = strlit7206;
  partcv[0] = 1;
  Object opresult7210 = callmethod(call7209, "==", 1, partcv, params);
// compilenode returning opresult7210
  int op_slot_right_7204 = gc_frame_newslot(opresult7210);
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7213 == NULL) {
    strlit7213 = alloc_String("public");
    gc_root(strlit7213);
  }
// compilenode returning strlit7213
  int op_slot_right_7212 = gc_frame_newslot(strlit7213);
  int callframe7215 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7216 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7215);
// compilenode returning call7216
// compilenode returning call7216
  int op_slot_left_7212 = gc_frame_newslot(call7216);
  params[0] = strlit7213;
  partcv[0] = 1;
  Object opresult7217 = callmethod(call7216, "==", 1, partcv, params);
// compilenode returning opresult7217
  int op_slot_left_7204 = gc_frame_newslot(opresult7217);
  params[0] = opresult7210;
  partcv[0] = 1;
  Object opresult7218 = callmethod(opresult7217, "||", 1, partcv, params);
// compilenode returning opresult7218
  gc_frame_end(frame);
  return opresult7218;
}
Object meth_parser__apply7232(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7235 == NULL) {
    strlit7235 = alloc_String("writable");
    gc_root(strlit7235);
  }
// compilenode returning strlit7235
  int op_slot_right_7234 = gc_frame_newslot(strlit7235);
  int callframe7237 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7238 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7237);
// compilenode returning call7238
// compilenode returning call7238
  int op_slot_left_7234 = gc_frame_newslot(call7238);
  params[0] = strlit7235;
  partcv[0] = 1;
  Object opresult7239 = callmethod(call7238, "==", 1, partcv, params);
// compilenode returning opresult7239
  int op_slot_right_7233 = gc_frame_newslot(opresult7239);
// Begin line 2278
  setline(2278);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7242 == NULL) {
    strlit7242 = alloc_String("readable");
    gc_root(strlit7242);
  }
// compilenode returning strlit7242
  int op_slot_right_7241 = gc_frame_newslot(strlit7242);
  int callframe7244 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7245 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7244);
// compilenode returning call7245
// compilenode returning call7245
  int op_slot_left_7241 = gc_frame_newslot(call7245);
  params[0] = strlit7242;
  partcv[0] = 1;
  Object opresult7246 = callmethod(call7245, "==", 1, partcv, params);
// compilenode returning opresult7246
  int op_slot_left_7233 = gc_frame_newslot(opresult7246);
  params[0] = opresult7239;
  partcv[0] = 1;
  Object opresult7247 = callmethod(opresult7246, "||", 1, partcv, params);
// compilenode returning opresult7247
  gc_frame_end(frame);
  return opresult7247;
}
Object meth_parser__apply7199(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_hasVisibility = getfromclosure(closure, 0);
  Object *var_hasAccessibility = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7201 = gc_frame_new();
  Object block7202 = alloc_Block(NULL, NULL, "parser", 2272);
  gc_frame_newslot(block7202);
  block_savedest(block7202);
  Object closure7203 = createclosure(2, "_apply");
  setclosureframe(closure7203, stackframe);
  addtoclosure(closure7203, var_a);
  addtoclosure(closure7203, selfslot);
  struct UserObject *uo7203 = (struct UserObject*)block7202;
  uo7203->data[0] = (Object)closure7203;
  Method *meth_meth_parser__apply7203 = addmethod2pos(block7202, "_apply", &meth_parser__apply7203, 0);
int argcv_meth_parser__apply7203[] = {0};
meth_meth_parser__apply7203->type = alloc_MethodType(1, argcv_meth_parser__apply7203);
  meth_meth_parser__apply7203->definitionModule = modulename;
  meth_meth_parser__apply7203->definitionLine = 2267;
// compilenode returning block7202
  gc_frame_newslot(block7202);
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7221 == NULL) {
    strlit7221 = alloc_String("identifier");
    gc_root(strlit7221);
  }
// compilenode returning strlit7221
  int op_slot_right_7220 = gc_frame_newslot(strlit7221);
  int callframe7223 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7224 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe7223);
// compilenode returning call7224
// compilenode returning call7224
  int op_slot_left_7220 = gc_frame_newslot(call7224);
  params[0] = strlit7221;
  partcv[0] = 1;
  Object opresult7225 = callmethod(call7224, "==", 1, partcv, params);
// compilenode returning opresult7225
  params[0] = block7202;
  partcv[0] = 1;
  Object call7226 = callmethod(opresult7225, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe7201);
// compilenode returning call7226
  Object if7200 = done;
  if (istrue(call7226)) {
// Begin line 2276
  setline(2276);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7227 = alloc_Boolean(1);
// compilenode returning bool7227
  *var_hasVisibility = bool7227;
  if (bool7227 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7200 = done;
  } else {
  }
// compilenode returning if7200
// Begin line 2282
  setline(2282);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7230 = gc_frame_new();
  Object block7231 = alloc_Block(NULL, NULL, "parser", 2277);
  gc_frame_newslot(block7231);
  block_savedest(block7231);
  Object closure7232 = createclosure(2, "_apply");
  setclosureframe(closure7232, stackframe);
  addtoclosure(closure7232, var_a);
  addtoclosure(closure7232, selfslot);
  struct UserObject *uo7232 = (struct UserObject*)block7231;
  uo7232->data[0] = (Object)closure7232;
  Method *meth_meth_parser__apply7232 = addmethod2pos(block7231, "_apply", &meth_parser__apply7232, 0);
int argcv_meth_parser__apply7232[] = {0};
meth_meth_parser__apply7232->type = alloc_MethodType(1, argcv_meth_parser__apply7232);
  meth_meth_parser__apply7232->definitionModule = modulename;
  meth_meth_parser__apply7232->definitionLine = 2272;
// compilenode returning block7231
  gc_frame_newslot(block7231);
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7250 == NULL) {
    strlit7250 = alloc_String("identifier");
    gc_root(strlit7250);
  }
// compilenode returning strlit7250
  int op_slot_right_7249 = gc_frame_newslot(strlit7250);
  int callframe7252 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7253 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe7252);
// compilenode returning call7253
// compilenode returning call7253
  int op_slot_left_7249 = gc_frame_newslot(call7253);
  params[0] = strlit7250;
  partcv[0] = 1;
  Object opresult7254 = callmethod(call7253, "==", 1, partcv, params);
// compilenode returning opresult7254
  params[0] = block7231;
  partcv[0] = 1;
  Object call7255 = callmethod(opresult7254, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe7230);
// compilenode returning call7255
  Object if7229 = done;
  if (istrue(call7255)) {
// Begin line 2281
  setline(2281);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2280
  setline(2280);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7256 = alloc_Boolean(1);
// compilenode returning bool7256
  *var_hasAccessibility = bool7256;
  if (bool7256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7229 = done;
  } else {
  }
// compilenode returning if7229
  gc_frame_end(frame);
  return if7229;
}
Object meth_parser_defdec6944(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(19, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defdec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_blocksOK = getfromclosure(closure, 5);
  Object *var_defaultDefVisibility = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defdec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for defdec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_defTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "defTok");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextToken");
  Object *var_val = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "val");
  Object *var_dtype = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "dtype");
  Object *var_name = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "name");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_nextTok = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "nextTok");
  Object *var_suggestions = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "suggestions");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
  Object *var_hasVisibility = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "hasVisibility");
  Object *var_hasAccessibility = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "hasAccessibility");
// Begin line 2293
  setline(2293);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6948 == NULL) {
    strlit6948 = alloc_String("def");
    gc_root(strlit6948);
  }
// compilenode returning strlit6948
  int op_slot_right_6947 = gc_frame_newslot(strlit6948);
  int callframe6950 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6951 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6950);
// compilenode returning call6951
// compilenode returning call6951
  int op_slot_left_6947 = gc_frame_newslot(call6951);
  params[0] = strlit6948;
  partcv[0] = 1;
  Object opresult6952 = callmethod(call6951, "==", 1, partcv, params);
// compilenode returning opresult6952
  int op_slot_right_6946 = gc_frame_newslot(opresult6952);
  int callframe6954 = gc_frame_new();
  if (strlit6955 == NULL) {
    strlit6955 = alloc_String("keyword");
    gc_root(strlit6955);
  }
// compilenode returning strlit6955
  gc_frame_newslot(strlit6955);
  params[0] = strlit6955;
  partcv[0] = 1;
  Object call6956 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6954);
// compilenode returning call6956
  int op_slot_left_6946 = gc_frame_newslot(call6956);
  params[0] = opresult6952;
  partcv[0] = 1;
  Object opresult6957 = callmethod(call6956, "&&", 1, partcv, params);
// compilenode returning opresult6957
  Object if6945 = done;
  if (istrue(opresult6957)) {
// Begin line 2204
  setline(2204);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2203
  setline(2203);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6958 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6959 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6958);
// compilenode returning call6959
// compilenode returning call6959
  *var_line = call6959;
  if (call6959 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2205
  setline(2205);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2204
  setline(2204);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6960 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6961 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6960);
// compilenode returning call6961
// compilenode returning call6961
  *var_pos = call6961;
  if (call6961 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2205
  setline(2205);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_defTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6962 = gc_frame_new();
  partcv[0] = 0;
  Object call6963 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6962);
// compilenode returning call6963
// Begin line 2221
  setline(2221);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2207
  setline(2207);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6966 == NULL) {
    strlit6966 = alloc_String("identifier");
    gc_root(strlit6966);
  }
// compilenode returning strlit6966
  int op_slot_right_6965 = gc_frame_newslot(strlit6966);
  int callframe6968 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6969 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6968);
// compilenode returning call6969
// compilenode returning call6969
  int op_slot_left_6965 = gc_frame_newslot(call6969);
  params[0] = strlit6966;
  partcv[0] = 1;
  Object opresult6970 = callmethod(call6969, "!=", 1, partcv, params);
// compilenode returning opresult6970
  Object if6964 = done;
  if (istrue(opresult6970)) {
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2208
  setline(2208);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6971 = gc_frame_new();
  int callframe6972 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6973 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6972);
// compilenode returning call6973
// compilenode returning call6973
  partcv[0] = 0;
  Object call6974 = callmethod(call6973, "new",
    1, partcv, params);
  gc_frame_end(callframe6971);
// compilenode returning call6974
// compilenode returning call6974
  *var_suggestion = call6974;
  if (call6974 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6975 = gc_frame_new();
  Object block6976 = alloc_Block(NULL, NULL, "parser", 2209);
  gc_frame_newslot(block6976);
  block_savedest(block6976);
  Object closure6977 = createclosure(2, "_apply");
  setclosureframe(closure6977, stackframe);
  addtoclosure(closure6977, var_sym);
  addtoclosure(closure6977, selfslot);
  struct UserObject *uo6977 = (struct UserObject*)block6976;
  uo6977->data[0] = (Object)closure6977;
  Method *meth_meth_parser__apply6977 = addmethod2pos(block6976, "_apply", &meth_parser__apply6977, 0);
int argcv_meth_parser__apply6977[] = {1};
meth_meth_parser__apply6977->type = alloc_MethodType(1, argcv_meth_parser__apply6977);
  meth_meth_parser__apply6977->definitionModule = modulename;
  meth_meth_parser__apply6977->definitionLine = 2208;
// compilenode returning block6976
  gc_frame_newslot(block6976);
  params[0] = block6976;
  partcv[0] = 1;
  Object call7004 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6975);
// compilenode returning call7004
  *var_nextToken = call7004;
  if (call7004 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7007 = alloc_Boolean(0);
// compilenode returning bool7007
  int op_slot_right_7006 = gc_frame_newslot(bool7007);
// compilenode returning *var_nextToken
  int op_slot_left_7006 = gc_frame_newslot(*var_nextToken);
  params[0] = bool7007;
  partcv[0] = 1;
  Object opresult7009 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compilenode returning opresult7009
  Object if7005 = done;
  if (istrue(opresult7009)) {
// Begin line 2212
  setline(2212);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7010 = gc_frame_new();
  if (strlit7011 == NULL) {
    strlit7011 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb"" =");
    gc_root(strlit7011);
  }
// compilenode returning strlit7011
  gc_frame_newslot(strlit7011);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7011;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7012 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7010);
// compilenode returning call7012
    gc_frame_newslot(call7012);
    if7005 = call7012;
  } else {
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2213
  setline(2213);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7014 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextToken
  int op_slot_left_7014 = gc_frame_newslot(*var_nextToken);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7016 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compilenode returning opresult7016
  Object if7013 = done;
  if (istrue(opresult7016)) {
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7017 = gc_frame_new();
  if (strlit7018 == NULL) {
    strlit7018 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb""");
    gc_root(strlit7018);
  }
// compilenode returning strlit7018
  gc_frame_newslot(strlit7018);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7018;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7019 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7017);
// compilenode returning call7019
    gc_frame_newslot(call7019);
    if7013 = call7019;
  } else {
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7020 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7021 = gc_frame_new();
// compilenode returning *var_nextToken
  partcv[0] = 0;
  Object call7022 = callmethod(*var_nextToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe7021);
// compilenode returning call7022
// compilenode returning call7022
  gc_frame_newslot(call7022);
  Object bool7023 = alloc_Boolean(0);
// compilenode returning bool7023
  gc_frame_newslot(bool7023);
  Object bool7024 = alloc_Boolean(1);
// compilenode returning bool7024
  gc_frame_newslot(bool7024);
  if (strlit7025 == NULL) {
    strlit7025 = alloc_String("""\xc2""""\xab""name""\xc2""""\xbb"" ");
    gc_root(strlit7025);
  }
// compilenode returning strlit7025
  gc_frame_newslot(strlit7025);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7022;
  params[2] = bool7023;
  params[3] = bool7024;
  params[4] = strlit7025;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7026 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7020);
// compilenode returning call7026
    gc_frame_newslot(call7026);
    if7013 = call7026;
  }
// compilenode returning if7013
    gc_frame_newslot(if7013);
    if7005 = if7013;
  }
// compilenode returning if7005
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7027 = gc_frame_new();
  if (strlit7028 == NULL) {
    strlit7028 = alloc_String("A constant declaration must have a name, a '=', and a value after the 'def'.");
    gc_root(strlit7028);
  }
// compilenode returning strlit7028
  gc_frame_newslot(strlit7028);
// Begin line 2219
  setline(2219);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7029 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7030 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7029);
// compilenode returning call7030
// compilenode returning call7030
  gc_frame_newslot(call7030);
  int callframe7031 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7032 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7031);
// compilenode returning call7032
// compilenode returning call7032
  gc_frame_newslot(call7032);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7028;
  params[1] = call7030;
  params[2] = call7032;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7033 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7027);
// compilenode returning call7033
    gc_frame_newslot(call7033);
    if6964 = call7033;
  } else {
  }
// compilenode returning if6964
// Begin line 2221
  setline(2221);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7034 = gc_frame_new();
  partcv[0] = 0;
  Object call7035 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7034);
// compilenode returning call7035
// Begin line 2223
  setline(2223);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2222
  setline(2222);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7036 = alloc_Boolean(0);
// compilenode returning bool7036
  *var_val = bool7036;
  if (bool7036 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2223
  setline(2223);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7037 = gc_frame_new();
  if (strlit7038 == NULL) {
    strlit7038 = alloc_String("Unknown");
    gc_root(strlit7038);
  }
// compilenode returning strlit7038
  gc_frame_newslot(strlit7038);
  Object bool7039 = alloc_Boolean(0);
// compilenode returning bool7039
  gc_frame_newslot(bool7039);
  int callframe7040 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7041 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7040);
// compilenode returning call7041
// compilenode returning call7041
  params[0] = strlit7038;
  params[1] = bool7039;
  partcv[0] = 2;
  Object call7042 = callmethod(call7041, "new",
    1, partcv, params);
  gc_frame_end(callframe7037);
// compilenode returning call7042
  *var_dtype = call7042;
  if (call7042 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2225
  setline(2225);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2224
  setline(2224);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7043 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7044 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7043);
// compilenode returning call7044
// compilenode returning call7044
  *var_name = call7044;
  if (call7044 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2230
  setline(2230);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2225
  setline(2225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7046 = gc_frame_new();
  if (strlit7047 == NULL) {
    strlit7047 = alloc_String("colon");
    gc_root(strlit7047);
  }
// compilenode returning strlit7047
  gc_frame_newslot(strlit7047);
  params[0] = strlit7047;
  partcv[0] = 1;
  Object call7048 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7046);
// compilenode returning call7048
  Object if7045 = done;
  if (istrue(call7048)) {
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7049 = gc_frame_new();
  partcv[0] = 0;
  Object call7050 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7049);
// compilenode returning call7050
// Begin line 2227
  setline(2227);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7051 = gc_frame_new();
  partcv[0] = 0;
  Object call7052 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7051);
// compilenode returning call7052
// Begin line 2229
  setline(2229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7053 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7054 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7053);
// compilenode returning call7054
// compilenode returning call7054
  *var_dtype = call7054;
  if (call7054 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7045 = done;
  } else {
  }
// compilenode returning if7045
// Begin line 2231
  setline(2231);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2230
  setline(2230);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7056 = gc_frame_new();
  partcv[0] = 0;
  Object call7057 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7056);
// compilenode returning call7057
  *var_anns = call7057;
  if (call7057 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2231
  setline(2231);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7061 == NULL) {
    strlit7061 = alloc_String("=");
    gc_root(strlit7061);
  }
// compilenode returning strlit7061
  int op_slot_right_7060 = gc_frame_newslot(strlit7061);
  int callframe7063 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7064 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7063);
// compilenode returning call7064
// compilenode returning call7064
  int op_slot_left_7060 = gc_frame_newslot(call7064);
  params[0] = strlit7061;
  partcv[0] = 1;
  Object opresult7065 = callmethod(call7064, "==", 1, partcv, params);
// compilenode returning opresult7065
  int op_slot_right_7059 = gc_frame_newslot(opresult7065);
  int callframe7067 = gc_frame_new();
  if (strlit7068 == NULL) {
    strlit7068 = alloc_String("op");
    gc_root(strlit7068);
  }
// compilenode returning strlit7068
  gc_frame_newslot(strlit7068);
  params[0] = strlit7068;
  partcv[0] = 1;
  Object call7069 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7067);
// compilenode returning call7069
  int op_slot_left_7059 = gc_frame_newslot(call7069);
  params[0] = opresult7065;
  partcv[0] = 1;
  Object opresult7070 = callmethod(call7069, "&&", 1, partcv, params);
// compilenode returning opresult7070
  Object if7058 = done;
  if (istrue(opresult7070)) {
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7071 = gc_frame_new();
  partcv[0] = 0;
  Object call7072 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7071);
// compilenode returning call7072
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7074 = gc_frame_new();
  int callframe7075 = gc_frame_new();
  Object block7076 = alloc_Block(NULL, NULL, "parser", 2233);
  gc_frame_newslot(block7076);
  block_savedest(block7076);
  Object closure7077 = createclosure(2, "_apply");
  setclosureframe(closure7077, stackframe);
  addtoclosure(closure7077, var_blocksOK);
  addtoclosure(closure7077, selfslot);
  struct UserObject *uo7077 = (struct UserObject*)block7076;
  uo7077->data[0] = (Object)closure7077;
  Method *meth_meth_parser__apply7077 = addmethod2pos(block7076, "_apply", &meth_parser__apply7077, 0);
int argcv_meth_parser__apply7077[] = {0};
meth_meth_parser__apply7077->type = alloc_MethodType(1, argcv_meth_parser__apply7077);
  meth_meth_parser__apply7077->definitionModule = modulename;
  meth_meth_parser__apply7077->definitionLine = 2233;
// compilenode returning block7076
  gc_frame_newslot(block7076);
  params[0] = block7076;
  partcv[0] = 1;
  Object call7081 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7075);
// compilenode returning call7081
  partcv[0] = 0;
  Object call7082 = callmethod(call7081, "not",
    1, partcv, params);
  gc_frame_end(callframe7074);
// compilenode returning call7082
// compilenode returning call7082
  Object if7073 = done;
  if (istrue(call7082)) {
// Begin line 2235
  setline(2235);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2234
  setline(2234);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7083 = gc_frame_new();
  int callframe7084 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7085 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7084);
// compilenode returning call7085
// compilenode returning call7085
  partcv[0] = 0;
  Object call7086 = callmethod(call7085, "new",
    1, partcv, params);
  gc_frame_end(callframe7083);
// compilenode returning call7086
// compilenode returning call7086
  *var_suggestion = call7086;
  if (call7086 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2235
  setline(2235);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7087 = gc_frame_new();
  partcv[0] = 0;
  Object call7088 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7087);
// compilenode returning call7088
  *var_nextTok = call7088;
  if (call7088 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2236
  setline(2236);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7090 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7090 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7092 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7092
  Object if7089 = done;
  if (istrue(opresult7092)) {
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7093 = gc_frame_new();
  if (strlit7094 == NULL) {
    strlit7094 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7094);
  }
// compilenode returning strlit7094
  gc_frame_newslot(strlit7094);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7094;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7095 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7093);
// compilenode returning call7095
    gc_frame_newslot(call7095);
    if7089 = call7095;
  } else {
// Begin line 2239
  setline(2239);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7096 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7097 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7098 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7097);
// compilenode returning call7098
// compilenode returning call7098
  gc_frame_newslot(call7098);
  Object bool7099 = alloc_Boolean(1);
// compilenode returning bool7099
  gc_frame_newslot(bool7099);
  Object bool7100 = alloc_Boolean(0);
// compilenode returning bool7100
  gc_frame_newslot(bool7100);
  if (strlit7101 == NULL) {
    strlit7101 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7101);
  }
// compilenode returning strlit7101
  gc_frame_newslot(strlit7101);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7098;
  params[2] = bool7099;
  params[3] = bool7100;
  params[4] = strlit7101;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7102 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7096);
// compilenode returning call7102
    gc_frame_newslot(call7102);
    if7089 = call7102;
  }
// compilenode returning if7089
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7103 = gc_frame_new();
  if (strlit7104 == NULL) {
    strlit7104 = alloc_String("A constant declaration must have a value after the '='.");
    gc_root(strlit7104);
  }
// compilenode returning strlit7104
  gc_frame_newslot(strlit7104);
// Begin line 2242
  setline(2242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7105 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7106 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7105);
// compilenode returning call7106
// compilenode returning call7106
  gc_frame_newslot(call7106);
  int callframe7108 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7109 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7108);
// compilenode returning call7109
// compilenode returning call7109
  int op_slot_right_7107 = gc_frame_newslot(call7109);
  int callframe7111 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7112 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7111);
// compilenode returning call7112
// compilenode returning call7112
  int op_slot_left_7107 = gc_frame_newslot(call7112);
  params[0] = call7109;
  partcv[0] = 1;
  Object sum7113 = callmethod(call7112, "+", 1, partcv, params);
// compilenode returning sum7113
  gc_frame_newslot(sum7113);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7104;
  params[1] = call7106;
  params[2] = sum7113;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7114 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7103);
// compilenode returning call7114
    gc_frame_newslot(call7114);
    if7073 = call7114;
  } else {
  }
// compilenode returning if7073
// Begin line 2245
  setline(2245);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7115 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7116 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7115);
// compilenode returning call7116
// compilenode returning call7116
  *var_val = call7116;
  if (call7116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7058 = done;
  } else {
// Begin line 2255
  setline(2255);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2245
  setline(2245);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7119 = gc_frame_new();
  if (strlit7120 == NULL) {
    strlit7120 = alloc_String("bind");
    gc_root(strlit7120);
  }
// compilenode returning strlit7120
  gc_frame_newslot(strlit7120);
  params[0] = strlit7120;
  partcv[0] = 1;
  Object call7121 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7119);
// compilenode returning call7121
  Object if7118 = done;
  if (istrue(call7121)) {
// Begin line 2247
  setline(2247);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2246
  setline(2246);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7122 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7122
  *var_suggestions = array7122;
  if (array7122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2248
  setline(2248);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2247
  setline(2247);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7123 = gc_frame_new();
  int callframe7124 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7125 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7124);
// compilenode returning call7125
// compilenode returning call7125
  partcv[0] = 0;
  Object call7126 = callmethod(call7125, "new",
    1, partcv, params);
  gc_frame_end(callframe7123);
// compilenode returning call7126
// compilenode returning call7126
  *var_suggestion = call7126;
  if (call7126 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2248
  setline(2248);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7127 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit7128 == NULL) {
    strlit7128 = alloc_String("=");
    gc_root(strlit7128);
  }
// compilenode returning strlit7128
  gc_frame_newslot(strlit7128);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit7128;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7129 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7127);
// compilenode returning call7129
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7130 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7131 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7130);
// compilenode returning call7131
// Begin line 2251
  setline(2251);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2250
  setline(2250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7132 = gc_frame_new();
  int callframe7133 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7134 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7133);
// compilenode returning call7134
// compilenode returning call7134
  partcv[0] = 0;
  Object call7135 = callmethod(call7134, "new",
    1, partcv, params);
  gc_frame_end(callframe7132);
// compilenode returning call7135
// compilenode returning call7135
  *var_suggestion = call7135;
  if (call7135 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2251
  setline(2251);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7137 = gc_frame_new();
// compilenode returning *var_defTok
  gc_frame_newslot(*var_defTok);
  if (strlit7138 == NULL) {
    strlit7138 = alloc_String("var");
    gc_root(strlit7138);
  }
// compilenode returning strlit7138
  gc_frame_newslot(strlit7138);
// compilenode returning *var_suggestion
  params[0] = *var_defTok;
  params[1] = strlit7138;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7139 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7137);
// compilenode returning call7139
// Begin line 2252
  setline(2252);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7140 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7141 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7140);
// compilenode returning call7141
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7142 = gc_frame_new();
  if (strlit7143 == NULL) {
    strlit7143 = alloc_String("A constant declaration must use '=' instead of ':='. A variable declaration uses 'var' and ':='.");
    gc_root(strlit7143);
  }
// compilenode returning strlit7143
  gc_frame_newslot(strlit7143);
// Begin line 2254
  setline(2254);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7144 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7145 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7144);
// compilenode returning call7145
// compilenode returning call7145
  gc_frame_newslot(call7145);
  int callframe7146 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7147 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7146);
// compilenode returning call7147
// compilenode returning call7147
  gc_frame_newslot(call7147);
  Object num7149 = alloc_Float64(1);
// compilenode returning num7149
  int op_slot_right_7148 = gc_frame_newslot(num7149);
  int callframe7151 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7152 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7151);
// compilenode returning call7152
// compilenode returning call7152
  int op_slot_left_7148 = gc_frame_newslot(call7152);
  params[0] = num7149;
  partcv[0] = 1;
  Object sum7153 = callmethod(call7152, "+", 1, partcv, params);
// compilenode returning sum7153
  gc_frame_newslot(sum7153);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7143;
  params[1] = call7145;
  params[2] = call7147;
  params[3] = sum7153;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call7154 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7142);
// compilenode returning call7154
    gc_frame_newslot(call7154);
    if7118 = call7154;
  } else {
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7155 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7155
  *var_suggestions = array7155;
  if (array7155 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7156 = gc_frame_new();
  int callframe7157 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7158 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7157);
// compilenode returning call7158
// compilenode returning call7158
  partcv[0] = 0;
  Object call7159 = callmethod(call7158, "new",
    1, partcv, params);
  gc_frame_end(callframe7156);
// compilenode returning call7159
// compilenode returning call7159
  *var_suggestion = call7159;
  if (call7159 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7160 = gc_frame_new();
  if (strlit7161 == NULL) {
    strlit7161 = alloc_String(" = ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7161);
  }
// compilenode returning strlit7161
  gc_frame_newslot(strlit7161);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7161;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7162 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7160);
// compilenode returning call7162
// Begin line 2259
  setline(2259);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7163 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7164 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7163);
// compilenode returning call7164
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7165 = gc_frame_new();
  int callframe7166 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7167 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7166);
// compilenode returning call7167
// compilenode returning call7167
  partcv[0] = 0;
  Object call7168 = callmethod(call7167, "new",
    1, partcv, params);
  gc_frame_end(callframe7165);
// compilenode returning call7168
// compilenode returning call7168
  *var_suggestion = call7168;
  if (call7168 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7170 = gc_frame_new();
// compilenode returning *var_defTok
  gc_frame_newslot(*var_defTok);
  if (strlit7171 == NULL) {
    strlit7171 = alloc_String("var");
    gc_root(strlit7171);
  }
// compilenode returning strlit7171
  gc_frame_newslot(strlit7171);
// compilenode returning *var_suggestion
  params[0] = *var_defTok;
  params[1] = strlit7171;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7172 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7170);
// compilenode returning call7172
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7173 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7174 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7173);
// compilenode returning call7174
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7175 = gc_frame_new();
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7177 == NULL) {
    strlit7177 = alloc_String("A variable declaration does not require a value and uses 'var' instead of 'def'.");
    gc_root(strlit7177);
  }
// compilenode returning strlit7177
  int op_slot_right_7176 = gc_frame_newslot(strlit7177);
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7179 == NULL) {
    strlit7179 = alloc_String("A constant declaration must have a '=' and a value after the name. ");
    gc_root(strlit7179);
  }
// compilenode returning strlit7179
  int op_slot_left_7176 = gc_frame_newslot(strlit7179);
  params[0] = strlit7177;
  partcv[0] = 1;
  Object opresult7180 = callmethod(strlit7179, "++", 1, partcv, params);
// compilenode returning opresult7180
  gc_frame_newslot(opresult7180);
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7181 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7182 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7181);
// compilenode returning call7182
// compilenode returning call7182
  gc_frame_newslot(call7182);
  int callframe7183 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7184 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7183);
// compilenode returning call7184
// compilenode returning call7184
  gc_frame_newslot(call7184);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult7180;
  params[1] = call7182;
  params[2] = call7184;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7185 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7175);
// compilenode returning call7185
    gc_frame_newslot(call7185);
    if7118 = call7185;
  }
// compilenode returning if7118
    gc_frame_newslot(if7118);
    if7058 = if7118;
  }
// compilenode returning if7058
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7186 = gc_frame_new();
// compilenode returning *var_name
  gc_frame_newslot(*var_name);
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe7187 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7188 = callmethod(*var_ast, "defDecNode",
    1, partcv, params);
  gc_frame_end(callframe7187);
// compilenode returning call7188
// compilenode returning call7188
  params[0] = *var_name;
  params[1] = *var_val;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call7189 = callmethod(call7188, "new",
    1, partcv, params);
  gc_frame_end(callframe7186);
// compilenode returning call7189
  *var_o = call7189;
  if (call7189 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7190 = alloc_Boolean(0);
// compilenode returning bool7190
  *var_hasVisibility = bool7190;
  if (bool7190 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7191 = alloc_Boolean(0);
// compilenode returning bool7191
  *var_hasAccessibility = bool7191;
  if (bool7191 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2285
  setline(2285);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7194 = alloc_Boolean(0);
// compilenode returning bool7194
  int op_slot_right_7193 = gc_frame_newslot(bool7194);
// compilenode returning *var_anns
  int op_slot_left_7193 = gc_frame_newslot(*var_anns);
  params[0] = bool7194;
  partcv[0] = 1;
  Object opresult7196 = callmethod(*var_anns, "!=", 1, partcv, params);
// compilenode returning opresult7196
  Object if7192 = done;
  if (istrue(opresult7196)) {
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7197 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  Object block7198 = alloc_Block(NULL, NULL, "parser", 2271);
  gc_frame_newslot(block7198);
  block_savedest(block7198);
  Object closure7199 = createclosure(3, "_apply");
  setclosureframe(closure7199, stackframe);
  addtoclosure(closure7199, var_hasVisibility);
  addtoclosure(closure7199, var_hasAccessibility);
  addtoclosure(closure7199, selfslot);
  struct UserObject *uo7199 = (struct UserObject*)block7198;
  uo7199->data[0] = (Object)closure7199;
  Method *meth_meth_parser__apply7199 = addmethod2pos(block7198, "_apply", &meth_parser__apply7199, 0);
int argcv_meth_parser__apply7199[] = {1};
meth_meth_parser__apply7199->type = alloc_MethodType(1, argcv_meth_parser__apply7199);
  meth_meth_parser__apply7199->definitionModule = modulename;
  meth_meth_parser__apply7199->definitionLine = 2267;
// compilenode returning block7198
  gc_frame_newslot(block7198);
  params[0] = *var_anns;
  params[1] = block7198;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7259 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7197);
// compilenode returning call7259
// Begin line 2283
  setline(2283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7260 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe7261 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7262 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7261);
// compilenode returning call7262
// compilenode returning call7262
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call7263 = callmethod(call7262, "extend",
    1, partcv, params);
  gc_frame_end(callframe7260);
// compilenode returning call7263
    gc_frame_newslot(call7263);
    if7192 = call7263;
  } else {
  }
// compilenode returning if7192
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2285
  setline(2285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7266 = gc_frame_new();
// compilenode returning *var_hasAccessibility
  partcv[0] = 0;
  Object call7267 = callmethod(*var_hasAccessibility, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7266);
// compilenode returning call7267
  int op_slot_right_7265 = gc_frame_newslot(call7267);
  int callframe7269 = gc_frame_new();
// compilenode returning *var_hasVisibility
  partcv[0] = 0;
  Object call7270 = callmethod(*var_hasVisibility, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7269);
// compilenode returning call7270
  int op_slot_left_7265 = gc_frame_newslot(call7270);
  params[0] = call7267;
  partcv[0] = 1;
  Object opresult7271 = callmethod(call7270, "&&", 1, partcv, params);
// compilenode returning opresult7271
  Object if7264 = done;
  if (istrue(opresult7271)) {
// Begin line 2289
  setline(2289);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2286
  setline(2286);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7274 == NULL) {
    strlit7274 = alloc_String("public");
    gc_root(strlit7274);
  }
// compilenode returning strlit7274
  int op_slot_right_7273 = gc_frame_newslot(strlit7274);
// compilenode returning *var_defaultDefVisibility
  int op_slot_left_7273 = gc_frame_newslot(*var_defaultDefVisibility);
  params[0] = strlit7274;
  partcv[0] = 1;
  Object opresult7276 = callmethod(*var_defaultDefVisibility, "==", 1, partcv, params);
// compilenode returning opresult7276
  Object if7272 = done;
  if (istrue(opresult7276)) {
// Begin line 2287
  setline(2287);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7277 = gc_frame_new();
  int callframe7278 = gc_frame_new();
  if (strlit7279 == NULL) {
    strlit7279 = alloc_String("public");
    gc_root(strlit7279);
  }
// compilenode returning strlit7279
  gc_frame_newslot(strlit7279);
  Object bool7280 = alloc_Boolean(0);
// compilenode returning bool7280
  gc_frame_newslot(bool7280);
  int callframe7281 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7282 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7281);
// compilenode returning call7282
// compilenode returning call7282
  params[0] = strlit7279;
  params[1] = bool7280;
  partcv[0] = 2;
  Object call7283 = callmethod(call7282, "new",
    1, partcv, params);
  gc_frame_end(callframe7278);
// compilenode returning call7283
  gc_frame_newslot(call7283);
  int callframe7284 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7285 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7284);
// compilenode returning call7285
// compilenode returning call7285
  params[0] = call7283;
  partcv[0] = 1;
  Object call7286 = callmethod(call7285, "push",
    1, partcv, params);
  gc_frame_end(callframe7277);
// compilenode returning call7286
    gc_frame_newslot(call7286);
    if7272 = call7286;
  } else {
  }
// compilenode returning if7272
    gc_frame_newslot(if7272);
    if7264 = if7272;
  } else {
  }
// compilenode returning if7264
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2287
  setline(2287);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7287 = gc_frame_new();
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defTok
  gc_frame_newslot(*var_defTok);
// compilenode returning *var_o
  params[0] = *var_defTok;
  partcv[0] = 1;
  Object call7288 = callmethod(*var_o, "startToken:=",
    1, partcv, params);
  gc_frame_end(callframe7287);
// compilenode returning call7288
// compilenode returning done
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7289 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7290 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7289);
// compilenode returning call7290
    gc_frame_newslot(call7290);
    if6945 = call7290;
  } else {
  }
// compilenode returning if6945
  gc_frame_end(frame);
  return if6945;
}
Object meth_parser__apply7324(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2305
  setline(2305);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7327 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7328 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7327);
// compilenode returning call7328
// compilenode returning call7328
  int op_slot_right_7326 = gc_frame_newslot(call7328);
  int callframe7330 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call7331 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe7330);
// compilenode returning call7331
// compilenode returning call7331
  int op_slot_left_7326 = gc_frame_newslot(call7331);
  params[0] = call7328;
  partcv[0] = 1;
  Object opresult7332 = callmethod(call7331, "==", 1, partcv, params);
// compilenode returning opresult7332
  int op_slot_right_7325 = gc_frame_newslot(opresult7332);
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7335 == NULL) {
    strlit7335 = alloc_String("bind");
    gc_root(strlit7335);
  }
// compilenode returning strlit7335
  int op_slot_right_7334 = gc_frame_newslot(strlit7335);
  int callframe7337 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call7338 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe7337);
// compilenode returning call7338
// compilenode returning call7338
  int op_slot_left_7334 = gc_frame_newslot(call7338);
  params[0] = strlit7335;
  partcv[0] = 1;
  Object opresult7339 = callmethod(call7338, "==", 1, partcv, params);
// compilenode returning opresult7339
  int op_slot_left_7325 = gc_frame_newslot(opresult7339);
  params[0] = opresult7332;
  partcv[0] = 1;
  Object opresult7340 = callmethod(opresult7339, "&&", 1, partcv, params);
// compilenode returning opresult7340
  gc_frame_end(frame);
  return opresult7340;
}
Object meth_parser__apply7346(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_nextToken = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_sym
  int op_slot_right_7347 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextToken
  int op_slot_left_7347 = gc_frame_newslot(*var_nextToken);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7349 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compilenode returning opresult7349
  gc_frame_end(frame);
  return opresult7349;
}
Object meth_parser__apply7407(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7408 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7409 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7408);
// compilenode returning call7409
  gc_frame_end(frame);
  return call7409;
}
Object meth_parser__apply7527(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2365
  setline(2365);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7530 == NULL) {
    strlit7530 = alloc_String("confidential");
    gc_root(strlit7530);
  }
// compilenode returning strlit7530
  int op_slot_right_7529 = gc_frame_newslot(strlit7530);
  int callframe7532 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7533 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7532);
// compilenode returning call7533
// compilenode returning call7533
  int op_slot_left_7529 = gc_frame_newslot(call7533);
  params[0] = strlit7530;
  partcv[0] = 1;
  Object opresult7534 = callmethod(call7533, "==", 1, partcv, params);
// compilenode returning opresult7534
  int op_slot_right_7528 = gc_frame_newslot(opresult7534);
// Begin line 2364
  setline(2364);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7537 == NULL) {
    strlit7537 = alloc_String("public");
    gc_root(strlit7537);
  }
// compilenode returning strlit7537
  int op_slot_right_7536 = gc_frame_newslot(strlit7537);
  int callframe7539 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7540 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7539);
// compilenode returning call7540
// compilenode returning call7540
  int op_slot_left_7536 = gc_frame_newslot(call7540);
  params[0] = strlit7537;
  partcv[0] = 1;
  Object opresult7541 = callmethod(call7540, "==", 1, partcv, params);
// compilenode returning opresult7541
  int op_slot_left_7528 = gc_frame_newslot(opresult7541);
  params[0] = opresult7534;
  partcv[0] = 1;
  Object opresult7542 = callmethod(opresult7541, "||", 1, partcv, params);
// compilenode returning opresult7542
  gc_frame_end(frame);
  return opresult7542;
}
Object meth_parser__apply7556(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2370
  setline(2370);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7559 == NULL) {
    strlit7559 = alloc_String("writable");
    gc_root(strlit7559);
  }
// compilenode returning strlit7559
  int op_slot_right_7558 = gc_frame_newslot(strlit7559);
  int callframe7561 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7562 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7561);
// compilenode returning call7562
// compilenode returning call7562
  int op_slot_left_7558 = gc_frame_newslot(call7562);
  params[0] = strlit7559;
  partcv[0] = 1;
  Object opresult7563 = callmethod(call7562, "==", 1, partcv, params);
// compilenode returning opresult7563
  int op_slot_right_7557 = gc_frame_newslot(opresult7563);
// Begin line 2369
  setline(2369);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7566 == NULL) {
    strlit7566 = alloc_String("readable");
    gc_root(strlit7566);
  }
// compilenode returning strlit7566
  int op_slot_right_7565 = gc_frame_newslot(strlit7566);
  int callframe7568 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7569 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7568);
// compilenode returning call7569
// compilenode returning call7569
  int op_slot_left_7565 = gc_frame_newslot(call7569);
  params[0] = strlit7566;
  partcv[0] = 1;
  Object opresult7570 = callmethod(call7569, "==", 1, partcv, params);
// compilenode returning opresult7570
  int op_slot_left_7557 = gc_frame_newslot(opresult7570);
  params[0] = opresult7563;
  partcv[0] = 1;
  Object opresult7571 = callmethod(opresult7570, "||", 1, partcv, params);
// compilenode returning opresult7571
  gc_frame_end(frame);
  return opresult7571;
}
Object meth_parser__apply7523(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_hasVisibility = getfromclosure(closure, 0);
  Object *var_hasAccessibility = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2363
  setline(2363);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7525 = gc_frame_new();
  Object block7526 = alloc_Block(NULL, NULL, "parser", 2363);
  gc_frame_newslot(block7526);
  block_savedest(block7526);
  Object closure7527 = createclosure(2, "_apply");
  setclosureframe(closure7527, stackframe);
  addtoclosure(closure7527, var_a);
  addtoclosure(closure7527, selfslot);
  struct UserObject *uo7527 = (struct UserObject*)block7526;
  uo7527->data[0] = (Object)closure7527;
  Method *meth_meth_parser__apply7527 = addmethod2pos(block7526, "_apply", &meth_parser__apply7527, 0);
int argcv_meth_parser__apply7527[] = {0};
meth_meth_parser__apply7527->type = alloc_MethodType(1, argcv_meth_parser__apply7527);
  meth_meth_parser__apply7527->definitionModule = modulename;
  meth_meth_parser__apply7527->definitionLine = 2358;
// compilenode returning block7526
  gc_frame_newslot(block7526);
// Begin line 2363
  setline(2363);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7545 == NULL) {
    strlit7545 = alloc_String("identifier");
    gc_root(strlit7545);
  }
// compilenode returning strlit7545
  int op_slot_right_7544 = gc_frame_newslot(strlit7545);
  int callframe7547 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7548 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe7547);
// compilenode returning call7548
// compilenode returning call7548
  int op_slot_left_7544 = gc_frame_newslot(call7548);
  params[0] = strlit7545;
  partcv[0] = 1;
  Object opresult7549 = callmethod(call7548, "==", 1, partcv, params);
// compilenode returning opresult7549
  params[0] = block7526;
  partcv[0] = 1;
  Object call7550 = callmethod(opresult7549, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe7525);
// compilenode returning call7550
  Object if7524 = done;
  if (istrue(call7550)) {
// Begin line 2367
  setline(2367);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2366
  setline(2366);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7551 = alloc_Boolean(1);
// compilenode returning bool7551
  *var_hasVisibility = bool7551;
  if (bool7551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7524 = done;
  } else {
  }
// compilenode returning if7524
// Begin line 2373
  setline(2373);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7554 = gc_frame_new();
  Object block7555 = alloc_Block(NULL, NULL, "parser", 2368);
  gc_frame_newslot(block7555);
  block_savedest(block7555);
  Object closure7556 = createclosure(2, "_apply");
  setclosureframe(closure7556, stackframe);
  addtoclosure(closure7556, var_a);
  addtoclosure(closure7556, selfslot);
  struct UserObject *uo7556 = (struct UserObject*)block7555;
  uo7556->data[0] = (Object)closure7556;
  Method *meth_meth_parser__apply7556 = addmethod2pos(block7555, "_apply", &meth_parser__apply7556, 0);
int argcv_meth_parser__apply7556[] = {0};
meth_meth_parser__apply7556->type = alloc_MethodType(1, argcv_meth_parser__apply7556);
  meth_meth_parser__apply7556->definitionModule = modulename;
  meth_meth_parser__apply7556->definitionLine = 2363;
// compilenode returning block7555
  gc_frame_newslot(block7555);
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7574 == NULL) {
    strlit7574 = alloc_String("identifier");
    gc_root(strlit7574);
  }
// compilenode returning strlit7574
  int op_slot_right_7573 = gc_frame_newslot(strlit7574);
  int callframe7576 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7577 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe7576);
// compilenode returning call7577
// compilenode returning call7577
  int op_slot_left_7573 = gc_frame_newslot(call7577);
  params[0] = strlit7574;
  partcv[0] = 1;
  Object opresult7578 = callmethod(call7577, "==", 1, partcv, params);
// compilenode returning opresult7578
  params[0] = block7555;
  partcv[0] = 1;
  Object call7579 = callmethod(opresult7578, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe7554);
// compilenode returning call7579
  Object if7553 = done;
  if (istrue(call7579)) {
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2371
  setline(2371);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7580 = alloc_Boolean(1);
// compilenode returning bool7580
  *var_hasAccessibility = bool7580;
  if (bool7580 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7553 = done;
  } else {
  }
// compilenode returning if7553
  gc_frame_end(frame);
  return if7553;
}
Object meth_parser_vardec7291(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "vardec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_blocksOK = getfromclosure(closure, 5);
  Object *var_defaultVarVisibility = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for vardec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for vardec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_varTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "varTok");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextToken");
  Object *var_val = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "val");
  Object *var_dtype = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "dtype");
  Object *var_name = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "name");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_suggestions = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "suggestions");
  Object *var_nextTok = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "nextTok");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
  Object *var_hasVisibility = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "hasVisibility");
  Object *var_hasAccessibility = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "hasAccessibility");
// Begin line 2386
  setline(2386);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2297
  setline(2297);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7295 == NULL) {
    strlit7295 = alloc_String("var");
    gc_root(strlit7295);
  }
// compilenode returning strlit7295
  int op_slot_right_7294 = gc_frame_newslot(strlit7295);
  int callframe7297 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7298 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7297);
// compilenode returning call7298
// compilenode returning call7298
  int op_slot_left_7294 = gc_frame_newslot(call7298);
  params[0] = strlit7295;
  partcv[0] = 1;
  Object opresult7299 = callmethod(call7298, "==", 1, partcv, params);
// compilenode returning opresult7299
  int op_slot_right_7293 = gc_frame_newslot(opresult7299);
  int callframe7301 = gc_frame_new();
  if (strlit7302 == NULL) {
    strlit7302 = alloc_String("keyword");
    gc_root(strlit7302);
  }
// compilenode returning strlit7302
  gc_frame_newslot(strlit7302);
  params[0] = strlit7302;
  partcv[0] = 1;
  Object call7303 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7301);
// compilenode returning call7303
  int op_slot_left_7293 = gc_frame_newslot(call7303);
  params[0] = opresult7299;
  partcv[0] = 1;
  Object opresult7304 = callmethod(call7303, "&&", 1, partcv, params);
// compilenode returning opresult7304
  Object if7292 = done;
  if (istrue(opresult7304)) {
// Begin line 2299
  setline(2299);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2298
  setline(2298);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7305 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7306 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7305);
// compilenode returning call7306
// compilenode returning call7306
  *var_line = call7306;
  if (call7306 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2299
  setline(2299);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7307 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7308 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7307);
// compilenode returning call7308
// compilenode returning call7308
  *var_pos = call7308;
  if (call7308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_varTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7309 = gc_frame_new();
  partcv[0] = 0;
  Object call7310 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7309);
// compilenode returning call7310
// Begin line 2314
  setline(2314);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2302
  setline(2302);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7313 == NULL) {
    strlit7313 = alloc_String("identifier");
    gc_root(strlit7313);
  }
// compilenode returning strlit7313
  int op_slot_right_7312 = gc_frame_newslot(strlit7313);
  int callframe7315 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7316 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7315);
// compilenode returning call7316
// compilenode returning call7316
  int op_slot_left_7312 = gc_frame_newslot(call7316);
  params[0] = strlit7313;
  partcv[0] = 1;
  Object opresult7317 = callmethod(call7316, "!=", 1, partcv, params);
// compilenode returning opresult7317
  Object if7311 = done;
  if (istrue(opresult7317)) {
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2303
  setline(2303);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7318 = gc_frame_new();
  int callframe7319 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7320 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7319);
// compilenode returning call7320
// compilenode returning call7320
  partcv[0] = 0;
  Object call7321 = callmethod(call7320, "new",
    1, partcv, params);
  gc_frame_end(callframe7318);
// compilenode returning call7321
// compilenode returning call7321
  *var_suggestion = call7321;
  if (call7321 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7322 = gc_frame_new();
  Object block7323 = alloc_Block(NULL, NULL, "parser", 2304);
  gc_frame_newslot(block7323);
  block_savedest(block7323);
  Object closure7324 = createclosure(2, "_apply");
  setclosureframe(closure7324, stackframe);
  addtoclosure(closure7324, var_sym);
  addtoclosure(closure7324, selfslot);
  struct UserObject *uo7324 = (struct UserObject*)block7323;
  uo7324->data[0] = (Object)closure7324;
  Method *meth_meth_parser__apply7324 = addmethod2pos(block7323, "_apply", &meth_parser__apply7324, 0);
int argcv_meth_parser__apply7324[] = {1};
meth_meth_parser__apply7324->type = alloc_MethodType(1, argcv_meth_parser__apply7324);
  meth_meth_parser__apply7324->definitionModule = modulename;
  meth_meth_parser__apply7324->definitionLine = 2303;
// compilenode returning block7323
  gc_frame_newslot(block7323);
  params[0] = block7323;
  partcv[0] = 1;
  Object call7342 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7322);
// compilenode returning call7342
  *var_nextToken = call7342;
  if (call7342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2311
  setline(2311);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2306
  setline(2306);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7344 = gc_frame_new();
  Object block7345 = alloc_Block(NULL, NULL, "parser", 2306);
  gc_frame_newslot(block7345);
  block_savedest(block7345);
  Object closure7346 = createclosure(3, "_apply");
  setclosureframe(closure7346, stackframe);
  addtoclosure(closure7346, var_sym);
  addtoclosure(closure7346, var_nextToken);
  addtoclosure(closure7346, selfslot);
  struct UserObject *uo7346 = (struct UserObject*)block7345;
  uo7346->data[0] = (Object)closure7346;
  Method *meth_meth_parser__apply7346 = addmethod2pos(block7345, "_apply", &meth_parser__apply7346, 0);
int argcv_meth_parser__apply7346[] = {0};
meth_meth_parser__apply7346->type = alloc_MethodType(1, argcv_meth_parser__apply7346);
  meth_meth_parser__apply7346->definitionModule = modulename;
  meth_meth_parser__apply7346->definitionLine = 2304;
// compilenode returning block7345
  gc_frame_newslot(block7345);
  Object bool7352 = alloc_Boolean(0);
// compilenode returning bool7352
  int op_slot_right_7351 = gc_frame_newslot(bool7352);
// compilenode returning *var_nextToken
  int op_slot_left_7351 = gc_frame_newslot(*var_nextToken);
  params[0] = bool7352;
  partcv[0] = 1;
  Object opresult7354 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compilenode returning opresult7354
  params[0] = block7345;
  partcv[0] = 1;
  Object call7355 = callmethod(opresult7354, "orElse",
    1, partcv, params);
  gc_frame_end(callframe7344);
// compilenode returning call7355
  Object if7343 = done;
  if (istrue(call7355)) {
// Begin line 2307
  setline(2307);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7356 = gc_frame_new();
  if (strlit7357 == NULL) {
    strlit7357 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb""");
    gc_root(strlit7357);
  }
// compilenode returning strlit7357
  gc_frame_newslot(strlit7357);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7357;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7358 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7356);
// compilenode returning call7358
    gc_frame_newslot(call7358);
    if7343 = call7358;
  } else {
// Begin line 2309
  setline(2309);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7359 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7360 = gc_frame_new();
// compilenode returning *var_nextToken
  partcv[0] = 0;
  Object call7361 = callmethod(*var_nextToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe7360);
// compilenode returning call7361
// compilenode returning call7361
  gc_frame_newslot(call7361);
  Object bool7362 = alloc_Boolean(0);
// compilenode returning bool7362
  gc_frame_newslot(bool7362);
  Object bool7363 = alloc_Boolean(1);
// compilenode returning bool7363
  gc_frame_newslot(bool7363);
  if (strlit7364 == NULL) {
    strlit7364 = alloc_String("""\xc2""""\xab""name""\xc2""""\xbb"" ");
    gc_root(strlit7364);
  }
// compilenode returning strlit7364
  gc_frame_newslot(strlit7364);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7361;
  params[2] = bool7362;
  params[3] = bool7363;
  params[4] = strlit7364;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7365 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7359);
// compilenode returning call7365
    gc_frame_newslot(call7365);
    if7343 = call7365;
  }
// compilenode returning if7343
// Begin line 2311
  setline(2311);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7366 = gc_frame_new();
  if (strlit7367 == NULL) {
    strlit7367 = alloc_String("A variable declaration must have a name after the 'var'.");
    gc_root(strlit7367);
  }
// compilenode returning strlit7367
  gc_frame_newslot(strlit7367);
// Begin line 2312
  setline(2312);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7368 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7369 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7368);
// compilenode returning call7369
// compilenode returning call7369
  gc_frame_newslot(call7369);
  int callframe7370 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7371 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7370);
// compilenode returning call7371
// compilenode returning call7371
  gc_frame_newslot(call7371);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2311
  setline(2311);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7367;
  params[1] = call7369;
  params[2] = call7371;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7372 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7366);
// compilenode returning call7372
    gc_frame_newslot(call7372);
    if7311 = call7372;
  } else {
  }
// compilenode returning if7311
// Begin line 2314
  setline(2314);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7373 = gc_frame_new();
  partcv[0] = 0;
  Object call7374 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7373);
// compilenode returning call7374
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2315
  setline(2315);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7375 = alloc_Boolean(0);
// compilenode returning bool7375
  *var_val = bool7375;
  if (bool7375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7376 = gc_frame_new();
  if (strlit7377 == NULL) {
    strlit7377 = alloc_String("Unknown");
    gc_root(strlit7377);
  }
// compilenode returning strlit7377
  gc_frame_newslot(strlit7377);
  Object bool7378 = alloc_Boolean(0);
// compilenode returning bool7378
  gc_frame_newslot(bool7378);
  int callframe7379 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7380 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7379);
// compilenode returning call7380
// compilenode returning call7380
  params[0] = strlit7377;
  params[1] = bool7378;
  partcv[0] = 2;
  Object call7381 = callmethod(call7380, "new",
    1, partcv, params);
  gc_frame_end(callframe7376);
// compilenode returning call7381
  *var_dtype = call7381;
  if (call7381 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2318
  setline(2318);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2317
  setline(2317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7382 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7383 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7382);
// compilenode returning call7383
// compilenode returning call7383
  *var_name = call7383;
  if (call7383 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2318
  setline(2318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7385 = gc_frame_new();
  if (strlit7386 == NULL) {
    strlit7386 = alloc_String("colon");
    gc_root(strlit7386);
  }
// compilenode returning strlit7386
  gc_frame_newslot(strlit7386);
  params[0] = strlit7386;
  partcv[0] = 1;
  Object call7387 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7385);
// compilenode returning call7387
  Object if7384 = done;
  if (istrue(call7387)) {
// Begin line 2319
  setline(2319);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7388 = gc_frame_new();
  partcv[0] = 0;
  Object call7389 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7388);
// compilenode returning call7389
// Begin line 2320
  setline(2320);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7390 = gc_frame_new();
  partcv[0] = 0;
  Object call7391 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7390);
// compilenode returning call7391
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7392 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7393 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7392);
// compilenode returning call7393
// compilenode returning call7393
  *var_dtype = call7393;
  if (call7393 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7384 = done;
  } else {
  }
// compilenode returning if7384
// Begin line 2324
  setline(2324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7395 = gc_frame_new();
  partcv[0] = 0;
  Object call7396 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7395);
// compilenode returning call7396
  *var_anns = call7396;
  if (call7396 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2324
  setline(2324);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7398 = gc_frame_new();
  if (strlit7399 == NULL) {
    strlit7399 = alloc_String("bind");
    gc_root(strlit7399);
  }
// compilenode returning strlit7399
  gc_frame_newslot(strlit7399);
  params[0] = strlit7399;
  partcv[0] = 1;
  Object call7400 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7398);
// compilenode returning call7400
  Object if7397 = done;
  if (istrue(call7400)) {
// Begin line 2325
  setline(2325);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7401 = gc_frame_new();
  partcv[0] = 0;
  Object call7402 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7401);
// compilenode returning call7402
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7404 = gc_frame_new();
  int callframe7405 = gc_frame_new();
  Object block7406 = alloc_Block(NULL, NULL, "parser", 2326);
  gc_frame_newslot(block7406);
  block_savedest(block7406);
  Object closure7407 = createclosure(2, "_apply");
  setclosureframe(closure7407, stackframe);
  addtoclosure(closure7407, var_blocksOK);
  addtoclosure(closure7407, selfslot);
  struct UserObject *uo7407 = (struct UserObject*)block7406;
  uo7407->data[0] = (Object)closure7407;
  Method *meth_meth_parser__apply7407 = addmethod2pos(block7406, "_apply", &meth_parser__apply7407, 0);
int argcv_meth_parser__apply7407[] = {0};
meth_meth_parser__apply7407->type = alloc_MethodType(1, argcv_meth_parser__apply7407);
  meth_meth_parser__apply7407->definitionModule = modulename;
  meth_meth_parser__apply7407->definitionLine = 2326;
// compilenode returning block7406
  gc_frame_newslot(block7406);
  params[0] = block7406;
  partcv[0] = 1;
  Object call7411 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7405);
// compilenode returning call7411
  partcv[0] = 0;
  Object call7412 = callmethod(call7411, "not",
    1, partcv, params);
  gc_frame_end(callframe7404);
// compilenode returning call7412
// compilenode returning call7412
  Object if7403 = done;
  if (istrue(call7412)) {
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7413 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7413
  *var_suggestions = array7413;
  if (array7413 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7414 = gc_frame_new();
  int callframe7415 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7416 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7415);
// compilenode returning call7416
// compilenode returning call7416
  partcv[0] = 0;
  Object call7417 = callmethod(call7416, "new",
    1, partcv, params);
  gc_frame_end(callframe7414);
// compilenode returning call7417
// compilenode returning call7417
  *var_suggestion = call7417;
  if (call7417 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7418 = gc_frame_new();
  partcv[0] = 0;
  Object call7419 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7418);
// compilenode returning call7419
  *var_nextTok = call7419;
  if (call7419 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7421 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7421 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7423 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7423
  Object if7420 = done;
  if (istrue(opresult7423)) {
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7424 = gc_frame_new();
  if (strlit7425 == NULL) {
    strlit7425 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7425);
  }
// compilenode returning strlit7425
  gc_frame_newslot(strlit7425);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7425;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7426 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7424);
// compilenode returning call7426
    gc_frame_newslot(call7426);
    if7420 = call7426;
  } else {
// Begin line 2333
  setline(2333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7427 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7428 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7429 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7428);
// compilenode returning call7429
// compilenode returning call7429
  gc_frame_newslot(call7429);
  Object bool7430 = alloc_Boolean(1);
// compilenode returning bool7430
  gc_frame_newslot(bool7430);
  Object bool7431 = alloc_Boolean(0);
// compilenode returning bool7431
  gc_frame_newslot(bool7431);
  if (strlit7432 == NULL) {
    strlit7432 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7432);
  }
// compilenode returning strlit7432
  gc_frame_newslot(strlit7432);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7429;
  params[2] = bool7430;
  params[3] = bool7431;
  params[4] = strlit7432;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7433 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7427);
// compilenode returning call7433
    gc_frame_newslot(call7433);
    if7420 = call7433;
  }
// compilenode returning if7420
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7434 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7435 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7434);
// compilenode returning call7435
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2336
  setline(2336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7436 = gc_frame_new();
  int callframe7437 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7438 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7437);
// compilenode returning call7438
// compilenode returning call7438
  partcv[0] = 0;
  Object call7439 = callmethod(call7438, "new",
    1, partcv, params);
  gc_frame_end(callframe7436);
// compilenode returning call7439
// compilenode returning call7439
  *var_suggestion = call7439;
  if (call7439 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7441 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe7442 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7443 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7442);
// compilenode returning call7443
// compilenode returning call7443
  gc_frame_newslot(call7443);
  Object bool7444 = alloc_Boolean(1);
// compilenode returning bool7444
  gc_frame_newslot(bool7444);
  Object bool7445 = alloc_Boolean(0);
// compilenode returning bool7445
  gc_frame_newslot(bool7445);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call7443;
  params[2] = bool7444;
  params[3] = bool7445;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7446 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7441);
// compilenode returning call7446
// Begin line 2338
  setline(2338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7447 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7448 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7447);
// compilenode returning call7448
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7449 = gc_frame_new();
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7451 == NULL) {
    strlit7451 = alloc_String("A variable without a value can be declared with 'var' followed only by the variable name.");
    gc_root(strlit7451);
  }
// compilenode returning strlit7451
  int op_slot_right_7450 = gc_frame_newslot(strlit7451);
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7453 == NULL) {
    strlit7453 = alloc_String("A variable declaration must have a value after the ':='. ");
    gc_root(strlit7453);
  }
// compilenode returning strlit7453
  int op_slot_left_7450 = gc_frame_newslot(strlit7453);
  params[0] = strlit7451;
  partcv[0] = 1;
  Object opresult7454 = callmethod(strlit7453, "++", 1, partcv, params);
// compilenode returning opresult7454
  gc_frame_newslot(opresult7454);
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7455 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7456 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7455);
// compilenode returning call7456
// compilenode returning call7456
  gc_frame_newslot(call7456);
  int callframe7458 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7459 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7458);
// compilenode returning call7459
// compilenode returning call7459
  int op_slot_right_7457 = gc_frame_newslot(call7459);
  int callframe7461 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7462 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7461);
// compilenode returning call7462
// compilenode returning call7462
  int op_slot_left_7457 = gc_frame_newslot(call7462);
  params[0] = call7459;
  partcv[0] = 1;
  Object sum7463 = callmethod(call7462, "+", 1, partcv, params);
// compilenode returning sum7463
  gc_frame_newslot(sum7463);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult7454;
  params[1] = call7456;
  params[2] = sum7463;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7464 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7449);
// compilenode returning call7464
    gc_frame_newslot(call7464);
    if7403 = call7464;
  } else {
  }
// compilenode returning if7403
// Begin line 2344
  setline(2344);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7465 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7466 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7465);
// compilenode returning call7466
// compilenode returning call7466
  *var_val = call7466;
  if (call7466 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7397 = done;
  } else {
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7471 == NULL) {
    strlit7471 = alloc_String("=");
    gc_root(strlit7471);
  }
// compilenode returning strlit7471
  int op_slot_right_7470 = gc_frame_newslot(strlit7471);
  int callframe7473 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7474 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7473);
// compilenode returning call7474
// compilenode returning call7474
  int op_slot_left_7470 = gc_frame_newslot(call7474);
  params[0] = strlit7471;
  partcv[0] = 1;
  Object opresult7475 = callmethod(call7474, "==", 1, partcv, params);
// compilenode returning opresult7475
  int op_slot_right_7469 = gc_frame_newslot(opresult7475);
  int callframe7477 = gc_frame_new();
  if (strlit7478 == NULL) {
    strlit7478 = alloc_String("op");
    gc_root(strlit7478);
  }
// compilenode returning strlit7478
  gc_frame_newslot(strlit7478);
  params[0] = strlit7478;
  partcv[0] = 1;
  Object call7479 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7477);
// compilenode returning call7479
  int op_slot_left_7469 = gc_frame_newslot(call7479);
  params[0] = opresult7475;
  partcv[0] = 1;
  Object opresult7480 = callmethod(call7479, "&&", 1, partcv, params);
// compilenode returning opresult7480
  Object if7468 = done;
  if (istrue(opresult7480)) {
// Begin line 2347
  setline(2347);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2346
  setline(2346);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7481 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7481
  *var_suggestions = array7481;
  if (array7481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2347
  setline(2347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7482 = gc_frame_new();
  int callframe7483 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7484 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7483);
// compilenode returning call7484
// compilenode returning call7484
  partcv[0] = 0;
  Object call7485 = callmethod(call7484, "new",
    1, partcv, params);
  gc_frame_end(callframe7482);
// compilenode returning call7485
// compilenode returning call7485
  *var_suggestion = call7485;
  if (call7485 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7486 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit7487 == NULL) {
    strlit7487 = alloc_String(":=");
    gc_root(strlit7487);
  }
// compilenode returning strlit7487
  gc_frame_newslot(strlit7487);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit7487;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7488 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7486);
// compilenode returning call7488
// Begin line 2349
  setline(2349);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7489 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7490 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7489);
// compilenode returning call7490
// Begin line 2351
  setline(2351);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2350
  setline(2350);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7491 = gc_frame_new();
  int callframe7492 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7493 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7492);
// compilenode returning call7493
// compilenode returning call7493
  partcv[0] = 0;
  Object call7494 = callmethod(call7493, "new",
    1, partcv, params);
  gc_frame_end(callframe7491);
// compilenode returning call7494
// compilenode returning call7494
  *var_suggestion = call7494;
  if (call7494 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2351
  setline(2351);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7496 = gc_frame_new();
// compilenode returning *var_varTok
  gc_frame_newslot(*var_varTok);
  if (strlit7497 == NULL) {
    strlit7497 = alloc_String("def");
    gc_root(strlit7497);
  }
// compilenode returning strlit7497
  gc_frame_newslot(strlit7497);
// compilenode returning *var_suggestion
  params[0] = *var_varTok;
  params[1] = strlit7497;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7498 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7496);
// compilenode returning call7498
// Begin line 2352
  setline(2352);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7499 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7500 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7499);
// compilenode returning call7500
// Begin line 2353
  setline(2353);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7501 = gc_frame_new();
  if (strlit7502 == NULL) {
    strlit7502 = alloc_String("A variable declaration must use ':=' instead of '='. A constant declaration uses 'def' and '='.");
    gc_root(strlit7502);
  }
// compilenode returning strlit7502
  gc_frame_newslot(strlit7502);
// Begin line 2354
  setline(2354);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7503 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7504 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7503);
// compilenode returning call7504
// compilenode returning call7504
  gc_frame_newslot(call7504);
  int callframe7505 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7506 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7505);
// compilenode returning call7506
// compilenode returning call7506
  gc_frame_newslot(call7506);
  int callframe7507 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7508 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7507);
// compilenode returning call7508
// compilenode returning call7508
  gc_frame_newslot(call7508);
// Begin line 2355
  setline(2355);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2353
  setline(2353);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7502;
  params[1] = call7504;
  params[2] = call7506;
  params[3] = call7508;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call7509 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7501);
// compilenode returning call7509
    gc_frame_newslot(call7509);
    if7468 = call7509;
  } else {
  }
// compilenode returning if7468
    gc_frame_newslot(if7468);
    if7397 = if7468;
  }
// compilenode returning if7397
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7510 = gc_frame_new();
// compilenode returning *var_name
  gc_frame_newslot(*var_name);
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe7511 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7512 = callmethod(*var_ast, "varDecNode",
    1, partcv, params);
  gc_frame_end(callframe7511);
// compilenode returning call7512
// compilenode returning call7512
  params[0] = *var_name;
  params[1] = *var_val;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call7513 = callmethod(call7512, "new",
    1, partcv, params);
  gc_frame_end(callframe7510);
// compilenode returning call7513
  *var_o = call7513;
  if (call7513 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2359
  setline(2359);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7514 = alloc_Boolean(0);
// compilenode returning bool7514
  *var_hasVisibility = bool7514;
  if (bool7514 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2361
  setline(2361);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7515 = alloc_Boolean(0);
// compilenode returning bool7515
  *var_hasAccessibility = bool7515;
  if (bool7515 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2376
  setline(2376);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2361
  setline(2361);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7518 = alloc_Boolean(0);
// compilenode returning bool7518
  int op_slot_right_7517 = gc_frame_newslot(bool7518);
// compilenode returning *var_anns
  int op_slot_left_7517 = gc_frame_newslot(*var_anns);
  params[0] = bool7518;
  partcv[0] = 1;
  Object opresult7520 = callmethod(*var_anns, "!=", 1, partcv, params);
// compilenode returning opresult7520
  Object if7516 = done;
  if (istrue(opresult7520)) {
// Begin line 2362
  setline(2362);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7521 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  Object block7522 = alloc_Block(NULL, NULL, "parser", 2362);
  gc_frame_newslot(block7522);
  block_savedest(block7522);
  Object closure7523 = createclosure(3, "_apply");
  setclosureframe(closure7523, stackframe);
  addtoclosure(closure7523, var_hasVisibility);
  addtoclosure(closure7523, var_hasAccessibility);
  addtoclosure(closure7523, selfslot);
  struct UserObject *uo7523 = (struct UserObject*)block7522;
  uo7523->data[0] = (Object)closure7523;
  Method *meth_meth_parser__apply7523 = addmethod2pos(block7522, "_apply", &meth_parser__apply7523, 0);
int argcv_meth_parser__apply7523[] = {1};
meth_meth_parser__apply7523->type = alloc_MethodType(1, argcv_meth_parser__apply7523);
  meth_meth_parser__apply7523->definitionModule = modulename;
  meth_meth_parser__apply7523->definitionLine = 2358;
// compilenode returning block7522
  gc_frame_newslot(block7522);
  params[0] = *var_anns;
  params[1] = block7522;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7583 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7521);
// compilenode returning call7583
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7584 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe7585 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7586 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7585);
// compilenode returning call7586
// compilenode returning call7586
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call7587 = callmethod(call7586, "extend",
    1, partcv, params);
  gc_frame_end(callframe7584);
// compilenode returning call7587
    gc_frame_newslot(call7587);
    if7516 = call7587;
  } else {
  }
// compilenode returning if7516
// Begin line 2384
  setline(2384);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2376
  setline(2376);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7590 = gc_frame_new();
// compilenode returning *var_hasAccessibility
  partcv[0] = 0;
  Object call7591 = callmethod(*var_hasAccessibility, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7590);
// compilenode returning call7591
  int op_slot_right_7589 = gc_frame_newslot(call7591);
  int callframe7593 = gc_frame_new();
// compilenode returning *var_hasVisibility
  partcv[0] = 0;
  Object call7594 = callmethod(*var_hasVisibility, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7593);
// compilenode returning call7594
  int op_slot_left_7589 = gc_frame_newslot(call7594);
  params[0] = call7591;
  partcv[0] = 1;
  Object opresult7595 = callmethod(call7594, "&&", 1, partcv, params);
// compilenode returning opresult7595
  Object if7588 = done;
  if (istrue(opresult7595)) {
// Begin line 2383
  setline(2383);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2377
  setline(2377);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7598 == NULL) {
    strlit7598 = alloc_String("public");
    gc_root(strlit7598);
  }
// compilenode returning strlit7598
  int op_slot_right_7597 = gc_frame_newslot(strlit7598);
// compilenode returning *var_defaultVarVisibility
  int op_slot_left_7597 = gc_frame_newslot(*var_defaultVarVisibility);
  params[0] = strlit7598;
  partcv[0] = 1;
  Object opresult7600 = callmethod(*var_defaultVarVisibility, "==", 1, partcv, params);
// compilenode returning opresult7600
  Object if7596 = done;
  if (istrue(opresult7600)) {
// Begin line 2378
  setline(2378);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7601 = gc_frame_new();
  int callframe7602 = gc_frame_new();
  if (strlit7603 == NULL) {
    strlit7603 = alloc_String("readable");
    gc_root(strlit7603);
  }
// compilenode returning strlit7603
  gc_frame_newslot(strlit7603);
// Begin line 2379
  setline(2379);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7604 = alloc_Boolean(0);
// compilenode returning bool7604
  gc_frame_newslot(bool7604);
// Begin line 2378
  setline(2378);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7605 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7606 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7605);
// compilenode returning call7606
// compilenode returning call7606
  params[0] = strlit7603;
  params[1] = bool7604;
  partcv[0] = 2;
  Object call7607 = callmethod(call7606, "new",
    1, partcv, params);
  gc_frame_end(callframe7602);
// compilenode returning call7607
  gc_frame_newslot(call7607);
  int callframe7608 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7609 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7608);
// compilenode returning call7609
// compilenode returning call7609
  params[0] = call7607;
  partcv[0] = 1;
  Object call7610 = callmethod(call7609, "push",
    1, partcv, params);
  gc_frame_end(callframe7601);
// compilenode returning call7610
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7611 = gc_frame_new();
  int callframe7612 = gc_frame_new();
  if (strlit7613 == NULL) {
    strlit7613 = alloc_String("writable");
    gc_root(strlit7613);
  }
// compilenode returning strlit7613
  gc_frame_newslot(strlit7613);
// Begin line 2381
  setline(2381);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7614 = alloc_Boolean(0);
// compilenode returning bool7614
  gc_frame_newslot(bool7614);
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7615 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7616 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7615);
// compilenode returning call7616
// compilenode returning call7616
  params[0] = strlit7613;
  params[1] = bool7614;
  partcv[0] = 2;
  Object call7617 = callmethod(call7616, "new",
    1, partcv, params);
  gc_frame_end(callframe7612);
// compilenode returning call7617
  gc_frame_newslot(call7617);
  int callframe7618 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7619 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7618);
// compilenode returning call7619
// compilenode returning call7619
  params[0] = call7617;
  partcv[0] = 1;
  Object call7620 = callmethod(call7619, "push",
    1, partcv, params);
  gc_frame_end(callframe7611);
// compilenode returning call7620
    gc_frame_newslot(call7620);
    if7596 = call7620;
  } else {
  }
// compilenode returning if7596
    gc_frame_newslot(if7596);
    if7588 = if7596;
  } else {
  }
// compilenode returning if7588
// Begin line 2384
  setline(2384);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7621 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7622 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7621);
// compilenode returning call7622
    gc_frame_newslot(call7622);
    if7292 = call7622;
  } else {
  }
// compilenode returning if7292
  gc_frame_end(frame);
  return if7292;
}
Object meth_parser__apply7633(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7634 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7635 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7634);
// compilenode returning call7635
  gc_frame_end(frame);
  return call7635;
}
Object meth_parser__apply7641(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7642 = gc_frame_new();
  if (strlit7643 == NULL) {
    strlit7643 = alloc_String("comma");
    gc_root(strlit7643);
  }
// compilenode returning strlit7643
  gc_frame_newslot(strlit7643);
  params[0] = strlit7643;
  partcv[0] = 1;
  Object call7644 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7642);
// compilenode returning call7644
  gc_frame_end(frame);
  return call7644;
}
Object meth_parser__apply7659(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7660 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7661 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7660);
// compilenode returning call7661
  gc_frame_end(frame);
  return call7661;
}
Object meth_parser__apply7647(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2396
  setline(2396);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7648 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7649 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7648);
// compilenode returning call7649
// compilenode returning call7649
  *var_tmp = call7649;
  if (call7649 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7651 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_params
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7652 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe7651);
// compilenode returning call7652
// Begin line 2398
  setline(2398);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7653 = gc_frame_new();
  partcv[0] = 0;
  Object call7654 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7653);
// compilenode returning call7654
// Begin line 2415
  setline(2415);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7656 = gc_frame_new();
  int callframe7657 = gc_frame_new();
  Object block7658 = alloc_Block(NULL, NULL, "parser", 2399);
  gc_frame_newslot(block7658);
  block_savedest(block7658);
  Object closure7659 = createclosure(2, "_apply");
  setclosureframe(closure7659, stackframe);
  addtoclosure(closure7659, var_blocksOK);
  addtoclosure(closure7659, selfslot);
  struct UserObject *uo7659 = (struct UserObject*)block7658;
  uo7659->data[0] = (Object)closure7659;
  Method *meth_meth_parser__apply7659 = addmethod2pos(block7658, "_apply", &meth_parser__apply7659, 0);
int argcv_meth_parser__apply7659[] = {0};
meth_meth_parser__apply7659->type = alloc_MethodType(1, argcv_meth_parser__apply7659);
  meth_meth_parser__apply7659->definitionModule = modulename;
  meth_meth_parser__apply7659->definitionLine = 2399;
// compilenode returning block7658
  gc_frame_newslot(block7658);
  params[0] = block7658;
  partcv[0] = 1;
  Object call7663 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7657);
// compilenode returning call7663
  partcv[0] = 0;
  Object call7664 = callmethod(call7663, "not",
    1, partcv, params);
  gc_frame_end(callframe7656);
// compilenode returning call7664
// compilenode returning call7664
  Object if7655 = done;
  if (istrue(call7664)) {
// Begin line 2401
  setline(2401);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2400
  setline(2400);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7665 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7665
  *var_suggestions = array7665;
  if (array7665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2402
  setline(2402);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2401
  setline(2401);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7666 = gc_frame_new();
  int callframe7667 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7668 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7667);
// compilenode returning call7668
// compilenode returning call7668
  partcv[0] = 0;
  Object call7669 = callmethod(call7668, "new",
    1, partcv, params);
  gc_frame_end(callframe7666);
// compilenode returning call7669
// compilenode returning call7669
  *var_suggestion = call7669;
  if (call7669 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2402
  setline(2402);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7670 = gc_frame_new();
  if (strlit7671 == NULL) {
    strlit7671 = alloc_String("rsquare");
    gc_root(strlit7671);
  }
// compilenode returning strlit7671
  gc_frame_newslot(strlit7671);
  params[0] = strlit7671;
  partcv[0] = 1;
  Object call7672 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7670);
// compilenode returning call7672
  *var_nextTok = call7672;
  if (call7672 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2408
  setline(2408);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2403
  setline(2403);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7674 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7674 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7676 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7676
  Object if7673 = done;
  if (istrue(opresult7676)) {
// Begin line 2404
  setline(2404);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7677 = gc_frame_new();
  if (strlit7678 == NULL) {
    strlit7678 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7678);
  }
// compilenode returning strlit7678
  gc_frame_newslot(strlit7678);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7678;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7679 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7677);
// compilenode returning call7679
    gc_frame_newslot(call7679);
    if7673 = call7679;
  } else {
// Begin line 2406
  setline(2406);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7680 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7681 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7682 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7681);
// compilenode returning call7682
// compilenode returning call7682
  gc_frame_newslot(call7682);
  Object bool7683 = alloc_Boolean(1);
// compilenode returning bool7683
  gc_frame_newslot(bool7683);
  Object bool7684 = alloc_Boolean(0);
// compilenode returning bool7684
  gc_frame_newslot(bool7684);
  if (strlit7685 == NULL) {
    strlit7685 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7685);
  }
// compilenode returning strlit7685
  gc_frame_newslot(strlit7685);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7682;
  params[2] = bool7683;
  params[3] = bool7684;
  params[4] = strlit7685;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7686 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7680);
// compilenode returning call7686
    gc_frame_newslot(call7686);
    if7673 = call7686;
  }
// compilenode returning if7673
// Begin line 2408
  setline(2408);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7687 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7688 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7687);
// compilenode returning call7688
// Begin line 2410
  setline(2410);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2409
  setline(2409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7689 = gc_frame_new();
  int callframe7690 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7691 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7690);
// compilenode returning call7691
// compilenode returning call7691
  partcv[0] = 0;
  Object call7692 = callmethod(call7691, "new",
    1, partcv, params);
  gc_frame_end(callframe7689);
// compilenode returning call7692
// compilenode returning call7692
  *var_suggestion = call7692;
  if (call7692 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2410
  setline(2410);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7694 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe7695 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7696 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7695);
// compilenode returning call7696
// compilenode returning call7696
  gc_frame_newslot(call7696);
  Object bool7697 = alloc_Boolean(1);
// compilenode returning bool7697
  gc_frame_newslot(bool7697);
  Object bool7698 = alloc_Boolean(0);
// compilenode returning bool7698
  gc_frame_newslot(bool7698);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call7696;
  params[2] = bool7697;
  params[3] = bool7698;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7699 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7694);
// compilenode returning call7699
// Begin line 2411
  setline(2411);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7700 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7701 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7700);
// compilenode returning call7701
// Begin line 2412
  setline(2412);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7702 = gc_frame_new();
  if (strlit7703 == NULL) {
    strlit7703 = alloc_String("A list must contain zero or more valid expressions separated by commas.");
    gc_root(strlit7703);
  }
// compilenode returning strlit7703
  gc_frame_newslot(strlit7703);
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7704 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7705 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7704);
// compilenode returning call7705
// compilenode returning call7705
  gc_frame_newslot(call7705);
  int callframe7706 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7707 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7706);
// compilenode returning call7707
// compilenode returning call7707
  gc_frame_newslot(call7707);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2412
  setline(2412);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7703;
  params[1] = call7705;
  params[2] = call7707;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7708 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7702);
// compilenode returning call7708
    gc_frame_newslot(call7708);
    if7655 = call7708;
  } else {
  }
// compilenode returning if7655
  gc_frame_end(frame);
  return if7655;
}
Object meth_parser__apply7638(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2395
  setline(2395);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7639 = gc_frame_new();
  Object block7640 = alloc_Block(NULL, NULL, "parser", 2395);
  gc_frame_newslot(block7640);
  block_savedest(block7640);
  Object closure7641 = createclosure(1, "_apply");
  setclosureframe(closure7641, stackframe);
  addtoclosure(closure7641, selfslot);
  struct UserObject *uo7641 = (struct UserObject*)block7640;
  uo7641->data[0] = (Object)closure7641;
  Method *meth_meth_parser__apply7641 = addmethod2pos(block7640, "_apply", &meth_parser__apply7641, 0);
int argcv_meth_parser__apply7641[] = {0};
meth_meth_parser__apply7641->type = alloc_MethodType(1, argcv_meth_parser__apply7641);
  meth_meth_parser__apply7641->definitionModule = modulename;
  meth_meth_parser__apply7641->definitionLine = 2380;
// compilenode returning block7640
  gc_frame_newslot(block7640);
  Object block7646 = alloc_Block(NULL, NULL, "parser", 2395);
  gc_frame_newslot(block7646);
  block_savedest(block7646);
  Object closure7647 = createclosure(8, "_apply");
  setclosureframe(closure7647, stackframe);
  addtoclosure(closure7647, var_values);
  addtoclosure(closure7647, var_tmp);
  addtoclosure(closure7647, var_params);
  addtoclosure(closure7647, var_blocksOK);
  addtoclosure(closure7647, var_errormessages);
  addtoclosure(closure7647, var_sym);
  addtoclosure(closure7647, var_lastToken);
  addtoclosure(closure7647, selfslot);
  struct UserObject *uo7647 = (struct UserObject*)block7646;
  uo7647->data[0] = (Object)closure7647;
  Method *meth_meth_parser__apply7647 = addmethod2pos(block7646, "_apply", &meth_parser__apply7647, 0);
int argcv_meth_parser__apply7647[] = {0};
meth_meth_parser__apply7647->type = alloc_MethodType(1, argcv_meth_parser__apply7647);
  meth_meth_parser__apply7647->definitionModule = modulename;
  meth_meth_parser__apply7647->definitionLine = 2380;
// compilenode returning block7646
  gc_frame_newslot(block7646);
  params[0] = block7640;
  params[1] = block7646;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7710 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7639);
// compilenode returning call7710
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2416
  setline(2416);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7711 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7712 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7711);
// compilenode returning call7712
// compilenode returning call7712
  *var_tmp = call7712;
  if (call7712 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7714 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_params
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7715 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe7714);
// compilenode returning call7715
  gc_frame_end(frame);
  return call7715;
}
Object meth_parser_doarray7623(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 43, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doarray");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doarray (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doarray");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tmp = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "tmp");
  Object *var_params = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "params");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_o = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "o");
// Begin line 2429
  setline(2429);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2390
  setline(2390);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7625 = gc_frame_new();
  if (strlit7626 == NULL) {
    strlit7626 = alloc_String("lsquare");
    gc_root(strlit7626);
  }
// compilenode returning strlit7626
  gc_frame_newslot(strlit7626);
  params[0] = strlit7626;
  partcv[0] = 1;
  Object call7627 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7625);
// compilenode returning call7627
  Object if7624 = done;
  if (istrue(call7627)) {
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7628 = gc_frame_new();
  partcv[0] = 0;
  Object call7629 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7628);
// compilenode returning call7629
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_tmp = undefined;
// compilenode returning done
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7630 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7630
  *var_params = array7630;
  if (array7630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7631 = gc_frame_new();
  Object block7632 = alloc_Block(NULL, NULL, "parser", 2394);
  gc_frame_newslot(block7632);
  block_savedest(block7632);
  Object closure7633 = createclosure(2, "_apply");
  setclosureframe(closure7633, stackframe);
  addtoclosure(closure7633, var_blocksOK);
  addtoclosure(closure7633, selfslot);
  struct UserObject *uo7633 = (struct UserObject*)block7632;
  uo7633->data[0] = (Object)closure7633;
  Method *meth_meth_parser__apply7633 = addmethod2pos(block7632, "_apply", &meth_parser__apply7633, 0);
int argcv_meth_parser__apply7633[] = {0};
meth_meth_parser__apply7633->type = alloc_MethodType(1, argcv_meth_parser__apply7633);
  meth_meth_parser__apply7633->definitionModule = modulename;
  meth_meth_parser__apply7633->definitionLine = 2380;
// compilenode returning block7632
  gc_frame_newslot(block7632);
  Object block7637 = alloc_Block(NULL, NULL, "parser", 2394);
  gc_frame_newslot(block7637);
  block_savedest(block7637);
  Object closure7638 = createclosure(8, "_apply");
  setclosureframe(closure7638, stackframe);
  addtoclosure(closure7638, var_values);
  addtoclosure(closure7638, var_tmp);
  addtoclosure(closure7638, var_params);
  addtoclosure(closure7638, var_blocksOK);
  addtoclosure(closure7638, var_errormessages);
  addtoclosure(closure7638, var_sym);
  addtoclosure(closure7638, var_lastToken);
  addtoclosure(closure7638, selfslot);
  struct UserObject *uo7638 = (struct UserObject*)block7637;
  uo7638->data[0] = (Object)closure7638;
  Method *meth_meth_parser__apply7638 = addmethod2pos(block7637, "_apply", &meth_parser__apply7638, 0);
int argcv_meth_parser__apply7638[] = {0};
meth_meth_parser__apply7638->type = alloc_MethodType(1, argcv_meth_parser__apply7638);
  meth_meth_parser__apply7638->definitionModule = modulename;
  meth_meth_parser__apply7638->definitionLine = 2380;
// compilenode returning block7637
  gc_frame_newslot(block7637);
  params[0] = block7632;
  params[1] = block7637;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7717 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7631);
// compilenode returning call7717
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2419
  setline(2419);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7720 == NULL) {
    strlit7720 = alloc_String("rsquare");
    gc_root(strlit7720);
  }
// compilenode returning strlit7720
  int op_slot_right_7719 = gc_frame_newslot(strlit7720);
  int callframe7722 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7723 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7722);
// compilenode returning call7723
// compilenode returning call7723
  int op_slot_left_7719 = gc_frame_newslot(call7723);
  params[0] = strlit7720;
  partcv[0] = 1;
  Object opresult7724 = callmethod(call7723, "!=", 1, partcv, params);
// compilenode returning opresult7724
  Object if7718 = done;
  if (istrue(opresult7724)) {
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2420
  setline(2420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7725 = gc_frame_new();
  int callframe7726 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7727 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7726);
// compilenode returning call7727
// compilenode returning call7727
  partcv[0] = 0;
  Object call7728 = callmethod(call7727, "new",
    1, partcv, params);
  gc_frame_end(callframe7725);
// compilenode returning call7728
// compilenode returning call7728
  *var_suggestion = call7728;
  if (call7728 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7729 = gc_frame_new();
  if (strlit7730 == NULL) {
    strlit7730 = alloc_String("]");
    gc_root(strlit7730);
  }
// compilenode returning strlit7730
  gc_frame_newslot(strlit7730);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7730;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7731 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7729);
// compilenode returning call7731
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7732 = gc_frame_new();
  if (strlit7733 == NULL) {
    strlit7733 = alloc_String("A list beginning with a '[' must end with a ']'.");
    gc_root(strlit7733);
  }
// compilenode returning strlit7733
  gc_frame_newslot(strlit7733);
// Begin line 2423
  setline(2423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7734 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7735 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7734);
// compilenode returning call7735
// compilenode returning call7735
  gc_frame_newslot(call7735);
  int callframe7737 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7738 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7737);
// compilenode returning call7738
// compilenode returning call7738
  int op_slot_right_7736 = gc_frame_newslot(call7738);
  int callframe7740 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7741 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7740);
// compilenode returning call7741
// compilenode returning call7741
  int op_slot_left_7736 = gc_frame_newslot(call7741);
  params[0] = call7738;
  partcv[0] = 1;
  Object sum7742 = callmethod(call7741, "+", 1, partcv, params);
// compilenode returning sum7742
  gc_frame_newslot(sum7742);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7733;
  params[1] = call7735;
  params[2] = sum7742;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7743 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7732);
// compilenode returning call7743
    gc_frame_newslot(call7743);
    if7718 = call7743;
  } else {
  }
// compilenode returning if7718
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7744 = gc_frame_new();
// compilenode returning *var_params
  gc_frame_newslot(*var_params);
  int callframe7745 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7746 = callmethod(*var_ast, "arrayNode",
    1, partcv, params);
  gc_frame_end(callframe7745);
// compilenode returning call7746
// compilenode returning call7746
  params[0] = *var_params;
  partcv[0] = 1;
  Object call7747 = callmethod(call7746, "new",
    1, partcv, params);
  gc_frame_end(callframe7744);
// compilenode returning call7747
  *var_o = call7747;
  if (call7747 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2426
  setline(2426);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7748 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7749 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7748);
// compilenode returning call7749
// Begin line 2427
  setline(2427);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7750 = gc_frame_new();
  partcv[0] = 0;
  Object call7751 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7750);
// compilenode returning call7751
    gc_frame_newslot(call7751);
    if7624 = call7751;
  } else {
  }
// compilenode returning if7624
  gc_frame_end(frame);
  return if7624;
}
Object meth_parser_dodialect7752(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dodialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dodialect (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dodialect");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_errorPos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "errorPos");
// Begin line 2451
  setline(2451);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2433
  setline(2433);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7756 == NULL) {
    strlit7756 = alloc_String("dialect");
    gc_root(strlit7756);
  }
// compilenode returning strlit7756
  int op_slot_right_7755 = gc_frame_newslot(strlit7756);
  int callframe7758 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7759 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7758);
// compilenode returning call7759
// compilenode returning call7759
  int op_slot_left_7755 = gc_frame_newslot(call7759);
  params[0] = strlit7756;
  partcv[0] = 1;
  Object opresult7760 = callmethod(call7759, "==", 1, partcv, params);
// compilenode returning opresult7760
  int op_slot_right_7754 = gc_frame_newslot(opresult7760);
  int callframe7762 = gc_frame_new();
  if (strlit7763 == NULL) {
    strlit7763 = alloc_String("keyword");
    gc_root(strlit7763);
  }
// compilenode returning strlit7763
  gc_frame_newslot(strlit7763);
  params[0] = strlit7763;
  partcv[0] = 1;
  Object call7764 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7762);
// compilenode returning call7764
  int op_slot_left_7754 = gc_frame_newslot(call7764);
  params[0] = opresult7760;
  partcv[0] = 1;
  Object opresult7765 = callmethod(call7764, "&&", 1, partcv, params);
// compilenode returning opresult7765
  Object if7753 = done;
  if (istrue(opresult7765)) {
// Begin line 2434
  setline(2434);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7766 = gc_frame_new();
  partcv[0] = 0;
  Object call7767 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7766);
// compilenode returning call7767
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2435
  setline(2435);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7770 == NULL) {
    strlit7770 = alloc_String("string");
    gc_root(strlit7770);
  }
// compilenode returning strlit7770
  int op_slot_right_7769 = gc_frame_newslot(strlit7770);
  int callframe7772 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7773 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7772);
// compilenode returning call7773
// compilenode returning call7773
  int op_slot_left_7769 = gc_frame_newslot(call7773);
  params[0] = strlit7770;
  partcv[0] = 1;
  Object opresult7774 = callmethod(call7773, "!=", 1, partcv, params);
// compilenode returning opresult7774
  Object if7768 = done;
  if (istrue(opresult7774)) {
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2436
  setline(2436);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7775 = gc_frame_new();
  int callframe7776 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7777 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7776);
// compilenode returning call7777
// compilenode returning call7777
  partcv[0] = 0;
  Object call7778 = callmethod(call7777, "new",
    1, partcv, params);
  gc_frame_end(callframe7775);
// compilenode returning call7778
// compilenode returning call7778
  *var_suggestion = call7778;
  if (call7778 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_errorPos = undefined;
// compilenode returning done
// Begin line 2445
  setline(2445);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7782 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7783 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7782);
// compilenode returning call7783
// compilenode returning call7783
  int op_slot_right_7781 = gc_frame_newslot(call7783);
  int callframe7785 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7786 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7785);
// compilenode returning call7786
// compilenode returning call7786
  int op_slot_left_7781 = gc_frame_newslot(call7786);
  params[0] = call7783;
  partcv[0] = 1;
  Object opresult7787 = callmethod(call7786, "==", 1, partcv, params);
// compilenode returning opresult7787
  int op_slot_right_7780 = gc_frame_newslot(opresult7787);
  if (strlit7790 == NULL) {
    strlit7790 = alloc_String("identifier");
    gc_root(strlit7790);
  }
// compilenode returning strlit7790
  int op_slot_right_7789 = gc_frame_newslot(strlit7790);
  int callframe7792 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7793 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7792);
// compilenode returning call7793
// compilenode returning call7793
  int op_slot_left_7789 = gc_frame_newslot(call7793);
  params[0] = strlit7790;
  partcv[0] = 1;
  Object opresult7794 = callmethod(call7793, "==", 1, partcv, params);
// compilenode returning opresult7794
  int op_slot_left_7780 = gc_frame_newslot(opresult7794);
  params[0] = opresult7787;
  partcv[0] = 1;
  Object opresult7795 = callmethod(opresult7794, "&&", 1, partcv, params);
// compilenode returning opresult7795
  Object if7779 = done;
  if (istrue(opresult7795)) {
// Begin line 2439
  setline(2439);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7796 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit7798 == NULL) {
    strlit7798 = alloc_String("""\x22""");
    gc_root(strlit7798);
  }
// compilenode returning strlit7798
  int op_slot_right_7797 = gc_frame_newslot(strlit7798);
  int callframe7801 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7802 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7801);
// compilenode returning call7802
// compilenode returning call7802
  int op_slot_right_7800 = gc_frame_newslot(call7802);
  if (strlit7804 == NULL) {
    strlit7804 = alloc_String("""\x22""");
    gc_root(strlit7804);
  }
// compilenode returning strlit7804
  int op_slot_left_7800 = gc_frame_newslot(strlit7804);
  params[0] = call7802;
  partcv[0] = 1;
  Object opresult7805 = callmethod(strlit7804, "++", 1, partcv, params);
// compilenode returning opresult7805
  int op_slot_left_7797 = gc_frame_newslot(opresult7805);
  params[0] = strlit7798;
  partcv[0] = 1;
  Object opresult7806 = callmethod(opresult7805, "++", 1, partcv, params);
// compilenode returning opresult7806
  gc_frame_newslot(opresult7806);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult7806;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7807 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7796);
// compilenode returning call7807
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2440
  setline(2440);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7808 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7809 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7808);
// compilenode returning call7809
// compilenode returning call7809
  *var_errorPos = call7809;
  if (call7809 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7779 = done;
  } else {
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7811 = gc_frame_new();
  if (strlit7812 == NULL) {
    strlit7812 = alloc_String(" ""\x22""""\xc2""""\xab""dialect name""\xc2""""\xbb""""\x22""");
    gc_root(strlit7812);
  }
// compilenode returning strlit7812
  gc_frame_newslot(strlit7812);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7812;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7813 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7811);
// compilenode returning call7813
// Begin line 2444
  setline(2444);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2443
  setline(2443);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num7815 = alloc_Float64(1);
// compilenode returning num7815
  int op_slot_right_7814 = gc_frame_newslot(num7815);
  int callframe7818 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7819 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7818);
// compilenode returning call7819
// compilenode returning call7819
  int op_slot_right_7817 = gc_frame_newslot(call7819);
  int callframe7821 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7822 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7821);
// compilenode returning call7822
// compilenode returning call7822
  int op_slot_left_7817 = gc_frame_newslot(call7822);
  params[0] = call7819;
  partcv[0] = 1;
  Object sum7823 = callmethod(call7822, "+", 1, partcv, params);
// compilenode returning sum7823
  int op_slot_left_7814 = gc_frame_newslot(sum7823);
  params[0] = num7815;
  partcv[0] = 1;
  Object sum7824 = callmethod(sum7823, "+", 1, partcv, params);
// compilenode returning sum7824
  *var_errorPos = sum7824;
  if (sum7824 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7779 = done;
  }
// compilenode returning if7779
// Begin line 2445
  setline(2445);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7826 = gc_frame_new();
  if (strlit7827 == NULL) {
    strlit7827 = alloc_String("A dialect statement must have the name of the dialect in quotes after the 'dialect'.");
    gc_root(strlit7827);
  }
// compilenode returning strlit7827
  gc_frame_newslot(strlit7827);
// Begin line 2446
  setline(2446);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7828 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7829 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7828);
// compilenode returning call7829
// compilenode returning call7829
  gc_frame_newslot(call7829);
// compilenode returning *var_errorPos
  gc_frame_newslot(*var_errorPos);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2445
  setline(2445);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7827;
  params[1] = call7829;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7830 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7826);
// compilenode returning call7830
    gc_frame_newslot(call7830);
    if7768 = call7830;
  } else {
  }
// compilenode returning if7768
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7831 = gc_frame_new();
  int callframe7832 = gc_frame_new();
  int callframe7833 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7834 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7833);
// compilenode returning call7834
// compilenode returning call7834
  gc_frame_newslot(call7834);
  int callframe7835 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7836 = callmethod(*var_ast, "dialectNode",
    1, partcv, params);
  gc_frame_end(callframe7835);
// compilenode returning call7836
// compilenode returning call7836
  params[0] = call7834;
  partcv[0] = 1;
  Object call7837 = callmethod(call7836, "new",
    1, partcv, params);
  gc_frame_end(callframe7832);
// compilenode returning call7837
  gc_frame_newslot(call7837);
// compilenode returning *var_values
  params[0] = call7837;
  partcv[0] = 1;
  Object call7838 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7831);
// compilenode returning call7838
// Begin line 2449
  setline(2449);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7839 = gc_frame_new();
  partcv[0] = 0;
  Object call7840 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7839);
// compilenode returning call7840
    gc_frame_newslot(call7840);
    if7753 = call7840;
  } else {
  }
// compilenode returning if7753
  gc_frame_end(frame);
  return if7753;
}
Object meth_parser__apply7863(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7864 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7865 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7864);
// compilenode returning call7865
  gc_frame_end(frame);
  return call7865;
}
Object meth_parser_inheritsdec7841(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 45, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritsdec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for inheritsdec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for inheritsdec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_tmp = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "tmp");
// Begin line 2477
  setline(2477);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2455
  setline(2455);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7845 == NULL) {
    strlit7845 = alloc_String("inherits");
    gc_root(strlit7845);
  }
// compilenode returning strlit7845
  int op_slot_right_7844 = gc_frame_newslot(strlit7845);
  int callframe7847 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7848 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7847);
// compilenode returning call7848
// compilenode returning call7848
  int op_slot_left_7844 = gc_frame_newslot(call7848);
  params[0] = strlit7845;
  partcv[0] = 1;
  Object opresult7849 = callmethod(call7848, "==", 1, partcv, params);
// compilenode returning opresult7849
  int op_slot_right_7843 = gc_frame_newslot(opresult7849);
  int callframe7851 = gc_frame_new();
  if (strlit7852 == NULL) {
    strlit7852 = alloc_String("keyword");
    gc_root(strlit7852);
  }
// compilenode returning strlit7852
  gc_frame_newslot(strlit7852);
  params[0] = strlit7852;
  partcv[0] = 1;
  Object call7853 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7851);
// compilenode returning call7853
  int op_slot_left_7843 = gc_frame_newslot(call7853);
  params[0] = opresult7849;
  partcv[0] = 1;
  Object opresult7854 = callmethod(call7853, "&&", 1, partcv, params);
// compilenode returning opresult7854
  Object if7842 = done;
  if (istrue(opresult7854)) {
// Begin line 2456
  setline(2456);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7855 = gc_frame_new();
  partcv[0] = 0;
  Object call7856 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7855);
// compilenode returning call7856
// Begin line 2457
  setline(2457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7857 = gc_frame_new();
  partcv[0] = 0;
  Object call7858 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7857);
// compilenode returning call7858
// Begin line 2474
  setline(2474);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2458
  setline(2458);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7860 = gc_frame_new();
  int callframe7861 = gc_frame_new();
  Object block7862 = alloc_Block(NULL, NULL, "parser", 2458);
  gc_frame_newslot(block7862);
  block_savedest(block7862);
  Object closure7863 = createclosure(2, "_apply");
  setclosureframe(closure7863, stackframe);
  addtoclosure(closure7863, var_blocksOK);
  addtoclosure(closure7863, selfslot);
  struct UserObject *uo7863 = (struct UserObject*)block7862;
  uo7863->data[0] = (Object)closure7863;
  Method *meth_meth_parser__apply7863 = addmethod2pos(block7862, "_apply", &meth_parser__apply7863, 0);
int argcv_meth_parser__apply7863[] = {0};
meth_meth_parser__apply7863->type = alloc_MethodType(1, argcv_meth_parser__apply7863);
  meth_meth_parser__apply7863->definitionModule = modulename;
  meth_meth_parser__apply7863->definitionLine = 2458;
// compilenode returning block7862
  gc_frame_newslot(block7862);
  params[0] = block7862;
  partcv[0] = 1;
  Object call7867 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7861);
// compilenode returning call7867
  partcv[0] = 0;
  Object call7868 = callmethod(call7867, "not",
    1, partcv, params);
  gc_frame_end(callframe7860);
// compilenode returning call7868
// compilenode returning call7868
  Object if7859 = done;
  if (istrue(call7868)) {
// Begin line 2460
  setline(2460);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2459
  setline(2459);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7869 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7869
  *var_suggestions = array7869;
  if (array7869 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2461
  setline(2461);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2460
  setline(2460);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7870 = gc_frame_new();
  int callframe7871 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7872 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7871);
// compilenode returning call7872
// compilenode returning call7872
  partcv[0] = 0;
  Object call7873 = callmethod(call7872, "new",
    1, partcv, params);
  gc_frame_end(callframe7870);
// compilenode returning call7873
// compilenode returning call7873
  *var_suggestion = call7873;
  if (call7873 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2461
  setline(2461);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7874 = gc_frame_new();
  if (strlit7875 == NULL) {
    strlit7875 = alloc_String("rsquare");
    gc_root(strlit7875);
  }
// compilenode returning strlit7875
  gc_frame_newslot(strlit7875);
  params[0] = strlit7875;
  partcv[0] = 1;
  Object call7876 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7874);
// compilenode returning call7876
  *var_nextTok = call7876;
  if (call7876 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2467
  setline(2467);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2462
  setline(2462);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7878 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7878 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7880 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7880
  Object if7877 = done;
  if (istrue(opresult7880)) {
// Begin line 2463
  setline(2463);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7881 = gc_frame_new();
  if (strlit7882 == NULL) {
    strlit7882 = alloc_String(" ""\xc2""""\xab""parent""\xc2""""\xbb""");
    gc_root(strlit7882);
  }
// compilenode returning strlit7882
  gc_frame_newslot(strlit7882);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7882;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7883 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7881);
// compilenode returning call7883
    gc_frame_newslot(call7883);
    if7877 = call7883;
  } else {
// Begin line 2465
  setline(2465);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7884 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7885 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7886 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7885);
// compilenode returning call7886
// compilenode returning call7886
  gc_frame_newslot(call7886);
  Object bool7887 = alloc_Boolean(1);
// compilenode returning bool7887
  gc_frame_newslot(bool7887);
  Object bool7888 = alloc_Boolean(0);
// compilenode returning bool7888
  gc_frame_newslot(bool7888);
  if (strlit7889 == NULL) {
    strlit7889 = alloc_String(" ""\xc2""""\xab""parent""\xc2""""\xbb""");
    gc_root(strlit7889);
  }
// compilenode returning strlit7889
  gc_frame_newslot(strlit7889);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7886;
  params[2] = bool7887;
  params[3] = bool7888;
  params[4] = strlit7889;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7890 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7884);
// compilenode returning call7890
    gc_frame_newslot(call7890);
    if7877 = call7890;
  }
// compilenode returning if7877
// Begin line 2467
  setline(2467);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7891 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7892 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7891);
// compilenode returning call7892
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7893 = gc_frame_new();
  int callframe7894 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7895 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7894);
// compilenode returning call7895
// compilenode returning call7895
  partcv[0] = 0;
  Object call7896 = callmethod(call7895, "new",
    1, partcv, params);
  gc_frame_end(callframe7893);
// compilenode returning call7896
// compilenode returning call7896
  *var_suggestion = call7896;
  if (call7896 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7898 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe7899 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7900 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7899);
// compilenode returning call7900
// compilenode returning call7900
  gc_frame_newslot(call7900);
  Object bool7901 = alloc_Boolean(1);
// compilenode returning bool7901
  gc_frame_newslot(bool7901);
  Object bool7902 = alloc_Boolean(0);
// compilenode returning bool7902
  gc_frame_newslot(bool7902);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call7900;
  params[2] = bool7901;
  params[3] = bool7902;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7903 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7898);
// compilenode returning call7903
// Begin line 2470
  setline(2470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7904 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7905 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7904);
// compilenode returning call7905
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7906 = gc_frame_new();
  if (strlit7907 == NULL) {
    strlit7907 = alloc_String("An inheritance statement must have the object being inherited from after the 'inherits'.");
    gc_root(strlit7907);
  }
// compilenode returning strlit7907
  gc_frame_newslot(strlit7907);
// Begin line 2472
  setline(2472);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7908 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7909 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7908);
// compilenode returning call7909
// compilenode returning call7909
  gc_frame_newslot(call7909);
  Object num7911 = alloc_Float64(1);
// compilenode returning num7911
  int op_slot_right_7910 = gc_frame_newslot(num7911);
  int callframe7914 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7915 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7914);
// compilenode returning call7915
// compilenode returning call7915
  int op_slot_right_7913 = gc_frame_newslot(call7915);
  int callframe7917 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7918 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7917);
// compilenode returning call7918
// compilenode returning call7918
  int op_slot_left_7913 = gc_frame_newslot(call7918);
  params[0] = call7915;
  partcv[0] = 1;
  Object sum7919 = callmethod(call7918, "+", 1, partcv, params);
// compilenode returning sum7919
  int op_slot_left_7910 = gc_frame_newslot(sum7919);
  params[0] = num7911;
  partcv[0] = 1;
  Object sum7920 = callmethod(sum7919, "+", 1, partcv, params);
// compilenode returning sum7920
  gc_frame_newslot(sum7920);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7907;
  params[1] = call7909;
  params[2] = sum7920;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7921 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7906);
// compilenode returning call7921
    gc_frame_newslot(call7921);
    if7859 = call7921;
  } else {
  }
// compilenode returning if7859
// Begin line 2475
  setline(2475);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2474
  setline(2474);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7922 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7923 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7922);
// compilenode returning call7923
// compilenode returning call7923
  *var_tmp = call7923;
  if (call7923 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2475
  setline(2475);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7924 = gc_frame_new();
  int callframe7925 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
  int callframe7926 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7927 = callmethod(*var_ast, "inheritsNode",
    1, partcv, params);
  gc_frame_end(callframe7926);
// compilenode returning call7927
// compilenode returning call7927
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7928 = callmethod(call7927, "new",
    1, partcv, params);
  gc_frame_end(callframe7925);
// compilenode returning call7928
  gc_frame_newslot(call7928);
// compilenode returning *var_values
  params[0] = call7928;
  partcv[0] = 1;
  Object call7929 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7924);
// compilenode returning call7929
    gc_frame_newslot(call7929);
    if7842 = call7929;
  } else {
  }
// compilenode returning if7842
  gc_frame_end(frame);
  return if7842;
}
Object meth_parser__apply7960(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit7962 == NULL) {
    strlit7962 = alloc_String("rbrace");
    gc_root(strlit7962);
  }
// compilenode returning strlit7962
  int op_slot_right_7961 = gc_frame_newslot(strlit7962);
  int callframe7964 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call7965 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe7964);
// compilenode returning call7965
// compilenode returning call7965
  int op_slot_left_7961 = gc_frame_newslot(call7965);
  params[0] = strlit7962;
  partcv[0] = 1;
  Object opresult7966 = callmethod(call7965, "==", 1, partcv, params);
// compilenode returning opresult7966
  gc_frame_end(frame);
  return opresult7966;
}
Object meth_parser__apply8028(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8029 = gc_frame_new();
  int callframe8030 = gc_frame_new();
  if (strlit8031 == NULL) {
    strlit8031 = alloc_String("rbrace");
    gc_root(strlit8031);
  }
// compilenode returning strlit8031
  gc_frame_newslot(strlit8031);
  params[0] = strlit8031;
  partcv[0] = 1;
  Object call8032 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8030);
// compilenode returning call8032
  partcv[0] = 0;
  Object call8033 = callmethod(call8032, "not",
    1, partcv, params);
  gc_frame_end(callframe8029);
// compilenode returning call8033
// compilenode returning call8033
  gc_frame_end(frame);
  return call8033;
}
Object meth_parser__apply8036(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sz = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 2513
  setline(2513);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8037 = gc_frame_new();
  partcv[0] = 0;
  Object call8038 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8037);
// compilenode returning call8038
// Begin line 2514
  setline(2514);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8039 = gc_frame_new();
  partcv[0] = 0;
  Object call8040 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8039);
// compilenode returning call8040
// Begin line 2515
  setline(2515);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8041 = gc_frame_new();
  partcv[0] = 0;
  Object call8042 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8041);
// compilenode returning call8042
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8045 == NULL) {
    strlit8045 = alloc_String("eof");
    gc_root(strlit8045);
  }
// compilenode returning strlit8045
  int op_slot_right_8044 = gc_frame_newslot(strlit8045);
  int callframe8047 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8048 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8047);
// compilenode returning call8048
// compilenode returning call8048
  int op_slot_left_8044 = gc_frame_newslot(call8048);
  params[0] = strlit8045;
  partcv[0] = 1;
  Object opresult8049 = callmethod(call8048, "==", 1, partcv, params);
// compilenode returning opresult8049
  Object if8043 = done;
  if (istrue(opresult8049)) {
// Begin line 2523
  setline(2523);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2517
  setline(2517);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8052 == NULL) {
    strlit8052 = alloc_String("rbrace");
    gc_root(strlit8052);
  }
// compilenode returning strlit8052
  int op_slot_right_8051 = gc_frame_newslot(strlit8052);
  int callframe8054 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8055 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8054);
// compilenode returning call8055
// compilenode returning call8055
  int op_slot_left_8051 = gc_frame_newslot(call8055);
  params[0] = strlit8052;
  partcv[0] = 1;
  Object opresult8056 = callmethod(call8055, "!=", 1, partcv, params);
// compilenode returning opresult8056
  Object if8050 = done;
  if (istrue(opresult8056)) {
// Begin line 2519
  setline(2519);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2518
  setline(2518);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8057 = gc_frame_new();
  int callframe8058 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8059 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8058);
// compilenode returning call8059
// compilenode returning call8059
  partcv[0] = 0;
  Object call8060 = callmethod(call8059, "new",
    1, partcv, params);
  gc_frame_end(callframe8057);
// compilenode returning call8060
// compilenode returning call8060
  *var_suggestion = call8060;
  if (call8060 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2519
  setline(2519);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8061 = gc_frame_new();
  if (strlit8062 == NULL) {
    strlit8062 = alloc_String("}");
    gc_root(strlit8062);
  }
// compilenode returning strlit8062
  gc_frame_newslot(strlit8062);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8062;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8063 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8061);
// compilenode returning call8063
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8064 = gc_frame_new();
  if (strlit8065 == NULL) {
    strlit8065 = alloc_String("An object must end with a '}'.");
    gc_root(strlit8065);
  }
// compilenode returning strlit8065
  gc_frame_newslot(strlit8065);
// Begin line 2521
  setline(2521);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8066 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8067 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8066);
// compilenode returning call8067
// compilenode returning call8067
  gc_frame_newslot(call8067);
  int callframe8069 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8070 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8069);
// compilenode returning call8070
// compilenode returning call8070
  int op_slot_right_8068 = gc_frame_newslot(call8070);
  int callframe8072 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8073 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8072);
// compilenode returning call8073
// compilenode returning call8073
  int op_slot_left_8068 = gc_frame_newslot(call8073);
  params[0] = call8070;
  partcv[0] = 1;
  Object sum8074 = callmethod(call8073, "+", 1, partcv, params);
// compilenode returning sum8074
  gc_frame_newslot(sum8074);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8065;
  params[1] = call8067;
  params[2] = sum8074;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8075 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8064);
// compilenode returning call8075
    gc_frame_newslot(call8075);
    if8050 = call8075;
  } else {
  }
// compilenode returning if8050
    gc_frame_newslot(if8050);
    if8043 = if8050;
  } else {
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2523
  setline(2523);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8079 == NULL) {
    strlit8079 = alloc_String("semicolon");
    gc_root(strlit8079);
  }
// compilenode returning strlit8079
  int op_slot_right_8078 = gc_frame_newslot(strlit8079);
  int callframe8081 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8082 = callmethod(*var_lastToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe8081);
// compilenode returning call8082
// compilenode returning call8082
  int op_slot_left_8078 = gc_frame_newslot(call8082);
  params[0] = strlit8079;
  partcv[0] = 1;
  Object opresult8083 = callmethod(call8082, "!=", 1, partcv, params);
// compilenode returning opresult8083
  int op_slot_right_8077 = gc_frame_newslot(opresult8083);
// compilenode returning *var_sz
  int op_slot_right_8085 = gc_frame_newslot(*var_sz);
  int callframe8087 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8088 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8087);
// compilenode returning call8088
// compilenode returning call8088
  int op_slot_left_8085 = gc_frame_newslot(call8088);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult8089 = callmethod(call8088, "==", 1, partcv, params);
// compilenode returning opresult8089
  int op_slot_left_8077 = gc_frame_newslot(opresult8089);
  params[0] = opresult8083;
  partcv[0] = 1;
  Object opresult8090 = callmethod(opresult8089, "&&", 1, partcv, params);
// compilenode returning opresult8090
  Object if8076 = done;
  if (istrue(opresult8090)) {
// Begin line 2525
  setline(2525);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2524
  setline(2524);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8091 = gc_frame_new();
  int callframe8092 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8093 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8092);
// compilenode returning call8093
// compilenode returning call8093
  partcv[0] = 0;
  Object call8094 = callmethod(call8093, "new",
    1, partcv, params);
  gc_frame_end(callframe8091);
// compilenode returning call8094
// compilenode returning call8094
  *var_suggestion = call8094;
  if (call8094 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2525
  setline(2525);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8095 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call8096 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe8095);
// compilenode returning call8096
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8097 = gc_frame_new();
  if (strlit8098 == NULL) {
    strlit8098 = alloc_String("An object can only contain variable, constant, and method declarations; and statements.");
    gc_root(strlit8098);
  }
// compilenode returning strlit8098
  gc_frame_newslot(strlit8098);
// Begin line 2527
  setline(2527);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8099 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8100 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8099);
// compilenode returning call8100
// compilenode returning call8100
  gc_frame_newslot(call8100);
  int callframe8101 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8102 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8101);
// compilenode returning call8102
// compilenode returning call8102
  gc_frame_newslot(call8102);
  Object num8104 = alloc_Float64(1);
// compilenode returning num8104
  int op_slot_right_8103 = gc_frame_newslot(num8104);
  int callframe8107 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8108 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe8107);
// compilenode returning call8108
// compilenode returning call8108
  int op_slot_right_8106 = gc_frame_newslot(call8108);
  int callframe8110 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8111 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8110);
// compilenode returning call8111
// compilenode returning call8111
  int op_slot_left_8106 = gc_frame_newslot(call8111);
  params[0] = call8108;
  partcv[0] = 1;
  Object sum8112 = callmethod(call8111, "+", 1, partcv, params);
// compilenode returning sum8112
  int op_slot_left_8103 = gc_frame_newslot(sum8112);
  params[0] = num8104;
  partcv[0] = 1;
  Object diff8113 = callmethod(sum8112, "-", 1, partcv, params);
// compilenode returning diff8113
  gc_frame_newslot(diff8113);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8098;
  params[1] = call8100;
  params[2] = call8102;
  params[3] = diff8113;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call8114 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8097);
// compilenode returning call8114
    gc_frame_newslot(call8114);
    if8076 = call8114;
  } else {
  }
// compilenode returning if8076
    gc_frame_newslot(if8076);
    if8043 = if8076;
  }
// compilenode returning if8043
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8115 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8116 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8115);
// compilenode returning call8116
// compilenode returning call8116
  *var_sz = call8116;
  if (call8116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply8127(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit8129 == NULL) {
    strlit8129 = alloc_String("lbrace");
    gc_root(strlit8129);
  }
// compilenode returning strlit8129
  int op_slot_right_8128 = gc_frame_newslot(strlit8129);
  int callframe8131 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call8132 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe8131);
// compilenode returning call8132
// compilenode returning call8132
  int op_slot_left_8128 = gc_frame_newslot(call8132);
  params[0] = strlit8129;
  partcv[0] = 1;
  Object opresult8133 = callmethod(call8132, "!=", 1, partcv, params);
// compilenode returning opresult8133
  gc_frame_end(frame);
  return opresult8133;
}
Object meth_parser__apply8136(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_rbody = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2535
  setline(2535);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8137 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_rbody
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8138 = callmethod(*var_rbody, "push",
    1, partcv, params);
  gc_frame_end(callframe8137);
// compilenode returning call8138
// Begin line 2537
  setline(2537);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8139 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8140 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8139);
// compilenode returning call8140
// compilenode returning call8140
  *var_n = call8140;
  if (call8140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply8149(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_rbody = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 2542
  setline(2542);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2541
  setline(2541);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8150 = gc_frame_new();
// compilenode returning *var_rbody
  partcv[0] = 0;
  Object call8151 = callmethod(*var_rbody, "pop",
    1, partcv, params);
  gc_frame_end(callframe8150);
// compilenode returning call8151
// compilenode returning call8151
  *var_p = call8151;
  if (call8151 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2542
  setline(2542);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8152 = gc_frame_new();
// compilenode returning *var_p
  gc_frame_newslot(*var_p);
// compilenode returning *var_body
  params[0] = *var_p;
  partcv[0] = 1;
  Object call8153 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8152);
// compilenode returning call8153
  gc_frame_end(frame);
  return call8153;
}
Object meth_parser_doobject7930(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 46, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doobject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_statementToken = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doobject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doobject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_superclass = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "superclass");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
  Object *var_sz = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "sz");
  Object *var_rbody = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "rbody");
  Object *var_n = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "n");
  Object *var_body = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "body");
  Object *var_o = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "o");
// Begin line 2549
  setline(2549);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7934 == NULL) {
    strlit7934 = alloc_String("object");
    gc_root(strlit7934);
  }
// compilenode returning strlit7934
  int op_slot_right_7933 = gc_frame_newslot(strlit7934);
  int callframe7936 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7937 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7936);
// compilenode returning call7937
// compilenode returning call7937
  int op_slot_left_7933 = gc_frame_newslot(call7937);
  params[0] = strlit7934;
  partcv[0] = 1;
  Object opresult7938 = callmethod(call7937, "==", 1, partcv, params);
// compilenode returning opresult7938
  int op_slot_right_7932 = gc_frame_newslot(opresult7938);
  int callframe7940 = gc_frame_new();
  if (strlit7941 == NULL) {
    strlit7941 = alloc_String("keyword");
    gc_root(strlit7941);
  }
// compilenode returning strlit7941
  gc_frame_newslot(strlit7941);
  params[0] = strlit7941;
  partcv[0] = 1;
  Object call7942 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7940);
// compilenode returning call7942
  int op_slot_left_7932 = gc_frame_newslot(call7942);
  params[0] = opresult7938;
  partcv[0] = 1;
  Object opresult7943 = callmethod(call7942, "&&", 1, partcv, params);
// compilenode returning opresult7943
  Object if7931 = done;
  if (istrue(opresult7943)) {
// Begin line 2484
  setline(2484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2485
  setline(2485);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2484
  setline(2484);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2485
  setline(2485);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7944 = gc_frame_new();
  partcv[0] = 0;
  Object call7945 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7944);
// compilenode returning call7945
// Begin line 2487
  setline(2487);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7946 = alloc_Boolean(0);
// compilenode returning bool7946
  *var_superclass = bool7946;
  if (bool7946 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2498
  setline(2498);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2487
  setline(2487);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7949 == NULL) {
    strlit7949 = alloc_String("lbrace");
    gc_root(strlit7949);
  }
// compilenode returning strlit7949
  int op_slot_right_7948 = gc_frame_newslot(strlit7949);
  int callframe7951 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7952 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7951);
// compilenode returning call7952
// compilenode returning call7952
  int op_slot_left_7948 = gc_frame_newslot(call7952);
  params[0] = strlit7949;
  partcv[0] = 1;
  Object opresult7953 = callmethod(call7952, "!=", 1, partcv, params);
// compilenode returning opresult7953
  Object if7947 = done;
  if (istrue(opresult7953)) {
// Begin line 2489
  setline(2489);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2488
  setline(2488);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7954 = gc_frame_new();
  int callframe7955 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7956 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7955);
// compilenode returning call7956
// compilenode returning call7956
  partcv[0] = 0;
  Object call7957 = callmethod(call7956, "new",
    1, partcv, params);
  gc_frame_end(callframe7954);
// compilenode returning call7957
// compilenode returning call7957
  *var_suggestion = call7957;
  if (call7957 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2489
  setline(2489);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7958 = gc_frame_new();
  Object block7959 = alloc_Block(NULL, NULL, "parser", 2489);
  gc_frame_newslot(block7959);
  block_savedest(block7959);
  Object closure7960 = createclosure(1, "_apply");
  setclosureframe(closure7960, stackframe);
  addtoclosure(closure7960, selfslot);
  struct UserObject *uo7960 = (struct UserObject*)block7959;
  uo7960->data[0] = (Object)closure7960;
  Method *meth_meth_parser__apply7960 = addmethod2pos(block7959, "_apply", &meth_parser__apply7960, 0);
int argcv_meth_parser__apply7960[] = {1};
meth_meth_parser__apply7960->type = alloc_MethodType(1, argcv_meth_parser__apply7960);
  meth_meth_parser__apply7960->definitionModule = modulename;
  meth_meth_parser__apply7960->definitionLine = 2488;
// compilenode returning block7959
  gc_frame_newslot(block7959);
  params[0] = block7959;
  partcv[0] = 1;
  Object call7968 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7958);
// compilenode returning call7968
  *var_nextTok = call7968;
  if (call7968 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2490
  setline(2490);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7971 = alloc_Boolean(0);
// compilenode returning bool7971
  int op_slot_right_7970 = gc_frame_newslot(bool7971);
// compilenode returning *var_nextTok
  int op_slot_left_7970 = gc_frame_newslot(*var_nextTok);
  params[0] = bool7971;
  partcv[0] = 1;
  Object opresult7973 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7973
  Object if7969 = done;
  if (istrue(opresult7973)) {
// Begin line 2491
  setline(2491);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7974 = gc_frame_new();
  if (strlit7975 == NULL) {
    strlit7975 = alloc_String(" {}");
    gc_root(strlit7975);
  }
// compilenode returning strlit7975
  gc_frame_newslot(strlit7975);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7975;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7976 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7974);
// compilenode returning call7976
    gc_frame_newslot(call7976);
    if7969 = call7976;
  } else {
// Begin line 2493
  setline(2493);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7977 = gc_frame_new();
  if (strlit7978 == NULL) {
    strlit7978 = alloc_String(" {");
    gc_root(strlit7978);
  }
// compilenode returning strlit7978
  gc_frame_newslot(strlit7978);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7978;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7979 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7977);
// compilenode returning call7979
    gc_frame_newslot(call7979);
    if7969 = call7979;
  }
// compilenode returning if7969
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7980 = gc_frame_new();
  if (strlit7981 == NULL) {
    strlit7981 = alloc_String("An object must have a '{' afer the 'object'.");
    gc_root(strlit7981);
  }
// compilenode returning strlit7981
  gc_frame_newslot(strlit7981);
// Begin line 2496
  setline(2496);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7982 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7983 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7982);
// compilenode returning call7983
// compilenode returning call7983
  gc_frame_newslot(call7983);
  int callframe7985 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7986 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7985);
// compilenode returning call7986
// compilenode returning call7986
  int op_slot_right_7984 = gc_frame_newslot(call7986);
  int callframe7988 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7989 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7988);
// compilenode returning call7989
// compilenode returning call7989
  int op_slot_left_7984 = gc_frame_newslot(call7989);
  params[0] = call7986;
  partcv[0] = 1;
  Object sum7990 = callmethod(call7989, "+", 1, partcv, params);
// compilenode returning sum7990
  gc_frame_newslot(sum7990);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7981;
  params[1] = call7983;
  params[2] = sum7990;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7991 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7980);
// compilenode returning call7991
    gc_frame_newslot(call7991);
    if7947 = call7991;
  } else {
  }
// compilenode returning if7947
// Begin line 2498
  setline(2498);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7992 = gc_frame_new();
  Object inheritingObject7993 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7993 = alloc_userobj2(4,4, objclass7993);
  gc_frame_newslot(obj7993);
// OBJECT OUTER DEC outer
  adddatum2(obj7993, self, 0);
  addmethodreal(obj7993,"outer", &reader_parser_outer_7994);
  Object oldself7993 = self;
  struct StackFrameObject *oldstackframe7993 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7993);
  gc_frame_newslot((Object)stackframe);
  self = obj7993;
  Object *oldselfslot7993 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7993 = (*(struct UserObject *)self).data[0], lowerouter7993 = thisouter7993;
  if (inheritingObject7993) {
    struct UserObject *inho7993 = (struct UserObject *)inheritingObject7993;
    while (inho7993->super != GraceDefaultObject) inho7993 = (struct UserObject *)inho7993->super;
    inho7993->super = obj7993;
    self = inheritingObject7993;
    *selfslot = self;
    lowerouter7993 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7993;
  }
if (objclass7993 == NULL) {
  Method *reader7995 = addmethodrealflags(obj7993, "kind",&reader_parser_kind_7995, 0);
  Method *writer7995 = addmethodrealflags(obj7993, "kind:=",&writer_parser_kind_7995, 0);
  reader7995->definitionModule = modulename;
  writer7995->definitionModule = modulename;
  reader7995->definitionLine = 2500;
  writer7995->definitionLine = 2500;
}
obj7993->flags |= OFLAG_MUTABLE;
adddatum2(obj7993, alloc_Undefined(), 1);
if (objclass7993 == NULL) {
  Method *reader7996 = addmethodrealflags(obj7993, "register",&reader_parser_register_7996, 0);
  Method *writer7996 = addmethodrealflags(obj7993, "register:=",&writer_parser_register_7996, 0);
  reader7996->definitionModule = modulename;
  writer7996->definitionModule = modulename;
  reader7996->definitionLine = 2501;
  writer7996->definitionLine = 2501;
}
obj7993->flags |= OFLAG_MUTABLE;
adddatum2(obj7993, alloc_Undefined(), 2);
  sourceObject = obj7993;
// Begin line 2499
  setline(2499);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7997 == NULL) {
    strlit7997 = alloc_String("lbrace");
    gc_root(strlit7997);
  }
// compilenode returning strlit7997
  adddatum2(obj7993, strlit7997, 1);
  sourceObject = obj7993;
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7998 == NULL) {
    strlit7998 = alloc_String("");
    gc_root(strlit7998);
  }
// compilenode returning strlit7998
  adddatum2(obj7993, strlit7998, 2);
objclass7993 = obj7993->class;
  objclass7993->definitionModule = modulename;
  objclass7993->definitionLine = 2498;
  (*(struct UserObject *)self).data[0] = lowerouter7993;
  self = oldself7993;
  selfslot = oldselfslot7993;
  stackframe = oldstackframe7993;
// compilenode returning obj7993
  gc_frame_newslot(obj7993);
// Begin line 2498
  setline(2498);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  params[0] = obj7993;
  partcv[0] = 1;
  Object call7999 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7992);
// compilenode returning call7999
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8000 = gc_frame_new();
  partcv[0] = 0;
  Object call8001 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8000);
// compilenode returning call8001
// Begin line 2508
  setline(2508);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2503
  setline(2503);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8004 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8005 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8004);
// compilenode returning call8005
// compilenode returning call8005
  int op_slot_right_8003 = gc_frame_newslot(call8005);
  int callframe8007 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8008 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8007);
// compilenode returning call8008
// compilenode returning call8008
  int op_slot_left_8003 = gc_frame_newslot(call8008);
  params[0] = call8005;
  partcv[0] = 1;
  Object opresult8009 = callmethod(call8008, "==", 1, partcv, params);
// compilenode returning opresult8009
  Object if8002 = done;
  if (istrue(opresult8009)) {
// Begin line 2505
  setline(2505);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2504
  setline(2504);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8011 = alloc_Float64(1);
// compilenode returning num8011
  int op_slot_right_8010 = gc_frame_newslot(num8011);
  int callframe8013 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8014 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8013);
// compilenode returning call8014
// compilenode returning call8014
  int op_slot_left_8010 = gc_frame_newslot(call8014);
  params[0] = num8011;
  partcv[0] = 1;
  Object diff8015 = callmethod(call8014, "-", 1, partcv, params);
// compilenode returning diff8015
  *var_minIndentLevel = diff8015;
  if (diff8015 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8002 = done;
  } else {
// Begin line 2507
  setline(2507);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2506
  setline(2506);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8018 = alloc_Float64(1);
// compilenode returning num8018
  int op_slot_right_8017 = gc_frame_newslot(num8018);
  int callframe8020 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8021 = callmethod(*var_statementToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe8020);
// compilenode returning call8021
// compilenode returning call8021
  int op_slot_left_8017 = gc_frame_newslot(call8021);
  params[0] = num8018;
  partcv[0] = 1;
  Object sum8022 = callmethod(call8021, "+", 1, partcv, params);
// compilenode returning sum8022
  *var_minIndentLevel = sum8022;
  if (sum8022 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8002 = done;
  }
// compilenode returning if8002
// Begin line 2509
  setline(2509);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2508
  setline(2508);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8024 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8025 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8024);
// compilenode returning call8025
// compilenode returning call8025
  *var_sz = call8025;
  if (call8025 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2509
  setline(2509);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8026 = gc_frame_new();
  Object block8027 = alloc_Block(NULL, NULL, "parser", 2509);
  gc_frame_newslot(block8027);
  block_savedest(block8027);
  Object closure8028 = createclosure(1, "_apply");
  setclosureframe(closure8028, stackframe);
  addtoclosure(closure8028, selfslot);
  struct UserObject *uo8028 = (struct UserObject*)block8027;
  uo8028->data[0] = (Object)closure8028;
  Method *meth_meth_parser__apply8028 = addmethod2pos(block8027, "_apply", &meth_parser__apply8028, 0);
int argcv_meth_parser__apply8028[] = {0};
meth_meth_parser__apply8028->type = alloc_MethodType(1, argcv_meth_parser__apply8028);
  meth_meth_parser__apply8028->definitionModule = modulename;
  meth_meth_parser__apply8028->definitionLine = 2508;
// compilenode returning block8027
  gc_frame_newslot(block8027);
  Object block8035 = alloc_Block(NULL, NULL, "parser", 2509);
  gc_frame_newslot(block8035);
  block_savedest(block8035);
  Object closure8036 = createclosure(6, "_apply");
  setclosureframe(closure8036, stackframe);
  addtoclosure(closure8036, var_sym);
  addtoclosure(closure8036, var_errormessages);
  addtoclosure(closure8036, var_lastToken);
  addtoclosure(closure8036, var_sz);
  addtoclosure(closure8036, var_values);
  addtoclosure(closure8036, selfslot);
  struct UserObject *uo8036 = (struct UserObject*)block8035;
  uo8036->data[0] = (Object)closure8036;
  Method *meth_meth_parser__apply8036 = addmethod2pos(block8035, "_apply", &meth_parser__apply8036, 0);
int argcv_meth_parser__apply8036[] = {0};
meth_meth_parser__apply8036->type = alloc_MethodType(1, argcv_meth_parser__apply8036);
  meth_meth_parser__apply8036->definitionModule = modulename;
  meth_meth_parser__apply8036->definitionLine = 2509;
// compilenode returning block8035
  gc_frame_newslot(block8035);
  params[0] = block8027;
  params[1] = block8035;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8119 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8026);
// compilenode returning call8119
// Begin line 2531
  setline(2531);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8120 = gc_frame_new();
  partcv[0] = 0;
  Object call8121 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8120);
// compilenode returning call8121
// Begin line 2533
  setline(2533);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2532
  setline(2532);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8122 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8122
  *var_rbody = array8122;
  if (array8122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2534
  setline(2534);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2533
  setline(2533);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8123 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8124 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8123);
// compilenode returning call8124
// compilenode returning call8124
  *var_n = call8124;
  if (call8124 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2534
  setline(2534);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8125 = gc_frame_new();
  Object block8126 = alloc_Block(NULL, NULL, "parser", 2534);
  gc_frame_newslot(block8126);
  block_savedest(block8126);
  Object closure8127 = createclosure(2, "_apply");
  setclosureframe(closure8127, stackframe);
  addtoclosure(closure8127, var_n);
  addtoclosure(closure8127, selfslot);
  struct UserObject *uo8127 = (struct UserObject*)block8126;
  uo8127->data[0] = (Object)closure8127;
  Method *meth_meth_parser__apply8127 = addmethod2pos(block8126, "_apply", &meth_parser__apply8127, 0);
int argcv_meth_parser__apply8127[] = {0};
meth_meth_parser__apply8127->type = alloc_MethodType(1, argcv_meth_parser__apply8127);
  meth_meth_parser__apply8127->definitionModule = modulename;
  meth_meth_parser__apply8127->definitionLine = 2533;
// compilenode returning block8126
  gc_frame_newslot(block8126);
  Object block8135 = alloc_Block(NULL, NULL, "parser", 2534);
  gc_frame_newslot(block8135);
  block_savedest(block8135);
  Object closure8136 = createclosure(4, "_apply");
  setclosureframe(closure8136, stackframe);
  addtoclosure(closure8136, var_n);
  addtoclosure(closure8136, var_rbody);
  addtoclosure(closure8136, var_values);
  addtoclosure(closure8136, selfslot);
  struct UserObject *uo8136 = (struct UserObject*)block8135;
  uo8136->data[0] = (Object)closure8136;
  Method *meth_meth_parser__apply8136 = addmethod2pos(block8135, "_apply", &meth_parser__apply8136, 0);
int argcv_meth_parser__apply8136[] = {0};
meth_meth_parser__apply8136->type = alloc_MethodType(1, argcv_meth_parser__apply8136);
  meth_meth_parser__apply8136->definitionModule = modulename;
  meth_meth_parser__apply8136->definitionLine = 2534;
// compilenode returning block8135
  gc_frame_newslot(block8135);
  params[0] = block8126;
  params[1] = block8135;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8143 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8125);
// compilenode returning call8143
// Begin line 2539
  setline(2539);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2538
  setline(2538);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8144 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8144
  *var_body = array8144;
  if (array8144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2539
  setline(2539);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8145 = gc_frame_new();
  int callframe8146 = gc_frame_new();
// compilenode returning *var_rbody
  partcv[0] = 0;
  Object call8147 = callmethod(*var_rbody, "indices",
    1, partcv, params);
  gc_frame_end(callframe8146);
// compilenode returning call8147
// compilenode returning call8147
  gc_frame_newslot(call8147);
  Object block8148 = alloc_Block(NULL, NULL, "parser", 2539);
  gc_frame_newslot(block8148);
  block_savedest(block8148);
  Object closure8149 = createclosure(3, "_apply");
  setclosureframe(closure8149, stackframe);
  addtoclosure(closure8149, var_rbody);
  addtoclosure(closure8149, var_body);
  addtoclosure(closure8149, selfslot);
  struct UserObject *uo8149 = (struct UserObject*)block8148;
  uo8149->data[0] = (Object)closure8149;
  Method *meth_meth_parser__apply8149 = addmethod2pos(block8148, "_apply", &meth_parser__apply8149, 0);
int argcv_meth_parser__apply8149[] = {1};
meth_meth_parser__apply8149->type = alloc_MethodType(1, argcv_meth_parser__apply8149);
  meth_meth_parser__apply8149->definitionModule = modulename;
  meth_meth_parser__apply8149->definitionLine = 2539;
// compilenode returning block8148
  gc_frame_newslot(block8148);
  params[0] = call8147;
  params[1] = block8148;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8155 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8145);
// compilenode returning call8155
// Begin line 2544
  setline(2544);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8156 = gc_frame_new();
  int callframe8157 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call8158 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8157);
// compilenode returning call8158
// compilenode returning call8158
  gc_frame_newslot(call8158);
// compilenode returning *var_util
  params[0] = call8158;
  partcv[0] = 1;
  Object call8159 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8156);
// compilenode returning call8159
// Begin line 2545
  setline(2545);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8160 = gc_frame_new();
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_superclass
  gc_frame_newslot(*var_superclass);
  int callframe8161 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8162 = callmethod(*var_ast, "objectNode",
    1, partcv, params);
  gc_frame_end(callframe8161);
// compilenode returning call8162
// compilenode returning call8162
  params[0] = *var_body;
  params[1] = *var_superclass;
  partcv[0] = 2;
  Object call8163 = callmethod(call8162, "new",
    1, partcv, params);
  gc_frame_end(callframe8160);
// compilenode returning call8163
  *var_o = call8163;
  if (call8163 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2546
  setline(2546);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8164 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8165 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8164);
// compilenode returning call8165
// Begin line 2548
  setline(2548);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2547
  setline(2547);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMinIndentLevel
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7931 = done;
  } else {
  }
// compilenode returning if7931
  gc_frame_end(frame);
  return if7931;
}
Object meth_parser__apply8357(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit8359 == NULL) {
    strlit8359 = alloc_String("eof");
    gc_root(strlit8359);
  }
// compilenode returning strlit8359
  int op_slot_right_8358 = gc_frame_newslot(strlit8359);
  int callframe8361 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8362 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8361);
// compilenode returning call8362
// compilenode returning call8362
  int op_slot_left_8358 = gc_frame_newslot(call8362);
  params[0] = strlit8359;
  partcv[0] = 1;
  Object opresult8363 = callmethod(call8362, "!=", 1, partcv, params);
// compilenode returning opresult8363
  gc_frame_end(frame);
  return opresult8363;
}
Object meth_parser__apply8354(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8355 = gc_frame_new();
  Object block8356 = alloc_Block(NULL, NULL, "parser", 2613);
  gc_frame_newslot(block8356);
  block_savedest(block8356);
  Object closure8357 = createclosure(2, "_apply");
  setclosureframe(closure8357, stackframe);
  addtoclosure(closure8357, var_sym);
  addtoclosure(closure8357, selfslot);
  struct UserObject *uo8357 = (struct UserObject*)block8356;
  uo8357->data[0] = (Object)closure8357;
  Method *meth_meth_parser__apply8357 = addmethod2pos(block8356, "_apply", &meth_parser__apply8357, 0);
int argcv_meth_parser__apply8357[] = {0};
meth_meth_parser__apply8357->type = alloc_MethodType(1, argcv_meth_parser__apply8357);
  meth_meth_parser__apply8357->definitionModule = modulename;
  meth_meth_parser__apply8357->definitionLine = 2610;
// compilenode returning block8356
  gc_frame_newslot(block8356);
  int callframe8365 = gc_frame_new();
  int callframe8366 = gc_frame_new();
  if (strlit8367 == NULL) {
    strlit8367 = alloc_String("rbrace");
    gc_root(strlit8367);
  }
// compilenode returning strlit8367
  gc_frame_newslot(strlit8367);
  params[0] = strlit8367;
  partcv[0] = 1;
  Object call8368 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8366);
// compilenode returning call8368
  partcv[0] = 0;
  Object call8369 = callmethod(call8368, "not",
    1, partcv, params);
  gc_frame_end(callframe8365);
// compilenode returning call8369
// compilenode returning call8369
  params[0] = block8356;
  partcv[0] = 1;
  Object call8370 = callmethod(call8369, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe8355);
// compilenode returning call8370
  gc_frame_end(frame);
  return call8370;
}
Object meth_parser__apply8376(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8377 = gc_frame_new();
  partcv[0] = 0;
  Object call8378 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8377);
// compilenode returning call8378
  gc_frame_end(frame);
  return call8378;
}
Object meth_parser__apply8381(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2615
  setline(2615);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8382 = gc_frame_new();
  int callframe8383 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8384 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8383);
// compilenode returning call8384
// compilenode returning call8384
  gc_frame_newslot(call8384);
// compilenode returning *var_body
  params[0] = call8384;
  partcv[0] = 1;
  Object call8385 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8382);
// compilenode returning call8385
  gc_frame_end(frame);
  return call8385;
}
Object meth_parser__apply8390(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8391 = gc_frame_new();
  partcv[0] = 0;
  Object call8392 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8391);
// compilenode returning call8392
  gc_frame_end(frame);
  return call8392;
}
Object meth_parser__apply8395(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2618
  setline(2618);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8396 = gc_frame_new();
  int callframe8397 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8398 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8397);
// compilenode returning call8398
// compilenode returning call8398
  gc_frame_newslot(call8398);
// compilenode returning *var_body
  params[0] = call8398;
  partcv[0] = 1;
  Object call8399 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8396);
// compilenode returning call8399
  gc_frame_end(frame);
  return call8399;
}
Object meth_parser__apply8404(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8405 = gc_frame_new();
  partcv[0] = 0;
  Object call8406 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8405);
// compilenode returning call8406
  gc_frame_end(frame);
  return call8406;
}
Object meth_parser__apply8409(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2621
  setline(2621);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8410 = gc_frame_new();
  int callframe8411 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8412 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8411);
// compilenode returning call8412
// compilenode returning call8412
  gc_frame_newslot(call8412);
// compilenode returning *var_body
  params[0] = call8412;
  partcv[0] = 1;
  Object call8413 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8410);
// compilenode returning call8413
  gc_frame_end(frame);
  return call8413;
}
Object meth_parser__apply8373(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2614
  setline(2614);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8374 = gc_frame_new();
  Object block8375 = alloc_Block(NULL, NULL, "parser", 2614);
  gc_frame_newslot(block8375);
  block_savedest(block8375);
  Object closure8376 = createclosure(1, "_apply");
  setclosureframe(closure8376, stackframe);
  addtoclosure(closure8376, selfslot);
  struct UserObject *uo8376 = (struct UserObject*)block8375;
  uo8376->data[0] = (Object)closure8376;
  Method *meth_meth_parser__apply8376 = addmethod2pos(block8375, "_apply", &meth_parser__apply8376, 0);
int argcv_meth_parser__apply8376[] = {0};
meth_meth_parser__apply8376->type = alloc_MethodType(1, argcv_meth_parser__apply8376);
  meth_meth_parser__apply8376->definitionModule = modulename;
  meth_meth_parser__apply8376->definitionLine = 2613;
// compilenode returning block8375
  gc_frame_newslot(block8375);
  Object block8380 = alloc_Block(NULL, NULL, "parser", 2614);
  gc_frame_newslot(block8380);
  block_savedest(block8380);
  Object closure8381 = createclosure(3, "_apply");
  setclosureframe(closure8381, stackframe);
  addtoclosure(closure8381, var_values);
  addtoclosure(closure8381, var_body);
  addtoclosure(closure8381, selfslot);
  struct UserObject *uo8381 = (struct UserObject*)block8380;
  uo8381->data[0] = (Object)closure8381;
  Method *meth_meth_parser__apply8381 = addmethod2pos(block8380, "_apply", &meth_parser__apply8381, 0);
int argcv_meth_parser__apply8381[] = {0};
meth_meth_parser__apply8381->type = alloc_MethodType(1, argcv_meth_parser__apply8381);
  meth_meth_parser__apply8381->definitionModule = modulename;
  meth_meth_parser__apply8381->definitionLine = 2613;
// compilenode returning block8380
  gc_frame_newslot(block8380);
  params[0] = block8375;
  params[1] = block8380;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8387 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8374);
// compilenode returning call8387
// Begin line 2617
  setline(2617);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8388 = gc_frame_new();
  Object block8389 = alloc_Block(NULL, NULL, "parser", 2617);
  gc_frame_newslot(block8389);
  block_savedest(block8389);
  Object closure8390 = createclosure(1, "_apply");
  setclosureframe(closure8390, stackframe);
  addtoclosure(closure8390, selfslot);
  struct UserObject *uo8390 = (struct UserObject*)block8389;
  uo8390->data[0] = (Object)closure8390;
  Method *meth_meth_parser__apply8390 = addmethod2pos(block8389, "_apply", &meth_parser__apply8390, 0);
int argcv_meth_parser__apply8390[] = {0};
meth_meth_parser__apply8390->type = alloc_MethodType(1, argcv_meth_parser__apply8390);
  meth_meth_parser__apply8390->definitionModule = modulename;
  meth_meth_parser__apply8390->definitionLine = 2615;
// compilenode returning block8389
  gc_frame_newslot(block8389);
  Object block8394 = alloc_Block(NULL, NULL, "parser", 2617);
  gc_frame_newslot(block8394);
  block_savedest(block8394);
  Object closure8395 = createclosure(3, "_apply");
  setclosureframe(closure8395, stackframe);
  addtoclosure(closure8395, var_values);
  addtoclosure(closure8395, var_body);
  addtoclosure(closure8395, selfslot);
  struct UserObject *uo8395 = (struct UserObject*)block8394;
  uo8395->data[0] = (Object)closure8395;
  Method *meth_meth_parser__apply8395 = addmethod2pos(block8394, "_apply", &meth_parser__apply8395, 0);
int argcv_meth_parser__apply8395[] = {0};
meth_meth_parser__apply8395->type = alloc_MethodType(1, argcv_meth_parser__apply8395);
  meth_meth_parser__apply8395->definitionModule = modulename;
  meth_meth_parser__apply8395->definitionLine = 2615;
// compilenode returning block8394
  gc_frame_newslot(block8394);
  params[0] = block8389;
  params[1] = block8394;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8401 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8388);
// compilenode returning call8401
// Begin line 2620
  setline(2620);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8402 = gc_frame_new();
  Object block8403 = alloc_Block(NULL, NULL, "parser", 2620);
  gc_frame_newslot(block8403);
  block_savedest(block8403);
  Object closure8404 = createclosure(1, "_apply");
  setclosureframe(closure8404, stackframe);
  addtoclosure(closure8404, selfslot);
  struct UserObject *uo8404 = (struct UserObject*)block8403;
  uo8404->data[0] = (Object)closure8404;
  Method *meth_meth_parser__apply8404 = addmethod2pos(block8403, "_apply", &meth_parser__apply8404, 0);
int argcv_meth_parser__apply8404[] = {0};
meth_meth_parser__apply8404->type = alloc_MethodType(1, argcv_meth_parser__apply8404);
  meth_meth_parser__apply8404->definitionModule = modulename;
  meth_meth_parser__apply8404->definitionLine = 2618;
// compilenode returning block8403
  gc_frame_newslot(block8403);
  Object block8408 = alloc_Block(NULL, NULL, "parser", 2620);
  gc_frame_newslot(block8408);
  block_savedest(block8408);
  Object closure8409 = createclosure(3, "_apply");
  setclosureframe(closure8409, stackframe);
  addtoclosure(closure8409, var_values);
  addtoclosure(closure8409, var_body);
  addtoclosure(closure8409, selfslot);
  struct UserObject *uo8409 = (struct UserObject*)block8408;
  uo8409->data[0] = (Object)closure8409;
  Method *meth_meth_parser__apply8409 = addmethod2pos(block8408, "_apply", &meth_parser__apply8409, 0);
int argcv_meth_parser__apply8409[] = {0};
meth_meth_parser__apply8409->type = alloc_MethodType(1, argcv_meth_parser__apply8409);
  meth_meth_parser__apply8409->definitionModule = modulename;
  meth_meth_parser__apply8409->definitionLine = 2618;
// compilenode returning block8408
  gc_frame_newslot(block8408);
  params[0] = block8403;
  params[1] = block8408;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8415 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8402);
// compilenode returning call8415
  gc_frame_end(frame);
  return call8415;
}
Object meth_parser_doclass8167(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 47, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(15, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doclass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[6];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_statementToken = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doclass (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doclass");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_cname = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cname");
  Object *var_s = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "s");
  Object *var_csig = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "csig");
  Object *var_methodName = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "methodName");
  Object *var_dtype = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "dtype");
  Object *var_anns = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "anns");
  Object *var_body = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "body");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
// Begin line 2644
  setline(2644);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2559
  setline(2559);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8171 == NULL) {
    strlit8171 = alloc_String("class");
    gc_root(strlit8171);
  }
// compilenode returning strlit8171
  int op_slot_right_8170 = gc_frame_newslot(strlit8171);
  int callframe8173 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8174 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8173);
// compilenode returning call8174
// compilenode returning call8174
  int op_slot_left_8170 = gc_frame_newslot(call8174);
  params[0] = strlit8171;
  partcv[0] = 1;
  Object opresult8175 = callmethod(call8174, "==", 1, partcv, params);
// compilenode returning opresult8175
  int op_slot_right_8169 = gc_frame_newslot(opresult8175);
  int callframe8177 = gc_frame_new();
  if (strlit8178 == NULL) {
    strlit8178 = alloc_String("keyword");
    gc_root(strlit8178);
  }
// compilenode returning strlit8178
  gc_frame_newslot(strlit8178);
  params[0] = strlit8178;
  partcv[0] = 1;
  Object call8179 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8177);
// compilenode returning call8179
  int op_slot_left_8169 = gc_frame_newslot(call8179);
  params[0] = opresult8175;
  partcv[0] = 1;
  Object opresult8180 = callmethod(call8179, "&&", 1, partcv, params);
// compilenode returning opresult8180
  Object if8168 = done;
  if (istrue(opresult8180)) {
// Begin line 2561
  setline(2561);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2561
  setline(2561);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8181 = gc_frame_new();
  partcv[0] = 0;
  Object call8182 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8181);
// compilenode returning call8182
// Begin line 2563
  setline(2563);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2562
  setline(2562);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2580
  setline(2580);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2563
  setline(2563);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8185 == NULL) {
    strlit8185 = alloc_String("identifier");
    gc_root(strlit8185);
  }
// compilenode returning strlit8185
  int op_slot_right_8184 = gc_frame_newslot(strlit8185);
  int callframe8187 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8188 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8187);
// compilenode returning call8188
// compilenode returning call8188
  int op_slot_left_8184 = gc_frame_newslot(call8188);
  params[0] = strlit8185;
  partcv[0] = 1;
  Object opresult8189 = callmethod(call8188, "!=", 1, partcv, params);
// compilenode returning opresult8189
  Object if8183 = done;
  if (istrue(opresult8189)) {
// Begin line 2565
  setline(2565);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8190 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8190
  *var_suggestions = array8190;
  if (array8190 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2577
  setline(2577);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2565
  setline(2565);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8193 == NULL) {
    strlit8193 = alloc_String("lbrace");
    gc_root(strlit8193);
  }
// compilenode returning strlit8193
  int op_slot_right_8192 = gc_frame_newslot(strlit8193);
  int callframe8195 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8196 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8195);
// compilenode returning call8196
// compilenode returning call8196
  int op_slot_left_8192 = gc_frame_newslot(call8196);
  params[0] = strlit8193;
  partcv[0] = 1;
  Object opresult8197 = callmethod(call8196, "==", 1, partcv, params);
// compilenode returning opresult8197
  Object if8191 = done;
  if (istrue(opresult8197)) {
// Begin line 2567
  setline(2567);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2566
  setline(2566);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8198 = gc_frame_new();
  int callframe8199 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8200 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8199);
// compilenode returning call8200
// compilenode returning call8200
  partcv[0] = 0;
  Object call8201 = callmethod(call8200, "new",
    1, partcv, params);
  gc_frame_end(callframe8198);
// compilenode returning call8201
// compilenode returning call8201
  *var_suggestion = call8201;
  if (call8201 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2567
  setline(2567);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8202 = gc_frame_new();
  if (strlit8203 == NULL) {
    strlit8203 = alloc_String(" ""\xc2""""\xab""class name""\xc2""""\xbb"".new");
    gc_root(strlit8203);
  }
// compilenode returning strlit8203
  gc_frame_newslot(strlit8203);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8203;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8204 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8202);
// compilenode returning call8204
// Begin line 2568
  setline(2568);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8205 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8206 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8205);
// compilenode returning call8206
// Begin line 2570
  setline(2570);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2569
  setline(2569);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8207 = gc_frame_new();
  int callframe8208 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8209 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8208);
// compilenode returning call8209
// compilenode returning call8209
  partcv[0] = 0;
  Object call8210 = callmethod(call8209, "new",
    1, partcv, params);
  gc_frame_end(callframe8207);
// compilenode returning call8210
// compilenode returning call8210
  *var_suggestion = call8210;
  if (call8210 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2570
  setline(2570);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8212 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  if (strlit8213 == NULL) {
    strlit8213 = alloc_String("object");
    gc_root(strlit8213);
  }
// compilenode returning strlit8213
  gc_frame_newslot(strlit8213);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = strlit8213;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8214 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8212);
// compilenode returning call8214
// Begin line 2571
  setline(2571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8215 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8216 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8215);
// compilenode returning call8216
    gc_frame_newslot(call8216);
    if8191 = call8216;
  } else {
// Begin line 2574
  setline(2574);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2573
  setline(2573);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8217 = gc_frame_new();
  int callframe8218 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8219 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8218);
// compilenode returning call8219
// compilenode returning call8219
  partcv[0] = 0;
  Object call8220 = callmethod(call8219, "new",
    1, partcv, params);
  gc_frame_end(callframe8217);
// compilenode returning call8220
// compilenode returning call8220
  *var_suggestion = call8220;
  if (call8220 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2574
  setline(2574);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8221 = gc_frame_new();
  if (strlit8222 == NULL) {
    strlit8222 = alloc_String(" ""\xc2""""\xab""class name""\xc2""""\xbb"".new {}");
    gc_root(strlit8222);
  }
// compilenode returning strlit8222
  gc_frame_newslot(strlit8222);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8222;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8223 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8221);
// compilenode returning call8223
// Begin line 2575
  setline(2575);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8224 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8225 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8224);
// compilenode returning call8225
    gc_frame_newslot(call8225);
    if8191 = call8225;
  }
// compilenode returning if8191
// Begin line 2577
  setline(2577);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8226 = gc_frame_new();
  if (strlit8227 == NULL) {
    strlit8227 = alloc_String("A class must have a name after the 'class'.");
    gc_root(strlit8227);
  }
// compilenode returning strlit8227
  gc_frame_newslot(strlit8227);
// Begin line 2578
  setline(2578);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8228 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8229 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8228);
// compilenode returning call8229
// compilenode returning call8229
  gc_frame_newslot(call8229);
  Object num8231 = alloc_Float64(1);
// compilenode returning num8231
  int op_slot_right_8230 = gc_frame_newslot(num8231);
  int callframe8234 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8235 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8234);
// compilenode returning call8235
// compilenode returning call8235
  int op_slot_right_8233 = gc_frame_newslot(call8235);
  int callframe8237 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8238 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8237);
// compilenode returning call8238
// compilenode returning call8238
  int op_slot_left_8233 = gc_frame_newslot(call8238);
  params[0] = call8235;
  partcv[0] = 1;
  Object sum8239 = callmethod(call8238, "+", 1, partcv, params);
// compilenode returning sum8239
  int op_slot_left_8230 = gc_frame_newslot(sum8239);
  params[0] = num8231;
  partcv[0] = 1;
  Object sum8240 = callmethod(sum8239, "+", 1, partcv, params);
// compilenode returning sum8240
  gc_frame_newslot(sum8240);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2577
  setline(2577);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8227;
  params[1] = call8229;
  params[2] = sum8240;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8241 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe8226);
// compilenode returning call8241
    gc_frame_newslot(call8241);
    if8183 = call8241;
  } else {
  }
// compilenode returning if8183
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2580
  setline(2580);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8244 == NULL) {
    strlit8244 = alloc_String("dot");
    gc_root(strlit8244);
  }
// compilenode returning strlit8244
  int op_slot_right_8243 = gc_frame_newslot(strlit8244);
  int callframe8246 = gc_frame_new();
  int callframe8247 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call8248 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe8247);
// compilenode returning call8248
// compilenode returning call8248
  partcv[0] = 0;
  Object call8249 = callmethod(call8248, "kind",
    1, partcv, params);
  gc_frame_end(callframe8246);
// compilenode returning call8249
// compilenode returning call8249
  int op_slot_left_8243 = gc_frame_newslot(call8249);
  params[0] = strlit8244;
  partcv[0] = 1;
  Object opresult8250 = callmethod(call8249, "==", 1, partcv, params);
// compilenode returning opresult8250
  Object if8242 = done;
struct StackFrameObject *iftmpstackframe8242 = stackframe;
  if (istrue(opresult8250)) {
stackframe = alloc_StackFrame(2, iftmpstackframe8242);
gc_frame_newslot((Object)stackframe);
  Object *var_cname_39_ = &(stackframe->slots[0]);
  setframeelementname(stackframe, 0, "cname'");
// Begin line 2581
  setline(2581);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8251 = gc_frame_new();
  partcv[0] = 0;
  Object call8252 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8251);
// compilenode returning call8252
// Begin line 2583
  setline(2583);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2582
  setline(2582);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8253 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8254 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8253);
// compilenode returning call8254
// compilenode returning call8254
  *var_cname_39_ = call8254;
  if (call8254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2590
  setline(2590);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2583
  setline(2583);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8256 = gc_frame_new();
  int callframe8257 = gc_frame_new();
  if (strlit8258 == NULL) {
    strlit8258 = alloc_String("dot");
    gc_root(strlit8258);
  }
// compilenode returning strlit8258
  gc_frame_newslot(strlit8258);
  params[0] = strlit8258;
  partcv[0] = 1;
  Object call8259 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8257);
// compilenode returning call8259
  partcv[0] = 0;
  Object call8260 = callmethod(call8259, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8256);
// compilenode returning call8260
  Object if8255 = done;
  if (istrue(call8260)) {
// Begin line 2585
  setline(2585);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2584
  setline(2584);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8261 = gc_frame_new();
  int callframe8262 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8263 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8262);
// compilenode returning call8263
// compilenode returning call8263
  partcv[0] = 0;
  Object call8264 = callmethod(call8263, "new",
    1, partcv, params);
  gc_frame_end(callframe8261);
// compilenode returning call8264
// compilenode returning call8264
  *var_suggestion = call8264;
  if (call8264 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2585
  setline(2585);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8265 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit8266 == NULL) {
    strlit8266 = alloc_String(".");
    gc_root(strlit8266);
  }
// compilenode returning strlit8266
  gc_frame_newslot(strlit8266);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit8266;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8267 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8265);
// compilenode returning call8267
// Begin line 2586
  setline(2586);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8268 = gc_frame_new();
  if (strlit8269 == NULL) {
    strlit8269 = alloc_String("A class must have a dot after the object name.");
    gc_root(strlit8269);
  }
// compilenode returning strlit8269
  gc_frame_newslot(strlit8269);
// Begin line 2587
  setline(2587);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8270 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8271 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8270);
// compilenode returning call8271
// compilenode returning call8271
  gc_frame_newslot(call8271);
  Object num8273 = alloc_Float64(1);
// compilenode returning num8273
  int op_slot_right_8272 = gc_frame_newslot(num8273);
  int callframe8276 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8277 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8276);
// compilenode returning call8277
// compilenode returning call8277
  int op_slot_right_8275 = gc_frame_newslot(call8277);
  int callframe8279 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8280 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8279);
// compilenode returning call8280
// compilenode returning call8280
  int op_slot_left_8275 = gc_frame_newslot(call8280);
  params[0] = call8277;
  partcv[0] = 1;
  Object sum8281 = callmethod(call8280, "+", 1, partcv, params);
// compilenode returning sum8281
  int op_slot_left_8272 = gc_frame_newslot(sum8281);
  params[0] = num8273;
  partcv[0] = 1;
  Object sum8282 = callmethod(sum8281, "+", 1, partcv, params);
// compilenode returning sum8282
  gc_frame_newslot(sum8282);
// Begin line 2588
  setline(2588);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2586
  setline(2586);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8269;
  params[1] = call8271;
  params[2] = sum8282;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8283 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8268);
// compilenode returning call8283
    gc_frame_newslot(call8283);
    if8255 = call8283;
  } else {
  }
// compilenode returning if8255
// Begin line 2590
  setline(2590);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8284 = gc_frame_new();
  partcv[0] = 0;
  Object call8285 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8284);
// compilenode returning call8285
// Begin line 2591
  setline(2591);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cname_39_
    gc_frame_newslot(*var_cname_39_);
    if8242 = *var_cname_39_;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe8242);
gc_frame_newslot((Object)stackframe);
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8286 = alloc_Boolean(0);
// compilenode returning bool8286
    gc_frame_newslot(bool8286);
    if8242 = bool8286;
  }
stackframe = iftmpstackframe8242;
// compilenode returning if8242
  *var_cname = if8242;
  if (if8242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8287 = gc_frame_new();
  Object bool8288 = alloc_Boolean(0);
// compilenode returning bool8288
  gc_frame_newslot(bool8288);
  params[0] = bool8288;
  partcv[0] = 1;
  Object call8289 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8287);
// compilenode returning call8289
  *var_s = call8289;
  if (call8289 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2596
  setline(2596);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8290 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8291 = callmethod(*var_s, "sig",
    1, partcv, params);
  gc_frame_end(callframe8290);
// compilenode returning call8291
// compilenode returning call8291
  *var_csig = call8291;
  if (call8291 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2598
  setline(2598);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8292 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8293 = callmethod(*var_s, "m",
    1, partcv, params);
  gc_frame_end(callframe8292);
// compilenode returning call8293
// compilenode returning call8293
  *var_methodName = call8293;
  if (call8293 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2598
  setline(2598);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8294 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8295 = callmethod(*var_s, "rtype",
    1, partcv, params);
  gc_frame_end(callframe8294);
// compilenode returning call8295
// compilenode returning call8295
  *var_dtype = call8295;
  if (call8295 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2600
  setline(2600);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8296 = gc_frame_new();
  partcv[0] = 0;
  Object call8297 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8296);
// compilenode returning call8297
  *var_anns = call8297;
  if (call8297 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2606
  setline(2606);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2600
  setline(2600);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8299 = gc_frame_new();
  int callframe8300 = gc_frame_new();
  if (strlit8301 == NULL) {
    strlit8301 = alloc_String("lbrace");
    gc_root(strlit8301);
  }
// compilenode returning strlit8301
  gc_frame_newslot(strlit8301);
  params[0] = strlit8301;
  partcv[0] = 1;
  Object call8302 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8300);
// compilenode returning call8302
  partcv[0] = 0;
  Object call8303 = callmethod(call8302, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8299);
// compilenode returning call8303
  Object if8298 = done;
  if (istrue(call8303)) {
// Begin line 2602
  setline(2602);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2601
  setline(2601);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8304 = gc_frame_new();
  int callframe8305 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8306 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8305);
// compilenode returning call8306
// compilenode returning call8306
  partcv[0] = 0;
  Object call8307 = callmethod(call8306, "new",
    1, partcv, params);
  gc_frame_end(callframe8304);
// compilenode returning call8307
// compilenode returning call8307
  *var_suggestion = call8307;
  if (call8307 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2602
  setline(2602);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8308 = gc_frame_new();
  if (strlit8309 == NULL) {
    strlit8309 = alloc_String(" {");
    gc_root(strlit8309);
  }
// compilenode returning strlit8309
  gc_frame_newslot(strlit8309);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8309;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8310 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8308);
// compilenode returning call8310
// Begin line 2603
  setline(2603);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8311 = gc_frame_new();
  if (strlit8312 == NULL) {
    strlit8312 = alloc_String("A class must have a '{' after the method name.");
    gc_root(strlit8312);
  }
// compilenode returning strlit8312
  gc_frame_newslot(strlit8312);
// Begin line 2604
  setline(2604);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8313 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8314 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8313);
// compilenode returning call8314
// compilenode returning call8314
  gc_frame_newslot(call8314);
  Object num8316 = alloc_Float64(1);
// compilenode returning num8316
  int op_slot_right_8315 = gc_frame_newslot(num8316);
  int callframe8319 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8320 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8319);
// compilenode returning call8320
// compilenode returning call8320
  int op_slot_right_8318 = gc_frame_newslot(call8320);
  int callframe8322 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8323 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8322);
// compilenode returning call8323
// compilenode returning call8323
  int op_slot_left_8318 = gc_frame_newslot(call8323);
  params[0] = call8320;
  partcv[0] = 1;
  Object sum8324 = callmethod(call8323, "+", 1, partcv, params);
// compilenode returning sum8324
  int op_slot_left_8315 = gc_frame_newslot(sum8324);
  params[0] = num8316;
  partcv[0] = 1;
  Object sum8325 = callmethod(sum8324, "+", 1, partcv, params);
// compilenode returning sum8325
  gc_frame_newslot(sum8325);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2603
  setline(2603);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8312;
  params[1] = call8314;
  params[2] = sum8325;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8326 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8311);
// compilenode returning call8326
    gc_frame_newslot(call8326);
    if8298 = call8326;
  } else {
  }
// compilenode returning if8298
// Begin line 2606
  setline(2606);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8327 = gc_frame_new();
  partcv[0] = 0;
  Object call8328 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8327);
// compilenode returning call8328
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8331 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8332 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8331);
// compilenode returning call8332
// compilenode returning call8332
  int op_slot_right_8330 = gc_frame_newslot(call8332);
  int callframe8334 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8335 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8334);
// compilenode returning call8335
// compilenode returning call8335
  int op_slot_left_8330 = gc_frame_newslot(call8335);
  params[0] = call8332;
  partcv[0] = 1;
  Object opresult8336 = callmethod(call8335, "==", 1, partcv, params);
// compilenode returning opresult8336
  Object if8329 = done;
  if (istrue(opresult8336)) {
// Begin line 2609
  setline(2609);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2608
  setline(2608);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8338 = alloc_Float64(1);
// compilenode returning num8338
  int op_slot_right_8337 = gc_frame_newslot(num8338);
  int callframe8340 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8341 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8340);
// compilenode returning call8341
// compilenode returning call8341
  int op_slot_left_8337 = gc_frame_newslot(call8341);
  params[0] = num8338;
  partcv[0] = 1;
  Object diff8342 = callmethod(call8341, "-", 1, partcv, params);
// compilenode returning diff8342
  *var_minIndentLevel = diff8342;
  if (diff8342 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8329 = done;
  } else {
// Begin line 2611
  setline(2611);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2610
  setline(2610);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8345 = alloc_Float64(1);
// compilenode returning num8345
  int op_slot_right_8344 = gc_frame_newslot(num8345);
  int callframe8347 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8348 = callmethod(*var_statementToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe8347);
// compilenode returning call8348
// compilenode returning call8348
  int op_slot_left_8344 = gc_frame_newslot(call8348);
  params[0] = num8345;
  partcv[0] = 1;
  Object sum8349 = callmethod(call8348, "+", 1, partcv, params);
// compilenode returning sum8349
  *var_minIndentLevel = sum8349;
  if (sum8349 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8329 = done;
  }
// compilenode returning if8329
// Begin line 2613
  setline(2613);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8351 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8351
  *var_body = array8351;
  if (array8351 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2613
  setline(2613);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8352 = gc_frame_new();
  Object block8353 = alloc_Block(NULL, NULL, "parser", 2613);
  gc_frame_newslot(block8353);
  block_savedest(block8353);
  Object closure8354 = createclosure(2, "_apply");
  setclosureframe(closure8354, stackframe);
  addtoclosure(closure8354, var_sym);
  addtoclosure(closure8354, selfslot);
  struct UserObject *uo8354 = (struct UserObject*)block8353;
  uo8354->data[0] = (Object)closure8354;
  Method *meth_meth_parser__apply8354 = addmethod2pos(block8353, "_apply", &meth_parser__apply8354, 0);
int argcv_meth_parser__apply8354[] = {0};
meth_meth_parser__apply8354->type = alloc_MethodType(1, argcv_meth_parser__apply8354);
  meth_meth_parser__apply8354->definitionModule = modulename;
  meth_meth_parser__apply8354->definitionLine = 2610;
// compilenode returning block8353
  gc_frame_newslot(block8353);
  Object block8372 = alloc_Block(NULL, NULL, "parser", 2613);
  gc_frame_newslot(block8372);
  block_savedest(block8372);
  Object closure8373 = createclosure(3, "_apply");
  setclosureframe(closure8373, stackframe);
  addtoclosure(closure8373, var_values);
  addtoclosure(closure8373, var_body);
  addtoclosure(closure8373, selfslot);
  struct UserObject *uo8373 = (struct UserObject*)block8372;
  uo8373->data[0] = (Object)closure8373;
  Method *meth_meth_parser__apply8373 = addmethod2pos(block8372, "_apply", &meth_parser__apply8373, 0);
int argcv_meth_parser__apply8373[] = {0};
meth_meth_parser__apply8373->type = alloc_MethodType(1, argcv_meth_parser__apply8373);
  meth_meth_parser__apply8373->definitionModule = modulename;
  meth_meth_parser__apply8373->definitionLine = 2613;
// compilenode returning block8372
  gc_frame_newslot(block8372);
  params[0] = block8353;
  params[1] = block8372;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8417 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8352);
// compilenode returning call8417
// Begin line 2624
  setline(2624);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8418 = gc_frame_new();
  partcv[0] = 0;
  Object call8419 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8418);
// compilenode returning call8419
// Begin line 2625
  setline(2625);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8420 = gc_frame_new();
  int callframe8421 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call8422 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8421);
// compilenode returning call8422
// compilenode returning call8422
  gc_frame_newslot(call8422);
// compilenode returning *var_util
  params[0] = call8422;
  partcv[0] = 1;
  Object call8423 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8420);
// compilenode returning call8423
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2626
  setline(2626);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cname
  int op_slot_right_8425 = gc_frame_newslot(*var_cname);
  Object bool8427 = alloc_Boolean(0);
// compilenode returning bool8427
  int op_slot_left_8425 = gc_frame_newslot(bool8427);
  params[0] = *var_cname;
  partcv[0] = 1;
  Object opresult8428 = callmethod(bool8427, "==", 1, partcv, params);
// compilenode returning opresult8428
  Object if8424 = done;
struct StackFrameObject *iftmpstackframe8424 = stackframe;
  if (istrue(opresult8428)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8424);
gc_frame_newslot((Object)stackframe);
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8429 = gc_frame_new();
// compilenode returning *var_methodName
  gc_frame_newslot(*var_methodName);
// compilenode returning *var_csig
  gc_frame_newslot(*var_csig);
// Begin line 2628
  setline(2628);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8430 = alloc_BuiltinList();
  gc_pause();
  int callframe8431 = gc_frame_new();
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
  Object bool8432 = alloc_Boolean(0);
// compilenode returning bool8432
  gc_frame_newslot(bool8432);
  int callframe8433 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8434 = callmethod(*var_ast, "objectNode",
    1, partcv, params);
  gc_frame_end(callframe8433);
// compilenode returning call8434
// compilenode returning call8434
  params[0] = *var_body;
  params[1] = bool8432;
  partcv[0] = 2;
  Object call8435 = callmethod(call8434, "new",
    1, partcv, params);
  gc_frame_end(callframe8431);
// compilenode returning call8435
  params[0] = call8435;
  partcv[0] = 1;
  callmethod(array8430, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array8430
  gc_frame_newslot(array8430);
  Object bool8436 = alloc_Boolean(0);
// compilenode returning bool8436
  gc_frame_newslot(bool8436);
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8437 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8438 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe8437);
// compilenode returning call8438
// compilenode returning call8438
  params[0] = *var_methodName;
  params[1] = *var_csig;
  params[2] = array8430;
  params[3] = bool8436;
  partcv[0] = 4;
  Object call8439 = callmethod(call8438, "new",
    1, partcv, params);
  gc_frame_end(callframe8429);
// compilenode returning call8439
    gc_frame_newslot(call8439);
    if8424 = call8439;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe8424);
gc_frame_newslot((Object)stackframe);
// Begin line 2630
  setline(2630);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8440 = gc_frame_new();
// compilenode returning *var_cname
  gc_frame_newslot(*var_cname);
// compilenode returning *var_csig
  gc_frame_newslot(*var_csig);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
  Object bool8441 = alloc_Boolean(0);
// compilenode returning bool8441
  gc_frame_newslot(bool8441);
// compilenode returning *var_methodName
  gc_frame_newslot(*var_methodName);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe8442 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8443 = callmethod(*var_ast, "classNode",
    1, partcv, params);
  gc_frame_end(callframe8442);
// compilenode returning call8443
// compilenode returning call8443
  params[0] = *var_cname;
  params[1] = *var_csig;
  params[2] = *var_body;
  params[3] = bool8441;
  params[4] = *var_methodName;
  params[5] = *var_dtype;
  partcv[0] = 6;
  Object call8444 = callmethod(call8443, "new",
    1, partcv, params);
  gc_frame_end(callframe8440);
// compilenode returning call8444
    gc_frame_newslot(call8444);
    if8424 = call8444;
  }
stackframe = iftmpstackframe8424;
// compilenode returning if8424
  *var_o = if8424;
  if (if8424 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2630
  setline(2630);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8445 = gc_frame_new();
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8446 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8447 = callmethod(*var_s, "generics",
    1, partcv, params);
  gc_frame_end(callframe8446);
// compilenode returning call8447
// compilenode returning call8447
  gc_frame_newslot(call8447);
// compilenode returning *var_o
  params[0] = call8447;
  partcv[0] = 1;
  Object call8448 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe8445);
// compilenode returning call8448
// compilenode returning done
// Begin line 2641
  setline(2641);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  int op_slot_right_8450 = gc_frame_newslot(*var_anns);
  Object bool8452 = alloc_Boolean(0);
// compilenode returning bool8452
  int op_slot_left_8450 = gc_frame_newslot(bool8452);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult8453 = callmethod(bool8452, "!=", 1, partcv, params);
// compilenode returning opresult8453
  Object if8449 = done;
  if (istrue(opresult8453)) {
// Begin line 2634
  setline(2634);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8454 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe8455 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call8456 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8455);
// compilenode returning call8456
// compilenode returning call8456
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8457 = callmethod(call8456, "extend",
    1, partcv, params);
  gc_frame_end(callframe8454);
// compilenode returning call8457
    gc_frame_newslot(call8457);
    if8449 = call8457;
  } else {
// Begin line 2640
  setline(2640);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8460 == NULL) {
    strlit8460 = alloc_String("confidential");
    gc_root(strlit8460);
  }
// compilenode returning strlit8460
  int op_slot_right_8459 = gc_frame_newslot(strlit8460);
// compilenode returning *var_defaultMethodVisibility
  int op_slot_left_8459 = gc_frame_newslot(*var_defaultMethodVisibility);
  params[0] = strlit8460;
  partcv[0] = 1;
  Object opresult8462 = callmethod(*var_defaultMethodVisibility, "==", 1, partcv, params);
// compilenode returning opresult8462
  Object if8458 = done;
  if (istrue(opresult8462)) {
// Begin line 2637
  setline(2637);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8463 = gc_frame_new();
  int callframe8464 = gc_frame_new();
  if (strlit8465 == NULL) {
    strlit8465 = alloc_String("confidential");
    gc_root(strlit8465);
  }
// compilenode returning strlit8465
  gc_frame_newslot(strlit8465);
// Begin line 2638
  setline(2638);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8466 = alloc_Boolean(0);
// compilenode returning bool8466
  gc_frame_newslot(bool8466);
// Begin line 2637
  setline(2637);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8467 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8468 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe8467);
// compilenode returning call8468
// compilenode returning call8468
  params[0] = strlit8465;
  params[1] = bool8466;
  partcv[0] = 2;
  Object call8469 = callmethod(call8468, "new",
    1, partcv, params);
  gc_frame_end(callframe8464);
// compilenode returning call8469
  gc_frame_newslot(call8469);
  int callframe8470 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call8471 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8470);
// compilenode returning call8471
// compilenode returning call8471
  params[0] = call8469;
  partcv[0] = 1;
  Object call8472 = callmethod(call8471, "push",
    1, partcv, params);
  gc_frame_end(callframe8463);
// compilenode returning call8472
    gc_frame_newslot(call8472);
    if8458 = call8472;
  } else {
  }
// compilenode returning if8458
    gc_frame_newslot(if8458);
    if8449 = if8458;
  }
// compilenode returning if8449
// Begin line 2641
  setline(2641);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8473 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8474 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8473);
// compilenode returning call8474
// Begin line 2643
  setline(2643);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2642
  setline(2642);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMinIndentLevel
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8168 = done;
  } else {
  }
// compilenode returning if8168
  gc_frame_end(frame);
  return if8168;
}
Object meth_parser__apply8480(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2650
  setline(2650);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8482 == NULL) {
    strlit8482 = alloc_String("method");
    gc_root(strlit8482);
  }
// compilenode returning strlit8482
  int op_slot_right_8481 = gc_frame_newslot(strlit8482);
  int callframe8484 = gc_frame_new();
  int callframe8485 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call8486 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe8485);
// compilenode returning call8486
// compilenode returning call8486
  partcv[0] = 0;
  Object call8487 = callmethod(call8486, "value",
    1, partcv, params);
  gc_frame_end(callframe8484);
// compilenode returning call8487
// compilenode returning call8487
  int op_slot_left_8481 = gc_frame_newslot(call8487);
  params[0] = strlit8482;
  partcv[0] = 1;
  Object opresult8488 = callmethod(call8487, "==", 1, partcv, params);
// compilenode returning opresult8488
  gc_frame_end(frame);
  return opresult8488;
}
Object meth_parser__apply8492(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2649
  setline(2649);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8494 == NULL) {
    strlit8494 = alloc_String("keyword");
    gc_root(strlit8494);
  }
// compilenode returning strlit8494
  int op_slot_right_8493 = gc_frame_newslot(strlit8494);
  int callframe8496 = gc_frame_new();
  int callframe8497 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call8498 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe8497);
// compilenode returning call8498
// compilenode returning call8498
  partcv[0] = 0;
  Object call8499 = callmethod(call8498, "kind",
    1, partcv, params);
  gc_frame_end(callframe8496);
// compilenode returning call8499
// compilenode returning call8499
  int op_slot_left_8493 = gc_frame_newslot(call8499);
  params[0] = strlit8494;
  partcv[0] = 1;
  Object opresult8500 = callmethod(call8499, "==", 1, partcv, params);
// compilenode returning opresult8500
  gc_frame_end(frame);
  return opresult8500;
}
Object meth_parser__apply8646(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8647 = gc_frame_new();
  int callframe8648 = gc_frame_new();
  if (strlit8649 == NULL) {
    strlit8649 = alloc_String("rbrace");
    gc_root(strlit8649);
  }
// compilenode returning strlit8649
  gc_frame_newslot(strlit8649);
  params[0] = strlit8649;
  partcv[0] = 1;
  Object call8650 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8648);
// compilenode returning call8650
  partcv[0] = 0;
  Object call8651 = callmethod(call8650, "not",
    1, partcv, params);
  gc_frame_end(callframe8647);
// compilenode returning call8651
// compilenode returning call8651
  gc_frame_end(frame);
  return call8651;
}
Object meth_parser__apply8657(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8658 = gc_frame_new();
  partcv[0] = 0;
  Object call8659 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8658);
// compilenode returning call8659
  gc_frame_end(frame);
  return call8659;
}
Object meth_parser__apply8662(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2692
  setline(2692);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8663 = gc_frame_new();
  int callframe8664 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8665 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8664);
// compilenode returning call8665
// compilenode returning call8665
  gc_frame_newslot(call8665);
// compilenode returning *var_body
  params[0] = call8665;
  partcv[0] = 1;
  Object call8666 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8663);
// compilenode returning call8666
  gc_frame_end(frame);
  return call8666;
}
Object meth_parser__apply8671(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8672 = gc_frame_new();
  partcv[0] = 0;
  Object call8673 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8672);
// compilenode returning call8673
  gc_frame_end(frame);
  return call8673;
}
Object meth_parser__apply8676(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2695
  setline(2695);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8677 = gc_frame_new();
  int callframe8678 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8679 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8678);
// compilenode returning call8679
// compilenode returning call8679
  gc_frame_newslot(call8679);
// compilenode returning *var_body
  params[0] = call8679;
  partcv[0] = 1;
  Object call8680 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8677);
// compilenode returning call8680
  gc_frame_end(frame);
  return call8680;
}
Object meth_parser__apply8685(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8686 = gc_frame_new();
  partcv[0] = 0;
  Object call8687 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8686);
// compilenode returning call8687
  gc_frame_end(frame);
  return call8687;
}
Object meth_parser__apply8690(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2698
  setline(2698);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8691 = gc_frame_new();
  int callframe8692 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8693 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8692);
// compilenode returning call8693
// compilenode returning call8693
  gc_frame_newslot(call8693);
// compilenode returning *var_body
  params[0] = call8693;
  partcv[0] = 1;
  Object call8694 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8691);
// compilenode returning call8694
  gc_frame_end(frame);
  return call8694;
}
Object meth_parser__apply8654(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2691
  setline(2691);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8655 = gc_frame_new();
  Object block8656 = alloc_Block(NULL, NULL, "parser", 2691);
  gc_frame_newslot(block8656);
  block_savedest(block8656);
  Object closure8657 = createclosure(1, "_apply");
  setclosureframe(closure8657, stackframe);
  addtoclosure(closure8657, selfslot);
  struct UserObject *uo8657 = (struct UserObject*)block8656;
  uo8657->data[0] = (Object)closure8657;
  Method *meth_meth_parser__apply8657 = addmethod2pos(block8656, "_apply", &meth_parser__apply8657, 0);
int argcv_meth_parser__apply8657[] = {0};
meth_meth_parser__apply8657->type = alloc_MethodType(1, argcv_meth_parser__apply8657);
  meth_meth_parser__apply8657->definitionModule = modulename;
  meth_meth_parser__apply8657->definitionLine = 2690;
// compilenode returning block8656
  gc_frame_newslot(block8656);
  Object block8661 = alloc_Block(NULL, NULL, "parser", 2691);
  gc_frame_newslot(block8661);
  block_savedest(block8661);
  Object closure8662 = createclosure(3, "_apply");
  setclosureframe(closure8662, stackframe);
  addtoclosure(closure8662, var_values);
  addtoclosure(closure8662, var_body);
  addtoclosure(closure8662, selfslot);
  struct UserObject *uo8662 = (struct UserObject*)block8661;
  uo8662->data[0] = (Object)closure8662;
  Method *meth_meth_parser__apply8662 = addmethod2pos(block8661, "_apply", &meth_parser__apply8662, 0);
int argcv_meth_parser__apply8662[] = {0};
meth_meth_parser__apply8662->type = alloc_MethodType(1, argcv_meth_parser__apply8662);
  meth_meth_parser__apply8662->definitionModule = modulename;
  meth_meth_parser__apply8662->definitionLine = 2690;
// compilenode returning block8661
  gc_frame_newslot(block8661);
  params[0] = block8656;
  params[1] = block8661;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8668 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8655);
// compilenode returning call8668
// Begin line 2694
  setline(2694);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8669 = gc_frame_new();
  Object block8670 = alloc_Block(NULL, NULL, "parser", 2694);
  gc_frame_newslot(block8670);
  block_savedest(block8670);
  Object closure8671 = createclosure(1, "_apply");
  setclosureframe(closure8671, stackframe);
  addtoclosure(closure8671, selfslot);
  struct UserObject *uo8671 = (struct UserObject*)block8670;
  uo8671->data[0] = (Object)closure8671;
  Method *meth_meth_parser__apply8671 = addmethod2pos(block8670, "_apply", &meth_parser__apply8671, 0);
int argcv_meth_parser__apply8671[] = {0};
meth_meth_parser__apply8671->type = alloc_MethodType(1, argcv_meth_parser__apply8671);
  meth_meth_parser__apply8671->definitionModule = modulename;
  meth_meth_parser__apply8671->definitionLine = 2692;
// compilenode returning block8670
  gc_frame_newslot(block8670);
  Object block8675 = alloc_Block(NULL, NULL, "parser", 2694);
  gc_frame_newslot(block8675);
  block_savedest(block8675);
  Object closure8676 = createclosure(3, "_apply");
  setclosureframe(closure8676, stackframe);
  addtoclosure(closure8676, var_values);
  addtoclosure(closure8676, var_body);
  addtoclosure(closure8676, selfslot);
  struct UserObject *uo8676 = (struct UserObject*)block8675;
  uo8676->data[0] = (Object)closure8676;
  Method *meth_meth_parser__apply8676 = addmethod2pos(block8675, "_apply", &meth_parser__apply8676, 0);
int argcv_meth_parser__apply8676[] = {0};
meth_meth_parser__apply8676->type = alloc_MethodType(1, argcv_meth_parser__apply8676);
  meth_meth_parser__apply8676->definitionModule = modulename;
  meth_meth_parser__apply8676->definitionLine = 2692;
// compilenode returning block8675
  gc_frame_newslot(block8675);
  params[0] = block8670;
  params[1] = block8675;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8682 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8669);
// compilenode returning call8682
// Begin line 2697
  setline(2697);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8683 = gc_frame_new();
  Object block8684 = alloc_Block(NULL, NULL, "parser", 2697);
  gc_frame_newslot(block8684);
  block_savedest(block8684);
  Object closure8685 = createclosure(1, "_apply");
  setclosureframe(closure8685, stackframe);
  addtoclosure(closure8685, selfslot);
  struct UserObject *uo8685 = (struct UserObject*)block8684;
  uo8685->data[0] = (Object)closure8685;
  Method *meth_meth_parser__apply8685 = addmethod2pos(block8684, "_apply", &meth_parser__apply8685, 0);
int argcv_meth_parser__apply8685[] = {0};
meth_meth_parser__apply8685->type = alloc_MethodType(1, argcv_meth_parser__apply8685);
  meth_meth_parser__apply8685->definitionModule = modulename;
  meth_meth_parser__apply8685->definitionLine = 2695;
// compilenode returning block8684
  gc_frame_newslot(block8684);
  Object block8689 = alloc_Block(NULL, NULL, "parser", 2697);
  gc_frame_newslot(block8689);
  block_savedest(block8689);
  Object closure8690 = createclosure(3, "_apply");
  setclosureframe(closure8690, stackframe);
  addtoclosure(closure8690, var_values);
  addtoclosure(closure8690, var_body);
  addtoclosure(closure8690, selfslot);
  struct UserObject *uo8690 = (struct UserObject*)block8689;
  uo8690->data[0] = (Object)closure8690;
  Method *meth_meth_parser__apply8690 = addmethod2pos(block8689, "_apply", &meth_parser__apply8690, 0);
int argcv_meth_parser__apply8690[] = {0};
meth_meth_parser__apply8690->type = alloc_MethodType(1, argcv_meth_parser__apply8690);
  meth_meth_parser__apply8690->definitionModule = modulename;
  meth_meth_parser__apply8690->definitionLine = 2695;
// compilenode returning block8689
  gc_frame_newslot(block8689);
  params[0] = block8684;
  params[1] = block8689;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8696 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8683);
// compilenode returning call8696
  gc_frame_end(frame);
  return call8696;
}
Object meth_parser_dofactoryMethod8476(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(15, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dofactoryMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_tokens = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_statementToken = getfromclosure(closure, 5);
  Object *var_values = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  Object *var_collections = getfromclosure(closure, 9);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 10);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dofactoryMethod (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dofactoryMethod");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_s = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "s");
  Object *var_csig = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "csig");
  Object *var_methodName = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "methodName");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_body = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "body");
  Object *var_obj = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "obj");
  Object *var_meth = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "meth");
// Begin line 2718
  setline(2718);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2649
  setline(2649);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8478 = gc_frame_new();
  Object block8479 = alloc_Block(NULL, NULL, "parser", 2649);
  gc_frame_newslot(block8479);
  block_savedest(block8479);
  Object closure8480 = createclosure(2, "_apply");
  setclosureframe(closure8480, stackframe);
  addtoclosure(closure8480, var_tokens);
  addtoclosure(closure8480, selfslot);
  struct UserObject *uo8480 = (struct UserObject*)block8479;
  uo8480->data[0] = (Object)closure8480;
  Method *meth_meth_parser__apply8480 = addmethod2pos(block8479, "_apply", &meth_parser__apply8480, 0);
int argcv_meth_parser__apply8480[] = {0};
meth_meth_parser__apply8480->type = alloc_MethodType(1, argcv_meth_parser__apply8480);
  meth_meth_parser__apply8480->definitionModule = modulename;
  meth_meth_parser__apply8480->definitionLine = 2637;
// compilenode returning block8479
  gc_frame_newslot(block8479);
// Begin line 2648
  setline(2648);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8490 = gc_frame_new();
  Object block8491 = alloc_Block(NULL, NULL, "parser", 2648);
  gc_frame_newslot(block8491);
  block_savedest(block8491);
  Object closure8492 = createclosure(2, "_apply");
  setclosureframe(closure8492, stackframe);
  addtoclosure(closure8492, var_tokens);
  addtoclosure(closure8492, selfslot);
  struct UserObject *uo8492 = (struct UserObject*)block8491;
  uo8492->data[0] = (Object)closure8492;
  Method *meth_meth_parser__apply8492 = addmethod2pos(block8491, "_apply", &meth_parser__apply8492, 0);
int argcv_meth_parser__apply8492[] = {0};
meth_meth_parser__apply8492->type = alloc_MethodType(1, argcv_meth_parser__apply8492);
  meth_meth_parser__apply8492->definitionModule = modulename;
  meth_meth_parser__apply8492->definitionLine = 2650;
// compilenode returning block8491
  gc_frame_newslot(block8491);
// Begin line 2648
  setline(2648);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8504 == NULL) {
    strlit8504 = alloc_String("factory");
    gc_root(strlit8504);
  }
// compilenode returning strlit8504
  int op_slot_right_8503 = gc_frame_newslot(strlit8504);
  int callframe8506 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8507 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8506);
// compilenode returning call8507
// compilenode returning call8507
  int op_slot_left_8503 = gc_frame_newslot(call8507);
  params[0] = strlit8504;
  partcv[0] = 1;
  Object opresult8508 = callmethod(call8507, "==", 1, partcv, params);
// compilenode returning opresult8508
  int op_slot_right_8502 = gc_frame_newslot(opresult8508);
  int callframe8510 = gc_frame_new();
  if (strlit8511 == NULL) {
    strlit8511 = alloc_String("keyword");
    gc_root(strlit8511);
  }
// compilenode returning strlit8511
  gc_frame_newslot(strlit8511);
  params[0] = strlit8511;
  partcv[0] = 1;
  Object call8512 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8510);
// compilenode returning call8512
  int op_slot_left_8502 = gc_frame_newslot(call8512);
  params[0] = opresult8508;
  partcv[0] = 1;
  Object opresult8513 = callmethod(call8512, "&&", 1, partcv, params);
// compilenode returning opresult8513
  params[0] = block8491;
  partcv[0] = 1;
  Object call8514 = callmethod(opresult8513, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe8490);
// compilenode returning call8514
  params[0] = block8479;
  partcv[0] = 1;
  Object call8515 = callmethod(call8514, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe8478);
// compilenode returning call8515
  Object if8477 = done;
  if (istrue(call8515)) {
// Begin line 2652
  setline(2652);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2651
  setline(2651);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2652
  setline(2652);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8516 = gc_frame_new();
  partcv[0] = 0;
  Object call8517 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8516);
// compilenode returning call8517
// Begin line 2653
  setline(2653);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8518 = gc_frame_new();
  partcv[0] = 0;
  Object call8519 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8518);
// compilenode returning call8519
// Begin line 2655
  setline(2655);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2654
  setline(2654);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2672
  setline(2672);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2655
  setline(2655);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8522 == NULL) {
    strlit8522 = alloc_String("identifier");
    gc_root(strlit8522);
  }
// compilenode returning strlit8522
  int op_slot_right_8521 = gc_frame_newslot(strlit8522);
  int callframe8524 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8525 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8524);
// compilenode returning call8525
// compilenode returning call8525
  int op_slot_left_8521 = gc_frame_newslot(call8525);
  params[0] = strlit8522;
  partcv[0] = 1;
  Object opresult8526 = callmethod(call8525, "!=", 1, partcv, params);
// compilenode returning opresult8526
  Object if8520 = done;
  if (istrue(opresult8526)) {
// Begin line 2657
  setline(2657);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2656
  setline(2656);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8527 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8527
  *var_suggestions = array8527;
  if (array8527 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2657
  setline(2657);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8530 == NULL) {
    strlit8530 = alloc_String("lbrace");
    gc_root(strlit8530);
  }
// compilenode returning strlit8530
  int op_slot_right_8529 = gc_frame_newslot(strlit8530);
  int callframe8532 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8533 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8532);
// compilenode returning call8533
// compilenode returning call8533
  int op_slot_left_8529 = gc_frame_newslot(call8533);
  params[0] = strlit8530;
  partcv[0] = 1;
  Object opresult8534 = callmethod(call8533, "==", 1, partcv, params);
// compilenode returning opresult8534
  Object if8528 = done;
  if (istrue(opresult8534)) {
// Begin line 2659
  setline(2659);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2658
  setline(2658);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8535 = gc_frame_new();
  int callframe8536 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8537 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8536);
// compilenode returning call8537
// compilenode returning call8537
  partcv[0] = 0;
  Object call8538 = callmethod(call8537, "new",
    1, partcv, params);
  gc_frame_end(callframe8535);
// compilenode returning call8538
// compilenode returning call8538
  *var_suggestion = call8538;
  if (call8538 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2659
  setline(2659);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8539 = gc_frame_new();
  if (strlit8540 == NULL) {
    strlit8540 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit8540);
  }
// compilenode returning strlit8540
  gc_frame_newslot(strlit8540);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8540;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8541 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8539);
// compilenode returning call8541
// Begin line 2660
  setline(2660);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8542 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8543 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8542);
// compilenode returning call8543
// Begin line 2662
  setline(2662);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2661
  setline(2661);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8544 = gc_frame_new();
  int callframe8545 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8546 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8545);
// compilenode returning call8546
// compilenode returning call8546
  partcv[0] = 0;
  Object call8547 = callmethod(call8546, "new",
    1, partcv, params);
  gc_frame_end(callframe8544);
// compilenode returning call8547
// compilenode returning call8547
  *var_suggestion = call8547;
  if (call8547 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2662
  setline(2662);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8549 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  if (strlit8550 == NULL) {
    strlit8550 = alloc_String("object");
    gc_root(strlit8550);
  }
// compilenode returning strlit8550
  gc_frame_newslot(strlit8550);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = strlit8550;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8551 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8549);
// compilenode returning call8551
// Begin line 2663
  setline(2663);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8552 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8553 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8552);
// compilenode returning call8553
    gc_frame_newslot(call8553);
    if8528 = call8553;
  } else {
// Begin line 2666
  setline(2666);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2665
  setline(2665);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8554 = gc_frame_new();
  int callframe8555 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8556 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8555);
// compilenode returning call8556
// compilenode returning call8556
  partcv[0] = 0;
  Object call8557 = callmethod(call8556, "new",
    1, partcv, params);
  gc_frame_end(callframe8554);
// compilenode returning call8557
// compilenode returning call8557
  *var_suggestion = call8557;
  if (call8557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2666
  setline(2666);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8558 = gc_frame_new();
  if (strlit8559 == NULL) {
    strlit8559 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb"" {}");
    gc_root(strlit8559);
  }
// compilenode returning strlit8559
  gc_frame_newslot(strlit8559);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8559;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8560 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8558);
// compilenode returning call8560
// Begin line 2667
  setline(2667);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8561 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8562 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8561);
// compilenode returning call8562
    gc_frame_newslot(call8562);
    if8528 = call8562;
  }
// compilenode returning if8528
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8563 = gc_frame_new();
  if (strlit8564 == NULL) {
    strlit8564 = alloc_String("A factory method must have a name after the 'method'.");
    gc_root(strlit8564);
  }
// compilenode returning strlit8564
  gc_frame_newslot(strlit8564);
// Begin line 2670
  setline(2670);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8565 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8566 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8565);
// compilenode returning call8566
// compilenode returning call8566
  gc_frame_newslot(call8566);
  Object num8568 = alloc_Float64(1);
// compilenode returning num8568
  int op_slot_right_8567 = gc_frame_newslot(num8568);
  int callframe8571 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8572 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8571);
// compilenode returning call8572
// compilenode returning call8572
  int op_slot_right_8570 = gc_frame_newslot(call8572);
  int callframe8574 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8575 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8574);
// compilenode returning call8575
// compilenode returning call8575
  int op_slot_left_8570 = gc_frame_newslot(call8575);
  params[0] = call8572;
  partcv[0] = 1;
  Object sum8576 = callmethod(call8575, "+", 1, partcv, params);
// compilenode returning sum8576
  int op_slot_left_8567 = gc_frame_newslot(sum8576);
  params[0] = num8568;
  partcv[0] = 1;
  Object sum8577 = callmethod(sum8576, "+", 1, partcv, params);
// compilenode returning sum8577
  gc_frame_newslot(sum8577);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8564;
  params[1] = call8566;
  params[2] = sum8577;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8578 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe8563);
// compilenode returning call8578
    gc_frame_newslot(call8578);
    if8520 = call8578;
  } else {
  }
// compilenode returning if8520
// Begin line 2672
  setline(2672);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8579 = gc_frame_new();
  Object bool8580 = alloc_Boolean(0);
// compilenode returning bool8580
  gc_frame_newslot(bool8580);
  params[0] = bool8580;
  partcv[0] = 1;
  Object call8581 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8579);
// compilenode returning call8581
  *var_s = call8581;
  if (call8581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2674
  setline(2674);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2673
  setline(2673);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8582 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8583 = callmethod(*var_s, "sig",
    1, partcv, params);
  gc_frame_end(callframe8582);
// compilenode returning call8583
// compilenode returning call8583
  *var_csig = call8583;
  if (call8583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2675
  setline(2675);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2674
  setline(2674);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8584 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8585 = callmethod(*var_s, "m",
    1, partcv, params);
  gc_frame_end(callframe8584);
// compilenode returning call8585
// compilenode returning call8585
  *var_methodName = call8585;
  if (call8585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2676
  setline(2676);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2675
  setline(2675);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8586 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8587 = callmethod(*var_s, "rtype",
    1, partcv, params);
  gc_frame_end(callframe8586);
// compilenode returning call8587
// compilenode returning call8587
  *var_dtype = call8587;
  if (call8587 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2676
  setline(2676);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8588 = gc_frame_new();
  partcv[0] = 0;
  Object call8589 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8588);
// compilenode returning call8589
  *var_anns = call8589;
  if (call8589 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8591 = gc_frame_new();
  int callframe8592 = gc_frame_new();
  if (strlit8593 == NULL) {
    strlit8593 = alloc_String("lbrace");
    gc_root(strlit8593);
  }
// compilenode returning strlit8593
  gc_frame_newslot(strlit8593);
  params[0] = strlit8593;
  partcv[0] = 1;
  Object call8594 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8592);
// compilenode returning call8594
  partcv[0] = 0;
  Object call8595 = callmethod(call8594, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8591);
// compilenode returning call8595
  Object if8590 = done;
  if (istrue(call8595)) {
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2678
  setline(2678);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8596 = gc_frame_new();
  int callframe8597 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8598 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8597);
// compilenode returning call8598
// compilenode returning call8598
  partcv[0] = 0;
  Object call8599 = callmethod(call8598, "new",
    1, partcv, params);
  gc_frame_end(callframe8596);
// compilenode returning call8599
// compilenode returning call8599
  *var_suggestion = call8599;
  if (call8599 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8600 = gc_frame_new();
  if (strlit8601 == NULL) {
    strlit8601 = alloc_String(" {");
    gc_root(strlit8601);
  }
// compilenode returning strlit8601
  gc_frame_newslot(strlit8601);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8601;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8602 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8600);
// compilenode returning call8602
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8603 = gc_frame_new();
  if (strlit8604 == NULL) {
    strlit8604 = alloc_String("A factory method must have a '{' after the name.");
    gc_root(strlit8604);
  }
// compilenode returning strlit8604
  gc_frame_newslot(strlit8604);
// Begin line 2681
  setline(2681);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8605 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8606 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8605);
// compilenode returning call8606
// compilenode returning call8606
  gc_frame_newslot(call8606);
  Object num8608 = alloc_Float64(1);
// compilenode returning num8608
  int op_slot_right_8607 = gc_frame_newslot(num8608);
  int callframe8611 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8612 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8611);
// compilenode returning call8612
// compilenode returning call8612
  int op_slot_right_8610 = gc_frame_newslot(call8612);
  int callframe8614 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8615 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8614);
// compilenode returning call8615
// compilenode returning call8615
  int op_slot_left_8610 = gc_frame_newslot(call8615);
  params[0] = call8612;
  partcv[0] = 1;
  Object sum8616 = callmethod(call8615, "+", 1, partcv, params);
// compilenode returning sum8616
  int op_slot_left_8607 = gc_frame_newslot(sum8616);
  params[0] = num8608;
  partcv[0] = 1;
  Object sum8617 = callmethod(sum8616, "+", 1, partcv, params);
// compilenode returning sum8617
  gc_frame_newslot(sum8617);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8604;
  params[1] = call8606;
  params[2] = sum8617;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8618 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8603);
// compilenode returning call8618
    gc_frame_newslot(call8618);
    if8590 = call8618;
  } else {
  }
// compilenode returning if8590
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8619 = gc_frame_new();
  partcv[0] = 0;
  Object call8620 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8619);
// compilenode returning call8620
// Begin line 2689
  setline(2689);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2684
  setline(2684);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8623 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8624 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8623);
// compilenode returning call8624
// compilenode returning call8624
  int op_slot_right_8622 = gc_frame_newslot(call8624);
  int callframe8626 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8627 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8626);
// compilenode returning call8627
// compilenode returning call8627
  int op_slot_left_8622 = gc_frame_newslot(call8627);
  params[0] = call8624;
  partcv[0] = 1;
  Object opresult8628 = callmethod(call8627, "==", 1, partcv, params);
// compilenode returning opresult8628
  Object if8621 = done;
  if (istrue(opresult8628)) {
// Begin line 2686
  setline(2686);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2685
  setline(2685);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8630 = alloc_Float64(1);
// compilenode returning num8630
  int op_slot_right_8629 = gc_frame_newslot(num8630);
  int callframe8632 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8633 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8632);
// compilenode returning call8633
// compilenode returning call8633
  int op_slot_left_8629 = gc_frame_newslot(call8633);
  params[0] = num8630;
  partcv[0] = 1;
  Object diff8634 = callmethod(call8633, "-", 1, partcv, params);
// compilenode returning diff8634
  *var_minIndentLevel = diff8634;
  if (diff8634 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8621 = done;
  } else {
// Begin line 2688
  setline(2688);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2687
  setline(2687);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8637 = alloc_Float64(1);
// compilenode returning num8637
  int op_slot_right_8636 = gc_frame_newslot(num8637);
  int callframe8639 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8640 = callmethod(*var_statementToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe8639);
// compilenode returning call8640
// compilenode returning call8640
  int op_slot_left_8636 = gc_frame_newslot(call8640);
  params[0] = num8637;
  partcv[0] = 1;
  Object sum8641 = callmethod(call8640, "+", 1, partcv, params);
// compilenode returning sum8641
  *var_minIndentLevel = sum8641;
  if (sum8641 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8621 = done;
  }
// compilenode returning if8621
// Begin line 2690
  setline(2690);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2689
  setline(2689);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8643 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8643
  *var_body = array8643;
  if (array8643 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2690
  setline(2690);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8644 = gc_frame_new();
  Object block8645 = alloc_Block(NULL, NULL, "parser", 2690);
  gc_frame_newslot(block8645);
  block_savedest(block8645);
  Object closure8646 = createclosure(1, "_apply");
  setclosureframe(closure8646, stackframe);
  addtoclosure(closure8646, selfslot);
  struct UserObject *uo8646 = (struct UserObject*)block8645;
  uo8646->data[0] = (Object)closure8646;
  Method *meth_meth_parser__apply8646 = addmethod2pos(block8645, "_apply", &meth_parser__apply8646, 0);
int argcv_meth_parser__apply8646[] = {0};
meth_meth_parser__apply8646->type = alloc_MethodType(1, argcv_meth_parser__apply8646);
  meth_meth_parser__apply8646->definitionModule = modulename;
  meth_meth_parser__apply8646->definitionLine = 2687;
// compilenode returning block8645
  gc_frame_newslot(block8645);
  Object block8653 = alloc_Block(NULL, NULL, "parser", 2690);
  gc_frame_newslot(block8653);
  block_savedest(block8653);
  Object closure8654 = createclosure(3, "_apply");
  setclosureframe(closure8654, stackframe);
  addtoclosure(closure8654, var_values);
  addtoclosure(closure8654, var_body);
  addtoclosure(closure8654, selfslot);
  struct UserObject *uo8654 = (struct UserObject*)block8653;
  uo8654->data[0] = (Object)closure8654;
  Method *meth_meth_parser__apply8654 = addmethod2pos(block8653, "_apply", &meth_parser__apply8654, 0);
int argcv_meth_parser__apply8654[] = {0};
meth_meth_parser__apply8654->type = alloc_MethodType(1, argcv_meth_parser__apply8654);
  meth_meth_parser__apply8654->definitionModule = modulename;
  meth_meth_parser__apply8654->definitionLine = 2690;
// compilenode returning block8653
  gc_frame_newslot(block8653);
  params[0] = block8645;
  params[1] = block8653;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8698 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8644);
// compilenode returning call8698
// Begin line 2701
  setline(2701);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8699 = gc_frame_new();
  partcv[0] = 0;
  Object call8700 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8699);
// compilenode returning call8700
// Begin line 2702
  setline(2702);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8701 = gc_frame_new();
  int callframe8702 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call8703 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8702);
// compilenode returning call8703
// compilenode returning call8703
  gc_frame_newslot(call8703);
// compilenode returning *var_util
  params[0] = call8703;
  partcv[0] = 1;
  Object call8704 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8701);
// compilenode returning call8704
// Begin line 2703
  setline(2703);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8705 = gc_frame_new();
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
  Object bool8706 = alloc_Boolean(0);
// compilenode returning bool8706
  gc_frame_newslot(bool8706);
  int callframe8707 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8708 = callmethod(*var_ast, "objectNode",
    1, partcv, params);
  gc_frame_end(callframe8707);
// compilenode returning call8708
// compilenode returning call8708
  params[0] = *var_body;
  params[1] = bool8706;
  partcv[0] = 2;
  Object call8709 = callmethod(call8708, "new",
    1, partcv, params);
  gc_frame_end(callframe8705);
// compilenode returning call8709
  *var_obj = call8709;
  if (call8709 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8710 = gc_frame_new();
// compilenode returning *var_methodName
  gc_frame_newslot(*var_methodName);
// compilenode returning *var_csig
  gc_frame_newslot(*var_csig);
// Begin line 2705
  setline(2705);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8711 = gc_frame_new();
// compilenode returning *var_obj
  gc_frame_newslot(*var_obj);
  int callframe8712 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call8713 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe8712);
// compilenode returning call8713
// compilenode returning call8713
  params[0] = *var_obj;
  partcv[0] = 1;
  Object call8714 = callmethod(call8713, "new",
    1, partcv, params);
  gc_frame_end(callframe8711);
// compilenode returning call8714
  gc_frame_newslot(call8714);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8715 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8716 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe8715);
// compilenode returning call8716
// compilenode returning call8716
  params[0] = *var_methodName;
  params[1] = *var_csig;
  params[2] = call8714;
  params[3] = *var_dtype;
  partcv[0] = 4;
  Object call8717 = callmethod(call8716, "new",
    1, partcv, params);
  gc_frame_end(callframe8710);
// compilenode returning call8717
  *var_meth = call8717;
  if (call8717 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2707
  setline(2707);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8718 = gc_frame_new();
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8719 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8720 = callmethod(*var_s, "generics",
    1, partcv, params);
  gc_frame_end(callframe8719);
// compilenode returning call8720
// compilenode returning call8720
  gc_frame_newslot(call8720);
// compilenode returning *var_meth
  params[0] = call8720;
  partcv[0] = 1;
  Object call8721 = callmethod(*var_meth, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe8718);
// compilenode returning call8721
// compilenode returning done
// Begin line 2715
  setline(2715);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2707
  setline(2707);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  int op_slot_right_8723 = gc_frame_newslot(*var_anns);
  Object bool8725 = alloc_Boolean(0);
// compilenode returning bool8725
  int op_slot_left_8723 = gc_frame_newslot(bool8725);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult8726 = callmethod(bool8725, "!=", 1, partcv, params);
// compilenode returning opresult8726
  Object if8722 = done;
  if (istrue(opresult8726)) {
// Begin line 2708
  setline(2708);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8727 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe8728 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call8729 = callmethod(*var_meth, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8728);
// compilenode returning call8729
// compilenode returning call8729
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8730 = callmethod(call8729, "extend",
    1, partcv, params);
  gc_frame_end(callframe8727);
// compilenode returning call8730
    gc_frame_newslot(call8730);
    if8722 = call8730;
  } else {
// Begin line 2714
  setline(2714);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2710
  setline(2710);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8733 == NULL) {
    strlit8733 = alloc_String("confidential");
    gc_root(strlit8733);
  }
// compilenode returning strlit8733
  int op_slot_right_8732 = gc_frame_newslot(strlit8733);
// compilenode returning *var_defaultMethodVisibility
  int op_slot_left_8732 = gc_frame_newslot(*var_defaultMethodVisibility);
  params[0] = strlit8733;
  partcv[0] = 1;
  Object opresult8735 = callmethod(*var_defaultMethodVisibility, "==", 1, partcv, params);
// compilenode returning opresult8735
  Object if8731 = done;
  if (istrue(opresult8735)) {
// Begin line 2711
  setline(2711);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8736 = gc_frame_new();
  int callframe8737 = gc_frame_new();
  if (strlit8738 == NULL) {
    strlit8738 = alloc_String("confidential");
    gc_root(strlit8738);
  }
// compilenode returning strlit8738
  gc_frame_newslot(strlit8738);
// Begin line 2712
  setline(2712);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8739 = alloc_Boolean(0);
// compilenode returning bool8739
  gc_frame_newslot(bool8739);
// Begin line 2711
  setline(2711);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8740 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8741 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe8740);
// compilenode returning call8741
// compilenode returning call8741
  params[0] = strlit8738;
  params[1] = bool8739;
  partcv[0] = 2;
  Object call8742 = callmethod(call8741, "new",
    1, partcv, params);
  gc_frame_end(callframe8737);
// compilenode returning call8742
  gc_frame_newslot(call8742);
  int callframe8743 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call8744 = callmethod(*var_meth, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8743);
// compilenode returning call8744
// compilenode returning call8744
  params[0] = call8742;
  partcv[0] = 1;
  Object call8745 = callmethod(call8744, "push",
    1, partcv, params);
  gc_frame_end(callframe8736);
// compilenode returning call8745
    gc_frame_newslot(call8745);
    if8731 = call8745;
  } else {
  }
// compilenode returning if8731
    gc_frame_newslot(if8731);
    if8722 = if8731;
  }
// compilenode returning if8722
// Begin line 2715
  setline(2715);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8746 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call8747 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8746);
// compilenode returning call8747
// Begin line 2717
  setline(2717);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMinIndentLevel
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8477 = done;
  } else {
  }
// compilenode returning if8477
  gc_frame_end(frame);
  return if8477;
}
Object meth_parser__apply8827(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit8829 == NULL) {
    strlit8829 = alloc_String("lbrace");
    gc_root(strlit8829);
  }
// compilenode returning strlit8829
  int op_slot_right_8828 = gc_frame_newslot(strlit8829);
  int callframe8831 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8832 = callmethod(*var_s, "kind",
    1, partcv, params);
  gc_frame_end(callframe8831);
// compilenode returning call8832
// compilenode returning call8832
  int op_slot_left_8828 = gc_frame_newslot(call8832);
  params[0] = strlit8829;
  partcv[0] = 1;
  Object opresult8833 = callmethod(call8832, "!=", 1, partcv, params);
// compilenode returning opresult8833
  gc_frame_end(frame);
  return opresult8833;
}
Object meth_parser__apply8836(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2755
  setline(2755);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8837 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_body
  params[0] = *var_s;
  partcv[0] = 1;
  Object call8838 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8837);
// compilenode returning call8838
// Begin line 2756
  setline(2756);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8839 = gc_frame_new();
  partcv[0] = 0;
  Object call8840 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8839);
// compilenode returning call8840
// Begin line 2758
  setline(2758);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2757
  setline(2757);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8841 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8842 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8841);
// compilenode returning call8842
// compilenode returning call8842
  *var_s = call8842;
  if (call8842 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_methoddec8749(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 49, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methoddec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methoddec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for methoddec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_stok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "stok");
  Object *var_m = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "m");
  Object *var_meth = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "meth");
  Object *var_signature = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "signature");
  Object *var_dtype = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dtype");
  Object *var_varargs = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "varargs");
  Object *var_generics = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "generics");
  Object *var_body = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "body");
  Object *var_localMin = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "localMin");
  Object *var_anns = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "anns");
  Object *var_s = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "s");
  Object *var_suggestion = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "closingBrace");
  Object *var_o = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "o");
// Begin line 2807
  setline(2807);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2722
  setline(2722);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8753 == NULL) {
    strlit8753 = alloc_String("method");
    gc_root(strlit8753);
  }
// compilenode returning strlit8753
  int op_slot_right_8752 = gc_frame_newslot(strlit8753);
  int callframe8755 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8756 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8755);
// compilenode returning call8756
// compilenode returning call8756
  int op_slot_left_8752 = gc_frame_newslot(call8756);
  params[0] = strlit8753;
  partcv[0] = 1;
  Object opresult8757 = callmethod(call8756, "==", 1, partcv, params);
// compilenode returning opresult8757
  int op_slot_right_8751 = gc_frame_newslot(opresult8757);
  int callframe8759 = gc_frame_new();
  if (strlit8760 == NULL) {
    strlit8760 = alloc_String("keyword");
    gc_root(strlit8760);
  }
// compilenode returning strlit8760
  gc_frame_newslot(strlit8760);
  params[0] = strlit8760;
  partcv[0] = 1;
  Object call8761 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8759);
// compilenode returning call8761
  int op_slot_left_8751 = gc_frame_newslot(call8761);
  params[0] = opresult8757;
  partcv[0] = 1;
  Object opresult8762 = callmethod(call8761, "&&", 1, partcv, params);
// compilenode returning opresult8762
  Object if8750 = done;
  if (istrue(opresult8762)) {
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2723
  setline(2723);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8763 = gc_frame_new();
  partcv[0] = 0;
  Object call8764 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8763);
// compilenode returning call8764
// Begin line 2726
  setline(2726);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2725
  setline(2725);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2727
  setline(2727);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2726
  setline(2726);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_stok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2727
  setline(2727);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8766 = gc_frame_new();
  partcv[0] = 0;
  Object call8767 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8766);
// compilenode returning call8767
// Begin line 2728
  setline(2728);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8768 = gc_frame_new();
  Object bool8769 = alloc_Boolean(0);
// compilenode returning bool8769
  gc_frame_newslot(bool8769);
  params[0] = bool8769;
  partcv[0] = 1;
  Object call8770 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8768);
// compilenode returning call8770
  *var_m = call8770;
  if (call8770 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2730
  setline(2730);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2729
  setline(2729);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8771 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8772 = callmethod(*var_m, "m",
    1, partcv, params);
  gc_frame_end(callframe8771);
// compilenode returning call8772
// compilenode returning call8772
  *var_meth = call8772;
  if (call8772 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2730
  setline(2730);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8773 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8774 = callmethod(*var_m, "sig",
    1, partcv, params);
  gc_frame_end(callframe8773);
// compilenode returning call8774
// compilenode returning call8774
  *var_signature = call8774;
  if (call8774 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2732
  setline(2732);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8775 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8776 = callmethod(*var_m, "rtype",
    1, partcv, params);
  gc_frame_end(callframe8775);
// compilenode returning call8776
// compilenode returning call8776
  *var_dtype = call8776;
  if (call8776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2733
  setline(2733);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2732
  setline(2732);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8777 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8778 = callmethod(*var_m, "v",
    1, partcv, params);
  gc_frame_end(callframe8777);
// compilenode returning call8778
// compilenode returning call8778
  *var_varargs = call8778;
  if (call8778 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2734
  setline(2734);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2733
  setline(2733);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8779 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8780 = callmethod(*var_m, "generics",
    1, partcv, params);
  gc_frame_end(callframe8779);
// compilenode returning call8780
// compilenode returning call8780
  *var_generics = call8780;
  if (call8780 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2735
  setline(2735);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2734
  setline(2734);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8781 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8781
  *var_body = array8781;
  if (array8781 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2736
  setline(2736);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_localMin = undefined;
// compilenode returning done
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2736
  setline(2736);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8782 = gc_frame_new();
  partcv[0] = 0;
  Object call8783 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8782);
// compilenode returning call8783
  *var_anns = call8783;
  if (call8783 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2791
  setline(2791);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8785 = gc_frame_new();
  if (strlit8786 == NULL) {
    strlit8786 = alloc_String("lbrace");
    gc_root(strlit8786);
  }
// compilenode returning strlit8786
  gc_frame_newslot(strlit8786);
  params[0] = strlit8786;
  partcv[0] = 1;
  Object call8787 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8785);
// compilenode returning call8787
  Object if8784 = done;
  if (istrue(call8787)) {
// Begin line 2738
  setline(2738);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8788 = gc_frame_new();
  partcv[0] = 0;
  Object call8789 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8788);
// compilenode returning call8789
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2739
  setline(2739);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2745
  setline(2745);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8793 = gc_frame_new();
// compilenode returning *var_stok
  partcv[0] = 0;
  Object call8794 = callmethod(*var_stok, "line",
    1, partcv, params);
  gc_frame_end(callframe8793);
// compilenode returning call8794
// compilenode returning call8794
  int op_slot_right_8792 = gc_frame_newslot(call8794);
  int callframe8796 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8797 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8796);
// compilenode returning call8797
// compilenode returning call8797
  int op_slot_left_8792 = gc_frame_newslot(call8797);
  params[0] = call8794;
  partcv[0] = 1;
  Object opresult8798 = callmethod(call8797, "==", 1, partcv, params);
// compilenode returning opresult8798
  Object if8791 = done;
  if (istrue(opresult8798)) {
// Begin line 2742
  setline(2742);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2741
  setline(2741);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8800 = alloc_Float64(1);
// compilenode returning num8800
  int op_slot_right_8799 = gc_frame_newslot(num8800);
  int callframe8802 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8803 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8802);
// compilenode returning call8803
// compilenode returning call8803
  int op_slot_left_8799 = gc_frame_newslot(call8803);
  params[0] = num8800;
  partcv[0] = 1;
  Object diff8804 = callmethod(call8803, "-", 1, partcv, params);
// compilenode returning diff8804
  *var_minIndentLevel = diff8804;
  if (diff8804 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8791 = done;
  } else {
// Begin line 2744
  setline(2744);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2743
  setline(2743);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8807 = alloc_Float64(1);
// compilenode returning num8807
  int op_slot_right_8806 = gc_frame_newslot(num8807);
  int callframe8809 = gc_frame_new();
// compilenode returning *var_stok
  partcv[0] = 0;
  Object call8810 = callmethod(*var_stok, "indent",
    1, partcv, params);
  gc_frame_end(callframe8809);
// compilenode returning call8810
// compilenode returning call8810
  int op_slot_left_8806 = gc_frame_newslot(call8810);
  params[0] = num8807;
  partcv[0] = 1;
  Object sum8811 = callmethod(call8810, "+", 1, partcv, params);
// compilenode returning sum8811
  *var_minIndentLevel = sum8811;
  if (sum8811 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8791 = done;
  }
// compilenode returning if8791
// Begin line 2745
  setline(2745);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8813 = gc_frame_new();
  Object inheritingObject8814 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8814 = alloc_userobj2(4,4, objclass8814);
  gc_frame_newslot(obj8814);
// OBJECT OUTER DEC outer
  adddatum2(obj8814, self, 0);
  addmethodreal(obj8814,"outer", &reader_parser_outer_8815);
  Object oldself8814 = self;
  struct StackFrameObject *oldstackframe8814 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8814);
  gc_frame_newslot((Object)stackframe);
  self = obj8814;
  Object *oldselfslot8814 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8814 = (*(struct UserObject *)self).data[0], lowerouter8814 = thisouter8814;
  if (inheritingObject8814) {
    struct UserObject *inho8814 = (struct UserObject *)inheritingObject8814;
    while (inho8814->super != GraceDefaultObject) inho8814 = (struct UserObject *)inho8814->super;
    inho8814->super = obj8814;
    self = inheritingObject8814;
    *selfslot = self;
    lowerouter8814 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8814;
  }
if (objclass8814 == NULL) {
  Method *reader8816 = addmethodrealflags(obj8814, "kind",&reader_parser_kind_8816, 0);
  Method *writer8816 = addmethodrealflags(obj8814, "kind:=",&writer_parser_kind_8816, 0);
  reader8816->definitionModule = modulename;
  writer8816->definitionModule = modulename;
  reader8816->definitionLine = 2747;
  writer8816->definitionLine = 2747;
}
obj8814->flags |= OFLAG_MUTABLE;
adddatum2(obj8814, alloc_Undefined(), 1);
if (objclass8814 == NULL) {
  Method *reader8817 = addmethodrealflags(obj8814, "register",&reader_parser_register_8817, 0);
  Method *writer8817 = addmethodrealflags(obj8814, "register:=",&writer_parser_register_8817, 0);
  reader8817->definitionModule = modulename;
  writer8817->definitionModule = modulename;
  reader8817->definitionLine = 2748;
  writer8817->definitionLine = 2748;
}
obj8814->flags |= OFLAG_MUTABLE;
adddatum2(obj8814, alloc_Undefined(), 2);
  sourceObject = obj8814;
// Begin line 2746
  setline(2746);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8818 == NULL) {
    strlit8818 = alloc_String("lbrace");
    gc_root(strlit8818);
  }
// compilenode returning strlit8818
  adddatum2(obj8814, strlit8818, 1);
  sourceObject = obj8814;
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8819 == NULL) {
    strlit8819 = alloc_String("");
    gc_root(strlit8819);
  }
// compilenode returning strlit8819
  adddatum2(obj8814, strlit8819, 2);
objclass8814 = obj8814->class;
  objclass8814->definitionModule = modulename;
  objclass8814->definitionLine = 2745;
  (*(struct UserObject *)self).data[0] = lowerouter8814;
  self = oldself8814;
  selfslot = oldselfslot8814;
  stackframe = oldstackframe8814;
// compilenode returning obj8814
  gc_frame_newslot(obj8814);
// Begin line 2745
  setline(2745);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  params[0] = obj8814;
  partcv[0] = 1;
  Object call8820 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8813);
// compilenode returning call8820
// Begin line 2749
  setline(2749);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8821 = gc_frame_new();
  partcv[0] = 0;
  Object call8822 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8821);
// compilenode returning call8822
// Begin line 2751
  setline(2751);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2750
  setline(2750);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8823 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8824 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8823);
// compilenode returning call8824
// compilenode returning call8824
  *var_s = call8824;
  if (call8824 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2751
  setline(2751);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8825 = gc_frame_new();
  Object block8826 = alloc_Block(NULL, NULL, "parser", 2751);
  gc_frame_newslot(block8826);
  block_savedest(block8826);
  Object closure8827 = createclosure(2, "_apply");
  setclosureframe(closure8827, stackframe);
  addtoclosure(closure8827, var_s);
  addtoclosure(closure8827, selfslot);
  struct UserObject *uo8827 = (struct UserObject*)block8826;
  uo8827->data[0] = (Object)closure8827;
  Method *meth_meth_parser__apply8827 = addmethod2pos(block8826, "_apply", &meth_parser__apply8827, 0);
int argcv_meth_parser__apply8827[] = {0};
meth_meth_parser__apply8827->type = alloc_MethodType(1, argcv_meth_parser__apply8827);
  meth_meth_parser__apply8827->definitionModule = modulename;
  meth_meth_parser__apply8827->definitionLine = 2750;
// compilenode returning block8826
  gc_frame_newslot(block8826);
  Object block8835 = alloc_Block(NULL, NULL, "parser", 2751);
  gc_frame_newslot(block8835);
  block_savedest(block8835);
  Object closure8836 = createclosure(4, "_apply");
  setclosureframe(closure8836, stackframe);
  addtoclosure(closure8836, var_s);
  addtoclosure(closure8836, var_body);
  addtoclosure(closure8836, var_values);
  addtoclosure(closure8836, selfslot);
  struct UserObject *uo8836 = (struct UserObject*)block8835;
  uo8836->data[0] = (Object)closure8836;
  Method *meth_meth_parser__apply8836 = addmethod2pos(block8835, "_apply", &meth_parser__apply8836, 0);
int argcv_meth_parser__apply8836[] = {0};
meth_meth_parser__apply8836->type = alloc_MethodType(1, argcv_meth_parser__apply8836);
  meth_meth_parser__apply8836->definitionModule = modulename;
  meth_meth_parser__apply8836->definitionLine = 2751;
// compilenode returning block8835
  gc_frame_newslot(block8835);
  params[0] = block8826;
  params[1] = block8835;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8845 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8825);
// compilenode returning call8845
// Begin line 2773
  setline(2773);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2759
  setline(2759);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8848 == NULL) {
    strlit8848 = alloc_String("rbrace");
    gc_root(strlit8848);
  }
// compilenode returning strlit8848
  int op_slot_right_8847 = gc_frame_newslot(strlit8848);
  int callframe8850 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8851 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8850);
// compilenode returning call8851
// compilenode returning call8851
  int op_slot_left_8847 = gc_frame_newslot(call8851);
  params[0] = strlit8848;
  partcv[0] = 1;
  Object opresult8852 = callmethod(call8851, "!=", 1, partcv, params);
// compilenode returning opresult8852
  Object if8846 = done;
  if (istrue(opresult8852)) {
// Begin line 2761
  setline(2761);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2760
  setline(2760);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8853 = gc_frame_new();
  int callframe8854 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8855 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8854);
// compilenode returning call8855
// compilenode returning call8855
  partcv[0] = 0;
  Object call8856 = callmethod(call8855, "new",
    1, partcv, params);
  gc_frame_end(callframe8853);
// compilenode returning call8856
// compilenode returning call8856
  *var_suggestion = call8856;
  if (call8856 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2761
  setline(2761);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8857 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool8858 = alloc_Boolean(0);
// compilenode returning bool8858
  gc_frame_newslot(bool8858);
  params[0] = *var_btok;
  params[1] = bool8858;
  partcv[0] = 2;
  Object call8859 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8857);
// compilenode returning call8859
  *var_closingBrace = call8859;
  if (call8859 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2762
  setline(2762);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8862 = alloc_Boolean(0);
// compilenode returning bool8862
  int op_slot_right_8861 = gc_frame_newslot(bool8862);
  int callframe8864 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8865 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe8864);
// compilenode returning call8865
// compilenode returning call8865
  int op_slot_left_8861 = gc_frame_newslot(call8865);
  params[0] = bool8862;
  partcv[0] = 1;
  Object opresult8866 = callmethod(call8865, "==", 1, partcv, params);
// compilenode returning opresult8866
  Object if8860 = done;
  if (istrue(opresult8866)) {
// Begin line 2768
  setline(2768);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2763
  setline(2763);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_8868 = gc_frame_newslot(*var_sym);
  int callframe8870 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8871 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8870);
// compilenode returning call8871
// compilenode returning call8871
  int op_slot_left_8868 = gc_frame_newslot(call8871);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult8872 = callmethod(call8871, "==", 1, partcv, params);
// compilenode returning opresult8872
  Object if8867 = done;
  if (istrue(opresult8872)) {
// Begin line 2764
  setline(2764);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8873 = gc_frame_new();
  if (strlit8874 == NULL) {
    strlit8874 = alloc_String("}");
    gc_root(strlit8874);
  }
// compilenode returning strlit8874
  gc_frame_newslot(strlit8874);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8874;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8875 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8873);
// compilenode returning call8875
    gc_frame_newslot(call8875);
    if8867 = call8875;
  } else {
// Begin line 2766
  setline(2766);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8876 = gc_frame_new();
  Object num8878 = alloc_Float64(0.1);
// compilenode returning num8878
  int op_slot_right_8877 = gc_frame_newslot(num8878);
  int callframe8880 = gc_frame_new();
  int callframe8881 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8882 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8881);
// compilenode returning call8882
// compilenode returning call8882
  partcv[0] = 0;
  Object call8883 = callmethod(call8882, "line",
    1, partcv, params);
  gc_frame_end(callframe8880);
// compilenode returning call8883
// compilenode returning call8883
  int op_slot_left_8877 = gc_frame_newslot(call8883);
  params[0] = num8878;
  partcv[0] = 1;
  Object sum8884 = callmethod(call8883, "+", 1, partcv, params);
// compilenode returning sum8884
  gc_frame_newslot(sum8884);
  if (strlit8885 == NULL) {
    strlit8885 = alloc_String("}");
    gc_root(strlit8885);
  }
// compilenode returning strlit8885
  gc_frame_newslot(strlit8885);
// compilenode returning *var_suggestion
  params[0] = sum8884;
  params[1] = strlit8885;
  partcv[0] = 2;
  Object call8886 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe8876);
// compilenode returning call8886
    gc_frame_newslot(call8886);
    if8867 = call8886;
  }
// compilenode returning if8867
    gc_frame_newslot(if8867);
    if8860 = if8867;
  } else {
  }
// compilenode returning if8860
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8887 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call8888 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe8887);
// compilenode returning call8888
// Begin line 2770
  setline(2770);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8889 = gc_frame_new();
  if (strlit8890 == NULL) {
    strlit8890 = alloc_String("A method must end with a '}'.");
    gc_root(strlit8890);
  }
// compilenode returning strlit8890
  gc_frame_newslot(strlit8890);
// Begin line 2771
  setline(2771);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8891 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8892 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8891);
// compilenode returning call8892
// compilenode returning call8892
  gc_frame_newslot(call8892);
  int callframe8893 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8894 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8893);
// compilenode returning call8894
// compilenode returning call8894
  gc_frame_newslot(call8894);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2770
  setline(2770);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8890;
  params[1] = call8892;
  params[2] = call8894;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8895 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8889);
// compilenode returning call8895
    gc_frame_newslot(call8895);
    if8846 = call8895;
  } else {
  }
// compilenode returning if8846
// Begin line 2773
  setline(2773);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8896 = gc_frame_new();
  partcv[0] = 0;
  Object call8897 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8896);
// compilenode returning call8897
// Begin line 2775
  setline(2775);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2774
  setline(2774);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMin
  *var_minIndentLevel = *var_localMin;
  if (*var_localMin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8784 = done;
  } else {
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2776
  setline(2776);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8899 = gc_frame_new();
  int callframe8900 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8901 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8900);
// compilenode returning call8901
// compilenode returning call8901
  partcv[0] = 0;
  Object call8902 = callmethod(call8901, "new",
    1, partcv, params);
  gc_frame_end(callframe8899);
// compilenode returning call8902
// compilenode returning call8902
  *var_suggestion = call8902;
  if (call8902 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8903 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool8904 = alloc_Boolean(1);
// compilenode returning bool8904
  gc_frame_newslot(bool8904);
  params[0] = *var_btok;
  params[1] = bool8904;
  partcv[0] = 2;
  Object call8905 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8903);
// compilenode returning call8905
  *var_closingBrace = call8905;
  if (call8905 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8908 = alloc_Boolean(0);
// compilenode returning bool8908
  int op_slot_right_8907 = gc_frame_newslot(bool8908);
  int callframe8910 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8911 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe8910);
// compilenode returning call8911
// compilenode returning call8911
  int op_slot_left_8907 = gc_frame_newslot(call8911);
  params[0] = bool8908;
  partcv[0] = 1;
  Object opresult8912 = callmethod(call8911, "==", 1, partcv, params);
// compilenode returning opresult8912
  Object if8906 = done;
  if (istrue(opresult8912)) {
// Begin line 2785
  setline(2785);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2779
  setline(2779);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_8914 = gc_frame_newslot(*var_lastToken);
  int callframe8916 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8917 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8916);
// compilenode returning call8917
// compilenode returning call8917
  int op_slot_left_8914 = gc_frame_newslot(call8917);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult8918 = callmethod(call8917, "==", 1, partcv, params);
// compilenode returning opresult8918
  Object if8913 = done;
  if (istrue(opresult8918)) {
// Begin line 2780
  setline(2780);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8919 = gc_frame_new();
  if (strlit8920 == NULL) {
    strlit8920 = alloc_String(" {}");
    gc_root(strlit8920);
  }
// compilenode returning strlit8920
  gc_frame_newslot(strlit8920);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool8921 = alloc_Boolean(1);
// compilenode returning bool8921
  gc_frame_newslot(bool8921);
// compilenode returning *var_suggestion
  params[0] = strlit8920;
  params[1] = *var_lastToken;
  params[2] = bool8921;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8922 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8919);
// compilenode returning call8922
    gc_frame_newslot(call8922);
    if8913 = call8922;
  } else {
// Begin line 2782
  setline(2782);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8923 = gc_frame_new();
  Object num8925 = alloc_Float64(0.1);
// compilenode returning num8925
  int op_slot_right_8924 = gc_frame_newslot(num8925);
  int callframe8927 = gc_frame_new();
  int callframe8928 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8929 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8928);
// compilenode returning call8929
// compilenode returning call8929
  partcv[0] = 0;
  Object call8930 = callmethod(call8929, "line",
    1, partcv, params);
  gc_frame_end(callframe8927);
// compilenode returning call8930
// compilenode returning call8930
  int op_slot_left_8924 = gc_frame_newslot(call8930);
  params[0] = num8925;
  partcv[0] = 1;
  Object sum8931 = callmethod(call8930, "+", 1, partcv, params);
// compilenode returning sum8931
  gc_frame_newslot(sum8931);
  if (strlit8932 == NULL) {
    strlit8932 = alloc_String("}");
    gc_root(strlit8932);
  }
// compilenode returning strlit8932
  gc_frame_newslot(strlit8932);
// compilenode returning *var_suggestion
  params[0] = sum8931;
  params[1] = strlit8932;
  partcv[0] = 2;
  Object call8933 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe8923);
// compilenode returning call8933
// Begin line 2783
  setline(2783);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8934 = gc_frame_new();
  if (strlit8935 == NULL) {
    strlit8935 = alloc_String(" {");
    gc_root(strlit8935);
  }
// compilenode returning strlit8935
  gc_frame_newslot(strlit8935);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool8936 = alloc_Boolean(1);
// compilenode returning bool8936
  gc_frame_newslot(bool8936);
// compilenode returning *var_suggestion
  params[0] = strlit8935;
  params[1] = *var_lastToken;
  params[2] = bool8936;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8937 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8934);
// compilenode returning call8937
    gc_frame_newslot(call8937);
    if8913 = call8937;
  }
// compilenode returning if8913
    gc_frame_newslot(if8913);
    if8906 = if8913;
  } else {
// Begin line 2786
  setline(2786);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8938 = gc_frame_new();
  if (strlit8939 == NULL) {
    strlit8939 = alloc_String(" {");
    gc_root(strlit8939);
  }
// compilenode returning strlit8939
  gc_frame_newslot(strlit8939);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool8940 = alloc_Boolean(1);
// compilenode returning bool8940
  gc_frame_newslot(bool8940);
// compilenode returning *var_suggestion
  params[0] = strlit8939;
  params[1] = *var_lastToken;
  params[2] = bool8940;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8941 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8938);
// compilenode returning call8941
    gc_frame_newslot(call8941);
    if8906 = call8941;
  }
// compilenode returning if8906
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8942 = gc_frame_new();
  if (strlit8943 == NULL) {
    strlit8943 = alloc_String("A method must have a '{' after the name.");
    gc_root(strlit8943);
  }
// compilenode returning strlit8943
  gc_frame_newslot(strlit8943);
// Begin line 2789
  setline(2789);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8944 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8945 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8944);
// compilenode returning call8945
// compilenode returning call8945
  gc_frame_newslot(call8945);
  int callframe8947 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8948 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8947);
// compilenode returning call8948
// compilenode returning call8948
  int op_slot_right_8946 = gc_frame_newslot(call8948);
  int callframe8950 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8951 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8950);
// compilenode returning call8951
// compilenode returning call8951
  int op_slot_left_8946 = gc_frame_newslot(call8951);
  params[0] = call8948;
  partcv[0] = 1;
  Object sum8952 = callmethod(call8951, "+", 1, partcv, params);
// compilenode returning sum8952
  gc_frame_newslot(sum8952);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8943;
  params[1] = call8945;
  params[2] = sum8952;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8953 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8942);
// compilenode returning call8953
    gc_frame_newslot(call8953);
    if8784 = call8953;
  }
// compilenode returning if8784
// Begin line 2791
  setline(2791);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8954 = gc_frame_new();
  int callframe8955 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call8956 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8955);
// compilenode returning call8956
// compilenode returning call8956
  gc_frame_newslot(call8956);
// compilenode returning *var_util
  params[0] = call8956;
  partcv[0] = 1;
  Object call8957 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8954);
// compilenode returning call8957
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8958 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe8959 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8960 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe8959);
// compilenode returning call8960
// compilenode returning call8960
  params[0] = *var_meth;
  params[1] = *var_signature;
  params[2] = *var_body;
  params[3] = *var_dtype;
  partcv[0] = 4;
  Object call8961 = callmethod(call8960, "new",
    1, partcv, params);
  gc_frame_end(callframe8958);
// compilenode returning call8961
  *var_o = call8961;
  if (call8961 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2796
  setline(2796);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2793
  setline(2793);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_varargs
  Object if8962 = done;
  if (istrue(*var_varargs)) {
// Begin line 2795
  setline(2795);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8963 = gc_frame_new();
// Begin line 2794
  setline(2794);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8964 = alloc_Boolean(1);
// compilenode returning bool8964
  gc_frame_newslot(bool8964);
// compilenode returning *var_o
  params[0] = bool8964;
  partcv[0] = 1;
  Object call8965 = callmethod(*var_o, "varargs:=",
    1, partcv, params);
  gc_frame_end(callframe8963);
// compilenode returning call8965
// compilenode returning done
    gc_frame_newslot(done);
    if8962 = done;
  } else {
  }
// compilenode returning if8962
// Begin line 2797
  setline(2797);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8966 = gc_frame_new();
// Begin line 2796
  setline(2796);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_generics
  gc_frame_newslot(*var_generics);
// compilenode returning *var_o
  params[0] = *var_generics;
  partcv[0] = 1;
  Object call8967 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe8966);
// compilenode returning call8967
// compilenode returning done
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2797
  setline(2797);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  int op_slot_right_8969 = gc_frame_newslot(*var_anns);
  Object bool8971 = alloc_Boolean(0);
// compilenode returning bool8971
  int op_slot_left_8969 = gc_frame_newslot(bool8971);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult8972 = callmethod(bool8971, "!=", 1, partcv, params);
// compilenode returning opresult8972
  Object if8968 = done;
  if (istrue(opresult8972)) {
// Begin line 2798
  setline(2798);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8973 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe8974 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call8975 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8974);
// compilenode returning call8975
// compilenode returning call8975
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8976 = callmethod(call8975, "extend",
    1, partcv, params);
  gc_frame_end(callframe8973);
// compilenode returning call8976
    gc_frame_newslot(call8976);
    if8968 = call8976;
  } else {
// Begin line 2804
  setline(2804);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2800
  setline(2800);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8979 == NULL) {
    strlit8979 = alloc_String("confidential");
    gc_root(strlit8979);
  }
// compilenode returning strlit8979
  int op_slot_right_8978 = gc_frame_newslot(strlit8979);
// compilenode returning *var_defaultMethodVisibility
  int op_slot_left_8978 = gc_frame_newslot(*var_defaultMethodVisibility);
  params[0] = strlit8979;
  partcv[0] = 1;
  Object opresult8981 = callmethod(*var_defaultMethodVisibility, "==", 1, partcv, params);
// compilenode returning opresult8981
  Object if8977 = done;
  if (istrue(opresult8981)) {
// Begin line 2801
  setline(2801);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8982 = gc_frame_new();
  int callframe8983 = gc_frame_new();
  if (strlit8984 == NULL) {
    strlit8984 = alloc_String("confidential");
    gc_root(strlit8984);
  }
// compilenode returning strlit8984
  gc_frame_newslot(strlit8984);
// Begin line 2802
  setline(2802);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8985 = alloc_Boolean(0);
// compilenode returning bool8985
  gc_frame_newslot(bool8985);
// Begin line 2801
  setline(2801);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8986 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8987 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe8986);
// compilenode returning call8987
// compilenode returning call8987
  params[0] = strlit8984;
  params[1] = bool8985;
  partcv[0] = 2;
  Object call8988 = callmethod(call8987, "new",
    1, partcv, params);
  gc_frame_end(callframe8983);
// compilenode returning call8988
  gc_frame_newslot(call8988);
  int callframe8989 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call8990 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8989);
// compilenode returning call8990
// compilenode returning call8990
  params[0] = call8988;
  partcv[0] = 1;
  Object call8991 = callmethod(call8990, "push",
    1, partcv, params);
  gc_frame_end(callframe8982);
// compilenode returning call8991
    gc_frame_newslot(call8991);
    if8977 = call8991;
  } else {
  }
// compilenode returning if8977
    gc_frame_newslot(if8977);
    if8968 = if8977;
  }
// compilenode returning if8968
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8992 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8993 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8992);
// compilenode returning call8993
    gc_frame_newslot(call8993);
    if8750 = call8993;
  } else {
  }
// compilenode returning if8750
  gc_frame_end(frame);
  return if8750;
}
Object meth_parser__apply9003(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sameline = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9005 = gc_frame_new();
  if (strlit9006 == NULL) {
    strlit9006 = alloc_String("identifier");
    gc_root(strlit9006);
  }
// compilenode returning strlit9006
  gc_frame_newslot(strlit9006);
  params[0] = strlit9006;
  partcv[0] = 1;
  Object call9007 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9005);
// compilenode returning call9007
  int op_slot_right_9004 = gc_frame_newslot(call9007);
  int callframe9010 = gc_frame_new();
  if (strlit9011 == NULL) {
    strlit9011 = alloc_String("identifier");
    gc_root(strlit9011);
  }
// compilenode returning strlit9011
  gc_frame_newslot(strlit9011);
  params[0] = strlit9011;
  partcv[0] = 1;
  Object call9012 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9010);
// compilenode returning call9012
  int op_slot_right_9009 = gc_frame_newslot(call9012);
  int callframe9014 = gc_frame_new();
// compilenode returning *var_sameline
  partcv[0] = 0;
  Object call9015 = callmethod(*var_sameline, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe9014);
// compilenode returning call9015
  int op_slot_left_9009 = gc_frame_newslot(call9015);
  params[0] = call9012;
  partcv[0] = 1;
  Object opresult9016 = callmethod(call9015, "&&", 1, partcv, params);
// compilenode returning opresult9016
  int op_slot_left_9004 = gc_frame_newslot(opresult9016);
  params[0] = call9007;
  partcv[0] = 1;
  Object opresult9017 = callmethod(opresult9016, "||", 1, partcv, params);
// compilenode returning opresult9017
  gc_frame_end(frame);
  return opresult9017;
}
Object meth_parser__apply9071(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2835
  setline(2835);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9075 == NULL) {
    strlit9075 = alloc_String("*");
    gc_root(strlit9075);
  }
// compilenode returning strlit9075
  int op_slot_right_9074 = gc_frame_newslot(strlit9075);
  int callframe9077 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9078 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9077);
// compilenode returning call9078
// compilenode returning call9078
  int op_slot_left_9074 = gc_frame_newslot(call9078);
  params[0] = strlit9075;
  partcv[0] = 1;
  Object opresult9079 = callmethod(call9078, "==", 1, partcv, params);
// compilenode returning opresult9079
  int op_slot_right_9073 = gc_frame_newslot(opresult9079);
  int callframe9081 = gc_frame_new();
  if (strlit9082 == NULL) {
    strlit9082 = alloc_String("op");
    gc_root(strlit9082);
  }
// compilenode returning strlit9082
  gc_frame_newslot(strlit9082);
  params[0] = strlit9082;
  partcv[0] = 1;
  Object call9083 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9081);
// compilenode returning call9083
  int op_slot_left_9073 = gc_frame_newslot(call9083);
  params[0] = opresult9079;
  partcv[0] = 1;
  Object opresult9084 = callmethod(call9083, "&&", 1, partcv, params);
// compilenode returning opresult9084
  int op_slot_right_9072 = gc_frame_newslot(opresult9084);
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9086 = gc_frame_new();
  if (strlit9087 == NULL) {
    strlit9087 = alloc_String("identifier");
    gc_root(strlit9087);
  }
// compilenode returning strlit9087
  gc_frame_newslot(strlit9087);
  params[0] = strlit9087;
  partcv[0] = 1;
  Object call9088 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9086);
// compilenode returning call9088
  int op_slot_left_9072 = gc_frame_newslot(call9088);
  params[0] = opresult9084;
  partcv[0] = 1;
  Object opresult9089 = callmethod(call9088, "||", 1, partcv, params);
// compilenode returning opresult9089
  gc_frame_end(frame);
  return opresult9089;
}
Object meth_parser__apply9092(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_vararg = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_comma = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_nxt = getfromclosure(closure, 6);
  Object *var_part = getfromclosure(closure, 7);
  Object *var_tm = getfromclosure(closure, 8);
  Object self = *(getfromclosure(closure, 9));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_tp = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tp");
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2836
  setline(2836);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9094 = gc_frame_new();
  if (strlit9095 == NULL) {
    strlit9095 = alloc_String("op");
    gc_root(strlit9095);
  }
// compilenode returning strlit9095
  gc_frame_newslot(strlit9095);
  params[0] = strlit9095;
  partcv[0] = 1;
  Object call9096 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9094);
// compilenode returning call9096
  Object if9093 = done;
  if (istrue(call9096)) {
// Begin line 2837
  setline(2837);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9097 = gc_frame_new();
  partcv[0] = 0;
  Object call9098 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9097);
// compilenode returning call9098
// Begin line 2839
  setline(2839);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2838
  setline(2838);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9099 = alloc_Boolean(1);
// compilenode returning bool9099
  *var_vararg = bool9099;
  if (bool9099 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2856
  setline(2856);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2839
  setline(2839);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9103 == NULL) {
    strlit9103 = alloc_String("identifier");
    gc_root(strlit9103);
  }
// compilenode returning strlit9103
  int op_slot_right_9102 = gc_frame_newslot(strlit9103);
  int callframe9105 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9106 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9105);
// compilenode returning call9106
// compilenode returning call9106
  int op_slot_left_9102 = gc_frame_newslot(call9106);
  params[0] = strlit9103;
  partcv[0] = 1;
  Object opresult9107 = callmethod(call9106, "!=", 1, partcv, params);
// compilenode returning opresult9107
  Object if9101 = done;
  if (istrue(opresult9107)) {
// Begin line 2841
  setline(2841);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2840
  setline(2840);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9108 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9108
  *var_suggestions = array9108;
  if (array9108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2842
  setline(2842);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2841
  setline(2841);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9109 = gc_frame_new();
  int callframe9110 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9111 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9110);
// compilenode returning call9111
// compilenode returning call9111
  partcv[0] = 0;
  Object call9112 = callmethod(call9111, "new",
    1, partcv, params);
  gc_frame_end(callframe9109);
// compilenode returning call9112
// compilenode returning call9112
  *var_suggestion = call9112;
  if (call9112 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2842
  setline(2842);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9113 = gc_frame_new();
  if (strlit9114 == NULL) {
    strlit9114 = alloc_String("""\xc2""""\xab""parameter name""\xc2""""\xbb""");
    gc_root(strlit9114);
  }
// compilenode returning strlit9114
  gc_frame_newslot(strlit9114);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9114;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9115 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9113);
// compilenode returning call9115
// Begin line 2843
  setline(2843);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9116 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9117 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9116);
// compilenode returning call9117
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2844
  setline(2844);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9120 = alloc_Boolean(0);
// compilenode returning bool9120
  int op_slot_right_9119 = gc_frame_newslot(bool9120);
// compilenode returning *var_comma
  int op_slot_left_9119 = gc_frame_newslot(*var_comma);
  params[0] = bool9120;
  partcv[0] = 1;
  Object opresult9122 = callmethod(*var_comma, "==", 1, partcv, params);
// compilenode returning opresult9122
  Object if9118 = done;
  if (istrue(opresult9122)) {
// Begin line 2846
  setline(2846);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2845
  setline(2845);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9123 = gc_frame_new();
  int callframe9124 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9125 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9124);
// compilenode returning call9125
// compilenode returning call9125
  partcv[0] = 0;
  Object call9126 = callmethod(call9125, "new",
    1, partcv, params);
  gc_frame_end(callframe9123);
// compilenode returning call9126
// compilenode returning call9126
  *var_suggestion = call9126;
  if (call9126 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2846
  setline(2846);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9128 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call9129 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9128);
// compilenode returning call9129
// Begin line 2847
  setline(2847);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9130 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9131 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9130);
// compilenode returning call9131
    gc_frame_newslot(call9131);
    if9118 = call9131;
  } else {
// Begin line 2850
  setline(2850);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2849
  setline(2849);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9132 = gc_frame_new();
  int callframe9133 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9134 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9133);
// compilenode returning call9134
// compilenode returning call9134
  partcv[0] = 0;
  Object call9135 = callmethod(call9134, "new",
    1, partcv, params);
  gc_frame_end(callframe9132);
// compilenode returning call9135
// compilenode returning call9135
  *var_suggestion = call9135;
  if (call9135 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2850
  setline(2850);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9137 = gc_frame_new();
// compilenode returning *var_comma
  gc_frame_newslot(*var_comma);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_comma;
  params[1] = *var_lastToken;
  partcv[0] = 2;
  Object call9138 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe9137);
// compilenode returning call9138
// Begin line 2851
  setline(2851);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9139 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9140 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9139);
// compilenode returning call9140
    gc_frame_newslot(call9140);
    if9118 = call9140;
  }
// compilenode returning if9118
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9141 = gc_frame_new();
  if (strlit9142 == NULL) {
    strlit9142 = alloc_String("A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.");
    gc_root(strlit9142);
  }
// compilenode returning strlit9142
  gc_frame_newslot(strlit9142);
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9143 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9144 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9143);
// compilenode returning call9144
// compilenode returning call9144
  gc_frame_newslot(call9144);
  int callframe9146 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9147 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9146);
// compilenode returning call9147
// compilenode returning call9147
  int op_slot_right_9145 = gc_frame_newslot(call9147);
  int callframe9149 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9150 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9149);
// compilenode returning call9150
// compilenode returning call9150
  int op_slot_left_9145 = gc_frame_newslot(call9150);
  params[0] = call9147;
  partcv[0] = 1;
  Object sum9151 = callmethod(call9150, "+", 1, partcv, params);
// compilenode returning sum9151
  gc_frame_newslot(sum9151);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9142;
  params[1] = call9144;
  params[2] = sum9151;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9152 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9141);
// compilenode returning call9152
    gc_frame_newslot(call9152);
    if9101 = call9152;
  } else {
  }
// compilenode returning if9101
    gc_frame_newslot(if9101);
    if9093 = if9101;
  } else {
  }
// compilenode returning if9093
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9153 = gc_frame_new();
  partcv[0] = 0;
  Object call9154 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9153);
// compilenode returning call9154
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2858
  setline(2858);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9155 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9156 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9155);
// compilenode returning call9156
// compilenode returning call9156
  *var_nxt = call9156;
  if (call9156 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2865
  setline(2865);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9159 = gc_frame_new();
  if (strlit9160 == NULL) {
    strlit9160 = alloc_String("colon");
    gc_root(strlit9160);
  }
// compilenode returning strlit9160
  gc_frame_newslot(strlit9160);
  params[0] = strlit9160;
  partcv[0] = 1;
  Object call9161 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9159);
// compilenode returning call9161
  Object if9158 = done;
  if (istrue(call9161)) {
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9162 = gc_frame_new();
  partcv[0] = 0;
  Object call9163 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9162);
// compilenode returning call9163
// Begin line 2861
  setline(2861);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9164 = gc_frame_new();
  partcv[0] = 0;
  Object call9165 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9164);
// compilenode returning call9165
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9166 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9167 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9166);
// compilenode returning call9167
// compilenode returning call9167
  *var_tp = call9167;
  if (call9167 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2864
  setline(2864);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9168 = gc_frame_new();
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tp
  gc_frame_newslot(*var_tp);
// compilenode returning *var_nxt
  params[0] = *var_tp;
  partcv[0] = 1;
  Object call9169 = callmethod(*var_nxt, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe9168);
// compilenode returning call9169
// compilenode returning done
    gc_frame_newslot(done);
    if9158 = done;
  } else {
  }
// compilenode returning if9158
// Begin line 2877
  setline(2877);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2865
  setline(2865);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_vararg
  Object if9170 = done;
  if (istrue(*var_vararg)) {
// Begin line 2867
  setline(2867);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9171 = gc_frame_new();
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_nxt
  gc_frame_newslot(*var_nxt);
// compilenode returning *var_part
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call9172 = callmethod(*var_part, "vararg:=",
    1, partcv, params);
  gc_frame_end(callframe9171);
// compilenode returning call9172
// compilenode returning done
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9173 = gc_frame_new();
// Begin line 2867
  setline(2867);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9174 = alloc_Boolean(1);
// compilenode returning bool9174
  gc_frame_newslot(bool9174);
// compilenode returning *var_tm
  params[0] = bool9174;
  partcv[0] = 1;
  Object call9175 = callmethod(*var_tm, "varargs:=",
    1, partcv, params);
  gc_frame_end(callframe9173);
// compilenode returning call9175
// compilenode returning done
// Begin line 2874
  setline(2874);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9178 == NULL) {
    strlit9178 = alloc_String("rparen");
    gc_root(strlit9178);
  }
// compilenode returning strlit9178
  int op_slot_right_9177 = gc_frame_newslot(strlit9178);
  int callframe9180 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9181 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9180);
// compilenode returning call9181
// compilenode returning call9181
  int op_slot_left_9177 = gc_frame_newslot(call9181);
  params[0] = strlit9178;
  partcv[0] = 1;
  Object opresult9182 = callmethod(call9181, "!=", 1, partcv, params);
// compilenode returning opresult9182
  Object if9176 = done;
  if (istrue(opresult9182)) {
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9183 = gc_frame_new();
  int callframe9184 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9185 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9184);
// compilenode returning call9185
// compilenode returning call9185
  partcv[0] = 0;
  Object call9186 = callmethod(call9185, "new",
    1, partcv, params);
  gc_frame_end(callframe9183);
// compilenode returning call9186
// compilenode returning call9186
  *var_suggestion = call9186;
  if (call9186 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9187 = gc_frame_new();
  if (strlit9188 == NULL) {
    strlit9188 = alloc_String(")");
    gc_root(strlit9188);
  }
// compilenode returning strlit9188
  gc_frame_newslot(strlit9188);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9188;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9189 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9187);
// compilenode returning call9189
// Begin line 2871
  setline(2871);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9190 = gc_frame_new();
  if (strlit9191 == NULL) {
    strlit9191 = alloc_String("A part of a multi-part method beginning with a '(' must end with a ')'.");
    gc_root(strlit9191);
  }
// compilenode returning strlit9191
  gc_frame_newslot(strlit9191);
// Begin line 2872
  setline(2872);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9192 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9193 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9192);
// compilenode returning call9193
// compilenode returning call9193
  gc_frame_newslot(call9193);
  int callframe9195 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9196 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9195);
// compilenode returning call9196
// compilenode returning call9196
  int op_slot_right_9194 = gc_frame_newslot(call9196);
  int callframe9198 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9199 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9198);
// compilenode returning call9199
// compilenode returning call9199
  int op_slot_left_9194 = gc_frame_newslot(call9199);
  params[0] = call9196;
  partcv[0] = 1;
  Object sum9200 = callmethod(call9199, "+", 1, partcv, params);
// compilenode returning sum9200
  gc_frame_newslot(sum9200);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2871
  setline(2871);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9191;
  params[1] = call9193;
  params[2] = sum9200;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9201 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9190);
// compilenode returning call9201
    gc_frame_newslot(call9201);
    if9176 = call9201;
  } else {
  }
// compilenode returning if9176
    gc_frame_newslot(if9176);
    if9170 = if9176;
  } else {
// Begin line 2875
  setline(2875);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9202 = gc_frame_new();
// compilenode returning *var_nxt
  gc_frame_newslot(*var_nxt);
  int callframe9203 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9204 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe9203);
// compilenode returning call9204
// compilenode returning call9204
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call9205 = callmethod(call9204, "push",
    1, partcv, params);
  gc_frame_end(callframe9202);
// compilenode returning call9205
    gc_frame_newslot(call9205);
    if9170 = call9205;
  }
// compilenode returning if9170
// Begin line 2881
  setline(2881);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2877
  setline(2877);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9207 = gc_frame_new();
  if (strlit9208 == NULL) {
    strlit9208 = alloc_String("comma");
    gc_root(strlit9208);
  }
// compilenode returning strlit9208
  gc_frame_newslot(strlit9208);
  params[0] = strlit9208;
  partcv[0] = 1;
  Object call9209 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9207);
// compilenode returning call9209
  Object if9206 = done;
  if (istrue(call9209)) {
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2878
  setline(2878);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_comma = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9211 = gc_frame_new();
  partcv[0] = 0;
  Object call9212 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9211);
// compilenode returning call9212
    gc_frame_newslot(call9212);
    if9206 = call9212;
  } else {
  }
// compilenode returning if9206
  gc_frame_end(frame);
  return if9206;
}
Object meth_parser__apply9020(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_methname = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_nxt = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_sym = getfromclosure(closure, 6);
  Object *var_tm = getfromclosure(closure, 7);
  Object *var_signature = getfromclosure(closure, 8);
  Object self = *(getfromclosure(closure, 9));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_part = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "part");
  Object *var_vararg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "vararg");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_comma = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "comma");
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2819
  setline(2819);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9022 == NULL) {
    strlit9022 = alloc_String("()");
    gc_root(strlit9022);
  }
// compilenode returning strlit9022
  int op_slot_right_9021 = gc_frame_newslot(strlit9022);
// compilenode returning *var_methname
  int op_slot_left_9021 = gc_frame_newslot(*var_methname);
  params[0] = strlit9022;
  partcv[0] = 1;
  Object opresult9024 = callmethod(*var_methname, "++", 1, partcv, params);
// compilenode returning opresult9024
  *var_methname = opresult9024;
  if (opresult9024 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2821
  setline(2821);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9026 = gc_frame_new();
  int callframe9027 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9028 = callmethod(*var_ast, "signaturePart",
    1, partcv, params);
  gc_frame_end(callframe9027);
// compilenode returning call9028
// compilenode returning call9028
  partcv[0] = 0;
  Object call9029 = callmethod(call9028, "new",
    1, partcv, params);
  gc_frame_end(callframe9026);
// compilenode returning call9029
// compilenode returning call9029
  *var_part = call9029;
  if (call9029 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2821
  setline(2821);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9030 = gc_frame_new();
  partcv[0] = 0;
  Object call9031 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9030);
// compilenode returning call9031
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2822
  setline(2822);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9032 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9033 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9032);
// compilenode returning call9033
// compilenode returning call9033
  *var_nxt = call9033;
  if (call9033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9036 = gc_frame_new();
// compilenode returning *var_nxt
  partcv[0] = 0;
  Object call9037 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe9036);
// compilenode returning call9037
// compilenode returning call9037
  int op_slot_right_9035 = gc_frame_newslot(call9037);
// compilenode returning *var_methname
  int op_slot_left_9035 = gc_frame_newslot(*var_methname);
  params[0] = call9037;
  partcv[0] = 1;
  Object opresult9039 = callmethod(*var_methname, "++", 1, partcv, params);
// compilenode returning opresult9039
  *var_methname = opresult9039;
  if (opresult9039 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9041 = gc_frame_new();
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9042 = gc_frame_new();
// compilenode returning *var_nxt
  partcv[0] = 0;
  Object call9043 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe9042);
// compilenode returning call9043
// compilenode returning call9043
  gc_frame_newslot(call9043);
// compilenode returning *var_part
  params[0] = call9043;
  partcv[0] = 1;
  Object call9044 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9041);
// compilenode returning call9044
// compilenode returning done
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9045 = alloc_Boolean(0);
// compilenode returning bool9045
  *var_vararg = bool9045;
  if (bool9045 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2832
  setline(2832);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9047 = gc_frame_new();
  int callframe9048 = gc_frame_new();
  if (strlit9049 == NULL) {
    strlit9049 = alloc_String("lparen");
    gc_root(strlit9049);
  }
// compilenode returning strlit9049
  gc_frame_newslot(strlit9049);
  params[0] = strlit9049;
  partcv[0] = 1;
  Object call9050 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9048);
// compilenode returning call9050
  partcv[0] = 0;
  Object call9051 = callmethod(call9050, "not",
    1, partcv, params);
  gc_frame_end(callframe9047);
// compilenode returning call9051
// compilenode returning call9051
  Object if9046 = done;
  if (istrue(call9051)) {
// Begin line 2828
  setline(2828);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2827
  setline(2827);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9052 = gc_frame_new();
  int callframe9053 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9054 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9053);
// compilenode returning call9054
// compilenode returning call9054
  partcv[0] = 0;
  Object call9055 = callmethod(call9054, "new",
    1, partcv, params);
  gc_frame_end(callframe9052);
// compilenode returning call9055
// compilenode returning call9055
  *var_suggestion = call9055;
  if (call9055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2828
  setline(2828);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9056 = gc_frame_new();
  if (strlit9057 == NULL) {
    strlit9057 = alloc_String("()");
    gc_root(strlit9057);
  }
// compilenode returning strlit9057
  gc_frame_newslot(strlit9057);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9057;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9058 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9056);
// compilenode returning call9058
// Begin line 2829
  setline(2829);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9059 = gc_frame_new();
  if (strlit9060 == NULL) {
    strlit9060 = alloc_String("A multi-part method must have parentheses around each part of the method.");
    gc_root(strlit9060);
  }
// compilenode returning strlit9060
  gc_frame_newslot(strlit9060);
// Begin line 2830
  setline(2830);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9061 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9062 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9061);
// compilenode returning call9062
// compilenode returning call9062
  gc_frame_newslot(call9062);
  int callframe9063 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9064 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9063);
// compilenode returning call9064
// compilenode returning call9064
  gc_frame_newslot(call9064);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2829
  setline(2829);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9060;
  params[1] = call9062;
  params[2] = call9064;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9065 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9059);
// compilenode returning call9065
    gc_frame_newslot(call9065);
    if9046 = call9065;
  } else {
  }
// compilenode returning if9046
// Begin line 2832
  setline(2832);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9066 = gc_frame_new();
  partcv[0] = 0;
  Object call9067 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9066);
// compilenode returning call9067
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2833
  setline(2833);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9068 = alloc_Boolean(0);
// compilenode returning bool9068
  *var_comma = bool9068;
  if (bool9068 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9069 = gc_frame_new();
  Object block9070 = alloc_Block(NULL, NULL, "parser", 2834);
  gc_frame_newslot(block9070);
  block_savedest(block9070);
  Object closure9071 = createclosure(2, "_apply");
  setclosureframe(closure9071, stackframe);
  addtoclosure(closure9071, var_sym);
  addtoclosure(closure9071, selfslot);
  struct UserObject *uo9071 = (struct UserObject*)block9070;
  uo9071->data[0] = (Object)closure9071;
  Method *meth_meth_parser__apply9071 = addmethod2pos(block9070, "_apply", &meth_parser__apply9071, 0);
int argcv_meth_parser__apply9071[] = {0};
meth_meth_parser__apply9071->type = alloc_MethodType(1, argcv_meth_parser__apply9071);
  meth_meth_parser__apply9071->definitionModule = modulename;
  meth_meth_parser__apply9071->definitionLine = 2830;
// compilenode returning block9070
  gc_frame_newslot(block9070);
// Begin line 2835
  setline(2835);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block9091 = alloc_Block(NULL, NULL, "parser", 2835);
  gc_frame_newslot(block9091);
  block_savedest(block9091);
  Object closure9092 = createclosure(10, "_apply");
  setclosureframe(closure9092, stackframe);
  addtoclosure(closure9092, var_vararg);
  addtoclosure(closure9092, var_sym);
  addtoclosure(closure9092, var_errormessages);
  addtoclosure(closure9092, var_lastToken);
  addtoclosure(closure9092, var_comma);
  addtoclosure(closure9092, var_values);
  addtoclosure(closure9092, var_nxt);
  addtoclosure(closure9092, var_part);
  addtoclosure(closure9092, var_tm);
  addtoclosure(closure9092, selfslot);
  struct UserObject *uo9092 = (struct UserObject*)block9091;
  uo9092->data[0] = (Object)closure9092;
  Method *meth_meth_parser__apply9092 = addmethod2pos(block9091, "_apply", &meth_parser__apply9092, 0);
int argcv_meth_parser__apply9092[] = {0};
meth_meth_parser__apply9092->type = alloc_MethodType(1, argcv_meth_parser__apply9092);
  meth_meth_parser__apply9092->definitionModule = modulename;
  meth_meth_parser__apply9092->definitionLine = 2835;
// compilenode returning block9091
  gc_frame_newslot(block9091);
  params[0] = block9070;
  params[1] = block9091;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9214 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9069);
// compilenode returning call9214
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9217 == NULL) {
    strlit9217 = alloc_String("rparen");
    gc_root(strlit9217);
  }
// compilenode returning strlit9217
  int op_slot_right_9216 = gc_frame_newslot(strlit9217);
  int callframe9219 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9220 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9219);
// compilenode returning call9220
// compilenode returning call9220
  int op_slot_left_9216 = gc_frame_newslot(call9220);
  params[0] = strlit9217;
  partcv[0] = 1;
  Object opresult9221 = callmethod(call9220, "!=", 1, partcv, params);
// compilenode returning opresult9221
  Object if9215 = done;
  if (istrue(opresult9221)) {
// Begin line 2884
  setline(2884);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2883
  setline(2883);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9222 = gc_frame_new();
  int callframe9223 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9224 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9223);
// compilenode returning call9224
// compilenode returning call9224
  partcv[0] = 0;
  Object call9225 = callmethod(call9224, "new",
    1, partcv, params);
  gc_frame_end(callframe9222);
// compilenode returning call9225
// compilenode returning call9225
  *var_suggestion = call9225;
  if (call9225 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2884
  setline(2884);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9226 = gc_frame_new();
  if (strlit9227 == NULL) {
    strlit9227 = alloc_String(")");
    gc_root(strlit9227);
  }
// compilenode returning strlit9227
  gc_frame_newslot(strlit9227);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9227;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9228 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9226);
// compilenode returning call9228
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9229 = gc_frame_new();
  if (strlit9230 == NULL) {
    strlit9230 = alloc_String("A part of a multi-part method beginning with a '(' must end with a ')'.");
    gc_root(strlit9230);
  }
// compilenode returning strlit9230
  gc_frame_newslot(strlit9230);
// Begin line 2886
  setline(2886);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9231 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9232 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9231);
// compilenode returning call9232
// compilenode returning call9232
  gc_frame_newslot(call9232);
  int callframe9234 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9235 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9234);
// compilenode returning call9235
// compilenode returning call9235
  int op_slot_right_9233 = gc_frame_newslot(call9235);
  int callframe9237 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9238 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9237);
// compilenode returning call9238
// compilenode returning call9238
  int op_slot_left_9233 = gc_frame_newslot(call9238);
  params[0] = call9235;
  partcv[0] = 1;
  Object sum9239 = callmethod(call9238, "+", 1, partcv, params);
// compilenode returning sum9239
  gc_frame_newslot(sum9239);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9230;
  params[1] = call9232;
  params[2] = sum9239;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9240 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9229);
// compilenode returning call9240
    gc_frame_newslot(call9240);
    if9215 = call9240;
  } else {
  }
// compilenode returning if9215
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9241 = gc_frame_new();
  partcv[0] = 0;
  Object call9242 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9241);
// compilenode returning call9242
// Begin line 2889
  setline(2889);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9243 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call9244 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe9243);
// compilenode returning call9244
  gc_frame_end(frame);
  return call9244;
}
Object meth_parser_parsempmndecrest8994(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 50, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parsempmndecrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method parsempmndecrest");
  Object params[2];
  int partcv[2];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parsempmndecrest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tm = &(stackframe->slots[0]);
  *var_tm = args[curarg];
  curarg++;
  Object *var_sameline = &(stackframe->slots[1]);
  *var_sameline = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for parsempmndecrest");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methname = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "methname");
  Object *var_signature = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "signature");
  Object *var_nxt = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nxt");
// Begin line 2816
  setline(2816);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2815
  setline(2815);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8995 = gc_frame_new();
  int callframe8996 = gc_frame_new();
// compilenode returning *var_tm
  partcv[0] = 0;
  Object call8997 = callmethod(*var_tm, "value",
    1, partcv, params);
  gc_frame_end(callframe8996);
// compilenode returning call8997
// compilenode returning call8997
  partcv[0] = 0;
  Object call8998 = callmethod(call8997, "value",
    1, partcv, params);
  gc_frame_end(callframe8995);
// compilenode returning call8998
// compilenode returning call8998
  *var_methname = call8998;
  if (call8998 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2817
  setline(2817);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2816
  setline(2816);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8999 = gc_frame_new();
// compilenode returning *var_tm
  partcv[0] = 0;
  Object call9000 = callmethod(*var_tm, "signature",
    1, partcv, params);
  gc_frame_end(callframe8999);
// compilenode returning call9000
// compilenode returning call9000
  *var_signature = call9000;
  if (call9000 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2818
  setline(2818);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_nxt = undefined;
// compilenode returning done
  int callframe9001 = gc_frame_new();
  Object block9002 = alloc_Block(NULL, NULL, "parser", 2818);
  gc_frame_newslot(block9002);
  block_savedest(block9002);
  Object closure9003 = createclosure(2, "_apply");
  setclosureframe(closure9003, stackframe);
  addtoclosure(closure9003, var_sameline);
  addtoclosure(closure9003, selfslot);
  struct UserObject *uo9003 = (struct UserObject*)block9002;
  uo9003->data[0] = (Object)closure9003;
  Method *meth_meth_parser__apply9003 = addmethod2pos(block9002, "_apply", &meth_parser__apply9003, 0);
int argcv_meth_parser__apply9003[] = {0};
meth_meth_parser__apply9003->type = alloc_MethodType(1, argcv_meth_parser__apply9003);
  meth_meth_parser__apply9003->definitionModule = modulename;
  meth_meth_parser__apply9003->definitionLine = 2816;
// compilenode returning block9002
  gc_frame_newslot(block9002);
  Object block9019 = alloc_Block(NULL, NULL, "parser", 2818);
  gc_frame_newslot(block9019);
  block_savedest(block9019);
  Object closure9020 = createclosure(10, "_apply");
  setclosureframe(closure9020, stackframe);
  addtoclosure(closure9020, var_methname);
  addtoclosure(closure9020, var_ast);
  addtoclosure(closure9020, var_values);
  addtoclosure(closure9020, var_nxt);
  addtoclosure(closure9020, var_errormessages);
  addtoclosure(closure9020, var_lastToken);
  addtoclosure(closure9020, var_sym);
  addtoclosure(closure9020, var_tm);
  addtoclosure(closure9020, var_signature);
  addtoclosure(closure9020, selfslot);
  struct UserObject *uo9020 = (struct UserObject*)block9019;
  uo9020->data[0] = (Object)closure9020;
  Method *meth_meth_parser__apply9020 = addmethod2pos(block9019, "_apply", &meth_parser__apply9020, 0);
int argcv_meth_parser__apply9020[] = {0};
meth_meth_parser__apply9020->type = alloc_MethodType(1, argcv_meth_parser__apply9020);
  meth_meth_parser__apply9020->definitionModule = modulename;
  meth_meth_parser__apply9020->definitionLine = 2816;
// compilenode returning block9019
  gc_frame_newslot(block9019);
  params[0] = block9002;
  params[1] = block9019;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9246 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9001);
// compilenode returning call9246
// Begin line 2891
  setline(2891);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9247 = gc_frame_new();
// compilenode returning *var_methname
  gc_frame_newslot(*var_methname);
  Object bool9248 = alloc_Boolean(0);
// compilenode returning bool9248
  gc_frame_newslot(bool9248);
  int callframe9249 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9250 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe9249);
// compilenode returning call9250
// compilenode returning call9250
  params[0] = *var_methname;
  params[1] = bool9248;
  partcv[0] = 2;
  Object call9251 = callmethod(call9250, "new",
    1, partcv, params);
  gc_frame_end(callframe9247);
// compilenode returning call9251
  gc_frame_end(frame);
  return call9251;
}
Object meth_parser__apply9329(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit9331 == NULL) {
    strlit9331 = alloc_String("rsquare");
    gc_root(strlit9331);
  }
// compilenode returning strlit9331
  int op_slot_right_9330 = gc_frame_newslot(strlit9331);
  int callframe9333 = gc_frame_new();
  int callframe9334 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9335 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9334);
// compilenode returning call9335
// compilenode returning call9335
  partcv[0] = 0;
  Object call9336 = callmethod(call9335, "kind",
    1, partcv, params);
  gc_frame_end(callframe9333);
// compilenode returning call9336
// compilenode returning call9336
  int op_slot_left_9330 = gc_frame_newslot(call9336);
  params[0] = strlit9331;
  partcv[0] = 1;
  Object opresult9337 = callmethod(call9336, "==", 1, partcv, params);
// compilenode returning opresult9337
  gc_frame_end(frame);
  return opresult9337;
}
Object meth_parser__apply9453(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9454 = gc_frame_new();
  if (strlit9455 == NULL) {
    strlit9455 = alloc_String("identifier");
    gc_root(strlit9455);
  }
// compilenode returning strlit9455
  gc_frame_newslot(strlit9455);
  params[0] = strlit9455;
  partcv[0] = 1;
  Object call9456 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9454);
// compilenode returning call9456
  gc_frame_end(frame);
  return call9456;
}
Object meth_parser__apply9459(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_genericIdents = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9460 = gc_frame_new();
  partcv[0] = 0;
  Object call9461 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9460);
// compilenode returning call9461
// Begin line 2939
  setline(2939);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9462 = gc_frame_new();
  int callframe9463 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9464 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9463);
// compilenode returning call9464
// compilenode returning call9464
  gc_frame_newslot(call9464);
// compilenode returning *var_genericIdents
  params[0] = call9464;
  partcv[0] = 1;
  Object call9465 = callmethod(*var_genericIdents, "push",
    1, partcv, params);
  gc_frame_end(callframe9462);
// compilenode returning call9465
// Begin line 2943
  setline(2943);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2940
  setline(2940);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9467 = gc_frame_new();
  if (strlit9468 == NULL) {
    strlit9468 = alloc_String("comma");
    gc_root(strlit9468);
  }
// compilenode returning strlit9468
  gc_frame_newslot(strlit9468);
  params[0] = strlit9468;
  partcv[0] = 1;
  Object call9469 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9467);
// compilenode returning call9469
  Object if9466 = done;
  if (istrue(call9469)) {
// Begin line 2941
  setline(2941);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9470 = gc_frame_new();
  partcv[0] = 0;
  Object call9471 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9470);
// compilenode returning call9471
    gc_frame_newslot(call9471);
    if9466 = call9471;
  } else {
  }
// compilenode returning if9466
  gc_frame_end(frame);
  return if9466;
}
Object meth_parser__apply9573(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9577 == NULL) {
    strlit9577 = alloc_String("*");
    gc_root(strlit9577);
  }
// compilenode returning strlit9577
  int op_slot_right_9576 = gc_frame_newslot(strlit9577);
  int callframe9579 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9580 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9579);
// compilenode returning call9580
// compilenode returning call9580
  int op_slot_left_9576 = gc_frame_newslot(call9580);
  params[0] = strlit9577;
  partcv[0] = 1;
  Object opresult9581 = callmethod(call9580, "==", 1, partcv, params);
// compilenode returning opresult9581
  int op_slot_right_9575 = gc_frame_newslot(opresult9581);
  int callframe9583 = gc_frame_new();
  if (strlit9584 == NULL) {
    strlit9584 = alloc_String("op");
    gc_root(strlit9584);
  }
// compilenode returning strlit9584
  gc_frame_newslot(strlit9584);
  params[0] = strlit9584;
  partcv[0] = 1;
  Object call9585 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9583);
// compilenode returning call9585
  int op_slot_left_9575 = gc_frame_newslot(call9585);
  params[0] = opresult9581;
  partcv[0] = 1;
  Object opresult9586 = callmethod(call9585, "&&", 1, partcv, params);
// compilenode returning opresult9586
  int op_slot_right_9574 = gc_frame_newslot(opresult9586);
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9588 = gc_frame_new();
  if (strlit9589 == NULL) {
    strlit9589 = alloc_String("identifier");
    gc_root(strlit9589);
  }
// compilenode returning strlit9589
  gc_frame_newslot(strlit9589);
  params[0] = strlit9589;
  partcv[0] = 1;
  Object call9590 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9588);
// compilenode returning call9590
  int op_slot_left_9574 = gc_frame_newslot(call9590);
  params[0] = opresult9586;
  partcv[0] = 1;
  Object opresult9591 = callmethod(call9590, "||", 1, partcv, params);
// compilenode returning opresult9591
  gc_frame_end(frame);
  return opresult9591;
}
Object meth_parser__apply9673(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9674 = gc_frame_new();
  partcv[0] = 0;
  Object call9675 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9674);
// compilenode returning call9675
  gc_frame_end(frame);
  return call9675;
}
Object meth_parser__apply9729(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9732 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9733 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9732);
// compilenode returning call9733
// compilenode returning call9733
  int op_slot_right_9731 = gc_frame_newslot(call9733);
  int callframe9735 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call9736 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe9735);
// compilenode returning call9736
// compilenode returning call9736
  int op_slot_left_9731 = gc_frame_newslot(call9736);
  params[0] = call9733;
  partcv[0] = 1;
  Object opresult9737 = callmethod(call9736, "==", 1, partcv, params);
// compilenode returning opresult9737
  int op_slot_right_9730 = gc_frame_newslot(opresult9737);
  if (strlit9740 == NULL) {
    strlit9740 = alloc_String("rparen");
    gc_root(strlit9740);
  }
// compilenode returning strlit9740
  int op_slot_right_9739 = gc_frame_newslot(strlit9740);
  int callframe9742 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call9743 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe9742);
// compilenode returning call9743
// compilenode returning call9743
  int op_slot_left_9739 = gc_frame_newslot(call9743);
  params[0] = strlit9740;
  partcv[0] = 1;
  Object opresult9744 = callmethod(call9743, "==", 1, partcv, params);
// compilenode returning opresult9744
  int op_slot_left_9730 = gc_frame_newslot(opresult9744);
  params[0] = opresult9737;
  partcv[0] = 1;
  Object opresult9745 = callmethod(opresult9744, "&&", 1, partcv, params);
// compilenode returning opresult9745
  gc_frame_end(frame);
  return opresult9745;
}
Object meth_parser__apply9594(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_comma = getfromclosure(closure, 3);
  Object *var_vararg = getfromclosure(closure, 4);
  Object *var_varargs = getfromclosure(closure, 5);
  Object *var_values = getfromclosure(closure, 6);
  Object *var_id = getfromclosure(closure, 7);
  Object *var_dtype = getfromclosure(closure, 8);
  Object *var_part = getfromclosure(closure, 9);
  Object *var_lparen = getfromclosure(closure, 10);
  Object self = *(getfromclosure(closure, 11));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_rparen = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "rparen");
// Begin line 2996
  setline(2996);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9596 = gc_frame_new();
  if (strlit9597 == NULL) {
    strlit9597 = alloc_String("op");
    gc_root(strlit9597);
  }
// compilenode returning strlit9597
  gc_frame_newslot(strlit9597);
  params[0] = strlit9597;
  partcv[0] = 1;
  Object call9598 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9596);
// compilenode returning call9598
  Object if9595 = done;
  if (istrue(call9598)) {
// Begin line 2975
  setline(2975);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9599 = gc_frame_new();
  partcv[0] = 0;
  Object call9600 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9599);
// compilenode returning call9600
// Begin line 2993
  setline(2993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9603 == NULL) {
    strlit9603 = alloc_String("identifier");
    gc_root(strlit9603);
  }
// compilenode returning strlit9603
  int op_slot_right_9602 = gc_frame_newslot(strlit9603);
  int callframe9605 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9606 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9605);
// compilenode returning call9606
// compilenode returning call9606
  int op_slot_left_9602 = gc_frame_newslot(call9606);
  params[0] = strlit9603;
  partcv[0] = 1;
  Object opresult9607 = callmethod(call9606, "!=", 1, partcv, params);
// compilenode returning opresult9607
  Object if9601 = done;
  if (istrue(opresult9607)) {
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9608 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9608
  *var_suggestions = array9608;
  if (array9608 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2979
  setline(2979);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9609 = gc_frame_new();
  int callframe9610 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9611 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9610);
// compilenode returning call9611
// compilenode returning call9611
  partcv[0] = 0;
  Object call9612 = callmethod(call9611, "new",
    1, partcv, params);
  gc_frame_end(callframe9609);
// compilenode returning call9612
// compilenode returning call9612
  *var_suggestion = call9612;
  if (call9612 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2979
  setline(2979);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9613 = gc_frame_new();
  if (strlit9614 == NULL) {
    strlit9614 = alloc_String("""\xc2""""\xab""parameter name""\xc2""""\xbb""");
    gc_root(strlit9614);
  }
// compilenode returning strlit9614
  gc_frame_newslot(strlit9614);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9614;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9615 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9613);
// compilenode returning call9615
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9616 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9617 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9616);
// compilenode returning call9617
// Begin line 2990
  setline(2990);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2981
  setline(2981);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9620 = alloc_Boolean(0);
// compilenode returning bool9620
  int op_slot_right_9619 = gc_frame_newslot(bool9620);
// compilenode returning *var_comma
  int op_slot_left_9619 = gc_frame_newslot(*var_comma);
  params[0] = bool9620;
  partcv[0] = 1;
  Object opresult9622 = callmethod(*var_comma, "==", 1, partcv, params);
// compilenode returning opresult9622
  Object if9618 = done;
  if (istrue(opresult9622)) {
// Begin line 2983
  setline(2983);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2982
  setline(2982);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9623 = gc_frame_new();
  int callframe9624 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9625 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9624);
// compilenode returning call9625
// compilenode returning call9625
  partcv[0] = 0;
  Object call9626 = callmethod(call9625, "new",
    1, partcv, params);
  gc_frame_end(callframe9623);
// compilenode returning call9626
// compilenode returning call9626
  *var_suggestion = call9626;
  if (call9626 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2983
  setline(2983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9628 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call9629 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9628);
// compilenode returning call9629
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9630 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9631 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9630);
// compilenode returning call9631
    gc_frame_newslot(call9631);
    if9618 = call9631;
  } else {
// Begin line 2987
  setline(2987);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2986
  setline(2986);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9632 = gc_frame_new();
  int callframe9633 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9634 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9633);
// compilenode returning call9634
// compilenode returning call9634
  partcv[0] = 0;
  Object call9635 = callmethod(call9634, "new",
    1, partcv, params);
  gc_frame_end(callframe9632);
// compilenode returning call9635
// compilenode returning call9635
  *var_suggestion = call9635;
  if (call9635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2987
  setline(2987);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9637 = gc_frame_new();
// compilenode returning *var_comma
  gc_frame_newslot(*var_comma);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_comma;
  params[1] = *var_lastToken;
  partcv[0] = 2;
  Object call9638 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe9637);
// compilenode returning call9638
// Begin line 2988
  setline(2988);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9639 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9640 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9639);
// compilenode returning call9640
    gc_frame_newslot(call9640);
    if9618 = call9640;
  }
// compilenode returning if9618
// Begin line 2990
  setline(2990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9641 = gc_frame_new();
  if (strlit9642 == NULL) {
    strlit9642 = alloc_String("A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.");
    gc_root(strlit9642);
  }
// compilenode returning strlit9642
  gc_frame_newslot(strlit9642);
// Begin line 2991
  setline(2991);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9643 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9644 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9643);
// compilenode returning call9644
// compilenode returning call9644
  gc_frame_newslot(call9644);
  int callframe9646 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9647 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9646);
// compilenode returning call9647
// compilenode returning call9647
  int op_slot_right_9645 = gc_frame_newslot(call9647);
  int callframe9649 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9650 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9649);
// compilenode returning call9650
// compilenode returning call9650
  int op_slot_left_9645 = gc_frame_newslot(call9650);
  params[0] = call9647;
  partcv[0] = 1;
  Object sum9651 = callmethod(call9650, "+", 1, partcv, params);
// compilenode returning sum9651
  gc_frame_newslot(sum9651);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2990
  setline(2990);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9642;
  params[1] = call9644;
  params[2] = sum9651;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9652 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9641);
// compilenode returning call9652
    gc_frame_newslot(call9652);
    if9601 = call9652;
  } else {
  }
// compilenode returning if9601
// Begin line 2994
  setline(2994);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2993
  setline(2993);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9653 = alloc_Boolean(1);
// compilenode returning bool9653
  *var_vararg = bool9653;
  if (bool9653 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2995
  setline(2995);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2994
  setline(2994);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9655 = alloc_Boolean(1);
// compilenode returning bool9655
  *var_varargs = bool9655;
  if (bool9655 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9595 = done;
  } else {
  }
// compilenode returning if9595
// Begin line 2996
  setline(2996);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9657 = gc_frame_new();
  partcv[0] = 0;
  Object call9658 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9657);
// compilenode returning call9658
// Begin line 2998
  setline(2998);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2997
  setline(2997);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9659 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9660 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9659);
// compilenode returning call9660
// compilenode returning call9660
  *var_id = call9660;
  if (call9660 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2999
  setline(2999);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2998
  setline(2998);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9662 = alloc_Boolean(0);
// compilenode returning bool9662
  *var_dtype = bool9662;
  if (bool9662 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2999
  setline(2999);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9665 = gc_frame_new();
  if (strlit9666 == NULL) {
    strlit9666 = alloc_String("colon");
    gc_root(strlit9666);
  }
// compilenode returning strlit9666
  gc_frame_newslot(strlit9666);
  params[0] = strlit9666;
  partcv[0] = 1;
  Object call9667 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9665);
// compilenode returning call9667
  Object if9664 = done;
  if (istrue(call9667)) {
// Begin line 3000
  setline(3000);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9668 = gc_frame_new();
  partcv[0] = 0;
  Object call9669 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9668);
// compilenode returning call9669
// Begin line 3015
  setline(3015);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3001
  setline(3001);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9671 = gc_frame_new();
  Object block9672 = alloc_Block(NULL, NULL, "parser", 3001);
  gc_frame_newslot(block9672);
  block_savedest(block9672);
  Object closure9673 = createclosure(1, "_apply");
  setclosureframe(closure9673, stackframe);
  addtoclosure(closure9673, selfslot);
  struct UserObject *uo9673 = (struct UserObject*)block9672;
  uo9673->data[0] = (Object)closure9673;
  Method *meth_meth_parser__apply9673 = addmethod2pos(block9672, "_apply", &meth_parser__apply9673, 0);
int argcv_meth_parser__apply9673[] = {0};
meth_meth_parser__apply9673->type = alloc_MethodType(1, argcv_meth_parser__apply9673);
  meth_meth_parser__apply9673->definitionModule = modulename;
  meth_meth_parser__apply9673->definitionLine = 2997;
// compilenode returning block9672
  gc_frame_newslot(block9672);
  params[0] = block9672;
  partcv[0] = 1;
  Object call9677 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9671);
// compilenode returning call9677
  Object if9670 = done;
  if (istrue(call9677)) {
// Begin line 3003
  setline(3003);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3002
  setline(3002);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9678 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9679 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9678);
// compilenode returning call9679
// compilenode returning call9679
  *var_dtype = call9679;
  if (call9679 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9670 = done;
  } else {
// Begin line 3004
  setline(3004);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9681 = gc_frame_new();
  partcv[0] = 0;
  Object call9682 = callmethodflags(self, "checkBadTypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9681);
// compilenode returning call9682
// Begin line 3006
  setline(3006);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3005
  setline(3005);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9683 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9683
  *var_suggestions = array9683;
  if (array9683 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3007
  setline(3007);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3006
  setline(3006);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9684 = gc_frame_new();
  int callframe9685 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9686 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9685);
// compilenode returning call9686
// compilenode returning call9686
  partcv[0] = 0;
  Object call9687 = callmethod(call9686, "new",
    1, partcv, params);
  gc_frame_end(callframe9684);
// compilenode returning call9687
// compilenode returning call9687
  *var_suggestion = call9687;
  if (call9687 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3007
  setline(3007);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9688 = gc_frame_new();
  if (strlit9689 == NULL) {
    strlit9689 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit9689);
  }
// compilenode returning strlit9689
  gc_frame_newslot(strlit9689);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9689;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9690 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9688);
// compilenode returning call9690
// Begin line 3008
  setline(3008);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9691 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9692 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9691);
// compilenode returning call9692
// Begin line 3010
  setline(3010);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3009
  setline(3009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9693 = gc_frame_new();
  int callframe9694 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9695 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9694);
// compilenode returning call9695
// compilenode returning call9695
  partcv[0] = 0;
  Object call9696 = callmethod(call9695, "new",
    1, partcv, params);
  gc_frame_end(callframe9693);
// compilenode returning call9696
// compilenode returning call9696
  *var_suggestion = call9696;
  if (call9696 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3010
  setline(3010);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9698 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool9699 = alloc_Boolean(1);
// compilenode returning bool9699
  gc_frame_newslot(bool9699);
  Object bool9700 = alloc_Boolean(0);
// compilenode returning bool9700
  gc_frame_newslot(bool9700);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool9699;
  params[2] = bool9700;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9701 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe9698);
// compilenode returning call9701
// Begin line 3011
  setline(3011);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9702 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9703 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9702);
// compilenode returning call9703
// Begin line 3012
  setline(3012);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9704 = gc_frame_new();
  if (strlit9705 == NULL) {
    strlit9705 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit9705);
  }
// compilenode returning strlit9705
  gc_frame_newslot(strlit9705);
// Begin line 3013
  setline(3013);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9706 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9707 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9706);
// compilenode returning call9707
// compilenode returning call9707
  gc_frame_newslot(call9707);
  int callframe9708 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9709 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9708);
// compilenode returning call9709
// compilenode returning call9709
  gc_frame_newslot(call9709);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3012
  setline(3012);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9705;
  params[1] = call9707;
  params[2] = call9709;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9710 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9704);
// compilenode returning call9710
    gc_frame_newslot(call9710);
    if9670 = call9710;
  }
// compilenode returning if9670
    gc_frame_newslot(if9670);
    if9664 = if9670;
  } else {
  }
// compilenode returning if9664
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3013
  setline(3013);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9711 = gc_frame_new();
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
// compilenode returning *var_id
  params[0] = *var_dtype;
  partcv[0] = 1;
  Object call9712 = callmethod(*var_id, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe9711);
// compilenode returning call9712
// compilenode returning done
// Begin line 3036
  setline(3036);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_vararg
  Object if9713 = done;
  if (istrue(*var_vararg)) {
// Begin line 3019
  setline(3019);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3013
  setline(3013);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9714 = gc_frame_new();
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_id
  gc_frame_newslot(*var_id);
// compilenode returning *var_part
  params[0] = *var_id;
  partcv[0] = 1;
  Object call9715 = callmethod(*var_part, "vararg:=",
    1, partcv, params);
  gc_frame_end(callframe9714);
// compilenode returning call9715
// compilenode returning done
// Begin line 3033
  setline(3033);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3019
  setline(3019);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9718 == NULL) {
    strlit9718 = alloc_String("rparen");
    gc_root(strlit9718);
  }
// compilenode returning strlit9718
  int op_slot_right_9717 = gc_frame_newslot(strlit9718);
  int callframe9720 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9721 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9720);
// compilenode returning call9721
// compilenode returning call9721
  int op_slot_left_9717 = gc_frame_newslot(call9721);
  params[0] = strlit9718;
  partcv[0] = 1;
  Object opresult9722 = callmethod(call9721, "!=", 1, partcv, params);
// compilenode returning opresult9722
  Object if9716 = done;
  if (istrue(opresult9722)) {
// Begin line 3021
  setline(3021);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3020
  setline(3020);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9723 = gc_frame_new();
  int callframe9724 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9725 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9724);
// compilenode returning call9725
// compilenode returning call9725
  partcv[0] = 0;
  Object call9726 = callmethod(call9725, "new",
    1, partcv, params);
  gc_frame_end(callframe9723);
// compilenode returning call9726
// compilenode returning call9726
  *var_suggestion = call9726;
  if (call9726 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3021
  setline(3021);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9727 = gc_frame_new();
  Object block9728 = alloc_Block(NULL, NULL, "parser", 3021);
  gc_frame_newslot(block9728);
  block_savedest(block9728);
  Object closure9729 = createclosure(2, "_apply");
  setclosureframe(closure9729, stackframe);
  addtoclosure(closure9729, var_sym);
  addtoclosure(closure9729, selfslot);
  struct UserObject *uo9729 = (struct UserObject*)block9728;
  uo9729->data[0] = (Object)closure9729;
  Method *meth_meth_parser__apply9729 = addmethod2pos(block9728, "_apply", &meth_parser__apply9729, 0);
int argcv_meth_parser__apply9729[] = {1};
meth_meth_parser__apply9729->type = alloc_MethodType(1, argcv_meth_parser__apply9729);
  meth_meth_parser__apply9729->definitionModule = modulename;
  meth_meth_parser__apply9729->definitionLine = 3020;
// compilenode returning block9728
  gc_frame_newslot(block9728);
  params[0] = block9728;
  partcv[0] = 1;
  Object call9747 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9727);
// compilenode returning call9747
  *var_rparen = call9747;
  if (call9747 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3032
  setline(3032);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3022
  setline(3022);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9751 = alloc_Boolean(0);
// compilenode returning bool9751
  int op_slot_right_9750 = gc_frame_newslot(bool9751);
// compilenode returning *var_rparen
  int op_slot_left_9750 = gc_frame_newslot(*var_rparen);
  params[0] = bool9751;
  partcv[0] = 1;
  Object opresult9753 = callmethod(*var_rparen, "!=", 1, partcv, params);
// compilenode returning opresult9753
  int op_slot_right_9749 = gc_frame_newslot(opresult9753);
  if (strlit9756 == NULL) {
    strlit9756 = alloc_String("comma");
    gc_root(strlit9756);
  }
// compilenode returning strlit9756
  int op_slot_right_9755 = gc_frame_newslot(strlit9756);
  int callframe9758 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9759 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9758);
// compilenode returning call9759
// compilenode returning call9759
  int op_slot_left_9755 = gc_frame_newslot(call9759);
  params[0] = strlit9756;
  partcv[0] = 1;
  Object opresult9760 = callmethod(call9759, "==", 1, partcv, params);
// compilenode returning opresult9760
  int op_slot_left_9749 = gc_frame_newslot(opresult9760);
  params[0] = opresult9753;
  partcv[0] = 1;
  Object opresult9761 = callmethod(opresult9760, "&&", 1, partcv, params);
// compilenode returning opresult9761
  Object if9748 = done;
  if (istrue(opresult9761)) {
// Begin line 3023
  setline(3023);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9762 = gc_frame_new();
  if (strlit9764 == NULL) {
    strlit9764 = alloc_String("");
    gc_root(strlit9764);
  }
// compilenode returning strlit9764
  int op_slot_right_9763 = gc_frame_newslot(strlit9764);
  int callframe9767 = gc_frame_new();
// compilenode returning *var_id
  partcv[0] = 0;
  Object call9768 = callmethod(*var_id, "value",
    1, partcv, params);
  gc_frame_end(callframe9767);
// compilenode returning call9768
// compilenode returning call9768
  int op_slot_right_9766 = gc_frame_newslot(call9768);
  if (strlit9770 == NULL) {
    strlit9770 = alloc_String(",*");
    gc_root(strlit9770);
  }
// compilenode returning strlit9770
  int op_slot_left_9766 = gc_frame_newslot(strlit9770);
  params[0] = call9768;
  partcv[0] = 1;
  Object opresult9771 = callmethod(strlit9770, "++", 1, partcv, params);
// compilenode returning opresult9771
  int op_slot_left_9763 = gc_frame_newslot(opresult9771);
  params[0] = strlit9764;
  partcv[0] = 1;
  Object opresult9772 = callmethod(opresult9771, "++", 1, partcv, params);
// compilenode returning opresult9772
  gc_frame_newslot(opresult9772);
// compilenode returning *var_rparen
  gc_frame_newslot(*var_rparen);
// compilenode returning *var_suggestion
  params[0] = opresult9772;
  params[1] = *var_rparen;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9773 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe9762);
// compilenode returning call9773
// Begin line 3024
  setline(3024);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9774 = gc_frame_new();
  int callframe9775 = gc_frame_new();
// compilenode returning *var_lparen
  partcv[0] = 0;
  Object call9776 = callmethod(*var_lparen, "next",
    1, partcv, params);
  gc_frame_end(callframe9775);
// compilenode returning call9776
// compilenode returning call9776
  gc_frame_newslot(call9776);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool9777 = alloc_Boolean(1);
// compilenode returning bool9777
  gc_frame_newslot(bool9777);
  Object bool9778 = alloc_Boolean(0);
// compilenode returning bool9778
  gc_frame_newslot(bool9778);
// compilenode returning *var_suggestion
  params[0] = call9776;
  params[1] = *var_sym;
  params[2] = bool9777;
  params[3] = bool9778;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9779 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe9774);
// compilenode returning call9779
// Begin line 3025
  setline(3025);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9780 = gc_frame_new();
  if (strlit9781 == NULL) {
    strlit9781 = alloc_String("A variable length parameter (a parameter beginning with a '*') cannot have any more parameters after it.");
    gc_root(strlit9781);
  }
// compilenode returning strlit9781
  gc_frame_newslot(strlit9781);
// Begin line 3026
  setline(3026);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9782 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9783 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9782);
// compilenode returning call9783
// compilenode returning call9783
  gc_frame_newslot(call9783);
  int callframe9784 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9785 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9784);
// compilenode returning call9785
// compilenode returning call9785
  gc_frame_newslot(call9785);
  Object num9787 = alloc_Float64(1);
// compilenode returning num9787
  int op_slot_right_9786 = gc_frame_newslot(num9787);
  int callframe9789 = gc_frame_new();
// compilenode returning *var_rparen
  partcv[0] = 0;
  Object call9790 = callmethod(*var_rparen, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9789);
// compilenode returning call9790
// compilenode returning call9790
  int op_slot_left_9786 = gc_frame_newslot(call9790);
  params[0] = num9787;
  partcv[0] = 1;
  Object diff9791 = callmethod(call9790, "-", 1, partcv, params);
// compilenode returning diff9791
  gc_frame_newslot(diff9791);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3025
  setline(3025);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9781;
  params[1] = call9783;
  params[2] = call9785;
  params[3] = diff9791;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9792 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9780);
// compilenode returning call9792
    gc_frame_newslot(call9792);
    if9748 = call9792;
  } else {
// Begin line 3028
  setline(3028);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9793 = gc_frame_new();
  if (strlit9794 == NULL) {
    strlit9794 = alloc_String(")");
    gc_root(strlit9794);
  }
// compilenode returning strlit9794
  gc_frame_newslot(strlit9794);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9794;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9795 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9793);
// compilenode returning call9795
// Begin line 3029
  setline(3029);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9796 = gc_frame_new();
  if (strlit9797 == NULL) {
    strlit9797 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9797);
  }
// compilenode returning strlit9797
  gc_frame_newslot(strlit9797);
// Begin line 3030
  setline(3030);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9798 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9799 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9798);
// compilenode returning call9799
// compilenode returning call9799
  gc_frame_newslot(call9799);
  int callframe9801 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9802 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9801);
// compilenode returning call9802
// compilenode returning call9802
  int op_slot_right_9800 = gc_frame_newslot(call9802);
  int callframe9804 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9805 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9804);
// compilenode returning call9805
// compilenode returning call9805
  int op_slot_left_9800 = gc_frame_newslot(call9805);
  params[0] = call9802;
  partcv[0] = 1;
  Object sum9806 = callmethod(call9805, "+", 1, partcv, params);
// compilenode returning sum9806
  gc_frame_newslot(sum9806);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3029
  setline(3029);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9797;
  params[1] = call9799;
  params[2] = sum9806;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9807 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9796);
// compilenode returning call9807
    gc_frame_newslot(call9807);
    if9748 = call9807;
  }
// compilenode returning if9748
    gc_frame_newslot(if9748);
    if9716 = if9748;
  } else {
  }
// compilenode returning if9716
    gc_frame_newslot(if9716);
    if9713 = if9716;
  } else {
// Begin line 3034
  setline(3034);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9808 = gc_frame_new();
// compilenode returning *var_id
  gc_frame_newslot(*var_id);
  int callframe9809 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9810 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe9809);
// compilenode returning call9810
// compilenode returning call9810
  params[0] = *var_id;
  partcv[0] = 1;
  Object call9811 = callmethod(call9810, "push",
    1, partcv, params);
  gc_frame_end(callframe9808);
// compilenode returning call9811
    gc_frame_newslot(call9811);
    if9713 = call9811;
  }
// compilenode returning if9713
// Begin line 3047
  setline(3047);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3036
  setline(3036);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9813 = gc_frame_new();
  if (strlit9814 == NULL) {
    strlit9814 = alloc_String("comma");
    gc_root(strlit9814);
  }
// compilenode returning strlit9814
  gc_frame_newslot(strlit9814);
  params[0] = strlit9814;
  partcv[0] = 1;
  Object call9815 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9813);
// compilenode returning call9815
  Object if9812 = done;
  if (istrue(call9815)) {
// Begin line 3038
  setline(3038);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3037
  setline(3037);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_comma = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3038
  setline(3038);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9817 = gc_frame_new();
  partcv[0] = 0;
  Object call9818 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9817);
// compilenode returning call9818
    gc_frame_newslot(call9818);
    if9812 = call9818;
  } else {
// Begin line 3047
  setline(3047);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3039
  setline(3039);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9821 == NULL) {
    strlit9821 = alloc_String("rparen");
    gc_root(strlit9821);
  }
// compilenode returning strlit9821
  int op_slot_right_9820 = gc_frame_newslot(strlit9821);
  int callframe9823 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9824 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9823);
// compilenode returning call9824
// compilenode returning call9824
  int op_slot_left_9820 = gc_frame_newslot(call9824);
  params[0] = strlit9821;
  partcv[0] = 1;
  Object opresult9825 = callmethod(call9824, "!=", 1, partcv, params);
// compilenode returning opresult9825
  Object if9819 = done;
  if (istrue(opresult9825)) {
// Begin line 3046
  setline(3046);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3040
  setline(3040);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9828 == NULL) {
    strlit9828 = alloc_String("rparen");
    gc_root(strlit9828);
  }
// compilenode returning strlit9828
  int op_slot_right_9827 = gc_frame_newslot(strlit9828);
  int callframe9830 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9831 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9830);
// compilenode returning call9831
// compilenode returning call9831
  int op_slot_left_9827 = gc_frame_newslot(call9831);
  params[0] = strlit9828;
  partcv[0] = 1;
  Object opresult9832 = callmethod(call9831, "!=", 1, partcv, params);
// compilenode returning opresult9832
  Object if9826 = done;
  if (istrue(opresult9832)) {
// Begin line 3042
  setline(3042);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3041
  setline(3041);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9833 = gc_frame_new();
  int callframe9834 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9835 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9834);
// compilenode returning call9835
// compilenode returning call9835
  partcv[0] = 0;
  Object call9836 = callmethod(call9835, "new",
    1, partcv, params);
  gc_frame_end(callframe9833);
// compilenode returning call9836
// compilenode returning call9836
  *var_suggestion = call9836;
  if (call9836 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3042
  setline(3042);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9837 = gc_frame_new();
  if (strlit9838 == NULL) {
    strlit9838 = alloc_String(")");
    gc_root(strlit9838);
  }
// compilenode returning strlit9838
  gc_frame_newslot(strlit9838);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9838;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9839 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9837);
// compilenode returning call9839
// Begin line 3043
  setline(3043);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9840 = gc_frame_new();
  if (strlit9841 == NULL) {
    strlit9841 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9841);
  }
// compilenode returning strlit9841
  gc_frame_newslot(strlit9841);
// Begin line 3044
  setline(3044);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9842 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9843 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9842);
// compilenode returning call9843
// compilenode returning call9843
  gc_frame_newslot(call9843);
  int callframe9845 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9846 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9845);
// compilenode returning call9846
// compilenode returning call9846
  int op_slot_right_9844 = gc_frame_newslot(call9846);
  int callframe9848 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9849 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9848);
// compilenode returning call9849
// compilenode returning call9849
  int op_slot_left_9844 = gc_frame_newslot(call9849);
  params[0] = call9846;
  partcv[0] = 1;
  Object sum9850 = callmethod(call9849, "+", 1, partcv, params);
// compilenode returning sum9850
  gc_frame_newslot(sum9850);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3043
  setline(3043);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9841;
  params[1] = call9843;
  params[2] = sum9850;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9851 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9840);
// compilenode returning call9851
    gc_frame_newslot(call9851);
    if9826 = call9851;
  } else {
  }
// compilenode returning if9826
    gc_frame_newslot(if9826);
    if9819 = if9826;
  } else {
  }
// compilenode returning if9819
    gc_frame_newslot(if9819);
    if9812 = if9819;
  }
// compilenode returning if9812
  gc_frame_end(frame);
  return if9812;
}
Object meth_parser__apply9867(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9870 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9871 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9870);
// compilenode returning call9871
// compilenode returning call9871
  int op_slot_right_9869 = gc_frame_newslot(call9871);
  int callframe9873 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call9874 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe9873);
// compilenode returning call9874
// compilenode returning call9874
  int op_slot_left_9869 = gc_frame_newslot(call9874);
  params[0] = call9871;
  partcv[0] = 1;
  Object opresult9875 = callmethod(call9874, "==", 1, partcv, params);
// compilenode returning opresult9875
  int op_slot_right_9868 = gc_frame_newslot(opresult9875);
  if (strlit9878 == NULL) {
    strlit9878 = alloc_String("rparen");
    gc_root(strlit9878);
  }
// compilenode returning strlit9878
  int op_slot_right_9877 = gc_frame_newslot(strlit9878);
  int callframe9880 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call9881 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe9880);
// compilenode returning call9881
// compilenode returning call9881
  int op_slot_left_9877 = gc_frame_newslot(call9881);
  params[0] = strlit9878;
  partcv[0] = 1;
  Object opresult9882 = callmethod(call9881, "==", 1, partcv, params);
// compilenode returning opresult9882
  int op_slot_left_9868 = gc_frame_newslot(opresult9882);
  params[0] = opresult9875;
  partcv[0] = 1;
  Object opresult9883 = callmethod(opresult9882, "&&", 1, partcv, params);
// compilenode returning opresult9883
  gc_frame_end(frame);
  return opresult9883;
}
Object meth_parser_methodsignature9252(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(21, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodsignature");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method methodsignature");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodsignature (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sameline = &(stackframe->slots[0]);
  *var_sameline = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for methodsignature");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_meth = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "meth");
  Object *var_signature = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "signature");
  Object *var_part = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "part");
  Object *var_genericIdents = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "genericIdents");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_varargs = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "varargs");
  Object *var_vararg = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "vararg");
  Object *var_lparen = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "lparen");
  Object *var_id = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "id");
  Object *var_comma = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "comma");
  Object *var_rparen = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "rparen");
  Object *var_tm = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "tm");
  Object *var_o = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "o");
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2896
  setline(2896);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9256 == NULL) {
    strlit9256 = alloc_String("lsquare");
    gc_root(strlit9256);
  }
// compilenode returning strlit9256
  int op_slot_right_9255 = gc_frame_newslot(strlit9256);
  int callframe9258 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9259 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9258);
// compilenode returning call9259
// compilenode returning call9259
  int op_slot_left_9255 = gc_frame_newslot(call9259);
  params[0] = strlit9256;
  partcv[0] = 1;
  Object opresult9260 = callmethod(call9259, "!=", 1, partcv, params);
// compilenode returning opresult9260
  int op_slot_right_9254 = gc_frame_newslot(opresult9260);
  if (strlit9264 == NULL) {
    strlit9264 = alloc_String("op");
    gc_root(strlit9264);
  }
// compilenode returning strlit9264
  int op_slot_right_9263 = gc_frame_newslot(strlit9264);
  int callframe9266 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9267 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9266);
// compilenode returning call9267
// compilenode returning call9267
  int op_slot_left_9263 = gc_frame_newslot(call9267);
  params[0] = strlit9264;
  partcv[0] = 1;
  Object opresult9268 = callmethod(call9267, "!=", 1, partcv, params);
// compilenode returning opresult9268
  int op_slot_right_9262 = gc_frame_newslot(opresult9268);
  if (strlit9271 == NULL) {
    strlit9271 = alloc_String("identifier");
    gc_root(strlit9271);
  }
// compilenode returning strlit9271
  int op_slot_right_9270 = gc_frame_newslot(strlit9271);
  int callframe9273 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9274 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9273);
// compilenode returning call9274
// compilenode returning call9274
  int op_slot_left_9270 = gc_frame_newslot(call9274);
  params[0] = strlit9271;
  partcv[0] = 1;
  Object opresult9275 = callmethod(call9274, "!=", 1, partcv, params);
// compilenode returning opresult9275
  int op_slot_left_9262 = gc_frame_newslot(opresult9275);
  params[0] = opresult9268;
  partcv[0] = 1;
  Object opresult9276 = callmethod(opresult9275, "&&", 1, partcv, params);
// compilenode returning opresult9276
  int op_slot_left_9254 = gc_frame_newslot(opresult9276);
  params[0] = opresult9260;
  partcv[0] = 1;
  Object opresult9277 = callmethod(opresult9276, "&&", 1, partcv, params);
// compilenode returning opresult9277
  Object if9253 = done;
  if (istrue(opresult9277)) {
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2897
  setline(2897);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9278 = gc_frame_new();
  int callframe9279 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9280 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9279);
// compilenode returning call9280
// compilenode returning call9280
  partcv[0] = 0;
  Object call9281 = callmethod(call9280, "new",
    1, partcv, params);
  gc_frame_end(callframe9278);
// compilenode returning call9281
// compilenode returning call9281
  *var_suggestion = call9281;
  if (call9281 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9282 = gc_frame_new();
  if (strlit9283 == NULL) {
    strlit9283 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit9283);
  }
// compilenode returning strlit9283
  gc_frame_newslot(strlit9283);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9283;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9284 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9282);
// compilenode returning call9284
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9285 = gc_frame_new();
  if (strlit9286 == NULL) {
    strlit9286 = alloc_String("A method name must start with an identifier, an operator, or '[]'.");
    gc_root(strlit9286);
  }
// compilenode returning strlit9286
  gc_frame_newslot(strlit9286);
// Begin line 2900
  setline(2900);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9287 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9288 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9287);
// compilenode returning call9288
// compilenode returning call9288
  gc_frame_newslot(call9288);
  int callframe9290 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9291 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9290);
// compilenode returning call9291
// compilenode returning call9291
  int op_slot_right_9289 = gc_frame_newslot(call9291);
  int callframe9293 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9294 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9293);
// compilenode returning call9294
// compilenode returning call9294
  int op_slot_left_9289 = gc_frame_newslot(call9294);
  params[0] = call9291;
  partcv[0] = 1;
  Object sum9295 = callmethod(call9294, "+", 1, partcv, params);
// compilenode returning sum9295
  gc_frame_newslot(sum9295);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9286;
  params[1] = call9288;
  params[2] = sum9295;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9296 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9285);
// compilenode returning call9296
    gc_frame_newslot(call9296);
    if9253 = call9296;
  } else {
  }
// compilenode returning if9253
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9297 = gc_frame_new();
  partcv[0] = 0;
  Object call9298 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9297);
// compilenode returning call9298
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9299 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9300 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9299);
// compilenode returning call9300
// compilenode returning call9300
  *var_meth = call9300;
  if (call9300 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9301 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9301
  *var_signature = array9301;
  if (array9301 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9302 = gc_frame_new();
  int callframe9303 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9304 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9303);
// compilenode returning call9304
// compilenode returning call9304
  gc_frame_newslot(call9304);
  int callframe9305 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9306 = callmethod(*var_ast, "signaturePart",
    1, partcv, params);
  gc_frame_end(callframe9305);
// compilenode returning call9306
// compilenode returning call9306
  params[0] = call9304;
  partcv[0] = 1;
  Object call9307 = callmethod(call9306, "new",
    1, partcv, params);
  gc_frame_end(callframe9302);
// compilenode returning call9307
  *var_part = call9307;
  if (call9307 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2906
  setline(2906);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9308 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9308
  *var_genericIdents = array9308;
  if (array9308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9309 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call9310 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe9309);
// compilenode returning call9310
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2908
  setline(2908);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9313 == NULL) {
    strlit9313 = alloc_String("[");
    gc_root(strlit9313);
  }
// compilenode returning strlit9313
  int op_slot_right_9312 = gc_frame_newslot(strlit9313);
  int callframe9315 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9316 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9315);
// compilenode returning call9316
// compilenode returning call9316
  int op_slot_left_9312 = gc_frame_newslot(call9316);
  params[0] = strlit9313;
  partcv[0] = 1;
  Object opresult9317 = callmethod(call9316, "==", 1, partcv, params);
// compilenode returning opresult9317
  Object if9311 = done;
  if (istrue(opresult9317)) {
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9320 == NULL) {
    strlit9320 = alloc_String("rsquare");
    gc_root(strlit9320);
  }
// compilenode returning strlit9320
  int op_slot_right_9319 = gc_frame_newslot(strlit9320);
  int callframe9322 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9323 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9322);
// compilenode returning call9323
// compilenode returning call9323
  int op_slot_left_9319 = gc_frame_newslot(call9323);
  params[0] = strlit9320;
  partcv[0] = 1;
  Object opresult9324 = callmethod(call9323, "!=", 1, partcv, params);
// compilenode returning opresult9324
  Object if9318 = done;
  if (istrue(opresult9324)) {
// Begin line 2929
  setline(2929);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9327 = gc_frame_new();
  Object block9328 = alloc_Block(NULL, NULL, "parser", 2911);
  gc_frame_newslot(block9328);
  block_savedest(block9328);
  Object closure9329 = createclosure(2, "_apply");
  setclosureframe(closure9329, stackframe);
  addtoclosure(closure9329, var_tokens);
  addtoclosure(closure9329, selfslot);
  struct UserObject *uo9329 = (struct UserObject*)block9328;
  uo9329->data[0] = (Object)closure9329;
  Method *meth_meth_parser__apply9329 = addmethod2pos(block9328, "_apply", &meth_parser__apply9329, 0);
int argcv_meth_parser__apply9329[] = {0};
meth_meth_parser__apply9329->type = alloc_MethodType(1, argcv_meth_parser__apply9329);
  meth_meth_parser__apply9329->definitionModule = modulename;
  meth_meth_parser__apply9329->definitionLine = 2909;
// compilenode returning block9328
  gc_frame_newslot(block9328);
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9340 = alloc_Float64(0);
// compilenode returning num9340
  int op_slot_right_9339 = gc_frame_newslot(num9340);
  int callframe9342 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9343 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9342);
// compilenode returning call9343
// compilenode returning call9343
  int op_slot_left_9339 = gc_frame_newslot(call9343);
  params[0] = num9340;
  partcv[0] = 1;
  Object opresult9344 = callmethod(call9343, "==", 1, partcv, params);
// compilenode returning opresult9344
  params[0] = block9328;
  partcv[0] = 1;
  Object call9345 = callmethod(opresult9344, "orElse",
    1, partcv, params);
  gc_frame_end(callframe9327);
// compilenode returning call9345
  int op_slot_right_9326 = gc_frame_newslot(call9345);
  if (strlit9348 == NULL) {
    strlit9348 = alloc_String("identifier");
    gc_root(strlit9348);
  }
// compilenode returning strlit9348
  int op_slot_right_9347 = gc_frame_newslot(strlit9348);
  int callframe9350 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9351 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9350);
// compilenode returning call9351
// compilenode returning call9351
  int op_slot_left_9347 = gc_frame_newslot(call9351);
  params[0] = strlit9348;
  partcv[0] = 1;
  Object opresult9352 = callmethod(call9351, "==", 1, partcv, params);
// compilenode returning opresult9352
  int op_slot_left_9326 = gc_frame_newslot(opresult9352);
  params[0] = call9345;
  partcv[0] = 1;
  Object opresult9353 = callmethod(opresult9352, "&&", 1, partcv, params);
// compilenode returning opresult9353
  Object if9325 = done;
  if (istrue(opresult9353)) {
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9354 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9354
  *var_suggestions = array9354;
  if (array9354 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9355 = gc_frame_new();
  int callframe9356 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9357 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9356);
// compilenode returning call9357
// compilenode returning call9357
  partcv[0] = 0;
  Object call9358 = callmethod(call9357, "new",
    1, partcv, params);
  gc_frame_end(callframe9355);
// compilenode returning call9358
// compilenode returning call9358
  *var_suggestion = call9358;
  if (call9358 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9361 = alloc_Float64(0);
// compilenode returning num9361
  int op_slot_right_9360 = gc_frame_newslot(num9361);
  int callframe9363 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9364 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9363);
// compilenode returning call9364
// compilenode returning call9364
  int op_slot_left_9360 = gc_frame_newslot(call9364);
  params[0] = num9361;
  partcv[0] = 1;
  Object opresult9365 = callmethod(call9364, "==", 1, partcv, params);
// compilenode returning opresult9365
  Object if9359 = done;
  if (istrue(opresult9365)) {
// Begin line 2915
  setline(2915);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9366 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit9368 == NULL) {
    strlit9368 = alloc_String(")");
    gc_root(strlit9368);
  }
// compilenode returning strlit9368
  int op_slot_right_9367 = gc_frame_newslot(strlit9368);
  int callframe9371 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9372 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9371);
// compilenode returning call9372
// compilenode returning call9372
  int op_slot_right_9370 = gc_frame_newslot(call9372);
  if (strlit9374 == NULL) {
    strlit9374 = alloc_String("](");
    gc_root(strlit9374);
  }
// compilenode returning strlit9374
  int op_slot_left_9370 = gc_frame_newslot(strlit9374);
  params[0] = call9372;
  partcv[0] = 1;
  Object opresult9375 = callmethod(strlit9374, "++", 1, partcv, params);
// compilenode returning opresult9375
  int op_slot_left_9367 = gc_frame_newslot(opresult9375);
  params[0] = strlit9368;
  partcv[0] = 1;
  Object opresult9376 = callmethod(opresult9375, "++", 1, partcv, params);
// compilenode returning opresult9376
  gc_frame_newslot(opresult9376);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult9376;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9377 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9366);
// compilenode returning call9377
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9378 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9379 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9378);
// compilenode returning call9379
    gc_frame_newslot(call9379);
    if9359 = call9379;
  } else {
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9382 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9383 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe9382);
// compilenode returning call9383
// compilenode returning call9383
  int op_slot_right_9381 = gc_frame_newslot(call9383);
  int callframe9385 = gc_frame_new();
  int callframe9386 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9387 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9386);
// compilenode returning call9387
// compilenode returning call9387
  partcv[0] = 0;
  Object call9388 = callmethod(call9387, "line",
    1, partcv, params);
  gc_frame_end(callframe9385);
// compilenode returning call9388
// compilenode returning call9388
  int op_slot_left_9381 = gc_frame_newslot(call9388);
  params[0] = call9383;
  partcv[0] = 1;
  Object opresult9389 = callmethod(call9388, "==", 1, partcv, params);
// compilenode returning opresult9389
  Object if9380 = done;
  if (istrue(opresult9389)) {
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9390 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe9391 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9392 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9391);
// compilenode returning call9392
// compilenode returning call9392
  gc_frame_newslot(call9392);
  if (strlit9394 == NULL) {
    strlit9394 = alloc_String(")");
    gc_root(strlit9394);
  }
// compilenode returning strlit9394
  int op_slot_right_9393 = gc_frame_newslot(strlit9394);
  int callframe9397 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9398 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9397);
// compilenode returning call9398
// compilenode returning call9398
  int op_slot_right_9396 = gc_frame_newslot(call9398);
  if (strlit9400 == NULL) {
    strlit9400 = alloc_String("](");
    gc_root(strlit9400);
  }
// compilenode returning strlit9400
  int op_slot_left_9396 = gc_frame_newslot(strlit9400);
  params[0] = call9398;
  partcv[0] = 1;
  Object opresult9401 = callmethod(strlit9400, "++", 1, partcv, params);
// compilenode returning opresult9401
  int op_slot_left_9393 = gc_frame_newslot(opresult9401);
  params[0] = strlit9394;
  partcv[0] = 1;
  Object opresult9402 = callmethod(opresult9401, "++", 1, partcv, params);
// compilenode returning opresult9402
  gc_frame_newslot(opresult9402);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call9392;
  params[2] = opresult9402;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9403 = callmethod(*var_suggestion, "replaceTokenRange()with",
    2, partcv, params);
  gc_frame_end(callframe9390);
// compilenode returning call9403
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9404 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9405 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9404);
// compilenode returning call9405
    gc_frame_newslot(call9405);
    if9380 = call9405;
  } else {
  }
// compilenode returning if9380
    gc_frame_newslot(if9380);
    if9359 = if9380;
  }
// compilenode returning if9359
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9406 = gc_frame_new();
  if (strlit9407 == NULL) {
    strlit9407 = alloc_String("A method name beginning with '[]' must have the parameter name in parentheses after the '[]'.");
    gc_root(strlit9407);
  }
// compilenode returning strlit9407
  gc_frame_newslot(strlit9407);
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9408 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9409 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9408);
// compilenode returning call9409
// compilenode returning call9409
  gc_frame_newslot(call9409);
  int callframe9411 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9412 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9411);
// compilenode returning call9412
// compilenode returning call9412
  int op_slot_right_9410 = gc_frame_newslot(call9412);
  int callframe9414 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9415 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9414);
// compilenode returning call9415
// compilenode returning call9415
  int op_slot_left_9410 = gc_frame_newslot(call9415);
  params[0] = call9412;
  partcv[0] = 1;
  Object sum9416 = callmethod(call9415, "+", 1, partcv, params);
// compilenode returning sum9416
  gc_frame_newslot(sum9416);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9407;
  params[1] = call9409;
  params[2] = sum9416;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9417 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9406);
// compilenode returning call9417
    gc_frame_newslot(call9417);
    if9325 = call9417;
  } else {
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9418 = gc_frame_new();
  int callframe9419 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9420 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9419);
// compilenode returning call9420
// compilenode returning call9420
  partcv[0] = 0;
  Object call9421 = callmethod(call9420, "new",
    1, partcv, params);
  gc_frame_end(callframe9418);
// compilenode returning call9421
// compilenode returning call9421
  *var_suggestion = call9421;
  if (call9421 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9422 = gc_frame_new();
  if (strlit9423 == NULL) {
    strlit9423 = alloc_String("]");
    gc_root(strlit9423);
  }
// compilenode returning strlit9423
  gc_frame_newslot(strlit9423);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9423;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9424 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9422);
// compilenode returning call9424
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9425 = gc_frame_new();
  if (strlit9426 == NULL) {
    strlit9426 = alloc_String("A method name must either start with an identifier or '[]'.");
    gc_root(strlit9426);
  }
// compilenode returning strlit9426
  gc_frame_newslot(strlit9426);
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9427 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9428 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9427);
// compilenode returning call9428
// compilenode returning call9428
  gc_frame_newslot(call9428);
  int callframe9430 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9431 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9430);
// compilenode returning call9431
// compilenode returning call9431
  int op_slot_right_9429 = gc_frame_newslot(call9431);
  int callframe9433 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9434 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9433);
// compilenode returning call9434
// compilenode returning call9434
  int op_slot_left_9429 = gc_frame_newslot(call9434);
  params[0] = call9431;
  partcv[0] = 1;
  Object sum9435 = callmethod(call9434, "+", 1, partcv, params);
// compilenode returning sum9435
  gc_frame_newslot(sum9435);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9426;
  params[1] = call9428;
  params[2] = sum9435;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9436 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9425);
// compilenode returning call9436
    gc_frame_newslot(call9436);
    if9325 = call9436;
  }
// compilenode returning if9325
    gc_frame_newslot(if9325);
    if9318 = if9325;
  } else {
  }
// compilenode returning if9318
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9437 = gc_frame_new();
  partcv[0] = 0;
  Object call9438 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9437);
// compilenode returning call9438
// Begin line 2932
  setline(2932);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9439 = gc_frame_new();
// Begin line 2931
  setline(2931);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9440 == NULL) {
    strlit9440 = alloc_String("[]");
    gc_root(strlit9440);
  }
// compilenode returning strlit9440
  gc_frame_newslot(strlit9440);
// compilenode returning *var_meth
  params[0] = strlit9440;
  partcv[0] = 1;
  Object call9441 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9439);
// compilenode returning call9441
// compilenode returning done
    gc_frame_newslot(done);
    if9311 = done;
  } else {
  }
// compilenode returning if9311
// Begin line 2952
  setline(2952);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9443 = gc_frame_new();
  if (strlit9444 == NULL) {
    strlit9444 = alloc_String("lgeneric");
    gc_root(strlit9444);
  }
// compilenode returning strlit9444
  gc_frame_newslot(strlit9444);
  params[0] = strlit9444;
  partcv[0] = 1;
  Object call9445 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9443);
// compilenode returning call9445
  Object if9442 = done;
  if (istrue(call9445)) {
// Begin line 2935
  setline(2935);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9446 = gc_frame_new();
  partcv[0] = 0;
  Object call9447 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9446);
// compilenode returning call9447
// Begin line 2937
  setline(2937);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2936
  setline(2936);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9448 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9449 = callmethod(*var_part, "generics",
    1, partcv, params);
  gc_frame_end(callframe9448);
// compilenode returning call9449
// compilenode returning call9449
  *var_genericIdents = call9449;
  if (call9449 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2937
  setline(2937);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9451 = gc_frame_new();
  Object block9452 = alloc_Block(NULL, NULL, "parser", 2937);
  gc_frame_newslot(block9452);
  block_savedest(block9452);
  Object closure9453 = createclosure(1, "_apply");
  setclosureframe(closure9453, stackframe);
  addtoclosure(closure9453, selfslot);
  struct UserObject *uo9453 = (struct UserObject*)block9452;
  uo9453->data[0] = (Object)closure9453;
  Method *meth_meth_parser__apply9453 = addmethod2pos(block9452, "_apply", &meth_parser__apply9453, 0);
int argcv_meth_parser__apply9453[] = {0};
meth_meth_parser__apply9453->type = alloc_MethodType(1, argcv_meth_parser__apply9453);
  meth_meth_parser__apply9453->definitionModule = modulename;
  meth_meth_parser__apply9453->definitionLine = 2936;
// compilenode returning block9452
  gc_frame_newslot(block9452);
  Object block9458 = alloc_Block(NULL, NULL, "parser", 2937);
  gc_frame_newslot(block9458);
  block_savedest(block9458);
  Object closure9459 = createclosure(3, "_apply");
  setclosureframe(closure9459, stackframe);
  addtoclosure(closure9459, var_values);
  addtoclosure(closure9459, var_genericIdents);
  addtoclosure(closure9459, selfslot);
  struct UserObject *uo9459 = (struct UserObject*)block9458;
  uo9459->data[0] = (Object)closure9459;
  Method *meth_meth_parser__apply9459 = addmethod2pos(block9458, "_apply", &meth_parser__apply9459, 0);
int argcv_meth_parser__apply9459[] = {0};
meth_meth_parser__apply9459->type = alloc_MethodType(1, argcv_meth_parser__apply9459);
  meth_meth_parser__apply9459->definitionModule = modulename;
  meth_meth_parser__apply9459->definitionLine = 2936;
// compilenode returning block9458
  gc_frame_newslot(block9458);
  params[0] = block9452;
  params[1] = block9458;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9473 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9451);
// compilenode returning call9473
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2944
  setline(2944);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9476 == NULL) {
    strlit9476 = alloc_String("rgeneric");
    gc_root(strlit9476);
  }
// compilenode returning strlit9476
  int op_slot_right_9475 = gc_frame_newslot(strlit9476);
  int callframe9478 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9479 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9478);
// compilenode returning call9479
// compilenode returning call9479
  int op_slot_left_9475 = gc_frame_newslot(call9479);
  params[0] = strlit9476;
  partcv[0] = 1;
  Object opresult9480 = callmethod(call9479, "!=", 1, partcv, params);
// compilenode returning opresult9480
  Object if9474 = done;
  if (istrue(opresult9480)) {
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2945
  setline(2945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9481 = gc_frame_new();
  int callframe9482 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9483 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9482);
// compilenode returning call9483
// compilenode returning call9483
  partcv[0] = 0;
  Object call9484 = callmethod(call9483, "new",
    1, partcv, params);
  gc_frame_end(callframe9481);
// compilenode returning call9484
// compilenode returning call9484
  *var_suggestion = call9484;
  if (call9484 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9485 = gc_frame_new();
  if (strlit9486 == NULL) {
    strlit9486 = alloc_String(">");
    gc_root(strlit9486);
  }
// compilenode returning strlit9486
  gc_frame_newslot(strlit9486);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9486;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9487 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9485);
// compilenode returning call9487
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9488 = gc_frame_new();
  if (strlit9489 == NULL) {
    strlit9489 = alloc_String("A type containing a '<' must end with a '>'.");
    gc_root(strlit9489);
  }
// compilenode returning strlit9489
  gc_frame_newslot(strlit9489);
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9490 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9491 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9490);
// compilenode returning call9491
// compilenode returning call9491
  gc_frame_newslot(call9491);
  int callframe9493 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9494 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9493);
// compilenode returning call9494
// compilenode returning call9494
  int op_slot_right_9492 = gc_frame_newslot(call9494);
  int callframe9496 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9497 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9496);
// compilenode returning call9497
// compilenode returning call9497
  int op_slot_left_9492 = gc_frame_newslot(call9497);
  params[0] = call9494;
  partcv[0] = 1;
  Object sum9498 = callmethod(call9497, "+", 1, partcv, params);
// compilenode returning sum9498
  gc_frame_newslot(sum9498);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9489;
  params[1] = call9491;
  params[2] = sum9498;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9499 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9488);
// compilenode returning call9499
    gc_frame_newslot(call9499);
    if9474 = call9499;
  } else {
  }
// compilenode returning if9474
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9500 = gc_frame_new();
  partcv[0] = 0;
  Object call9501 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9500);
// compilenode returning call9501
    gc_frame_newslot(call9501);
    if9442 = call9501;
  } else {
  }
// compilenode returning if9442
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2952
  setline(2952);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9503 = gc_frame_new();
  if (strlit9504 == NULL) {
    strlit9504 = alloc_String("bind");
    gc_root(strlit9504);
  }
// compilenode returning strlit9504
  gc_frame_newslot(strlit9504);
  params[0] = strlit9504;
  partcv[0] = 1;
  Object call9505 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9503);
// compilenode returning call9505
  Object if9502 = done;
  if (istrue(call9505)) {
// Begin line 2953
  setline(2953);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9506 = gc_frame_new();
  partcv[0] = 0;
  Object call9507 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9506);
// compilenode returning call9507
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9508 = gc_frame_new();
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9510 == NULL) {
    strlit9510 = alloc_String(":=");
    gc_root(strlit9510);
  }
// compilenode returning strlit9510
  int op_slot_right_9509 = gc_frame_newslot(strlit9510);
  int callframe9512 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9513 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9512);
// compilenode returning call9513
// compilenode returning call9513
  int op_slot_left_9509 = gc_frame_newslot(call9513);
  params[0] = strlit9510;
  partcv[0] = 1;
  Object opresult9514 = callmethod(call9513, "++", 1, partcv, params);
// compilenode returning opresult9514
  gc_frame_newslot(opresult9514);
// compilenode returning *var_meth
  params[0] = opresult9514;
  partcv[0] = 1;
  Object call9515 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9508);
// compilenode returning call9515
// compilenode returning done
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9516 = gc_frame_new();
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9518 == NULL) {
    strlit9518 = alloc_String(":=");
    gc_root(strlit9518);
  }
// compilenode returning strlit9518
  int op_slot_right_9517 = gc_frame_newslot(strlit9518);
  int callframe9520 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9521 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9520);
// compilenode returning call9521
// compilenode returning call9521
  int op_slot_left_9517 = gc_frame_newslot(call9521);
  params[0] = strlit9518;
  partcv[0] = 1;
  Object opresult9522 = callmethod(call9521, "++", 1, partcv, params);
// compilenode returning opresult9522
  gc_frame_newslot(opresult9522);
// compilenode returning *var_part
  params[0] = opresult9522;
  partcv[0] = 1;
  Object call9523 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9516);
// compilenode returning call9523
// compilenode returning done
    gc_frame_newslot(done);
    if9502 = done;
  } else {
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9527 == NULL) {
    strlit9527 = alloc_String("prefix");
    gc_root(strlit9527);
  }
// compilenode returning strlit9527
  int op_slot_right_9526 = gc_frame_newslot(strlit9527);
  int callframe9529 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9530 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9529);
// compilenode returning call9530
// compilenode returning call9530
  int op_slot_left_9526 = gc_frame_newslot(call9530);
  params[0] = strlit9527;
  partcv[0] = 1;
  Object opresult9531 = callmethod(call9530, "==", 1, partcv, params);
// compilenode returning opresult9531
  int op_slot_right_9525 = gc_frame_newslot(opresult9531);
  int callframe9533 = gc_frame_new();
  if (strlit9534 == NULL) {
    strlit9534 = alloc_String("op");
    gc_root(strlit9534);
  }
// compilenode returning strlit9534
  gc_frame_newslot(strlit9534);
  params[0] = strlit9534;
  partcv[0] = 1;
  Object call9535 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9533);
// compilenode returning call9535
  int op_slot_left_9525 = gc_frame_newslot(call9535);
  params[0] = opresult9531;
  partcv[0] = 1;
  Object opresult9536 = callmethod(call9535, "&&", 1, partcv, params);
// compilenode returning opresult9536
  Object if9524 = done;
  if (istrue(opresult9536)) {
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9537 = gc_frame_new();
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9539 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9540 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9539);
// compilenode returning call9540
// compilenode returning call9540
  int op_slot_right_9538 = gc_frame_newslot(call9540);
  int callframe9542 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9543 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9542);
// compilenode returning call9543
// compilenode returning call9543
  int op_slot_left_9538 = gc_frame_newslot(call9543);
  params[0] = call9540;
  partcv[0] = 1;
  Object opresult9544 = callmethod(call9543, "++", 1, partcv, params);
// compilenode returning opresult9544
  gc_frame_newslot(opresult9544);
// compilenode returning *var_meth
  params[0] = opresult9544;
  partcv[0] = 1;
  Object call9545 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9537);
// compilenode returning call9545
// compilenode returning done
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9546 = gc_frame_new();
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9548 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9549 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9548);
// compilenode returning call9549
// compilenode returning call9549
  int op_slot_right_9547 = gc_frame_newslot(call9549);
  int callframe9551 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9552 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9551);
// compilenode returning call9552
// compilenode returning call9552
  int op_slot_left_9547 = gc_frame_newslot(call9552);
  params[0] = call9549;
  partcv[0] = 1;
  Object opresult9553 = callmethod(call9552, "++", 1, partcv, params);
// compilenode returning opresult9553
  gc_frame_newslot(opresult9553);
// compilenode returning *var_part
  params[0] = opresult9553;
  partcv[0] = 1;
  Object call9554 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9546);
// compilenode returning call9554
// compilenode returning done
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9555 = gc_frame_new();
  partcv[0] = 0;
  Object call9556 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9555);
// compilenode returning call9556
    gc_frame_newslot(call9556);
    if9524 = call9556;
  } else {
  }
// compilenode returning if9524
    gc_frame_newslot(if9524);
    if9502 = if9524;
  }
// compilenode returning if9502
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9557 = alloc_Boolean(0);
// compilenode returning bool9557
  *var_dtype = bool9557;
  if (bool9557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2963
  setline(2963);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9558 = alloc_Boolean(0);
// compilenode returning bool9558
  *var_varargs = bool9558;
  if (bool9558 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2964
  setline(2964);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2963
  setline(2963);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9559 = alloc_Boolean(0);
// compilenode returning bool9559
  *var_vararg = bool9559;
  if (bool9559 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3072
  setline(3072);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2964
  setline(2964);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9561 = gc_frame_new();
  if (strlit9562 == NULL) {
    strlit9562 = alloc_String("lparen");
    gc_root(strlit9562);
  }
// compilenode returning strlit9562
  gc_frame_newslot(strlit9562);
  params[0] = strlit9562;
  partcv[0] = 1;
  Object call9563 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9561);
// compilenode returning call9563
  Object if9560 = done;
  if (istrue(call9563)) {
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2965
  setline(2965);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_lparen = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9564 = gc_frame_new();
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9565 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9566 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9565);
// compilenode returning call9566
// compilenode returning call9566
  gc_frame_newslot(call9566);
// compilenode returning *var_part
  params[0] = call9566;
  partcv[0] = 1;
  Object call9567 = callmethod(*var_part, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe9564);
// compilenode returning call9567
// compilenode returning done
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9568 = gc_frame_new();
  partcv[0] = 0;
  Object call9569 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9568);
// compilenode returning call9569
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_id = undefined;
// compilenode returning done
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9570 = alloc_Boolean(0);
// compilenode returning bool9570
  *var_comma = bool9570;
  if (bool9570 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9571 = gc_frame_new();
  Object block9572 = alloc_Block(NULL, NULL, "parser", 2970);
  gc_frame_newslot(block9572);
  block_savedest(block9572);
  Object closure9573 = createclosure(2, "_apply");
  setclosureframe(closure9573, stackframe);
  addtoclosure(closure9573, var_sym);
  addtoclosure(closure9573, selfslot);
  struct UserObject *uo9573 = (struct UserObject*)block9572;
  uo9573->data[0] = (Object)closure9573;
  Method *meth_meth_parser__apply9573 = addmethod2pos(block9572, "_apply", &meth_parser__apply9573, 0);
int argcv_meth_parser__apply9573[] = {0};
meth_meth_parser__apply9573->type = alloc_MethodType(1, argcv_meth_parser__apply9573);
  meth_meth_parser__apply9573->definitionModule = modulename;
  meth_meth_parser__apply9573->definitionLine = 2966;
// compilenode returning block9572
  gc_frame_newslot(block9572);
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block9593 = alloc_Block(NULL, NULL, "parser", 2971);
  gc_frame_newslot(block9593);
  block_savedest(block9593);
  Object closure9594 = createclosure(12, "_apply");
  setclosureframe(closure9594, stackframe);
  addtoclosure(closure9594, var_sym);
  addtoclosure(closure9594, var_errormessages);
  addtoclosure(closure9594, var_lastToken);
  addtoclosure(closure9594, var_comma);
  addtoclosure(closure9594, var_vararg);
  addtoclosure(closure9594, var_varargs);
  addtoclosure(closure9594, var_values);
  addtoclosure(closure9594, var_id);
  addtoclosure(closure9594, var_dtype);
  addtoclosure(closure9594, var_part);
  addtoclosure(closure9594, var_lparen);
  addtoclosure(closure9594, selfslot);
  struct UserObject *uo9594 = (struct UserObject*)block9593;
  uo9594->data[0] = (Object)closure9594;
  Method *meth_meth_parser__apply9594 = addmethod2pos(block9593, "_apply", &meth_parser__apply9594, 0);
int argcv_meth_parser__apply9594[] = {0};
meth_meth_parser__apply9594->type = alloc_MethodType(1, argcv_meth_parser__apply9594);
  meth_meth_parser__apply9594->definitionModule = modulename;
  meth_meth_parser__apply9594->definitionLine = 2971;
// compilenode returning block9593
  gc_frame_newslot(block9593);
  params[0] = block9572;
  params[1] = block9593;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9853 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9571);
// compilenode returning call9853
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3048
  setline(3048);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9856 == NULL) {
    strlit9856 = alloc_String("rparen");
    gc_root(strlit9856);
  }
// compilenode returning strlit9856
  int op_slot_right_9855 = gc_frame_newslot(strlit9856);
  int callframe9858 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9859 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9858);
// compilenode returning call9859
// compilenode returning call9859
  int op_slot_left_9855 = gc_frame_newslot(call9859);
  params[0] = strlit9856;
  partcv[0] = 1;
  Object opresult9860 = callmethod(call9859, "!=", 1, partcv, params);
// compilenode returning opresult9860
  Object if9854 = done;
  if (istrue(opresult9860)) {
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3049
  setline(3049);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9861 = gc_frame_new();
  int callframe9862 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9863 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9862);
// compilenode returning call9863
// compilenode returning call9863
  partcv[0] = 0;
  Object call9864 = callmethod(call9863, "new",
    1, partcv, params);
  gc_frame_end(callframe9861);
// compilenode returning call9864
// compilenode returning call9864
  *var_suggestion = call9864;
  if (call9864 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9865 = gc_frame_new();
  Object block9866 = alloc_Block(NULL, NULL, "parser", 3050);
  gc_frame_newslot(block9866);
  block_savedest(block9866);
  Object closure9867 = createclosure(2, "_apply");
  setclosureframe(closure9867, stackframe);
  addtoclosure(closure9867, var_lastToken);
  addtoclosure(closure9867, selfslot);
  struct UserObject *uo9867 = (struct UserObject*)block9866;
  uo9867->data[0] = (Object)closure9867;
  Method *meth_meth_parser__apply9867 = addmethod2pos(block9866, "_apply", &meth_parser__apply9867, 0);
int argcv_meth_parser__apply9867[] = {1};
meth_meth_parser__apply9867->type = alloc_MethodType(1, argcv_meth_parser__apply9867);
  meth_meth_parser__apply9867->definitionModule = modulename;
  meth_meth_parser__apply9867->definitionLine = 3049;
// compilenode returning block9866
  gc_frame_newslot(block9866);
  params[0] = block9866;
  partcv[0] = 1;
  Object call9885 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9865);
// compilenode returning call9885
  *var_rparen = call9885;
  if (call9885 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3056
  setline(3056);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3051
  setline(3051);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9888 = alloc_Boolean(0);
// compilenode returning bool9888
  int op_slot_right_9887 = gc_frame_newslot(bool9888);
// compilenode returning *var_rparen
  int op_slot_left_9887 = gc_frame_newslot(*var_rparen);
  params[0] = bool9888;
  partcv[0] = 1;
  Object opresult9890 = callmethod(*var_rparen, "==", 1, partcv, params);
// compilenode returning opresult9890
  Object if9886 = done;
  if (istrue(opresult9890)) {
// Begin line 3052
  setline(3052);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9891 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  if (strlit9892 == NULL) {
    strlit9892 = alloc_String(")");
    gc_root(strlit9892);
  }
// compilenode returning strlit9892
  gc_frame_newslot(strlit9892);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = strlit9892;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9893 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9891);
// compilenode returning call9893
    gc_frame_newslot(call9893);
    if9886 = call9893;
  } else {
// Begin line 3054
  setline(3054);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9894 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call9895 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9894);
// compilenode returning call9895
    gc_frame_newslot(call9895);
    if9886 = call9895;
  }
// compilenode returning if9886
// Begin line 3056
  setline(3056);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9896 = gc_frame_new();
  if (strlit9897 == NULL) {
    strlit9897 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9897);
  }
// compilenode returning strlit9897
  gc_frame_newslot(strlit9897);
// Begin line 3057
  setline(3057);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9898 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9899 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9898);
// compilenode returning call9899
// compilenode returning call9899
  gc_frame_newslot(call9899);
  int callframe9900 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9901 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9900);
// compilenode returning call9901
// compilenode returning call9901
  gc_frame_newslot(call9901);
  int callframe9902 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9903 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9902);
// compilenode returning call9903
// compilenode returning call9903
  gc_frame_newslot(call9903);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3056
  setline(3056);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9897;
  params[1] = call9899;
  params[2] = call9901;
  params[3] = call9903;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9904 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9896);
// compilenode returning call9904
    gc_frame_newslot(call9904);
    if9854 = call9904;
  } else {
  }
// compilenode returning if9854
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9907 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9908 = callmethod(*var_part, "line",
    1, partcv, params);
  gc_frame_end(callframe9907);
// compilenode returning call9908
// compilenode returning call9908
  int op_slot_right_9906 = gc_frame_newslot(call9908);
  int callframe9910 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9911 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9910);
// compilenode returning call9911
// compilenode returning call9911
  int op_slot_left_9906 = gc_frame_newslot(call9911);
  params[0] = call9908;
  partcv[0] = 1;
  Object opresult9912 = callmethod(call9911, "==", 1, partcv, params);
// compilenode returning opresult9912
  Object if9905 = done;
  if (istrue(opresult9912)) {
// Begin line 3061
  setline(3061);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9913 = gc_frame_new();
// Begin line 3061
  setline(3061);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3060
  setline(3060);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9915 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9916 = callmethod(*var_part, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9915);
// compilenode returning call9916
// compilenode returning call9916
  int op_slot_right_9914 = gc_frame_newslot(call9916);
  int callframe9918 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9919 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9918);
// compilenode returning call9919
// compilenode returning call9919
  int op_slot_left_9914 = gc_frame_newslot(call9919);
  params[0] = call9916;
  partcv[0] = 1;
  Object diff9920 = callmethod(call9919, "-", 1, partcv, params);
// compilenode returning diff9920
  gc_frame_newslot(diff9920);
// compilenode returning *var_part
  params[0] = diff9920;
  partcv[0] = 1;
  Object call9921 = callmethod(*var_part, "lineLength:=",
    1, partcv, params);
  gc_frame_end(callframe9913);
// compilenode returning call9921
// compilenode returning done
    gc_frame_newslot(done);
    if9905 = done;
  } else {
  }
// compilenode returning if9905
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9922 = gc_frame_new();
  partcv[0] = 0;
  Object call9923 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9922);
// compilenode returning call9923
// Begin line 3071
  setline(3071);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3064
  setline(3064);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9926 = gc_frame_new();
  if (strlit9927 == NULL) {
    strlit9927 = alloc_String("identifier");
    gc_root(strlit9927);
  }
// compilenode returning strlit9927
  gc_frame_newslot(strlit9927);
  params[0] = strlit9927;
  partcv[0] = 1;
  Object call9928 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9926);
// compilenode returning call9928
  int op_slot_right_9925 = gc_frame_newslot(call9928);
// Begin line 3063
  setline(3063);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9931 = gc_frame_new();
  if (strlit9932 == NULL) {
    strlit9932 = alloc_String("identifier");
    gc_root(strlit9932);
  }
// compilenode returning strlit9932
  gc_frame_newslot(strlit9932);
  params[0] = strlit9932;
  partcv[0] = 1;
  Object call9933 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9931);
// compilenode returning call9933
  int op_slot_right_9930 = gc_frame_newslot(call9933);
  int callframe9935 = gc_frame_new();
// compilenode returning *var_sameline
  partcv[0] = 0;
  Object call9936 = callmethod(*var_sameline, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe9935);
// compilenode returning call9936
  int op_slot_left_9930 = gc_frame_newslot(call9936);
  params[0] = call9933;
  partcv[0] = 1;
  Object opresult9937 = callmethod(call9936, "&&", 1, partcv, params);
// compilenode returning opresult9937
  int op_slot_left_9925 = gc_frame_newslot(opresult9937);
  params[0] = call9928;
  partcv[0] = 1;
  Object opresult9938 = callmethod(opresult9937, "||", 1, partcv, params);
// compilenode returning opresult9938
  Object if9924 = done;
  if (istrue(opresult9938)) {
// Begin line 3067
  setline(3067);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9939 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
  Object array9940 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9940
  gc_frame_newslot(array9940);
  Object bool9941 = alloc_Boolean(0);
// compilenode returning bool9941
  gc_frame_newslot(bool9941);
  int callframe9942 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9943 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe9942);
// compilenode returning call9943
// compilenode returning call9943
  params[0] = *var_meth;
  params[1] = *var_signature;
  params[2] = array9940;
  params[3] = bool9941;
  partcv[0] = 4;
  Object call9944 = callmethod(call9943, "new",
    1, partcv, params);
  gc_frame_end(callframe9939);
// compilenode returning call9944
  *var_tm = call9944;
  if (call9944 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3068
  setline(3068);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9945 = gc_frame_new();
// compilenode returning *var_tm
  gc_frame_newslot(*var_tm);
// compilenode returning *var_sameline
  gc_frame_newslot(*var_sameline);
  params[0] = *var_tm;
  params[1] = *var_sameline;
  partcv[0] = 2;
  Object call9946 = callmethodflags(self, "parsempmndecrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9945);
// compilenode returning call9946
  *var_meth = call9946;
  if (call9946 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3070
  setline(3070);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3069
  setline(3069);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9949 = gc_frame_new();
// compilenode returning *var_tm
  partcv[0] = 0;
  Object call9950 = callmethod(*var_tm, "varargs",
    1, partcv, params);
  gc_frame_end(callframe9949);
// compilenode returning call9950
// compilenode returning call9950
  int op_slot_right_9948 = gc_frame_newslot(call9950);
// compilenode returning *var_varargs
  int op_slot_left_9948 = gc_frame_newslot(*var_varargs);
  params[0] = call9950;
  partcv[0] = 1;
  Object opresult9952 = callmethod(*var_varargs, "||", 1, partcv, params);
// compilenode returning opresult9952
  *var_varargs = opresult9952;
  if (opresult9952 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9924 = done;
  } else {
  }
// compilenode returning if9924
    gc_frame_newslot(if9924);
    if9560 = if9924;
  } else {
  }
// compilenode returning if9560
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3072
  setline(3072);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9955 = gc_frame_new();
  if (strlit9956 == NULL) {
    strlit9956 = alloc_String("arrow");
    gc_root(strlit9956);
  }
// compilenode returning strlit9956
  gc_frame_newslot(strlit9956);
  params[0] = strlit9956;
  partcv[0] = 1;
  Object call9957 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9955);
// compilenode returning call9957
  Object if9954 = done;
  if (istrue(call9957)) {
// Begin line 3074
  setline(3074);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9958 = gc_frame_new();
  partcv[0] = 0;
  Object call9959 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9958);
// compilenode returning call9959
// Begin line 3075
  setline(3075);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9960 = gc_frame_new();
  partcv[0] = 0;
  Object call9961 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9960);
// compilenode returning call9961
// Begin line 3077
  setline(3077);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3076
  setline(3076);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9962 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9963 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9962);
// compilenode returning call9963
// compilenode returning call9963
  *var_dtype = call9963;
  if (call9963 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9954 = done;
  } else {
// Begin line 3079
  setline(3079);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3078
  setline(3078);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9965 = alloc_Boolean(0);
// compilenode returning bool9965
  *var_dtype = bool9965;
  if (bool9965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9954 = done;
  }
// compilenode returning if9954
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject9967 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9967 = alloc_userobj2(10,6, objclass9967);
  gc_frame_newslot(obj9967);
// OBJECT OUTER DEC outer
  adddatum2(obj9967, self, 0);
  addmethodreal(obj9967,"outer", &reader_parser_outer_9968);
  Object oldself9967 = self;
  struct StackFrameObject *oldstackframe9967 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9967);
  gc_frame_newslot((Object)stackframe);
  self = obj9967;
  Object *oldselfslot9967 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9967 = (*(struct UserObject *)self).data[0], lowerouter9967 = thisouter9967;
  if (inheritingObject9967) {
    struct UserObject *inho9967 = (struct UserObject *)inheritingObject9967;
    while (inho9967->super != GraceDefaultObject) inho9967 = (struct UserObject *)inho9967->super;
    inho9967->super = obj9967;
    self = inheritingObject9967;
    *selfslot = self;
    lowerouter9967 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9967;
  }
if (objclass9967 == NULL) {
  Method *reader9969 = addmethodrealflags(obj9967, "m",&reader_parser_m_9969, 0);
  Method *writer9969 = addmethodrealflags(obj9967, "m:=",&writer_parser_m_9969, 0);
  reader9969->definitionModule = modulename;
  writer9969->definitionModule = modulename;
  reader9969->definitionLine = 3082;
  writer9969->definitionLine = 3082;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 1);
if (objclass9967 == NULL) {
  Method *reader9970 = addmethodrealflags(obj9967, "sig",&reader_parser_sig_9970, 0);
  Method *writer9970 = addmethodrealflags(obj9967, "sig:=",&writer_parser_sig_9970, 0);
  reader9970->definitionModule = modulename;
  writer9970->definitionModule = modulename;
  reader9970->definitionLine = 3083;
  writer9970->definitionLine = 3083;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 2);
if (objclass9967 == NULL) {
  Method *reader9971 = addmethodrealflags(obj9967, "rtype",&reader_parser_rtype_9971, 0);
  Method *writer9971 = addmethodrealflags(obj9967, "rtype:=",&writer_parser_rtype_9971, 0);
  reader9971->definitionModule = modulename;
  writer9971->definitionModule = modulename;
  reader9971->definitionLine = 3084;
  writer9971->definitionLine = 3084;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 3);
if (objclass9967 == NULL) {
  Method *reader9972 = addmethodrealflags(obj9967, "v",&reader_parser_v_9972, 0);
  Method *writer9972 = addmethodrealflags(obj9967, "v:=",&writer_parser_v_9972, 0);
  reader9972->definitionModule = modulename;
  writer9972->definitionModule = modulename;
  reader9972->definitionLine = 3085;
  writer9972->definitionLine = 3085;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 4);
if (objclass9967 == NULL) {
  Method *reader9973 = addmethodrealflags(obj9967, "generics",&reader_parser_generics_9973, 0);
  Method *writer9973 = addmethodrealflags(obj9967, "generics:=",&writer_parser_generics_9973, 0);
  reader9973->definitionModule = modulename;
  writer9973->definitionModule = modulename;
  reader9973->definitionLine = 3086;
  writer9973->definitionLine = 3086;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 5);
  sourceObject = obj9967;
// Begin line 3081
  setline(3081);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_meth
  adddatum2(obj9967, *var_meth, 1);
  sourceObject = obj9967;
// Begin line 3082
  setline(3082);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature
  adddatum2(obj9967, *var_signature, 2);
  sourceObject = obj9967;
// Begin line 3083
  setline(3083);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype
  adddatum2(obj9967, *var_dtype, 3);
  sourceObject = obj9967;
// Begin line 3084
  setline(3084);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_varargs
  adddatum2(obj9967, *var_varargs, 4);
  sourceObject = obj9967;
// Begin line 3085
  setline(3085);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_genericIdents
  adddatum2(obj9967, *var_genericIdents, 5);
objclass9967 = obj9967->class;
  objclass9967->definitionModule = modulename;
  objclass9967->definitionLine = 3080;
  (*(struct UserObject *)self).data[0] = lowerouter9967;
  self = oldself9967;
  selfslot = oldselfslot9967;
  stackframe = oldstackframe9967;
// compilenode returning obj9967
  *var_o = obj9967;
  if (obj9967 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3087
  setline(3087);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_o
  gc_frame_end(frame);
  return *var_o;
}
Object meth_parser_methodsignature9252_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(21, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodsignature()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method methodsignature()object");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodsignature (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sameline = &(stackframe->slots[0]);
  *var_sameline = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for methodsignature");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_meth = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "meth");
  Object *var_signature = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "signature");
  Object *var_part = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "part");
  Object *var_genericIdents = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "genericIdents");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_varargs = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "varargs");
  Object *var_vararg = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "vararg");
  Object *var_lparen = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "lparen");
  Object *var_id = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "id");
  Object *var_comma = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "comma");
  Object *var_rparen = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "rparen");
  Object *var_tm = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "tm");
  Object *var_o = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "o");
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2896
  setline(2896);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9256 == NULL) {
    strlit9256 = alloc_String("lsquare");
    gc_root(strlit9256);
  }
// compilenode returning strlit9256
  int op_slot_right_9255 = gc_frame_newslot(strlit9256);
  int callframe9258 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9259 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9258);
// compilenode returning call9259
// compilenode returning call9259
  int op_slot_left_9255 = gc_frame_newslot(call9259);
  params[0] = strlit9256;
  partcv[0] = 1;
  Object opresult9260 = callmethod(call9259, "!=", 1, partcv, params);
// compilenode returning opresult9260
  int op_slot_right_9254 = gc_frame_newslot(opresult9260);
  if (strlit9264 == NULL) {
    strlit9264 = alloc_String("op");
    gc_root(strlit9264);
  }
// compilenode returning strlit9264
  int op_slot_right_9263 = gc_frame_newslot(strlit9264);
  int callframe9266 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9267 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9266);
// compilenode returning call9267
// compilenode returning call9267
  int op_slot_left_9263 = gc_frame_newslot(call9267);
  params[0] = strlit9264;
  partcv[0] = 1;
  Object opresult9268 = callmethod(call9267, "!=", 1, partcv, params);
// compilenode returning opresult9268
  int op_slot_right_9262 = gc_frame_newslot(opresult9268);
  if (strlit9271 == NULL) {
    strlit9271 = alloc_String("identifier");
    gc_root(strlit9271);
  }
// compilenode returning strlit9271
  int op_slot_right_9270 = gc_frame_newslot(strlit9271);
  int callframe9273 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9274 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9273);
// compilenode returning call9274
// compilenode returning call9274
  int op_slot_left_9270 = gc_frame_newslot(call9274);
  params[0] = strlit9271;
  partcv[0] = 1;
  Object opresult9275 = callmethod(call9274, "!=", 1, partcv, params);
// compilenode returning opresult9275
  int op_slot_left_9262 = gc_frame_newslot(opresult9275);
  params[0] = opresult9268;
  partcv[0] = 1;
  Object opresult9276 = callmethod(opresult9275, "&&", 1, partcv, params);
// compilenode returning opresult9276
  int op_slot_left_9254 = gc_frame_newslot(opresult9276);
  params[0] = opresult9260;
  partcv[0] = 1;
  Object opresult9277 = callmethod(opresult9276, "&&", 1, partcv, params);
// compilenode returning opresult9277
  Object if9253 = done;
  if (istrue(opresult9277)) {
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2897
  setline(2897);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9278 = gc_frame_new();
  int callframe9279 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9280 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9279);
// compilenode returning call9280
// compilenode returning call9280
  partcv[0] = 0;
  Object call9281 = callmethod(call9280, "new",
    1, partcv, params);
  gc_frame_end(callframe9278);
// compilenode returning call9281
// compilenode returning call9281
  *var_suggestion = call9281;
  if (call9281 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9282 = gc_frame_new();
  if (strlit9283 == NULL) {
    strlit9283 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit9283);
  }
// compilenode returning strlit9283
  gc_frame_newslot(strlit9283);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9283;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9284 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9282);
// compilenode returning call9284
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9285 = gc_frame_new();
  if (strlit9286 == NULL) {
    strlit9286 = alloc_String("A method name must start with an identifier, an operator, or '[]'.");
    gc_root(strlit9286);
  }
// compilenode returning strlit9286
  gc_frame_newslot(strlit9286);
// Begin line 2900
  setline(2900);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9287 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9288 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9287);
// compilenode returning call9288
// compilenode returning call9288
  gc_frame_newslot(call9288);
  int callframe9290 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9291 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9290);
// compilenode returning call9291
// compilenode returning call9291
  int op_slot_right_9289 = gc_frame_newslot(call9291);
  int callframe9293 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9294 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9293);
// compilenode returning call9294
// compilenode returning call9294
  int op_slot_left_9289 = gc_frame_newslot(call9294);
  params[0] = call9291;
  partcv[0] = 1;
  Object sum9295 = callmethod(call9294, "+", 1, partcv, params);
// compilenode returning sum9295
  gc_frame_newslot(sum9295);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9286;
  params[1] = call9288;
  params[2] = sum9295;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9296 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9285);
// compilenode returning call9296
    gc_frame_newslot(call9296);
    if9253 = call9296;
  } else {
  }
// compilenode returning if9253
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9297 = gc_frame_new();
  partcv[0] = 0;
  Object call9298 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9297);
// compilenode returning call9298
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9299 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9300 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9299);
// compilenode returning call9300
// compilenode returning call9300
  *var_meth = call9300;
  if (call9300 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9301 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9301
  *var_signature = array9301;
  if (array9301 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9302 = gc_frame_new();
  int callframe9303 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9304 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9303);
// compilenode returning call9304
// compilenode returning call9304
  gc_frame_newslot(call9304);
  int callframe9305 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9306 = callmethod(*var_ast, "signaturePart",
    1, partcv, params);
  gc_frame_end(callframe9305);
// compilenode returning call9306
// compilenode returning call9306
  params[0] = call9304;
  partcv[0] = 1;
  Object call9307 = callmethod(call9306, "new",
    1, partcv, params);
  gc_frame_end(callframe9302);
// compilenode returning call9307
  *var_part = call9307;
  if (call9307 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2906
  setline(2906);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9308 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9308
  *var_genericIdents = array9308;
  if (array9308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9309 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call9310 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe9309);
// compilenode returning call9310
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2908
  setline(2908);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9313 == NULL) {
    strlit9313 = alloc_String("[");
    gc_root(strlit9313);
  }
// compilenode returning strlit9313
  int op_slot_right_9312 = gc_frame_newslot(strlit9313);
  int callframe9315 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9316 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9315);
// compilenode returning call9316
// compilenode returning call9316
  int op_slot_left_9312 = gc_frame_newslot(call9316);
  params[0] = strlit9313;
  partcv[0] = 1;
  Object opresult9317 = callmethod(call9316, "==", 1, partcv, params);
// compilenode returning opresult9317
  Object if9311 = done;
  if (istrue(opresult9317)) {
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9320 == NULL) {
    strlit9320 = alloc_String("rsquare");
    gc_root(strlit9320);
  }
// compilenode returning strlit9320
  int op_slot_right_9319 = gc_frame_newslot(strlit9320);
  int callframe9322 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9323 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9322);
// compilenode returning call9323
// compilenode returning call9323
  int op_slot_left_9319 = gc_frame_newslot(call9323);
  params[0] = strlit9320;
  partcv[0] = 1;
  Object opresult9324 = callmethod(call9323, "!=", 1, partcv, params);
// compilenode returning opresult9324
  Object if9318 = done;
  if (istrue(opresult9324)) {
// Begin line 2929
  setline(2929);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9327 = gc_frame_new();
  Object block9328 = alloc_Block(NULL, NULL, "parser", 2911);
  gc_frame_newslot(block9328);
  block_savedest(block9328);
  Object closure9329 = createclosure(2, "_apply");
  setclosureframe(closure9329, stackframe);
  addtoclosure(closure9329, var_tokens);
  addtoclosure(closure9329, selfslot);
  struct UserObject *uo9329 = (struct UserObject*)block9328;
  uo9329->data[0] = (Object)closure9329;
  Method *meth_meth_parser__apply9329 = addmethod2pos(block9328, "_apply", &meth_parser__apply9329, 0);
int argcv_meth_parser__apply9329[] = {0};
meth_meth_parser__apply9329->type = alloc_MethodType(1, argcv_meth_parser__apply9329);
  meth_meth_parser__apply9329->definitionModule = modulename;
  meth_meth_parser__apply9329->definitionLine = 2909;
// compilenode returning block9328
  gc_frame_newslot(block9328);
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9340 = alloc_Float64(0);
// compilenode returning num9340
  int op_slot_right_9339 = gc_frame_newslot(num9340);
  int callframe9342 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9343 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9342);
// compilenode returning call9343
// compilenode returning call9343
  int op_slot_left_9339 = gc_frame_newslot(call9343);
  params[0] = num9340;
  partcv[0] = 1;
  Object opresult9344 = callmethod(call9343, "==", 1, partcv, params);
// compilenode returning opresult9344
  params[0] = block9328;
  partcv[0] = 1;
  Object call9345 = callmethod(opresult9344, "orElse",
    1, partcv, params);
  gc_frame_end(callframe9327);
// compilenode returning call9345
  int op_slot_right_9326 = gc_frame_newslot(call9345);
  if (strlit9348 == NULL) {
    strlit9348 = alloc_String("identifier");
    gc_root(strlit9348);
  }
// compilenode returning strlit9348
  int op_slot_right_9347 = gc_frame_newslot(strlit9348);
  int callframe9350 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9351 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9350);
// compilenode returning call9351
// compilenode returning call9351
  int op_slot_left_9347 = gc_frame_newslot(call9351);
  params[0] = strlit9348;
  partcv[0] = 1;
  Object opresult9352 = callmethod(call9351, "==", 1, partcv, params);
// compilenode returning opresult9352
  int op_slot_left_9326 = gc_frame_newslot(opresult9352);
  params[0] = call9345;
  partcv[0] = 1;
  Object opresult9353 = callmethod(opresult9352, "&&", 1, partcv, params);
// compilenode returning opresult9353
  Object if9325 = done;
  if (istrue(opresult9353)) {
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9354 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9354
  *var_suggestions = array9354;
  if (array9354 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9355 = gc_frame_new();
  int callframe9356 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9357 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9356);
// compilenode returning call9357
// compilenode returning call9357
  partcv[0] = 0;
  Object call9358 = callmethod(call9357, "new",
    1, partcv, params);
  gc_frame_end(callframe9355);
// compilenode returning call9358
// compilenode returning call9358
  *var_suggestion = call9358;
  if (call9358 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9361 = alloc_Float64(0);
// compilenode returning num9361
  int op_slot_right_9360 = gc_frame_newslot(num9361);
  int callframe9363 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9364 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9363);
// compilenode returning call9364
// compilenode returning call9364
  int op_slot_left_9360 = gc_frame_newslot(call9364);
  params[0] = num9361;
  partcv[0] = 1;
  Object opresult9365 = callmethod(call9364, "==", 1, partcv, params);
// compilenode returning opresult9365
  Object if9359 = done;
  if (istrue(opresult9365)) {
// Begin line 2915
  setline(2915);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9366 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit9368 == NULL) {
    strlit9368 = alloc_String(")");
    gc_root(strlit9368);
  }
// compilenode returning strlit9368
  int op_slot_right_9367 = gc_frame_newslot(strlit9368);
  int callframe9371 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9372 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9371);
// compilenode returning call9372
// compilenode returning call9372
  int op_slot_right_9370 = gc_frame_newslot(call9372);
  if (strlit9374 == NULL) {
    strlit9374 = alloc_String("](");
    gc_root(strlit9374);
  }
// compilenode returning strlit9374
  int op_slot_left_9370 = gc_frame_newslot(strlit9374);
  params[0] = call9372;
  partcv[0] = 1;
  Object opresult9375 = callmethod(strlit9374, "++", 1, partcv, params);
// compilenode returning opresult9375
  int op_slot_left_9367 = gc_frame_newslot(opresult9375);
  params[0] = strlit9368;
  partcv[0] = 1;
  Object opresult9376 = callmethod(opresult9375, "++", 1, partcv, params);
// compilenode returning opresult9376
  gc_frame_newslot(opresult9376);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult9376;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9377 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9366);
// compilenode returning call9377
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9378 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9379 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9378);
// compilenode returning call9379
    gc_frame_newslot(call9379);
    if9359 = call9379;
  } else {
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9382 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9383 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe9382);
// compilenode returning call9383
// compilenode returning call9383
  int op_slot_right_9381 = gc_frame_newslot(call9383);
  int callframe9385 = gc_frame_new();
  int callframe9386 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9387 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9386);
// compilenode returning call9387
// compilenode returning call9387
  partcv[0] = 0;
  Object call9388 = callmethod(call9387, "line",
    1, partcv, params);
  gc_frame_end(callframe9385);
// compilenode returning call9388
// compilenode returning call9388
  int op_slot_left_9381 = gc_frame_newslot(call9388);
  params[0] = call9383;
  partcv[0] = 1;
  Object opresult9389 = callmethod(call9388, "==", 1, partcv, params);
// compilenode returning opresult9389
  Object if9380 = done;
  if (istrue(opresult9389)) {
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9390 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe9391 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9392 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9391);
// compilenode returning call9392
// compilenode returning call9392
  gc_frame_newslot(call9392);
  if (strlit9394 == NULL) {
    strlit9394 = alloc_String(")");
    gc_root(strlit9394);
  }
// compilenode returning strlit9394
  int op_slot_right_9393 = gc_frame_newslot(strlit9394);
  int callframe9397 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9398 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9397);
// compilenode returning call9398
// compilenode returning call9398
  int op_slot_right_9396 = gc_frame_newslot(call9398);
  if (strlit9400 == NULL) {
    strlit9400 = alloc_String("](");
    gc_root(strlit9400);
  }
// compilenode returning strlit9400
  int op_slot_left_9396 = gc_frame_newslot(strlit9400);
  params[0] = call9398;
  partcv[0] = 1;
  Object opresult9401 = callmethod(strlit9400, "++", 1, partcv, params);
// compilenode returning opresult9401
  int op_slot_left_9393 = gc_frame_newslot(opresult9401);
  params[0] = strlit9394;
  partcv[0] = 1;
  Object opresult9402 = callmethod(opresult9401, "++", 1, partcv, params);
// compilenode returning opresult9402
  gc_frame_newslot(opresult9402);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call9392;
  params[2] = opresult9402;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9403 = callmethod(*var_suggestion, "replaceTokenRange()with",
    2, partcv, params);
  gc_frame_end(callframe9390);
// compilenode returning call9403
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9404 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9405 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9404);
// compilenode returning call9405
    gc_frame_newslot(call9405);
    if9380 = call9405;
  } else {
  }
// compilenode returning if9380
    gc_frame_newslot(if9380);
    if9359 = if9380;
  }
// compilenode returning if9359
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9406 = gc_frame_new();
  if (strlit9407 == NULL) {
    strlit9407 = alloc_String("A method name beginning with '[]' must have the parameter name in parentheses after the '[]'.");
    gc_root(strlit9407);
  }
// compilenode returning strlit9407
  gc_frame_newslot(strlit9407);
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9408 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9409 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9408);
// compilenode returning call9409
// compilenode returning call9409
  gc_frame_newslot(call9409);
  int callframe9411 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9412 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9411);
// compilenode returning call9412
// compilenode returning call9412
  int op_slot_right_9410 = gc_frame_newslot(call9412);
  int callframe9414 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9415 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9414);
// compilenode returning call9415
// compilenode returning call9415
  int op_slot_left_9410 = gc_frame_newslot(call9415);
  params[0] = call9412;
  partcv[0] = 1;
  Object sum9416 = callmethod(call9415, "+", 1, partcv, params);
// compilenode returning sum9416
  gc_frame_newslot(sum9416);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9407;
  params[1] = call9409;
  params[2] = sum9416;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9417 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9406);
// compilenode returning call9417
    gc_frame_newslot(call9417);
    if9325 = call9417;
  } else {
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9418 = gc_frame_new();
  int callframe9419 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9420 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9419);
// compilenode returning call9420
// compilenode returning call9420
  partcv[0] = 0;
  Object call9421 = callmethod(call9420, "new",
    1, partcv, params);
  gc_frame_end(callframe9418);
// compilenode returning call9421
// compilenode returning call9421
  *var_suggestion = call9421;
  if (call9421 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9422 = gc_frame_new();
  if (strlit9423 == NULL) {
    strlit9423 = alloc_String("]");
    gc_root(strlit9423);
  }
// compilenode returning strlit9423
  gc_frame_newslot(strlit9423);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9423;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9424 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9422);
// compilenode returning call9424
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9425 = gc_frame_new();
  if (strlit9426 == NULL) {
    strlit9426 = alloc_String("A method name must either start with an identifier or '[]'.");
    gc_root(strlit9426);
  }
// compilenode returning strlit9426
  gc_frame_newslot(strlit9426);
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9427 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9428 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9427);
// compilenode returning call9428
// compilenode returning call9428
  gc_frame_newslot(call9428);
  int callframe9430 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9431 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9430);
// compilenode returning call9431
// compilenode returning call9431
  int op_slot_right_9429 = gc_frame_newslot(call9431);
  int callframe9433 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9434 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9433);
// compilenode returning call9434
// compilenode returning call9434
  int op_slot_left_9429 = gc_frame_newslot(call9434);
  params[0] = call9431;
  partcv[0] = 1;
  Object sum9435 = callmethod(call9434, "+", 1, partcv, params);
// compilenode returning sum9435
  gc_frame_newslot(sum9435);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9426;
  params[1] = call9428;
  params[2] = sum9435;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9436 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9425);
// compilenode returning call9436
    gc_frame_newslot(call9436);
    if9325 = call9436;
  }
// compilenode returning if9325
    gc_frame_newslot(if9325);
    if9318 = if9325;
  } else {
  }
// compilenode returning if9318
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9437 = gc_frame_new();
  partcv[0] = 0;
  Object call9438 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9437);
// compilenode returning call9438
// Begin line 2932
  setline(2932);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9439 = gc_frame_new();
// Begin line 2931
  setline(2931);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9440 == NULL) {
    strlit9440 = alloc_String("[]");
    gc_root(strlit9440);
  }
// compilenode returning strlit9440
  gc_frame_newslot(strlit9440);
// compilenode returning *var_meth
  params[0] = strlit9440;
  partcv[0] = 1;
  Object call9441 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9439);
// compilenode returning call9441
// compilenode returning done
    gc_frame_newslot(done);
    if9311 = done;
  } else {
  }
// compilenode returning if9311
// Begin line 2952
  setline(2952);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9443 = gc_frame_new();
  if (strlit9444 == NULL) {
    strlit9444 = alloc_String("lgeneric");
    gc_root(strlit9444);
  }
// compilenode returning strlit9444
  gc_frame_newslot(strlit9444);
  params[0] = strlit9444;
  partcv[0] = 1;
  Object call9445 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9443);
// compilenode returning call9445
  Object if9442 = done;
  if (istrue(call9445)) {
// Begin line 2935
  setline(2935);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9446 = gc_frame_new();
  partcv[0] = 0;
  Object call9447 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9446);
// compilenode returning call9447
// Begin line 2937
  setline(2937);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2936
  setline(2936);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9448 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9449 = callmethod(*var_part, "generics",
    1, partcv, params);
  gc_frame_end(callframe9448);
// compilenode returning call9449
// compilenode returning call9449
  *var_genericIdents = call9449;
  if (call9449 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2937
  setline(2937);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9451 = gc_frame_new();
  Object block9452 = alloc_Block(NULL, NULL, "parser", 2937);
  gc_frame_newslot(block9452);
  block_savedest(block9452);
  Object closure9453 = createclosure(1, "_apply");
  setclosureframe(closure9453, stackframe);
  addtoclosure(closure9453, selfslot);
  struct UserObject *uo9453 = (struct UserObject*)block9452;
  uo9453->data[0] = (Object)closure9453;
  Method *meth_meth_parser__apply9453 = addmethod2pos(block9452, "_apply", &meth_parser__apply9453, 0);
int argcv_meth_parser__apply9453[] = {0};
meth_meth_parser__apply9453->type = alloc_MethodType(1, argcv_meth_parser__apply9453);
  meth_meth_parser__apply9453->definitionModule = modulename;
  meth_meth_parser__apply9453->definitionLine = 2936;
// compilenode returning block9452
  gc_frame_newslot(block9452);
  Object block9458 = alloc_Block(NULL, NULL, "parser", 2937);
  gc_frame_newslot(block9458);
  block_savedest(block9458);
  Object closure9459 = createclosure(3, "_apply");
  setclosureframe(closure9459, stackframe);
  addtoclosure(closure9459, var_values);
  addtoclosure(closure9459, var_genericIdents);
  addtoclosure(closure9459, selfslot);
  struct UserObject *uo9459 = (struct UserObject*)block9458;
  uo9459->data[0] = (Object)closure9459;
  Method *meth_meth_parser__apply9459 = addmethod2pos(block9458, "_apply", &meth_parser__apply9459, 0);
int argcv_meth_parser__apply9459[] = {0};
meth_meth_parser__apply9459->type = alloc_MethodType(1, argcv_meth_parser__apply9459);
  meth_meth_parser__apply9459->definitionModule = modulename;
  meth_meth_parser__apply9459->definitionLine = 2936;
// compilenode returning block9458
  gc_frame_newslot(block9458);
  params[0] = block9452;
  params[1] = block9458;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9473 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9451);
// compilenode returning call9473
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2944
  setline(2944);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9476 == NULL) {
    strlit9476 = alloc_String("rgeneric");
    gc_root(strlit9476);
  }
// compilenode returning strlit9476
  int op_slot_right_9475 = gc_frame_newslot(strlit9476);
  int callframe9478 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9479 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9478);
// compilenode returning call9479
// compilenode returning call9479
  int op_slot_left_9475 = gc_frame_newslot(call9479);
  params[0] = strlit9476;
  partcv[0] = 1;
  Object opresult9480 = callmethod(call9479, "!=", 1, partcv, params);
// compilenode returning opresult9480
  Object if9474 = done;
  if (istrue(opresult9480)) {
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2945
  setline(2945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9481 = gc_frame_new();
  int callframe9482 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9483 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9482);
// compilenode returning call9483
// compilenode returning call9483
  partcv[0] = 0;
  Object call9484 = callmethod(call9483, "new",
    1, partcv, params);
  gc_frame_end(callframe9481);
// compilenode returning call9484
// compilenode returning call9484
  *var_suggestion = call9484;
  if (call9484 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9485 = gc_frame_new();
  if (strlit9486 == NULL) {
    strlit9486 = alloc_String(">");
    gc_root(strlit9486);
  }
// compilenode returning strlit9486
  gc_frame_newslot(strlit9486);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9486;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9487 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9485);
// compilenode returning call9487
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9488 = gc_frame_new();
  if (strlit9489 == NULL) {
    strlit9489 = alloc_String("A type containing a '<' must end with a '>'.");
    gc_root(strlit9489);
  }
// compilenode returning strlit9489
  gc_frame_newslot(strlit9489);
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9490 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9491 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9490);
// compilenode returning call9491
// compilenode returning call9491
  gc_frame_newslot(call9491);
  int callframe9493 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9494 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9493);
// compilenode returning call9494
// compilenode returning call9494
  int op_slot_right_9492 = gc_frame_newslot(call9494);
  int callframe9496 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9497 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9496);
// compilenode returning call9497
// compilenode returning call9497
  int op_slot_left_9492 = gc_frame_newslot(call9497);
  params[0] = call9494;
  partcv[0] = 1;
  Object sum9498 = callmethod(call9497, "+", 1, partcv, params);
// compilenode returning sum9498
  gc_frame_newslot(sum9498);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9489;
  params[1] = call9491;
  params[2] = sum9498;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9499 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9488);
// compilenode returning call9499
    gc_frame_newslot(call9499);
    if9474 = call9499;
  } else {
  }
// compilenode returning if9474
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9500 = gc_frame_new();
  partcv[0] = 0;
  Object call9501 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9500);
// compilenode returning call9501
    gc_frame_newslot(call9501);
    if9442 = call9501;
  } else {
  }
// compilenode returning if9442
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2952
  setline(2952);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9503 = gc_frame_new();
  if (strlit9504 == NULL) {
    strlit9504 = alloc_String("bind");
    gc_root(strlit9504);
  }
// compilenode returning strlit9504
  gc_frame_newslot(strlit9504);
  params[0] = strlit9504;
  partcv[0] = 1;
  Object call9505 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9503);
// compilenode returning call9505
  Object if9502 = done;
  if (istrue(call9505)) {
// Begin line 2953
  setline(2953);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9506 = gc_frame_new();
  partcv[0] = 0;
  Object call9507 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9506);
// compilenode returning call9507
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9508 = gc_frame_new();
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9510 == NULL) {
    strlit9510 = alloc_String(":=");
    gc_root(strlit9510);
  }
// compilenode returning strlit9510
  int op_slot_right_9509 = gc_frame_newslot(strlit9510);
  int callframe9512 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9513 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9512);
// compilenode returning call9513
// compilenode returning call9513
  int op_slot_left_9509 = gc_frame_newslot(call9513);
  params[0] = strlit9510;
  partcv[0] = 1;
  Object opresult9514 = callmethod(call9513, "++", 1, partcv, params);
// compilenode returning opresult9514
  gc_frame_newslot(opresult9514);
// compilenode returning *var_meth
  params[0] = opresult9514;
  partcv[0] = 1;
  Object call9515 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9508);
// compilenode returning call9515
// compilenode returning done
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9516 = gc_frame_new();
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9518 == NULL) {
    strlit9518 = alloc_String(":=");
    gc_root(strlit9518);
  }
// compilenode returning strlit9518
  int op_slot_right_9517 = gc_frame_newslot(strlit9518);
  int callframe9520 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9521 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9520);
// compilenode returning call9521
// compilenode returning call9521
  int op_slot_left_9517 = gc_frame_newslot(call9521);
  params[0] = strlit9518;
  partcv[0] = 1;
  Object opresult9522 = callmethod(call9521, "++", 1, partcv, params);
// compilenode returning opresult9522
  gc_frame_newslot(opresult9522);
// compilenode returning *var_part
  params[0] = opresult9522;
  partcv[0] = 1;
  Object call9523 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9516);
// compilenode returning call9523
// compilenode returning done
    gc_frame_newslot(done);
    if9502 = done;
  } else {
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9527 == NULL) {
    strlit9527 = alloc_String("prefix");
    gc_root(strlit9527);
  }
// compilenode returning strlit9527
  int op_slot_right_9526 = gc_frame_newslot(strlit9527);
  int callframe9529 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9530 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9529);
// compilenode returning call9530
// compilenode returning call9530
  int op_slot_left_9526 = gc_frame_newslot(call9530);
  params[0] = strlit9527;
  partcv[0] = 1;
  Object opresult9531 = callmethod(call9530, "==", 1, partcv, params);
// compilenode returning opresult9531
  int op_slot_right_9525 = gc_frame_newslot(opresult9531);
  int callframe9533 = gc_frame_new();
  if (strlit9534 == NULL) {
    strlit9534 = alloc_String("op");
    gc_root(strlit9534);
  }
// compilenode returning strlit9534
  gc_frame_newslot(strlit9534);
  params[0] = strlit9534;
  partcv[0] = 1;
  Object call9535 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9533);
// compilenode returning call9535
  int op_slot_left_9525 = gc_frame_newslot(call9535);
  params[0] = opresult9531;
  partcv[0] = 1;
  Object opresult9536 = callmethod(call9535, "&&", 1, partcv, params);
// compilenode returning opresult9536
  Object if9524 = done;
  if (istrue(opresult9536)) {
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9537 = gc_frame_new();
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9539 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9540 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9539);
// compilenode returning call9540
// compilenode returning call9540
  int op_slot_right_9538 = gc_frame_newslot(call9540);
  int callframe9542 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9543 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9542);
// compilenode returning call9543
// compilenode returning call9543
  int op_slot_left_9538 = gc_frame_newslot(call9543);
  params[0] = call9540;
  partcv[0] = 1;
  Object opresult9544 = callmethod(call9543, "++", 1, partcv, params);
// compilenode returning opresult9544
  gc_frame_newslot(opresult9544);
// compilenode returning *var_meth
  params[0] = opresult9544;
  partcv[0] = 1;
  Object call9545 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9537);
// compilenode returning call9545
// compilenode returning done
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9546 = gc_frame_new();
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9548 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9549 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9548);
// compilenode returning call9549
// compilenode returning call9549
  int op_slot_right_9547 = gc_frame_newslot(call9549);
  int callframe9551 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9552 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9551);
// compilenode returning call9552
// compilenode returning call9552
  int op_slot_left_9547 = gc_frame_newslot(call9552);
  params[0] = call9549;
  partcv[0] = 1;
  Object opresult9553 = callmethod(call9552, "++", 1, partcv, params);
// compilenode returning opresult9553
  gc_frame_newslot(opresult9553);
// compilenode returning *var_part
  params[0] = opresult9553;
  partcv[0] = 1;
  Object call9554 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9546);
// compilenode returning call9554
// compilenode returning done
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9555 = gc_frame_new();
  partcv[0] = 0;
  Object call9556 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9555);
// compilenode returning call9556
    gc_frame_newslot(call9556);
    if9524 = call9556;
  } else {
  }
// compilenode returning if9524
    gc_frame_newslot(if9524);
    if9502 = if9524;
  }
// compilenode returning if9502
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9557 = alloc_Boolean(0);
// compilenode returning bool9557
  *var_dtype = bool9557;
  if (bool9557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2963
  setline(2963);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9558 = alloc_Boolean(0);
// compilenode returning bool9558
  *var_varargs = bool9558;
  if (bool9558 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2964
  setline(2964);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2963
  setline(2963);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9559 = alloc_Boolean(0);
// compilenode returning bool9559
  *var_vararg = bool9559;
  if (bool9559 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3072
  setline(3072);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2964
  setline(2964);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9561 = gc_frame_new();
  if (strlit9562 == NULL) {
    strlit9562 = alloc_String("lparen");
    gc_root(strlit9562);
  }
// compilenode returning strlit9562
  gc_frame_newslot(strlit9562);
  params[0] = strlit9562;
  partcv[0] = 1;
  Object call9563 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9561);
// compilenode returning call9563
  Object if9560 = done;
  if (istrue(call9563)) {
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2965
  setline(2965);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_lparen = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9564 = gc_frame_new();
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9565 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9566 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9565);
// compilenode returning call9566
// compilenode returning call9566
  gc_frame_newslot(call9566);
// compilenode returning *var_part
  params[0] = call9566;
  partcv[0] = 1;
  Object call9567 = callmethod(*var_part, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe9564);
// compilenode returning call9567
// compilenode returning done
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9568 = gc_frame_new();
  partcv[0] = 0;
  Object call9569 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9568);
// compilenode returning call9569
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_id = undefined;
// compilenode returning done
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9570 = alloc_Boolean(0);
// compilenode returning bool9570
  *var_comma = bool9570;
  if (bool9570 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9571 = gc_frame_new();
  Object block9572 = alloc_Block(NULL, NULL, "parser", 2970);
  gc_frame_newslot(block9572);
  block_savedest(block9572);
  Object closure9573 = createclosure(2, "_apply");
  setclosureframe(closure9573, stackframe);
  addtoclosure(closure9573, var_sym);
  addtoclosure(closure9573, selfslot);
  struct UserObject *uo9573 = (struct UserObject*)block9572;
  uo9573->data[0] = (Object)closure9573;
  Method *meth_meth_parser__apply9573 = addmethod2pos(block9572, "_apply", &meth_parser__apply9573, 0);
int argcv_meth_parser__apply9573[] = {0};
meth_meth_parser__apply9573->type = alloc_MethodType(1, argcv_meth_parser__apply9573);
  meth_meth_parser__apply9573->definitionModule = modulename;
  meth_meth_parser__apply9573->definitionLine = 2966;
// compilenode returning block9572
  gc_frame_newslot(block9572);
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block9593 = alloc_Block(NULL, NULL, "parser", 2971);
  gc_frame_newslot(block9593);
  block_savedest(block9593);
  Object closure9594 = createclosure(12, "_apply");
  setclosureframe(closure9594, stackframe);
  addtoclosure(closure9594, var_sym);
  addtoclosure(closure9594, var_errormessages);
  addtoclosure(closure9594, var_lastToken);
  addtoclosure(closure9594, var_comma);
  addtoclosure(closure9594, var_vararg);
  addtoclosure(closure9594, var_varargs);
  addtoclosure(closure9594, var_values);
  addtoclosure(closure9594, var_id);
  addtoclosure(closure9594, var_dtype);
  addtoclosure(closure9594, var_part);
  addtoclosure(closure9594, var_lparen);
  addtoclosure(closure9594, selfslot);
  struct UserObject *uo9594 = (struct UserObject*)block9593;
  uo9594->data[0] = (Object)closure9594;
  Method *meth_meth_parser__apply9594 = addmethod2pos(block9593, "_apply", &meth_parser__apply9594, 0);
int argcv_meth_parser__apply9594[] = {0};
meth_meth_parser__apply9594->type = alloc_MethodType(1, argcv_meth_parser__apply9594);
  meth_meth_parser__apply9594->definitionModule = modulename;
  meth_meth_parser__apply9594->definitionLine = 2971;
// compilenode returning block9593
  gc_frame_newslot(block9593);
  params[0] = block9572;
  params[1] = block9593;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9853 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9571);
// compilenode returning call9853
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3048
  setline(3048);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9856 == NULL) {
    strlit9856 = alloc_String("rparen");
    gc_root(strlit9856);
  }
// compilenode returning strlit9856
  int op_slot_right_9855 = gc_frame_newslot(strlit9856);
  int callframe9858 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9859 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9858);
// compilenode returning call9859
// compilenode returning call9859
  int op_slot_left_9855 = gc_frame_newslot(call9859);
  params[0] = strlit9856;
  partcv[0] = 1;
  Object opresult9860 = callmethod(call9859, "!=", 1, partcv, params);
// compilenode returning opresult9860
  Object if9854 = done;
  if (istrue(opresult9860)) {
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3049
  setline(3049);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9861 = gc_frame_new();
  int callframe9862 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9863 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9862);
// compilenode returning call9863
// compilenode returning call9863
  partcv[0] = 0;
  Object call9864 = callmethod(call9863, "new",
    1, partcv, params);
  gc_frame_end(callframe9861);
// compilenode returning call9864
// compilenode returning call9864
  *var_suggestion = call9864;
  if (call9864 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9865 = gc_frame_new();
  Object block9866 = alloc_Block(NULL, NULL, "parser", 3050);
  gc_frame_newslot(block9866);
  block_savedest(block9866);
  Object closure9867 = createclosure(2, "_apply");
  setclosureframe(closure9867, stackframe);
  addtoclosure(closure9867, var_lastToken);
  addtoclosure(closure9867, selfslot);
  struct UserObject *uo9867 = (struct UserObject*)block9866;
  uo9867->data[0] = (Object)closure9867;
  Method *meth_meth_parser__apply9867 = addmethod2pos(block9866, "_apply", &meth_parser__apply9867, 0);
int argcv_meth_parser__apply9867[] = {1};
meth_meth_parser__apply9867->type = alloc_MethodType(1, argcv_meth_parser__apply9867);
  meth_meth_parser__apply9867->definitionModule = modulename;
  meth_meth_parser__apply9867->definitionLine = 3049;
// compilenode returning block9866
  gc_frame_newslot(block9866);
  params[0] = block9866;
  partcv[0] = 1;
  Object call9885 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9865);
// compilenode returning call9885
  *var_rparen = call9885;
  if (call9885 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3056
  setline(3056);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3051
  setline(3051);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9888 = alloc_Boolean(0);
// compilenode returning bool9888
  int op_slot_right_9887 = gc_frame_newslot(bool9888);
// compilenode returning *var_rparen
  int op_slot_left_9887 = gc_frame_newslot(*var_rparen);
  params[0] = bool9888;
  partcv[0] = 1;
  Object opresult9890 = callmethod(*var_rparen, "==", 1, partcv, params);
// compilenode returning opresult9890
  Object if9886 = done;
  if (istrue(opresult9890)) {
// Begin line 3052
  setline(3052);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9891 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  if (strlit9892 == NULL) {
    strlit9892 = alloc_String(")");
    gc_root(strlit9892);
  }
// compilenode returning strlit9892
  gc_frame_newslot(strlit9892);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = strlit9892;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9893 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9891);
// compilenode returning call9893
    gc_frame_newslot(call9893);
    if9886 = call9893;
  } else {
// Begin line 3054
  setline(3054);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9894 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call9895 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9894);
// compilenode returning call9895
    gc_frame_newslot(call9895);
    if9886 = call9895;
  }
// compilenode returning if9886
// Begin line 3056
  setline(3056);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9896 = gc_frame_new();
  if (strlit9897 == NULL) {
    strlit9897 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9897);
  }
// compilenode returning strlit9897
  gc_frame_newslot(strlit9897);
// Begin line 3057
  setline(3057);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9898 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9899 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9898);
// compilenode returning call9899
// compilenode returning call9899
  gc_frame_newslot(call9899);
  int callframe9900 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9901 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9900);
// compilenode returning call9901
// compilenode returning call9901
  gc_frame_newslot(call9901);
  int callframe9902 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9903 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9902);
// compilenode returning call9903
// compilenode returning call9903
  gc_frame_newslot(call9903);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3056
  setline(3056);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9897;
  params[1] = call9899;
  params[2] = call9901;
  params[3] = call9903;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9904 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9896);
// compilenode returning call9904
    gc_frame_newslot(call9904);
    if9854 = call9904;
  } else {
  }
// compilenode returning if9854
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9907 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9908 = callmethod(*var_part, "line",
    1, partcv, params);
  gc_frame_end(callframe9907);
// compilenode returning call9908
// compilenode returning call9908
  int op_slot_right_9906 = gc_frame_newslot(call9908);
  int callframe9910 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9911 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9910);
// compilenode returning call9911
// compilenode returning call9911
  int op_slot_left_9906 = gc_frame_newslot(call9911);
  params[0] = call9908;
  partcv[0] = 1;
  Object opresult9912 = callmethod(call9911, "==", 1, partcv, params);
// compilenode returning opresult9912
  Object if9905 = done;
  if (istrue(opresult9912)) {
// Begin line 3061
  setline(3061);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9913 = gc_frame_new();
// Begin line 3061
  setline(3061);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3060
  setline(3060);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9915 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9916 = callmethod(*var_part, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9915);
// compilenode returning call9916
// compilenode returning call9916
  int op_slot_right_9914 = gc_frame_newslot(call9916);
  int callframe9918 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9919 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9918);
// compilenode returning call9919
// compilenode returning call9919
  int op_slot_left_9914 = gc_frame_newslot(call9919);
  params[0] = call9916;
  partcv[0] = 1;
  Object diff9920 = callmethod(call9919, "-", 1, partcv, params);
// compilenode returning diff9920
  gc_frame_newslot(diff9920);
// compilenode returning *var_part
  params[0] = diff9920;
  partcv[0] = 1;
  Object call9921 = callmethod(*var_part, "lineLength:=",
    1, partcv, params);
  gc_frame_end(callframe9913);
// compilenode returning call9921
// compilenode returning done
    gc_frame_newslot(done);
    if9905 = done;
  } else {
  }
// compilenode returning if9905
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9922 = gc_frame_new();
  partcv[0] = 0;
  Object call9923 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9922);
// compilenode returning call9923
// Begin line 3071
  setline(3071);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3064
  setline(3064);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9926 = gc_frame_new();
  if (strlit9927 == NULL) {
    strlit9927 = alloc_String("identifier");
    gc_root(strlit9927);
  }
// compilenode returning strlit9927
  gc_frame_newslot(strlit9927);
  params[0] = strlit9927;
  partcv[0] = 1;
  Object call9928 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9926);
// compilenode returning call9928
  int op_slot_right_9925 = gc_frame_newslot(call9928);
// Begin line 3063
  setline(3063);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9931 = gc_frame_new();
  if (strlit9932 == NULL) {
    strlit9932 = alloc_String("identifier");
    gc_root(strlit9932);
  }
// compilenode returning strlit9932
  gc_frame_newslot(strlit9932);
  params[0] = strlit9932;
  partcv[0] = 1;
  Object call9933 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9931);
// compilenode returning call9933
  int op_slot_right_9930 = gc_frame_newslot(call9933);
  int callframe9935 = gc_frame_new();
// compilenode returning *var_sameline
  partcv[0] = 0;
  Object call9936 = callmethod(*var_sameline, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe9935);
// compilenode returning call9936
  int op_slot_left_9930 = gc_frame_newslot(call9936);
  params[0] = call9933;
  partcv[0] = 1;
  Object opresult9937 = callmethod(call9936, "&&", 1, partcv, params);
// compilenode returning opresult9937
  int op_slot_left_9925 = gc_frame_newslot(opresult9937);
  params[0] = call9928;
  partcv[0] = 1;
  Object opresult9938 = callmethod(opresult9937, "||", 1, partcv, params);
// compilenode returning opresult9938
  Object if9924 = done;
  if (istrue(opresult9938)) {
// Begin line 3067
  setline(3067);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9939 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
  Object array9940 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9940
  gc_frame_newslot(array9940);
  Object bool9941 = alloc_Boolean(0);
// compilenode returning bool9941
  gc_frame_newslot(bool9941);
  int callframe9942 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9943 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe9942);
// compilenode returning call9943
// compilenode returning call9943
  params[0] = *var_meth;
  params[1] = *var_signature;
  params[2] = array9940;
  params[3] = bool9941;
  partcv[0] = 4;
  Object call9944 = callmethod(call9943, "new",
    1, partcv, params);
  gc_frame_end(callframe9939);
// compilenode returning call9944
  *var_tm = call9944;
  if (call9944 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3068
  setline(3068);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9945 = gc_frame_new();
// compilenode returning *var_tm
  gc_frame_newslot(*var_tm);
// compilenode returning *var_sameline
  gc_frame_newslot(*var_sameline);
  params[0] = *var_tm;
  params[1] = *var_sameline;
  partcv[0] = 2;
  Object call9946 = callmethodflags(self, "parsempmndecrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9945);
// compilenode returning call9946
  *var_meth = call9946;
  if (call9946 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3070
  setline(3070);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3069
  setline(3069);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9949 = gc_frame_new();
// compilenode returning *var_tm
  partcv[0] = 0;
  Object call9950 = callmethod(*var_tm, "varargs",
    1, partcv, params);
  gc_frame_end(callframe9949);
// compilenode returning call9950
// compilenode returning call9950
  int op_slot_right_9948 = gc_frame_newslot(call9950);
// compilenode returning *var_varargs
  int op_slot_left_9948 = gc_frame_newslot(*var_varargs);
  params[0] = call9950;
  partcv[0] = 1;
  Object opresult9952 = callmethod(*var_varargs, "||", 1, partcv, params);
// compilenode returning opresult9952
  *var_varargs = opresult9952;
  if (opresult9952 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9924 = done;
  } else {
  }
// compilenode returning if9924
    gc_frame_newslot(if9924);
    if9560 = if9924;
  } else {
  }
// compilenode returning if9560
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3072
  setline(3072);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9955 = gc_frame_new();
  if (strlit9956 == NULL) {
    strlit9956 = alloc_String("arrow");
    gc_root(strlit9956);
  }
// compilenode returning strlit9956
  gc_frame_newslot(strlit9956);
  params[0] = strlit9956;
  partcv[0] = 1;
  Object call9957 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9955);
// compilenode returning call9957
  Object if9954 = done;
  if (istrue(call9957)) {
// Begin line 3074
  setline(3074);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9958 = gc_frame_new();
  partcv[0] = 0;
  Object call9959 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9958);
// compilenode returning call9959
// Begin line 3075
  setline(3075);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9960 = gc_frame_new();
  partcv[0] = 0;
  Object call9961 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9960);
// compilenode returning call9961
// Begin line 3077
  setline(3077);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3076
  setline(3076);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9962 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9963 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9962);
// compilenode returning call9963
// compilenode returning call9963
  *var_dtype = call9963;
  if (call9963 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9954 = done;
  } else {
// Begin line 3079
  setline(3079);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3078
  setline(3078);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9965 = alloc_Boolean(0);
// compilenode returning bool9965
  *var_dtype = bool9965;
  if (bool9965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9954 = done;
  }
// compilenode returning if9954
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject9967 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9967 = alloc_userobj2(10,6, objclass9967);
  gc_frame_newslot(obj9967);
// OBJECT OUTER DEC outer
  adddatum2(obj9967, self, 0);
  addmethodreal(obj9967,"outer", &reader_parser_outer_9968);
  Object oldself9967 = self;
  struct StackFrameObject *oldstackframe9967 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9967);
  gc_frame_newslot((Object)stackframe);
  self = obj9967;
  Object *oldselfslot9967 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9967 = (*(struct UserObject *)self).data[0], lowerouter9967 = thisouter9967;
  if (inheritingObject9967) {
    struct UserObject *inho9967 = (struct UserObject *)inheritingObject9967;
    while (inho9967->super != GraceDefaultObject) inho9967 = (struct UserObject *)inho9967->super;
    inho9967->super = obj9967;
    self = inheritingObject9967;
    *selfslot = self;
    lowerouter9967 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9967;
  }
if (objclass9967 == NULL) {
  Method *reader9969 = addmethodrealflags(obj9967, "m",&reader_parser_m_9969, 0);
  Method *writer9969 = addmethodrealflags(obj9967, "m:=",&writer_parser_m_9969, 0);
  reader9969->definitionModule = modulename;
  writer9969->definitionModule = modulename;
  reader9969->definitionLine = 3082;
  writer9969->definitionLine = 3082;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 1);
if (objclass9967 == NULL) {
  Method *reader9970 = addmethodrealflags(obj9967, "sig",&reader_parser_sig_9970, 0);
  Method *writer9970 = addmethodrealflags(obj9967, "sig:=",&writer_parser_sig_9970, 0);
  reader9970->definitionModule = modulename;
  writer9970->definitionModule = modulename;
  reader9970->definitionLine = 3083;
  writer9970->definitionLine = 3083;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 2);
if (objclass9967 == NULL) {
  Method *reader9971 = addmethodrealflags(obj9967, "rtype",&reader_parser_rtype_9971, 0);
  Method *writer9971 = addmethodrealflags(obj9967, "rtype:=",&writer_parser_rtype_9971, 0);
  reader9971->definitionModule = modulename;
  writer9971->definitionModule = modulename;
  reader9971->definitionLine = 3084;
  writer9971->definitionLine = 3084;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 3);
if (objclass9967 == NULL) {
  Method *reader9972 = addmethodrealflags(obj9967, "v",&reader_parser_v_9972, 0);
  Method *writer9972 = addmethodrealflags(obj9967, "v:=",&writer_parser_v_9972, 0);
  reader9972->definitionModule = modulename;
  writer9972->definitionModule = modulename;
  reader9972->definitionLine = 3085;
  writer9972->definitionLine = 3085;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 4);
if (objclass9967 == NULL) {
  Method *reader9973 = addmethodrealflags(obj9967, "generics",&reader_parser_generics_9973, 0);
  Method *writer9973 = addmethodrealflags(obj9967, "generics:=",&writer_parser_generics_9973, 0);
  reader9973->definitionModule = modulename;
  writer9973->definitionModule = modulename;
  reader9973->definitionLine = 3086;
  writer9973->definitionLine = 3086;
}
obj9967->flags |= OFLAG_MUTABLE;
adddatum2(obj9967, alloc_Undefined(), 5);
  sourceObject = obj9967;
// Begin line 3081
  setline(3081);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_meth
  adddatum2(obj9967, *var_meth, 1);
  sourceObject = obj9967;
// Begin line 3082
  setline(3082);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature
  adddatum2(obj9967, *var_signature, 2);
  sourceObject = obj9967;
// Begin line 3083
  setline(3083);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype
  adddatum2(obj9967, *var_dtype, 3);
  sourceObject = obj9967;
// Begin line 3084
  setline(3084);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_varargs
  adddatum2(obj9967, *var_varargs, 4);
  sourceObject = obj9967;
// Begin line 3085
  setline(3085);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_genericIdents
  adddatum2(obj9967, *var_genericIdents, 5);
objclass9967 = obj9967->class;
  objclass9967->definitionModule = modulename;
  objclass9967->definitionLine = 3080;
  (*(struct UserObject *)self).data[0] = lowerouter9967;
  self = oldself9967;
  selfslot = oldselfslot9967;
  stackframe = oldstackframe9967;
// compilenode returning obj9967
  *var_o = obj9967;
  if (obj9967 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3087
  setline(3087);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_o
  gc_frame_end(frame);
  return *var_o;
}
Object meth_parser_doimport9975(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 52, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doimport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_defaultVarVisibility = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doimport (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doimport");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_importline = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "importline");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_errorPos = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "errorPos");
  Object *var_p = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "p");
  Object *var_name = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "name");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
  Object *var_anns = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "anns");
// Begin line 3157
  setline(3157);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3093
  setline(3093);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9979 == NULL) {
    strlit9979 = alloc_String("import");
    gc_root(strlit9979);
  }
// compilenode returning strlit9979
  int op_slot_right_9978 = gc_frame_newslot(strlit9979);
  int callframe9981 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9982 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9981);
// compilenode returning call9982
// compilenode returning call9982
  int op_slot_left_9978 = gc_frame_newslot(call9982);
  params[0] = strlit9979;
  partcv[0] = 1;
  Object opresult9983 = callmethod(call9982, "==", 1, partcv, params);
// compilenode returning opresult9983
  int op_slot_right_9977 = gc_frame_newslot(opresult9983);
  int callframe9985 = gc_frame_new();
  if (strlit9986 == NULL) {
    strlit9986 = alloc_String("keyword");
    gc_root(strlit9986);
  }
// compilenode returning strlit9986
  gc_frame_newslot(strlit9986);
  params[0] = strlit9986;
  partcv[0] = 1;
  Object call9987 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9985);
// compilenode returning call9987
  int op_slot_left_9977 = gc_frame_newslot(call9987);
  params[0] = opresult9983;
  partcv[0] = 1;
  Object opresult9988 = callmethod(call9987, "&&", 1, partcv, params);
// compilenode returning opresult9988
  Object if9976 = done;
  if (istrue(opresult9988)) {
// Begin line 3095
  setline(3095);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3094
  setline(3094);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9989 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9990 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9989);
// compilenode returning call9990
// compilenode returning call9990
  *var_importline = call9990;
  if (call9990 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3095
  setline(3095);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9991 = gc_frame_new();
  partcv[0] = 0;
  Object call9992 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9991);
// compilenode returning call9992
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3096
  setline(3096);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9995 == NULL) {
    strlit9995 = alloc_String("string");
    gc_root(strlit9995);
  }
// compilenode returning strlit9995
  int op_slot_right_9994 = gc_frame_newslot(strlit9995);
  int callframe9997 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9998 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9997);
// compilenode returning call9998
// compilenode returning call9998
  int op_slot_left_9994 = gc_frame_newslot(call9998);
  params[0] = strlit9995;
  partcv[0] = 1;
  Object opresult9999 = callmethod(call9998, "!=", 1, partcv, params);
// compilenode returning opresult9999
  Object if9993 = done;
  if (istrue(opresult9999)) {
// Begin line 3098
  setline(3098);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3097
  setline(3097);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10000 = gc_frame_new();
  int callframe10001 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10002 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10001);
// compilenode returning call10002
// compilenode returning call10002
  partcv[0] = 0;
  Object call10003 = callmethod(call10002, "new",
    1, partcv, params);
  gc_frame_end(callframe10000);
// compilenode returning call10003
// compilenode returning call10003
  *var_suggestion = call10003;
  if (call10003 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3099
  setline(3099);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_errorPos = undefined;
// compilenode returning done
// Begin line 3106
  setline(3106);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3099
  setline(3099);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10007 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10008 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10007);
// compilenode returning call10008
// compilenode returning call10008
  int op_slot_right_10006 = gc_frame_newslot(call10008);
  int callframe10010 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10011 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10010);
// compilenode returning call10011
// compilenode returning call10011
  int op_slot_left_10006 = gc_frame_newslot(call10011);
  params[0] = call10008;
  partcv[0] = 1;
  Object opresult10012 = callmethod(call10011, "==", 1, partcv, params);
// compilenode returning opresult10012
  int op_slot_right_10005 = gc_frame_newslot(opresult10012);
  if (strlit10015 == NULL) {
    strlit10015 = alloc_String("identifier");
    gc_root(strlit10015);
  }
// compilenode returning strlit10015
  int op_slot_right_10014 = gc_frame_newslot(strlit10015);
  int callframe10017 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10018 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10017);
// compilenode returning call10018
// compilenode returning call10018
  int op_slot_left_10014 = gc_frame_newslot(call10018);
  params[0] = strlit10015;
  partcv[0] = 1;
  Object opresult10019 = callmethod(call10018, "==", 1, partcv, params);
// compilenode returning opresult10019
  int op_slot_left_10005 = gc_frame_newslot(opresult10019);
  params[0] = opresult10012;
  partcv[0] = 1;
  Object opresult10020 = callmethod(opresult10019, "&&", 1, partcv, params);
// compilenode returning opresult10020
  Object if10004 = done;
  if (istrue(opresult10020)) {
// Begin line 3100
  setline(3100);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10021 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit10023 == NULL) {
    strlit10023 = alloc_String("""\x22""");
    gc_root(strlit10023);
  }
// compilenode returning strlit10023
  int op_slot_right_10022 = gc_frame_newslot(strlit10023);
  int callframe10026 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10027 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10026);
// compilenode returning call10027
// compilenode returning call10027
  int op_slot_right_10025 = gc_frame_newslot(call10027);
  if (strlit10029 == NULL) {
    strlit10029 = alloc_String("""\x22""");
    gc_root(strlit10029);
  }
// compilenode returning strlit10029
  int op_slot_left_10025 = gc_frame_newslot(strlit10029);
  params[0] = call10027;
  partcv[0] = 1;
  Object opresult10030 = callmethod(strlit10029, "++", 1, partcv, params);
// compilenode returning opresult10030
  int op_slot_left_10022 = gc_frame_newslot(opresult10030);
  params[0] = strlit10023;
  partcv[0] = 1;
  Object opresult10031 = callmethod(opresult10030, "++", 1, partcv, params);
// compilenode returning opresult10031
  gc_frame_newslot(opresult10031);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult10031;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10032 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe10021);
// compilenode returning call10032
// Begin line 3102
  setline(3102);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3101
  setline(3101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10033 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10034 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10033);
// compilenode returning call10034
// compilenode returning call10034
  *var_errorPos = call10034;
  if (call10034 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10004 = done;
  } else {
// Begin line 3103
  setline(3103);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10036 = gc_frame_new();
  if (strlit10037 == NULL) {
    strlit10037 = alloc_String(" ""\x22""""\xc2""""\xab""module name""\xc2""""\xbb""""\x22""");
    gc_root(strlit10037);
  }
// compilenode returning strlit10037
  gc_frame_newslot(strlit10037);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10037;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10038 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10036);
// compilenode returning call10038
// Begin line 3105
  setline(3105);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3104
  setline(3104);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num10040 = alloc_Float64(1);
// compilenode returning num10040
  int op_slot_right_10039 = gc_frame_newslot(num10040);
  int callframe10043 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10044 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10043);
// compilenode returning call10044
// compilenode returning call10044
  int op_slot_right_10042 = gc_frame_newslot(call10044);
  int callframe10046 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10047 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10046);
// compilenode returning call10047
// compilenode returning call10047
  int op_slot_left_10042 = gc_frame_newslot(call10047);
  params[0] = call10044;
  partcv[0] = 1;
  Object sum10048 = callmethod(call10047, "+", 1, partcv, params);
// compilenode returning sum10048
  int op_slot_left_10039 = gc_frame_newslot(sum10048);
  params[0] = num10040;
  partcv[0] = 1;
  Object sum10049 = callmethod(sum10048, "+", 1, partcv, params);
// compilenode returning sum10049
  *var_errorPos = sum10049;
  if (sum10049 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10004 = done;
  }
// compilenode returning if10004
// Begin line 3106
  setline(3106);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10051 = gc_frame_new();
  if (strlit10052 == NULL) {
    strlit10052 = alloc_String("An import statement must have the name of the module in quotes, 'as', and an identifier after 'import'.");
    gc_root(strlit10052);
  }
// compilenode returning strlit10052
  gc_frame_newslot(strlit10052);
// Begin line 3107
  setline(3107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10053 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10054 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10053);
// compilenode returning call10054
// compilenode returning call10054
  gc_frame_newslot(call10054);
// compilenode returning *var_errorPos
  gc_frame_newslot(*var_errorPos);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3106
  setline(3106);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10052;
  params[1] = call10054;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10055 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10051);
// compilenode returning call10055
    gc_frame_newslot(call10055);
    if9993 = call10055;
  } else {
  }
// compilenode returning if9993
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10056 = gc_frame_new();
  partcv[0] = 0;
  Object call10057 = callmethodflags(self, "pushstring", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10056);
// compilenode returning call10057
// Begin line 3111
  setline(3111);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3110
  setline(3110);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10058 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10059 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10058);
// compilenode returning call10059
// compilenode returning call10059
  *var_p = call10059;
  if (call10059 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3111
  setline(3111);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10063 == NULL) {
    strlit10063 = alloc_String("as");
    gc_root(strlit10063);
  }
// compilenode returning strlit10063
  int op_slot_right_10062 = gc_frame_newslot(strlit10063);
  int callframe10065 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10066 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10065);
// compilenode returning call10066
// compilenode returning call10066
  int op_slot_left_10062 = gc_frame_newslot(call10066);
  params[0] = strlit10063;
  partcv[0] = 1;
  Object opresult10067 = callmethod(call10066, "!=", 1, partcv, params);
// compilenode returning opresult10067
  int op_slot_right_10061 = gc_frame_newslot(opresult10067);
  if (strlit10070 == NULL) {
    strlit10070 = alloc_String("identifier");
    gc_root(strlit10070);
  }
// compilenode returning strlit10070
  int op_slot_right_10069 = gc_frame_newslot(strlit10070);
  int callframe10072 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10073 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10072);
// compilenode returning call10073
// compilenode returning call10073
  int op_slot_left_10069 = gc_frame_newslot(call10073);
  params[0] = strlit10070;
  partcv[0] = 1;
  Object opresult10074 = callmethod(call10073, "!=", 1, partcv, params);
// compilenode returning opresult10074
  int op_slot_left_10061 = gc_frame_newslot(opresult10074);
  params[0] = opresult10067;
  partcv[0] = 1;
  Object opresult10075 = callmethod(opresult10074, "||", 1, partcv, params);
// compilenode returning opresult10075
  Object if10060 = done;
  if (istrue(opresult10075)) {
// Begin line 3113
  setline(3113);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3112
  setline(3112);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10076 = gc_frame_new();
  int callframe10077 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10078 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10077);
// compilenode returning call10078
// compilenode returning call10078
  partcv[0] = 0;
  Object call10079 = callmethod(call10078, "new",
    1, partcv, params);
  gc_frame_end(callframe10076);
// compilenode returning call10079
// compilenode returning call10079
  *var_suggestion = call10079;
  if (call10079 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3118
  setline(3118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3113
  setline(3113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10083 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10084 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10083);
// compilenode returning call10084
// compilenode returning call10084
  int op_slot_right_10082 = gc_frame_newslot(call10084);
  int callframe10086 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10087 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10086);
// compilenode returning call10087
// compilenode returning call10087
  int op_slot_left_10082 = gc_frame_newslot(call10087);
  params[0] = call10084;
  partcv[0] = 1;
  Object opresult10088 = callmethod(call10087, "==", 1, partcv, params);
// compilenode returning opresult10088
  int op_slot_right_10081 = gc_frame_newslot(opresult10088);
  if (strlit10091 == NULL) {
    strlit10091 = alloc_String("identifier");
    gc_root(strlit10091);
  }
// compilenode returning strlit10091
  int op_slot_right_10090 = gc_frame_newslot(strlit10091);
  int callframe10093 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10094 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10093);
// compilenode returning call10094
// compilenode returning call10094
  int op_slot_left_10090 = gc_frame_newslot(call10094);
  params[0] = strlit10091;
  partcv[0] = 1;
  Object opresult10095 = callmethod(call10094, "==", 1, partcv, params);
// compilenode returning opresult10095
  int op_slot_left_10081 = gc_frame_newslot(opresult10095);
  params[0] = opresult10088;
  partcv[0] = 1;
  Object opresult10096 = callmethod(opresult10095, "&&", 1, partcv, params);
// compilenode returning opresult10096
  Object if10080 = done;
  if (istrue(opresult10096)) {
// Begin line 3114
  setline(3114);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10097 = gc_frame_new();
  if (strlit10098 == NULL) {
    strlit10098 = alloc_String(" as");
    gc_root(strlit10098);
  }
// compilenode returning strlit10098
  gc_frame_newslot(strlit10098);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10098;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10099 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10097);
// compilenode returning call10099
    gc_frame_newslot(call10099);
    if10080 = call10099;
  } else {
// Begin line 3116
  setline(3116);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10100 = gc_frame_new();
  if (strlit10102 == NULL) {
    strlit10102 = alloc_String("");
    gc_root(strlit10102);
  }
// compilenode returning strlit10102
  int op_slot_right_10101 = gc_frame_newslot(strlit10102);
  int callframe10105 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10106 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10105);
// compilenode returning call10106
// compilenode returning call10106
  int op_slot_right_10104 = gc_frame_newslot(call10106);
  if (strlit10108 == NULL) {
    strlit10108 = alloc_String(" as ");
    gc_root(strlit10108);
  }
// compilenode returning strlit10108
  int op_slot_left_10104 = gc_frame_newslot(strlit10108);
  params[0] = call10106;
  partcv[0] = 1;
  Object opresult10109 = callmethod(strlit10108, "++", 1, partcv, params);
// compilenode returning opresult10109
  int op_slot_left_10101 = gc_frame_newslot(opresult10109);
  params[0] = strlit10102;
  partcv[0] = 1;
  Object opresult10110 = callmethod(opresult10109, "++", 1, partcv, params);
// compilenode returning opresult10110
  gc_frame_newslot(opresult10110);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult10110;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10111 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10100);
// compilenode returning call10111
    gc_frame_newslot(call10111);
    if10080 = call10111;
  }
// compilenode returning if10080
// Begin line 3118
  setline(3118);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10112 = gc_frame_new();
  if (strlit10113 == NULL) {
    strlit10113 = alloc_String("An import statement must have 'as', and an identifier after the name of the module in quotes.");
    gc_root(strlit10113);
  }
// compilenode returning strlit10113
  gc_frame_newslot(strlit10113);
// Begin line 3119
  setline(3119);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10114 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10115 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10114);
// compilenode returning call10115
// compilenode returning call10115
  gc_frame_newslot(call10115);
  Object num10117 = alloc_Float64(1);
// compilenode returning num10117
  int op_slot_right_10116 = gc_frame_newslot(num10117);
  int callframe10120 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10121 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10120);
// compilenode returning call10121
// compilenode returning call10121
  int op_slot_right_10119 = gc_frame_newslot(call10121);
  int callframe10123 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10124 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10123);
// compilenode returning call10124
// compilenode returning call10124
  int op_slot_left_10119 = gc_frame_newslot(call10124);
  params[0] = call10121;
  partcv[0] = 1;
  Object sum10125 = callmethod(call10124, "+", 1, partcv, params);
// compilenode returning sum10125
  int op_slot_left_10116 = gc_frame_newslot(sum10125);
  params[0] = num10117;
  partcv[0] = 1;
  Object sum10126 = callmethod(sum10125, "+", 1, partcv, params);
// compilenode returning sum10126
  gc_frame_newslot(sum10126);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3118
  setline(3118);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10113;
  params[1] = call10115;
  params[2] = sum10126;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10127 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10112);
// compilenode returning call10127
    gc_frame_newslot(call10127);
    if10060 = call10127;
  } else {
  }
// compilenode returning if10060
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10128 = gc_frame_new();
  partcv[0] = 0;
  Object call10129 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10128);
// compilenode returning call10129
// Begin line 3135
  setline(3135);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3122
  setline(3122);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10132 == NULL) {
    strlit10132 = alloc_String("identifier");
    gc_root(strlit10132);
  }
// compilenode returning strlit10132
  int op_slot_right_10131 = gc_frame_newslot(strlit10132);
  int callframe10134 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10135 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10134);
// compilenode returning call10135
// compilenode returning call10135
  int op_slot_left_10131 = gc_frame_newslot(call10135);
  params[0] = strlit10132;
  partcv[0] = 1;
  Object opresult10136 = callmethod(call10135, "!=", 1, partcv, params);
// compilenode returning opresult10136
  Object if10130 = done;
  if (istrue(opresult10136)) {
// Begin line 3124
  setline(3124);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3123
  setline(3123);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10137 = gc_frame_new();
  int callframe10138 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10139 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10138);
// compilenode returning call10139
// compilenode returning call10139
  partcv[0] = 0;
  Object call10140 = callmethod(call10139, "new",
    1, partcv, params);
  gc_frame_end(callframe10137);
// compilenode returning call10140
// compilenode returning call10140
  *var_suggestion = call10140;
  if (call10140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3125
  setline(3125);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_errorPos = undefined;
// compilenode returning done
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3125
  setline(3125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10144 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10145 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10144);
// compilenode returning call10145
// compilenode returning call10145
  int op_slot_right_10143 = gc_frame_newslot(call10145);
  int callframe10147 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10148 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10147);
// compilenode returning call10148
// compilenode returning call10148
  int op_slot_left_10143 = gc_frame_newslot(call10148);
  params[0] = call10145;
  partcv[0] = 1;
  Object opresult10149 = callmethod(call10148, "==", 1, partcv, params);
// compilenode returning opresult10149
  int op_slot_right_10142 = gc_frame_newslot(opresult10149);
  if (strlit10152 == NULL) {
    strlit10152 = alloc_String("string");
    gc_root(strlit10152);
  }
// compilenode returning strlit10152
  int op_slot_right_10151 = gc_frame_newslot(strlit10152);
  int callframe10154 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10155 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10154);
// compilenode returning call10155
// compilenode returning call10155
  int op_slot_left_10151 = gc_frame_newslot(call10155);
  params[0] = strlit10152;
  partcv[0] = 1;
  Object opresult10156 = callmethod(call10155, "==", 1, partcv, params);
// compilenode returning opresult10156
  int op_slot_left_10142 = gc_frame_newslot(opresult10156);
  params[0] = opresult10149;
  partcv[0] = 1;
  Object opresult10157 = callmethod(opresult10156, "&&", 1, partcv, params);
// compilenode returning opresult10157
  Object if10141 = done;
  if (istrue(opresult10157)) {
// Begin line 3126
  setline(3126);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10158 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit10160 == NULL) {
    strlit10160 = alloc_String("");
    gc_root(strlit10160);
  }
// compilenode returning strlit10160
  int op_slot_right_10159 = gc_frame_newslot(strlit10160);
  int callframe10163 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10164 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10163);
// compilenode returning call10164
// compilenode returning call10164
  int op_slot_right_10162 = gc_frame_newslot(call10164);
  if (strlit10166 == NULL) {
    strlit10166 = alloc_String("");
    gc_root(strlit10166);
  }
// compilenode returning strlit10166
  int op_slot_left_10162 = gc_frame_newslot(strlit10166);
  params[0] = call10164;
  partcv[0] = 1;
  Object opresult10167 = callmethod(strlit10166, "++", 1, partcv, params);
// compilenode returning opresult10167
  int op_slot_left_10159 = gc_frame_newslot(opresult10167);
  params[0] = strlit10160;
  partcv[0] = 1;
  Object opresult10168 = callmethod(opresult10167, "++", 1, partcv, params);
// compilenode returning opresult10168
  gc_frame_newslot(opresult10168);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult10168;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10169 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe10158);
// compilenode returning call10169
// Begin line 3128
  setline(3128);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3127
  setline(3127);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10170 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10171 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10170);
// compilenode returning call10171
// compilenode returning call10171
  *var_errorPos = call10171;
  if (call10171 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10141 = done;
  } else {
// Begin line 3129
  setline(3129);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10173 = gc_frame_new();
  if (strlit10175 == NULL) {
    strlit10175 = alloc_String("");
    gc_root(strlit10175);
  }
// compilenode returning strlit10175
  int op_slot_right_10174 = gc_frame_newslot(strlit10175);
  int callframe10178 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10179 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10178);
// compilenode returning call10179
// compilenode returning call10179
  int op_slot_right_10177 = gc_frame_newslot(call10179);
  if (strlit10181 == NULL) {
    strlit10181 = alloc_String(" ");
    gc_root(strlit10181);
  }
// compilenode returning strlit10181
  int op_slot_left_10177 = gc_frame_newslot(strlit10181);
  params[0] = call10179;
  partcv[0] = 1;
  Object opresult10182 = callmethod(strlit10181, "++", 1, partcv, params);
// compilenode returning opresult10182
  int op_slot_left_10174 = gc_frame_newslot(opresult10182);
  params[0] = strlit10175;
  partcv[0] = 1;
  Object opresult10183 = callmethod(opresult10182, "++", 1, partcv, params);
// compilenode returning opresult10183
  gc_frame_newslot(opresult10183);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult10183;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10184 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10173);
// compilenode returning call10184
// Begin line 3131
  setline(3131);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3130
  setline(3130);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num10186 = alloc_Float64(1);
// compilenode returning num10186
  int op_slot_right_10185 = gc_frame_newslot(num10186);
  int callframe10189 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10190 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10189);
// compilenode returning call10190
// compilenode returning call10190
  int op_slot_right_10188 = gc_frame_newslot(call10190);
  int callframe10192 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10193 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10192);
// compilenode returning call10193
// compilenode returning call10193
  int op_slot_left_10188 = gc_frame_newslot(call10193);
  params[0] = call10190;
  partcv[0] = 1;
  Object sum10194 = callmethod(call10193, "+", 1, partcv, params);
// compilenode returning sum10194
  int op_slot_left_10185 = gc_frame_newslot(sum10194);
  params[0] = num10186;
  partcv[0] = 1;
  Object sum10195 = callmethod(sum10194, "+", 1, partcv, params);
// compilenode returning sum10195
  *var_errorPos = sum10195;
  if (sum10195 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10141 = done;
  }
// compilenode returning if10141
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10197 = gc_frame_new();
  if (strlit10198 == NULL) {
    strlit10198 = alloc_String("An import statement must have an identifier after 'as'.");
    gc_root(strlit10198);
  }
// compilenode returning strlit10198
  gc_frame_newslot(strlit10198);
// Begin line 3133
  setline(3133);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10199 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10200 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10199);
// compilenode returning call10200
// compilenode returning call10200
  gc_frame_newslot(call10200);
// compilenode returning *var_errorPos
  gc_frame_newslot(*var_errorPos);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10198;
  params[1] = call10200;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10201 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10197);
// compilenode returning call10201
    gc_frame_newslot(call10201);
    if10130 = call10201;
  } else {
  }
// compilenode returning if10130
// Begin line 3135
  setline(3135);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10202 = gc_frame_new();
  partcv[0] = 0;
  Object call10203 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10202);
// compilenode returning call10203
// Begin line 3137
  setline(3137);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3136
  setline(3136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10204 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10205 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10204);
// compilenode returning call10205
// compilenode returning call10205
  *var_name = call10205;
  if (call10205 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3137
  setline(3137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10206 = gc_frame_new();
// compilenode returning *var_importline
  gc_frame_newslot(*var_importline);
// compilenode returning *var_util
  params[0] = *var_importline;
  partcv[0] = 1;
  Object call10207 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe10206);
// compilenode returning call10207
// Begin line 3138
  setline(3138);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10208 = gc_frame_new();
  int callframe10209 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10210 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10209);
// compilenode returning call10210
// compilenode returning call10210
  gc_frame_newslot(call10210);
  int callframe10211 = gc_frame_new();
// compilenode returning *var_name
  partcv[0] = 0;
  Object call10212 = callmethod(*var_name, "value",
    1, partcv, params);
  gc_frame_end(callframe10211);
// compilenode returning call10212
// compilenode returning call10212
  gc_frame_newslot(call10212);
  int callframe10213 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10214 = callmethod(*var_ast, "importNode",
    1, partcv, params);
  gc_frame_end(callframe10213);
// compilenode returning call10214
// compilenode returning call10214
  params[0] = call10210;
  params[1] = call10212;
  partcv[0] = 2;
  Object call10215 = callmethod(call10214, "new",
    1, partcv, params);
  gc_frame_end(callframe10208);
// compilenode returning call10215
  *var_o = call10215;
  if (call10215 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3144
  setline(3144);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3139
  setline(3139);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10217 = gc_frame_new();
  if (strlit10218 == NULL) {
    strlit10218 = alloc_String("colon");
    gc_root(strlit10218);
  }
// compilenode returning strlit10218
  gc_frame_newslot(strlit10218);
  params[0] = strlit10218;
  partcv[0] = 1;
  Object call10219 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10217);
// compilenode returning call10219
  Object if10216 = done;
  if (istrue(call10219)) {
// Begin line 3140
  setline(3140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10220 = gc_frame_new();
  partcv[0] = 0;
  Object call10221 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10220);
// compilenode returning call10221
// Begin line 3141
  setline(3141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10222 = gc_frame_new();
  partcv[0] = 0;
  Object call10223 = callmethodflags(self, "typeexpression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10222);
// compilenode returning call10223
// Begin line 3143
  setline(3143);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3138
  setline(3138);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10224 = gc_frame_new();
// Begin line 3142
  setline(3142);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10225 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10226 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10225);
// compilenode returning call10226
// compilenode returning call10226
  gc_frame_newslot(call10226);
// compilenode returning *var_o
  params[0] = call10226;
  partcv[0] = 1;
  Object call10227 = callmethod(*var_o, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe10224);
// compilenode returning call10227
// compilenode returning done
    gc_frame_newslot(done);
    if10216 = done;
  } else {
  }
// compilenode returning if10216
// Begin line 3145
  setline(3145);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3144
  setline(3144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10228 = gc_frame_new();
  partcv[0] = 0;
  Object call10229 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10228);
// compilenode returning call10229
  *var_anns = call10229;
  if (call10229 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3155
  setline(3155);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3145
  setline(3145);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool10232 = alloc_Boolean(0);
// compilenode returning bool10232
  int op_slot_right_10231 = gc_frame_newslot(bool10232);
// compilenode returning *var_anns
  int op_slot_left_10231 = gc_frame_newslot(*var_anns);
  params[0] = bool10232;
  partcv[0] = 1;
  Object opresult10234 = callmethod(*var_anns, "==", 1, partcv, params);
// compilenode returning opresult10234
  Object if10230 = done;
  if (istrue(opresult10234)) {
// Begin line 3152
  setline(3152);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3146
  setline(3146);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10237 == NULL) {
    strlit10237 = alloc_String("public");
    gc_root(strlit10237);
  }
// compilenode returning strlit10237
  int op_slot_right_10236 = gc_frame_newslot(strlit10237);
// compilenode returning *var_defaultVarVisibility
  int op_slot_left_10236 = gc_frame_newslot(*var_defaultVarVisibility);
  params[0] = strlit10237;
  partcv[0] = 1;
  Object opresult10239 = callmethod(*var_defaultVarVisibility, "==", 1, partcv, params);
// compilenode returning opresult10239
  Object if10235 = done;
  if (istrue(opresult10239)) {
// Begin line 3147
  setline(3147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10240 = gc_frame_new();
  int callframe10241 = gc_frame_new();
  if (strlit10242 == NULL) {
    strlit10242 = alloc_String("readable");
    gc_root(strlit10242);
  }
// compilenode returning strlit10242
  gc_frame_newslot(strlit10242);
// Begin line 3148
  setline(3148);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool10243 = alloc_Boolean(0);
// compilenode returning bool10243
  gc_frame_newslot(bool10243);
// Begin line 3147
  setline(3147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10244 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10245 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe10244);
// compilenode returning call10245
// compilenode returning call10245
  params[0] = strlit10242;
  params[1] = bool10243;
  partcv[0] = 2;
  Object call10246 = callmethod(call10245, "new",
    1, partcv, params);
  gc_frame_end(callframe10241);
// compilenode returning call10246
  gc_frame_newslot(call10246);
  int callframe10247 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call10248 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe10247);
// compilenode returning call10248
// compilenode returning call10248
  params[0] = call10246;
  partcv[0] = 1;
  Object call10249 = callmethod(call10248, "push",
    1, partcv, params);
  gc_frame_end(callframe10240);
// compilenode returning call10249
// Begin line 3149
  setline(3149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10250 = gc_frame_new();
  int callframe10251 = gc_frame_new();
  if (strlit10252 == NULL) {
    strlit10252 = alloc_String("writable");
    gc_root(strlit10252);
  }
// compilenode returning strlit10252
  gc_frame_newslot(strlit10252);
// Begin line 3150
  setline(3150);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool10253 = alloc_Boolean(0);
// compilenode returning bool10253
  gc_frame_newslot(bool10253);
// Begin line 3149
  setline(3149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10254 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10255 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe10254);
// compilenode returning call10255
// compilenode returning call10255
  params[0] = strlit10252;
  params[1] = bool10253;
  partcv[0] = 2;
  Object call10256 = callmethod(call10255, "new",
    1, partcv, params);
  gc_frame_end(callframe10251);
// compilenode returning call10256
  gc_frame_newslot(call10256);
  int callframe10257 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call10258 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe10257);
// compilenode returning call10258
// compilenode returning call10258
  params[0] = call10256;
  partcv[0] = 1;
  Object call10259 = callmethod(call10258, "push",
    1, partcv, params);
  gc_frame_end(callframe10250);
// compilenode returning call10259
    gc_frame_newslot(call10259);
    if10235 = call10259;
  } else {
  }
// compilenode returning if10235
    gc_frame_newslot(if10235);
    if10230 = if10235;
  } else {
// Begin line 3153
  setline(3153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10260 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe10261 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call10262 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe10261);
// compilenode returning call10262
// compilenode returning call10262
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call10263 = callmethod(call10262, "extend",
    1, partcv, params);
  gc_frame_end(callframe10260);
// compilenode returning call10263
    gc_frame_newslot(call10263);
    if10230 = call10263;
  }
// compilenode returning if10230
// Begin line 3155
  setline(3155);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10264 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10265 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10264);
// compilenode returning call10265
    gc_frame_newslot(call10265);
    if9976 = call10265;
  } else {
  }
// compilenode returning if9976
  gc_frame_end(frame);
  return if9976;
}
Object meth_parser__apply10289(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe10290 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call10291 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10290);
// compilenode returning call10291
  gc_frame_end(frame);
  return call10291;
}
Object meth_parser_doreturn10266(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 53, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doreturn");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doreturn (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for doreturn");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_retval = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "retval");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_o = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "o");
// Begin line 3192
  setline(3192);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3162
  setline(3162);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10270 == NULL) {
    strlit10270 = alloc_String("return");
    gc_root(strlit10270);
  }
// compilenode returning strlit10270
  int op_slot_right_10269 = gc_frame_newslot(strlit10270);
  int callframe10272 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10273 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10272);
// compilenode returning call10273
// compilenode returning call10273
  int op_slot_left_10269 = gc_frame_newslot(call10273);
  params[0] = strlit10270;
  partcv[0] = 1;
  Object opresult10274 = callmethod(call10273, "==", 1, partcv, params);
// compilenode returning opresult10274
  int op_slot_right_10268 = gc_frame_newslot(opresult10274);
  int callframe10276 = gc_frame_new();
  if (strlit10277 == NULL) {
    strlit10277 = alloc_String("keyword");
    gc_root(strlit10277);
  }
// compilenode returning strlit10277
  gc_frame_newslot(strlit10277);
  params[0] = strlit10277;
  partcv[0] = 1;
  Object call10278 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10276);
// compilenode returning call10278
  int op_slot_left_10268 = gc_frame_newslot(call10278);
  params[0] = opresult10274;
  partcv[0] = 1;
  Object opresult10279 = callmethod(call10278, "&&", 1, partcv, params);
// compilenode returning opresult10279
  Object if10267 = done;
  if (istrue(opresult10279)) {
// Begin line 3163
  setline(3163);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10280 = gc_frame_new();
  partcv[0] = 0;
  Object call10281 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10280);
// compilenode returning call10281
// Begin line 3165
  setline(3165);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_retval = undefined;
// compilenode returning done
// Begin line 3189
  setline(3189);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3165
  setline(3165);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10283 = gc_frame_new();
  partcv[0] = 0;
  Object call10284 = callmethodflags(self, "tokenOnSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10283);
// compilenode returning call10284
  Object if10282 = done;
  if (istrue(call10284)) {
// Begin line 3185
  setline(3185);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3166
  setline(3166);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10286 = gc_frame_new();
  int callframe10287 = gc_frame_new();
  Object block10288 = alloc_Block(NULL, NULL, "parser", 3166);
  gc_frame_newslot(block10288);
  block_savedest(block10288);
  Object closure10289 = createclosure(2, "_apply");
  setclosureframe(closure10289, stackframe);
  addtoclosure(closure10289, var_blocksOK);
  addtoclosure(closure10289, selfslot);
  struct UserObject *uo10289 = (struct UserObject*)block10288;
  uo10289->data[0] = (Object)closure10289;
  Method *meth_meth_parser__apply10289 = addmethod2pos(block10288, "_apply", &meth_parser__apply10289, 0);
int argcv_meth_parser__apply10289[] = {0};
meth_meth_parser__apply10289->type = alloc_MethodType(1, argcv_meth_parser__apply10289);
  meth_meth_parser__apply10289->definitionModule = modulename;
  meth_meth_parser__apply10289->definitionLine = 3166;
// compilenode returning block10288
  gc_frame_newslot(block10288);
  params[0] = block10288;
  partcv[0] = 1;
  Object call10293 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10287);
// compilenode returning call10293
  partcv[0] = 0;
  Object call10294 = callmethod(call10293, "not",
    1, partcv, params);
  gc_frame_end(callframe10286);
// compilenode returning call10294
// compilenode returning call10294
  Object if10285 = done;
  if (istrue(call10294)) {
// Begin line 3168
  setline(3168);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3167
  setline(3167);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10295 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10295
  *var_suggestions = array10295;
  if (array10295 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3169
  setline(3169);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3168
  setline(3168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10296 = gc_frame_new();
  int callframe10297 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10298 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10297);
// compilenode returning call10298
// compilenode returning call10298
  partcv[0] = 0;
  Object call10299 = callmethod(call10298, "new",
    1, partcv, params);
  gc_frame_end(callframe10296);
// compilenode returning call10299
// compilenode returning call10299
  *var_suggestion = call10299;
  if (call10299 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3169
  setline(3169);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10300 = gc_frame_new();
  if (strlit10301 == NULL) {
    strlit10301 = alloc_String("rbrace");
    gc_root(strlit10301);
  }
// compilenode returning strlit10301
  gc_frame_newslot(strlit10301);
  params[0] = strlit10301;
  partcv[0] = 1;
  Object call10302 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10300);
// compilenode returning call10302
  *var_nextTok = call10302;
  if (call10302 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3181
  setline(3181);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3170
  setline(3170);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_10304 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_10304 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10306 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult10306
  Object if10303 = done;
  if (istrue(opresult10306)) {
// Begin line 3171
  setline(3171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10307 = gc_frame_new();
  if (strlit10308 == NULL) {
    strlit10308 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit10308);
  }
// compilenode returning strlit10308
  gc_frame_newslot(strlit10308);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10308;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10309 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10307);
// compilenode returning call10309
// Begin line 3172
  setline(3172);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10310 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10311 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10310);
// compilenode returning call10311
// Begin line 3174
  setline(3174);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3173
  setline(3173);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10312 = gc_frame_new();
  int callframe10313 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10314 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10313);
// compilenode returning call10314
// compilenode returning call10314
  partcv[0] = 0;
  Object call10315 = callmethod(call10314, "new",
    1, partcv, params);
  gc_frame_end(callframe10312);
// compilenode returning call10315
// compilenode returning call10315
  *var_suggestion = call10315;
  if (call10315 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3174
  setline(3174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10317 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool10318 = alloc_Boolean(1);
// compilenode returning bool10318
  gc_frame_newslot(bool10318);
  Object bool10319 = alloc_Boolean(0);
// compilenode returning bool10319
  gc_frame_newslot(bool10319);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool10318;
  params[2] = bool10319;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10320 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10317);
// compilenode returning call10320
    gc_frame_newslot(call10320);
    if10303 = call10320;
  } else {
// Begin line 3176
  setline(3176);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10321 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe10322 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call10323 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10322);
// compilenode returning call10323
// compilenode returning call10323
  gc_frame_newslot(call10323);
  Object bool10324 = alloc_Boolean(1);
// compilenode returning bool10324
  gc_frame_newslot(bool10324);
  Object bool10325 = alloc_Boolean(0);
// compilenode returning bool10325
  gc_frame_newslot(bool10325);
  if (strlit10326 == NULL) {
    strlit10326 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit10326);
  }
// compilenode returning strlit10326
  gc_frame_newslot(strlit10326);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call10323;
  params[2] = bool10324;
  params[3] = bool10325;
  params[4] = strlit10326;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10327 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe10321);
// compilenode returning call10327
// Begin line 3177
  setline(3177);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10328 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10329 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10328);
// compilenode returning call10329
// Begin line 3179
  setline(3179);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3178
  setline(3178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10330 = gc_frame_new();
  int callframe10331 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10332 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10331);
// compilenode returning call10332
// compilenode returning call10332
  partcv[0] = 0;
  Object call10333 = callmethod(call10332, "new",
    1, partcv, params);
  gc_frame_end(callframe10330);
// compilenode returning call10333
// compilenode returning call10333
  *var_suggestion = call10333;
  if (call10333 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3179
  setline(3179);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10335 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe10336 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call10337 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10336);
// compilenode returning call10337
// compilenode returning call10337
  gc_frame_newslot(call10337);
  Object bool10338 = alloc_Boolean(1);
// compilenode returning bool10338
  gc_frame_newslot(bool10338);
  Object bool10339 = alloc_Boolean(0);
// compilenode returning bool10339
  gc_frame_newslot(bool10339);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call10337;
  params[2] = bool10338;
  params[3] = bool10339;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10340 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10335);
// compilenode returning call10340
    gc_frame_newslot(call10340);
    if10303 = call10340;
  }
// compilenode returning if10303
// Begin line 3181
  setline(3181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10341 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10342 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10341);
// compilenode returning call10342
// Begin line 3182
  setline(3182);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10343 = gc_frame_new();
  if (strlit10344 == NULL) {
    strlit10344 = alloc_String("A return statement must have either an expression or a new-line after 'return'.");
    gc_root(strlit10344);
  }
// compilenode returning strlit10344
  gc_frame_newslot(strlit10344);
// Begin line 3183
  setline(3183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10345 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10346 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10345);
// compilenode returning call10346
// compilenode returning call10346
  gc_frame_newslot(call10346);
  int callframe10347 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10348 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10347);
// compilenode returning call10348
// compilenode returning call10348
  gc_frame_newslot(call10348);
  Object num10350 = alloc_Float64(1);
// compilenode returning num10350
  int op_slot_right_10349 = gc_frame_newslot(num10350);
  int callframe10353 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10354 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe10353);
// compilenode returning call10354
// compilenode returning call10354
  int op_slot_right_10352 = gc_frame_newslot(call10354);
  int callframe10356 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10357 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10356);
// compilenode returning call10357
// compilenode returning call10357
  int op_slot_left_10352 = gc_frame_newslot(call10357);
  params[0] = call10354;
  partcv[0] = 1;
  Object sum10358 = callmethod(call10357, "+", 1, partcv, params);
// compilenode returning sum10358
  int op_slot_left_10349 = gc_frame_newslot(sum10358);
  params[0] = num10350;
  partcv[0] = 1;
  Object diff10359 = callmethod(sum10358, "-", 1, partcv, params);
// compilenode returning diff10359
  gc_frame_newslot(diff10359);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3182
  setline(3182);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10344;
  params[1] = call10346;
  params[2] = call10348;
  params[3] = diff10359;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10360 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe10343);
// compilenode returning call10360
    gc_frame_newslot(call10360);
    if10285 = call10360;
  } else {
  }
// compilenode returning if10285
// Begin line 3186
  setline(3186);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3185
  setline(3185);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10361 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10362 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10361);
// compilenode returning call10362
// compilenode returning call10362
  *var_retval = call10362;
  if (call10362 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10282 = done;
  } else {
// Begin line 3187
  setline(3187);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10364 = gc_frame_new();
  if (strlit10365 == NULL) {
    strlit10365 = alloc_String("done");
    gc_root(strlit10365);
  }
// compilenode returning strlit10365
  gc_frame_newslot(strlit10365);
  Object bool10366 = alloc_Boolean(0);
// compilenode returning bool10366
  gc_frame_newslot(bool10366);
  int callframe10367 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10368 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe10367);
// compilenode returning call10368
// compilenode returning call10368
  params[0] = strlit10365;
  params[1] = bool10366;
  partcv[0] = 2;
  Object call10369 = callmethod(call10368, "new",
    1, partcv, params);
  gc_frame_end(callframe10364);
// compilenode returning call10369
  *var_retval = call10369;
  if (call10369 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10282 = done;
  }
// compilenode returning if10282
// Begin line 3189
  setline(3189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10371 = gc_frame_new();
// compilenode returning *var_retval
  gc_frame_newslot(*var_retval);
  int callframe10372 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10373 = callmethod(*var_ast, "returnNode",
    1, partcv, params);
  gc_frame_end(callframe10372);
// compilenode returning call10373
// compilenode returning call10373
  params[0] = *var_retval;
  partcv[0] = 1;
  Object call10374 = callmethod(call10373, "new",
    1, partcv, params);
  gc_frame_end(callframe10371);
// compilenode returning call10374
  *var_o = call10374;
  if (call10374 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3190
  setline(3190);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10375 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10376 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10375);
// compilenode returning call10376
    gc_frame_newslot(call10376);
    if10267 = call10376;
  } else {
  }
// compilenode returning if10267
  gc_frame_end(frame);
  return if10267;
}
Object meth_parser_domethodtype10377(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 54, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "domethodtype");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for domethodtype (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for domethodtype");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_m = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "m");
  Object *var_meth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "meth");
  Object *var_signature = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "signature");
  Object *var_dtype = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "dtype");
  Object *var_varargs = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "varargs");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
  Object *var_suggestion = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestion");
  Object *var_newLine = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "newLine");
// Begin line 3196
  setline(3196);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10378 = gc_frame_new();
  Object bool10379 = alloc_Boolean(1);
// compilenode returning bool10379
  gc_frame_newslot(bool10379);
  params[0] = bool10379;
  partcv[0] = 1;
  Object call10380 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10378);
// compilenode returning call10380
  *var_m = call10380;
  if (call10380 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3198
  setline(3198);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3197
  setline(3197);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10381 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10382 = callmethod(*var_m, "m",
    1, partcv, params);
  gc_frame_end(callframe10381);
// compilenode returning call10382
// compilenode returning call10382
  *var_meth = call10382;
  if (call10382 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3199
  setline(3199);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3198
  setline(3198);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10383 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10384 = callmethod(*var_m, "sig",
    1, partcv, params);
  gc_frame_end(callframe10383);
// compilenode returning call10384
// compilenode returning call10384
  *var_signature = call10384;
  if (call10384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3200
  setline(3200);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3199
  setline(3199);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10385 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10386 = callmethod(*var_m, "rtype",
    1, partcv, params);
  gc_frame_end(callframe10385);
// compilenode returning call10386
// compilenode returning call10386
  *var_dtype = call10386;
  if (call10386 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3201
  setline(3201);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3200
  setline(3200);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10387 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10388 = callmethod(*var_m, "v",
    1, partcv, params);
  gc_frame_end(callframe10387);
// compilenode returning call10388
// compilenode returning call10388
  *var_varargs = call10388;
  if (call10388 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3204
  setline(3204);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3201
  setline(3201);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool10391 = alloc_Boolean(0);
// compilenode returning bool10391
  int op_slot_right_10390 = gc_frame_newslot(bool10391);
// compilenode returning *var_dtype
  int op_slot_left_10390 = gc_frame_newslot(*var_dtype);
  params[0] = bool10391;
  partcv[0] = 1;
  Object opresult10393 = callmethod(*var_dtype, "==", 1, partcv, params);
// compilenode returning opresult10393
  Object if10389 = done;
  if (istrue(opresult10393)) {
// Begin line 3202
  setline(3202);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10394 = gc_frame_new();
  if (strlit10395 == NULL) {
    strlit10395 = alloc_String("Done");
    gc_root(strlit10395);
  }
// compilenode returning strlit10395
  gc_frame_newslot(strlit10395);
  Object bool10396 = alloc_Boolean(0);
// compilenode returning bool10396
  gc_frame_newslot(bool10396);
  int callframe10397 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10398 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe10397);
// compilenode returning call10398
// compilenode returning call10398
  params[0] = strlit10395;
  params[1] = bool10396;
  partcv[0] = 2;
  Object call10399 = callmethod(call10398, "new",
    1, partcv, params);
  gc_frame_end(callframe10394);
// compilenode returning call10399
  *var_dtype = call10399;
  if (call10399 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10389 = done;
  } else {
  }
// compilenode returning if10389
// Begin line 3204
  setline(3204);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10401 = gc_frame_new();
  int callframe10402 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call10403 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe10402);
// compilenode returning call10403
// compilenode returning call10403
  gc_frame_newslot(call10403);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe10404 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10405 = callmethod(*var_ast, "methodTypeNode",
    1, partcv, params);
  gc_frame_end(callframe10404);
// compilenode returning call10405
// compilenode returning call10405
  params[0] = call10403;
  params[1] = *var_signature;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call10406 = callmethod(call10405, "new",
    1, partcv, params);
  gc_frame_end(callframe10401);
// compilenode returning call10406
  *var_o = call10406;
  if (call10406 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3206
  setline(3206);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3204
  setline(3204);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10407 = gc_frame_new();
// Begin line 3205
  setline(3205);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10408 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10409 = callmethod(*var_m, "generics",
    1, partcv, params);
  gc_frame_end(callframe10408);
// compilenode returning call10409
// compilenode returning call10409
  gc_frame_newslot(call10409);
// compilenode returning *var_o
  params[0] = call10409;
  partcv[0] = 1;
  Object call10410 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe10407);
// compilenode returning call10410
// compilenode returning done
// Begin line 3206
  setline(3206);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10411 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10412 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10411);
// compilenode returning call10412
// Begin line 3221
  setline(3221);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3207
  setline(3207);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10414 = gc_frame_new();
  if (strlit10415 == NULL) {
    strlit10415 = alloc_String("semicolon");
    gc_root(strlit10415);
  }
// compilenode returning strlit10415
  gc_frame_newslot(strlit10415);
  params[0] = strlit10415;
  partcv[0] = 1;
  Object call10416 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10414);
// compilenode returning call10416
  Object if10413 = done;
  if (istrue(call10416)) {
// Begin line 3208
  setline(3208);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10417 = gc_frame_new();
  partcv[0] = 0;
  Object call10418 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10417);
// compilenode returning call10418
    gc_frame_newslot(call10418);
    if10413 = call10418;
  } else {
// Begin line 3220
  setline(3220);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3210
  setline(3210);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10420 = gc_frame_new();
  int callframe10421 = gc_frame_new();
  if (strlit10422 == NULL) {
    strlit10422 = alloc_String("rbrace");
    gc_root(strlit10422);
  }
// compilenode returning strlit10422
  gc_frame_newslot(strlit10422);
  params[0] = strlit10422;
  partcv[0] = 1;
  Object call10423 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10421);
// compilenode returning call10423
  partcv[0] = 0;
  Object call10424 = callmethod(call10423, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe10420);
// compilenode returning call10424
  Object if10419 = done;
  if (istrue(call10424)) {
// Begin line 3219
  setline(3219);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3211
  setline(3211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10427 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10428 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10427);
// compilenode returning call10428
// compilenode returning call10428
  int op_slot_right_10426 = gc_frame_newslot(call10428);
  int callframe10430 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10431 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10430);
// compilenode returning call10431
// compilenode returning call10431
  int op_slot_left_10426 = gc_frame_newslot(call10431);
  params[0] = call10428;
  partcv[0] = 1;
  Object opresult10432 = callmethod(call10431, "==", 1, partcv, params);
// compilenode returning opresult10432
  Object if10425 = done;
  if (istrue(opresult10432)) {
// Begin line 3213
  setline(3213);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3212
  setline(3212);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10433 = gc_frame_new();
  int callframe10434 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10435 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10434);
// compilenode returning call10435
// compilenode returning call10435
  partcv[0] = 0;
  Object call10436 = callmethod(call10435, "new",
    1, partcv, params);
  gc_frame_end(callframe10433);
// compilenode returning call10436
// compilenode returning call10436
  *var_suggestion = call10436;
  if (call10436 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3214
  setline(3214);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3213
  setline(3213);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10438 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10439 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10438);
// compilenode returning call10439
// compilenode returning call10439
  int op_slot_right_10437 = gc_frame_newslot(call10439);
  int callframe10441 = gc_frame_new();
  Object num10442 = alloc_Float64(1);
// compilenode returning num10442
  gc_frame_newslot(num10442);
  Object num10444 = alloc_Float64(1);
// compilenode returning num10444
  int op_slot_right_10443 = gc_frame_newslot(num10444);
  int callframe10446 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10447 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10446);
// compilenode returning call10447
// compilenode returning call10447
  int op_slot_left_10443 = gc_frame_newslot(call10447);
  params[0] = num10444;
  partcv[0] = 1;
  Object diff10448 = callmethod(call10447, "-", 1, partcv, params);
// compilenode returning diff10448
  gc_frame_newslot(diff10448);
  int callframe10449 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call10450 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe10449);
// compilenode returning call10450
// compilenode returning call10450
  int callframe10451 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10452 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10451);
// compilenode returning call10452
// compilenode returning call10452
  params[0] = call10452;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres10453 = callmethod(call10450, "[]", 1, partcv, params);
// compilenode returning idxres10453
  params[0] = num10442;
  params[1] = diff10448;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10454 = callmethod(idxres10453, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe10441);
// compilenode returning call10454
  int op_slot_left_10437 = gc_frame_newslot(call10454);
  params[0] = call10439;
  partcv[0] = 1;
  Object opresult10455 = callmethod(call10454, "++", 1, partcv, params);
// compilenode returning opresult10455
  *var_newLine = opresult10455;
  if (opresult10455 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3214
  setline(3214);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10456 = gc_frame_new();
  Object num10458 = alloc_Float64(0.1);
// compilenode returning num10458
  int op_slot_right_10457 = gc_frame_newslot(num10458);
  int callframe10460 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10461 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10460);
// compilenode returning call10461
// compilenode returning call10461
  int op_slot_left_10457 = gc_frame_newslot(call10461);
  params[0] = num10458;
  partcv[0] = 1;
  Object sum10462 = callmethod(call10461, "+", 1, partcv, params);
// compilenode returning sum10462
  gc_frame_newslot(sum10462);
// compilenode returning *var_newLine
  gc_frame_newslot(*var_newLine);
// compilenode returning *var_suggestion
  params[0] = sum10462;
  params[1] = *var_newLine;
  partcv[0] = 2;
  Object call10463 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe10456);
// compilenode returning call10463
// Begin line 3215
  setline(3215);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10464 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool10465 = alloc_Boolean(1);
// compilenode returning bool10465
  gc_frame_newslot(bool10465);
  Object bool10466 = alloc_Boolean(1);
// compilenode returning bool10466
  gc_frame_newslot(bool10466);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool10465;
  params[2] = bool10466;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10467 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10464);
// compilenode returning call10467
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10468 = gc_frame_new();
  if (strlit10469 == NULL) {
    strlit10469 = alloc_String("Methods in a type must be on separate lines, or separated by semicolons.");
    gc_root(strlit10469);
  }
// compilenode returning strlit10469
  gc_frame_newslot(strlit10469);
// Begin line 3217
  setline(3217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10470 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10471 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10470);
// compilenode returning call10471
// compilenode returning call10471
  gc_frame_newslot(call10471);
  int callframe10472 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10473 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10472);
// compilenode returning call10473
// compilenode returning call10473
  gc_frame_newslot(call10473);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10469;
  params[1] = call10471;
  params[2] = call10473;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10474 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10468);
// compilenode returning call10474
    gc_frame_newslot(call10474);
    if10425 = call10474;
  } else {
  }
// compilenode returning if10425
    gc_frame_newslot(if10425);
    if10419 = if10425;
  } else {
  }
// compilenode returning if10419
    gc_frame_newslot(if10419);
    if10413 = if10419;
  }
// compilenode returning if10413
  gc_frame_end(frame);
  return if10413;
}
Object meth_parser__apply10479(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit10481 == NULL) {
    strlit10481 = alloc_String("type");
    gc_root(strlit10481);
  }
// compilenode returning strlit10481
  int op_slot_right_10480 = gc_frame_newslot(strlit10481);
  int callframe10483 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10484 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10483);
// compilenode returning call10484
// compilenode returning call10484
  int op_slot_left_10480 = gc_frame_newslot(call10484);
  params[0] = strlit10481;
  partcv[0] = 1;
  Object opresult10485 = callmethod(call10484, "==", 1, partcv, params);
// compilenode returning opresult10485
  gc_frame_end(frame);
  return opresult10485;
}
Object meth_parser__apply10528(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe10529 = gc_frame_new();
  int callframe10530 = gc_frame_new();
  if (strlit10531 == NULL) {
    strlit10531 = alloc_String("rbrace");
    gc_root(strlit10531);
  }
// compilenode returning strlit10531
  gc_frame_newslot(strlit10531);
  params[0] = strlit10531;
  partcv[0] = 1;
  Object call10532 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10530);
// compilenode returning call10532
  partcv[0] = 0;
  Object call10533 = callmethod(call10532, "not",
    1, partcv, params);
  gc_frame_end(callframe10529);
// compilenode returning call10533
// compilenode returning call10533
  gc_frame_end(frame);
  return call10533;
}
Object meth_parser__apply10540(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit10542 == NULL) {
    strlit10542 = alloc_String("type");
    gc_root(strlit10542);
  }
// compilenode returning strlit10542
  int op_slot_right_10541 = gc_frame_newslot(strlit10542);
  int callframe10544 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10545 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10544);
// compilenode returning call10545
// compilenode returning call10545
  int op_slot_left_10541 = gc_frame_newslot(call10545);
  params[0] = strlit10542;
  partcv[0] = 1;
  Object opresult10546 = callmethod(call10545, "==", 1, partcv, params);
// compilenode returning opresult10546
  gc_frame_end(frame);
  return opresult10546;
}
Object meth_parser__apply10536(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_types = getfromclosure(closure, 2);
  Object *var_methods = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3249
  setline(3249);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3242
  setline(3242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10538 = gc_frame_new();
  Object block10539 = alloc_Block(NULL, NULL, "parser", 3242);
  gc_frame_newslot(block10539);
  block_savedest(block10539);
  Object closure10540 = createclosure(2, "_apply");
  setclosureframe(closure10540, stackframe);
  addtoclosure(closure10540, var_sym);
  addtoclosure(closure10540, selfslot);
  struct UserObject *uo10540 = (struct UserObject*)block10539;
  uo10540->data[0] = (Object)closure10540;
  Method *meth_meth_parser__apply10540 = addmethod2pos(block10539, "_apply", &meth_parser__apply10540, 0);
int argcv_meth_parser__apply10540[] = {0};
meth_meth_parser__apply10540->type = alloc_MethodType(1, argcv_meth_parser__apply10540);
  meth_meth_parser__apply10540->definitionModule = modulename;
  meth_meth_parser__apply10540->definitionLine = 3241;
// compilenode returning block10539
  gc_frame_newslot(block10539);
  int callframe10548 = gc_frame_new();
  if (strlit10549 == NULL) {
    strlit10549 = alloc_String("keyword");
    gc_root(strlit10549);
  }
// compilenode returning strlit10549
  gc_frame_newslot(strlit10549);
  params[0] = strlit10549;
  partcv[0] = 1;
  Object call10550 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10548);
// compilenode returning call10550
  params[0] = block10539;
  partcv[0] = 1;
  Object call10551 = callmethod(call10550, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe10538);
// compilenode returning call10551
  Object if10537 = done;
  if (istrue(call10551)) {
// Begin line 3243
  setline(3243);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10552 = gc_frame_new();
  partcv[0] = 0;
  Object call10553 = callmethodflags(self, "typedec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10552);
// compilenode returning call10553
// Begin line 3244
  setline(3244);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10554 = gc_frame_new();
  int callframe10555 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10556 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10555);
// compilenode returning call10556
// compilenode returning call10556
  gc_frame_newslot(call10556);
// compilenode returning *var_types
  params[0] = call10556;
  partcv[0] = 1;
  Object call10557 = callmethod(*var_types, "push",
    1, partcv, params);
  gc_frame_end(callframe10554);
// compilenode returning call10557
    gc_frame_newslot(call10557);
    if10537 = call10557;
  } else {
// Begin line 3246
  setline(3246);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10558 = gc_frame_new();
  partcv[0] = 0;
  Object call10559 = callmethodflags(self, "domethodtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10558);
// compilenode returning call10559
// Begin line 3247
  setline(3247);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10560 = gc_frame_new();
  int callframe10561 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10562 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10561);
// compilenode returning call10562
// compilenode returning call10562
  gc_frame_newslot(call10562);
// compilenode returning *var_methods
  params[0] = call10562;
  partcv[0] = 1;
  Object call10563 = callmethod(*var_methods, "push",
    1, partcv, params);
  gc_frame_end(callframe10560);
// compilenode returning call10563
    gc_frame_newslot(call10563);
    if10537 = call10563;
  }
// compilenode returning if10537
  gc_frame_end(frame);
  return if10537;
}
Object meth_parser_dotypeLiteral10475(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 55, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotypeLiteral");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_done = getfromclosure(closure, 2);
  Object *var_auto_count = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotypeLiteral (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dotypeLiteral");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_methods = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "methods");
  Object *var_types = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "types");
  Object *var_mc = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "mc");
  Object *var_t = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "t");
// Begin line 3235
  setline(3235);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3225
  setline(3225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10477 = gc_frame_new();
  Object block10478 = alloc_Block(NULL, NULL, "parser", 3225);
  gc_frame_newslot(block10478);
  block_savedest(block10478);
  Object closure10479 = createclosure(2, "_apply");
  setclosureframe(closure10479, stackframe);
  addtoclosure(closure10479, var_sym);
  addtoclosure(closure10479, selfslot);
  struct UserObject *uo10479 = (struct UserObject*)block10478;
  uo10479->data[0] = (Object)closure10479;
  Method *meth_meth_parser__apply10479 = addmethod2pos(block10478, "_apply", &meth_parser__apply10479, 0);
int argcv_meth_parser__apply10479[] = {0};
meth_meth_parser__apply10479->type = alloc_MethodType(1, argcv_meth_parser__apply10479);
  meth_meth_parser__apply10479->definitionModule = modulename;
  meth_meth_parser__apply10479->definitionLine = 3217;
// compilenode returning block10478
  gc_frame_newslot(block10478);
  int callframe10487 = gc_frame_new();
  if (strlit10488 == NULL) {
    strlit10488 = alloc_String("keyword");
    gc_root(strlit10488);
  }
// compilenode returning strlit10488
  gc_frame_newslot(strlit10488);
  params[0] = strlit10488;
  partcv[0] = 1;
  Object call10489 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10487);
// compilenode returning call10489
  params[0] = block10478;
  partcv[0] = 1;
  Object call10490 = callmethod(call10489, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe10477);
// compilenode returning call10490
  Object if10476 = done;
  if (istrue(call10490)) {
// Begin line 3226
  setline(3226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10491 = gc_frame_new();
  partcv[0] = 0;
  Object call10492 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10491);
// compilenode returning call10492
// Begin line 3234
  setline(3234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3227
  setline(3227);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10494 = gc_frame_new();
  int callframe10495 = gc_frame_new();
  if (strlit10496 == NULL) {
    strlit10496 = alloc_String("lbrace");
    gc_root(strlit10496);
  }
// compilenode returning strlit10496
  gc_frame_newslot(strlit10496);
  params[0] = strlit10496;
  partcv[0] = 1;
  Object call10497 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10495);
// compilenode returning call10497
  partcv[0] = 0;
  Object call10498 = callmethod(call10497, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe10494);
// compilenode returning call10498
  Object if10493 = done;
  if (istrue(call10498)) {
// Begin line 3229
  setline(3229);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3228
  setline(3228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10499 = gc_frame_new();
  int callframe10500 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10501 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10500);
// compilenode returning call10501
// compilenode returning call10501
  partcv[0] = 0;
  Object call10502 = callmethod(call10501, "new",
    1, partcv, params);
  gc_frame_end(callframe10499);
// compilenode returning call10502
// compilenode returning call10502
  *var_suggestion = call10502;
  if (call10502 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3229
  setline(3229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10503 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit10504 == NULL) {
    strlit10504 = alloc_String("{");
    gc_root(strlit10504);
  }
// compilenode returning strlit10504
  gc_frame_newslot(strlit10504);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit10504;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10505 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe10503);
// compilenode returning call10505
// Begin line 3230
  setline(3230);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10506 = gc_frame_new();
  if (strlit10507 == NULL) {
    strlit10507 = alloc_String("type literals must open with a brace.");
    gc_root(strlit10507);
  }
// compilenode returning strlit10507
  gc_frame_newslot(strlit10507);
// Begin line 3231
  setline(3231);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10508 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10509 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10508);
// compilenode returning call10509
// compilenode returning call10509
  gc_frame_newslot(call10509);
  int callframe10510 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10511 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10510);
// compilenode returning call10511
// compilenode returning call10511
  gc_frame_newslot(call10511);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3230
  setline(3230);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10507;
  params[1] = call10509;
  params[2] = call10511;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10512 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10506);
// compilenode returning call10512
// Begin line 3233
  setline(3233);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_done
  return *var_done;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if10493 = undefined;
  } else {
  }
// compilenode returning if10493
    gc_frame_newslot(if10493);
    if10476 = if10493;
  } else {
  }
// compilenode returning if10476
// Begin line 3254
  setline(3254);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3235
  setline(3235);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10514 = gc_frame_new();
  if (strlit10515 == NULL) {
    strlit10515 = alloc_String("lbrace");
    gc_root(strlit10515);
  }
// compilenode returning strlit10515
  gc_frame_newslot(strlit10515);
  params[0] = strlit10515;
  partcv[0] = 1;
  Object call10516 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10514);
// compilenode returning call10516
  Object if10513 = done;
  if (istrue(call10516)) {
// Begin line 3237
  setline(3237);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3236
  setline(3236);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10517 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10517
  *var_methods = array10517;
  if (array10517 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3238
  setline(3238);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3237
  setline(3237);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10518 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10518
  *var_types = array10518;
  if (array10518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3239
  setline(3239);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3238
  setline(3238);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_auto_count
  *var_mc = *var_auto_count;
  if (*var_auto_count == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3240
  setline(3240);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3239
  setline(3239);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num10520 = alloc_Float64(1);
// compilenode returning num10520
  int op_slot_right_10519 = gc_frame_newslot(num10520);
// compilenode returning *var_auto_count
  int op_slot_left_10519 = gc_frame_newslot(*var_auto_count);
  params[0] = num10520;
  partcv[0] = 1;
  Object sum10522 = callmethod(*var_auto_count, "+", 1, partcv, params);
// compilenode returning sum10522
  *var_auto_count = sum10522;
  if (sum10522 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3240
  setline(3240);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10524 = gc_frame_new();
  partcv[0] = 0;
  Object call10525 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10524);
// compilenode returning call10525
// Begin line 3241
  setline(3241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10526 = gc_frame_new();
  Object block10527 = alloc_Block(NULL, NULL, "parser", 3241);
  gc_frame_newslot(block10527);
  block_savedest(block10527);
  Object closure10528 = createclosure(1, "_apply");
  setclosureframe(closure10528, stackframe);
  addtoclosure(closure10528, selfslot);
  struct UserObject *uo10528 = (struct UserObject*)block10527;
  uo10528->data[0] = (Object)closure10528;
  Method *meth_meth_parser__apply10528 = addmethod2pos(block10527, "_apply", &meth_parser__apply10528, 0);
int argcv_meth_parser__apply10528[] = {0};
meth_meth_parser__apply10528->type = alloc_MethodType(1, argcv_meth_parser__apply10528);
  meth_meth_parser__apply10528->definitionModule = modulename;
  meth_meth_parser__apply10528->definitionLine = 3231;
// compilenode returning block10527
  gc_frame_newslot(block10527);
  Object block10535 = alloc_Block(NULL, NULL, "parser", 3241);
  gc_frame_newslot(block10535);
  block_savedest(block10535);
  Object closure10536 = createclosure(5, "_apply");
  setclosureframe(closure10536, stackframe);
  addtoclosure(closure10536, var_sym);
  addtoclosure(closure10536, var_values);
  addtoclosure(closure10536, var_types);
  addtoclosure(closure10536, var_methods);
  addtoclosure(closure10536, selfslot);
  struct UserObject *uo10536 = (struct UserObject*)block10535;
  uo10536->data[0] = (Object)closure10536;
  Method *meth_meth_parser__apply10536 = addmethod2pos(block10535, "_apply", &meth_parser__apply10536, 0);
int argcv_meth_parser__apply10536[] = {0};
meth_meth_parser__apply10536->type = alloc_MethodType(1, argcv_meth_parser__apply10536);
  meth_meth_parser__apply10536->definitionModule = modulename;
  meth_meth_parser__apply10536->definitionLine = 3241;
// compilenode returning block10535
  gc_frame_newslot(block10535);
  params[0] = block10527;
  params[1] = block10535;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10565 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10526);
// compilenode returning call10565
// Begin line 3250
  setline(3250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10566 = gc_frame_new();
  partcv[0] = 0;
  Object call10567 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10566);
// compilenode returning call10567
// Begin line 3251
  setline(3251);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10568 = gc_frame_new();
// compilenode returning *var_methods
  gc_frame_newslot(*var_methods);
// compilenode returning *var_types
  gc_frame_newslot(*var_types);
  int callframe10569 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10570 = callmethod(*var_ast, "typeLiteralNode",
    1, partcv, params);
  gc_frame_end(callframe10569);
// compilenode returning call10570
// compilenode returning call10570
  params[0] = *var_methods;
  params[1] = *var_types;
  partcv[0] = 2;
  Object call10571 = callmethod(call10570, "new",
    1, partcv, params);
  gc_frame_end(callframe10568);
// compilenode returning call10571
  *var_t = call10571;
  if (call10571 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3252
  setline(3252);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10572 = gc_frame_new();
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
// compilenode returning *var_values
  params[0] = *var_t;
  partcv[0] = 1;
  Object call10573 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10572);
// compilenode returning call10573
    gc_frame_newslot(call10573);
    if10513 = call10573;
  } else {
  }
// compilenode returning if10513
  gc_frame_end(frame);
  return if10513;
}
Object meth_parser__apply10668(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit10670 == NULL) {
    strlit10670 = alloc_String("lbrace");
    gc_root(strlit10670);
  }
// compilenode returning strlit10670
  int op_slot_right_10669 = gc_frame_newslot(strlit10670);
  int callframe10672 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call10673 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe10672);
// compilenode returning call10673
// compilenode returning call10673
  int op_slot_left_10669 = gc_frame_newslot(call10673);
  params[0] = strlit10670;
  partcv[0] = 1;
  Object opresult10674 = callmethod(call10673, "==", 1, partcv, params);
// compilenode returning opresult10674
  gc_frame_end(frame);
  return opresult10674;
}
Object meth_parser__apply10680(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_nextTok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_sym
  int op_slot_right_10681 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_10681 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10683 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult10683
  gc_frame_end(frame);
  return opresult10683;
}
Object meth_parser_typedec10574(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 56, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typedec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_noBlocks = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typedec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typedec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_p = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "p");
  Object *var_gens = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "gens");
  Object *var_anns = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "anns");
  Object *var_nextTok = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "nextTok");
  Object *var_nt = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "nt");
// Begin line 3302
  setline(3302);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3258
  setline(3258);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10578 == NULL) {
    strlit10578 = alloc_String("type");
    gc_root(strlit10578);
  }
// compilenode returning strlit10578
  int op_slot_right_10577 = gc_frame_newslot(strlit10578);
  int callframe10580 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10581 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10580);
// compilenode returning call10581
// compilenode returning call10581
  int op_slot_left_10577 = gc_frame_newslot(call10581);
  params[0] = strlit10578;
  partcv[0] = 1;
  Object opresult10582 = callmethod(call10581, "==", 1, partcv, params);
// compilenode returning opresult10582
  int op_slot_right_10576 = gc_frame_newslot(opresult10582);
  int callframe10584 = gc_frame_new();
  if (strlit10585 == NULL) {
    strlit10585 = alloc_String("keyword");
    gc_root(strlit10585);
  }
// compilenode returning strlit10585
  gc_frame_newslot(strlit10585);
  params[0] = strlit10585;
  partcv[0] = 1;
  Object call10586 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10584);
// compilenode returning call10586
  int op_slot_left_10576 = gc_frame_newslot(call10586);
  params[0] = opresult10582;
  partcv[0] = 1;
  Object opresult10587 = callmethod(call10586, "&&", 1, partcv, params);
// compilenode returning opresult10587
  Object if10575 = done;
  if (istrue(opresult10587)) {
// Begin line 3260
  setline(3260);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3259
  setline(3259);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10588 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10589 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10588);
// compilenode returning call10589
// compilenode returning call10589
  *var_line = call10589;
  if (call10589 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3261
  setline(3261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3260
  setline(3260);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10590 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10591 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10590);
// compilenode returning call10591
// compilenode returning call10591
  *var_pos = call10591;
  if (call10591 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3261
  setline(3261);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10592 = gc_frame_new();
  partcv[0] = 0;
  Object call10593 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10592);
// compilenode returning call10593
// Begin line 3268
  setline(3268);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3262
  setline(3262);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10596 == NULL) {
    strlit10596 = alloc_String("identifier");
    gc_root(strlit10596);
  }
// compilenode returning strlit10596
  int op_slot_right_10595 = gc_frame_newslot(strlit10596);
  int callframe10598 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10599 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10598);
// compilenode returning call10599
// compilenode returning call10599
  int op_slot_left_10595 = gc_frame_newslot(call10599);
  params[0] = strlit10596;
  partcv[0] = 1;
  Object opresult10600 = callmethod(call10599, "!=", 1, partcv, params);
// compilenode returning opresult10600
  Object if10594 = done;
  if (istrue(opresult10600)) {
// Begin line 3264
  setline(3264);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3263
  setline(3263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10601 = gc_frame_new();
  int callframe10602 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10603 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10602);
// compilenode returning call10603
// compilenode returning call10603
  partcv[0] = 0;
  Object call10604 = callmethod(call10603, "new",
    1, partcv, params);
  gc_frame_end(callframe10601);
// compilenode returning call10604
// compilenode returning call10604
  *var_suggestion = call10604;
  if (call10604 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3264
  setline(3264);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10605 = gc_frame_new();
  if (strlit10606 == NULL) {
    strlit10606 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit10606);
  }
// compilenode returning strlit10606
  gc_frame_newslot(strlit10606);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10606;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10607 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10605);
// compilenode returning call10607
// Begin line 3265
  setline(3265);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10608 = gc_frame_new();
  if (strlit10609 == NULL) {
    strlit10609 = alloc_String("A type declaration must have a name after the 'type'.");
    gc_root(strlit10609);
  }
// compilenode returning strlit10609
  gc_frame_newslot(strlit10609);
// Begin line 3266
  setline(3266);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10610 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10611 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10610);
// compilenode returning call10611
// compilenode returning call10611
  gc_frame_newslot(call10611);
  Object num10613 = alloc_Float64(1);
// compilenode returning num10613
  int op_slot_right_10612 = gc_frame_newslot(num10613);
  int callframe10616 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10617 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10616);
// compilenode returning call10617
// compilenode returning call10617
  int op_slot_right_10615 = gc_frame_newslot(call10617);
  int callframe10619 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10620 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10619);
// compilenode returning call10620
// compilenode returning call10620
  int op_slot_left_10615 = gc_frame_newslot(call10620);
  params[0] = call10617;
  partcv[0] = 1;
  Object sum10621 = callmethod(call10620, "+", 1, partcv, params);
// compilenode returning sum10621
  int op_slot_left_10612 = gc_frame_newslot(sum10621);
  params[0] = num10613;
  partcv[0] = 1;
  Object sum10622 = callmethod(sum10621, "+", 1, partcv, params);
// compilenode returning sum10622
  gc_frame_newslot(sum10622);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3265
  setline(3265);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10609;
  params[1] = call10611;
  params[2] = sum10622;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10623 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10608);
// compilenode returning call10623
    gc_frame_newslot(call10623);
    if10594 = call10623;
  } else {
  }
// compilenode returning if10594
// Begin line 3268
  setline(3268);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10624 = gc_frame_new();
  partcv[0] = 0;
  Object call10625 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10624);
// compilenode returning call10625
// Begin line 3269
  setline(3269);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10626 = gc_frame_new();
  partcv[0] = 0;
  Object call10627 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10626);
// compilenode returning call10627
// Begin line 3271
  setline(3271);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3270
  setline(3270);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10628 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10629 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10628);
// compilenode returning call10629
// compilenode returning call10629
  *var_p = call10629;
  if (call10629 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3272
  setline(3272);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3271
  setline(3271);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10630 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10630
  *var_gens = array10630;
  if (array10630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3276
  setline(3276);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3272
  setline(3272);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10633 == NULL) {
    strlit10633 = alloc_String("generic");
    gc_root(strlit10633);
  }
// compilenode returning strlit10633
  int op_slot_right_10632 = gc_frame_newslot(strlit10633);
  int callframe10635 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10636 = callmethod(*var_p, "kind",
    1, partcv, params);
  gc_frame_end(callframe10635);
// compilenode returning call10636
// compilenode returning call10636
  int op_slot_left_10632 = gc_frame_newslot(call10636);
  params[0] = strlit10633;
  partcv[0] = 1;
  Object opresult10637 = callmethod(call10636, "==", 1, partcv, params);
// compilenode returning opresult10637
  Object if10631 = done;
  if (istrue(opresult10637)) {
// Begin line 3274
  setline(3274);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3273
  setline(3273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10638 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10639 = callmethod(*var_p, "params",
    1, partcv, params);
  gc_frame_end(callframe10638);
// compilenode returning call10639
// compilenode returning call10639
  *var_gens = call10639;
  if (call10639 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3275
  setline(3275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3274
  setline(3274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10641 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10642 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10641);
// compilenode returning call10642
// compilenode returning call10642
  *var_p = call10642;
  if (call10642 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10631 = done;
  } else {
  }
// compilenode returning if10631
// Begin line 3277
  setline(3277);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3276
  setline(3276);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10644 = gc_frame_new();
  partcv[0] = 0;
  Object call10645 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10644);
// compilenode returning call10645
  *var_anns = call10645;
  if (call10645 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3288
  setline(3288);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3277
  setline(3277);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10649 == NULL) {
    strlit10649 = alloc_String("=");
    gc_root(strlit10649);
  }
// compilenode returning strlit10649
  int op_slot_right_10648 = gc_frame_newslot(strlit10649);
  int callframe10651 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10652 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10651);
// compilenode returning call10652
// compilenode returning call10652
  int op_slot_left_10648 = gc_frame_newslot(call10652);
  params[0] = strlit10649;
  partcv[0] = 1;
  Object opresult10653 = callmethod(call10652, "!=", 1, partcv, params);
// compilenode returning opresult10653
  int op_slot_right_10647 = gc_frame_newslot(opresult10653);
  if (strlit10656 == NULL) {
    strlit10656 = alloc_String("op");
    gc_root(strlit10656);
  }
// compilenode returning strlit10656
  int op_slot_right_10655 = gc_frame_newslot(strlit10656);
  int callframe10658 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10659 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10658);
// compilenode returning call10659
// compilenode returning call10659
  int op_slot_left_10655 = gc_frame_newslot(call10659);
  params[0] = strlit10656;
  partcv[0] = 1;
  Object opresult10660 = callmethod(call10659, "!=", 1, partcv, params);
// compilenode returning opresult10660
  int op_slot_left_10647 = gc_frame_newslot(opresult10660);
  params[0] = opresult10653;
  partcv[0] = 1;
  Object opresult10661 = callmethod(opresult10660, "||", 1, partcv, params);
// compilenode returning opresult10661
  Object if10646 = done;
  if (istrue(opresult10661)) {
// Begin line 3279
  setline(3279);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3278
  setline(3278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10662 = gc_frame_new();
  int callframe10663 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10664 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10663);
// compilenode returning call10664
// compilenode returning call10664
  partcv[0] = 0;
  Object call10665 = callmethod(call10664, "new",
    1, partcv, params);
  gc_frame_end(callframe10662);
// compilenode returning call10665
// compilenode returning call10665
  *var_suggestion = call10665;
  if (call10665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3279
  setline(3279);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10666 = gc_frame_new();
  Object block10667 = alloc_Block(NULL, NULL, "parser", 3279);
  gc_frame_newslot(block10667);
  block_savedest(block10667);
  Object closure10668 = createclosure(1, "_apply");
  setclosureframe(closure10668, stackframe);
  addtoclosure(closure10668, selfslot);
  struct UserObject *uo10668 = (struct UserObject*)block10667;
  uo10668->data[0] = (Object)closure10668;
  Method *meth_meth_parser__apply10668 = addmethod2pos(block10667, "_apply", &meth_parser__apply10668, 0);
int argcv_meth_parser__apply10668[] = {1};
meth_meth_parser__apply10668->type = alloc_MethodType(1, argcv_meth_parser__apply10668);
  meth_meth_parser__apply10668->definitionModule = modulename;
  meth_meth_parser__apply10668->definitionLine = 3278;
// compilenode returning block10667
  gc_frame_newslot(block10667);
  params[0] = block10667;
  partcv[0] = 1;
  Object call10676 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10666);
// compilenode returning call10676
  *var_nextTok = call10676;
  if (call10676 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3285
  setline(3285);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3280
  setline(3280);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10678 = gc_frame_new();
  Object block10679 = alloc_Block(NULL, NULL, "parser", 3280);
  gc_frame_newslot(block10679);
  block_savedest(block10679);
  Object closure10680 = createclosure(3, "_apply");
  setclosureframe(closure10680, stackframe);
  addtoclosure(closure10680, var_sym);
  addtoclosure(closure10680, var_nextTok);
  addtoclosure(closure10680, selfslot);
  struct UserObject *uo10680 = (struct UserObject*)block10679;
  uo10680->data[0] = (Object)closure10680;
  Method *meth_meth_parser__apply10680 = addmethod2pos(block10679, "_apply", &meth_parser__apply10680, 0);
int argcv_meth_parser__apply10680[] = {0};
meth_meth_parser__apply10680->type = alloc_MethodType(1, argcv_meth_parser__apply10680);
  meth_meth_parser__apply10680->definitionModule = modulename;
  meth_meth_parser__apply10680->definitionLine = 3279;
// compilenode returning block10679
  gc_frame_newslot(block10679);
  Object bool10686 = alloc_Boolean(0);
// compilenode returning bool10686
  int op_slot_right_10685 = gc_frame_newslot(bool10686);
// compilenode returning *var_nextTok
  int op_slot_left_10685 = gc_frame_newslot(*var_nextTok);
  params[0] = bool10686;
  partcv[0] = 1;
  Object opresult10688 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult10688
  params[0] = block10679;
  partcv[0] = 1;
  Object call10689 = callmethod(opresult10688, "orElse",
    1, partcv, params);
  gc_frame_end(callframe10678);
// compilenode returning call10689
  Object if10677 = done;
  if (istrue(call10689)) {
// Begin line 3281
  setline(3281);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10690 = gc_frame_new();
  if (strlit10691 == NULL) {
    strlit10691 = alloc_String(" =");
    gc_root(strlit10691);
  }
// compilenode returning strlit10691
  gc_frame_newslot(strlit10691);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10691;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10692 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10690);
// compilenode returning call10692
    gc_frame_newslot(call10692);
    if10677 = call10692;
  } else {
// Begin line 3283
  setline(3283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10693 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe10694 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call10695 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10694);
// compilenode returning call10695
// compilenode returning call10695
  gc_frame_newslot(call10695);
  if (strlit10696 == NULL) {
    strlit10696 = alloc_String("=");
    gc_root(strlit10696);
  }
// compilenode returning strlit10696
  gc_frame_newslot(strlit10696);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call10695;
  params[2] = strlit10696;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10697 = callmethod(*var_suggestion, "replaceTokenRange()with",
    2, partcv, params);
  gc_frame_end(callframe10693);
// compilenode returning call10697
    gc_frame_newslot(call10697);
    if10677 = call10697;
  }
// compilenode returning if10677
// Begin line 3285
  setline(3285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10698 = gc_frame_new();
  if (strlit10699 == NULL) {
    strlit10699 = alloc_String("A type declaration must have a '=' after the type name.");
    gc_root(strlit10699);
  }
// compilenode returning strlit10699
  gc_frame_newslot(strlit10699);
// Begin line 3286
  setline(3286);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10700 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10701 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10700);
// compilenode returning call10701
// compilenode returning call10701
  gc_frame_newslot(call10701);
  Object num10703 = alloc_Float64(1);
// compilenode returning num10703
  int op_slot_right_10702 = gc_frame_newslot(num10703);
  int callframe10706 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10707 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10706);
// compilenode returning call10707
// compilenode returning call10707
  int op_slot_right_10705 = gc_frame_newslot(call10707);
  int callframe10709 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10710 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10709);
// compilenode returning call10710
// compilenode returning call10710
  int op_slot_left_10705 = gc_frame_newslot(call10710);
  params[0] = call10707;
  partcv[0] = 1;
  Object sum10711 = callmethod(call10710, "+", 1, partcv, params);
// compilenode returning sum10711
  int op_slot_left_10702 = gc_frame_newslot(sum10711);
  params[0] = num10703;
  partcv[0] = 1;
  Object sum10712 = callmethod(sum10711, "+", 1, partcv, params);
// compilenode returning sum10712
  gc_frame_newslot(sum10712);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3285
  setline(3285);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10699;
  params[1] = call10701;
  params[2] = sum10712;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10713 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10698);
// compilenode returning call10713
    gc_frame_newslot(call10713);
    if10646 = call10713;
  } else {
  }
// compilenode returning if10646
// Begin line 3288
  setline(3288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10714 = gc_frame_new();
  partcv[0] = 0;
  Object call10715 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10714);
// compilenode returning call10715
// Begin line 3295
  setline(3295);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3290
  setline(3290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10717 = gc_frame_new();
  if (strlit10718 == NULL) {
    strlit10718 = alloc_String("lbrace");
    gc_root(strlit10718);
  }
// compilenode returning strlit10718
  gc_frame_newslot(strlit10718);
  params[0] = strlit10718;
  partcv[0] = 1;
  Object call10719 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10717);
// compilenode returning call10719
  Object if10716 = done;
  if (istrue(call10719)) {
// Begin line 3291
  setline(3291);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10720 = gc_frame_new();
  partcv[0] = 0;
  Object call10721 = callmethodflags(self, "dotypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10720);
// compilenode returning call10721
    gc_frame_newslot(call10721);
    if10716 = call10721;
  } else {
// Begin line 3293
  setline(3293);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10722 = gc_frame_new();
// compilenode returning *var_noBlocks
  gc_frame_newslot(*var_noBlocks);
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call10723 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10722);
// compilenode returning call10723
    gc_frame_newslot(call10723);
    if10716 = call10723;
  }
// compilenode returning if10716
// Begin line 3295
  setline(3295);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10724 = gc_frame_new();
// compilenode returning *var_p
  gc_frame_newslot(*var_p);
  int callframe10725 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10726 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10725);
// compilenode returning call10726
// compilenode returning call10726
  gc_frame_newslot(call10726);
  int callframe10727 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10728 = callmethod(*var_ast, "typeDecNode",
    1, partcv, params);
  gc_frame_end(callframe10727);
// compilenode returning call10728
// compilenode returning call10728
  params[0] = *var_p;
  params[1] = call10726;
  partcv[0] = 2;
  Object call10729 = callmethod(call10728, "new",
    1, partcv, params);
  gc_frame_end(callframe10724);
// compilenode returning call10729
  *var_nt = call10729;
  if (call10729 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3297
  setline(3297);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3295
  setline(3295);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10730 = gc_frame_new();
// Begin line 3296
  setline(3296);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_gens
  gc_frame_newslot(*var_gens);
// compilenode returning *var_nt
  params[0] = *var_gens;
  partcv[0] = 1;
  Object call10731 = callmethod(*var_nt, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe10730);
// compilenode returning call10731
// compilenode returning done
// Begin line 3300
  setline(3300);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3297
  setline(3297);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  int op_slot_right_10733 = gc_frame_newslot(*var_anns);
  Object bool10735 = alloc_Boolean(0);
// compilenode returning bool10735
  int op_slot_left_10733 = gc_frame_newslot(bool10735);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult10736 = callmethod(bool10735, "!=", 1, partcv, params);
// compilenode returning opresult10736
  Object if10732 = done;
  if (istrue(opresult10736)) {
// Begin line 3298
  setline(3298);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10737 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe10738 = gc_frame_new();
// compilenode returning *var_nt
  partcv[0] = 0;
  Object call10739 = callmethod(*var_nt, "annotations",
    1, partcv, params);
  gc_frame_end(callframe10738);
// compilenode returning call10739
// compilenode returning call10739
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call10740 = callmethod(call10739, "extend",
    1, partcv, params);
  gc_frame_end(callframe10737);
// compilenode returning call10740
    gc_frame_newslot(call10740);
    if10732 = call10740;
  } else {
  }
// compilenode returning if10732
// Begin line 3300
  setline(3300);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10741 = gc_frame_new();
// compilenode returning *var_nt
  gc_frame_newslot(*var_nt);
// compilenode returning *var_values
  params[0] = *var_nt;
  partcv[0] = 1;
  Object call10742 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10741);
// compilenode returning call10742
    gc_frame_newslot(call10742);
    if10575 = call10742;
  } else {
  }
// compilenode returning if10575
  gc_frame_end(frame);
  return if10575;
}
Object meth_parser__apply10822(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[3];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_suggestion = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___0 = &(stackframe->slots[0]);
  *var___0 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3318
  setline(3318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10823 = gc_frame_new();
  if (strlit10824 == NULL) {
    strlit10824 = alloc_String(" ");
    gc_root(strlit10824);
  }
// compilenode returning strlit10824
  gc_frame_newslot(strlit10824);
  Object num10825 = alloc_Float64(1);
// compilenode returning num10825
  gc_frame_newslot(num10825);
  int callframe10826 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10827 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10826);
// compilenode returning call10827
// compilenode returning call10827
  gc_frame_newslot(call10827);
// compilenode returning *var_suggestion
  params[0] = strlit10824;
  params[1] = num10825;
  params[2] = call10827;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10828 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe10823);
// compilenode returning call10828
  gc_frame_end(frame);
  return call10828;
}
Object meth_parser__apply10840(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_minIndentLevel
  int op_slot_right_10842 = gc_frame_newslot(*var_minIndentLevel);
  int callframe10844 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10845 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10844);
// compilenode returning call10845
// compilenode returning call10845
  int op_slot_left_10842 = gc_frame_newslot(call10845);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10846 = callmethod(call10845, ">=", 1, partcv, params);
// compilenode returning opresult10846
  int op_slot_right_10841 = gc_frame_newslot(opresult10846);
  Object num10850 = alloc_Float64(1);
// compilenode returning num10850
  int op_slot_right_10849 = gc_frame_newslot(num10850);
  int callframe10852 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10853 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10852);
// compilenode returning call10853
// compilenode returning call10853
  int op_slot_left_10849 = gc_frame_newslot(call10853);
  params[0] = num10850;
  partcv[0] = 1;
  Object sum10854 = callmethod(call10853, "+", 1, partcv, params);
// compilenode returning sum10854
  int op_slot_right_10848 = gc_frame_newslot(sum10854);
  int callframe10856 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10857 = callmethod(*var_tok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10856);
// compilenode returning call10857
// compilenode returning call10857
  int op_slot_left_10848 = gc_frame_newslot(call10857);
  params[0] = sum10854;
  partcv[0] = 1;
  Object opresult10858 = callmethod(call10857, "!=", 1, partcv, params);
// compilenode returning opresult10858
  int op_slot_left_10841 = gc_frame_newslot(opresult10858);
  params[0] = opresult10846;
  partcv[0] = 1;
  Object opresult10859 = callmethod(opresult10858, "||", 1, partcv, params);
// compilenode returning opresult10859
  gc_frame_end(frame);
  return opresult10859;
}
Object meth_parser__apply10862(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe10863 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10864 = callmethod(*var_tok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10863);
// compilenode returning call10864
// compilenode returning call10864
  *var_tok = call10864;
  if (call10864 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply10877(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___1 = &(stackframe->slots[0]);
  *var___1 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3328
  setline(3328);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3327
  setline(3327);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10879 == NULL) {
    strlit10879 = alloc_String(" ");
    gc_root(strlit10879);
  }
// compilenode returning strlit10879
  int op_slot_right_10878 = gc_frame_newslot(strlit10879);
// compilenode returning *var_line
  int op_slot_left_10878 = gc_frame_newslot(*var_line);
  params[0] = strlit10879;
  partcv[0] = 1;
  Object opresult10881 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult10881
  *var_line = opresult10881;
  if (opresult10881 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_checkIndent10743(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 57, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkIndent (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for checkIndent");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_tok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tok");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
// Begin line 3338
  setline(3338);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3305
  setline(3305);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indentFreePass
  Object if10744 = done;
  if (istrue(*var_indentFreePass)) {
// Begin line 3307
  setline(3307);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3306
  setline(3306);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool10745 = alloc_Boolean(0);
// compilenode returning bool10745
  *var_indentFreePass = bool10745;
  if (bool10745 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10744 = done;
  } else {
// Begin line 3309
  setline(3309);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3307
  setline(3307);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10749 == NULL) {
    strlit10749 = alloc_String("semicolon");
    gc_root(strlit10749);
  }
// compilenode returning strlit10749
  int op_slot_right_10748 = gc_frame_newslot(strlit10749);
  int callframe10751 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10752 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10751);
// compilenode returning call10752
// compilenode returning call10752
  int op_slot_left_10748 = gc_frame_newslot(call10752);
  params[0] = strlit10749;
  partcv[0] = 1;
  Object opresult10753 = callmethod(call10752, "==", 1, partcv, params);
// compilenode returning opresult10753
  Object if10747 = done;
  if (istrue(opresult10753)) {
    gc_frame_newslot(done);
    if10747 = done;
  } else {
// Begin line 3312
  setline(3312);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3310
  setline(3310);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10757 == NULL) {
    strlit10757 = alloc_String("rsquare");
    gc_root(strlit10757);
  }
// compilenode returning strlit10757
  int op_slot_right_10756 = gc_frame_newslot(strlit10757);
  int callframe10759 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10760 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10759);
// compilenode returning call10760
// compilenode returning call10760
  int op_slot_left_10756 = gc_frame_newslot(call10760);
  params[0] = strlit10757;
  partcv[0] = 1;
  Object opresult10761 = callmethod(call10760, "==", 1, partcv, params);
// compilenode returning opresult10761
  int op_slot_right_10755 = gc_frame_newslot(opresult10761);
// Begin line 3309
  setline(3309);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10765 == NULL) {
    strlit10765 = alloc_String("rparen");
    gc_root(strlit10765);
  }
// compilenode returning strlit10765
  int op_slot_right_10764 = gc_frame_newslot(strlit10765);
  int callframe10767 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10768 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10767);
// compilenode returning call10768
// compilenode returning call10768
  int op_slot_left_10764 = gc_frame_newslot(call10768);
  params[0] = strlit10765;
  partcv[0] = 1;
  Object opresult10769 = callmethod(call10768, "==", 1, partcv, params);
// compilenode returning opresult10769
  int op_slot_right_10763 = gc_frame_newslot(opresult10769);
  if (strlit10772 == NULL) {
    strlit10772 = alloc_String("rbrace");
    gc_root(strlit10772);
  }
// compilenode returning strlit10772
  int op_slot_right_10771 = gc_frame_newslot(strlit10772);
  int callframe10774 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10775 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10774);
// compilenode returning call10775
// compilenode returning call10775
  int op_slot_left_10771 = gc_frame_newslot(call10775);
  params[0] = strlit10772;
  partcv[0] = 1;
  Object opresult10776 = callmethod(call10775, "==", 1, partcv, params);
// compilenode returning opresult10776
  int op_slot_left_10763 = gc_frame_newslot(opresult10776);
  params[0] = opresult10769;
  partcv[0] = 1;
  Object opresult10777 = callmethod(opresult10776, "||", 1, partcv, params);
// compilenode returning opresult10777
  int op_slot_left_10755 = gc_frame_newslot(opresult10777);
  params[0] = opresult10761;
  partcv[0] = 1;
  Object opresult10778 = callmethod(opresult10777, "||", 1, partcv, params);
// compilenode returning opresult10778
  Object if10754 = done;
  if (istrue(opresult10778)) {
    gc_frame_newslot(done);
    if10754 = done;
  } else {
// Begin line 3313
  setline(3313);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3312
  setline(3312);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10781 == NULL) {
    strlit10781 = alloc_String("eof");
    gc_root(strlit10781);
  }
// compilenode returning strlit10781
  int op_slot_right_10780 = gc_frame_newslot(strlit10781);
  int callframe10783 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10784 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10783);
// compilenode returning call10784
// compilenode returning call10784
  int op_slot_left_10780 = gc_frame_newslot(call10784);
  params[0] = strlit10781;
  partcv[0] = 1;
  Object opresult10785 = callmethod(call10784, "==", 1, partcv, params);
// compilenode returning opresult10785
  Object if10779 = done;
  if (istrue(opresult10785)) {
    gc_frame_newslot(done);
    if10779 = done;
  } else {
// Begin line 3335
  setline(3335);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3313
  setline(3313);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  int op_slot_right_10787 = gc_frame_newslot(*var_minIndentLevel);
  int callframe10789 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10790 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10789);
// compilenode returning call10790
// compilenode returning call10790
  int op_slot_left_10787 = gc_frame_newslot(call10790);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10791 = callmethod(call10790, "<", 1, partcv, params);
// compilenode returning opresult10791
  Object if10786 = done;
  if (istrue(opresult10791)) {
// Begin line 3335
  setline(3335);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3314
  setline(3314);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  int op_slot_right_10793 = gc_frame_newslot(*var_minIndentLevel);
  Object num10796 = alloc_Float64(1);
// compilenode returning num10796
  int op_slot_right_10795 = gc_frame_newslot(num10796);
  int callframe10798 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10799 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10798);
// compilenode returning call10799
// compilenode returning call10799
  int op_slot_left_10795 = gc_frame_newslot(call10799);
  params[0] = num10796;
  partcv[0] = 1;
  Object diff10800 = callmethod(call10799, "-", 1, partcv, params);
// compilenode returning diff10800
  int op_slot_left_10793 = gc_frame_newslot(diff10800);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10801 = callmethod(diff10800, "!=", 1, partcv, params);
// compilenode returning opresult10801
  Object if10792 = done;
  if (istrue(opresult10801)) {
// Begin line 3316
  setline(3316);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3315
  setline(3315);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10802 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10802
  *var_suggestions = array10802;
  if (array10802 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3317
  setline(3317);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3316
  setline(3316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10803 = gc_frame_new();
  int callframe10804 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10805 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10804);
// compilenode returning call10805
// compilenode returning call10805
  partcv[0] = 0;
  Object call10806 = callmethod(call10805, "new",
    1, partcv, params);
  gc_frame_end(callframe10803);
// compilenode returning call10806
// compilenode returning call10806
  *var_suggestion = call10806;
  if (call10806 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3317
  setline(3317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10807 = gc_frame_new();
  Object num10811 = alloc_Float64(1);
// compilenode returning num10811
  int op_slot_right_10810 = gc_frame_newslot(num10811);
  int callframe10813 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10814 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10813);
// compilenode returning call10814
// compilenode returning call10814
  int op_slot_left_10810 = gc_frame_newslot(call10814);
  params[0] = num10811;
  partcv[0] = 1;
  Object diff10815 = callmethod(call10814, "-", 1, partcv, params);
// compilenode returning diff10815
  int op_slot_right_10809 = gc_frame_newslot(diff10815);
// compilenode returning *var_minIndentLevel
  int op_slot_left_10809 = gc_frame_newslot(*var_minIndentLevel);
  params[0] = diff10815;
  partcv[0] = 1;
  Object diff10817 = callmethod(*var_minIndentLevel, "-", 1, partcv, params);
// compilenode returning diff10817
  int op_slot_right_10808 = gc_frame_newslot(diff10817);
  Object num10819 = alloc_Float64(1);
// compilenode returning num10819
  int op_slot_left_10808 = gc_frame_newslot(num10819);
  params[0] = diff10817;
  partcv[0] = 1;
  Object opresult10820 = callmethod(num10819, "..", 1, partcv, params);
// compilenode returning opresult10820
  gc_frame_newslot(opresult10820);
  Object block10821 = alloc_Block(NULL, NULL, "parser", 3317);
  gc_frame_newslot(block10821);
  block_savedest(block10821);
  Object closure10822 = createclosure(3, "_apply");
  setclosureframe(closure10822, stackframe);
  addtoclosure(closure10822, var_sym);
  addtoclosure(closure10822, var_suggestion);
  addtoclosure(closure10822, selfslot);
  struct UserObject *uo10822 = (struct UserObject*)block10821;
  uo10822->data[0] = (Object)closure10822;
  Method *meth_meth_parser__apply10822 = addmethod2pos(block10821, "_apply", &meth_parser__apply10822, 0);
int argcv_meth_parser__apply10822[] = {1};
meth_meth_parser__apply10822->type = alloc_MethodType(1, argcv_meth_parser__apply10822);
  meth_meth_parser__apply10822->definitionModule = modulename;
  meth_meth_parser__apply10822->definitionLine = 3317;
// compilenode returning block10821
  gc_frame_newslot(block10821);
  params[0] = opresult10820;
  params[1] = block10821;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10830 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10807);
// compilenode returning call10830
// Begin line 3320
  setline(3320);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10831 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10832 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10831);
// compilenode returning call10832
// Begin line 3323
  setline(3323);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3321
  setline(3321);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10833 = gc_frame_new();
  int callframe10834 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10835 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10834);
// compilenode returning call10835
// compilenode returning call10835
  partcv[0] = 0;
  Object call10836 = callmethod(call10835, "new",
    1, partcv, params);
  gc_frame_end(callframe10833);
// compilenode returning call10836
// compilenode returning call10836
  *var_suggestion = call10836;
  if (call10836 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3324
  setline(3324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3323
  setline(3323);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  *var_tok = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3324
  setline(3324);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10838 = gc_frame_new();
  Object block10839 = alloc_Block(NULL, NULL, "parser", 3324);
  gc_frame_newslot(block10839);
  block_savedest(block10839);
  Object closure10840 = createclosure(3, "_apply");
  setclosureframe(closure10840, stackframe);
  addtoclosure(closure10840, var_minIndentLevel);
  addtoclosure(closure10840, var_tok);
  addtoclosure(closure10840, selfslot);
  struct UserObject *uo10840 = (struct UserObject*)block10839;
  uo10840->data[0] = (Object)closure10840;
  Method *meth_meth_parser__apply10840 = addmethod2pos(block10839, "_apply", &meth_parser__apply10840, 0);
int argcv_meth_parser__apply10840[] = {0};
meth_meth_parser__apply10840->type = alloc_MethodType(1, argcv_meth_parser__apply10840);
  meth_meth_parser__apply10840->definitionModule = modulename;
  meth_meth_parser__apply10840->definitionLine = 3321;
// compilenode returning block10839
  gc_frame_newslot(block10839);
  Object block10861 = alloc_Block(NULL, NULL, "parser", 3324);
  gc_frame_newslot(block10861);
  block_savedest(block10861);
  Object closure10862 = createclosure(2, "_apply");
  setclosureframe(closure10862, stackframe);
  addtoclosure(closure10862, var_tok);
  addtoclosure(closure10862, selfslot);
  struct UserObject *uo10862 = (struct UserObject*)block10861;
  uo10862->data[0] = (Object)closure10862;
  Method *meth_meth_parser__apply10862 = addmethod2pos(block10861, "_apply", &meth_parser__apply10862, 0);
int argcv_meth_parser__apply10862[] = {0};
meth_meth_parser__apply10862->type = alloc_MethodType(1, argcv_meth_parser__apply10862);
  meth_meth_parser__apply10862->definitionModule = modulename;
  meth_meth_parser__apply10862->definitionLine = 3324;
// compilenode returning block10861
  gc_frame_newslot(block10861);
  params[0] = block10839;
  params[1] = block10861;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10867 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10838);
// compilenode returning call10867
// Begin line 3326
  setline(3326);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3325
  setline(3325);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10868 == NULL) {
    strlit10868 = alloc_String("");
    gc_root(strlit10868);
  }
// compilenode returning strlit10868
  *var_line = strlit10868;
  if (strlit10868 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3326
  setline(3326);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10869 = gc_frame_new();
  int callframe10871 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10872 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10871);
// compilenode returning call10872
// compilenode returning call10872
  int op_slot_right_10870 = gc_frame_newslot(call10872);
  Object num10874 = alloc_Float64(1);
// compilenode returning num10874
  int op_slot_left_10870 = gc_frame_newslot(num10874);
  params[0] = call10872;
  partcv[0] = 1;
  Object opresult10875 = callmethod(num10874, "..", 1, partcv, params);
// compilenode returning opresult10875
  gc_frame_newslot(opresult10875);
  Object block10876 = alloc_Block(NULL, NULL, "parser", 3326);
  gc_frame_newslot(block10876);
  block_savedest(block10876);
  Object closure10877 = createclosure(2, "_apply");
  setclosureframe(closure10877, stackframe);
  addtoclosure(closure10877, var_line);
  addtoclosure(closure10877, selfslot);
  struct UserObject *uo10877 = (struct UserObject*)block10876;
  uo10877->data[0] = (Object)closure10877;
  Method *meth_meth_parser__apply10877 = addmethod2pos(block10876, "_apply", &meth_parser__apply10877, 0);
int argcv_meth_parser__apply10877[] = {1};
meth_meth_parser__apply10877->type = alloc_MethodType(1, argcv_meth_parser__apply10877);
  meth_meth_parser__apply10877->definitionModule = modulename;
  meth_meth_parser__apply10877->definitionLine = 3326;
// compilenode returning block10876
  gc_frame_newslot(block10876);
  params[0] = opresult10875;
  params[1] = block10876;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10884 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10869);
// compilenode returning call10884
// Begin line 3330
  setline(3330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3329
  setline(3329);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10886 == NULL) {
    strlit10886 = alloc_String("}");
    gc_root(strlit10886);
  }
// compilenode returning strlit10886
  int op_slot_right_10885 = gc_frame_newslot(strlit10886);
// compilenode returning *var_line
  int op_slot_left_10885 = gc_frame_newslot(*var_line);
  params[0] = strlit10886;
  partcv[0] = 1;
  Object opresult10888 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult10888
  *var_line = opresult10888;
  if (opresult10888 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3330
  setline(3330);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10890 = gc_frame_new();
  Object num10892 = alloc_Float64(0.9);
// compilenode returning num10892
  int op_slot_right_10891 = gc_frame_newslot(num10892);
  int callframe10894 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10895 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10894);
// compilenode returning call10895
// compilenode returning call10895
  int op_slot_left_10891 = gc_frame_newslot(call10895);
  params[0] = num10892;
  partcv[0] = 1;
  Object diff10896 = callmethod(call10895, "-", 1, partcv, params);
// compilenode returning diff10896
  gc_frame_newslot(diff10896);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_suggestion
  params[0] = diff10896;
  params[1] = *var_line;
  partcv[0] = 2;
  Object call10897 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe10890);
// compilenode returning call10897
// Begin line 3331
  setline(3331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10898 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10899 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10898);
// compilenode returning call10899
// Begin line 3332
  setline(3332);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10900 = gc_frame_new();
  if (strlit10902 == NULL) {
    strlit10902 = alloc_String(". This is often caused by a missing '}'.");
    gc_root(strlit10902);
  }
// compilenode returning strlit10902
  int op_slot_right_10901 = gc_frame_newslot(strlit10902);
// compilenode returning *var_minIndentLevel
  int op_slot_right_10904 = gc_frame_newslot(*var_minIndentLevel);
  if (strlit10906 == NULL) {
    strlit10906 = alloc_String("The indentation for this line must be at least ");
    gc_root(strlit10906);
  }
// compilenode returning strlit10906
  int op_slot_left_10904 = gc_frame_newslot(strlit10906);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10907 = callmethod(strlit10906, "++", 1, partcv, params);
// compilenode returning opresult10907
  int op_slot_left_10901 = gc_frame_newslot(opresult10907);
  params[0] = strlit10902;
  partcv[0] = 1;
  Object opresult10908 = callmethod(opresult10907, "++", 1, partcv, params);
// compilenode returning opresult10908
  gc_frame_newslot(opresult10908);
// Begin line 3333
  setline(3333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10909 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10910 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10909);
// compilenode returning call10910
// compilenode returning call10910
  gc_frame_newslot(call10910);
  int callframe10911 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10912 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10911);
// compilenode returning call10912
// compilenode returning call10912
  gc_frame_newslot(call10912);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3332
  setline(3332);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult10908;
  params[1] = call10910;
  params[2] = call10912;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10913 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe10900);
// compilenode returning call10913
    gc_frame_newslot(call10913);
    if10792 = call10913;
  } else {
  }
// compilenode returning if10792
    gc_frame_newslot(if10792);
    if10786 = if10792;
  } else {
// Begin line 3338
  setline(3338);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3335
  setline(3335);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  int op_slot_right_10915 = gc_frame_newslot(*var_minIndentLevel);
  int callframe10917 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10918 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10917);
// compilenode returning call10918
// compilenode returning call10918
  int op_slot_left_10915 = gc_frame_newslot(call10918);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10919 = callmethod(call10918, ">", 1, partcv, params);
// compilenode returning opresult10919
  Object if10914 = done;
  if (istrue(opresult10919)) {
// Begin line 3337
  setline(3337);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3336
  setline(3336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10920 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10921 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10920);
// compilenode returning call10921
// compilenode returning call10921
  *var_minIndentLevel = call10921;
  if (call10921 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10914 = done;
  } else {
  }
// compilenode returning if10914
    gc_frame_newslot(if10914);
    if10786 = if10914;
  }
// compilenode returning if10786
    gc_frame_newslot(if10786);
    if10779 = if10786;
  }
// compilenode returning if10779
    gc_frame_newslot(if10779);
    if10754 = if10779;
  }
// compilenode returning if10754
    gc_frame_newslot(if10754);
    if10747 = if10754;
  }
// compilenode returning if10747
    gc_frame_newslot(if10747);
    if10744 = if10747;
  }
// compilenode returning if10744
  gc_frame_end(frame);
  return if10744;
}
Object meth_parser__apply11010(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe11011 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call11012 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11011);
// compilenode returning call11012
  gc_frame_end(frame);
  return call11012;
}
Object meth_parser__apply11061(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe11062 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call11063 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11062);
// compilenode returning call11063
  gc_frame_end(frame);
  return call11063;
}
Object meth_parser__apply11015(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_dest = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "dest");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_val = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "val");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 3397
  setline(3397);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3374
  setline(3374);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11018 = gc_frame_new();
  if (strlit11019 == NULL) {
    strlit11019 = alloc_String("bind");
    gc_root(strlit11019);
  }
// compilenode returning strlit11019
  gc_frame_newslot(strlit11019);
  params[0] = strlit11019;
  partcv[0] = 1;
  Object call11020 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11018);
// compilenode returning call11020
  int op_slot_right_11017 = gc_frame_newslot(call11020);
// Begin line 3373
  setline(3373);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11024 == NULL) {
    strlit11024 = alloc_String("index");
    gc_root(strlit11024);
  }
// compilenode returning strlit11024
  int op_slot_right_11023 = gc_frame_newslot(strlit11024);
  int callframe11026 = gc_frame_new();
  int callframe11027 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11028 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11027);
// compilenode returning call11028
// compilenode returning call11028
  partcv[0] = 0;
  Object call11029 = callmethod(call11028, "kind",
    1, partcv, params);
  gc_frame_end(callframe11026);
// compilenode returning call11029
// compilenode returning call11029
  int op_slot_left_11023 = gc_frame_newslot(call11029);
  params[0] = strlit11024;
  partcv[0] = 1;
  Object opresult11030 = callmethod(call11029, "==", 1, partcv, params);
// compilenode returning opresult11030
  int op_slot_right_11022 = gc_frame_newslot(opresult11030);
// Begin line 3372
  setline(3372);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11034 == NULL) {
    strlit11034 = alloc_String("member");
    gc_root(strlit11034);
  }
// compilenode returning strlit11034
  int op_slot_right_11033 = gc_frame_newslot(strlit11034);
  int callframe11036 = gc_frame_new();
  int callframe11037 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11038 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11037);
// compilenode returning call11038
// compilenode returning call11038
  partcv[0] = 0;
  Object call11039 = callmethod(call11038, "kind",
    1, partcv, params);
  gc_frame_end(callframe11036);
// compilenode returning call11039
// compilenode returning call11039
  int op_slot_left_11033 = gc_frame_newslot(call11039);
  params[0] = strlit11034;
  partcv[0] = 1;
  Object opresult11040 = callmethod(call11039, "==", 1, partcv, params);
// compilenode returning opresult11040
  int op_slot_right_11032 = gc_frame_newslot(opresult11040);
// Begin line 3371
  setline(3371);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11043 == NULL) {
    strlit11043 = alloc_String("identifier");
    gc_root(strlit11043);
  }
// compilenode returning strlit11043
  int op_slot_right_11042 = gc_frame_newslot(strlit11043);
  int callframe11045 = gc_frame_new();
  int callframe11046 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11047 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11046);
// compilenode returning call11047
// compilenode returning call11047
  partcv[0] = 0;
  Object call11048 = callmethod(call11047, "kind",
    1, partcv, params);
  gc_frame_end(callframe11045);
// compilenode returning call11048
// compilenode returning call11048
  int op_slot_left_11042 = gc_frame_newslot(call11048);
  params[0] = strlit11043;
  partcv[0] = 1;
  Object opresult11049 = callmethod(call11048, "==", 1, partcv, params);
// compilenode returning opresult11049
  int op_slot_left_11032 = gc_frame_newslot(opresult11049);
  params[0] = opresult11040;
  partcv[0] = 1;
  Object opresult11050 = callmethod(opresult11049, "||", 1, partcv, params);
// compilenode returning opresult11050
  int op_slot_left_11022 = gc_frame_newslot(opresult11050);
  params[0] = opresult11030;
  partcv[0] = 1;
  Object opresult11051 = callmethod(opresult11050, "||", 1, partcv, params);
// compilenode returning opresult11051
  int op_slot_left_11017 = gc_frame_newslot(opresult11051);
  params[0] = call11020;
  partcv[0] = 1;
  Object opresult11052 = callmethod(opresult11051, "&&", 1, partcv, params);
// compilenode returning opresult11052
  Object if11016 = done;
  if (istrue(opresult11052)) {
// Begin line 3376
  setline(3376);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3375
  setline(3375);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11053 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11054 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe11053);
// compilenode returning call11054
// compilenode returning call11054
  *var_dest = call11054;
  if (call11054 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3376
  setline(3376);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11055 = gc_frame_new();
  partcv[0] = 0;
  Object call11056 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11055);
// compilenode returning call11056
// Begin line 3393
  setline(3393);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3377
  setline(3377);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11058 = gc_frame_new();
  int callframe11059 = gc_frame_new();
  Object block11060 = alloc_Block(NULL, NULL, "parser", 3377);
  gc_frame_newslot(block11060);
  block_savedest(block11060);
  Object closure11061 = createclosure(2, "_apply");
  setclosureframe(closure11061, stackframe);
  addtoclosure(closure11061, var_blocksOK);
  addtoclosure(closure11061, selfslot);
  struct UserObject *uo11061 = (struct UserObject*)block11060;
  uo11061->data[0] = (Object)closure11061;
  Method *meth_meth_parser__apply11061 = addmethod2pos(block11060, "_apply", &meth_parser__apply11061, 0);
int argcv_meth_parser__apply11061[] = {0};
meth_meth_parser__apply11061->type = alloc_MethodType(1, argcv_meth_parser__apply11061);
  meth_meth_parser__apply11061->definitionModule = modulename;
  meth_meth_parser__apply11061->definitionLine = 3377;
// compilenode returning block11060
  gc_frame_newslot(block11060);
  params[0] = block11060;
  partcv[0] = 1;
  Object call11065 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11059);
// compilenode returning call11065
  partcv[0] = 0;
  Object call11066 = callmethod(call11065, "not",
    1, partcv, params);
  gc_frame_end(callframe11058);
// compilenode returning call11066
// compilenode returning call11066
  Object if11057 = done;
  if (istrue(call11066)) {
// Begin line 3379
  setline(3379);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3378
  setline(3378);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11067 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11067
  *var_suggestions = array11067;
  if (array11067 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3380
  setline(3380);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3379
  setline(3379);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11068 = gc_frame_new();
  int callframe11069 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11070 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11069);
// compilenode returning call11070
// compilenode returning call11070
  partcv[0] = 0;
  Object call11071 = callmethod(call11070, "new",
    1, partcv, params);
  gc_frame_end(callframe11068);
// compilenode returning call11071
// compilenode returning call11071
  *var_suggestion = call11071;
  if (call11071 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3380
  setline(3380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11072 = gc_frame_new();
  if (strlit11073 == NULL) {
    strlit11073 = alloc_String("rbrace");
    gc_root(strlit11073);
  }
// compilenode returning strlit11073
  gc_frame_newslot(strlit11073);
  params[0] = strlit11073;
  partcv[0] = 1;
  Object call11074 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11072);
// compilenode returning call11074
  *var_nextTok = call11074;
  if (call11074 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3386
  setline(3386);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3381
  setline(3381);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_11076 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_11076 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult11078 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult11078
  Object if11075 = done;
  if (istrue(opresult11078)) {
// Begin line 3382
  setline(3382);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11079 = gc_frame_new();
  if (strlit11080 == NULL) {
    strlit11080 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit11080);
  }
// compilenode returning strlit11080
  gc_frame_newslot(strlit11080);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit11080;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11081 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe11079);
// compilenode returning call11081
    gc_frame_newslot(call11081);
    if11075 = call11081;
  } else {
// Begin line 3384
  setline(3384);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11082 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe11083 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call11084 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11083);
// compilenode returning call11084
// compilenode returning call11084
  gc_frame_newslot(call11084);
  Object bool11085 = alloc_Boolean(1);
// compilenode returning bool11085
  gc_frame_newslot(bool11085);
  Object bool11086 = alloc_Boolean(0);
// compilenode returning bool11086
  gc_frame_newslot(bool11086);
  if (strlit11087 == NULL) {
    strlit11087 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit11087);
  }
// compilenode returning strlit11087
  gc_frame_newslot(strlit11087);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call11084;
  params[2] = bool11085;
  params[3] = bool11086;
  params[4] = strlit11087;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11088 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11082);
// compilenode returning call11088
    gc_frame_newslot(call11088);
    if11075 = call11088;
  }
// compilenode returning if11075
// Begin line 3386
  setline(3386);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11089 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11090 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11089);
// compilenode returning call11090
// Begin line 3388
  setline(3388);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3387
  setline(3387);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11091 = gc_frame_new();
  int callframe11092 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11093 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11092);
// compilenode returning call11093
// compilenode returning call11093
  partcv[0] = 0;
  Object call11094 = callmethod(call11093, "new",
    1, partcv, params);
  gc_frame_end(callframe11091);
// compilenode returning call11094
// compilenode returning call11094
  *var_suggestion = call11094;
  if (call11094 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3388
  setline(3388);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11096 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe11097 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call11098 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11097);
// compilenode returning call11098
// compilenode returning call11098
  gc_frame_newslot(call11098);
  Object bool11099 = alloc_Boolean(1);
// compilenode returning bool11099
  gc_frame_newslot(bool11099);
  Object bool11100 = alloc_Boolean(0);
// compilenode returning bool11100
  gc_frame_newslot(bool11100);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call11098;
  params[2] = bool11099;
  params[3] = bool11100;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11101 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe11096);
// compilenode returning call11101
// Begin line 3389
  setline(3389);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11102 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11103 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11102);
// compilenode returning call11103
// Begin line 3390
  setline(3390);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11104 = gc_frame_new();
  if (strlit11105 == NULL) {
    strlit11105 = alloc_String("A valid expression must follow ':='.");
    gc_root(strlit11105);
  }
// compilenode returning strlit11105
  gc_frame_newslot(strlit11105);
// Begin line 3391
  setline(3391);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11106 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11107 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11106);
// compilenode returning call11107
// compilenode returning call11107
  gc_frame_newslot(call11107);
  int callframe11108 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11109 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11108);
// compilenode returning call11109
// compilenode returning call11109
  gc_frame_newslot(call11109);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3390
  setline(3390);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11105;
  params[1] = call11107;
  params[2] = call11109;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call11110 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11104);
// compilenode returning call11110
    gc_frame_newslot(call11110);
    if11057 = call11110;
  } else {
  }
// compilenode returning if11057
// Begin line 3394
  setline(3394);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3393
  setline(3393);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11111 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11112 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe11111);
// compilenode returning call11112
// compilenode returning call11112
  *var_val = call11112;
  if (call11112 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3394
  setline(3394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11113 = gc_frame_new();
// compilenode returning *var_dest
  gc_frame_newslot(*var_dest);
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
  int callframe11114 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call11115 = callmethod(*var_ast, "bindNode",
    1, partcv, params);
  gc_frame_end(callframe11114);
// compilenode returning call11115
// compilenode returning call11115
  params[0] = *var_dest;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call11116 = callmethod(call11115, "new",
    1, partcv, params);
  gc_frame_end(callframe11113);
// compilenode returning call11116
  *var_o = call11116;
  if (call11116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3395
  setline(3395);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11117 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call11118 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe11117);
// compilenode returning call11118
    gc_frame_newslot(call11118);
    if11016 = call11118;
  } else {
  }
// compilenode returning if11016
  gc_frame_end(frame);
  return if11016;
}
Object meth_parser_statement10923(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 58, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementIndent = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_errormessages = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  Object *var_indentFreePass = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statement (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for statement");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_oldLine = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "oldLine");
// Begin line 3347
  setline(3347);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3346
  setline(3346);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10924 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10925 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10924);
// compilenode returning call10925
// compilenode returning call10925
  *var_statementIndent = call10925;
  if (call10925 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3348
  setline(3348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3347
  setline(3347);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3348
  setline(3348);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10928 = gc_frame_new();
  partcv[0] = 0;
  Object call10929 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10928);
// compilenode returning call10929
// Begin line 3399
  setline(3399);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3349
  setline(3349);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10931 = gc_frame_new();
  if (strlit10932 == NULL) {
    strlit10932 = alloc_String("keyword");
    gc_root(strlit10932);
  }
// compilenode returning strlit10932
  gc_frame_newslot(strlit10932);
  params[0] = strlit10932;
  partcv[0] = 1;
  Object call10933 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10931);
// compilenode returning call10933
  Object if10930 = done;
  if (istrue(call10933)) {
// Begin line 3369
  setline(3369);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3350
  setline(3350);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10936 == NULL) {
    strlit10936 = alloc_String("var");
    gc_root(strlit10936);
  }
// compilenode returning strlit10936
  int op_slot_right_10935 = gc_frame_newslot(strlit10936);
  int callframe10938 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10939 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10938);
// compilenode returning call10939
// compilenode returning call10939
  int op_slot_left_10935 = gc_frame_newslot(call10939);
  params[0] = strlit10936;
  partcv[0] = 1;
  Object opresult10940 = callmethod(call10939, "==", 1, partcv, params);
// compilenode returning opresult10940
  Object if10934 = done;
  if (istrue(opresult10940)) {
// Begin line 3351
  setline(3351);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10941 = gc_frame_new();
  partcv[0] = 0;
  Object call10942 = callmethodflags(self, "vardec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10941);
// compilenode returning call10942
    gc_frame_newslot(call10942);
    if10934 = call10942;
  } else {
// Begin line 3354
  setline(3354);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3352
  setline(3352);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10945 == NULL) {
    strlit10945 = alloc_String("def");
    gc_root(strlit10945);
  }
// compilenode returning strlit10945
  int op_slot_right_10944 = gc_frame_newslot(strlit10945);
  int callframe10947 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10948 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10947);
// compilenode returning call10948
// compilenode returning call10948
  int op_slot_left_10944 = gc_frame_newslot(call10948);
  params[0] = strlit10945;
  partcv[0] = 1;
  Object opresult10949 = callmethod(call10948, "==", 1, partcv, params);
// compilenode returning opresult10949
  Object if10943 = done;
  if (istrue(opresult10949)) {
// Begin line 3353
  setline(3353);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10950 = gc_frame_new();
  partcv[0] = 0;
  Object call10951 = callmethodflags(self, "defdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10950);
// compilenode returning call10951
    gc_frame_newslot(call10951);
    if10943 = call10951;
  } else {
// Begin line 3356
  setline(3356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3354
  setline(3354);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10954 == NULL) {
    strlit10954 = alloc_String("import");
    gc_root(strlit10954);
  }
// compilenode returning strlit10954
  int op_slot_right_10953 = gc_frame_newslot(strlit10954);
  int callframe10956 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10957 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10956);
// compilenode returning call10957
// compilenode returning call10957
  int op_slot_left_10953 = gc_frame_newslot(call10957);
  params[0] = strlit10954;
  partcv[0] = 1;
  Object opresult10958 = callmethod(call10957, "==", 1, partcv, params);
// compilenode returning opresult10958
  Object if10952 = done;
  if (istrue(opresult10958)) {
// Begin line 3355
  setline(3355);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10959 = gc_frame_new();
  partcv[0] = 0;
  Object call10960 = callmethodflags(self, "doimport", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10959);
// compilenode returning call10960
    gc_frame_newslot(call10960);
    if10952 = call10960;
  } else {
// Begin line 3358
  setline(3358);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3356
  setline(3356);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10963 == NULL) {
    strlit10963 = alloc_String("dialect");
    gc_root(strlit10963);
  }
// compilenode returning strlit10963
  int op_slot_right_10962 = gc_frame_newslot(strlit10963);
  int callframe10965 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10966 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10965);
// compilenode returning call10966
// compilenode returning call10966
  int op_slot_left_10962 = gc_frame_newslot(call10966);
  params[0] = strlit10963;
  partcv[0] = 1;
  Object opresult10967 = callmethod(call10966, "==", 1, partcv, params);
// compilenode returning opresult10967
  Object if10961 = done;
  if (istrue(opresult10967)) {
// Begin line 3357
  setline(3357);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10968 = gc_frame_new();
  partcv[0] = 0;
  Object call10969 = callmethodflags(self, "dodialect", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10968);
// compilenode returning call10969
    gc_frame_newslot(call10969);
    if10961 = call10969;
  } else {
// Begin line 3360
  setline(3360);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3358
  setline(3358);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10972 == NULL) {
    strlit10972 = alloc_String("type");
    gc_root(strlit10972);
  }
// compilenode returning strlit10972
  int op_slot_right_10971 = gc_frame_newslot(strlit10972);
  int callframe10974 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10975 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10974);
// compilenode returning call10975
// compilenode returning call10975
  int op_slot_left_10971 = gc_frame_newslot(call10975);
  params[0] = strlit10972;
  partcv[0] = 1;
  Object opresult10976 = callmethod(call10975, "==", 1, partcv, params);
// compilenode returning opresult10976
  Object if10970 = done;
  if (istrue(opresult10976)) {
// Begin line 3359
  setline(3359);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10977 = gc_frame_new();
  partcv[0] = 0;
  Object call10978 = callmethodflags(self, "typedec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10977);
// compilenode returning call10978
    gc_frame_newslot(call10978);
    if10970 = call10978;
  } else {
// Begin line 3362
  setline(3362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3360
  setline(3360);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10981 == NULL) {
    strlit10981 = alloc_String("class");
    gc_root(strlit10981);
  }
// compilenode returning strlit10981
  int op_slot_right_10980 = gc_frame_newslot(strlit10981);
  int callframe10983 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10984 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10983);
// compilenode returning call10984
// compilenode returning call10984
  int op_slot_left_10980 = gc_frame_newslot(call10984);
  params[0] = strlit10981;
  partcv[0] = 1;
  Object opresult10985 = callmethod(call10984, "==", 1, partcv, params);
// compilenode returning opresult10985
  Object if10979 = done;
  if (istrue(opresult10985)) {
// Begin line 3361
  setline(3361);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10986 = gc_frame_new();
  partcv[0] = 0;
  Object call10987 = callmethodflags(self, "doclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10986);
// compilenode returning call10987
    gc_frame_newslot(call10987);
    if10979 = call10987;
  } else {
// Begin line 3364
  setline(3364);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3362
  setline(3362);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10990 == NULL) {
    strlit10990 = alloc_String("factory");
    gc_root(strlit10990);
  }
// compilenode returning strlit10990
  int op_slot_right_10989 = gc_frame_newslot(strlit10990);
  int callframe10992 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10993 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10992);
// compilenode returning call10993
// compilenode returning call10993
  int op_slot_left_10989 = gc_frame_newslot(call10993);
  params[0] = strlit10990;
  partcv[0] = 1;
  Object opresult10994 = callmethod(call10993, "==", 1, partcv, params);
// compilenode returning opresult10994
  Object if10988 = done;
  if (istrue(opresult10994)) {
// Begin line 3363
  setline(3363);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10995 = gc_frame_new();
  partcv[0] = 0;
  Object call10996 = callmethodflags(self, "dofactoryMethod", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10995);
// compilenode returning call10996
    gc_frame_newslot(call10996);
    if10988 = call10996;
  } else {
// Begin line 3366
  setline(3366);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3364
  setline(3364);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10999 == NULL) {
    strlit10999 = alloc_String("return");
    gc_root(strlit10999);
  }
// compilenode returning strlit10999
  int op_slot_right_10998 = gc_frame_newslot(strlit10999);
  int callframe11001 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11002 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11001);
// compilenode returning call11002
// compilenode returning call11002
  int op_slot_left_10998 = gc_frame_newslot(call11002);
  params[0] = strlit10999;
  partcv[0] = 1;
  Object opresult11003 = callmethod(call11002, "==", 1, partcv, params);
// compilenode returning opresult11003
  Object if10997 = done;
  if (istrue(opresult11003)) {
// Begin line 3365
  setline(3365);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11004 = gc_frame_new();
  partcv[0] = 0;
  Object call11005 = callmethodflags(self, "doreturn", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11004);
// compilenode returning call11005
    gc_frame_newslot(call11005);
    if10997 = call11005;
  } else {
// Begin line 3367
  setline(3367);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11006 = gc_frame_new();
// compilenode returning *var_blocksOK
  gc_frame_newslot(*var_blocksOK);
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call11007 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11006);
// compilenode returning call11007
    gc_frame_newslot(call11007);
    if10997 = call11007;
  }
// compilenode returning if10997
    gc_frame_newslot(if10997);
    if10988 = if10997;
  }
// compilenode returning if10988
    gc_frame_newslot(if10988);
    if10979 = if10988;
  }
// compilenode returning if10979
    gc_frame_newslot(if10979);
    if10970 = if10979;
  }
// compilenode returning if10970
    gc_frame_newslot(if10970);
    if10961 = if10970;
  }
// compilenode returning if10961
    gc_frame_newslot(if10961);
    if10952 = if10961;
  }
// compilenode returning if10952
    gc_frame_newslot(if10952);
    if10943 = if10952;
  }
// compilenode returning if10943
    gc_frame_newslot(if10943);
    if10934 = if10943;
  }
// compilenode returning if10934
    gc_frame_newslot(if10934);
    if10930 = if10934;
  } else {
// Begin line 3370
  setline(3370);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11008 = gc_frame_new();
  Object block11009 = alloc_Block(NULL, NULL, "parser", 3370);
  gc_frame_newslot(block11009);
  block_savedest(block11009);
  Object closure11010 = createclosure(2, "_apply");
  setclosureframe(closure11010, stackframe);
  addtoclosure(closure11010, var_blocksOK);
  addtoclosure(closure11010, selfslot);
  struct UserObject *uo11010 = (struct UserObject*)block11009;
  uo11010->data[0] = (Object)closure11010;
  Method *meth_meth_parser__apply11010 = addmethod2pos(block11009, "_apply", &meth_parser__apply11010, 0);
int argcv_meth_parser__apply11010[] = {0};
meth_meth_parser__apply11010->type = alloc_MethodType(1, argcv_meth_parser__apply11010);
  meth_meth_parser__apply11010->definitionModule = modulename;
  meth_meth_parser__apply11010->definitionLine = 3364;
// compilenode returning block11009
  gc_frame_newslot(block11009);
  Object block11014 = alloc_Block(NULL, NULL, "parser", 3370);
  gc_frame_newslot(block11014);
  block_savedest(block11014);
  Object closure11015 = createclosure(7, "_apply");
  setclosureframe(closure11015, stackframe);
  addtoclosure(closure11015, var_values);
  addtoclosure(closure11015, var_blocksOK);
  addtoclosure(closure11015, var_errormessages);
  addtoclosure(closure11015, var_sym);
  addtoclosure(closure11015, var_lastToken);
  addtoclosure(closure11015, var_ast);
  addtoclosure(closure11015, selfslot);
  struct UserObject *uo11015 = (struct UserObject*)block11014;
  uo11015->data[0] = (Object)closure11015;
  Method *meth_meth_parser__apply11015 = addmethod2pos(block11014, "_apply", &meth_parser__apply11015, 0);
int argcv_meth_parser__apply11015[] = {0};
meth_meth_parser__apply11015->type = alloc_MethodType(1, argcv_meth_parser__apply11015);
  meth_meth_parser__apply11015->definitionModule = modulename;
  meth_meth_parser__apply11015->definitionLine = 3364;
// compilenode returning block11014
  gc_frame_newslot(block11014);
  params[0] = block11009;
  params[1] = block11014;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11120 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11008);
// compilenode returning call11120
    gc_frame_newslot(call11120);
    if10930 = call11120;
  }
// compilenode returning if10930
// Begin line 3402
  setline(3402);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3399
  setline(3399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11122 = gc_frame_new();
  if (strlit11123 == NULL) {
    strlit11123 = alloc_String("eof");
    gc_root(strlit11123);
  }
// compilenode returning strlit11123
  gc_frame_newslot(strlit11123);
  params[0] = strlit11123;
  partcv[0] = 1;
  Object call11124 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11122);
// compilenode returning call11124
  Object if11121 = done;
  if (istrue(call11124)) {
// Begin line 3401
  setline(3401);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3400
  setline(3400);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11125 = alloc_Boolean(1);
// compilenode returning bool11125
  return bool11125;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if11121 = undefined;
  } else {
  }
// compilenode returning if11121
// Begin line 3411
  setline(3411);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3402
  setline(3402);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11127 = gc_frame_new();
  if (strlit11128 == NULL) {
    strlit11128 = alloc_String("semicolon");
    gc_root(strlit11128);
  }
// compilenode returning strlit11128
  gc_frame_newslot(strlit11128);
  params[0] = strlit11128;
  partcv[0] = 1;
  Object call11129 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11127);
// compilenode returning call11129
  Object if11126 = done;
  if (istrue(call11129)) {
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3403
  setline(3403);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11130 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11131 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11130);
// compilenode returning call11131
// compilenode returning call11131
  *var_oldLine = call11131;
  if (call11131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11132 = gc_frame_new();
  partcv[0] = 0;
  Object call11133 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11132);
// compilenode returning call11133
// Begin line 3408
  setline(3408);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3405
  setline(3405);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_oldLine
  int op_slot_right_11135 = gc_frame_newslot(*var_oldLine);
  int callframe11137 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11138 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11137);
// compilenode returning call11138
// compilenode returning call11138
  int op_slot_left_11135 = gc_frame_newslot(call11138);
  params[0] = *var_oldLine;
  partcv[0] = 1;
  Object opresult11139 = callmethod(call11138, "==", 1, partcv, params);
// compilenode returning opresult11139
  Object if11134 = done;
  if (istrue(opresult11139)) {
// Begin line 3407
  setline(3407);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3406
  setline(3406);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11140 = alloc_Boolean(1);
// compilenode returning bool11140
  *var_indentFreePass = bool11140;
  if (bool11140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11134 = done;
  } else {
  }
// compilenode returning if11134
    gc_frame_newslot(if11134);
    if11126 = if11134;
  } else {
// Begin line 3409
  setline(3409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11142 = gc_frame_new();
  partcv[0] = 0;
  Object call11143 = callmethodflags(self, "checkUnexpectedTokenAfterStatement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11142);
// compilenode returning call11143
    gc_frame_newslot(call11143);
    if11126 = call11143;
  }
// compilenode returning if11126
  gc_frame_end(frame);
  return if11126;
}
Object meth_parser_checkBadOperators11144(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 59, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkBadOperators");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkBadOperators (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for checkBadOperators");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
// Begin line 3421
  setline(3421);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3414
  setline(3414);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11147 == NULL) {
    strlit11147 = alloc_String("=");
    gc_root(strlit11147);
  }
// compilenode returning strlit11147
  int op_slot_right_11146 = gc_frame_newslot(strlit11147);
  int callframe11149 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11150 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11149);
// compilenode returning call11150
// compilenode returning call11150
  int op_slot_left_11146 = gc_frame_newslot(call11150);
  params[0] = strlit11147;
  partcv[0] = 1;
  Object opresult11151 = callmethod(call11150, "==", 1, partcv, params);
// compilenode returning opresult11151
  Object if11145 = done;
  if (istrue(opresult11151)) {
// Begin line 3416
  setline(3416);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3415
  setline(3415);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11152 = gc_frame_new();
  int callframe11153 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11154 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11153);
// compilenode returning call11154
// compilenode returning call11154
  partcv[0] = 0;
  Object call11155 = callmethod(call11154, "new",
    1, partcv, params);
  gc_frame_end(callframe11152);
// compilenode returning call11155
// compilenode returning call11155
  *var_sugg = call11155;
  if (call11155 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3416
  setline(3416);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11156 = gc_frame_new();
  if (strlit11157 == NULL) {
    strlit11157 = alloc_String("=");
    gc_root(strlit11157);
  }
// compilenode returning strlit11157
  gc_frame_newslot(strlit11157);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_sugg
  params[0] = strlit11157;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11158 = callmethod(*var_sugg, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe11156);
// compilenode returning call11158
// Begin line 3417
  setline(3417);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11159 = gc_frame_new();
  if (strlit11160 == NULL) {
    strlit11160 = alloc_String("Use '==' to test equality, not '='.");
    gc_root(strlit11160);
  }
// compilenode returning strlit11160
  gc_frame_newslot(strlit11160);
// Begin line 3418
  setline(3418);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11161 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11162 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11161);
// compilenode returning call11162
// compilenode returning call11162
  gc_frame_newslot(call11162);
  int callframe11163 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11164 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11163);
// compilenode returning call11164
// compilenode returning call11164
  gc_frame_newslot(call11164);
  int callframe11165 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11166 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11165);
// compilenode returning call11166
// compilenode returning call11166
  gc_frame_newslot(call11166);
// Begin line 3419
  setline(3419);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3417
  setline(3417);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11160;
  params[1] = call11162;
  params[2] = call11164;
  params[3] = call11166;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11167 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11159);
// compilenode returning call11167
    gc_frame_newslot(call11167);
    if11145 = call11167;
  } else {
  }
// compilenode returning if11145
// Begin line 3428
  setline(3428);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3421
  setline(3421);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11170 == NULL) {
    strlit11170 = alloc_String("rgeneric");
    gc_root(strlit11170);
  }
// compilenode returning strlit11170
  int op_slot_right_11169 = gc_frame_newslot(strlit11170);
  int callframe11172 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11173 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11172);
// compilenode returning call11173
// compilenode returning call11173
  int op_slot_left_11169 = gc_frame_newslot(call11173);
  params[0] = strlit11170;
  partcv[0] = 1;
  Object opresult11174 = callmethod(call11173, "==", 1, partcv, params);
// compilenode returning opresult11174
  Object if11168 = done;
  if (istrue(opresult11174)) {
// Begin line 3423
  setline(3423);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3422
  setline(3422);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11175 = gc_frame_new();
  int callframe11176 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11177 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11176);
// compilenode returning call11177
// compilenode returning call11177
  partcv[0] = 0;
  Object call11178 = callmethod(call11177, "new",
    1, partcv, params);
  gc_frame_end(callframe11175);
// compilenode returning call11178
// compilenode returning call11178
  *var_sugg = call11178;
  if (call11178 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3423
  setline(3423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11179 = gc_frame_new();
  if (strlit11180 == NULL) {
    strlit11180 = alloc_String(" ");
    gc_root(strlit11180);
  }
// compilenode returning strlit11180
  gc_frame_newslot(strlit11180);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_sugg
  params[0] = strlit11180;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11181 = callmethod(*var_sugg, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe11179);
// compilenode returning call11181
// Begin line 3424
  setline(3424);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11182 = gc_frame_new();
  if (strlit11183 == NULL) {
    strlit11183 = alloc_String("The '>' operator must be preceded by a space.");
    gc_root(strlit11183);
  }
// compilenode returning strlit11183
  gc_frame_newslot(strlit11183);
// Begin line 3425
  setline(3425);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11184 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11185 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11184);
// compilenode returning call11185
// compilenode returning call11185
  gc_frame_newslot(call11185);
  int callframe11186 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11187 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11186);
// compilenode returning call11187
// compilenode returning call11187
  gc_frame_newslot(call11187);
  int callframe11188 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11189 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11188);
// compilenode returning call11189
// compilenode returning call11189
  gc_frame_newslot(call11189);
// Begin line 3426
  setline(3426);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3424
  setline(3424);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11183;
  params[1] = call11185;
  params[2] = call11187;
  params[3] = call11189;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11190 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11182);
// compilenode returning call11190
    gc_frame_newslot(call11190);
    if11168 = call11190;
  } else {
  }
// compilenode returning if11168
  gc_frame_end(frame);
  return if11168;
}
Object meth_parser_checkBadTypeLiteral11191(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 60, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkBadTypeLiteral");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkBadTypeLiteral (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for checkBadTypeLiteral");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
// Begin line 3438
  setline(3438);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3431
  setline(3431);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11194 == NULL) {
    strlit11194 = alloc_String("lbrace");
    gc_root(strlit11194);
  }
// compilenode returning strlit11194
  int op_slot_right_11193 = gc_frame_newslot(strlit11194);
  int callframe11196 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11197 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11196);
// compilenode returning call11197
// compilenode returning call11197
  int op_slot_left_11193 = gc_frame_newslot(call11197);
  params[0] = strlit11194;
  partcv[0] = 1;
  Object opresult11198 = callmethod(call11197, "==", 1, partcv, params);
// compilenode returning opresult11198
  Object if11192 = done;
  if (istrue(opresult11198)) {
// Begin line 3433
  setline(3433);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3432
  setline(3432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11199 = gc_frame_new();
  int callframe11200 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11201 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11200);
// compilenode returning call11201
// compilenode returning call11201
  partcv[0] = 0;
  Object call11202 = callmethod(call11201, "new",
    1, partcv, params);
  gc_frame_end(callframe11199);
// compilenode returning call11202
// compilenode returning call11202
  *var_sugg = call11202;
  if (call11202 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3433
  setline(3433);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11203 = gc_frame_new();
  if (strlit11204 == NULL) {
    strlit11204 = alloc_String("type ");
    gc_root(strlit11204);
  }
// compilenode returning strlit11204
  gc_frame_newslot(strlit11204);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_sugg
  params[0] = strlit11204;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11205 = callmethod(*var_sugg, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe11203);
// compilenode returning call11205
// Begin line 3434
  setline(3434);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11206 = gc_frame_new();
  if (strlit11207 == NULL) {
    strlit11207 = alloc_String("type literals must start with the keyword 'type'.");
    gc_root(strlit11207);
  }
// compilenode returning strlit11207
  gc_frame_newslot(strlit11207);
// Begin line 3435
  setline(3435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11208 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11209 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11208);
// compilenode returning call11209
// compilenode returning call11209
  gc_frame_newslot(call11209);
  int callframe11210 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11211 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11210);
// compilenode returning call11211
// compilenode returning call11211
  gc_frame_newslot(call11211);
  int callframe11212 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11213 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11212);
// compilenode returning call11213
// compilenode returning call11213
  gc_frame_newslot(call11213);
// Begin line 3436
  setline(3436);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3434
  setline(3434);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11207;
  params[1] = call11209;
  params[2] = call11211;
  params[3] = call11213;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11214 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11206);
// compilenode returning call11214
    gc_frame_newslot(call11214);
    if11192 = call11214;
  } else {
  }
// compilenode returning if11192
  gc_frame_end(frame);
  return if11192;
}
Object meth_parser__apply11322(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3471
  setline(3471);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3470
  setline(3470);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11324 == NULL) {
    strlit11324 = alloc_String("identifier");
    gc_root(strlit11324);
  }
// compilenode returning strlit11324
  int op_slot_right_11323 = gc_frame_newslot(strlit11324);
  int callframe11326 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11327 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11326);
// compilenode returning call11327
// compilenode returning call11327
  int op_slot_left_11323 = gc_frame_newslot(call11327);
  params[0] = strlit11324;
  partcv[0] = 1;
  Object opresult11328 = callmethod(call11327, "==", 1, partcv, params);
// compilenode returning opresult11328
  gc_frame_end(frame);
  return opresult11328;
}
Object meth_parser__apply11332(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3469
  setline(3469);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3468
  setline(3468);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11334 == NULL) {
    strlit11334 = alloc_String("member");
    gc_root(strlit11334);
  }
// compilenode returning strlit11334
  int op_slot_right_11333 = gc_frame_newslot(strlit11334);
  int callframe11336 = gc_frame_new();
  int callframe11337 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11338 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11337);
// compilenode returning call11338
// compilenode returning call11338
  partcv[0] = 0;
  Object call11339 = callmethod(call11338, "kind",
    1, partcv, params);
  gc_frame_end(callframe11336);
// compilenode returning call11339
// compilenode returning call11339
  int op_slot_left_11333 = gc_frame_newslot(call11339);
  params[0] = strlit11334;
  partcv[0] = 1;
  Object opresult11340 = callmethod(call11339, "==", 1, partcv, params);
// compilenode returning opresult11340
  gc_frame_end(frame);
  return opresult11340;
}
Object meth_parser__apply11319(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3469
  setline(3469);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11320 = gc_frame_new();
  Object block11321 = alloc_Block(NULL, NULL, "parser", 3469);
  gc_frame_newslot(block11321);
  block_savedest(block11321);
  Object closure11322 = createclosure(2, "_apply");
  setclosureframe(closure11322, stackframe);
  addtoclosure(closure11322, var_sym);
  addtoclosure(closure11322, selfslot);
  struct UserObject *uo11322 = (struct UserObject*)block11321;
  uo11322->data[0] = (Object)closure11322;
  Method *meth_meth_parser__apply11322 = addmethod2pos(block11321, "_apply", &meth_parser__apply11322, 0);
int argcv_meth_parser__apply11322[] = {0};
meth_meth_parser__apply11322->type = alloc_MethodType(1, argcv_meth_parser__apply11322);
  meth_meth_parser__apply11322->definitionModule = modulename;
  meth_meth_parser__apply11322->definitionLine = 3463;
// compilenode returning block11321
  gc_frame_newslot(block11321);
// Begin line 3467
  setline(3467);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11330 = gc_frame_new();
  Object block11331 = alloc_Block(NULL, NULL, "parser", 3467);
  gc_frame_newslot(block11331);
  block_savedest(block11331);
  Object closure11332 = createclosure(2, "_apply");
  setclosureframe(closure11332, stackframe);
  addtoclosure(closure11332, var_values);
  addtoclosure(closure11332, selfslot);
  struct UserObject *uo11332 = (struct UserObject*)block11331;
  uo11332->data[0] = (Object)closure11332;
  Method *meth_meth_parser__apply11332 = addmethod2pos(block11331, "_apply", &meth_parser__apply11332, 0);
int argcv_meth_parser__apply11332[] = {0};
meth_meth_parser__apply11332->type = alloc_MethodType(1, argcv_meth_parser__apply11332);
  meth_meth_parser__apply11332->definitionModule = modulename;
  meth_meth_parser__apply11332->definitionLine = 3470;
// compilenode returning block11331
  gc_frame_newslot(block11331);
// Begin line 3467
  setline(3467);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11343 == NULL) {
    strlit11343 = alloc_String("identifier");
    gc_root(strlit11343);
  }
// compilenode returning strlit11343
  int op_slot_right_11342 = gc_frame_newslot(strlit11343);
  int callframe11345 = gc_frame_new();
  int callframe11346 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11347 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11346);
// compilenode returning call11347
// compilenode returning call11347
  partcv[0] = 0;
  Object call11348 = callmethod(call11347, "kind",
    1, partcv, params);
  gc_frame_end(callframe11345);
// compilenode returning call11348
// compilenode returning call11348
  int op_slot_left_11342 = gc_frame_newslot(call11348);
  params[0] = strlit11343;
  partcv[0] = 1;
  Object opresult11349 = callmethod(call11348, "==", 1, partcv, params);
// compilenode returning opresult11349
  params[0] = block11331;
  partcv[0] = 1;
  Object call11350 = callmethod(opresult11349, "orElse",
    1, partcv, params);
  gc_frame_end(callframe11330);
// compilenode returning call11350
  params[0] = block11321;
  partcv[0] = 1;
  Object call11351 = callmethod(call11350, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe11320);
// compilenode returning call11351
  gc_frame_end(frame);
  return call11351;
}
Object meth_parser_checkUnexpectedTokenAfterStatement11215(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 61, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkUnexpectedTokenAfterStatement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkUnexpectedTokenAfterStatement (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for checkUnexpectedTokenAfterStatement");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_sugg2 = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sugg2");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_n = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "n");
  Object *var_nextTok = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "nextTok");
  Object *var_newLine = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "newLine");
// Begin line 3507
  setline(3507);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3441
  setline(3441);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11218 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11219 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11218);
// compilenode returning call11219
// compilenode returning call11219
  int op_slot_right_11217 = gc_frame_newslot(call11219);
  int callframe11221 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11222 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11221);
// compilenode returning call11222
// compilenode returning call11222
  int op_slot_left_11217 = gc_frame_newslot(call11222);
  params[0] = call11219;
  partcv[0] = 1;
  Object opresult11223 = callmethod(call11222, "==", 1, partcv, params);
// compilenode returning opresult11223
  Object if11216 = done;
  if (istrue(opresult11223)) {
// Begin line 3455
  setline(3455);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3443
  setline(3443);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11227 == NULL) {
    strlit11227 = alloc_String("identifier");
    gc_root(strlit11227);
  }
// compilenode returning strlit11227
  int op_slot_right_11226 = gc_frame_newslot(strlit11227);
  int callframe11229 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11230 = callmethod(*var_lastToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe11229);
// compilenode returning call11230
// compilenode returning call11230
  int op_slot_left_11226 = gc_frame_newslot(call11230);
  params[0] = strlit11227;
  partcv[0] = 1;
  Object opresult11231 = callmethod(call11230, "==", 1, partcv, params);
// compilenode returning opresult11231
  int op_slot_right_11225 = gc_frame_newslot(opresult11231);
// Begin line 3442
  setline(3442);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11235 == NULL) {
    strlit11235 = alloc_String("=");
    gc_root(strlit11235);
  }
// compilenode returning strlit11235
  int op_slot_right_11234 = gc_frame_newslot(strlit11235);
  int callframe11237 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11238 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11237);
// compilenode returning call11238
// compilenode returning call11238
  int op_slot_left_11234 = gc_frame_newslot(call11238);
  params[0] = strlit11235;
  partcv[0] = 1;
  Object opresult11239 = callmethod(call11238, "==", 1, partcv, params);
// compilenode returning opresult11239
  int op_slot_right_11233 = gc_frame_newslot(opresult11239);
  if (strlit11242 == NULL) {
    strlit11242 = alloc_String("op");
    gc_root(strlit11242);
  }
// compilenode returning strlit11242
  int op_slot_right_11241 = gc_frame_newslot(strlit11242);
  int callframe11244 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11245 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11244);
// compilenode returning call11245
// compilenode returning call11245
  int op_slot_left_11241 = gc_frame_newslot(call11245);
  params[0] = strlit11242;
  partcv[0] = 1;
  Object opresult11246 = callmethod(call11245, "==", 1, partcv, params);
// compilenode returning opresult11246
  int op_slot_left_11233 = gc_frame_newslot(opresult11246);
  params[0] = opresult11239;
  partcv[0] = 1;
  Object opresult11247 = callmethod(opresult11246, "&&", 1, partcv, params);
// compilenode returning opresult11247
  int op_slot_left_11225 = gc_frame_newslot(opresult11247);
  params[0] = opresult11231;
  partcv[0] = 1;
  Object opresult11248 = callmethod(opresult11247, "&&", 1, partcv, params);
// compilenode returning opresult11248
  Object if11224 = done;
  if (istrue(opresult11248)) {
// Begin line 3445
  setline(3445);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3444
  setline(3444);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11249 = gc_frame_new();
  int callframe11250 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11251 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11250);
// compilenode returning call11251
// compilenode returning call11251
  partcv[0] = 0;
  Object call11252 = callmethod(call11251, "new",
    1, partcv, params);
  gc_frame_end(callframe11249);
// compilenode returning call11252
// compilenode returning call11252
  *var_sugg = call11252;
  if (call11252 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3446
  setline(3446);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3445
  setline(3445);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11253 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11253
  *var_suggestions = array11253;
  if (array11253 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3446
  setline(3446);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11254 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11255 = alloc_Boolean(0);
// compilenode returning bool11255
  gc_frame_newslot(bool11255);
  Object bool11256 = alloc_Boolean(0);
// compilenode returning bool11256
  gc_frame_newslot(bool11256);
  if (strlit11257 == NULL) {
    strlit11257 = alloc_String(":=");
    gc_root(strlit11257);
  }
// compilenode returning strlit11257
  gc_frame_newslot(strlit11257);
// compilenode returning *var_sugg
  params[0] = *var_sym;
  params[1] = bool11255;
  params[2] = bool11256;
  params[3] = strlit11257;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11258 = callmethod(*var_sugg, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11254);
// compilenode returning call11258
// Begin line 3447
  setline(3447);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11259 = gc_frame_new();
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// compilenode returning *var_suggestions
  params[0] = *var_sugg;
  partcv[0] = 1;
  Object call11260 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11259);
// compilenode returning call11260
// Begin line 3449
  setline(3449);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3448
  setline(3448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11261 = gc_frame_new();
  int callframe11262 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11263 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11262);
// compilenode returning call11263
// compilenode returning call11263
  partcv[0] = 0;
  Object call11264 = callmethod(call11263, "new",
    1, partcv, params);
  gc_frame_end(callframe11261);
// compilenode returning call11264
// compilenode returning call11264
  *var_sugg2 = call11264;
  if (call11264 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3449
  setline(3449);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11265 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11266 = alloc_Boolean(0);
// compilenode returning bool11266
  gc_frame_newslot(bool11266);
  Object bool11267 = alloc_Boolean(0);
// compilenode returning bool11267
  gc_frame_newslot(bool11267);
  if (strlit11268 == NULL) {
    strlit11268 = alloc_String("==");
    gc_root(strlit11268);
  }
// compilenode returning strlit11268
  gc_frame_newslot(strlit11268);
// compilenode returning *var_sugg2
  params[0] = *var_sym;
  params[1] = bool11266;
  params[2] = bool11267;
  params[3] = strlit11268;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11269 = callmethod(*var_sugg2, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11265);
// compilenode returning call11269
// Begin line 3450
  setline(3450);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11270 = gc_frame_new();
// compilenode returning *var_sugg2
  gc_frame_newslot(*var_sugg2);
// compilenode returning *var_suggestions
  params[0] = *var_sugg2;
  partcv[0] = 1;
  Object call11271 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11270);
// compilenode returning call11271
// Begin line 3451
  setline(3451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11272 = gc_frame_new();
  if (strlit11273 == NULL) {
    strlit11273 = alloc_String("Assignment uses ':=', not '='.");
    gc_root(strlit11273);
  }
// compilenode returning strlit11273
  gc_frame_newslot(strlit11273);
// Begin line 3452
  setline(3452);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11274 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11275 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11274);
// compilenode returning call11275
// compilenode returning call11275
  gc_frame_newslot(call11275);
  int callframe11276 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11277 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11276);
// compilenode returning call11277
// compilenode returning call11277
  gc_frame_newslot(call11277);
  int callframe11278 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11279 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11278);
// compilenode returning call11279
// compilenode returning call11279
  gc_frame_newslot(call11279);
// Begin line 3453
  setline(3453);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3451
  setline(3451);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11273;
  params[1] = call11275;
  params[2] = call11277;
  params[3] = call11279;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11280 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11272);
// compilenode returning call11280
    gc_frame_newslot(call11280);
    if11224 = call11280;
  } else {
  }
// compilenode returning if11224
// Begin line 3463
  setline(3463);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3455
  setline(3455);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11283 == NULL) {
    strlit11283 = alloc_String("rgeneric");
    gc_root(strlit11283);
  }
// compilenode returning strlit11283
  int op_slot_right_11282 = gc_frame_newslot(strlit11283);
  int callframe11285 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11286 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11285);
// compilenode returning call11286
// compilenode returning call11286
  int op_slot_left_11282 = gc_frame_newslot(call11286);
  params[0] = strlit11283;
  partcv[0] = 1;
  Object opresult11287 = callmethod(call11286, "==", 1, partcv, params);
// compilenode returning opresult11287
  Object if11281 = done;
  if (istrue(opresult11287)) {
// Begin line 3457
  setline(3457);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3456
  setline(3456);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11288 = gc_frame_new();
  int callframe11289 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11290 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11289);
// compilenode returning call11290
// compilenode returning call11290
  partcv[0] = 0;
  Object call11291 = callmethod(call11290, "new",
    1, partcv, params);
  gc_frame_end(callframe11288);
// compilenode returning call11291
// compilenode returning call11291
  *var_sugg = call11291;
  if (call11291 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3457
  setline(3457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11292 = gc_frame_new();
  if (strlit11293 == NULL) {
    strlit11293 = alloc_String(" ");
    gc_root(strlit11293);
  }
// compilenode returning strlit11293
  gc_frame_newslot(strlit11293);
  int callframe11294 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11295 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11294);
// compilenode returning call11295
// compilenode returning call11295
  gc_frame_newslot(call11295);
  int callframe11296 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11297 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11296);
// compilenode returning call11297
// compilenode returning call11297
  gc_frame_newslot(call11297);
// compilenode returning *var_sugg
  params[0] = strlit11293;
  params[1] = call11295;
  params[2] = call11297;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11298 = callmethod(*var_sugg, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe11292);
// compilenode returning call11298
// Begin line 3458
  setline(3458);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11299 = gc_frame_new();
// Begin line 3459
  setline(3459);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11300 == NULL) {
    strlit11300 = alloc_String("The '>' operator must have a space before it.");
    gc_root(strlit11300);
  }
// compilenode returning strlit11300
  gc_frame_newslot(strlit11300);
// Begin line 3460
  setline(3460);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11301 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11302 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11301);
// compilenode returning call11302
// compilenode returning call11302
  gc_frame_newslot(call11302);
  int callframe11303 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11304 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11303);
// compilenode returning call11304
// compilenode returning call11304
  gc_frame_newslot(call11304);
  int callframe11305 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11306 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11305);
// compilenode returning call11306
// compilenode returning call11306
  gc_frame_newslot(call11306);
// Begin line 3461
  setline(3461);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3458
  setline(3458);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11300;
  params[1] = call11302;
  params[2] = call11304;
  params[3] = call11306;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11307 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11299);
// compilenode returning call11307
    gc_frame_newslot(call11307);
    if11281 = call11307;
  } else {
  }
// compilenode returning if11281
// Begin line 3506
  setline(3506);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3463
  setline(3463);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11310 == NULL) {
    strlit11310 = alloc_String("rbrace");
    gc_root(strlit11310);
  }
// compilenode returning strlit11310
  int op_slot_right_11309 = gc_frame_newslot(strlit11310);
  int callframe11312 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11313 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11312);
// compilenode returning call11313
// compilenode returning call11313
  int op_slot_left_11309 = gc_frame_newslot(call11313);
  params[0] = strlit11310;
  partcv[0] = 1;
  Object opresult11314 = callmethod(call11313, "!=", 1, partcv, params);
// compilenode returning opresult11314
  Object if11308 = done;
  if (istrue(opresult11314)) {
// Begin line 3465
  setline(3465);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3464
  setline(3464);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11315 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11315
  *var_suggestions = array11315;
  if (array11315 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3466
  setline(3466);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_suggestion = undefined;
// compilenode returning done
// Begin line 3491
  setline(3491);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3466
  setline(3466);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11317 = gc_frame_new();
  Object block11318 = alloc_Block(NULL, NULL, "parser", 3466);
  gc_frame_newslot(block11318);
  block_savedest(block11318);
  Object closure11319 = createclosure(3, "_apply");
  setclosureframe(closure11319, stackframe);
  addtoclosure(closure11319, var_sym);
  addtoclosure(closure11319, var_values);
  addtoclosure(closure11319, selfslot);
  struct UserObject *uo11319 = (struct UserObject*)block11318;
  uo11319->data[0] = (Object)closure11319;
  Method *meth_meth_parser__apply11319 = addmethod2pos(block11318, "_apply", &meth_parser__apply11319, 0);
int argcv_meth_parser__apply11319[] = {0};
meth_meth_parser__apply11319->type = alloc_MethodType(1, argcv_meth_parser__apply11319);
  meth_meth_parser__apply11319->definitionModule = modulename;
  meth_meth_parser__apply11319->definitionLine = 3463;
// compilenode returning block11318
  gc_frame_newslot(block11318);
// Begin line 3466
  setline(3466);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11354 = alloc_Float64(0);
// compilenode returning num11354
  int op_slot_right_11353 = gc_frame_newslot(num11354);
  int callframe11356 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11357 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe11356);
// compilenode returning call11357
// compilenode returning call11357
  int op_slot_left_11353 = gc_frame_newslot(call11357);
  params[0] = num11354;
  partcv[0] = 1;
  Object opresult11358 = callmethod(call11357, ">", 1, partcv, params);
// compilenode returning opresult11358
  params[0] = block11318;
  partcv[0] = 1;
  Object call11359 = callmethod(opresult11358, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe11317);
// compilenode returning call11359
  Object if11316 = done;
  if (istrue(call11359)) {
// Begin line 3474
  setline(3474);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3473
  setline(3473);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11360 = gc_frame_new();
  int callframe11361 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11362 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11361);
// compilenode returning call11362
// compilenode returning call11362
  partcv[0] = 0;
  Object call11363 = callmethod(call11362, "new",
    1, partcv, params);
  gc_frame_end(callframe11360);
// compilenode returning call11363
// compilenode returning call11363
  *var_suggestion = call11363;
  if (call11363 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3474
  setline(3474);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11365 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11366 = alloc_Boolean(1);
// compilenode returning bool11366
  gc_frame_newslot(bool11366);
  Object bool11367 = alloc_Boolean(0);
// compilenode returning bool11367
  gc_frame_newslot(bool11367);
  if (strlit11369 == NULL) {
    strlit11369 = alloc_String(")");
    gc_root(strlit11369);
  }
// compilenode returning strlit11369
  int op_slot_right_11368 = gc_frame_newslot(strlit11369);
  int callframe11372 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11373 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11372);
// compilenode returning call11373
// compilenode returning call11373
  int op_slot_right_11371 = gc_frame_newslot(call11373);
  if (strlit11375 == NULL) {
    strlit11375 = alloc_String("(");
    gc_root(strlit11375);
  }
// compilenode returning strlit11375
  int op_slot_left_11371 = gc_frame_newslot(strlit11375);
  params[0] = call11373;
  partcv[0] = 1;
  Object opresult11376 = callmethod(strlit11375, "++", 1, partcv, params);
// compilenode returning opresult11376
  int op_slot_left_11368 = gc_frame_newslot(opresult11376);
  params[0] = strlit11369;
  partcv[0] = 1;
  Object opresult11377 = callmethod(opresult11376, "++", 1, partcv, params);
// compilenode returning opresult11377
  gc_frame_newslot(opresult11377);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool11366;
  params[2] = bool11367;
  params[3] = opresult11377;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11378 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11365);
// compilenode returning call11378
// Begin line 3475
  setline(3475);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11379 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11380 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11379);
// compilenode returning call11380
// Begin line 3485
  setline(3485);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3476
  setline(3476);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11383 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11384 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe11383);
// compilenode returning call11384
// compilenode returning call11384
  int op_slot_right_11382 = gc_frame_newslot(call11384);
  Object bool11386 = alloc_Boolean(0);
// compilenode returning bool11386
  int op_slot_left_11382 = gc_frame_newslot(bool11386);
  params[0] = call11384;
  partcv[0] = 1;
  Object opresult11387 = callmethod(bool11386, "!=", 1, partcv, params);
// compilenode returning opresult11387
  Object if11381 = done;
  if (istrue(opresult11387)) {
// Begin line 3478
  setline(3478);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3477
  setline(3477);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11388 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11389 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe11388);
// compilenode returning call11389
// compilenode returning call11389
  *var_n = call11389;
  if (call11389 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3484
  setline(3484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3478
  setline(3478);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11392 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11393 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11392);
// compilenode returning call11393
// compilenode returning call11393
  int op_slot_right_11391 = gc_frame_newslot(call11393);
  int callframe11395 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call11396 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe11395);
// compilenode returning call11396
// compilenode returning call11396
  int op_slot_left_11391 = gc_frame_newslot(call11396);
  params[0] = call11393;
  partcv[0] = 1;
  Object opresult11397 = callmethod(call11396, "==", 1, partcv, params);
// compilenode returning opresult11397
  Object if11390 = done;
  if (istrue(opresult11397)) {
// Begin line 3480
  setline(3480);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3479
  setline(3479);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11398 = gc_frame_new();
  int callframe11399 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11400 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11399);
// compilenode returning call11400
// compilenode returning call11400
  partcv[0] = 0;
  Object call11401 = callmethod(call11400, "new",
    1, partcv, params);
  gc_frame_end(callframe11398);
// compilenode returning call11401
// compilenode returning call11401
  *var_suggestion = call11401;
  if (call11401 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3480
  setline(3480);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11403 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11404 = alloc_Boolean(1);
// compilenode returning bool11404
  gc_frame_newslot(bool11404);
  Object bool11405 = alloc_Boolean(0);
// compilenode returning bool11405
  gc_frame_newslot(bool11405);
  if (strlit11407 == NULL) {
    strlit11407 = alloc_String("");
    gc_root(strlit11407);
  }
// compilenode returning strlit11407
  int op_slot_right_11406 = gc_frame_newslot(strlit11407);
  int callframe11410 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11411 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11410);
// compilenode returning call11411
// compilenode returning call11411
  int op_slot_right_11409 = gc_frame_newslot(call11411);
  if (strlit11413 == NULL) {
    strlit11413 = alloc_String("(");
    gc_root(strlit11413);
  }
// compilenode returning strlit11413
  int op_slot_left_11409 = gc_frame_newslot(strlit11413);
  params[0] = call11411;
  partcv[0] = 1;
  Object opresult11414 = callmethod(strlit11413, "++", 1, partcv, params);
// compilenode returning opresult11414
  int op_slot_left_11406 = gc_frame_newslot(opresult11414);
  params[0] = strlit11407;
  partcv[0] = 1;
  Object opresult11415 = callmethod(opresult11414, "++", 1, partcv, params);
// compilenode returning opresult11415
  gc_frame_newslot(opresult11415);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool11404;
  params[2] = bool11405;
  params[3] = opresult11415;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11416 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11403);
// compilenode returning call11416
// Begin line 3481
  setline(3481);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11417 = gc_frame_new();
  if (strlit11418 == NULL) {
    strlit11418 = alloc_String(")");
    gc_root(strlit11418);
  }
// compilenode returning strlit11418
  gc_frame_newslot(strlit11418);
  int callframe11419 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11420 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11419);
// compilenode returning call11420
// compilenode returning call11420
  gc_frame_newslot(call11420);
// compilenode returning *var_suggestion
  params[0] = strlit11418;
  params[1] = call11420;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11421 = callmethod(*var_suggestion, "append()onLine",
    2, partcv, params);
  gc_frame_end(callframe11417);
// compilenode returning call11421
// Begin line 3482
  setline(3482);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11422 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11423 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11422);
// compilenode returning call11423
    gc_frame_newslot(call11423);
    if11390 = call11423;
  } else {
  }
// compilenode returning if11390
    gc_frame_newslot(if11390);
    if11381 = if11390;
  } else {
  }
// compilenode returning if11381
// Begin line 3490
  setline(3490);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3485
  setline(3485);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11426 == NULL) {
    strlit11426 = alloc_String("identifier");
    gc_root(strlit11426);
  }
// compilenode returning strlit11426
  int op_slot_right_11425 = gc_frame_newslot(strlit11426);
  int callframe11428 = gc_frame_new();
  int callframe11429 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11430 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11429);
// compilenode returning call11430
// compilenode returning call11430
  partcv[0] = 0;
  Object call11431 = callmethod(call11430, "kind",
    1, partcv, params);
  gc_frame_end(callframe11428);
// compilenode returning call11431
// compilenode returning call11431
  int op_slot_left_11425 = gc_frame_newslot(call11431);
  params[0] = strlit11426;
  partcv[0] = 1;
  Object opresult11432 = callmethod(call11431, "==", 1, partcv, params);
// compilenode returning opresult11432
  Object if11424 = done;
  if (istrue(opresult11432)) {
// Begin line 3487
  setline(3487);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3486
  setline(3486);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11433 = gc_frame_new();
  int callframe11434 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11435 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11434);
// compilenode returning call11435
// compilenode returning call11435
  partcv[0] = 0;
  Object call11436 = callmethod(call11435, "new",
    1, partcv, params);
  gc_frame_end(callframe11433);
// compilenode returning call11436
// compilenode returning call11436
  *var_suggestion = call11436;
  if (call11436 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3487
  setline(3487);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11438 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11439 = alloc_Boolean(0);
// compilenode returning bool11439
  gc_frame_newslot(bool11439);
  Object bool11440 = alloc_Boolean(0);
// compilenode returning bool11440
  gc_frame_newslot(bool11440);
  if (strlit11442 == NULL) {
    strlit11442 = alloc_String("""\x22""");
    gc_root(strlit11442);
  }
// compilenode returning strlit11442
  int op_slot_right_11441 = gc_frame_newslot(strlit11442);
  int callframe11445 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11446 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11445);
// compilenode returning call11446
// compilenode returning call11446
  int op_slot_right_11444 = gc_frame_newslot(call11446);
  if (strlit11448 == NULL) {
    strlit11448 = alloc_String("""\x22""");
    gc_root(strlit11448);
  }
// compilenode returning strlit11448
  int op_slot_left_11444 = gc_frame_newslot(strlit11448);
  params[0] = call11446;
  partcv[0] = 1;
  Object opresult11449 = callmethod(strlit11448, "++", 1, partcv, params);
// compilenode returning opresult11449
  int op_slot_left_11441 = gc_frame_newslot(opresult11449);
  params[0] = strlit11442;
  partcv[0] = 1;
  Object opresult11450 = callmethod(opresult11449, "++", 1, partcv, params);
// compilenode returning opresult11450
  gc_frame_newslot(opresult11450);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool11439;
  params[2] = bool11440;
  params[3] = opresult11450;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11451 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11438);
// compilenode returning call11451
// Begin line 3488
  setline(3488);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11452 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11453 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11452);
// compilenode returning call11453
    gc_frame_newslot(call11453);
    if11424 = call11453;
  } else {
  }
// compilenode returning if11424
    gc_frame_newslot(if11424);
    if11316 = if11424;
  } else {
  }
// compilenode returning if11316
// Begin line 3491
  setline(3491);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11454 = gc_frame_new();
  if (strlit11455 == NULL) {
    strlit11455 = alloc_String("rbrace");
    gc_root(strlit11455);
  }
// compilenode returning strlit11455
  gc_frame_newslot(strlit11455);
  params[0] = strlit11455;
  partcv[0] = 1;
  Object call11456 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11454);
// compilenode returning call11456
  *var_nextTok = call11456;
  if (call11456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3503
  setline(3503);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3492
  setline(3492);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_11458 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_11458 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult11460 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult11460
  Object if11457 = done;
  if (istrue(opresult11460)) {
// Begin line 3494
  setline(3494);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3493
  setline(3493);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11461 = gc_frame_new();
  int callframe11462 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11463 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11462);
// compilenode returning call11463
// compilenode returning call11463
  partcv[0] = 0;
  Object call11464 = callmethod(call11463, "new",
    1, partcv, params);
  gc_frame_end(callframe11461);
// compilenode returning call11464
// compilenode returning call11464
  *var_suggestion = call11464;
  if (call11464 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3494
  setline(3494);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11466 = gc_frame_new();
  int callframe11467 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11468 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11467);
// compilenode returning call11468
// compilenode returning call11468
  gc_frame_newslot(call11468);
  int callframe11469 = gc_frame_new();
  Object num11470 = alloc_Float64(1);
// compilenode returning num11470
  gc_frame_newslot(num11470);
  Object num11472 = alloc_Float64(1);
// compilenode returning num11472
  int op_slot_right_11471 = gc_frame_newslot(num11472);
  int callframe11475 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11476 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe11475);
// compilenode returning call11476
// compilenode returning call11476
  int op_slot_right_11474 = gc_frame_newslot(call11476);
  int callframe11478 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11479 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11478);
// compilenode returning call11479
// compilenode returning call11479
  int op_slot_left_11474 = gc_frame_newslot(call11479);
  params[0] = call11476;
  partcv[0] = 1;
  Object sum11480 = callmethod(call11479, "+", 1, partcv, params);
// compilenode returning sum11480
  int op_slot_left_11471 = gc_frame_newslot(sum11480);
  params[0] = num11472;
  partcv[0] = 1;
  Object diff11481 = callmethod(sum11480, "-", 1, partcv, params);
// compilenode returning diff11481
  gc_frame_newslot(diff11481);
  int callframe11482 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11483 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11482);
// compilenode returning call11483
// compilenode returning call11483
  int callframe11484 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11485 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11484);
// compilenode returning call11485
// compilenode returning call11485
  params[0] = call11485;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11486 = callmethod(call11483, "[]", 1, partcv, params);
// compilenode returning idxres11486
  params[0] = num11470;
  params[1] = diff11481;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11487 = callmethod(idxres11486, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe11469);
// compilenode returning call11487
  gc_frame_newslot(call11487);
// compilenode returning *var_suggestion
  params[0] = call11468;
  params[1] = call11487;
  partcv[0] = 2;
  Object call11488 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe11466);
// compilenode returning call11488
// Begin line 3495
  setline(3495);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11489 = gc_frame_new();
  int callframe11490 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11491 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11490);
// compilenode returning call11491
// compilenode returning call11491
  gc_frame_newslot(call11491);
  int callframe11492 = gc_frame_new();
  int callframe11493 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11494 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11493);
// compilenode returning call11494
// compilenode returning call11494
  int callframe11495 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11496 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11495);
// compilenode returning call11496
// compilenode returning call11496
  params[0] = call11496;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11497 = callmethod(call11494, "[]", 1, partcv, params);
// compilenode returning idxres11497
  partcv[0] = 0;
  Object call11498 = callmethod(idxres11497, "size",
    1, partcv, params);
  gc_frame_end(callframe11492);
// compilenode returning call11498
// compilenode returning call11498
  gc_frame_newslot(call11498);
  int callframe11499 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11500 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11499);
// compilenode returning call11500
// compilenode returning call11500
  int callframe11501 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11502 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11501);
// compilenode returning call11502
// compilenode returning call11502
  params[0] = call11502;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11503 = callmethod(call11500, "[]", 1, partcv, params);
// compilenode returning idxres11503
  params[0] = call11491;
  params[1] = call11498;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11504 = callmethod(idxres11503, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe11489);
// compilenode returning call11504
  *var_newLine = call11504;
  if (call11504 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3496
  setline(3496);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11505 = gc_frame_new();
  Object num11507 = alloc_Float64(0.1);
// compilenode returning num11507
  int op_slot_right_11506 = gc_frame_newslot(num11507);
  int callframe11509 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11510 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11509);
// compilenode returning call11510
// compilenode returning call11510
  int op_slot_left_11506 = gc_frame_newslot(call11510);
  params[0] = num11507;
  partcv[0] = 1;
  Object sum11511 = callmethod(call11510, "+", 1, partcv, params);
// compilenode returning sum11511
  gc_frame_newslot(sum11511);
// compilenode returning *var_newLine
  gc_frame_newslot(*var_newLine);
// compilenode returning *var_suggestion
  params[0] = sum11511;
  params[1] = *var_newLine;
  partcv[0] = 2;
  Object call11512 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe11505);
// compilenode returning call11512
// Begin line 3497
  setline(3497);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11513 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11514 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11513);
// compilenode returning call11514
    gc_frame_newslot(call11514);
    if11457 = call11514;
  } else {
// Begin line 3500
  setline(3500);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3499
  setline(3499);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11515 = gc_frame_new();
  int callframe11516 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11517 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11516);
// compilenode returning call11517
// compilenode returning call11517
  partcv[0] = 0;
  Object call11518 = callmethod(call11517, "new",
    1, partcv, params);
  gc_frame_end(callframe11515);
// compilenode returning call11518
// compilenode returning call11518
  *var_suggestion = call11518;
  if (call11518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3500
  setline(3500);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11520 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe11521 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call11522 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11521);
// compilenode returning call11522
// compilenode returning call11522
  gc_frame_newslot(call11522);
  Object bool11523 = alloc_Boolean(1);
// compilenode returning bool11523
  gc_frame_newslot(bool11523);
  Object bool11524 = alloc_Boolean(0);
// compilenode returning bool11524
  gc_frame_newslot(bool11524);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call11522;
  params[2] = bool11523;
  params[3] = bool11524;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11525 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe11520);
// compilenode returning call11525
// Begin line 3501
  setline(3501);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11526 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11527 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11526);
// compilenode returning call11527
    gc_frame_newslot(call11527);
    if11457 = call11527;
  }
// compilenode returning if11457
// Begin line 3503
  setline(3503);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11528 = gc_frame_new();
  if (strlit11529 == NULL) {
    strlit11529 = alloc_String("Multiple statements must be separated by a newline or a semicolon. This is often caused by missing parentheses.");
    gc_root(strlit11529);
  }
// compilenode returning strlit11529
  gc_frame_newslot(strlit11529);
// Begin line 3504
  setline(3504);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11530 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11531 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11530);
// compilenode returning call11531
// compilenode returning call11531
  gc_frame_newslot(call11531);
  int callframe11532 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11533 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11532);
// compilenode returning call11533
// compilenode returning call11533
  gc_frame_newslot(call11533);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3503
  setline(3503);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11529;
  params[1] = call11531;
  params[2] = call11533;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call11534 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11528);
// compilenode returning call11534
    gc_frame_newslot(call11534);
    if11308 = call11534;
  } else {
  }
// compilenode returning if11308
    gc_frame_newslot(if11308);
    if11216 = if11308;
  } else {
  }
// compilenode returning if11216
  gc_frame_end(frame);
  return if11216;
}
Object meth_parser__apply11687(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object num11689 = alloc_Float64(0);
// compilenode returning num11689
  int op_slot_right_11688 = gc_frame_newslot(num11689);
  int callframe11691 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11692 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11691);
// compilenode returning call11692
// compilenode returning call11692
  int op_slot_left_11688 = gc_frame_newslot(call11692);
  params[0] = num11689;
  partcv[0] = 1;
  Object opresult11693 = callmethod(call11692, ">", 1, partcv, params);
// compilenode returning opresult11693
  gc_frame_end(frame);
  return opresult11693;
}
Object meth_parser__apply11696(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_oldlength = getfromclosure(closure, 0);
  Object *var_tokens = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 3557
  setline(3557);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11697 = gc_frame_new();
  partcv[0] = 0;
  Object call11698 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11697);
// compilenode returning call11698
// Begin line 3558
  setline(3558);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11699 = gc_frame_new();
  partcv[0] = 0;
  Object call11700 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11699);
// compilenode returning call11700
// Begin line 3559
  setline(3559);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11701 = gc_frame_new();
  partcv[0] = 0;
  Object call11702 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11701);
// compilenode returning call11702
// Begin line 3560
  setline(3560);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11703 = gc_frame_new();
  partcv[0] = 0;
  Object call11704 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11703);
// compilenode returning call11704
// Begin line 3561
  setline(3561);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11705 = gc_frame_new();
  partcv[0] = 0;
  Object call11706 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11705);
// compilenode returning call11706
// Begin line 3562
  setline(3562);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11707 = gc_frame_new();
  partcv[0] = 0;
  Object call11708 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11707);
// compilenode returning call11708
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3563
  setline(3563);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_oldlength
  int op_slot_right_11710 = gc_frame_newslot(*var_oldlength);
  int callframe11712 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11713 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11712);
// compilenode returning call11713
// compilenode returning call11713
  int op_slot_left_11710 = gc_frame_newslot(call11713);
  params[0] = *var_oldlength;
  partcv[0] = 1;
  Object opresult11714 = callmethod(call11713, "==", 1, partcv, params);
// compilenode returning opresult11714
  Object if11709 = done;
  if (istrue(opresult11714)) {
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3564
  setline(3564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11715 = gc_frame_new();
  int callframe11716 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11717 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11716);
// compilenode returning call11717
// compilenode returning call11717
  partcv[0] = 0;
  Object call11718 = callmethod(call11717, "new",
    1, partcv, params);
  gc_frame_end(callframe11715);
// compilenode returning call11718
// compilenode returning call11718
  *var_suggestion = call11718;
  if (call11718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3565
  setline(3565);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11719 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call11720 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe11719);
// compilenode returning call11720
// Begin line 3566
  setline(3566);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11721 = gc_frame_new();
  if (strlit11722 == NULL) {
    strlit11722 = alloc_String("Invalid statement. This is often caused by an extra '}', ')', or ']'.");
    gc_root(strlit11722);
  }
// compilenode returning strlit11722
  gc_frame_newslot(strlit11722);
// Begin line 3567
  setline(3567);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11723 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11724 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11723);
// compilenode returning call11724
// compilenode returning call11724
  gc_frame_newslot(call11724);
  int callframe11725 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11726 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11725);
// compilenode returning call11726
// compilenode returning call11726
  gc_frame_newslot(call11726);
  Object num11728 = alloc_Float64(1);
// compilenode returning num11728
  int op_slot_right_11727 = gc_frame_newslot(num11728);
  int callframe11731 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11732 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe11731);
// compilenode returning call11732
// compilenode returning call11732
  int op_slot_right_11730 = gc_frame_newslot(call11732);
  int callframe11734 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11735 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11734);
// compilenode returning call11735
// compilenode returning call11735
  int op_slot_left_11730 = gc_frame_newslot(call11735);
  params[0] = call11732;
  partcv[0] = 1;
  Object sum11736 = callmethod(call11735, "+", 1, partcv, params);
// compilenode returning sum11736
  int op_slot_left_11727 = gc_frame_newslot(sum11736);
  params[0] = num11728;
  partcv[0] = 1;
  Object diff11737 = callmethod(sum11736, "-", 1, partcv, params);
// compilenode returning diff11737
  gc_frame_newslot(diff11737);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3566
  setline(3566);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11722;
  params[1] = call11724;
  params[2] = call11726;
  params[3] = diff11737;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11738 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11721);
// compilenode returning call11738
    gc_frame_newslot(call11738);
    if11709 = call11738;
  } else {
  }
// compilenode returning if11709
// Begin line 3570
  setline(3570);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11739 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11740 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11739);
// compilenode returning call11740
// compilenode returning call11740
  *var_oldlength = call11740;
  if (call11740 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_parse11535(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 62, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method parse");
  Object params[5];
  int partcv[3];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_defaultDefVisibility = getfromclosure(closure, 2);
  Object *var_defaultVarVisibility = getfromclosure(closure, 3);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  Object *var_sym = getfromclosure(closure, 6);
  Object *var_errormessages = getfromclosure(closure, 7);
  Object *var_lastToken = getfromclosure(closure, 8);
  Object *var_linenum = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parse (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_toks = &(stackframe->slots[0]);
  *var_toks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for parse");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sugg");
  Object *var_oldlength = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oldlength");
// Begin line 3512
  setline(3512);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11536 = gc_frame_new();
  if (strlit11537 == NULL) {
    strlit11537 = alloc_String("processing tokens.");
    gc_root(strlit11537);
  }
// compilenode returning strlit11537
  gc_frame_newslot(strlit11537);
// compilenode returning *var_util
  params[0] = strlit11537;
  partcv[0] = 1;
  Object call11538 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11536);
// compilenode returning call11538
// Begin line 3514
  setline(3514);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3513
  setline(3513);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11539 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11539
  *var_values = array11539;
  if (array11539 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3519
  setline(3519);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3514
  setline(3514);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11542 = gc_frame_new();
  if (strlit11543 == NULL) {
    strlit11543 = alloc_String("DefaultVisibility");
    gc_root(strlit11543);
  }
// compilenode returning strlit11543
  gc_frame_newslot(strlit11543);
  int callframe11544 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11545 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11544);
// compilenode returning call11545
// compilenode returning call11545
  params[0] = strlit11543;
  partcv[0] = 1;
  Object call11546 = callmethod(call11545, "contains",
    1, partcv, params);
  gc_frame_end(callframe11542);
// compilenode returning call11546
  Object if11541 = done;
  if (istrue(call11546)) {
// Begin line 3515
  setline(3515);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11547 = gc_frame_new();
  if (strlit11548 == NULL) {
    strlit11548 = alloc_String("DefaultVisibility");
    gc_root(strlit11548);
  }
// compilenode returning strlit11548
  gc_frame_newslot(strlit11548);
  int callframe11549 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11550 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11549);
// compilenode returning call11550
// compilenode returning call11550
  params[0] = strlit11548;
  partcv[0] = 1;
  Object call11551 = callmethod(call11550, "get",
    1, partcv, params);
  gc_frame_end(callframe11547);
// compilenode returning call11551
  *var_defaultDefVisibility = call11551;
  if (call11551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11553 = gc_frame_new();
  if (strlit11554 == NULL) {
    strlit11554 = alloc_String("DefaultVisibility");
    gc_root(strlit11554);
  }
// compilenode returning strlit11554
  gc_frame_newslot(strlit11554);
  int callframe11555 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11556 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11555);
// compilenode returning call11556
// compilenode returning call11556
  params[0] = strlit11554;
  partcv[0] = 1;
  Object call11557 = callmethod(call11556, "get",
    1, partcv, params);
  gc_frame_end(callframe11553);
// compilenode returning call11557
  *var_defaultVarVisibility = call11557;
  if (call11557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3517
  setline(3517);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11559 = gc_frame_new();
  if (strlit11560 == NULL) {
    strlit11560 = alloc_String("DefaultVisibility");
    gc_root(strlit11560);
  }
// compilenode returning strlit11560
  gc_frame_newslot(strlit11560);
  int callframe11561 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11562 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11561);
// compilenode returning call11562
// compilenode returning call11562
  params[0] = strlit11560;
  partcv[0] = 1;
  Object call11563 = callmethod(call11562, "get",
    1, partcv, params);
  gc_frame_end(callframe11559);
// compilenode returning call11563
  *var_defaultMethodVisibility = call11563;
  if (call11563 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11541 = done;
  } else {
  }
// compilenode returning if11541
// Begin line 3522
  setline(3522);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3519
  setline(3519);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11566 = gc_frame_new();
  if (strlit11567 == NULL) {
    strlit11567 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11567);
  }
// compilenode returning strlit11567
  gc_frame_newslot(strlit11567);
  int callframe11568 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11569 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11568);
// compilenode returning call11569
// compilenode returning call11569
  params[0] = strlit11567;
  partcv[0] = 1;
  Object call11570 = callmethod(call11569, "contains",
    1, partcv, params);
  gc_frame_end(callframe11566);
// compilenode returning call11570
  Object if11565 = done;
  if (istrue(call11570)) {
// Begin line 3520
  setline(3520);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11571 = gc_frame_new();
  if (strlit11572 == NULL) {
    strlit11572 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11572);
  }
// compilenode returning strlit11572
  gc_frame_newslot(strlit11572);
  int callframe11573 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11574 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11573);
// compilenode returning call11574
// compilenode returning call11574
  params[0] = strlit11572;
  partcv[0] = 1;
  Object call11575 = callmethod(call11574, "get",
    1, partcv, params);
  gc_frame_end(callframe11571);
// compilenode returning call11575
  *var_defaultDefVisibility = call11575;
  if (call11575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11565 = done;
  } else {
  }
// compilenode returning if11565
// Begin line 3525
  setline(3525);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3522
  setline(3522);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11578 = gc_frame_new();
  if (strlit11579 == NULL) {
    strlit11579 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11579);
  }
// compilenode returning strlit11579
  gc_frame_newslot(strlit11579);
  int callframe11580 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11581 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11580);
// compilenode returning call11581
// compilenode returning call11581
  params[0] = strlit11579;
  partcv[0] = 1;
  Object call11582 = callmethod(call11581, "contains",
    1, partcv, params);
  gc_frame_end(callframe11578);
// compilenode returning call11582
  Object if11577 = done;
  if (istrue(call11582)) {
// Begin line 3523
  setline(3523);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11583 = gc_frame_new();
  if (strlit11584 == NULL) {
    strlit11584 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11584);
  }
// compilenode returning strlit11584
  gc_frame_newslot(strlit11584);
  int callframe11585 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11586 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11585);
// compilenode returning call11586
// compilenode returning call11586
  params[0] = strlit11584;
  partcv[0] = 1;
  Object call11587 = callmethod(call11586, "get",
    1, partcv, params);
  gc_frame_end(callframe11583);
// compilenode returning call11587
  *var_defaultVarVisibility = call11587;
  if (call11587 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11577 = done;
  } else {
  }
// compilenode returning if11577
// Begin line 3528
  setline(3528);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3525
  setline(3525);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11590 = gc_frame_new();
  if (strlit11591 == NULL) {
    strlit11591 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11591);
  }
// compilenode returning strlit11591
  gc_frame_newslot(strlit11591);
  int callframe11592 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11593 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11592);
// compilenode returning call11593
// compilenode returning call11593
  params[0] = strlit11591;
  partcv[0] = 1;
  Object call11594 = callmethod(call11593, "contains",
    1, partcv, params);
  gc_frame_end(callframe11590);
// compilenode returning call11594
  Object if11589 = done;
  if (istrue(call11594)) {
// Begin line 3526
  setline(3526);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11595 = gc_frame_new();
  if (strlit11596 == NULL) {
    strlit11596 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11596);
  }
// compilenode returning strlit11596
  gc_frame_newslot(strlit11596);
  int callframe11597 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11598 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11597);
// compilenode returning call11598
// compilenode returning call11598
  params[0] = strlit11596;
  partcv[0] = 1;
  Object call11599 = callmethod(call11598, "get",
    1, partcv, params);
  gc_frame_end(callframe11595);
// compilenode returning call11599
  *var_defaultMethodVisibility = call11599;
  if (call11599 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11589 = done;
  } else {
  }
// compilenode returning if11589
// Begin line 3531
  setline(3531);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3528
  setline(3528);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11603 = alloc_Float64(0);
// compilenode returning num11603
  int op_slot_right_11602 = gc_frame_newslot(num11603);
  int callframe11605 = gc_frame_new();
// compilenode returning *var_toks
  partcv[0] = 0;
  Object call11606 = callmethod(*var_toks, "size",
    1, partcv, params);
  gc_frame_end(callframe11605);
// compilenode returning call11606
// compilenode returning call11606
  int op_slot_left_11602 = gc_frame_newslot(call11606);
  params[0] = num11603;
  partcv[0] = 1;
  Object opresult11607 = callmethod(call11606, "==", 1, partcv, params);
// compilenode returning opresult11607
  Object if11601 = done;
  if (istrue(opresult11607)) {
// Begin line 3530
  setline(3530);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3529
  setline(3529);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11608 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11608
  return array11608;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if11601 = undefined;
  } else {
  }
// compilenode returning if11601
// Begin line 3532
  setline(3532);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3531
  setline(3531);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_toks
  *var_tokens = *var_toks;
  if (*var_toks == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3533
  setline(3533);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3532
  setline(3532);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11610 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11611 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe11610);
// compilenode returning call11611
// compilenode returning call11611
  *var_sym = call11611;
  if (call11611 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3540
  setline(3540);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3533
  setline(3533);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11615 = alloc_Float64(0);
// compilenode returning num11615
  int op_slot_right_11614 = gc_frame_newslot(num11615);
  int callframe11617 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11618 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11617);
// compilenode returning call11618
// compilenode returning call11618
  int op_slot_left_11614 = gc_frame_newslot(call11618);
  params[0] = num11615;
  partcv[0] = 1;
  Object opresult11619 = callmethod(call11618, ">", 1, partcv, params);
// compilenode returning opresult11619
  Object if11613 = done;
  if (istrue(opresult11619)) {
// Begin line 3535
  setline(3535);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3534
  setline(3534);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11620 = gc_frame_new();
  int callframe11621 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11622 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11621);
// compilenode returning call11622
// compilenode returning call11622
  partcv[0] = 0;
  Object call11623 = callmethod(call11622, "new",
    1, partcv, params);
  gc_frame_end(callframe11620);
// compilenode returning call11623
// compilenode returning call11623
  *var_sugg = call11623;
  if (call11623 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3535
  setline(3535);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11624 = gc_frame_new();
  Object num11625 = alloc_Float64(1);
// compilenode returning num11625
  gc_frame_newslot(num11625);
  int callframe11626 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11627 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11626);
// compilenode returning call11627
// compilenode returning call11627
  gc_frame_newslot(call11627);
  int callframe11628 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11629 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11628);
// compilenode returning call11629
// compilenode returning call11629
  gc_frame_newslot(call11629);
// compilenode returning *var_sugg
  params[0] = num11625;
  params[1] = call11627;
  params[2] = call11629;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call11630 = callmethod(*var_sugg, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe11624);
// compilenode returning call11630
// Begin line 3536
  setline(3536);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11631 = gc_frame_new();
  if (strlit11632 == NULL) {
    strlit11632 = alloc_String("The first line must not be indented.");
    gc_root(strlit11632);
  }
// compilenode returning strlit11632
  gc_frame_newslot(strlit11632);
// Begin line 3537
  setline(3537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11633 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11634 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11633);
// compilenode returning call11634
// compilenode returning call11634
  gc_frame_newslot(call11634);
  Object num11635 = alloc_Float64(1);
// compilenode returning num11635
  gc_frame_newslot(num11635);
  int callframe11636 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11637 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11636);
// compilenode returning call11637
// compilenode returning call11637
  gc_frame_newslot(call11637);
// Begin line 3538
  setline(3538);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3536
  setline(3536);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11632;
  params[1] = call11634;
  params[2] = num11635;
  params[3] = call11637;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11638 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11631);
// compilenode returning call11638
    gc_frame_newslot(call11638);
    if11613 = call11638;
  } else {
  }
// compilenode returning if11613
// Begin line 3542
  setline(3542);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3537
  setline(3537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11639 = gc_frame_new();
// Begin line 3540
  setline(3540);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_sym
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call11640 = callmethod(*var_sym, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe11639);
// compilenode returning call11640
// compilenode returning done
// Begin line 3542
  setline(3542);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11641 = gc_frame_new();
  Object inheritingObject11642 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11642 = alloc_userobj2(15,9, objclass11642);
  gc_frame_newslot(obj11642);
// OBJECT OUTER DEC outer
  adddatum2(obj11642, self, 0);
  addmethodreal(obj11642,"outer", &reader_parser_outer_11643);
  Object oldself11642 = self;
  struct StackFrameObject *oldstackframe11642 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11642);
  gc_frame_newslot((Object)stackframe);
  self = obj11642;
  Object *oldselfslot11642 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11642 = (*(struct UserObject *)self).data[0], lowerouter11642 = thisouter11642;
  if (inheritingObject11642) {
    struct UserObject *inho11642 = (struct UserObject *)inheritingObject11642;
    while (inho11642->super != GraceDefaultObject) inho11642 = (struct UserObject *)inho11642->super;
    inho11642->super = obj11642;
    self = inheritingObject11642;
    *selfslot = self;
    lowerouter11642 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11642;
  }
if (objclass11642 == NULL) {
  Method *reader11644 = addmethodrealflags(obj11642, "kind",&reader_parser_kind_11644, 0);
  Method *writer11644 = addmethodrealflags(obj11642, "kind:=",&writer_parser_kind_11644, 0);
  reader11644->definitionModule = modulename;
  writer11644->definitionModule = modulename;
  reader11644->definitionLine = 3544;
  writer11644->definitionLine = 3544;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 1);
if (objclass11642 == NULL) {
  Method *reader11645 = addmethodrealflags(obj11642, "line",&reader_parser_line_11645, 0);
  Method *writer11645 = addmethodrealflags(obj11642, "line:=",&writer_parser_line_11645, 0);
  reader11645->definitionModule = modulename;
  writer11645->definitionModule = modulename;
  reader11645->definitionLine = 3545;
  writer11645->definitionLine = 3545;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 2);
if (objclass11642 == NULL) {
  Method *reader11646 = addmethodrealflags(obj11642, "linePos",&reader_parser_linePos_11646, 0);
  Method *writer11646 = addmethodrealflags(obj11642, "linePos:=",&writer_parser_linePos_11646, 0);
  reader11646->definitionModule = modulename;
  writer11646->definitionModule = modulename;
  reader11646->definitionLine = 3546;
  writer11646->definitionLine = 3546;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 3);
if (objclass11642 == NULL) {
  Method *reader11647 = addmethodrealflags(obj11642, "indent",&reader_parser_indent_11647, 0);
  Method *writer11647 = addmethodrealflags(obj11642, "indent:=",&writer_parser_indent_11647, 0);
  reader11647->definitionModule = modulename;
  writer11647->definitionModule = modulename;
  reader11647->definitionLine = 3547;
  writer11647->definitionLine = 3547;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 4);
if (objclass11642 == NULL) {
  Method *reader11648 = addmethodrealflags(obj11642, "value",&reader_parser_value_11648, 0);
  Method *writer11648 = addmethodrealflags(obj11642, "value:=",&writer_parser_value_11648, 0);
  reader11648->definitionModule = modulename;
  writer11648->definitionModule = modulename;
  reader11648->definitionLine = 3548;
  writer11648->definitionLine = 3548;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 5);
if (objclass11642 == NULL) {
  Method *reader11649 = addmethodrealflags(obj11642, "size",&reader_parser_size_11649, MFLAG_DEF);
  reader11649->definitionModule = modulename;
  reader11649->definitionLine = 3549;
}
adddatum2(obj11642, alloc_Undefined(), 6);
if (objclass11642 == NULL) {
  Method *reader11650 = addmethodrealflags(obj11642, "next",&reader_parser_next_11650, 0);
  Method *writer11650 = addmethodrealflags(obj11642, "next:=",&writer_parser_next_11650, 0);
  reader11650->definitionModule = modulename;
  writer11650->definitionModule = modulename;
  reader11650->definitionLine = 3550;
  writer11650->definitionLine = 3550;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 7);
if (objclass11642 == NULL) {
  Method *reader11651 = addmethodrealflags(obj11642, "prev",&reader_parser_prev_11651, 0);
  Method *writer11651 = addmethodrealflags(obj11642, "prev:=",&writer_parser_prev_11651, 0);
  reader11651->definitionModule = modulename;
  writer11651->definitionModule = modulename;
  reader11651->definitionLine = 3551;
  writer11651->definitionLine = 3551;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 8);
  sourceObject = obj11642;
// Begin line 3543
  setline(3543);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11652 == NULL) {
    strlit11652 = alloc_String("eof");
    gc_root(strlit11652);
  }
// compilenode returning strlit11652
  adddatum2(obj11642, strlit11652, 1);
  sourceObject = obj11642;
// Begin line 3544
  setline(3544);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11653 = gc_frame_new();
  int callframe11654 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11655 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11654);
// compilenode returning call11655
// compilenode returning call11655
  partcv[0] = 0;
  Object call11656 = callmethod(call11655, "line",
    1, partcv, params);
  gc_frame_end(callframe11653);
// compilenode returning call11656
// compilenode returning call11656
  adddatum2(obj11642, call11656, 2);
  sourceObject = obj11642;
// Begin line 3546
  setline(3546);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3545
  setline(3545);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11658 = alloc_Float64(1);
// compilenode returning num11658
  int op_slot_right_11657 = gc_frame_newslot(num11658);
  int callframe11660 = gc_frame_new();
  int callframe11661 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11662 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11661);
// compilenode returning call11662
// compilenode returning call11662
  int callframe11663 = gc_frame_new();
  int callframe11664 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11665 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11664);
// compilenode returning call11665
// compilenode returning call11665
  partcv[0] = 0;
  Object call11666 = callmethod(call11665, "line",
    1, partcv, params);
  gc_frame_end(callframe11663);
// compilenode returning call11666
// compilenode returning call11666
  params[0] = call11666;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11667 = callmethod(call11662, "[]", 1, partcv, params);
// compilenode returning idxres11667
  partcv[0] = 0;
  Object call11668 = callmethod(idxres11667, "size",
    1, partcv, params);
  gc_frame_end(callframe11660);
// compilenode returning call11668
// compilenode returning call11668
  int op_slot_left_11657 = gc_frame_newslot(call11668);
  params[0] = num11658;
  partcv[0] = 1;
  Object sum11669 = callmethod(call11668, "+", 1, partcv, params);
// compilenode returning sum11669
  adddatum2(obj11642, sum11669, 3);
  sourceObject = obj11642;
// Begin line 3546
  setline(3546);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11670 = alloc_Float64(0);
// compilenode returning num11670
  adddatum2(obj11642, num11670, 4);
  sourceObject = obj11642;
// Begin line 3547
  setline(3547);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11671 == NULL) {
    strlit11671 = alloc_String("");
    gc_root(strlit11671);
  }
// compilenode returning strlit11671
  adddatum2(obj11642, strlit11671, 5);
  sourceObject = obj11642;
// Begin line 3548
  setline(3548);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11672 = alloc_Float64(0);
// compilenode returning num11672
  adddatum2(obj11642, num11672, 6);
  sourceObject = obj11642;
// Begin line 3549
  setline(3549);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11673 = alloc_Boolean(0);
// compilenode returning bool11673
  adddatum2(obj11642, bool11673, 7);
  sourceObject = obj11642;
// Begin line 3550
  setline(3550);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11674 = alloc_Boolean(0);
// compilenode returning bool11674
  adddatum2(obj11642, bool11674, 8);
objclass11642 = obj11642->class;
  objclass11642->definitionModule = modulename;
  objclass11642->definitionLine = 3542;
  (*(struct UserObject *)self).data[0] = lowerouter11642;
  self = oldself11642;
  selfslot = oldselfslot11642;
  stackframe = oldstackframe11642;
// compilenode returning obj11642
  gc_frame_newslot(obj11642);
// Begin line 3542
  setline(3542);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tokens
  params[0] = obj11642;
  partcv[0] = 1;
  Object call11675 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe11641);
// compilenode returning call11675
// Begin line 3552
  setline(3552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11676 = gc_frame_new();
  if (strlit11677 == NULL) {
    strlit11677 = alloc_String("parsing.");
    gc_root(strlit11677);
  }
// compilenode returning strlit11677
  gc_frame_newslot(strlit11677);
// compilenode returning *var_util
  params[0] = strlit11677;
  partcv[0] = 1;
  Object call11678 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11676);
// compilenode returning call11678
// Begin line 3554
  setline(3554);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3553
  setline(3553);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11679 = alloc_Float64(1);
// compilenode returning num11679
  *var_linenum = num11679;
  if (num11679 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3554
  setline(3554);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11681 = gc_frame_new();
  partcv[0] = 0;
  Object call11682 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11681);
// compilenode returning call11682
// Begin line 3556
  setline(3556);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3555
  setline(3555);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11683 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11684 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11683);
// compilenode returning call11684
// compilenode returning call11684
  *var_oldlength = call11684;
  if (call11684 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3556
  setline(3556);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11685 = gc_frame_new();
  Object block11686 = alloc_Block(NULL, NULL, "parser", 3556);
  gc_frame_newslot(block11686);
  block_savedest(block11686);
  Object closure11687 = createclosure(2, "_apply");
  setclosureframe(closure11687, stackframe);
  addtoclosure(closure11687, var_tokens);
  addtoclosure(closure11687, selfslot);
  struct UserObject *uo11687 = (struct UserObject*)block11686;
  uo11687->data[0] = (Object)closure11687;
  Method *meth_meth_parser__apply11687 = addmethod2pos(block11686, "_apply", &meth_parser__apply11687, 0);
int argcv_meth_parser__apply11687[] = {0};
meth_meth_parser__apply11687->type = alloc_MethodType(1, argcv_meth_parser__apply11687);
  meth_meth_parser__apply11687->definitionModule = modulename;
  meth_meth_parser__apply11687->definitionLine = 3555;
// compilenode returning block11686
  gc_frame_newslot(block11686);
  Object block11695 = alloc_Block(NULL, NULL, "parser", 3556);
  gc_frame_newslot(block11695);
  block_savedest(block11695);
  Object closure11696 = createclosure(5, "_apply");
  setclosureframe(closure11696, stackframe);
  addtoclosure(closure11696, var_oldlength);
  addtoclosure(closure11696, var_tokens);
  addtoclosure(closure11696, var_errormessages);
  addtoclosure(closure11696, var_sym);
  addtoclosure(closure11696, selfslot);
  struct UserObject *uo11696 = (struct UserObject*)block11695;
  uo11696->data[0] = (Object)closure11696;
  Method *meth_meth_parser__apply11696 = addmethod2pos(block11695, "_apply", &meth_parser__apply11696, 0);
int argcv_meth_parser__apply11696[] = {0};
meth_meth_parser__apply11696->type = alloc_MethodType(1, argcv_meth_parser__apply11696);
  meth_meth_parser__apply11696->definitionModule = modulename;
  meth_meth_parser__apply11696->definitionLine = 3556;
// compilenode returning block11695
  gc_frame_newslot(block11695);
  params[0] = block11686;
  params[1] = block11695;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11743 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11685);
// compilenode returning call11743
// Begin line 3571
  setline(3571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11744 = gc_frame_new();
  partcv[0] = 0;
  Object call11745 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11744);
// compilenode returning call11745
// Begin line 3572
  setline(3572);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_parse11535_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 62, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parse()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method parse()object");
  Object params[5];
  int partcv[3];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_defaultDefVisibility = getfromclosure(closure, 2);
  Object *var_defaultVarVisibility = getfromclosure(closure, 3);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  Object *var_sym = getfromclosure(closure, 6);
  Object *var_errormessages = getfromclosure(closure, 7);
  Object *var_lastToken = getfromclosure(closure, 8);
  Object *var_linenum = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parse (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_toks = &(stackframe->slots[0]);
  *var_toks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for parse");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sugg");
  Object *var_oldlength = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oldlength");
// Begin line 3512
  setline(3512);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11536 = gc_frame_new();
  if (strlit11537 == NULL) {
    strlit11537 = alloc_String("processing tokens.");
    gc_root(strlit11537);
  }
// compilenode returning strlit11537
  gc_frame_newslot(strlit11537);
// compilenode returning *var_util
  params[0] = strlit11537;
  partcv[0] = 1;
  Object call11538 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11536);
// compilenode returning call11538
// Begin line 3514
  setline(3514);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3513
  setline(3513);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11539 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11539
  *var_values = array11539;
  if (array11539 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3519
  setline(3519);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3514
  setline(3514);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11542 = gc_frame_new();
  if (strlit11543 == NULL) {
    strlit11543 = alloc_String("DefaultVisibility");
    gc_root(strlit11543);
  }
// compilenode returning strlit11543
  gc_frame_newslot(strlit11543);
  int callframe11544 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11545 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11544);
// compilenode returning call11545
// compilenode returning call11545
  params[0] = strlit11543;
  partcv[0] = 1;
  Object call11546 = callmethod(call11545, "contains",
    1, partcv, params);
  gc_frame_end(callframe11542);
// compilenode returning call11546
  Object if11541 = done;
  if (istrue(call11546)) {
// Begin line 3515
  setline(3515);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11547 = gc_frame_new();
  if (strlit11548 == NULL) {
    strlit11548 = alloc_String("DefaultVisibility");
    gc_root(strlit11548);
  }
// compilenode returning strlit11548
  gc_frame_newslot(strlit11548);
  int callframe11549 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11550 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11549);
// compilenode returning call11550
// compilenode returning call11550
  params[0] = strlit11548;
  partcv[0] = 1;
  Object call11551 = callmethod(call11550, "get",
    1, partcv, params);
  gc_frame_end(callframe11547);
// compilenode returning call11551
  *var_defaultDefVisibility = call11551;
  if (call11551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11553 = gc_frame_new();
  if (strlit11554 == NULL) {
    strlit11554 = alloc_String("DefaultVisibility");
    gc_root(strlit11554);
  }
// compilenode returning strlit11554
  gc_frame_newslot(strlit11554);
  int callframe11555 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11556 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11555);
// compilenode returning call11556
// compilenode returning call11556
  params[0] = strlit11554;
  partcv[0] = 1;
  Object call11557 = callmethod(call11556, "get",
    1, partcv, params);
  gc_frame_end(callframe11553);
// compilenode returning call11557
  *var_defaultVarVisibility = call11557;
  if (call11557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3517
  setline(3517);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11559 = gc_frame_new();
  if (strlit11560 == NULL) {
    strlit11560 = alloc_String("DefaultVisibility");
    gc_root(strlit11560);
  }
// compilenode returning strlit11560
  gc_frame_newslot(strlit11560);
  int callframe11561 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11562 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11561);
// compilenode returning call11562
// compilenode returning call11562
  params[0] = strlit11560;
  partcv[0] = 1;
  Object call11563 = callmethod(call11562, "get",
    1, partcv, params);
  gc_frame_end(callframe11559);
// compilenode returning call11563
  *var_defaultMethodVisibility = call11563;
  if (call11563 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11541 = done;
  } else {
  }
// compilenode returning if11541
// Begin line 3522
  setline(3522);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3519
  setline(3519);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11566 = gc_frame_new();
  if (strlit11567 == NULL) {
    strlit11567 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11567);
  }
// compilenode returning strlit11567
  gc_frame_newslot(strlit11567);
  int callframe11568 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11569 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11568);
// compilenode returning call11569
// compilenode returning call11569
  params[0] = strlit11567;
  partcv[0] = 1;
  Object call11570 = callmethod(call11569, "contains",
    1, partcv, params);
  gc_frame_end(callframe11566);
// compilenode returning call11570
  Object if11565 = done;
  if (istrue(call11570)) {
// Begin line 3520
  setline(3520);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11571 = gc_frame_new();
  if (strlit11572 == NULL) {
    strlit11572 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11572);
  }
// compilenode returning strlit11572
  gc_frame_newslot(strlit11572);
  int callframe11573 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11574 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11573);
// compilenode returning call11574
// compilenode returning call11574
  params[0] = strlit11572;
  partcv[0] = 1;
  Object call11575 = callmethod(call11574, "get",
    1, partcv, params);
  gc_frame_end(callframe11571);
// compilenode returning call11575
  *var_defaultDefVisibility = call11575;
  if (call11575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11565 = done;
  } else {
  }
// compilenode returning if11565
// Begin line 3525
  setline(3525);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3522
  setline(3522);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11578 = gc_frame_new();
  if (strlit11579 == NULL) {
    strlit11579 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11579);
  }
// compilenode returning strlit11579
  gc_frame_newslot(strlit11579);
  int callframe11580 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11581 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11580);
// compilenode returning call11581
// compilenode returning call11581
  params[0] = strlit11579;
  partcv[0] = 1;
  Object call11582 = callmethod(call11581, "contains",
    1, partcv, params);
  gc_frame_end(callframe11578);
// compilenode returning call11582
  Object if11577 = done;
  if (istrue(call11582)) {
// Begin line 3523
  setline(3523);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11583 = gc_frame_new();
  if (strlit11584 == NULL) {
    strlit11584 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11584);
  }
// compilenode returning strlit11584
  gc_frame_newslot(strlit11584);
  int callframe11585 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11586 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11585);
// compilenode returning call11586
// compilenode returning call11586
  params[0] = strlit11584;
  partcv[0] = 1;
  Object call11587 = callmethod(call11586, "get",
    1, partcv, params);
  gc_frame_end(callframe11583);
// compilenode returning call11587
  *var_defaultVarVisibility = call11587;
  if (call11587 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11577 = done;
  } else {
  }
// compilenode returning if11577
// Begin line 3528
  setline(3528);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3525
  setline(3525);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11590 = gc_frame_new();
  if (strlit11591 == NULL) {
    strlit11591 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11591);
  }
// compilenode returning strlit11591
  gc_frame_newslot(strlit11591);
  int callframe11592 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11593 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11592);
// compilenode returning call11593
// compilenode returning call11593
  params[0] = strlit11591;
  partcv[0] = 1;
  Object call11594 = callmethod(call11593, "contains",
    1, partcv, params);
  gc_frame_end(callframe11590);
// compilenode returning call11594
  Object if11589 = done;
  if (istrue(call11594)) {
// Begin line 3526
  setline(3526);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11595 = gc_frame_new();
  if (strlit11596 == NULL) {
    strlit11596 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11596);
  }
// compilenode returning strlit11596
  gc_frame_newslot(strlit11596);
  int callframe11597 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11598 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11597);
// compilenode returning call11598
// compilenode returning call11598
  params[0] = strlit11596;
  partcv[0] = 1;
  Object call11599 = callmethod(call11598, "get",
    1, partcv, params);
  gc_frame_end(callframe11595);
// compilenode returning call11599
  *var_defaultMethodVisibility = call11599;
  if (call11599 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11589 = done;
  } else {
  }
// compilenode returning if11589
// Begin line 3531
  setline(3531);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3528
  setline(3528);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11603 = alloc_Float64(0);
// compilenode returning num11603
  int op_slot_right_11602 = gc_frame_newslot(num11603);
  int callframe11605 = gc_frame_new();
// compilenode returning *var_toks
  partcv[0] = 0;
  Object call11606 = callmethod(*var_toks, "size",
    1, partcv, params);
  gc_frame_end(callframe11605);
// compilenode returning call11606
// compilenode returning call11606
  int op_slot_left_11602 = gc_frame_newslot(call11606);
  params[0] = num11603;
  partcv[0] = 1;
  Object opresult11607 = callmethod(call11606, "==", 1, partcv, params);
// compilenode returning opresult11607
  Object if11601 = done;
  if (istrue(opresult11607)) {
// Begin line 3530
  setline(3530);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3529
  setline(3529);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11608 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11608
  return array11608;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if11601 = undefined;
  } else {
  }
// compilenode returning if11601
// Begin line 3532
  setline(3532);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3531
  setline(3531);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_toks
  *var_tokens = *var_toks;
  if (*var_toks == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3533
  setline(3533);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3532
  setline(3532);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11610 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11611 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe11610);
// compilenode returning call11611
// compilenode returning call11611
  *var_sym = call11611;
  if (call11611 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3540
  setline(3540);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3533
  setline(3533);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11615 = alloc_Float64(0);
// compilenode returning num11615
  int op_slot_right_11614 = gc_frame_newslot(num11615);
  int callframe11617 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11618 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11617);
// compilenode returning call11618
// compilenode returning call11618
  int op_slot_left_11614 = gc_frame_newslot(call11618);
  params[0] = num11615;
  partcv[0] = 1;
  Object opresult11619 = callmethod(call11618, ">", 1, partcv, params);
// compilenode returning opresult11619
  Object if11613 = done;
  if (istrue(opresult11619)) {
// Begin line 3535
  setline(3535);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3534
  setline(3534);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11620 = gc_frame_new();
  int callframe11621 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11622 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11621);
// compilenode returning call11622
// compilenode returning call11622
  partcv[0] = 0;
  Object call11623 = callmethod(call11622, "new",
    1, partcv, params);
  gc_frame_end(callframe11620);
// compilenode returning call11623
// compilenode returning call11623
  *var_sugg = call11623;
  if (call11623 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3535
  setline(3535);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11624 = gc_frame_new();
  Object num11625 = alloc_Float64(1);
// compilenode returning num11625
  gc_frame_newslot(num11625);
  int callframe11626 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11627 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11626);
// compilenode returning call11627
// compilenode returning call11627
  gc_frame_newslot(call11627);
  int callframe11628 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11629 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11628);
// compilenode returning call11629
// compilenode returning call11629
  gc_frame_newslot(call11629);
// compilenode returning *var_sugg
  params[0] = num11625;
  params[1] = call11627;
  params[2] = call11629;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call11630 = callmethod(*var_sugg, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe11624);
// compilenode returning call11630
// Begin line 3536
  setline(3536);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11631 = gc_frame_new();
  if (strlit11632 == NULL) {
    strlit11632 = alloc_String("The first line must not be indented.");
    gc_root(strlit11632);
  }
// compilenode returning strlit11632
  gc_frame_newslot(strlit11632);
// Begin line 3537
  setline(3537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11633 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11634 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11633);
// compilenode returning call11634
// compilenode returning call11634
  gc_frame_newslot(call11634);
  Object num11635 = alloc_Float64(1);
// compilenode returning num11635
  gc_frame_newslot(num11635);
  int callframe11636 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11637 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe11636);
// compilenode returning call11637
// compilenode returning call11637
  gc_frame_newslot(call11637);
// Begin line 3538
  setline(3538);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3536
  setline(3536);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11632;
  params[1] = call11634;
  params[2] = num11635;
  params[3] = call11637;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11638 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11631);
// compilenode returning call11638
    gc_frame_newslot(call11638);
    if11613 = call11638;
  } else {
  }
// compilenode returning if11613
// Begin line 3542
  setline(3542);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3537
  setline(3537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11639 = gc_frame_new();
// Begin line 3540
  setline(3540);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_sym
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call11640 = callmethod(*var_sym, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe11639);
// compilenode returning call11640
// compilenode returning done
// Begin line 3542
  setline(3542);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11641 = gc_frame_new();
  Object inheritingObject11642 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11642 = alloc_userobj2(15,9, objclass11642);
  gc_frame_newslot(obj11642);
// OBJECT OUTER DEC outer
  adddatum2(obj11642, self, 0);
  addmethodreal(obj11642,"outer", &reader_parser_outer_11643);
  Object oldself11642 = self;
  struct StackFrameObject *oldstackframe11642 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11642);
  gc_frame_newslot((Object)stackframe);
  self = obj11642;
  Object *oldselfslot11642 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11642 = (*(struct UserObject *)self).data[0], lowerouter11642 = thisouter11642;
  if (inheritingObject11642) {
    struct UserObject *inho11642 = (struct UserObject *)inheritingObject11642;
    while (inho11642->super != GraceDefaultObject) inho11642 = (struct UserObject *)inho11642->super;
    inho11642->super = obj11642;
    self = inheritingObject11642;
    *selfslot = self;
    lowerouter11642 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11642;
  }
if (objclass11642 == NULL) {
  Method *reader11644 = addmethodrealflags(obj11642, "kind",&reader_parser_kind_11644, 0);
  Method *writer11644 = addmethodrealflags(obj11642, "kind:=",&writer_parser_kind_11644, 0);
  reader11644->definitionModule = modulename;
  writer11644->definitionModule = modulename;
  reader11644->definitionLine = 3544;
  writer11644->definitionLine = 3544;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 1);
if (objclass11642 == NULL) {
  Method *reader11645 = addmethodrealflags(obj11642, "line",&reader_parser_line_11645, 0);
  Method *writer11645 = addmethodrealflags(obj11642, "line:=",&writer_parser_line_11645, 0);
  reader11645->definitionModule = modulename;
  writer11645->definitionModule = modulename;
  reader11645->definitionLine = 3545;
  writer11645->definitionLine = 3545;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 2);
if (objclass11642 == NULL) {
  Method *reader11646 = addmethodrealflags(obj11642, "linePos",&reader_parser_linePos_11646, 0);
  Method *writer11646 = addmethodrealflags(obj11642, "linePos:=",&writer_parser_linePos_11646, 0);
  reader11646->definitionModule = modulename;
  writer11646->definitionModule = modulename;
  reader11646->definitionLine = 3546;
  writer11646->definitionLine = 3546;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 3);
if (objclass11642 == NULL) {
  Method *reader11647 = addmethodrealflags(obj11642, "indent",&reader_parser_indent_11647, 0);
  Method *writer11647 = addmethodrealflags(obj11642, "indent:=",&writer_parser_indent_11647, 0);
  reader11647->definitionModule = modulename;
  writer11647->definitionModule = modulename;
  reader11647->definitionLine = 3547;
  writer11647->definitionLine = 3547;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 4);
if (objclass11642 == NULL) {
  Method *reader11648 = addmethodrealflags(obj11642, "value",&reader_parser_value_11648, 0);
  Method *writer11648 = addmethodrealflags(obj11642, "value:=",&writer_parser_value_11648, 0);
  reader11648->definitionModule = modulename;
  writer11648->definitionModule = modulename;
  reader11648->definitionLine = 3548;
  writer11648->definitionLine = 3548;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 5);
if (objclass11642 == NULL) {
  Method *reader11649 = addmethodrealflags(obj11642, "size",&reader_parser_size_11649, MFLAG_DEF);
  reader11649->definitionModule = modulename;
  reader11649->definitionLine = 3549;
}
adddatum2(obj11642, alloc_Undefined(), 6);
if (objclass11642 == NULL) {
  Method *reader11650 = addmethodrealflags(obj11642, "next",&reader_parser_next_11650, 0);
  Method *writer11650 = addmethodrealflags(obj11642, "next:=",&writer_parser_next_11650, 0);
  reader11650->definitionModule = modulename;
  writer11650->definitionModule = modulename;
  reader11650->definitionLine = 3550;
  writer11650->definitionLine = 3550;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 7);
if (objclass11642 == NULL) {
  Method *reader11651 = addmethodrealflags(obj11642, "prev",&reader_parser_prev_11651, 0);
  Method *writer11651 = addmethodrealflags(obj11642, "prev:=",&writer_parser_prev_11651, 0);
  reader11651->definitionModule = modulename;
  writer11651->definitionModule = modulename;
  reader11651->definitionLine = 3551;
  writer11651->definitionLine = 3551;
}
obj11642->flags |= OFLAG_MUTABLE;
adddatum2(obj11642, alloc_Undefined(), 8);
  sourceObject = obj11642;
// Begin line 3543
  setline(3543);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11652 == NULL) {
    strlit11652 = alloc_String("eof");
    gc_root(strlit11652);
  }
// compilenode returning strlit11652
  adddatum2(obj11642, strlit11652, 1);
  sourceObject = obj11642;
// Begin line 3544
  setline(3544);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11653 = gc_frame_new();
  int callframe11654 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11655 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11654);
// compilenode returning call11655
// compilenode returning call11655
  partcv[0] = 0;
  Object call11656 = callmethod(call11655, "line",
    1, partcv, params);
  gc_frame_end(callframe11653);
// compilenode returning call11656
// compilenode returning call11656
  adddatum2(obj11642, call11656, 2);
  sourceObject = obj11642;
// Begin line 3546
  setline(3546);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3545
  setline(3545);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11658 = alloc_Float64(1);
// compilenode returning num11658
  int op_slot_right_11657 = gc_frame_newslot(num11658);
  int callframe11660 = gc_frame_new();
  int callframe11661 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11662 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11661);
// compilenode returning call11662
// compilenode returning call11662
  int callframe11663 = gc_frame_new();
  int callframe11664 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11665 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11664);
// compilenode returning call11665
// compilenode returning call11665
  partcv[0] = 0;
  Object call11666 = callmethod(call11665, "line",
    1, partcv, params);
  gc_frame_end(callframe11663);
// compilenode returning call11666
// compilenode returning call11666
  params[0] = call11666;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11667 = callmethod(call11662, "[]", 1, partcv, params);
// compilenode returning idxres11667
  partcv[0] = 0;
  Object call11668 = callmethod(idxres11667, "size",
    1, partcv, params);
  gc_frame_end(callframe11660);
// compilenode returning call11668
// compilenode returning call11668
  int op_slot_left_11657 = gc_frame_newslot(call11668);
  params[0] = num11658;
  partcv[0] = 1;
  Object sum11669 = callmethod(call11668, "+", 1, partcv, params);
// compilenode returning sum11669
  adddatum2(obj11642, sum11669, 3);
  sourceObject = obj11642;
// Begin line 3546
  setline(3546);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11670 = alloc_Float64(0);
// compilenode returning num11670
  adddatum2(obj11642, num11670, 4);
  sourceObject = obj11642;
// Begin line 3547
  setline(3547);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11671 == NULL) {
    strlit11671 = alloc_String("");
    gc_root(strlit11671);
  }
// compilenode returning strlit11671
  adddatum2(obj11642, strlit11671, 5);
  sourceObject = obj11642;
// Begin line 3548
  setline(3548);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11672 = alloc_Float64(0);
// compilenode returning num11672
  adddatum2(obj11642, num11672, 6);
  sourceObject = obj11642;
// Begin line 3549
  setline(3549);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11673 = alloc_Boolean(0);
// compilenode returning bool11673
  adddatum2(obj11642, bool11673, 7);
  sourceObject = obj11642;
// Begin line 3550
  setline(3550);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11674 = alloc_Boolean(0);
// compilenode returning bool11674
  adddatum2(obj11642, bool11674, 8);
objclass11642 = obj11642->class;
  objclass11642->definitionModule = modulename;
  objclass11642->definitionLine = 3542;
  (*(struct UserObject *)self).data[0] = lowerouter11642;
  self = oldself11642;
  selfslot = oldselfslot11642;
  stackframe = oldstackframe11642;
// compilenode returning obj11642
  gc_frame_newslot(obj11642);
// Begin line 3542
  setline(3542);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tokens
  params[0] = obj11642;
  partcv[0] = 1;
  Object call11675 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe11641);
// compilenode returning call11675
// Begin line 3552
  setline(3552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11676 = gc_frame_new();
  if (strlit11677 == NULL) {
    strlit11677 = alloc_String("parsing.");
    gc_root(strlit11677);
  }
// compilenode returning strlit11677
  gc_frame_newslot(strlit11677);
// compilenode returning *var_util
  params[0] = strlit11677;
  partcv[0] = 1;
  Object call11678 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11676);
// compilenode returning call11678
// Begin line 3554
  setline(3554);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3553
  setline(3553);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11679 = alloc_Float64(1);
// compilenode returning num11679
  *var_linenum = num11679;
  if (num11679 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3554
  setline(3554);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11681 = gc_frame_new();
  partcv[0] = 0;
  Object call11682 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11681);
// compilenode returning call11682
// Begin line 3556
  setline(3556);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3555
  setline(3555);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11683 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11684 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11683);
// compilenode returning call11684
// compilenode returning call11684
  *var_oldlength = call11684;
  if (call11684 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3556
  setline(3556);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11685 = gc_frame_new();
  Object block11686 = alloc_Block(NULL, NULL, "parser", 3556);
  gc_frame_newslot(block11686);
  block_savedest(block11686);
  Object closure11687 = createclosure(2, "_apply");
  setclosureframe(closure11687, stackframe);
  addtoclosure(closure11687, var_tokens);
  addtoclosure(closure11687, selfslot);
  struct UserObject *uo11687 = (struct UserObject*)block11686;
  uo11687->data[0] = (Object)closure11687;
  Method *meth_meth_parser__apply11687 = addmethod2pos(block11686, "_apply", &meth_parser__apply11687, 0);
int argcv_meth_parser__apply11687[] = {0};
meth_meth_parser__apply11687->type = alloc_MethodType(1, argcv_meth_parser__apply11687);
  meth_meth_parser__apply11687->definitionModule = modulename;
  meth_meth_parser__apply11687->definitionLine = 3555;
// compilenode returning block11686
  gc_frame_newslot(block11686);
  Object block11695 = alloc_Block(NULL, NULL, "parser", 3556);
  gc_frame_newslot(block11695);
  block_savedest(block11695);
  Object closure11696 = createclosure(5, "_apply");
  setclosureframe(closure11696, stackframe);
  addtoclosure(closure11696, var_oldlength);
  addtoclosure(closure11696, var_tokens);
  addtoclosure(closure11696, var_errormessages);
  addtoclosure(closure11696, var_sym);
  addtoclosure(closure11696, selfslot);
  struct UserObject *uo11696 = (struct UserObject*)block11695;
  uo11696->data[0] = (Object)closure11696;
  Method *meth_meth_parser__apply11696 = addmethod2pos(block11695, "_apply", &meth_parser__apply11696, 0);
int argcv_meth_parser__apply11696[] = {0};
meth_meth_parser__apply11696->type = alloc_MethodType(1, argcv_meth_parser__apply11696);
  meth_meth_parser__apply11696->definitionModule = modulename;
  meth_meth_parser__apply11696->definitionLine = 3556;
// compilenode returning block11695
  gc_frame_newslot(block11695);
  params[0] = block11686;
  params[1] = block11695;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11743 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11685);
// compilenode returning call11743
// Begin line 3571
  setline(3571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11744 = gc_frame_new();
  partcv[0] = 0;
  Object call11745 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11744);
// compilenode returning call11745
// Begin line 3572
  setline(3572);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_don_39_tBreak11748(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 63, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "don'tBreak");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_don_39_tBreak = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for don'tBreak (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[don'tBreak]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_don_39_tBreak
  gc_frame_end(frame);
  return *var_don_39_tBreak;
}
Object meth_parser_lastline11750(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 64, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastline");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastline = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastline (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[lastline]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastline
  gc_frame_end(frame);
  return *var_lastline;
}
Object meth_parser_lastline_58__61_11751(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 65, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastline:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lastline:=");
  Object params[1];
  int partcv[1];
  Object *var_lastline = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastline:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[lastline:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_lastline = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_linenum11754(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 66, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "linenum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_linenum = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for linenum (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[linenum]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  gc_frame_end(frame);
  return *var_linenum;
}
Object meth_parser_linenum_58__61_11755(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 67, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "linenum:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method linenum:=");
  Object params[1];
  int partcv[1];
  Object *var_linenum = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for linenum:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[linenum:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_linenum = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastIndent11758(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 68, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastIndent (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[lastIndent]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastIndent
  gc_frame_end(frame);
  return *var_lastIndent;
}
Object meth_parser_lastIndent_58__61_11759(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 69, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastIndent:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lastIndent:=");
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastIndent:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[lastIndent:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_lastIndent = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_indentFreePass11762(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 70, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indentFreePass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indentFreePass (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[indentFreePass]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indentFreePass
  gc_frame_end(frame);
  return *var_indentFreePass;
}
Object meth_parser_indentFreePass_58__61_11763(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 71, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indentFreePass:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method indentFreePass:=");
  Object params[1];
  int partcv[1];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indentFreePass:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[indentFreePass:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_indentFreePass = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_minIndentLevel11766(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 72, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "minIndentLevel");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for minIndentLevel (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[minIndentLevel]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  gc_frame_end(frame);
  return *var_minIndentLevel;
}
Object meth_parser_minIndentLevel_58__61_11767(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 73, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "minIndentLevel:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method minIndentLevel:=");
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for minIndentLevel:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[minIndentLevel:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_minIndentLevel = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_statementIndent11770(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 74, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_statementIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementIndent (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[statementIndent]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementIndent
  gc_frame_end(frame);
  return *var_statementIndent;
}
Object meth_parser_statementIndent_58__61_11771(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 75, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementIndent:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method statementIndent:=");
  Object params[1];
  int partcv[1];
  Object *var_statementIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementIndent:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[statementIndent:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_statementIndent = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_tokens11774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 76, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokens");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokens (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[tokens]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tokens
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_parser_tokens_58__61_11775(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 77, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokens:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method tokens:=");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokens:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[tokens:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_tokens = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_values11778(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 78, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[values]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_values_58__61_11779(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 79, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method values:=");
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[values:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_values = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_auto_count11782(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 80, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "auto_count");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_auto_count = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for auto_count (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[auto_count]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_auto_count
  gc_frame_end(frame);
  return *var_auto_count;
}
Object meth_parser_auto_count_58__61_11783(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 81, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "auto_count:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method auto_count:=");
  Object params[1];
  int partcv[1];
  Object *var_auto_count = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for auto_count:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[auto_count:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_auto_count = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_noBlocks11786(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 82, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "noBlocks");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for noBlocks (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[noBlocks]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_noBlocks
  gc_frame_end(frame);
  return *var_noBlocks;
}
Object meth_parser_blocksOK11788(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 83, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blocksOK");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blocksOK (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[blocksOK]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_blocksOK
  gc_frame_end(frame);
  return *var_blocksOK;
}
Object meth_parser_braceIsType11790(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 84, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "braceIsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_braceIsType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for braceIsType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[braceIsType]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_braceIsType
  gc_frame_end(frame);
  return *var_braceIsType;
}
Object meth_parser_braceIsType_58__61_11791(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 85, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "braceIsType:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method braceIsType:=");
  Object params[1];
  int partcv[1];
  Object *var_braceIsType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for braceIsType:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[braceIsType:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_braceIsType = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultDefVisibility11794(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 86, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultDefVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultDefVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultDefVisibility (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[defaultDefVisibility]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defaultDefVisibility
  gc_frame_end(frame);
  return *var_defaultDefVisibility;
}
Object meth_parser_defaultDefVisibility_58__61_11795(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 87, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultDefVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method defaultDefVisibility:=");
  Object params[1];
  int partcv[1];
  Object *var_defaultDefVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultDefVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[defaultDefVisibility:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_defaultDefVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultVarVisibility11798(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 88, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultVarVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultVarVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultVarVisibility (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[defaultVarVisibility]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defaultVarVisibility
  gc_frame_end(frame);
  return *var_defaultVarVisibility;
}
Object meth_parser_defaultVarVisibility_58__61_11799(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 89, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultVarVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method defaultVarVisibility:=");
  Object params[1];
  int partcv[1];
  Object *var_defaultVarVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultVarVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[defaultVarVisibility:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_defaultVarVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultMethodVisibility11802(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 90, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultMethodVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultMethodVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultMethodVisibility (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[defaultMethodVisibility]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defaultMethodVisibility
  gc_frame_end(frame);
  return *var_defaultMethodVisibility;
}
Object meth_parser_defaultMethodVisibility_58__61_11803(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 91, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultMethodVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method defaultMethodVisibility:=");
  Object params[1];
  int partcv[1];
  Object *var_defaultMethodVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultMethodVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[defaultMethodVisibility:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_defaultMethodVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_sym11805(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 92, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sym");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sym (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[sym]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  gc_frame_end(frame);
  return *var_sym;
}
Object meth_parser_sym_58__61_11806(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 93, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sym:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method sym:=");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sym:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[sym:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_sym = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastToken11822(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 94, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[lastToken]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  gc_frame_end(frame);
  return *var_lastToken;
}
Object meth_parser_lastToken_58__61_11823(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 95, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method lastToken:=");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastToken:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[lastToken:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_lastToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_statementToken11825(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 96, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[statementToken]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementToken
  gc_frame_end(frame);
  return *var_statementToken;
}
Object meth_parser_statementToken_58__61_11826(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 97, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementToken:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method statementToken:=");
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementToken:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[statementToken:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_statementToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_comment11829(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 98, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_comment = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for comment (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for <Identifier[comment]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_comment
  gc_frame_end(frame);
  return *var_comment;
}
Object meth_parser_comment_58__61_11830(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 99, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comment:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method comment:=");
  Object params[1];
  int partcv[1];
  Object *var_comment = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for comment:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for <Identifier[comment:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_comment = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object module_parser_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(104, 104);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<parser>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(104, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_io = alloc_var();
Object *var_ast = alloc_var();
Object *var_util = alloc_var();
Object *var_collections = alloc_var();
Object *var_errormessages = alloc_var();
  Object *var_don_39_tBreak = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "don'tBreak");
  Object *var_lastline = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lastline");
  Object *var_linenum = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "linenum");
  Object *var_lastIndent = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "lastIndent");
  Object *var_indentFreePass = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "indentFreePass");
  Object *var_minIndentLevel = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "minIndentLevel");
  Object *var_statementIndent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "statementIndent");
  Object *var_tokens = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "tokens");
  Object *var_values = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "values");
  Object *var_auto_count = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "auto_count");
  Object *var_noBlocks = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "noBlocks");
  Object *var_blocksOK = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "blocksOK");
  Object *var_braceIsType = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "braceIsType");
  Object *var_defaultDefVisibility = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "defaultDefVisibility");
  Object *var_defaultVarVisibility = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "defaultVarVisibility");
  Object *var_defaultMethodVisibility = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "defaultMethodVisibility");
  Object *var_sym = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "sym");
  Object *var_lastToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "lastToken");
  Object *var_statementToken = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "statementToken");
  Object *var_comment = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "comment");
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure0 = createclosure(9, "next");
  setclosureframe(closure0, stackframe);
  addtoclosure(closure0, var_sym);
  addtoclosure(closure0, var_lastToken);
  addtoclosure(closure0, var_tokens);
  addtoclosure(closure0, var_linenum);
  addtoclosure(closure0, var_lastline);
  addtoclosure(closure0, var_lastIndent);
  addtoclosure(closure0, var_comment);
  addtoclosure(closure0, var_util);
  addtoclosure(closure0, var_errormessages);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = (Object)closure0;
  Method *meth_meth_parser_next0 = addmethod2pos(self, "next", &meth_parser_next0, 1);
int argcv_meth_parser_next0[] = {0};
meth_meth_parser_next0->type = alloc_MethodType(1, argcv_meth_parser_next0);
  meth_meth_parser_next0->definitionModule = modulename;
  meth_meth_parser_next0->definitionLine = 41;
// compilenode returning 
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure110 = createclosure(2, "findNextToken");
  setclosureframe(closure110, stackframe);
  addtoclosure(closure110, var_sym);
  addtoclosure(closure110, var_lastToken);
  struct UserObject *uo110 = (struct UserObject*)self;
  uo110->data[2] = (Object)closure110;
  Method *meth_meth_parser_findNextToken110 = addmethod2pos(self, "findNextToken", &meth_parser_findNextToken110, 2);
int argcv_meth_parser_findNextToken110[] = {1};
meth_meth_parser_findNextToken110->type = alloc_MethodType(1, argcv_meth_parser_findNextToken110);
  meth_meth_parser_findNextToken110->definitionModule = modulename;
  meth_meth_parser_findNextToken110->definitionLine = 73;
// compilenode returning 
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure155 = createclosure(1, "findNextTokenIndentedAt");
  setclosureframe(closure155, stackframe);
  addtoclosure(closure155, var_sym);
  struct UserObject *uo155 = (struct UserObject*)self;
  uo155->data[3] = (Object)closure155;
  Method *meth_meth_parser_findNextTokenIndentedAt155 = addmethod2pos(self, "findNextTokenIndentedAt", &meth_parser_findNextTokenIndentedAt155, 3);
int argcv_meth_parser_findNextTokenIndentedAt155[] = {1};
meth_meth_parser_findNextTokenIndentedAt155->type = alloc_MethodType(1, argcv_meth_parser_findNextTokenIndentedAt155);
  meth_meth_parser_findNextTokenIndentedAt155->definitionModule = modulename;
  meth_meth_parser_findNextTokenIndentedAt155->definitionLine = 88;
// compilenode returning 
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure236 = createclosure(1, "findNextValidToken");
  setclosureframe(closure236, stackframe);
  addtoclosure(closure236, var_sym);
  struct UserObject *uo236 = (struct UserObject*)self;
  uo236->data[4] = (Object)closure236;
  Method *meth_meth_parser_findNextValidToken236 = addmethod2pos(self, "findNextValidToken", &meth_parser_findNextValidToken236, 4);
int argcv_meth_parser_findNextValidToken236[] = {0};
meth_meth_parser_findNextValidToken236->type = alloc_MethodType(1, argcv_meth_parser_findNextValidToken236);
  meth_meth_parser_findNextValidToken236->definitionModule = modulename;
  meth_meth_parser_findNextValidToken236->definitionLine = 103;
// compilenode returning 
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure275 = createclosure(1, "findClosingBrace");
  setclosureframe(closure275, stackframe);
  addtoclosure(closure275, var_sym);
  struct UserObject *uo275 = (struct UserObject*)self;
  uo275->data[5] = (Object)closure275;
  Method *meth_meth_parser_findClosingBrace275 = addmethod2pos(self, "findClosingBrace", &meth_parser_findClosingBrace275, 5);
int argcv_meth_parser_findClosingBrace275[] = {2};
meth_meth_parser_findClosingBrace275->type = alloc_MethodType(1, argcv_meth_parser_findClosingBrace275);
  meth_meth_parser_findClosingBrace275->definitionModule = modulename;
  meth_meth_parser_findClosingBrace275->definitionLine = 127;
  block_savedest(self);
  Object closure427 = createclosure(1, "findClosingBrace()object");
setclosureframe(closure427, stackframe);
  addtoclosure(closure427, var_sym);
  Method *meth_meth_parser_findClosingBrace275_object = addmethod2pos(self, "findClosingBrace()object", &meth_parser_findClosingBrace275_object, 5);
  meth_meth_parser_findClosingBrace275_object->definitionModule = modulename;
  meth_meth_parser_findClosingBrace275_object->definitionLine = 127;
// compilenode returning 
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure428 = createclosure(1, "accept");
  setclosureframe(closure428, stackframe);
  addtoclosure(closure428, var_sym);
  struct UserObject *uo428 = (struct UserObject*)self;
  uo428->data[6] = (Object)closure428;
  Method *meth_meth_parser_accept428 = addmethod2pos(self, "accept", &meth_parser_accept428, 6);
int argcv_meth_parser_accept428[] = {1};
meth_meth_parser_accept428->type = alloc_MethodType(1, argcv_meth_parser_accept428);
  meth_meth_parser_accept428->definitionModule = modulename;
  meth_meth_parser_accept428->definitionLine = 163;
// compilenode returning 
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure434 = createclosure(3, "acceptSameLine");
  setclosureframe(closure434, stackframe);
  addtoclosure(closure434, var_lastIndent);
  addtoclosure(closure434, var_sym);
  addtoclosure(closure434, var_lastline);
  struct UserObject *uo434 = (struct UserObject*)self;
  uo434->data[7] = (Object)closure434;
  Method *meth_meth_parser_acceptSameLine434 = addmethod2pos(self, "acceptSameLine", &meth_parser_acceptSameLine434, 7);
int argcv_meth_parser_acceptSameLine434[] = {1};
meth_meth_parser_acceptSameLine434->type = alloc_MethodType(1, argcv_meth_parser_acceptSameLine434);
  meth_meth_parser_acceptSameLine434->definitionModule = modulename;
  meth_meth_parser_acceptSameLine434->definitionLine = 170;
// compilenode returning 
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure456 = createclosure(1, "accept()onLineOf");
  setclosureframe(closure456, stackframe);
  addtoclosure(closure456, var_sym);
  struct UserObject *uo456 = (struct UserObject*)self;
  uo456->data[8] = (Object)closure456;
  Method *meth_meth_parser_accept_40__41_onLineOf456 = addmethod2pos(self, "accept()onLineOf", &meth_parser_accept_40__41_onLineOf456, 8);
int argcv_meth_parser_accept_40__41_onLineOf456[] = {1, 1};
meth_meth_parser_accept_40__41_onLineOf456->type = alloc_MethodType(2, argcv_meth_parser_accept_40__41_onLineOf456);
  meth_meth_parser_accept_40__41_onLineOf456->definitionModule = modulename;
  meth_meth_parser_accept_40__41_onLineOf456->definitionLine = 177;
// compilenode returning 
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure482 = createclosure(2, "accept()onLineOfLastOr");
  setclosureframe(closure482, stackframe);
  addtoclosure(closure482, var_sym);
  addtoclosure(closure482, var_lastToken);
  struct UserObject *uo482 = (struct UserObject*)self;
  uo482->data[9] = (Object)closure482;
  Method *meth_meth_parser_accept_40__41_onLineOfLastOr482 = addmethod2pos(self, "accept()onLineOfLastOr", &meth_parser_accept_40__41_onLineOfLastOr482, 9);
int argcv_meth_parser_accept_40__41_onLineOfLastOr482[] = {1, 1};
meth_meth_parser_accept_40__41_onLineOfLastOr482->type = alloc_MethodType(2, argcv_meth_parser_accept_40__41_onLineOfLastOr482);
  meth_meth_parser_accept_40__41_onLineOfLastOr482->definitionModule = modulename;
  meth_meth_parser_accept_40__41_onLineOfLastOr482->definitionLine = 183;
// compilenode returning 
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure518 = createclosure(3, "tokenOnSameLine");
  setclosureframe(closure518, stackframe);
  addtoclosure(closure518, var_lastIndent);
  addtoclosure(closure518, var_sym);
  addtoclosure(closure518, var_lastline);
  struct UserObject *uo518 = (struct UserObject*)self;
  uo518->data[10] = (Object)closure518;
  Method *meth_meth_parser_tokenOnSameLine518 = addmethod2pos(self, "tokenOnSameLine", &meth_parser_tokenOnSameLine518, 10);
int argcv_meth_parser_tokenOnSameLine518[] = {0};
meth_meth_parser_tokenOnSameLine518->type = alloc_MethodType(1, argcv_meth_parser_tokenOnSameLine518);
  meth_meth_parser_tokenOnSameLine518->definitionModule = modulename;
  meth_meth_parser_tokenOnSameLine518->definitionLine = 188;
// compilenode returning 
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure532 = createclosure(1, "didConsume");
  setclosureframe(closure532, stackframe);
  addtoclosure(closure532, var_tokens);
  struct UserObject *uo532 = (struct UserObject*)self;
  uo532->data[11] = (Object)closure532;
  Method *meth_meth_parser_didConsume532 = addmethod2pos(self, "didConsume", &meth_parser_didConsume532, 11);
int argcv_meth_parser_didConsume532[] = {1};
meth_meth_parser_didConsume532->type = alloc_MethodType(1, argcv_meth_parser_didConsume532);
  meth_meth_parser_didConsume532->definitionModule = modulename;
  meth_meth_parser_didConsume532->definitionLine = 192;
// compilenode returning 
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure542 = createclosure(1, "ifConsume()then");
  setclosureframe(closure542, stackframe);
  addtoclosure(closure542, var_tokens);
  struct UserObject *uo542 = (struct UserObject*)self;
  uo542->data[12] = (Object)closure542;
  Method *meth_meth_parser_ifConsume_40__41_then542 = addmethod2pos(self, "ifConsume()then", &meth_parser_ifConsume_40__41_then542, 12);
int argcv_meth_parser_ifConsume_40__41_then542[] = {1, 1};
meth_meth_parser_ifConsume_40__41_then542->type = alloc_MethodType(2, argcv_meth_parser_ifConsume_40__41_then542);
  meth_meth_parser_ifConsume_40__41_then542->definitionModule = modulename;
  meth_meth_parser_ifConsume_40__41_then542->definitionLine = 198;
// compilenode returning 
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure555 = createclosure(3, "pushnum");
  setclosureframe(closure555, stackframe);
  addtoclosure(closure555, var_sym);
  addtoclosure(closure555, var_ast);
  addtoclosure(closure555, var_values);
  struct UserObject *uo555 = (struct UserObject*)self;
  uo555->data[13] = (Object)closure555;
  Method *meth_meth_parser_pushnum555 = addmethod2pos(self, "pushnum", &meth_parser_pushnum555, 13);
int argcv_meth_parser_pushnum555[] = {0};
meth_meth_parser_pushnum555->type = alloc_MethodType(1, argcv_meth_parser_pushnum555);
  meth_meth_parser_pushnum555->definitionModule = modulename;
  meth_meth_parser_pushnum555->definitionLine = 207;
// compilenode returning 
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure566 = createclosure(3, "pushoctets");
  setclosureframe(closure566, stackframe);
  addtoclosure(closure566, var_sym);
  addtoclosure(closure566, var_ast);
  addtoclosure(closure566, var_values);
  struct UserObject *uo566 = (struct UserObject*)self;
  uo566->data[14] = (Object)closure566;
  Method *meth_meth_parser_pushoctets566 = addmethod2pos(self, "pushoctets", &meth_parser_pushoctets566, 14);
int argcv_meth_parser_pushoctets566[] = {0};
meth_meth_parser_pushoctets566->type = alloc_MethodType(1, argcv_meth_parser_pushoctets566);
  meth_meth_parser_pushoctets566->definitionModule = modulename;
  meth_meth_parser_pushoctets566->definitionLine = 214;
// compilenode returning 
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure577 = createclosure(3, "pushstring");
  setclosureframe(closure577, stackframe);
  addtoclosure(closure577, var_sym);
  addtoclosure(closure577, var_ast);
  addtoclosure(closure577, var_values);
  struct UserObject *uo577 = (struct UserObject*)self;
  uo577->data[15] = (Object)closure577;
  Method *meth_meth_parser_pushstring577 = addmethod2pos(self, "pushstring", &meth_parser_pushstring577, 15);
int argcv_meth_parser_pushstring577[] = {0};
meth_meth_parser_pushstring577->type = alloc_MethodType(1, argcv_meth_parser_pushstring577);
  meth_meth_parser_pushstring577->definitionModule = modulename;
  meth_meth_parser_pushstring577->definitionLine = 221;
// compilenode returning 
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure588 = createclosure(5, "pushidentifier");
  setclosureframe(closure588, stackframe);
  addtoclosure(closure588, var_sym);
  addtoclosure(closure588, var_util);
  addtoclosure(closure588, var_ast);
  addtoclosure(closure588, var_auto_count);
  addtoclosure(closure588, var_values);
  struct UserObject *uo588 = (struct UserObject*)self;
  uo588->data[16] = (Object)closure588;
  Method *meth_meth_parser_pushidentifier588 = addmethod2pos(self, "pushidentifier", &meth_parser_pushidentifier588, 16);
int argcv_meth_parser_pushidentifier588[] = {0};
meth_meth_parser_pushidentifier588->type = alloc_MethodType(1, argcv_meth_parser_pushidentifier588);
  meth_meth_parser_pushidentifier588->definitionModule = modulename;
  meth_meth_parser_pushidentifier588->definitionLine = 229;
// compilenode returning 
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure625 = createclosure(2, "checkAnnotation");
  setclosureframe(closure625, stackframe);
  addtoclosure(closure625, var_sym);
  addtoclosure(closure625, var_errormessages);
  struct UserObject *uo625 = (struct UserObject*)self;
  uo625->data[17] = (Object)closure625;
  Method *meth_meth_parser_checkAnnotation625 = addmethod2pos(self, "checkAnnotation", &meth_parser_checkAnnotation625, 17);
int argcv_meth_parser_checkAnnotation625[] = {1};
meth_meth_parser_checkAnnotation625->type = alloc_MethodType(1, argcv_meth_parser_checkAnnotation625);
  meth_meth_parser_checkAnnotation625->definitionModule = modulename;
  meth_meth_parser_checkAnnotation625->definitionLine = 240;
// compilenode returning 
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure714 = createclosure(6, "doannotation");
  setclosureframe(closure714, stackframe);
  addtoclosure(closure714, var_sym);
  addtoclosure(closure714, var_collections);
  addtoclosure(closure714, var_noBlocks);
  addtoclosure(closure714, var_errormessages);
  addtoclosure(closure714, var_lastToken);
  addtoclosure(closure714, var_values);
  struct UserObject *uo714 = (struct UserObject*)self;
  uo714->data[18] = (Object)closure714;
  Method *meth_meth_parser_doannotation714 = addmethod2pos(self, "doannotation", &meth_parser_doannotation714, 18);
int argcv_meth_parser_doannotation714[] = {0};
meth_meth_parser_doannotation714->type = alloc_MethodType(1, argcv_meth_parser_doannotation714);
  meth_meth_parser_doannotation714->definitionModule = modulename;
  meth_meth_parser_doannotation714->definitionLine = 258;
// compilenode returning 
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure890 = createclosure(4, "blank");
  setclosureframe(closure890, stackframe);
  addtoclosure(closure890, var_lastToken);
  addtoclosure(closure890, var_sym);
  addtoclosure(closure890, var_values);
  addtoclosure(closure890, var_ast);
  struct UserObject *uo890 = (struct UserObject*)self;
  uo890->data[19] = (Object)closure890;
  Method *meth_meth_parser_blank890 = addmethod2pos(self, "blank", &meth_parser_blank890, 19);
int argcv_meth_parser_blank890[] = {0};
meth_meth_parser_blank890->type = alloc_MethodType(1, argcv_meth_parser_blank890);
  meth_meth_parser_blank890->definitionModule = modulename;
  meth_meth_parser_blank890->definitionLine = 304;
// compilenode returning 
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure925 = createclosure(2, "dotypeterm");
  setclosureframe(closure925, stackframe);
  addtoclosure(closure925, var_noBlocks);
  addtoclosure(closure925, var_sym);
  struct UserObject *uo925 = (struct UserObject*)self;
  uo925->data[20] = (Object)closure925;
  Method *meth_meth_parser_dotypeterm925 = addmethod2pos(self, "dotypeterm", &meth_parser_dotypeterm925, 20);
int argcv_meth_parser_dotypeterm925[] = {0};
meth_meth_parser_dotypeterm925->type = alloc_MethodType(1, argcv_meth_parser_dotypeterm925);
  meth_meth_parser_dotypeterm925->definitionModule = modulename;
  meth_meth_parser_dotypeterm925->definitionLine = 314;
// compilenode returning 
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure953 = createclosure(6, "typeexpression");
  setclosureframe(closure953, stackframe);
  addtoclosure(closure953, var_values);
  addtoclosure(closure953, var_statementToken);
  addtoclosure(closure953, var_sym);
  addtoclosure(closure953, var_errormessages);
  addtoclosure(closure953, var_lastToken);
  addtoclosure(closure953, var_noBlocks);
  struct UserObject *uo953 = (struct UserObject*)self;
  uo953->data[21] = (Object)closure953;
  Method *meth_meth_parser_typeexpression953 = addmethod2pos(self, "typeexpression", &meth_parser_typeexpression953, 21);
int argcv_meth_parser_typeexpression953[] = {0};
meth_meth_parser_typeexpression953->type = alloc_MethodType(1, argcv_meth_parser_typeexpression953);
  meth_meth_parser_typeexpression953->definitionModule = modulename;
  meth_meth_parser_typeexpression953->definitionLine = 326;
// compilenode returning 
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1044 = createclosure(12, "block");
  setclosureframe(closure1044, stackframe);
  addtoclosure(closure1044, var_sym);
  addtoclosure(closure1044, var_statementIndent);
  addtoclosure(closure1044, var_statementToken);
  addtoclosure(closure1044, var_blocksOK);
  addtoclosure(closure1044, var_values);
  addtoclosure(closure1044, var_braceIsType);
  addtoclosure(closure1044, var_errormessages);
  addtoclosure(closure1044, var_lastToken);
  addtoclosure(closure1044, var_indentFreePass);
  addtoclosure(closure1044, var_ast);
  addtoclosure(closure1044, var_minIndentLevel);
  addtoclosure(closure1044, var_util);
  struct UserObject *uo1044 = (struct UserObject*)self;
  uo1044->data[22] = (Object)closure1044;
  Method *meth_meth_parser_block1044 = addmethod2pos(self, "block", &meth_parser_block1044, 22);
int argcv_meth_parser_block1044[] = {0};
meth_meth_parser_block1044->type = alloc_MethodType(1, argcv_meth_parser_block1044);
  meth_meth_parser_block1044->definitionModule = modulename;
  meth_meth_parser_block1044->definitionLine = 364;
// compilenode returning 
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1559 = createclosure(9, "doif");
  setclosureframe(closure1559, stackframe);
  addtoclosure(closure1559, var_sym);
  addtoclosure(closure1559, var_errormessages);
  addtoclosure(closure1559, var_blocksOK);
  addtoclosure(closure1559, var_lastToken);
  addtoclosure(closure1559, var_values);
  addtoclosure(closure1559, var_minIndentLevel);
  addtoclosure(closure1559, var_statementIndent);
  addtoclosure(closure1559, var_statementToken);
  addtoclosure(closure1559, var_ast);
  struct UserObject *uo1559 = (struct UserObject*)self;
  uo1559->data[23] = (Object)closure1559;
  Method *meth_meth_parser_doif1559 = addmethod2pos(self, "doif", &meth_parser_doif1559, 23);
int argcv_meth_parser_doif1559[] = {0};
meth_meth_parser_doif1559->type = alloc_MethodType(1, argcv_meth_parser_doif1559);
  meth_meth_parser_doif1559->definitionModule = modulename;
  meth_meth_parser_doif1559->definitionLine = 534;
// compilenode returning 
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure2933 = createclosure(1, "identifier");
  setclosureframe(closure2933, stackframe);
  addtoclosure(closure2933, var_sym);
  struct UserObject *uo2933 = (struct UserObject*)self;
  uo2933->data[24] = (Object)closure2933;
  Method *meth_meth_parser_identifier2933 = addmethod2pos(self, "identifier", &meth_parser_identifier2933, 24);
int argcv_meth_parser_identifier2933[] = {0};
meth_meth_parser_identifier2933->type = alloc_MethodType(1, argcv_meth_parser_identifier2933);
  meth_meth_parser_identifier2933->definitionModule = modulename;
  meth_meth_parser_identifier2933->definitionLine = 915;
// compilenode returning 
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure2949 = createclosure(6, "prefixop");
  setclosureframe(closure2949, stackframe);
  addtoclosure(closure2949, var_sym);
  addtoclosure(closure2949, var_blocksOK);
  addtoclosure(closure2949, var_errormessages);
  addtoclosure(closure2949, var_lastToken);
  addtoclosure(closure2949, var_values);
  addtoclosure(closure2949, var_ast);
  struct UserObject *uo2949 = (struct UserObject*)self;
  uo2949->data[25] = (Object)closure2949;
  Method *meth_meth_parser_prefixop2949 = addmethod2pos(self, "prefixop", &meth_parser_prefixop2949, 25);
int argcv_meth_parser_prefixop2949[] = {0};
meth_meth_parser_prefixop2949->type = alloc_MethodType(1, argcv_meth_parser_prefixop2949);
  meth_meth_parser_prefixop2949->definitionModule = modulename;
  meth_meth_parser_prefixop2949->definitionLine = 925;
// compilenode returning 
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3136 = createclosure(5, "generic");
  setclosureframe(closure3136, stackframe);
  addtoclosure(closure3136, var_values);
  addtoclosure(closure3136, var_sym);
  addtoclosure(closure3136, var_errormessages);
  addtoclosure(closure3136, var_lastToken);
  addtoclosure(closure3136, var_ast);
  struct UserObject *uo3136 = (struct UserObject*)self;
  uo3136->data[26] = (Object)closure3136;
  Method *meth_meth_parser_generic3136 = addmethod2pos(self, "generic", &meth_parser_generic3136, 26);
int argcv_meth_parser_generic3136[] = {0};
meth_meth_parser_generic3136->type = alloc_MethodType(1, argcv_meth_parser_generic3136);
  meth_meth_parser_generic3136->definitionModule = modulename;
  meth_meth_parser_generic3136->definitionLine = 982;
// compilenode returning 
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3311 = createclosure(8, "trycatch");
  setclosureframe(closure3311, stackframe);
  addtoclosure(closure3311, var_sym);
  addtoclosure(closure3311, var_minIndentLevel);
  addtoclosure(closure3311, var_errormessages);
  addtoclosure(closure3311, var_lastToken);
  addtoclosure(closure3311, var_blocksOK);
  addtoclosure(closure3311, var_values);
  addtoclosure(closure3311, var_tokens);
  addtoclosure(closure3311, var_ast);
  struct UserObject *uo3311 = (struct UserObject*)self;
  uo3311->data[27] = (Object)closure3311;
  Method *meth_meth_parser_trycatch3311 = addmethod2pos(self, "trycatch", &meth_parser_trycatch3311, 27);
int argcv_meth_parser_trycatch3311[] = {0};
meth_meth_parser_trycatch3311->type = alloc_MethodType(1, argcv_meth_parser_trycatch3311);
  meth_meth_parser_trycatch3311->definitionModule = modulename;
  meth_meth_parser_trycatch3311->definitionLine = 1039;
// compilenode returning 
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3903 = createclosure(9, "catchcase");
  setclosureframe(closure3903, stackframe);
  addtoclosure(closure3903, var_sym);
  addtoclosure(closure3903, var_minIndentLevel);
  addtoclosure(closure3903, var_util);
  addtoclosure(closure3903, var_errormessages);
  addtoclosure(closure3903, var_lastToken);
  addtoclosure(closure3903, var_blocksOK);
  addtoclosure(closure3903, var_values);
  addtoclosure(closure3903, var_tokens);
  addtoclosure(closure3903, var_ast);
  struct UserObject *uo3903 = (struct UserObject*)self;
  uo3903->data[28] = (Object)closure3903;
  Method *meth_meth_parser_catchcase3903 = addmethod2pos(self, "catchcase", &meth_parser_catchcase3903, 28);
int argcv_meth_parser_catchcase3903[] = {0};
meth_meth_parser_catchcase3903->type = alloc_MethodType(1, argcv_meth_parser_catchcase3903);
  meth_meth_parser_catchcase3903->definitionModule = modulename;
  meth_meth_parser_catchcase3903->definitionLine = 1206;
// compilenode returning 
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure4465 = createclosure(8, "matchcase");
  setclosureframe(closure4465, stackframe);
  addtoclosure(closure4465, var_sym);
  addtoclosure(closure4465, var_minIndentLevel);
  addtoclosure(closure4465, var_errormessages);
  addtoclosure(closure4465, var_blocksOK);
  addtoclosure(closure4465, var_lastToken);
  addtoclosure(closure4465, var_values);
  addtoclosure(closure4465, var_tokens);
  addtoclosure(closure4465, var_ast);
  struct UserObject *uo4465 = (struct UserObject*)self;
  uo4465->data[29] = (Object)closure4465;
  Method *meth_meth_parser_matchcase4465 = addmethod2pos(self, "matchcase", &meth_parser_matchcase4465, 29);
int argcv_meth_parser_matchcase4465[] = {0};
meth_meth_parser_matchcase4465->type = alloc_MethodType(1, argcv_meth_parser_matchcase4465);
  meth_meth_parser_matchcase4465->definitionModule = modulename;
  meth_meth_parser_matchcase4465->definitionLine = 1367;
// compilenode returning 
// Begin line 1520
  setline(1520);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure4832 = createclosure(1, "term");
  setclosureframe(closure4832, stackframe);
  addtoclosure(closure4832, var_sym);
  struct UserObject *uo4832 = (struct UserObject*)self;
  uo4832->data[30] = (Object)closure4832;
  Method *meth_meth_parser_term4832 = addmethod2pos(self, "term", &meth_parser_term4832, 30);
int argcv_meth_parser_term4832[] = {0};
meth_meth_parser_term4832->type = alloc_MethodType(1, argcv_meth_parser_term4832);
  meth_meth_parser_term4832->definitionModule = modulename;
  meth_meth_parser_term4832->definitionLine = 1520;
// compilenode returning 
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure4952 = createclosure(5, "expression");
  setclosureframe(closure4952, stackframe);
  addtoclosure(closure4952, var_values);
  addtoclosure(closure4952, var_statementToken);
  addtoclosure(closure4952, var_sym);
  addtoclosure(closure4952, var_errormessages);
  addtoclosure(closure4952, var_lastToken);
  struct UserObject *uo4952 = (struct UserObject*)self;
  uo4952->data[31] = (Object)closure4952;
  Method *meth_meth_parser_expression4952 = addmethod2pos(self, "expression", &meth_parser_expression4952, 31);
int argcv_meth_parser_expression4952[] = {1};
meth_meth_parser_expression4952->type = alloc_MethodType(1, argcv_meth_parser_expression4952);
  meth_meth_parser_expression4952->definitionModule = modulename;
  meth_meth_parser_expression4952->definitionLine = 1553;
// compilenode returning 
// Begin line 1592
  setline(1592);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5047 = createclosure(6, "postfixsquare");
  setclosureframe(closure5047, stackframe);
  addtoclosure(closure5047, var_values);
  addtoclosure(closure5047, var_blocksOK);
  addtoclosure(closure5047, var_errormessages);
  addtoclosure(closure5047, var_sym);
  addtoclosure(closure5047, var_lastToken);
  addtoclosure(closure5047, var_ast);
  struct UserObject *uo5047 = (struct UserObject*)self;
  uo5047->data[32] = (Object)closure5047;
  Method *meth_meth_parser_postfixsquare5047 = addmethod2pos(self, "postfixsquare", &meth_parser_postfixsquare5047, 32);
int argcv_meth_parser_postfixsquare5047[] = {0};
meth_meth_parser_postfixsquare5047->type = alloc_MethodType(1, argcv_meth_parser_postfixsquare5047);
  meth_meth_parser_postfixsquare5047->definitionModule = modulename;
  meth_meth_parser_postfixsquare5047->definitionLine = 1592;
// compilenode returning 
// Begin line 1633
  setline(1633);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo5157 = (struct UserObject*)self;
  uo5157->data[33] = emptyclosure;
  Method *meth_meth_parser_oprec5157 = addmethod2pos(self, "oprec", &meth_parser_oprec5157, 33);
int argcv_meth_parser_oprec5157[] = {1};
meth_meth_parser_oprec5157->type = alloc_MethodType(1, argcv_meth_parser_oprec5157);
  meth_meth_parser_oprec5157->definitionModule = modulename;
  meth_meth_parser_oprec5157->definitionLine = 1633;
// compilenode returning 
// Begin line 1643
  setline(1643);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo5171 = (struct UserObject*)self;
  uo5171->data[34] = emptyclosure;
  Method *meth_meth_parser_toprec5171 = addmethod2pos(self, "toprec", &meth_parser_toprec5171, 34);
int argcv_meth_parser_toprec5171[] = {1};
meth_meth_parser_toprec5171->type = alloc_MethodType(1, argcv_meth_parser_toprec5171);
  meth_meth_parser_toprec5171->definitionModule = modulename;
  meth_meth_parser_toprec5171->definitionLine = 1643;
// compilenode returning 
// Begin line 1652
  setline(1652);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5184 = createclosure(1, "typeexpressionrest");
  setclosureframe(closure5184, stackframe);
  addtoclosure(closure5184, var_noBlocks);
  struct UserObject *uo5184 = (struct UserObject*)self;
  uo5184->data[35] = (Object)closure5184;
  Method *meth_meth_parser_typeexpressionrest5184 = addmethod2pos(self, "typeexpressionrest", &meth_parser_typeexpressionrest5184, 35);
int argcv_meth_parser_typeexpressionrest5184[] = {0};
meth_meth_parser_typeexpressionrest5184->type = alloc_MethodType(1, argcv_meth_parser_typeexpressionrest5184);
  meth_meth_parser_typeexpressionrest5184->definitionModule = modulename;
  meth_meth_parser_typeexpressionrest5184->definitionLine = 1652;
// compilenode returning 
// Begin line 1658
  setline(1658);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5197 = createclosure(1, "valueexpressionrest");
  setclosureframe(closure5197, stackframe);
  addtoclosure(closure5197, var_blocksOK);
  struct UserObject *uo5197 = (struct UserObject*)self;
  uo5197->data[36] = (Object)closure5197;
  Method *meth_meth_parser_valueexpressionrest5197 = addmethod2pos(self, "valueexpressionrest", &meth_parser_valueexpressionrest5197, 36);
int argcv_meth_parser_valueexpressionrest5197[] = {0};
meth_meth_parser_valueexpressionrest5197->type = alloc_MethodType(1, argcv_meth_parser_valueexpressionrest5197);
  meth_meth_parser_valueexpressionrest5197->definitionModule = modulename;
  meth_meth_parser_valueexpressionrest5197->definitionLine = 1658;
// compilenode returning 
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5210 = createclosure(7, "expressionrest()recursingWith()blocks");
  setclosureframe(closure5210, stackframe);
  addtoclosure(closure5210, var_values);
  addtoclosure(closure5210, var_sym);
  addtoclosure(closure5210, var_statementToken);
  addtoclosure(closure5210, var_errormessages);
  addtoclosure(closure5210, var_lastToken);
  addtoclosure(closure5210, var_ast);
  addtoclosure(closure5210, var_util);
  struct UserObject *uo5210 = (struct UserObject*)self;
  uo5210->data[37] = (Object)closure5210;
  Method *meth_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5210 = addmethod2pos(self, "expressionrest()recursingWith()blocks", &meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5210, 37);
int argcv_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5210[] = {1, 1, 1};
meth_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5210->type = alloc_MethodType(3, argcv_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5210);
  meth_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5210->definitionModule = modulename;
  meth_meth_parser_expressionrest_40__41_recursingWith_40__41_blocks5210->definitionLine = 1664;
// compilenode returning 
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5705 = createclosure(5, "dotrest");
  setclosureframe(closure5705, stackframe);
  addtoclosure(closure5705, var_values);
  addtoclosure(closure5705, var_sym);
  addtoclosure(closure5705, var_ast);
  addtoclosure(closure5705, var_errormessages);
  addtoclosure(closure5705, var_lastToken);
  struct UserObject *uo5705 = (struct UserObject*)self;
  uo5705->data[38] = (Object)closure5705;
  Method *meth_meth_parser_dotrest5705 = addmethod2pos(self, "dotrest", &meth_parser_dotrest5705, 38);
int argcv_meth_parser_dotrest5705[] = {1};
meth_meth_parser_dotrest5705->type = alloc_MethodType(1, argcv_meth_parser_dotrest5705);
  meth_meth_parser_dotrest5705->definitionModule = modulename;
  meth_meth_parser_dotrest5705->definitionLine = 1809;
// compilenode returning 
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5799 = createclosure(10, "callrest");
  setclosureframe(closure5799, stackframe);
  addtoclosure(closure5799, var_values);
  addtoclosure(closure5799, var_linenum);
  addtoclosure(closure5799, var_sym);
  addtoclosure(closure5799, var_ast);
  addtoclosure(closure5799, var_lastToken);
  addtoclosure(closure5799, var_minIndentLevel);
  addtoclosure(closure5799, var_collections);
  addtoclosure(closure5799, var_errormessages);
  addtoclosure(closure5799, var_blocksOK);
  addtoclosure(closure5799, var_util);
  struct UserObject *uo5799 = (struct UserObject*)self;
  uo5799->data[39] = (Object)closure5799;
  Method *meth_meth_parser_callrest5799 = addmethod2pos(self, "callrest", &meth_parser_callrest5799, 39);
int argcv_meth_parser_callrest5799[] = {1};
meth_meth_parser_callrest5799->type = alloc_MethodType(1, argcv_meth_parser_callrest5799);
  meth_meth_parser_callrest5799->definitionModule = modulename;
  meth_meth_parser_callrest5799->definitionLine = 1842;
// compilenode returning 
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6512 = createclosure(8, "callmprest");
  setclosureframe(closure6512, stackframe);
  addtoclosure(closure6512, var_linenum);
  addtoclosure(closure6512, var_lastToken);
  addtoclosure(closure6512, var_ast);
  addtoclosure(closure6512, var_values);
  addtoclosure(closure6512, var_errormessages);
  addtoclosure(closure6512, var_sym);
  addtoclosure(closure6512, var_lastline);
  addtoclosure(closure6512, var_blocksOK);
  struct UserObject *uo6512 = (struct UserObject*)self;
  uo6512->data[40] = (Object)closure6512;
  Method *meth_meth_parser_callmprest6512 = addmethod2pos(self, "callmprest", &meth_parser_callmprest6512, 40);
int argcv_meth_parser_callmprest6512[] = {3};
meth_meth_parser_callmprest6512->type = alloc_MethodType(1, argcv_meth_parser_callmprest6512);
  meth_meth_parser_callmprest6512->definitionModule = modulename;
  meth_meth_parser_callmprest6512->definitionLine = 2070;
// compilenode returning 
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6944 = createclosure(7, "defdec");
  setclosureframe(closure6944, stackframe);
  addtoclosure(closure6944, var_sym);
  addtoclosure(closure6944, var_errormessages);
  addtoclosure(closure6944, var_lastToken);
  addtoclosure(closure6944, var_ast);
  addtoclosure(closure6944, var_values);
  addtoclosure(closure6944, var_blocksOK);
  addtoclosure(closure6944, var_defaultDefVisibility);
  struct UserObject *uo6944 = (struct UserObject*)self;
  uo6944->data[41] = (Object)closure6944;
  Method *meth_meth_parser_defdec6944 = addmethod2pos(self, "defdec", &meth_parser_defdec6944, 41);
int argcv_meth_parser_defdec6944[] = {0};
meth_meth_parser_defdec6944->type = alloc_MethodType(1, argcv_meth_parser_defdec6944);
  meth_meth_parser_defdec6944->definitionModule = modulename;
  meth_meth_parser_defdec6944->definitionLine = 2201;
// compilenode returning 
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7291 = createclosure(7, "vardec");
  setclosureframe(closure7291, stackframe);
  addtoclosure(closure7291, var_sym);
  addtoclosure(closure7291, var_errormessages);
  addtoclosure(closure7291, var_lastToken);
  addtoclosure(closure7291, var_ast);
  addtoclosure(closure7291, var_values);
  addtoclosure(closure7291, var_blocksOK);
  addtoclosure(closure7291, var_defaultVarVisibility);
  struct UserObject *uo7291 = (struct UserObject*)self;
  uo7291->data[42] = (Object)closure7291;
  Method *meth_meth_parser_vardec7291 = addmethod2pos(self, "vardec", &meth_parser_vardec7291, 42);
int argcv_meth_parser_vardec7291[] = {0};
meth_meth_parser_vardec7291->type = alloc_MethodType(1, argcv_meth_parser_vardec7291);
  meth_meth_parser_vardec7291->definitionModule = modulename;
  meth_meth_parser_vardec7291->definitionLine = 2296;
// compilenode returning 
// Begin line 2389
  setline(2389);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7623 = createclosure(6, "doarray");
  setclosureframe(closure7623, stackframe);
  addtoclosure(closure7623, var_blocksOK);
  addtoclosure(closure7623, var_values);
  addtoclosure(closure7623, var_errormessages);
  addtoclosure(closure7623, var_sym);
  addtoclosure(closure7623, var_lastToken);
  addtoclosure(closure7623, var_ast);
  struct UserObject *uo7623 = (struct UserObject*)self;
  uo7623->data[43] = (Object)closure7623;
  Method *meth_meth_parser_doarray7623 = addmethod2pos(self, "doarray", &meth_parser_doarray7623, 43);
int argcv_meth_parser_doarray7623[] = {0};
meth_meth_parser_doarray7623->type = alloc_MethodType(1, argcv_meth_parser_doarray7623);
  meth_meth_parser_doarray7623->definitionModule = modulename;
  meth_meth_parser_doarray7623->definitionLine = 2389;
// compilenode returning 
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7752 = createclosure(5, "dodialect");
  setclosureframe(closure7752, stackframe);
  addtoclosure(closure7752, var_sym);
  addtoclosure(closure7752, var_errormessages);
  addtoclosure(closure7752, var_lastToken);
  addtoclosure(closure7752, var_ast);
  addtoclosure(closure7752, var_values);
  struct UserObject *uo7752 = (struct UserObject*)self;
  uo7752->data[44] = (Object)closure7752;
  Method *meth_meth_parser_dodialect7752 = addmethod2pos(self, "dodialect", &meth_parser_dodialect7752, 44);
int argcv_meth_parser_dodialect7752[] = {0};
meth_meth_parser_dodialect7752->type = alloc_MethodType(1, argcv_meth_parser_dodialect7752);
  meth_meth_parser_dodialect7752->definitionModule = modulename;
  meth_meth_parser_dodialect7752->definitionLine = 2432;
// compilenode returning 
// Begin line 2454
  setline(2454);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7841 = createclosure(6, "inheritsdec");
  setclosureframe(closure7841, stackframe);
  addtoclosure(closure7841, var_sym);
  addtoclosure(closure7841, var_blocksOK);
  addtoclosure(closure7841, var_errormessages);
  addtoclosure(closure7841, var_lastToken);
  addtoclosure(closure7841, var_values);
  addtoclosure(closure7841, var_ast);
  struct UserObject *uo7841 = (struct UserObject*)self;
  uo7841->data[45] = (Object)closure7841;
  Method *meth_meth_parser_inheritsdec7841 = addmethod2pos(self, "inheritsdec", &meth_parser_inheritsdec7841, 45);
int argcv_meth_parser_inheritsdec7841[] = {0};
meth_meth_parser_inheritsdec7841->type = alloc_MethodType(1, argcv_meth_parser_inheritsdec7841);
  meth_meth_parser_inheritsdec7841->definitionModule = modulename;
  meth_meth_parser_inheritsdec7841->definitionLine = 2454;
// compilenode returning 
// Begin line 2480
  setline(2480);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7930 = createclosure(8, "doobject");
  setclosureframe(closure7930, stackframe);
  addtoclosure(closure7930, var_sym);
  addtoclosure(closure7930, var_minIndentLevel);
  addtoclosure(closure7930, var_errormessages);
  addtoclosure(closure7930, var_lastToken);
  addtoclosure(closure7930, var_values);
  addtoclosure(closure7930, var_statementToken);
  addtoclosure(closure7930, var_util);
  addtoclosure(closure7930, var_ast);
  struct UserObject *uo7930 = (struct UserObject*)self;
  uo7930->data[46] = (Object)closure7930;
  Method *meth_meth_parser_doobject7930 = addmethod2pos(self, "doobject", &meth_parser_doobject7930, 46);
int argcv_meth_parser_doobject7930[] = {0};
meth_meth_parser_doobject7930->type = alloc_MethodType(1, argcv_meth_parser_doobject7930);
  meth_meth_parser_doobject7930->definitionModule = modulename;
  meth_meth_parser_doobject7930->definitionLine = 2480;
// compilenode returning 
// Begin line 2558
  setline(2558);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8167 = createclosure(10, "doclass");
  setclosureframe(closure8167, stackframe);
  addtoclosure(closure8167, var_sym);
  addtoclosure(closure8167, var_minIndentLevel);
  addtoclosure(closure8167, var_errormessages);
  addtoclosure(closure8167, var_lastToken);
  addtoclosure(closure8167, var_tokens);
  addtoclosure(closure8167, var_values);
  addtoclosure(closure8167, var_statementToken);
  addtoclosure(closure8167, var_util);
  addtoclosure(closure8167, var_ast);
  addtoclosure(closure8167, var_defaultMethodVisibility);
  struct UserObject *uo8167 = (struct UserObject*)self;
  uo8167->data[47] = (Object)closure8167;
  Method *meth_meth_parser_doclass8167 = addmethod2pos(self, "doclass", &meth_parser_doclass8167, 47);
int argcv_meth_parser_doclass8167[] = {0};
meth_meth_parser_doclass8167->type = alloc_MethodType(1, argcv_meth_parser_doclass8167);
  meth_meth_parser_doclass8167->definitionModule = modulename;
  meth_meth_parser_doclass8167->definitionLine = 2558;
// compilenode returning 
// Begin line 2647
  setline(2647);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8476 = createclosure(11, "dofactoryMethod");
  setclosureframe(closure8476, stackframe);
  addtoclosure(closure8476, var_tokens);
  addtoclosure(closure8476, var_sym);
  addtoclosure(closure8476, var_minIndentLevel);
  addtoclosure(closure8476, var_errormessages);
  addtoclosure(closure8476, var_lastToken);
  addtoclosure(closure8476, var_statementToken);
  addtoclosure(closure8476, var_values);
  addtoclosure(closure8476, var_util);
  addtoclosure(closure8476, var_ast);
  addtoclosure(closure8476, var_collections);
  addtoclosure(closure8476, var_defaultMethodVisibility);
  struct UserObject *uo8476 = (struct UserObject*)self;
  uo8476->data[48] = (Object)closure8476;
  Method *meth_meth_parser_dofactoryMethod8476 = addmethod2pos(self, "dofactoryMethod", &meth_parser_dofactoryMethod8476, 48);
int argcv_meth_parser_dofactoryMethod8476[] = {0};
meth_meth_parser_dofactoryMethod8476->type = alloc_MethodType(1, argcv_meth_parser_dofactoryMethod8476);
  meth_meth_parser_dofactoryMethod8476->definitionModule = modulename;
  meth_meth_parser_dofactoryMethod8476->definitionLine = 2647;
// compilenode returning 
// Begin line 2721
  setline(2721);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8749 = createclosure(9, "methoddec");
  setclosureframe(closure8749, stackframe);
  addtoclosure(closure8749, var_sym);
  addtoclosure(closure8749, var_statementToken);
  addtoclosure(closure8749, var_minIndentLevel);
  addtoclosure(closure8749, var_values);
  addtoclosure(closure8749, var_errormessages);
  addtoclosure(closure8749, var_lastToken);
  addtoclosure(closure8749, var_util);
  addtoclosure(closure8749, var_ast);
  addtoclosure(closure8749, var_defaultMethodVisibility);
  struct UserObject *uo8749 = (struct UserObject*)self;
  uo8749->data[49] = (Object)closure8749;
  Method *meth_meth_parser_methoddec8749 = addmethod2pos(self, "methoddec", &meth_parser_methoddec8749, 49);
int argcv_meth_parser_methoddec8749[] = {0};
meth_meth_parser_methoddec8749->type = alloc_MethodType(1, argcv_meth_parser_methoddec8749);
  meth_meth_parser_methoddec8749->definitionModule = modulename;
  meth_meth_parser_methoddec8749->definitionLine = 2721;
// compilenode returning 
// Begin line 2814
  setline(2814);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8994 = createclosure(5, "parsempmndecrest");
  setclosureframe(closure8994, stackframe);
  addtoclosure(closure8994, var_ast);
  addtoclosure(closure8994, var_values);
  addtoclosure(closure8994, var_errormessages);
  addtoclosure(closure8994, var_lastToken);
  addtoclosure(closure8994, var_sym);
  struct UserObject *uo8994 = (struct UserObject*)self;
  uo8994->data[50] = (Object)closure8994;
  Method *meth_meth_parser_parsempmndecrest8994 = addmethod2pos(self, "parsempmndecrest", &meth_parser_parsempmndecrest8994, 50);
int argcv_meth_parser_parsempmndecrest8994[] = {2};
meth_meth_parser_parsempmndecrest8994->type = alloc_MethodType(1, argcv_meth_parser_parsempmndecrest8994);
  meth_meth_parser_parsempmndecrest8994->definitionModule = modulename;
  meth_meth_parser_parsempmndecrest8994->definitionLine = 2814;
// compilenode returning 
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure9252 = createclosure(6, "methodsignature");
  setclosureframe(closure9252, stackframe);
  addtoclosure(closure9252, var_sym);
  addtoclosure(closure9252, var_errormessages);
  addtoclosure(closure9252, var_lastToken);
  addtoclosure(closure9252, var_values);
  addtoclosure(closure9252, var_ast);
  addtoclosure(closure9252, var_tokens);
  struct UserObject *uo9252 = (struct UserObject*)self;
  uo9252->data[51] = (Object)closure9252;
  Method *meth_meth_parser_methodsignature9252 = addmethod2pos(self, "methodsignature", &meth_parser_methodsignature9252, 51);
int argcv_meth_parser_methodsignature9252[] = {1};
meth_meth_parser_methodsignature9252->type = alloc_MethodType(1, argcv_meth_parser_methodsignature9252);
  meth_meth_parser_methodsignature9252->definitionModule = modulename;
  meth_meth_parser_methodsignature9252->definitionLine = 2895;
  block_savedest(self);
  Object closure9974 = createclosure(6, "methodsignature()object");
setclosureframe(closure9974, stackframe);
  addtoclosure(closure9974, var_sym);
  addtoclosure(closure9974, var_errormessages);
  addtoclosure(closure9974, var_lastToken);
  addtoclosure(closure9974, var_values);
  addtoclosure(closure9974, var_ast);
  addtoclosure(closure9974, var_tokens);
  Method *meth_meth_parser_methodsignature9252_object = addmethod2pos(self, "methodsignature()object", &meth_parser_methodsignature9252_object, 51);
  meth_meth_parser_methodsignature9252_object->definitionModule = modulename;
  meth_meth_parser_methodsignature9252_object->definitionLine = 2895;
// compilenode returning 
// Begin line 3090
  setline(3090);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure9975 = createclosure(7, "doimport");
  setclosureframe(closure9975, stackframe);
  addtoclosure(closure9975, var_sym);
  addtoclosure(closure9975, var_errormessages);
  addtoclosure(closure9975, var_lastToken);
  addtoclosure(closure9975, var_values);
  addtoclosure(closure9975, var_util);
  addtoclosure(closure9975, var_ast);
  addtoclosure(closure9975, var_defaultVarVisibility);
  struct UserObject *uo9975 = (struct UserObject*)self;
  uo9975->data[52] = (Object)closure9975;
  Method *meth_meth_parser_doimport9975 = addmethod2pos(self, "doimport", &meth_parser_doimport9975, 52);
int argcv_meth_parser_doimport9975[] = {0};
meth_meth_parser_doimport9975->type = alloc_MethodType(1, argcv_meth_parser_doimport9975);
  meth_meth_parser_doimport9975->definitionModule = modulename;
  meth_meth_parser_doimport9975->definitionLine = 3090;
// compilenode returning 
// Begin line 3161
  setline(3161);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10266 = createclosure(6, "doreturn");
  setclosureframe(closure10266, stackframe);
  addtoclosure(closure10266, var_sym);
  addtoclosure(closure10266, var_blocksOK);
  addtoclosure(closure10266, var_errormessages);
  addtoclosure(closure10266, var_lastToken);
  addtoclosure(closure10266, var_values);
  addtoclosure(closure10266, var_ast);
  struct UserObject *uo10266 = (struct UserObject*)self;
  uo10266->data[53] = (Object)closure10266;
  Method *meth_meth_parser_doreturn10266 = addmethod2pos(self, "doreturn", &meth_parser_doreturn10266, 53);
int argcv_meth_parser_doreturn10266[] = {0};
meth_meth_parser_doreturn10266->type = alloc_MethodType(1, argcv_meth_parser_doreturn10266);
  meth_meth_parser_doreturn10266->definitionModule = modulename;
  meth_meth_parser_doreturn10266->definitionLine = 3161;
// compilenode returning 
// Begin line 3194
  setline(3194);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10377 = createclosure(6, "domethodtype");
  setclosureframe(closure10377, stackframe);
  addtoclosure(closure10377, var_ast);
  addtoclosure(closure10377, var_values);
  addtoclosure(closure10377, var_sym);
  addtoclosure(closure10377, var_lastToken);
  addtoclosure(closure10377, var_errormessages);
  addtoclosure(closure10377, var_util);
  struct UserObject *uo10377 = (struct UserObject*)self;
  uo10377->data[54] = (Object)closure10377;
  Method *meth_meth_parser_domethodtype10377 = addmethod2pos(self, "domethodtype", &meth_parser_domethodtype10377, 54);
int argcv_meth_parser_domethodtype10377[] = {0};
meth_meth_parser_domethodtype10377->type = alloc_MethodType(1, argcv_meth_parser_domethodtype10377);
  meth_meth_parser_domethodtype10377->definitionModule = modulename;
  meth_meth_parser_domethodtype10377->definitionLine = 3194;
// compilenode returning 
// Begin line 3223
  setline(3223);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10475 = createclosure(6, "dotypeLiteral");
  setclosureframe(closure10475, stackframe);
  addtoclosure(closure10475, var_sym);
  addtoclosure(closure10475, var_errormessages);
  addtoclosure(closure10475, var_done);
  addtoclosure(closure10475, var_auto_count);
  addtoclosure(closure10475, var_values);
  addtoclosure(closure10475, var_ast);
  struct UserObject *uo10475 = (struct UserObject*)self;
  uo10475->data[55] = (Object)closure10475;
  Method *meth_meth_parser_dotypeLiteral10475 = addmethod2pos(self, "dotypeLiteral", &meth_parser_dotypeLiteral10475, 55);
int argcv_meth_parser_dotypeLiteral10475[] = {0};
meth_meth_parser_dotypeLiteral10475->type = alloc_MethodType(1, argcv_meth_parser_dotypeLiteral10475);
  meth_meth_parser_dotypeLiteral10475->definitionModule = modulename;
  meth_meth_parser_dotypeLiteral10475->definitionLine = 3223;
// compilenode returning 
// Begin line 3256
  setline(3256);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10574 = createclosure(6, "typedec");
  setclosureframe(closure10574, stackframe);
  addtoclosure(closure10574, var_sym);
  addtoclosure(closure10574, var_errormessages);
  addtoclosure(closure10574, var_lastToken);
  addtoclosure(closure10574, var_values);
  addtoclosure(closure10574, var_noBlocks);
  addtoclosure(closure10574, var_ast);
  struct UserObject *uo10574 = (struct UserObject*)self;
  uo10574->data[56] = (Object)closure10574;
  Method *meth_meth_parser_typedec10574 = addmethod2pos(self, "typedec", &meth_parser_typedec10574, 56);
int argcv_meth_parser_typedec10574[] = {0};
meth_meth_parser_typedec10574->type = alloc_MethodType(1, argcv_meth_parser_typedec10574);
  meth_meth_parser_typedec10574->definitionModule = modulename;
  meth_meth_parser_typedec10574->definitionLine = 3256;
// compilenode returning 
// Begin line 3304
  setline(3304);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10743 = createclosure(5, "checkIndent");
  setclosureframe(closure10743, stackframe);
  addtoclosure(closure10743, var_indentFreePass);
  addtoclosure(closure10743, var_sym);
  addtoclosure(closure10743, var_minIndentLevel);
  addtoclosure(closure10743, var_errormessages);
  addtoclosure(closure10743, var_lastToken);
  struct UserObject *uo10743 = (struct UserObject*)self;
  uo10743->data[57] = (Object)closure10743;
  Method *meth_meth_parser_checkIndent10743 = addmethod2pos(self, "checkIndent", &meth_parser_checkIndent10743, 57);
int argcv_meth_parser_checkIndent10743[] = {0};
meth_meth_parser_checkIndent10743->type = alloc_MethodType(1, argcv_meth_parser_checkIndent10743);
  meth_meth_parser_checkIndent10743->definitionModule = modulename;
  meth_meth_parser_checkIndent10743->definitionLine = 3304;
// compilenode returning 
// Begin line 3345
  setline(3345);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10923 = createclosure(9, "statement");
  setclosureframe(closure10923, stackframe);
  addtoclosure(closure10923, var_sym);
  addtoclosure(closure10923, var_statementIndent);
  addtoclosure(closure10923, var_statementToken);
  addtoclosure(closure10923, var_blocksOK);
  addtoclosure(closure10923, var_values);
  addtoclosure(closure10923, var_errormessages);
  addtoclosure(closure10923, var_lastToken);
  addtoclosure(closure10923, var_ast);
  addtoclosure(closure10923, var_indentFreePass);
  struct UserObject *uo10923 = (struct UserObject*)self;
  uo10923->data[58] = (Object)closure10923;
  Method *meth_meth_parser_statement10923 = addmethod2pos(self, "statement", &meth_parser_statement10923, 58);
int argcv_meth_parser_statement10923[] = {0};
meth_meth_parser_statement10923->type = alloc_MethodType(1, argcv_meth_parser_statement10923);
  meth_meth_parser_statement10923->definitionModule = modulename;
  meth_meth_parser_statement10923->definitionLine = 3345;
// compilenode returning 
// Begin line 3413
  setline(3413);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11144 = createclosure(2, "checkBadOperators");
  setclosureframe(closure11144, stackframe);
  addtoclosure(closure11144, var_sym);
  addtoclosure(closure11144, var_errormessages);
  struct UserObject *uo11144 = (struct UserObject*)self;
  uo11144->data[59] = (Object)closure11144;
  Method *meth_meth_parser_checkBadOperators11144 = addmethod2pos(self, "checkBadOperators", &meth_parser_checkBadOperators11144, 59);
int argcv_meth_parser_checkBadOperators11144[] = {0};
meth_meth_parser_checkBadOperators11144->type = alloc_MethodType(1, argcv_meth_parser_checkBadOperators11144);
  meth_meth_parser_checkBadOperators11144->definitionModule = modulename;
  meth_meth_parser_checkBadOperators11144->definitionLine = 3413;
// compilenode returning 
// Begin line 3430
  setline(3430);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11191 = createclosure(2, "checkBadTypeLiteral");
  setclosureframe(closure11191, stackframe);
  addtoclosure(closure11191, var_sym);
  addtoclosure(closure11191, var_errormessages);
  struct UserObject *uo11191 = (struct UserObject*)self;
  uo11191->data[60] = (Object)closure11191;
  Method *meth_meth_parser_checkBadTypeLiteral11191 = addmethod2pos(self, "checkBadTypeLiteral", &meth_parser_checkBadTypeLiteral11191, 60);
int argcv_meth_parser_checkBadTypeLiteral11191[] = {0};
meth_meth_parser_checkBadTypeLiteral11191->type = alloc_MethodType(1, argcv_meth_parser_checkBadTypeLiteral11191);
  meth_meth_parser_checkBadTypeLiteral11191->definitionModule = modulename;
  meth_meth_parser_checkBadTypeLiteral11191->definitionLine = 3430;
// compilenode returning 
// Begin line 3440
  setline(3440);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11215 = createclosure(5, "checkUnexpectedTokenAfterStatement");
  setclosureframe(closure11215, stackframe);
  addtoclosure(closure11215, var_lastToken);
  addtoclosure(closure11215, var_sym);
  addtoclosure(closure11215, var_errormessages);
  addtoclosure(closure11215, var_values);
  addtoclosure(closure11215, var_util);
  struct UserObject *uo11215 = (struct UserObject*)self;
  uo11215->data[61] = (Object)closure11215;
  Method *meth_meth_parser_checkUnexpectedTokenAfterStatement11215 = addmethod2pos(self, "checkUnexpectedTokenAfterStatement", &meth_parser_checkUnexpectedTokenAfterStatement11215, 61);
int argcv_meth_parser_checkUnexpectedTokenAfterStatement11215[] = {0};
meth_meth_parser_checkUnexpectedTokenAfterStatement11215->type = alloc_MethodType(1, argcv_meth_parser_checkUnexpectedTokenAfterStatement11215);
  meth_meth_parser_checkUnexpectedTokenAfterStatement11215->definitionModule = modulename;
  meth_meth_parser_checkUnexpectedTokenAfterStatement11215->definitionLine = 3440;
// compilenode returning 
// Begin line 3511
  setline(3511);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11535 = createclosure(10, "parse");
  setclosureframe(closure11535, stackframe);
  addtoclosure(closure11535, var_util);
  addtoclosure(closure11535, var_values);
  addtoclosure(closure11535, var_defaultDefVisibility);
  addtoclosure(closure11535, var_defaultVarVisibility);
  addtoclosure(closure11535, var_defaultMethodVisibility);
  addtoclosure(closure11535, var_tokens);
  addtoclosure(closure11535, var_sym);
  addtoclosure(closure11535, var_errormessages);
  addtoclosure(closure11535, var_lastToken);
  addtoclosure(closure11535, var_linenum);
  struct UserObject *uo11535 = (struct UserObject*)self;
  uo11535->data[62] = (Object)closure11535;
  Method *meth_meth_parser_parse11535 = addmethod2pos(self, "parse", &meth_parser_parse11535, 62);
int argcv_meth_parser_parse11535[] = {1};
meth_meth_parser_parse11535->type = alloc_MethodType(1, argcv_meth_parser_parse11535);
  meth_meth_parser_parse11535->definitionModule = modulename;
  meth_meth_parser_parse11535->definitionLine = 3511;
  block_savedest(self);
  Object closure11746 = createclosure(10, "parse()object");
setclosureframe(closure11746, stackframe);
  addtoclosure(closure11746, var_util);
  addtoclosure(closure11746, var_values);
  addtoclosure(closure11746, var_defaultDefVisibility);
  addtoclosure(closure11746, var_defaultVarVisibility);
  addtoclosure(closure11746, var_defaultMethodVisibility);
  addtoclosure(closure11746, var_tokens);
  addtoclosure(closure11746, var_sym);
  addtoclosure(closure11746, var_errormessages);
  addtoclosure(closure11746, var_lastToken);
  addtoclosure(closure11746, var_linenum);
  Method *meth_meth_parser_parse11535_object = addmethod2pos(self, "parse()object", &meth_parser_parse11535_object, 62);
  meth_meth_parser_parse11535_object->definitionModule = modulename;
  meth_meth_parser_parse11535_object->definitionLine = 3511;
// compilenode returning 
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compilenode returning done
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of ast as ast
  if (module_ast == NULL)
    module_ast = module_ast_init();
  *var_ast = module_ast;
// compilenode returning done
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compilenode returning done
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of mgcollections as collections
  if (module_mgcollections == NULL)
    module_mgcollections = module_mgcollections_init();
  *var_collections = module_mgcollections;
// compilenode returning done
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = module_errormessages_init();
  *var_errormessages = module_errormessages;
// compilenode returning done
// compilenode returning 
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11747 = alloc_Boolean(1);
// compilenode returning bool11747
  *var_don_39_tBreak = bool11747;
  if (bool11747 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11748 = createclosure(1, "don'tBreak");
  setclosureframe(closure11748, stackframe);
  addtoclosure(closure11748, var_don_39_tBreak);
  struct UserObject *uo11748 = (struct UserObject*)self;
  uo11748->data[63] = (Object)closure11748;
  Method *meth_meth_parser_don_39_tBreak11748 = addmethod2pos(self, "don'tBreak", &meth_parser_don_39_tBreak11748, 63);
int argcv_meth_parser_don_39_tBreak11748[] = {0};
meth_meth_parser_don_39_tBreak11748->type = alloc_MethodType(1, argcv_meth_parser_don_39_tBreak11748);
  meth_meth_parser_don_39_tBreak11748->definitionModule = modulename;
  meth_meth_parser_don_39_tBreak11748->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11749 = alloc_Float64(0);
// compilenode returning num11749
  *var_lastline = num11749;
  if (num11749 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11750 = createclosure(1, "lastline");
  setclosureframe(closure11750, stackframe);
  addtoclosure(closure11750, var_lastline);
  struct UserObject *uo11750 = (struct UserObject*)self;
  uo11750->data[64] = (Object)closure11750;
  Method *meth_meth_parser_lastline11750 = addmethod2pos(self, "lastline", &meth_parser_lastline11750, 64);
int argcv_meth_parser_lastline11750[] = {0};
meth_meth_parser_lastline11750->type = alloc_MethodType(1, argcv_meth_parser_lastline11750);
  meth_meth_parser_lastline11750->definitionModule = modulename;
  meth_meth_parser_lastline11750->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11751 = createclosure(1, "lastline:=");
  setclosureframe(closure11751, stackframe);
  addtoclosure(closure11751, var_lastline);
  struct UserObject *uo11751 = (struct UserObject*)self;
  uo11751->data[65] = (Object)closure11751;
  Method *meth_meth_parser_lastline_58__61_11751 = addmethod2pos(self, "lastline:=", &meth_parser_lastline_58__61_11751, 65);
int argcv_meth_parser_lastline_58__61_11751[] = {1};
meth_meth_parser_lastline_58__61_11751->type = alloc_MethodType(1, argcv_meth_parser_lastline_58__61_11751);
  meth_meth_parser_lastline_58__61_11751->definitionModule = modulename;
  meth_meth_parser_lastline_58__61_11751->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11753 = alloc_Float64(0);
// compilenode returning num11753
  *var_linenum = num11753;
  if (num11753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11754 = createclosure(1, "linenum");
  setclosureframe(closure11754, stackframe);
  addtoclosure(closure11754, var_linenum);
  struct UserObject *uo11754 = (struct UserObject*)self;
  uo11754->data[66] = (Object)closure11754;
  Method *meth_meth_parser_linenum11754 = addmethod2pos(self, "linenum", &meth_parser_linenum11754, 66);
int argcv_meth_parser_linenum11754[] = {0};
meth_meth_parser_linenum11754->type = alloc_MethodType(1, argcv_meth_parser_linenum11754);
  meth_meth_parser_linenum11754->definitionModule = modulename;
  meth_meth_parser_linenum11754->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11755 = createclosure(1, "linenum:=");
  setclosureframe(closure11755, stackframe);
  addtoclosure(closure11755, var_linenum);
  struct UserObject *uo11755 = (struct UserObject*)self;
  uo11755->data[67] = (Object)closure11755;
  Method *meth_meth_parser_linenum_58__61_11755 = addmethod2pos(self, "linenum:=", &meth_parser_linenum_58__61_11755, 67);
int argcv_meth_parser_linenum_58__61_11755[] = {1};
meth_meth_parser_linenum_58__61_11755->type = alloc_MethodType(1, argcv_meth_parser_linenum_58__61_11755);
  meth_meth_parser_linenum_58__61_11755->definitionModule = modulename;
  meth_meth_parser_linenum_58__61_11755->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11757 = alloc_Float64(0);
// compilenode returning num11757
  *var_lastIndent = num11757;
  if (num11757 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11758 = createclosure(1, "lastIndent");
  setclosureframe(closure11758, stackframe);
  addtoclosure(closure11758, var_lastIndent);
  struct UserObject *uo11758 = (struct UserObject*)self;
  uo11758->data[68] = (Object)closure11758;
  Method *meth_meth_parser_lastIndent11758 = addmethod2pos(self, "lastIndent", &meth_parser_lastIndent11758, 68);
int argcv_meth_parser_lastIndent11758[] = {0};
meth_meth_parser_lastIndent11758->type = alloc_MethodType(1, argcv_meth_parser_lastIndent11758);
  meth_meth_parser_lastIndent11758->definitionModule = modulename;
  meth_meth_parser_lastIndent11758->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11759 = createclosure(1, "lastIndent:=");
  setclosureframe(closure11759, stackframe);
  addtoclosure(closure11759, var_lastIndent);
  struct UserObject *uo11759 = (struct UserObject*)self;
  uo11759->data[69] = (Object)closure11759;
  Method *meth_meth_parser_lastIndent_58__61_11759 = addmethod2pos(self, "lastIndent:=", &meth_parser_lastIndent_58__61_11759, 69);
int argcv_meth_parser_lastIndent_58__61_11759[] = {1};
meth_meth_parser_lastIndent_58__61_11759->type = alloc_MethodType(1, argcv_meth_parser_lastIndent_58__61_11759);
  meth_meth_parser_lastIndent_58__61_11759->definitionModule = modulename;
  meth_meth_parser_lastIndent_58__61_11759->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11761 = alloc_Boolean(0);
// compilenode returning bool11761
  *var_indentFreePass = bool11761;
  if (bool11761 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11762 = createclosure(1, "indentFreePass");
  setclosureframe(closure11762, stackframe);
  addtoclosure(closure11762, var_indentFreePass);
  struct UserObject *uo11762 = (struct UserObject*)self;
  uo11762->data[70] = (Object)closure11762;
  Method *meth_meth_parser_indentFreePass11762 = addmethod2pos(self, "indentFreePass", &meth_parser_indentFreePass11762, 70);
int argcv_meth_parser_indentFreePass11762[] = {0};
meth_meth_parser_indentFreePass11762->type = alloc_MethodType(1, argcv_meth_parser_indentFreePass11762);
  meth_meth_parser_indentFreePass11762->definitionModule = modulename;
  meth_meth_parser_indentFreePass11762->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11763 = createclosure(1, "indentFreePass:=");
  setclosureframe(closure11763, stackframe);
  addtoclosure(closure11763, var_indentFreePass);
  struct UserObject *uo11763 = (struct UserObject*)self;
  uo11763->data[71] = (Object)closure11763;
  Method *meth_meth_parser_indentFreePass_58__61_11763 = addmethod2pos(self, "indentFreePass:=", &meth_parser_indentFreePass_58__61_11763, 71);
int argcv_meth_parser_indentFreePass_58__61_11763[] = {1};
meth_meth_parser_indentFreePass_58__61_11763->type = alloc_MethodType(1, argcv_meth_parser_indentFreePass_58__61_11763);
  meth_meth_parser_indentFreePass_58__61_11763->definitionModule = modulename;
  meth_meth_parser_indentFreePass_58__61_11763->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11765 = alloc_Float64(0);
// compilenode returning num11765
  *var_minIndentLevel = num11765;
  if (num11765 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11766 = createclosure(1, "minIndentLevel");
  setclosureframe(closure11766, stackframe);
  addtoclosure(closure11766, var_minIndentLevel);
  struct UserObject *uo11766 = (struct UserObject*)self;
  uo11766->data[72] = (Object)closure11766;
  Method *meth_meth_parser_minIndentLevel11766 = addmethod2pos(self, "minIndentLevel", &meth_parser_minIndentLevel11766, 72);
int argcv_meth_parser_minIndentLevel11766[] = {0};
meth_meth_parser_minIndentLevel11766->type = alloc_MethodType(1, argcv_meth_parser_minIndentLevel11766);
  meth_meth_parser_minIndentLevel11766->definitionModule = modulename;
  meth_meth_parser_minIndentLevel11766->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11767 = createclosure(1, "minIndentLevel:=");
  setclosureframe(closure11767, stackframe);
  addtoclosure(closure11767, var_minIndentLevel);
  struct UserObject *uo11767 = (struct UserObject*)self;
  uo11767->data[73] = (Object)closure11767;
  Method *meth_meth_parser_minIndentLevel_58__61_11767 = addmethod2pos(self, "minIndentLevel:=", &meth_parser_minIndentLevel_58__61_11767, 73);
int argcv_meth_parser_minIndentLevel_58__61_11767[] = {1};
meth_meth_parser_minIndentLevel_58__61_11767->type = alloc_MethodType(1, argcv_meth_parser_minIndentLevel_58__61_11767);
  meth_meth_parser_minIndentLevel_58__61_11767->definitionModule = modulename;
  meth_meth_parser_minIndentLevel_58__61_11767->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11769 = alloc_Float64(0);
// compilenode returning num11769
  *var_statementIndent = num11769;
  if (num11769 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11770 = createclosure(1, "statementIndent");
  setclosureframe(closure11770, stackframe);
  addtoclosure(closure11770, var_statementIndent);
  struct UserObject *uo11770 = (struct UserObject*)self;
  uo11770->data[74] = (Object)closure11770;
  Method *meth_meth_parser_statementIndent11770 = addmethod2pos(self, "statementIndent", &meth_parser_statementIndent11770, 74);
int argcv_meth_parser_statementIndent11770[] = {0};
meth_meth_parser_statementIndent11770->type = alloc_MethodType(1, argcv_meth_parser_statementIndent11770);
  meth_meth_parser_statementIndent11770->definitionModule = modulename;
  meth_meth_parser_statementIndent11770->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11771 = createclosure(1, "statementIndent:=");
  setclosureframe(closure11771, stackframe);
  addtoclosure(closure11771, var_statementIndent);
  struct UserObject *uo11771 = (struct UserObject*)self;
  uo11771->data[75] = (Object)closure11771;
  Method *meth_meth_parser_statementIndent_58__61_11771 = addmethod2pos(self, "statementIndent:=", &meth_parser_statementIndent_58__61_11771, 75);
int argcv_meth_parser_statementIndent_58__61_11771[] = {1};
meth_meth_parser_statementIndent_58__61_11771->type = alloc_MethodType(1, argcv_meth_parser_statementIndent_58__61_11771);
  meth_meth_parser_statementIndent_58__61_11771->definitionModule = modulename;
  meth_meth_parser_statementIndent_58__61_11771->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11773 = alloc_Boolean(0);
// compilenode returning bool11773
  *var_tokens = bool11773;
  if (bool11773 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11774 = createclosure(1, "tokens");
  setclosureframe(closure11774, stackframe);
  addtoclosure(closure11774, var_tokens);
  struct UserObject *uo11774 = (struct UserObject*)self;
  uo11774->data[76] = (Object)closure11774;
  Method *meth_meth_parser_tokens11774 = addmethod2pos(self, "tokens", &meth_parser_tokens11774, 76);
int argcv_meth_parser_tokens11774[] = {0};
meth_meth_parser_tokens11774->type = alloc_MethodType(1, argcv_meth_parser_tokens11774);
  meth_meth_parser_tokens11774->definitionModule = modulename;
  meth_meth_parser_tokens11774->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11775 = createclosure(1, "tokens:=");
  setclosureframe(closure11775, stackframe);
  addtoclosure(closure11775, var_tokens);
  struct UserObject *uo11775 = (struct UserObject*)self;
  uo11775->data[77] = (Object)closure11775;
  Method *meth_meth_parser_tokens_58__61_11775 = addmethod2pos(self, "tokens:=", &meth_parser_tokens_58__61_11775, 77);
int argcv_meth_parser_tokens_58__61_11775[] = {1};
meth_meth_parser_tokens_58__61_11775->type = alloc_MethodType(1, argcv_meth_parser_tokens_58__61_11775);
  meth_meth_parser_tokens_58__61_11775->definitionModule = modulename;
  meth_meth_parser_tokens_58__61_11775->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11777 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11777
  *var_values = array11777;
  if (array11777 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11778 = createclosure(1, "values");
  setclosureframe(closure11778, stackframe);
  addtoclosure(closure11778, var_values);
  struct UserObject *uo11778 = (struct UserObject*)self;
  uo11778->data[78] = (Object)closure11778;
  Method *meth_meth_parser_values11778 = addmethod2pos(self, "values", &meth_parser_values11778, 78);
int argcv_meth_parser_values11778[] = {0};
meth_meth_parser_values11778->type = alloc_MethodType(1, argcv_meth_parser_values11778);
  meth_meth_parser_values11778->definitionModule = modulename;
  meth_meth_parser_values11778->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11779 = createclosure(1, "values:=");
  setclosureframe(closure11779, stackframe);
  addtoclosure(closure11779, var_values);
  struct UserObject *uo11779 = (struct UserObject*)self;
  uo11779->data[79] = (Object)closure11779;
  Method *meth_meth_parser_values_58__61_11779 = addmethod2pos(self, "values:=", &meth_parser_values_58__61_11779, 79);
int argcv_meth_parser_values_58__61_11779[] = {1};
meth_meth_parser_values_58__61_11779->type = alloc_MethodType(1, argcv_meth_parser_values_58__61_11779);
  meth_meth_parser_values_58__61_11779->definitionModule = modulename;
  meth_meth_parser_values_58__61_11779->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11781 = alloc_Float64(0);
// compilenode returning num11781
  *var_auto_count = num11781;
  if (num11781 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11782 = createclosure(1, "auto_count");
  setclosureframe(closure11782, stackframe);
  addtoclosure(closure11782, var_auto_count);
  struct UserObject *uo11782 = (struct UserObject*)self;
  uo11782->data[80] = (Object)closure11782;
  Method *meth_meth_parser_auto_count11782 = addmethod2pos(self, "auto_count", &meth_parser_auto_count11782, 80);
int argcv_meth_parser_auto_count11782[] = {0};
meth_meth_parser_auto_count11782->type = alloc_MethodType(1, argcv_meth_parser_auto_count11782);
  meth_meth_parser_auto_count11782->definitionModule = modulename;
  meth_meth_parser_auto_count11782->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11783 = createclosure(1, "auto_count:=");
  setclosureframe(closure11783, stackframe);
  addtoclosure(closure11783, var_auto_count);
  struct UserObject *uo11783 = (struct UserObject*)self;
  uo11783->data[81] = (Object)closure11783;
  Method *meth_meth_parser_auto_count_58__61_11783 = addmethod2pos(self, "auto_count:=", &meth_parser_auto_count_58__61_11783, 81);
int argcv_meth_parser_auto_count_58__61_11783[] = {1};
meth_meth_parser_auto_count_58__61_11783->type = alloc_MethodType(1, argcv_meth_parser_auto_count_58__61_11783);
  meth_meth_parser_auto_count_58__61_11783->definitionModule = modulename;
  meth_meth_parser_auto_count_58__61_11783->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11785 = alloc_Boolean(0);
// compilenode returning bool11785
  *var_noBlocks = bool11785;
  if (bool11785 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11786 = createclosure(1, "noBlocks");
  setclosureframe(closure11786, stackframe);
  addtoclosure(closure11786, var_noBlocks);
  struct UserObject *uo11786 = (struct UserObject*)self;
  uo11786->data[82] = (Object)closure11786;
  Method *meth_meth_parser_noBlocks11786 = addmethod2pos(self, "noBlocks", &meth_parser_noBlocks11786, 82);
int argcv_meth_parser_noBlocks11786[] = {0};
meth_meth_parser_noBlocks11786->type = alloc_MethodType(1, argcv_meth_parser_noBlocks11786);
  meth_meth_parser_noBlocks11786->definitionModule = modulename;
  meth_meth_parser_noBlocks11786->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11787 = alloc_Boolean(1);
// compilenode returning bool11787
  *var_blocksOK = bool11787;
  if (bool11787 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11788 = createclosure(1, "blocksOK");
  setclosureframe(closure11788, stackframe);
  addtoclosure(closure11788, var_blocksOK);
  struct UserObject *uo11788 = (struct UserObject*)self;
  uo11788->data[83] = (Object)closure11788;
  Method *meth_meth_parser_blocksOK11788 = addmethod2pos(self, "blocksOK", &meth_parser_blocksOK11788, 83);
int argcv_meth_parser_blocksOK11788[] = {0};
meth_meth_parser_blocksOK11788->type = alloc_MethodType(1, argcv_meth_parser_blocksOK11788);
  meth_meth_parser_blocksOK11788->definitionModule = modulename;
  meth_meth_parser_blocksOK11788->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11789 = alloc_Boolean(0);
// compilenode returning bool11789
  *var_braceIsType = bool11789;
  if (bool11789 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11790 = createclosure(1, "braceIsType");
  setclosureframe(closure11790, stackframe);
  addtoclosure(closure11790, var_braceIsType);
  struct UserObject *uo11790 = (struct UserObject*)self;
  uo11790->data[84] = (Object)closure11790;
  Method *meth_meth_parser_braceIsType11790 = addmethod2pos(self, "braceIsType", &meth_parser_braceIsType11790, 84);
int argcv_meth_parser_braceIsType11790[] = {0};
meth_meth_parser_braceIsType11790->type = alloc_MethodType(1, argcv_meth_parser_braceIsType11790);
  meth_meth_parser_braceIsType11790->definitionModule = modulename;
  meth_meth_parser_braceIsType11790->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11791 = createclosure(1, "braceIsType:=");
  setclosureframe(closure11791, stackframe);
  addtoclosure(closure11791, var_braceIsType);
  struct UserObject *uo11791 = (struct UserObject*)self;
  uo11791->data[85] = (Object)closure11791;
  Method *meth_meth_parser_braceIsType_58__61_11791 = addmethod2pos(self, "braceIsType:=", &meth_parser_braceIsType_58__61_11791, 85);
int argcv_meth_parser_braceIsType_58__61_11791[] = {1};
meth_meth_parser_braceIsType_58__61_11791->type = alloc_MethodType(1, argcv_meth_parser_braceIsType_58__61_11791);
  meth_meth_parser_braceIsType_58__61_11791->definitionModule = modulename;
  meth_meth_parser_braceIsType_58__61_11791->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11793 == NULL) {
    strlit11793 = alloc_String("confidential");
    gc_root(strlit11793);
  }
// compilenode returning strlit11793
  *var_defaultDefVisibility = strlit11793;
  if (strlit11793 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11794 = createclosure(1, "defaultDefVisibility");
  setclosureframe(closure11794, stackframe);
  addtoclosure(closure11794, var_defaultDefVisibility);
  struct UserObject *uo11794 = (struct UserObject*)self;
  uo11794->data[86] = (Object)closure11794;
  Method *meth_meth_parser_defaultDefVisibility11794 = addmethod2pos(self, "defaultDefVisibility", &meth_parser_defaultDefVisibility11794, 86);
int argcv_meth_parser_defaultDefVisibility11794[] = {0};
meth_meth_parser_defaultDefVisibility11794->type = alloc_MethodType(1, argcv_meth_parser_defaultDefVisibility11794);
  meth_meth_parser_defaultDefVisibility11794->definitionModule = modulename;
  meth_meth_parser_defaultDefVisibility11794->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11795 = createclosure(1, "defaultDefVisibility:=");
  setclosureframe(closure11795, stackframe);
  addtoclosure(closure11795, var_defaultDefVisibility);
  struct UserObject *uo11795 = (struct UserObject*)self;
  uo11795->data[87] = (Object)closure11795;
  Method *meth_meth_parser_defaultDefVisibility_58__61_11795 = addmethod2pos(self, "defaultDefVisibility:=", &meth_parser_defaultDefVisibility_58__61_11795, 87);
int argcv_meth_parser_defaultDefVisibility_58__61_11795[] = {1};
meth_meth_parser_defaultDefVisibility_58__61_11795->type = alloc_MethodType(1, argcv_meth_parser_defaultDefVisibility_58__61_11795);
  meth_meth_parser_defaultDefVisibility_58__61_11795->definitionModule = modulename;
  meth_meth_parser_defaultDefVisibility_58__61_11795->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11797 == NULL) {
    strlit11797 = alloc_String("confidential");
    gc_root(strlit11797);
  }
// compilenode returning strlit11797
  *var_defaultVarVisibility = strlit11797;
  if (strlit11797 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11798 = createclosure(1, "defaultVarVisibility");
  setclosureframe(closure11798, stackframe);
  addtoclosure(closure11798, var_defaultVarVisibility);
  struct UserObject *uo11798 = (struct UserObject*)self;
  uo11798->data[88] = (Object)closure11798;
  Method *meth_meth_parser_defaultVarVisibility11798 = addmethod2pos(self, "defaultVarVisibility", &meth_parser_defaultVarVisibility11798, 88);
int argcv_meth_parser_defaultVarVisibility11798[] = {0};
meth_meth_parser_defaultVarVisibility11798->type = alloc_MethodType(1, argcv_meth_parser_defaultVarVisibility11798);
  meth_meth_parser_defaultVarVisibility11798->definitionModule = modulename;
  meth_meth_parser_defaultVarVisibility11798->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11799 = createclosure(1, "defaultVarVisibility:=");
  setclosureframe(closure11799, stackframe);
  addtoclosure(closure11799, var_defaultVarVisibility);
  struct UserObject *uo11799 = (struct UserObject*)self;
  uo11799->data[89] = (Object)closure11799;
  Method *meth_meth_parser_defaultVarVisibility_58__61_11799 = addmethod2pos(self, "defaultVarVisibility:=", &meth_parser_defaultVarVisibility_58__61_11799, 89);
int argcv_meth_parser_defaultVarVisibility_58__61_11799[] = {1};
meth_meth_parser_defaultVarVisibility_58__61_11799->type = alloc_MethodType(1, argcv_meth_parser_defaultVarVisibility_58__61_11799);
  meth_meth_parser_defaultVarVisibility_58__61_11799->definitionModule = modulename;
  meth_meth_parser_defaultVarVisibility_58__61_11799->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11801 == NULL) {
    strlit11801 = alloc_String("public");
    gc_root(strlit11801);
  }
// compilenode returning strlit11801
  *var_defaultMethodVisibility = strlit11801;
  if (strlit11801 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11802 = createclosure(1, "defaultMethodVisibility");
  setclosureframe(closure11802, stackframe);
  addtoclosure(closure11802, var_defaultMethodVisibility);
  struct UserObject *uo11802 = (struct UserObject*)self;
  uo11802->data[90] = (Object)closure11802;
  Method *meth_meth_parser_defaultMethodVisibility11802 = addmethod2pos(self, "defaultMethodVisibility", &meth_parser_defaultMethodVisibility11802, 90);
int argcv_meth_parser_defaultMethodVisibility11802[] = {0};
meth_meth_parser_defaultMethodVisibility11802->type = alloc_MethodType(1, argcv_meth_parser_defaultMethodVisibility11802);
  meth_meth_parser_defaultMethodVisibility11802->definitionModule = modulename;
  meth_meth_parser_defaultMethodVisibility11802->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11803 = createclosure(1, "defaultMethodVisibility:=");
  setclosureframe(closure11803, stackframe);
  addtoclosure(closure11803, var_defaultMethodVisibility);
  struct UserObject *uo11803 = (struct UserObject*)self;
  uo11803->data[91] = (Object)closure11803;
  Method *meth_meth_parser_defaultMethodVisibility_58__61_11803 = addmethod2pos(self, "defaultMethodVisibility:=", &meth_parser_defaultMethodVisibility_58__61_11803, 91);
int argcv_meth_parser_defaultMethodVisibility_58__61_11803[] = {1};
meth_meth_parser_defaultMethodVisibility_58__61_11803->type = alloc_MethodType(1, argcv_meth_parser_defaultMethodVisibility_58__61_11803);
  meth_meth_parser_defaultMethodVisibility_58__61_11803->definitionModule = modulename;
  meth_meth_parser_defaultMethodVisibility_58__61_11803->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_sym = undefined;
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11805 = createclosure(1, "sym");
  setclosureframe(closure11805, stackframe);
  addtoclosure(closure11805, var_sym);
  struct UserObject *uo11805 = (struct UserObject*)self;
  uo11805->data[92] = (Object)closure11805;
  Method *meth_meth_parser_sym11805 = addmethod2pos(self, "sym", &meth_parser_sym11805, 92);
int argcv_meth_parser_sym11805[] = {0};
meth_meth_parser_sym11805->type = alloc_MethodType(1, argcv_meth_parser_sym11805);
  meth_meth_parser_sym11805->definitionModule = modulename;
  meth_meth_parser_sym11805->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11806 = createclosure(1, "sym:=");
  setclosureframe(closure11806, stackframe);
  addtoclosure(closure11806, var_sym);
  struct UserObject *uo11806 = (struct UserObject*)self;
  uo11806->data[93] = (Object)closure11806;
  Method *meth_meth_parser_sym_58__61_11806 = addmethod2pos(self, "sym:=", &meth_parser_sym_58__61_11806, 93);
int argcv_meth_parser_sym_58__61_11806[] = {1};
meth_meth_parser_sym_58__61_11806->type = alloc_MethodType(1, argcv_meth_parser_sym_58__61_11806);
  meth_meth_parser_sym_58__61_11806->definitionModule = modulename;
  meth_meth_parser_sym_58__61_11806->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject11808 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11808 = alloc_userobj2(11,7, objclass11808);
  gc_frame_newslot(obj11808);
// OBJECT OUTER DEC outer
  adddatum2(obj11808, self, 0);
  addmethodreal(obj11808,"outer", &reader_parser_outer_11809);
  Object oldself11808 = self;
  struct StackFrameObject *oldstackframe11808 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11808);
  gc_frame_newslot((Object)stackframe);
  self = obj11808;
  Object *oldselfslot11808 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11808 = (*(struct UserObject *)self).data[0], lowerouter11808 = thisouter11808;
  if (inheritingObject11808) {
    struct UserObject *inho11808 = (struct UserObject *)inheritingObject11808;
    while (inho11808->super != GraceDefaultObject) inho11808 = (struct UserObject *)inho11808->super;
    inho11808->super = obj11808;
    self = inheritingObject11808;
    *selfslot = self;
    lowerouter11808 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11808;
  }
if (objclass11808 == NULL) {
  Method *reader11810 = addmethodrealflags(obj11808, "kind",&reader_parser_kind_11810, 0);
  Method *writer11810 = addmethodrealflags(obj11808, "kind:=",&writer_parser_kind_11810, 0);
  reader11810->definitionModule = modulename;
  writer11810->definitionModule = modulename;
  reader11810->definitionLine = 29;
  writer11810->definitionLine = 29;
}
obj11808->flags |= OFLAG_MUTABLE;
adddatum2(obj11808, alloc_Undefined(), 1);
if (objclass11808 == NULL) {
  Method *reader11811 = addmethodrealflags(obj11808, "line",&reader_parser_line_11811, 0);
  Method *writer11811 = addmethodrealflags(obj11808, "line:=",&writer_parser_line_11811, 0);
  reader11811->definitionModule = modulename;
  writer11811->definitionModule = modulename;
  reader11811->definitionLine = 30;
  writer11811->definitionLine = 30;
}
obj11808->flags |= OFLAG_MUTABLE;
adddatum2(obj11808, alloc_Undefined(), 2);
if (objclass11808 == NULL) {
  Method *reader11812 = addmethodrealflags(obj11808, "linePos",&reader_parser_linePos_11812, 0);
  Method *writer11812 = addmethodrealflags(obj11808, "linePos:=",&writer_parser_linePos_11812, 0);
  reader11812->definitionModule = modulename;
  writer11812->definitionModule = modulename;
  reader11812->definitionLine = 31;
  writer11812->definitionLine = 31;
}
obj11808->flags |= OFLAG_MUTABLE;
adddatum2(obj11808, alloc_Undefined(), 3);
if (objclass11808 == NULL) {
  Method *reader11813 = addmethodrealflags(obj11808, "indent",&reader_parser_indent_11813, 0);
  Method *writer11813 = addmethodrealflags(obj11808, "indent:=",&writer_parser_indent_11813, 0);
  reader11813->definitionModule = modulename;
  writer11813->definitionModule = modulename;
  reader11813->definitionLine = 32;
  writer11813->definitionLine = 32;
}
obj11808->flags |= OFLAG_MUTABLE;
adddatum2(obj11808, alloc_Undefined(), 4);
if (objclass11808 == NULL) {
  Method *reader11814 = addmethodrealflags(obj11808, "value",&reader_parser_value_11814, 0);
  Method *writer11814 = addmethodrealflags(obj11808, "value:=",&writer_parser_value_11814, 0);
  reader11814->definitionModule = modulename;
  writer11814->definitionModule = modulename;
  reader11814->definitionLine = 33;
  writer11814->definitionLine = 33;
}
obj11808->flags |= OFLAG_MUTABLE;
adddatum2(obj11808, alloc_Undefined(), 5);
if (objclass11808 == NULL) {
  Method *reader11815 = addmethodrealflags(obj11808, "size",&reader_parser_size_11815, MFLAG_DEF);
  reader11815->definitionModule = modulename;
  reader11815->definitionLine = 34;
}
adddatum2(obj11808, alloc_Undefined(), 6);
  sourceObject = obj11808;
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11816 == NULL) {
    strlit11816 = alloc_String("start");
    gc_root(strlit11816);
  }
// compilenode returning strlit11816
  adddatum2(obj11808, strlit11816, 1);
  sourceObject = obj11808;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11817 = alloc_Float64(1);
// compilenode returning num11817
  adddatum2(obj11808, num11817, 2);
  sourceObject = obj11808;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11818 = alloc_Float64(0);
// compilenode returning num11818
  adddatum2(obj11808, num11818, 3);
  sourceObject = obj11808;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11819 = alloc_Float64(0);
// compilenode returning num11819
  adddatum2(obj11808, num11819, 4);
  sourceObject = obj11808;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11820 == NULL) {
    strlit11820 = alloc_String("");
    gc_root(strlit11820);
  }
// compilenode returning strlit11820
  adddatum2(obj11808, strlit11820, 5);
  sourceObject = obj11808;
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11821 = alloc_Float64(0);
// compilenode returning num11821
  adddatum2(obj11808, num11821, 6);
objclass11808 = obj11808->class;
  objclass11808->definitionModule = modulename;
  objclass11808->definitionLine = 27;
  (*(struct UserObject *)self).data[0] = lowerouter11808;
  self = oldself11808;
  selfslot = oldselfslot11808;
  stackframe = oldstackframe11808;
// compilenode returning obj11808
  *var_lastToken = obj11808;
  if (obj11808 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11822 = createclosure(1, "lastToken");
  setclosureframe(closure11822, stackframe);
  addtoclosure(closure11822, var_lastToken);
  struct UserObject *uo11822 = (struct UserObject*)self;
  uo11822->data[94] = (Object)closure11822;
  Method *meth_meth_parser_lastToken11822 = addmethod2pos(self, "lastToken", &meth_parser_lastToken11822, 94);
int argcv_meth_parser_lastToken11822[] = {0};
meth_meth_parser_lastToken11822->type = alloc_MethodType(1, argcv_meth_parser_lastToken11822);
  meth_meth_parser_lastToken11822->definitionModule = modulename;
  meth_meth_parser_lastToken11822->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11823 = createclosure(1, "lastToken:=");
  setclosureframe(closure11823, stackframe);
  addtoclosure(closure11823, var_lastToken);
  struct UserObject *uo11823 = (struct UserObject*)self;
  uo11823->data[95] = (Object)closure11823;
  Method *meth_meth_parser_lastToken_58__61_11823 = addmethod2pos(self, "lastToken:=", &meth_parser_lastToken_58__61_11823, 95);
int argcv_meth_parser_lastToken_58__61_11823[] = {1};
meth_meth_parser_lastToken_58__61_11823->type = alloc_MethodType(1, argcv_meth_parser_lastToken_58__61_11823);
  meth_meth_parser_lastToken_58__61_11823->definitionModule = modulename;
  meth_meth_parser_lastToken_58__61_11823->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  *var_statementToken = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11825 = createclosure(1, "statementToken");
  setclosureframe(closure11825, stackframe);
  addtoclosure(closure11825, var_statementToken);
  struct UserObject *uo11825 = (struct UserObject*)self;
  uo11825->data[96] = (Object)closure11825;
  Method *meth_meth_parser_statementToken11825 = addmethod2pos(self, "statementToken", &meth_parser_statementToken11825, 96);
int argcv_meth_parser_statementToken11825[] = {0};
meth_meth_parser_statementToken11825->type = alloc_MethodType(1, argcv_meth_parser_statementToken11825);
  meth_meth_parser_statementToken11825->definitionModule = modulename;
  meth_meth_parser_statementToken11825->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11826 = createclosure(1, "statementToken:=");
  setclosureframe(closure11826, stackframe);
  addtoclosure(closure11826, var_statementToken);
  struct UserObject *uo11826 = (struct UserObject*)self;
  uo11826->data[97] = (Object)closure11826;
  Method *meth_meth_parser_statementToken_58__61_11826 = addmethod2pos(self, "statementToken:=", &meth_parser_statementToken_58__61_11826, 97);
int argcv_meth_parser_statementToken_58__61_11826[] = {1};
meth_meth_parser_statementToken_58__61_11826->type = alloc_MethodType(1, argcv_meth_parser_statementToken_58__61_11826);
  meth_meth_parser_statementToken_58__61_11826->definitionModule = modulename;
  meth_meth_parser_statementToken_58__61_11826->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11828 = alloc_Boolean(0);
// compilenode returning bool11828
  *var_comment = bool11828;
  if (bool11828 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11829 = createclosure(1, "comment");
  setclosureframe(closure11829, stackframe);
  addtoclosure(closure11829, var_comment);
  struct UserObject *uo11829 = (struct UserObject*)self;
  uo11829->data[98] = (Object)closure11829;
  Method *meth_meth_parser_comment11829 = addmethod2pos(self, "comment", &meth_parser_comment11829, 98);
int argcv_meth_parser_comment11829[] = {0};
meth_meth_parser_comment11829->type = alloc_MethodType(1, argcv_meth_parser_comment11829);
  meth_meth_parser_comment11829->definitionModule = modulename;
  meth_meth_parser_comment11829->definitionLine = 3569;
// compilenode returning 
// Begin line 3569
  setline(3569);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11830 = createclosure(1, "comment:=");
  setclosureframe(closure11830, stackframe);
  addtoclosure(closure11830, var_comment);
  struct UserObject *uo11830 = (struct UserObject*)self;
  uo11830->data[99] = (Object)closure11830;
  Method *meth_meth_parser_comment_58__61_11830 = addmethod2pos(self, "comment:=", &meth_parser_comment_58__61_11830, 99);
int argcv_meth_parser_comment_58__61_11830[] = {1};
meth_meth_parser_comment_58__61_11830->type = alloc_MethodType(1, argcv_meth_parser_comment_58__61_11830);
  meth_meth_parser_comment_58__61_11830->definitionModule = modulename;
  meth_meth_parser_comment_58__61_11830->definitionLine = 3569;
// compilenode returning 
// compilenode returning done
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// compilenode returning 
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1520
  setline(1520);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1592
  setline(1592);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1633
  setline(1633);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1643
  setline(1643);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1652
  setline(1652);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1658
  setline(1658);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2389
  setline(2389);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2454
  setline(2454);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2480
  setline(2480);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2558
  setline(2558);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2647
  setline(2647);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2721
  setline(2721);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2814
  setline(2814);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3090
  setline(3090);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3161
  setline(3161);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3194
  setline(3194);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3223
  setline(3223);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3256
  setline(3256);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3304
  setline(3304);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3345
  setline(3345);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3413
  setline(3413);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3430
  setline(3430);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3440
  setline(3440);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
  gc_frame_end(frame);
  return self;
}
